<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$action = postval("action");

if ($action == "top") 
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$appid = isset($_REQUEST["appid"]) ? postval("appid") : -1;
	if (!is_numeric($appid)) {
		outputres("no", "ERROR_INVALID_APPID");
		exit;
	}

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior cusaxp_flow 'appid=$appid' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	
	$xname = $arrup = $arrdown = $arrflow = $arrtotal = $rows = array();
	$cate = $avg_up = $avg_down = $avg_flow = array();
	
	foreach($out as $val) {
		if (strncmp($val, "app", 3) == 0) {
			list($tag, $id, $name, $cname, $flow, $up, $down) = explode(' ', $val);
			array_push($xname, $cname);
			array_push($arrup, (float)$up);
			array_push($arrdown, (float)$down);
			array_push($arrflow, (float)$flow);
			array_push($arrtotal, (float)$up + (float)$down);
			array_push($rows, array(
				"appid"=>$id,
				"name"=>$name,
				"cname"=>$cname,
				"flow"=>(float)$flow,
				"up"=>(float)$up,
				"down"=>(float)$down
			));
		}

		if (strncmp($val, "trend", 5) == 0) {
			list($tag, $start, $up, $down, $flow) = explode(' ', $val);
			array_push($cate, date("d/H:i", $start));
			array_push($avg_up, (float)$up);
			array_push($avg_down, (float)$down);
			array_push($avg_flow, (float)$flow);
		}
	}

	$json = array(
		"name"=>$xname, 
		"up"=>$arrup, 
		"down"=>$arrdown, 
		"total"=>$arrtotal, 
		"flow"=>$arrflow, 
		"rows"=>$rows, 
		"cate"=>$cate, 
		"avg_up"=>$avg_up, 
		"avg_down"=>$avg_down, 
		"avg_flow"=>$avg_flow);
	echo json_encode($json);
}
?>

