<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$devid = postval('devid');
$strstart = postval('tmstart');
$strend = postval('tmend');
$linkid = postval('linkid');
$appid = postval("appid");
$addrtype = postval('addrtype');
if ($addrtype == "ipv6")
	$iptype = 2;
else
	$iptype = 1;
$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

$longstart = strtotime($strstart);
$longend = strtotime($strend);

//所有文件
if ($appid == "1044")
	$appid = "-1";

$cmd = LOGDPATH."/bin/logeye user_behavior Xappgroup_trend_opt 'devid=$devid' 'longstart=$longstart' 'longend=$longend' 'appid=$appid' 'linkid=$linkid' 'errfile=$errfile' 'addrtype=$iptype' ";
exec($cmd, $out, $return);
$json = $uparr = $downarr = $flowarr = $xdate = array();

$firsttag	= 0;
$slot		= 0;
$maxupbps	= 0;
$maxdownbps	= 0;
$avgupbps	= 0;
$avgdownbps	= 0;
$allupbytes	= 0;
$alldownbytes	= 0;
foreach($out as $val) {
	list($tag, $time, $v) = explode(' ', $val);
	if ($tag == "DATA") {
		array_push($xdate, (int)$time);
		$slot++;
		continue;
	}

	if ($firsttag == 1)
		break;

	if ($tag == "TAG")
		$firsttag = 1;
}

$dataup = $datadown = $dataflow = array();

$old_legend	= "";
$legend		= "";
$firsttag	= 0;
$pos		= 0;
$total_down	= array();
$cate		= array();
$pos_down 	= 0;
$pos_cate	= 0;
foreach($out as $val) {
	$ds = explode(' ', trim($val));

	$v1 = $v2 = $v3 = 0;
	$tag 	= $ds[0];
	$time 	= $ds[1];
	$v1	= $ds[2];
	if (count($ds) == 4) {
		$v2 = $ds[3];
		$v3 = 0;
	}
	else
	if (count($ds) == 5) {
		$v2 = $ds[3];
		$v3 = $ds[4];
	}

	if ($tag == "TAG") {
		$firsttag++;

		$appid = (int)$ds[3];
		if ($appid > 1500)
			$legend = $ds[2];
		else
			$legend = iconv("gb2312", "utf-8", $ds[2]);
			
		if ($old_legend == "")
			$old_legend = $legend;

		$pos_down	= 0;
		$pos_cate	= 0;
		//$total_down 	= array();
		$cate		= array();
	}

	if ($tag == "DATA") {
		array_push($dataup, (int)$v1);
		array_push($datadown, (int)$v2);
		array_push($dataflow, (int)$v3);
		if (count($total_down) > $pos_down)
			$total_down[$pos_down] += (int)$v2;
		else
			array_push($total_down, (int)$v2);
		array_push($cate, $time);
		$pos_down += 1;
		continue;
	}

	if ($tag == "MAX") {
		/* MAX 738738 27884184 159931 5745587 345452914 12410468363 */
		list($tag, $maxupbps, $maxdownbps, $avgupbps, $avgdownbps, 
			$allupbytes, $alldownbytes, $minupbps, $mindownbps) = explode(' ', $val);
	}

	if ($firsttag >= 2) {
		array_push($uparr, array("data"=>$dataup, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
		array_push($downarr, array("data"=>$datadown, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
		array_push($flowarr, array("data"=>$dataflow, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
		$old_legend = $legend;
		$dataup = $datadown = $dataflow = array();
	}
}

array_push($uparr, array("data"=>$dataup, "name"=>$legend, "type"=>"line", "stack"=>"总量"));
array_push($downarr, array("data"=>$datadown, "name"=>$legend, "type"=>"line", "stack"=>"总量"));
array_push($flowarr, array("data"=>$dataflow, "name"=>$legend, "type"=>"line", "stack"=>"总量"));

/*
 * 生成文件
 */
if ($addrtype == "ipv6")
	$filename = "/ipv6_trend_down.xls";
else
	$filename = "/trend_down.xls";

if (($fp = fopen(TEMP_FILE.$filename, "w")) != false) {
	foreach($total_down as $k=>$val) {
		fprintf($fp, date("Y/m/d H:i:s", $cate[$k])."\t".dataformat($val)."\n");
	}
	fclose($fp);
}

$json = array(
	"up"	=>$uparr, 
	"down"	=>$downarr, 
	"flow"	=>$flowarr, 
	"xdate"	=>$xdate,
	"maxupbps"	=>$maxupbps,
	"maxdownbps"	=>$maxdownbps,
	"minupbps"	=>$minupbps,
	"mindownbps"	=>$mindownbps,
	"avgupbps"	=>$avgupbps,
	"avgdownbps"	=>$avgdownbps,
	"allupbytes"	=>$allupbytes,
	"alldownbytes"	=>$alldownbytes,
	"addrtype"	=>$addrtype
);
echo json_encode($json);
?>
