<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="flow_alert.php">流量告警</a></li>
			<li class="active"><a href="flowalert_custom.php">自定义查询</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label for="ipaddr">用户IP</label>
				<input type="text" value="" id="ipaddr" style="width:150px" />
			</li>
			<li>
				<input type="text" id="appcname" value="任意" readonly style="width:80px;" />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" id="start_hour" value="<?= date('H', strtotime("-1 hour"))?>" style="width:30px" />时
				<input type="text" id="start_min" value="<?= date('m')?>" style="width:30px" />分
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" id="end_hour" value="<?= date('H')?>" style="width:30px" />时
				<input type="text" id="end_min" value="<?= date('m')?>" style="width:30px" />分
			</li>
			<li>
				<input type="button" value="查询" onclick="button_click()" class="btn-extend-color" />
			</li>
			<li>
				<a class="btn-extend-gray" onclick="wlist_list(1)">导出EXCEL</a>
				<a class="btn-extend-gray" onclick="wlist_list(2)">导出TXT</a>
				<a class="btn-extend-gray" onclick="wlist_list(3)">导出CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table id="terminal-table-list" style="width:100%;">
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-left" width="160px">用户IP</th>
				<th class="txt-left">协议</th>
				<th class="txt-right">连接数</th>
				<th class="txt-right">目标地址</th>
				<th class="txt-right">目标端口</th>
				<th class="txt-right">上行流量</th>
				<th class="txt-right">下行流量</th>
			</tr>
		</table>
		<div id="pagebar"></div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var layer, form;
layui.use(['laypage', 'layer', 'form'], function(){
	var layer = layui.layer, form = layui.form;
});

var page = 1;
var limit = 50;
var _cachefile = "";
function button_click()
{
	page = 1;
	_cachefile = getcachefile();
	wlist_list(0);
}

function wlist_list(bexport)
{
	var ipaddr = $("#ipaddr").val();
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var start_hour = $("#start_hour").val();
	var start_min = $("#start_min").val();
	var end_hour = $("#end_hour").val();
	var end_min = $("#end_min").val();
	var starttime = start + ' '+start_hour+':'+start_min+':0';
	var endtime = end + ' '+end_hour+':'+end_min+':0';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	$.ajax({
		url: 'app_handle.php',
		data: {
			type:'wlist_custom_check', 
			ipaddr:ipaddr,
			starttime:starttime,
			endtime:endtime,
			page: page,
			limit:limit,
			appid:appid,
			errname: errname,
			cachefile:_cachefile,
			bexport:bexport
		},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			cluster_load_hide();
			if (bexport > 0) {
				cluster_downloadfile("");
				return;
			}

			data_update(json);
			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							wlist_list(0);
						}
					}
				});
			});
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("terminal-table-list");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var start = (page - 1) * limit;
	for (i = 0; i < json.rows.length; i++) {
		var r = json.rows[i];
		var obj = list.insertRow(-1);

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (start+i+1);
		cell = obj.insertCell(pos++);
		ipstr = '<a href="javascript:void(0);" onclick="show_ipdetail(\''+r.ip+'\')">'+r.ip+'</a>';
		cell.innerHTML = ipstr;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.appcname;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.flowcnt;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.dstip;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.dport;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);
	}
}

var _ipdetail_page = 1;
var _ipdetail_limit = 50;
var _ipdetail_cachefile = "";
function show_ipdetail(ip)
{
	var s = '<div class="topapp-list-table">';
	s += '<table style="width:100%;" id="ipdetail">';
	s += '<tr>';
	s += '<th>序号</th>';
	s += '<th class="txt-left">源IP</th>';
	s += '<th class="txt-left">源端口</th>';
	s += '<th class="txt-left">目标IP</th>';
	s += '<th class="txt-left">目标端口</th>';
	s += '<th class="txt-left">访问时间</th>';
	s += '<th class="txt-left">应用协议</th>';
	s += '<th class="txt-left">协议类型</th>';
	s += '<th class="txt-right">上行流量/Byte</th>';
	s += '<th class="txt-right">下行流量/Byte</th>';
	s += '</tr>';
	s += '</table>';
	s += '<div id="ipdetail_pagebar"></div>';
	s += '</div>';
	
	_ipdetail_page = 1;
	_ipdetail_cachefile = getcachefile();

	var index = layer.open({
		type: 1,
		title: ip,
		shade: [0.8, '#393D49'],
		shadeClose:1,
		area:['900px', '600px'],
		content: s,
		success:function(index, layero) {
			wlist_ipdetail_handle(ip);
		}
	});
}

function wlist_ipdetail_handle(ip)
{
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var start_hour = $("#start_hour").val();
	var start_min = $("#start_min").val();
	var end_hour = $("#end_hour").val();
	var end_min = $("#end_min").val();
	var starttime = start + ' '+start_hour+':'+start_min+':0';
	var endtime = end + ' '+end_hour+':'+end_min+':0';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$.ajax({
		url: 'app_handle.php',
		data:{
			type:'wlist_ipdetail', 
			ipaddr:ip, 
			appid:appid, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname,
			page:_ipdetail_page,
			limit:_ipdetail_limit,
			cachefile:_ipdetail_cachefile
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			var list = document.getElementById("ipdetail");
			while (list.rows.length > 1)
				list.deleteRow(1);
			var start = (_ipdetail_page - 1) * _ipdetail_limit;
			for (i = 0; i < json.rows.length; i++) {
				var r = json.rows[i];
				var obj = list.insertRow(-1);
				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = (start+i+1);
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.src;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.sport;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.dst;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.dport;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.start+'/'+r.end;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.appname;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.proto;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.up;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.down;
			}

			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'ipdetail_pagebar',
					count: json.totalrecords,
					limit: _ipdetail_limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#00A0E9',
					curr: _ipdetail_page,
					jump: function(obj, first) {
						if (!first) {
							_ipdetail_page = obj.curr;
							_ipdetail_limit = obj.limit;
							wlist_ipdetail_handle(ip);
						}
					}
				});
			});
		}
	});
}


function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}
	$("<div id='showapptree_win'></div>").appendTo("body");
	$('#showapptree_win').load('treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}

var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.id+"\", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(id, name, cname)
{
	$("#hidappid").val(id);
	$("#appcname").val(cname);
	$('#showapptree_win').hide();
}
	
</script>
</body>
</html>

