<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/dtree.js"></script>
<script type="text/javascript" src="../js/app.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var gsort = 'total';
function titleclick(sort)
{
	if (sort != "") {
		gsort = sort;
		$("#sort").val(sort);
	}
	
	topapp(0);
}

function topapp(bexport)
{
	var starttime, endtime;
	var distype = "column";
	var typeobj;

	var devid = getdevice();
	//var addrtype = $("#addrtype").val();
	var linkid = $("#linkid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var sort = $("#sort").val();
	gsort = sort;

	var dt = new Date();
	var start_hour = $("#start_hour").val();
	var start_min = $("#start_min").val();
	var end_hour = $("#end_hour").val();
	var end_min = $("#end_min").val();
	var starttime = start + ' '+start_hour+':'+start_min+':0';
	var endtime = end + ' '+end_hour+':'+end_min+':0';
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/apptop.php',
		data:{
			type:"ipv6",
			devid:devid, 
			linkid:linkid, 
			tmstart:starttime, 
			tmend:endtime, 
			page: page, 
			limit: limit, 
			sort:gsort, 
			errname:errname, 
			appid: -1, 
			bexport:bexport
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			if (bexport > 0) {
				window.open("../download.php?filename="+json.str, "_blank");
				return;
			}
			// $(".pagebar-div").show();
			// show_totalpage(json.totalrecord, limit);
			appdata_update(json, devid, starttime, endtime);
			drawcolumn(json, devid, linkid, starttime, endtime);

			laypage.render({
				elem: 'pagebar-div',
				count: json.totalrecord,
				limit: limit,
				first: '首页',
				last: '尾页',
				layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
				limits:[25, 50, 100, 200],
				theme: '#00A0E9',
				curr: page,
				jump: function(obj, first) {
					if (!first) {
						page = obj.curr;
						limit = obj.limit;
						topapp(0);
					}
				}
			});
		}
	});
}

function defpro()
{
	if ($("#gol_user").val() != "admin" && $("#gol_usertype").val() == "") {
		showerror("请点击页面查询按钮查询数据.");
		return false;
	}

	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var start_hour = $("#start_hour").val();
	var end_hour = $("#end_hour").val();
	var starttime = start + ' '+start_hour+':0:0';
	var endtime = end + ' '+end_hour+':59:59';

	$.ajax({
        url:'../App/apptop.php',
        data:{type: 'defpro'},
        type:'post',
        dataType:'json',
        success:function(json) {
		appdata_update(json, 0, starttime, endtime);
		drawcolumn(json, 0, -1, starttime, endtime);
        }
    });
}

function appdata_update(data, devid, startime, endtime)
{
	var r, s;
	var len = data.detail.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href1, href2;
	var trbg = '';
	
	devid = devid+'';
	var q = /,/g
	devid = devid.replace(q, '-');

	var start = (page - 1) * limit;
	for (i = 0; i < len; i++) {
		r = data.detail[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		href1 = '<a href="javascript:trendopen('+devid+', \''+ r.apid+'\', \''+ 
			r.cname+'\', \''+startime+'\', \''+endtime+'\')">'+ r.cname+'</a>';
		if (trobj.eq(i+1).length > 0) {
			tdobj = trobj.eq(i+1).find("td");

		tdobj.eq(0).text(i+1 + start);
		tdobj.eq(1).html(href1);
		tdobj.eq(2).html((r.flowcont)+'&nbsp;');
		tdobj.eq(3).html(numberformats(r.totalup));
		tdobj.eq(4).html(numberformats(r.totaldown));
		tdobj.eq(5).html(numberformats((r.totalup+r.totaldown)));
		tdobj.eq(6).html(numberformats(r.bpsup));
		tdobj.eq(7).html(numberformats(r.bpsdown));
		tdobj.eq(8).html(numberformats(r.bpstotal));
	}
	else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-center">'+ (start + i+1)+'</td>'+
                '<td class="txt-left">'+ href1+'</td>'+
                '<td class="txt-right">'+ r.flowcont+'&nbsp;</td>'+
                '<td class="txt-right">'+ numberformats(r.totalup)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.totaldown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.totalup+r.totaldown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsup)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsdown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpstotal)+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function trendopen(devid, apid, cname, starttime, endtime)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;

	var linkid = $("#linkid").val();
	
	window.open("../App/trendopen.php?addrtype=ipv6&devid="+devid+"&linkid="+linkid+
		"&appid="+apid+"&cname="+cname+"&starttime="+starttime+
		"&endtime="+endtime, "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function drawcolumn(json, devid, linkid, starttime, endtime)
{
	$("#appcol_con").show();
	var option = {
		chart: {
			renderTo: 'appcol_con',
			defaultSeriesType: 'column',
			marginTop: 20
		},
		title: {
			text: null
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
            min: 0,
            title: {
                text: '流量/byte'
            }
        },{
			min: 0,
			title: {
				text: '最大连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y);
            }
        },
		plotOptions: {
			series: {borderWidth: 0, dataLabels: { enabled: true, formatter:function(){return numberformats(this.y)}}},
			column: {
				stacking: 'normal',
				cursor:'pointer',
				depth: 35,
				point:{
				events:{
					click:function(){
						trendopen(devid, '', this.category, starttime, endtime);
					}
				}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: []
	}
	
	var series = [{name:'上行流量', data:[]}, 
		{name:"下行流量", data:[]}, 
		{name:"最大连接数", type:'spline', data:[], yAxis: 1}];
				
	for (var i = 0; i < json.detail.length; i++){
		option.xAxis.categories.push(json.detail[i].cname);
		
		series[0].data.push(json.detail[i].totalup);
		series[1].data.push(json.detail[i].totaldown);
		series[2].data.push(json.detail[i].flowcont);
	}
	option.series = series;

	var chart = new Highcharts.Chart(option);
}

var listtype = 'pic';
function applist()
{
	if (listtype == "pic") {
		$("#appcol_con").hide();
		$(".topapp-list-table").show();
		listtype = 'table';
		$(".changebut").text("显示图形");
	}else {
		$("#appcol_con").show();
		$(".topapp-list-table").hide();
		listtype = 'pic';
		$(".changebut").text("显示列表");
	}
}

function changesort()
{
	gsort = $("#sort").val();
}

</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="../Flow/index.php">TOP用户</a></li>
			<li><a href="../App/index.php">TOP协议</a></li>
			<li><a href="../account/index.php">TOP账号</a></li>
			<li><a href="../Flow/index_ipv6.php">TOP用户(ipv6)</a></li>
			<li class="active"><a href="../App/index_ipv6.php">TOP协议(ipv6)</a></li>
			<li><a href="../account/index_ipv6.php">TOP账号(ipv6)</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<!--
			<li>
				<label>Top应用</label>
				<input type="text" value="25" id="topapp" style="width:30px;" />
			</li>
			-->
			
			
			
			
			
			<li>
				<label>按</label>
				<select id="sort" style="width:80px" onchange="changesort()">
					<option value="up">上行流量</option>
					<option value="down">下行流量</option>
					<option value="total" selected>总流量</option>
					<option value="flow">连接数</option>
				</select>排序
			</li>
			<li>
				<label>数据链路</label>
				<select id="linkid" style="width:120px">
					<option value="-1">任意链路</option>
					<option value="1">网桥1</option><option value="2">网桥2</option>
					<option value="3">网桥3</option><option value="4">网桥4</option>
					<option value="6">虚拟链路1</option><option value="7">虚拟链路2</option>
					<option value="8">虚拟链路3</option><option value="9">虚拟链路4</option>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="start_hour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="start_min" value="<?= date('m', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" id="end_hour" value="<?= date('H')?>" style="width:30px" />时
				<input type="text" id="end_min" value="<?= date('m')?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="titleclick('')">查询</a>
			</li>
			<li>
				<a class="changebut btn-extend-gray" onclick="applist('table')">显示列表</a>
			</li>
			<li class="">
				<div class="layui-btn-group">
					<button class="layui-btn layui-btn-normal layui-btn-xs" id="export-excel">
						<icon class="layui-icon layui-icon-export"></icon>EXCEL
					</button>
					<button class="layui-btn layui-btn-normal layui-btn-xs" id="export-txt">
						<icon class="layui-icon layui-icon-export"></icon>TXT
					</button>
					<button class="layui-btn layui-btn-normal layui-btn-xs" id="export-csv">
						<icon class="layui-icon layui-icon-export"></icon>CSV
					</button>
				</div>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	
	<div id="appcol_con" style="width:100%;height:250px;display:none;"></div>
	<div class="topapp-list-table" style="overflow:auto;" id="topapp_table">
		<table style="width:100%;" cellspacing=0 cellpadding=0 border=1 bordercolor="#e6e6e6">
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-left" width="100px">协议名称</th>
				<th class="txt-right"><a href="javascript:titleclick('flow')">最大连接数</a></th>
				<th class="txt-right"><a href="javascript:titleclick('up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:titleclick('down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:titleclick('total')">总流量</a></th>
				<th class="txt-right"><a href="javascript:titleclick('up')">上行速率</a></th>
				<th class="txt-right"><a href="javascript:titleclick('down')">下行速率</a></th>
				<th class="txt-right"><a href="javascript:titleclick('total')">总速率</a></th>
			</tr>
		</table>
       	</div>
	<div id="pagebar-div">
		<!--
		<a href="javascript:pre()">上一页</a> | 
		<a id="show_totalpage">共0页</a> | 
		<a href="javascript:next()">下一页</a>
		-->
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script>
//defpro();
Highcharts.setOptions({ global: { useUTC: false } });
showdevicetree();
var laypage, element;
layui.use(['element', 'laypage'], function(){
	element = layui.element, laypage = layui.laypage;

	$("#export-excel").click(function(){
		topapp(1);
	});
	$("#export-txt").click(function(){
		topapp(2);
	});
	$("#export-csv").click(function(){
		topapp(3);
	});

})
</script>
</body>
</html>
