<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?=VERSION?></title>

<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />

<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/flow.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var gsort = 'total';
var page = 1;
var limit = 25;
function topiplist()
{
	//var devid = $("#device").val();
	var devid = getdevice();
	var ipaddr = TrimAll($("#ipaddr").val());

	var dt = new Date();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var min = dt.getMinutes();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';
	var cachefile = getcachefile();
	
	var grpid = '';
	var arr = [];
	var iptype = "ipcustom";
	if ($("[name='isipgrp']").attr("checked")) {
		$("[name='ipgrp']").each(function(){
			if ($(this).attr("checked"))
				arr.push($(this).val());
		});
		if (arr.length != 0)
			grpid = arr.join(',');
		iptype = "ipgrp";
	}

	var show_ipnum = 1;

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	_table.reload('iptop-table', {
		url: 'iptop.php'
		,where:{type:'checkcustom', devid:devid, iptype: iptype,
			ipaddr:ipaddr, grpid: grpid, show_ipnum: show_ipnum,
			tmstart:starttime, tmend:endtime, bexport: 0, order:2,
			sort:gsort,errname:errname, cachefile:cachefile, addrtype:'ipv4'}
		,
		done:function(res, curr, count) {
			cluster_load_hide();
			topip_graph(res);
		}
	});
}

function defpro()
{
	if ($("#gol_user").val() != "admin" && $("#gol_usertype").val() == "") {
		showerror("请点击页面查询按钮查询数据.");
		return false;
	}

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();

	var dt = new Date();
	var min = dt.getMinutes();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';
	
	$.ajax({
		url:"iptop.php",
		data:{type: 'defpro', addrtype:'ipv4'},
		type:"get",
		dataType:"json",
		success:function(json){
			topip_graph(json, "topip_con", 0, starttime, endtime);
			data_update(json, 0, starttime, endtime);
			cluster_load_hide();
		}
	});
}

function iptoapp(ipaddr)
{
	//var devid = $("#device").val();
	var devid = getdevice();

	var dt = new Date();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var min = dt.getMinutes();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var w = 700;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w) / 2;
	var url = "../Flow/iptoapp.php?addrtype=ipv4&ipaddr="+ipaddr+"&devid="+devid+"&start="+starttime+"&end="+endtime;
	window.open(url, "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function ipgraphic(ip)
{
	var h = $(window).height();
	var w = $(window).width();
	if (w > 1400) wd = 1400;
	else wd = w;
	var l = (w - wd) / 2;
	window.open("../user_behavior/ipevent.php?ip="+ip, "_blank", "width="+wd+"px, height="+h+"px, left="+l+"px");
}

function iptrend(ipaddr)
{
	//var devid = $("#device").val();
	var devid = getdevice();

	var dt = new Date();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var min = dt.getMinutes();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var w = 700;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;

	var url = "../Flow/ipview_trend.php?addrtype=ipv4&ipaddr="+ipaddr;
	url += "&devid="+devid+"&starttime="+starttime+"&endtime="+endtime;
	window.open(url, "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function topip_graph(jsondata)
{
	var distype = "column";
	var render = "topip_con";
	
	//var devid = $("#device").val();
	var devid = getdevice();
	var dt = new Date();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var min = dt.getMinutes();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var option = {
		chart: {
			renderTo: render,
			defaultSeriesType: distype,
			//width: $(document).width() - 20,
			marginTop:20,
			//height: $(document).height() - 140
		},
		title: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 10px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
			min: 0,
			title: {
				text: 'byte'
			}
		},{
			min: 0,
			title: {
				text: '连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
			formatter: function() {
				return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y);
			}
		},
		plotOptions: {
			series: {borderWidth: 0, dataLabels: { enabled: true, formatter:function(){return numberformats(this.y)}}},
			column: { stacking: 'normal',
				cursor:'pointer',
				depth: 35,
				point:{
					events:{
						click:function(){
							iptrend(this.category);
						}
					}
				},
				dataLabels: {
					enabled: false
				}
			},
			bar: {
				cursor:'pointer',
				point:{
					events:{
						click:function(){
							iptrend(this.category);
						}
					}
				},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: []
	}
	var c = 0;
	var series = [{name:'上行流量', data:[]}, 
		{name:"下行流量", data:[]}, 
		{name:"连接数", type:'spline', data:[], yAxis: 1}];
	
	for (var i = 0; i < jsondata.data.length; i++){
		option.xAxis.categories.push(jsondata.data[i].ip);
		series[0].data.push(jsondata.data[i].up);
		series[1].data.push(jsondata.data[i].down);
		series[2].data.push(jsondata.data[i].flowcnt);
	}
	option.series = series;

	$("#"+render).show();

	var chart = new Highcharts.Chart(option);
}

function report()
{
	//var devid = $("#device").val();
	var devid = getdevice();
	var ipaddr = TrimAll($("#ipaddr").val());
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();

	var dt = new Date();
	var min = dt.getMinutes();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';
	
	var grpid = 0;
	var arr = [];
	var iptype = "ipcustom";
	if ($("[name='isipgrp']").attr("checked")) {
		//grpid = $("#ipgroup").val();
		$("[name='ipgrp']").each(function(){
			if ($(this).attr("checked"))
				arr.push($(this).val());
		});
		if (arr.length != 0)
			grpid = arr.join(',');
		iptype = "ipgrp";
	}
	
	if (!confirm("确认要导出所有IP地址的流量吗"))
		return false;

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$.ajax({
		url:"iptop.php",
		data:{type:'checkcustom', devid:devid, 
			iptype: iptype, ipaddr:ipaddr, grpid: grpid, 
			tmstart:starttime, tmend:endtime, bexport:1,
			page:page, limit:limit, sort:gsort, errname:errname,
			addrtype:'ipv4'},
		type:"get",
		dataType:"json",
		success:function(json) {
			cluster_downloadfile("");
			cluster_load_hide();
		}
	});
}

function change_iptype()
{
	$("[name='isipgrp']").click(function(){
		if ($(this).attr("checked")) {
			$("#ipcustom").hide();
			$(".ipgrp-list-outer").show();
			$(".ipgrp-list-outer-tohide").show();
			$(".ipgrp-list-outer-tohide").click(function(){
				$(".ipgrp-list-outer").hide();
				$(this).hide();
			});
		}
		else {
			$("#ipcustom").show();
			$(".ipgrp-list-outer").hide();
		}
	});

	$("#search-ipgrp").keyup(function(){
		var key = $(this).val();
		$("[name='ipgrp']").each(function(){
			var cname = $(this).attr("cname");
			if (cname.indexOf(key) == -1)
				$(this).parents(".sp").hide();
			else
				$(this).parents(".sp").show();
		})
	});
}

/*
var listtype = 'pic';
function iplist()
{
	if (listtype == "pic") {
		$("#topip_con").hide();
		$(".topapp-list-table").show();
		listtype = 'table';
		$(".changebut").text("显示图形");
	}
	else {
		$("#topip_con").show();
		$(".topapp-list-table").hide();
		listtype = 'pic';
		$(".changebut").text("显示列表");
	}
}
 */

</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="../Flow/index.php">TOP用户</a></li>
			<li><a href="../App/index.php">TOP协议</a></li>
			<li><a href="../account/index.php">TOP账号</a></li>
			<li><a href="../Flow/index_ipv6.php">TOP用户(ipv6)</a></li>
			<li><a href="../App/index_ipv6.php">TOP协议(ipv6)</a></li>
			<li><a href="../account/index_ipv6.php">TOP账号(ipv6)</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<span id="ipcustom">
					<label>IP地址</label>
					<input type="text" id="ipaddr" value="" style="width:100px" placeholder="192.168.0.1-192.168.0.23" />
				</span>
<?php
echo getuseripgrp();
?>
				<input type="checkbox" name="isipgrp" />IP群组
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:70px;" 
				onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:70px;" 
				onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" id="endhour" value="<?= date('H')?>" style="width:30px" /> 时
			</li>
			<li>
				<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="topiplist()">
					<icon class="layui-icon layui-icon-search"></icon>查询
				</a>
			</li>
			<li>
				<button class="layui-btn layui-btn-normal layui-btn-xs" id="btn_report">
					<icon class="layui-icon layui-icon-export"></icon>Excel
				</button>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div id="topip_con" style="width:100%;height:250px;display:none;"></div>
	<div>
		<table id="iptop-table" lay-filter="f-iptop-table"></table>
	</div>
</div>
<script type="text/javascript">
var layer, _table;
layui.use(['layer', 'table'], function(){
	_table = layui.table;

	$("#btn_report").click(report);

	_table.render({
		elem: '#iptop-table'
    		,page: true
		,limit:25
		,limits:[25, 50, 100]
		,loading:false
		,method: 'get'
		,autoSort:false
		,initSort:{
			field:'total',
			type:'desc'
		}
		,data:[]
    		,cols: [[
      			{field: 'id', title: 'ID', width:50}
      			,{field: 'ip', title: '用户地址', width:120}
      			,{field: 'flowcnt', title: '最大并发数', sort:true}
			,{field: 'up', title: '上行流量', sort:true, templet:function(obj){
				return numberformats(obj.up);
			}}
			,{field: 'down', title: '下行流量', sort:true, templet:function(obj){
				return numberformats(obj.down);
			}}
			,{field: 'total', title: '总流量', sort:true, templet:function(obj){
				return numberformats(obj.up+obj.down);
			}}
			,{field: 'maxupbps', title: '最大上行速率', sort:true, templet:function(obj){
				return numberformats(obj.maxupbps);
			}}
			,{field: 'maxdnbps', title: '最大下行速率', sort:true, templet:function(obj){
				return numberformats(obj.maxdnbps);
			}}
			,{field: 'bpsup', title: '上行速率', sort:true, templet:function(obj){
				return numberformats(obj.bpsup);
			}}
			,{field: 'bpsdown', title: '下行速率', sort:true, templet:function(obj){
				return numberformats(obj.bpsdown);
			}}
			,{field: 'totalbps', title: '总速率', sort:true, templet:function(obj){
				return numberformats(obj.bpsup+obj.bpsdown);
			}}
      			,{field: 'account', title: '用户账号', width: 100}
			,{field: 'mk', title: '操作', width:120,templet:function(obj){
				var mk = '<a href="javascript:iptrend(\''+obj.ip+'\')">趋势</a>';
				mk += '&nbsp;&nbsp;<a href="javascript:iptoapp(\''+obj.ip+'\')">应用</a>';
				mk += '&nbsp;&nbsp;<a href="javascript:ipgraphic(\''+obj.ip+'\')">画像</a>';
				return mk;
			}}
    		]]
	});

	_table.on('sort(f-iptop-table)', function(obj){
		cluster_load_show();
		var errname = (new Date()).getTime()+'.st';
		cluster_get_status(errname);

		/* 排序方式 */
		switch(obj.type) {
		case null:
			order = 0;
			break;

		case "asc":
			order = 1;
			break;

		case "desc":
			order = 2;
			break;
		}


		_table.reload('iptop-table', {
			initSort:obj,
			where:{
				errname:errname,
				sort:obj.field,
				order:order
			},
			done:function(res, curr, count) {
				cluster_load_hide();
				log_topip_graph(res);
			}
		})
	})
})

//set_content_css("#topip_con", 40, 40);
//set_content_css("#topip_table", 40, 40);
//$("#topip_con").css("height", $(window).height() - 150);

change_iptype();
showdevicetree();

$("[name='auto_month_data']").click(function(){
	if ($(this).attr("checked")) {
		cfg_conf(1);
	}
	else {
		cfg_conf(0);
	}
});

var hidme = 0;
function setme(b)
{
	if (b)
		$(".quick_tips").show();
	else
		$(".quick_tips").hide();

}

function cfg_conf(b)
{
	$.ajax({
		url:"../user_behavior/ipgrp_handle.php",
		data:{type:"cfg_conf", b: b},
		type:"post",
		dataType:"json",
		success:function(json) {
		}
	});
}

</script>
</body>
</html>
