<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$out= array();

$type = $_GET["type"];
if ($type == "checkcustom")
{
	$devid = $_GET['devid'];
	$iptype = $_GET['iptype'];
	$ipaddr = $_GET['ipaddr'];
	$grpid = $_GET['grpid'];
	$strstart = $_GET['tmstart'];
	$strend = $_GET['tmend'];
	$page = $_GET['page'];
	$limit = $_GET["limit"];
	$sort = $_GET['sort'];
	$order = $_GET['order'];
	$bexport = $_GET['bexport'];
	$errfile = _CHECKING_STATUS_F.'/'.$_GET['errname'];
	$show_ipnum = isset($_REQUEST["show_ipnum"]) ? postval("show_ipnum") : 0;
	$cachefile = isset($_REQUEST["cachefile"]) ? postval("cachefile") : "";
	$addrtype = isset($_REQUEST["addrtype"]) ? postval("addrtype") : "ipv4";

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	$filename = "topip".date("YmdHis").".xls";

	if (strstr($ipaddr, "/") != false) {
		$ipmin = calculate_ipmin($ipaddr);
		$ipmax = calculate_ipmax($ipaddr);
		$ipaddr = $ipmin."-".$ipmax;
	}

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_topiplist 'devid=$devid' ";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior topiplist 'devid=$devid' ";
	$cmd .= "'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'page=$page' ";
	$cmd .= "'limit=$limit' 'sort=$sort' 'errfile=$errfile' 'iptype=$iptype' ";
	$cmd .= "'bexport=$bexport' 'filename=$filename' 'grpidstr=$grpid'";
	if ($show_ipnum) $cmd .= " 'show_ipnum=$show_ipnum'";
	$cmd .= " 'order=$order'";
	if (!empty($cachefile)) $cmd .= " 'cachefile=$cachefile'";
	exec($cmd, $out, $return);
}

else if ($type == "defpro")
{
	$page = 1;
	$limit = 25;

	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) != false) {
		$cmd = "select ipaddr, flow, up, down, upbps, downbps, account,";
		$cmd .= "maxupbytes, maxdnbytes from palog.iptop_tmp ";
		$cmd .= "where ipaddr != 0 limit $page, $limit";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$str = $row[0]." ".$row[1]." ".$row[2];
				$str .= " ".$row[3]." ".$row[4]." ".$row[5];
				$str .= " ".$row[6]." ".$row[7]." ".$row[8];
				array_push($out, $str);
			}
			mysql_free_result($result);
		}
		mysql_close($conn);
	}
}

else if( $type == "ipv6_checkcustom" )
{
	
	$devid = $_GET['devid'];
	$ipaddr = $_GET['ipaddr'];
	$strstart = $_GET['tmstart'];
	$strend = $_GET['tmend'];
	$page = $_GET['page'];
	$limit = $_GET["limit"];
	$sort = $_GET['sort'];
	$order = $_GET['order'];
	$bexport = $_GET['bexport'];
	$errfile = _CHECKING_STATUS_F.'/'.$_GET['errname'];
	$show_ipnum = isset($_REQUEST["show_ipnum"]) ? postval("show_ipnum") : 0;
	//$cachefile = isset($_REQUEST["cachefile"]) ? postval("cachefile") : "";

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	$filename = "topip".date("YmdHis").".xls";

	if (strstr($ipaddr, "/") != false) {
		$ipmin = calculate_ipmin($ipaddr);
		$ipmax = calculate_ipmax($ipaddr);
		$ipaddr = $ipmin."-".$ipmax;
	}

	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_topiplist 'devid=$devid' ";
	$cmd .= "'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'page=$page' ";
	$cmd .= "'limit=$limit' 'sort=$sort' 'errfile=$errfile' ";
	$cmd .= "'bexport=$bexport' 'filename=$filename' ";
	if ($show_ipnum) $cmd .= " 'show_ipnum=$show_ipnum'";
	$cmd .= " 'order=$order'";
	//if (!empty($cachefile)) $cmd .= " 'cachefile=$cachefile'";
	exec($cmd, $out, $return);		
}


$id = 0;
$ipnum = 0;
$start = ($page - 1) * $limit;
$rows = $arrxaxis = $arrxyaxis = $json = array();
foreach($out as $val){
	if (strncmp($val, "ipnum=", 6) == 0) {
		list($tag, $ipnum) = explode('=', $val);
		continue;
	}

	$ds = explode(' ', $val);
	if ($type == "ipv6_checkcustom")
		$ip = $ds[0];
	else
		$ip = long2ip($ds[0]);

	array_push($arrxaxis, long2ip($ds[0]));

	if ($sort == "up")
		array_push($arrxyaxis, (double)$ds[2]);
	else 
	if ($sort == "down")
		array_push($arrxyaxis, (double)$ds[3]);
	else
	if ($sort == "total")
		array_push($arrxyaxis, (double)$ds[2] + (double)$ds[3]);
	else
	if ($sort == "flow")
		array_push($arrxyaxis, (double)$ds[1]);

	array_push($rows, array(
		"id"=>(++$id + $start),
		"ip"=>$ip,
		"flowcnt"=>(double)$ds[1],
		"up"=>(double)$ds[2],
		"down"=>(double)$ds[3],
		"total"=>(double)$ds[2] + (double)$ds[3],
		"devid"=>$devid,
		"bpsup"=>(double)$ds[4],
		"bpsdown"=>(double)$ds[5],
		"account"=>$ds[6] != "$" ? iconv("gb2312", "utf-8", $ds[6]) : "",
		"maxupbps"=>$ds[7],
		"maxdnbps"=>$ds[8]
	));
}

$json = array("code"=>0, "x"=>$arrxaxis, "y"=>$arrxyaxis, "data"=>$rows, "count"=>$ipnum);
echo json_encode($json);
?>
