<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("no", "请重新登录！");
	exit;
}

$devid		= $_GET['devid'];
$ip		= $_GET['ip'];
$strstart	= $_GET['tmstart'];
$strend		= $_GET['tmend'];
$addrtype	= $_GET['addrtype'];
$errfile	= _CHECKING_STATUS_F.'/'.$_GET['errname'];
$longstart	= strtotime($strstart);
$longend	= strtotime($strend);
$account = isset($_GET['account']) ? iconv("utf-8", "gb2312", $_GET['account']) : "";
$bexport = isset($_GET['bexport']) ? $_GET['bexport'] : 0;

$filename = ($bexport > 0) ? "iptrend".date("YmdHis").".xls" : "";

$addrtype = isset($addrtype) ? $addrtype : "ipv4";
if ($addrtype == "ipv6")
	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_ipflow_trend 'devid=$devid' 'ipaddr=$ip'";
else
	$cmd = LOGDPATH."/bin/logeye user_behavior ipflow_trend 'devid=$devid' 'ipaddr=$ip'";
$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'account=$account' 'bexport=$bexport'";
if ($filename != "") $cmd .= $cmd." 'filename=$filename'";
exec($cmd, $out, $ret);

if ($bexport > 0) {
	$json["file"] = $filename;
	echo json_encode($json);
	exit;
}

$i = 0;
$slot = 0;
$currtype = "";
$app = 0;
$appup = 0;
$appdown = 0;
$appflow = 0;

$data = $seriesup = $seriesdown = $seriesflow = array();

foreach($out as $val) {
	$ds = explode(' ', $val);
	if ($ds[0] == "TAG") {
		if ($slot != 0)
			break;
       	}
	
	if ($ds[0] == "DATA")
	       	$slot++;
}

foreach($out as $val){
       	$ds = explode(' ', $val);
	
	if ($ds[0] == "TAG"){
		if ($ds[1] == "DATEUP"){
			$currtype = "DATEUP";
			$seriesup[$appup]['name'] = "上行流量";
		}

		if ($ds[1] == "DATEDOWN"){
			$currtype = "DATEDOWN";
			$seriesdown[$appdown]['name'] = "下行流量";
		}

		if ($ds[1] == "DATEFLOW"){
			$currtype = "DATEFLOW";
			$seriesflow[$appflow]['name'] = "连接数";
			$seriesflow[$appflow]['type'] = 'spline';
		}
       	}
	
	if ($ds[0] == "DATA"){
		$data[$i]['x'] = (int)$ds[1] * 1000;
		$data[$i++]['y'] = (int)$ds[2];
		
		if (count($data) == $slot) {
			if ($currtype == "DATEUP")
				$seriesup[$appup++]['data'] = $data;
			if ($currtype == "DATEDOWN")
				$seriesdown[$appdown++]['data'] = $data;
			if ($currtype == "DATEFLOW")
				$seriesflow[$appflow++]['data'] = $data;
			unset($data);
			$i = 0;
		}
	}
}

$json = array("result_up"=>$seriesup, "result_down"=>$seriesdown, "result_flow"=>$seriesflow);
echo json_encode($json);
?>
