<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title><?=VERSION?></title>
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/jquery.corner.js"></script>
    <script type="text/javascript">
		function get_vendor(){
			$.ajax({
                url:'getevent.php',
                type:'post',
                data:{type:'get_vendor'},
                dataType:'json',
                success:function(data) {
                    
					var arr = data.rows;
					var str = "";
					for(var i = 0; i < arr.length; i++){
						
						str+= '<option value="'+arr[i]+'">'+arr[i]+'</option>';	
					}
					
					$("#vendor").html(str);
					
					var vendor = $("#vendor").val();
					 $.ajax({
						url:'getevent.php',
						type:'post',
						data:{type:'get_devmodel', vendor:vendor},
						dataType:'json',
						success:function(data) {
							
							var arr = data.rows;
							var str = "";
							for(var i = 0; i < arr.length; i++){
								
								str+= '<option value="'+arr[i]+'">'+arr[i]+'</option>';	
							}
							console.log(str);
							
							//$("#devmodal").html("");
							$("#devmodel").html(str);
							
						}
					});
					
					
					
                }
            });	
		}
	
	
	
        function isChinese(temp)
        {
            var re = /[^\u4e00-\u9fa5]/;
            if(re.test(temp)) return false;
            return true;
        }
        function addeventhdl()
        {
            var cname = ($("#eventcname").val());
            var name = ($("#eventname").val());
            var port = ($("#eventport").val());
			var datatype = $("#datatype").val();
			var vendor = $("#vendor").val();
			var devmodel = $("#devmodel").val();
			

            if (cname == ''){
                alert('中文名称不能为空');
                $("#eventcname").focus();
                return false;
            }

            if (name == ''){
                alert('英文名称不能为空');
                $("#eventname").focus();
                return false;
            }
            if (isChinese(name)){
                alert("请输入英文名称");
                $("#eventname").focus();
                return false;
            }

            if (port == ''){
                alert('端口不能为空');
                $("#eventport").focus();
                return false;
            }
            for (var i = 0; i < name.length; i++){
                if (name.charAt(i) == ' '){
                    alert("英文名称不能含有空格");
                    $("#eventname").focus();
                    return false;
                }
            }
            for (i = 0; i < name.length; i++){
                if (name.charCodeAt(i) >= 0x4E00 && name.charCodeAt(i) <= 0x9FA5){
                    alert("请输入非中文名称");
                    return false;
                }
            }

            if (isNaN(port) || port <=0 || port > 65535){
                alert('端口号填写不正确');
                $("#eventport").focus();
                return false;
            }

            $.ajax({
                url:'getevent.php',
                type:'post',
                data:{type:'add', cname:cname, name:name, port:port,datatype:datatype, vendor:vendor, devmodel:devmodel},
                dataType:'json',
                success:function(data) {
                    if (data.yn == "yes")
                        location.href="eventport-html.php";
					else
						alert(data.str);
                }
            });
        }
		
		
		
		
		
		get_vendor();
		
    </script>
</head>
<body>
<div class="maintain-content check-panel-radius">
    <div class="topapp-list-table" style="margin-top:10px;">
        <table height="150px" width="450px">
            <tr><td width="20px"></td><td width="100px" align="left">中文名称</td>
                <td align="left"><input type="text" id="eventcname" value="" style="width:150px;" /></td></tr>
            <tr><td width="20px"></td><td width="100px" align="left">英文名称</td>
                <td align="left"><input type="text" id="eventname" value="" style="width:150px" />
                (由英文字或数字组成)</td></tr>
            <tr><td width="20px"></td><td align="left">采集器端口</td>
                <td align="left"><input type="text" id="eventport" value="" style="width:150px" /> (1024~65535)</td></tr>
			
			
			 <tr><td width="20px"></td><td width="100px" align="left">数据类型</td>
                <td align="left">
					<select id="datatype" style="width:150px">
						<option value=0>私有格式</option>
						<option value=1>SYSLOG</option>
					</select>
				</td></tr>
            <tr><td width="20px"></td><td width="100px" align="left">设备厂商</td>
                <td align="left">
						<select id="vendor" style="width:150px">
							
						</select>
				</td>
				</tr>
					
            <tr><td width="20px"></td><td align="left">设备型号</td>
                <td align="left"><select id="devmodel" style="width:150px">
						
					</select></td>
			</tr>
				
				
            <tr><td colspan="3"><hr></td></tr>
            <tr><td colspan="3" align="right">
                    <input type="button" value="确定" style="width:70px;" onclick="addeventhdl()" />
                    <input type="button" value="取消" style="width:70px;" onclick="location.href='eventport-html.php'" />
                </td></tr>
        </table>
    </div>
</div>
<script>
$("#vendor").on("change",function (){
			var vendor = $("#vendor").val();
			 $.ajax({
                url:'getevent.php',
                type:'post',
                data:{type:'get_devmodel', vendor:vendor},
                dataType:'json',
                success:function(data) {
                    
					var arr = data.rows;
					var str = "";
					for(var i = 0; i < arr.length; i++){
						
						str+= '<option value="'+arr[i]+'">'+arr[i]+'</option>';	
					}
					console.log(str);
					
					//$("#devmodal").html("");
					$("#devmodel").html(str);
					
                }
            });
			
			
		});
</script>
</body>
</html>

