<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession() && !isset($_SESSION["cloud_username"])) {
	outputres("no", "请重新登录");
	exit;
}

$action = postval("action");

if ($action == "list")
{
	$rows = array();

	$cmd = "/bin/logeye access list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		array_push($rows, trim($val));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
	exit;
}

if ($action == "remove")
{
	$ip = postval("ip");

	if (empty($ip)) {
		outputres("no", "INVALID_IP");
		exit;
	}

	operation_logger("数据库管理", "删除可访问用户".$ip);

	$cmd = "/bin/logeye access remove 'ip=$ip'";
	exec($cmd, $out, $ret);
	echo $out[0];
}

if ($action == "add")
{
	$host = postval("host");

	if (empty($host)) {
		outputres("no", "INVALID_HOST");
		exit;
	}

	operation_logger("数据库管理", "增加可访问用户".$host);

	$cmd = "/bin/logeye access add 'ip=$host'";
	exec($cmd, $out, $ret);
	echo $out[0];
}
