<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
include "func.php";
if (!chksession() && !isset($_SESSION["cloud_username"]))
	exit;

$action = postval("action");

if ($action == "usrapp_list")
{
	$license_id12 = postval("license_id12");
	if ($license_id12 == "") {
		outputres("no", "ERR_LICID12_0");
		exit;
	}

	$rows = array();

	$cmd = DATAEYE." usragp list 'license_id12=$license_id12' showapp=1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if (trim($val) == "")
			continue;

		list($id12, $name, $cname, $nodettl, $tports, $uports) = explode(' ', $val);

		$cname = iconv("gb2312", "utf-8", $cname);

		array_push($rows, array(
			"name"=>$name,
			"cname"=>$cname,
			"nodettl"=>$nodettl,
			"tports"=>$tports,
			"uports"=>$uports
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}
if ($action == "usragp_showdevice")
{
	$rows = array();

	$cmd = DATAEYE." usragp list showdevice=1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if (trim($val) == "")
			continue;
		list($license_id12, $status, $sysname, $error) = explode(' ', $val);
		$error = iconv("gb2312", "utf-8", $error);
		$sysname = iconv("gb2312", "utf-8", $sysname);
		array_push($rows, array(
			"license_id12"=>$license_id12,
			"status"=>$status,
			"sysname"=>$sysname,
			"error"=>$error
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "usragp_syn")
{
	$device = postval("device");
	$usragp_group = iconv("utf-8", "gb2312", postval("usragp_group"));
	$usrapp_info = iconv("utf-8", "gb2312", postval("usrapp_info"));

	$cmd = DATAEYE." usragp config 'device=$device'";
	if ($usragp_group != "")
		$cmd .= " 'agp_name=$usragp_group'";
	if ($usrapp_info != "") 
		$cmd .= " 'app=$usrapp_info'";
	exec($cmd, $out, $ret);
}

if ($action == "usragp_get")
{
	$license_id12 = postval("license_id12");
	if ($license_id12 == "") {
		outputres("no", "ERR_LICID12_0");
		exit;
	}

	$cmd = DATAEYE." usragp request 'license_id12=$license_id12'";
	exec($cmd);
}

if ($action == "usragp_list")
{
	$license_id12 = postval("license_id12");
	if ($license_id12 == "") {
		outputres("no", "ERR_LICID12_0");
		exit;
	}

	$rows = array();

	$cmd = DATAEYE." usragp list 'license_id12=$license_id12'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if (trim($val) == "")
			continue;

		list($id12, $cname, $son_name) = explode(' ', $val);

		$cname = iconv("gb2312", "utf-8", $cname);

		list($grpname, $grpcname, $others) = explode(',', $cname);
		$str = stristr($cname, ',');
		$str = substr($str, 1);
		$son_cname = stristr($str, ',');
		if ($son_cname != "" && $son_cname != ",")
			$son_cname = substr($son_cname, 1);
		else
			$son_cname = "";

		if ($son_name == ",")
			$son_name = "";

		array_push($rows, array(
			"name"=>$grpname,
			"cname"=>$grpcname,
			"son_cname"=>$son_cname,
			"son_name"=>$son_name
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}
