<?php
session_start();
set_time_limit(0);
include(dirname(__file__)."/../common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
</script>
</head>
<body>
<?php
$ver = 0;
$pacontrol = 0;
$hwcloud = 0;
$cmd = PANALOGEYE." receiver stat";
exec($cmd, $out, $ret);
foreach($out as $val) {
	list($tag, $v) = explode('=', trim($val));
	if ($tag == "version")
		$ver = $v;
	if ($tag == "pacontrol")
		$pacontrol = $v;
	if (strstr($val, "_HWCLOUD=1") != false)
		$hwcloud = 1;
}
?>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="../Maintain/eventport-html.php">端口管理</a></li>
			<li><a href="../Maintain/device_manage.php">设备管理</a></li>
<?php
if ($ver) {
	echo '<li><a href="../Maintain/node_manage.php">节点管理</a></li>';
	if ($hwcloud)
		echo '<li><a href="../Maintain/group_load.php">群组负载</a></li>';
	if ($pacontrol)
		echo '<li class="active"><a href="../Maintain/data_forward.php">数据转发</a></li>';
}
?>
		</ul>
	</div>
	<div style="margin-top:20px;">
		<div>
			<div class="layui-row">
    				<div class="layui-col-xs3">
					<div class="grid-demo grid-demo-bg1">
						<form class="layui-form">
							<div class="layui-form-item">
								<label class="layui-form-label">日志类型</label>
								<div class="layui-input-inline">
									<div class="layui-form-mid">QQ</div>
									<span class="layui-form-mid" name="count" style="margin-left:30px;font-size:20px;font-style:italic;color:#2bc629"></span>
									<input type="hidden" name="logtype" value="qq" />
								</div>
							</div>
							<div class="layui-form-item">
								<label class="layui-form-label">日志服务器</label>
								<div class="layui-input-inline">
									<input type="text" name="server" lay-verify="required" required placeholder="请输入" autocomplete="off" class="layui-input">
								</div>
							</div>
							<div class="layui-form-item">
								<label class="layui-form-label">端口</label>
								<div class="layui-input-inline">
									<input type="text" name="port" lay-verify="required" required placeholder="请输入" autocomplete="off" class="layui-input">
								</div>
							</div>
							<div class="layui-form-item">
								<label class="layui-form-label"></label>
								<div class="layui-input-inline">
									<button class="layui-btn layui-btn-xs layui-btn-normal" lay-submit lay-filter="logsubmit">提交</button>
								</div>
							</div>
						</form>
					</div>
				</div>
				<div class="layui-col-xs3">
					<div class="grid-demo">
						<form class="layui-form">
							<div class="layui-form-item">
								<label class="layui-form-label">日志类型</label>
								<div class="layui-input-inline">
									<div class="layui-form-mid">微信</div>
									<span class="layui-form-mid" name="count" style="margin-left:30px;font-size:20px;font-style:italic;color:#2bc629"></span>
									<input type="hidden" name="logtype" value="weixin" />
								</div>
							</div>
							<div class="layui-form-item">
								<label class="layui-form-label">日志服务器</label>
								<div class="layui-input-inline">
									<input type="text" name="server" lay-verify="required" required placeholder="请输入" autocomplete="off" class="layui-input">
								</div>
							</div>
							<div class="layui-form-item">
								<label class="layui-form-label">端口</label>
								<div class="layui-input-inline">
									<input type="text" name="port" lay-verify="required" required placeholder="请输入" autocomplete="off" class="layui-input">
								</div>
							</div>
							<div class="layui-form-item">
								<label class="layui-form-label"></label>
								<div class="layui-input-inline">
									<button class="layui-btn layui-btn-xs layui-btn-normal" lay-submit lay-filter="logsubmit">提交</button>
								</div>
							</div>
						</form>
					</div>
				</div>
				<div class="layui-col-xs3">
					<div class="grid-demo grid-demo-bg1"></div>
				</div>
				<div class="layui-col-xs3">
					<div class="grid-demo"></div>
				</div>
			</div>
		</div>
	</div>
</div>
<script src="../layui/layui.js" charset="utf-8"></script>
<script type="text/javascript">
layui.use(['form', 'layer'], function(){
	var layer = layui.layer, form = layui.form;
	form.render();

	form.on('submit(logsubmit)', function(data){
		var logtype = data.field.logtype;
		var server = data.field.server;
		var port = data.field.port;

		$.ajax({
			url:'system_handle_ex.php',
			data:{type:'logforward_config', logtype:logtype, server:server, port:port},
			type:'post',
			success:function(data){
				layer.msg(data);
			}
		});

		return false;
	});

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'logforward_get'},
		type:'post',
		dataType:'json',
		success:function(json){
			for (var i = 0; i < json.length; i++) {
				r = json[i];
				switch(r.logtype) {
				case "qq":
					$("[name='server']").eq(0).val(r.server);
					$("[name='port']").eq(0).val(r.port);
					$("[name='count']").eq(0).text(r.cnt);
					break;

				case "weixin":
					$("[name='server']").eq(1).val(r.server);
					$("[name='port']").eq(1).val(r.port);
					$("[name='count']").eq(1).text(r.cnt);
					break;
				}
			}
		}
	});
});
</script>
</body>
</html>
