<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
</head>

<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="../Maintain/deletetable-html.php">自动清理</a></li>
			<li><a href="../Maintain/delete_key.php">一键清除</a></li>
			<li><a href="../Maintain/dbtablelist.php">数据库表</a></li>
			<li class="active"><a href="../Maintain/db_access.php">安全访问</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
		<table id="hostlist" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th width="50px">序号</th>
				<th align="left">可访问主机</th>
				<th width="100px">
					<a class="btn-extend-color" href="javascript:access_add()">添加</a>
				</th>
			</tr>
		</table>
	</div>
</div>
<div id="hostadd_outer" style="display:none;">
	<table>
		<tr>
			<td width="70px" align="center">允许</td>
			<td>
				<input type="text" value="" id="host" style="width:150px" /> 访问
			</td>
		</tr>
	</table>
</div>
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function access_add()
{
	$("#hostadd_outer").dialog({
		width: 300,
		height: 150,
		title: '添加主机',
		buttons:[{
			text: '取消',
			click: function(){
			}
		},{
			text: '提交',
			click: function(){
				access_add_handle();
			}
		}]
	});
}

function access_add_handle()
{
	var host = TrimAll($("#host").val());
	if (host == "") {
		alert("请输入正确的主机IP");
		return false;
	}

	$.ajax({
		url: 'ajax_db_access.php',
		data:{action: 'add', host: host},
		type:'post',
		success:function(json) {
			access_list();
			$("#hostadd_outer").dialog("close");
		}
	})
}

function access_remove(ip)
{
	if (!confirm("确定要取消这台主机的访问吗"))
		return false;

	$.ajax({
		url: 'ajax_db_access.php',
		data:{action: 'remove', ip: ip},
		type:'post',
		success:function(json) {
			access_list();
		}
	})
}

function access_list()
{
	$.ajax({
		url: 'ajax_db_access.php',
		data:{action: 'list'},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return;
			}

			var list = document.getElementById("hostlist");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (var i = 0; i < json.rows.length; i++) {
				var obj = list.insertRow(-1);
				
				var obj = list.insertRow(-1);
				obj.onmouseover = function() {
					this.className = "trbg";
				}
				obj.onmouseout = function() {
					this.className = "";
			       	}

				var cell = obj.insertCell(0);
				cell.setAttribute("align", "center");
				cell.innerHTML = i + 1;
				cell = obj.insertCell(1);
				cell.setAttribute("align", "left");
				cell.innerHTML = "allow \"" + json.rows[i]+"\"";
				cell = obj.insertCell(2);
				cell.setAttribute("align", "center");
				cell.innerHTML = '<a href="javascript:void(0)" onclick="access_remove(\''+json.rows[i]+'\')">删除';
			}
		}
	});
}
access_list();
</script>
</body>
</html>
