<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function getsavenum()
{
	$.ajax({
		url:'savenumber.php',
		dataType:'json',
		type:'post',
		data:{id:1},
		success:function(data){
			$("#savenum").val(data.save);
			$("#delehour").val(data.hour);
		}
	});
}

getsavenum();

function savedeletenum()
{
	var save = $("#savenum").val();
	if (save == ""){
		alert("请输入要保存的临界点");
		$("#savenum").focus();
		return false;
	}

	if (isNaN(save)) {
		alert('保存数字无效');
		return false;
	}
	
	if (!confirm("确定要修改硬盘使用容量吗"))
		return false;
	
	$.ajax({
		url:'savenumber.php',
		dataType:'json',
		type:'post',
		data:{id:2, save:save},
		success:function(data){
			alert(data.str);
		}
	});
}
</script>
</head>
<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="../Maintain/deletetable-html.php">自动清理</a></li>
			<li><a href="../Maintain/delete_key.php">一键清除</a></li>
			<li><a href="../Maintain/dbtablelist.php">数据库表</a></li>
			<li><a href="../Maintain/db_access.php">安全访问</a></li>
		</ul>
	</div>
	<div class="tips20160707">
		<pre>建议不超过77%。当数据盘使用容量百分比到达这个值时，系统开始删除最老的1天数据，直接容量百分比小于此值。</pre>
	</div>
       	<div class="font-12">
		<div class="tips20160707"><label for="savenum" class="font-12">使用硬盘最大容量：</label>
		<input type="text" id="savenum" value="" class="ui-corner-all text-corner" title="设置硬盘使用最大容量" /> % 
		&nbsp;&nbsp;&nbsp;&nbsp;
		<button class="ui-button ui-widget ui-corner-all font-12" onclick="savedeletenum()">提交</button></div>
       	</div>
	<div class="graphic-title">
		最近1个月每天日志量图/单位：条
	</div>
	<div id="everyday_logs" style="height:300px;"></div>
	<div class="font-12 topapp-list-table " style="margin-top:40px;">
		<div class="graphic-title"> 自动删除文件列表（最近25条记录）</div>
		<table style="width:100%;">
			<tr>
				<th width="50px" class="txt-center">序号</th>
				<th>动作</th>
				<th width="150px" class="txt-center">操作时间</th>
			</tr>
			<?php
			if (($conn = my_mysql_connect()) != false) {
				$cmd = "select cmd, time from palog.droprecord order by time desc limit 25";
				if (($result = mysql_query($cmd)) != false) {
					while ($row = mysql_fetch_row($result)) {
						echo '<tr><td align="center">'.(++$i).'</td><td>'.$row[0].'</td><td align="center">'.date("Y-m-d H:i:s", $row[1]).'</td></tr>';
					}
					mysql_free_result($result);
				}
				mysql_close($conn);
			}
			?>
		</table>
	</div>
</div>
<script type="text/javascript">
$(document).tooltip();

getlogs();

function getlogs()
{
	$.ajax({
		url:'system_handle.php',
		dataType:'json',
		type:'post',
		data:{type: 'getlogs'},
		success:function(json) {
			logs_update(json);
		}
	});
}

function logs_update(json)
{
	var dom = document.getElementById("everyday_logs");
	var chart = echarts.init(dom, 'macarons');

	var option = {
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + (params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: false,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:80,
			bottom: 50,
			right:0,
			textStyle: {
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 0,
				textStyle: {
					fontSize: 8,
				}
			},
			data: json.x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				textStyle: {
					fontSize: 8,
				},
				formatter: function(value, index) {
					return (value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}],
		series: [{
			name: "记录数",
			type: "bar",
			barWidth:'20',
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return (p.value)
						}
					}
				}
			},
			data: json.y,
		}]
	}

	chart.setOption(option);
}

</script>
</body>
</html>
