<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript">
var g_sort = 'enable';
var g_ascdesc = 'desc';
var page = 1;
var limit;
var start = 0;
var pagestr = '';
var gexpire = 0;

function nextpage()
{
	page++;
	
	gamecloud_list();
}

function uppage()
{
	page--;
	if (page <= 0)
		page = 1;
	
	gamecloud_list();
}

function button_click()
{
	page = 1;
	
	gamecloud_list();
}

var gamecloud_list = function() {
	var grpid = $("#grplisthdr").val();
	var sch = TrimAll($("#sch").val());
	
	limit = $("#listnum").val();
	if (limit == "" || isNaN(limit))
		limit = 20;
	
	$.cookie("cloud_limit", limit, {expires: 31});

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'gamecloud_list', grpid: grpid, sch: sch, sort: g_sort, g_ascdesc: g_ascdesc, page: page, limit: limit},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no") {
				alert(data.str);
				location.href="cloud_index.php";
				return false;
			}
			
			cloud_update(data);
			showpagenum(data);
		}
	});
}

function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>&nbsp;&nbsp;';
	
	if (data.fail == null) data.fail = 0;
	
	pagestr += '&nbsp;&nbsp;<a href="javascript:fail_click()" style="color:#f00;">断开：'+data.fail+'条</a>';
	
	$(".cloud-page-bar").html(pagestr);

	$(".yxkx-expire").html(data.exp);
}

function cloud_update(data)
{
	var r, s;
	var len = data.rows.length;
	var href, trbg = '', chkbox;
	
	start = (page - 1) * limit;

	var list = document.getElementById("gamecloud_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
			
		usedayscolor = '#000';
		state_png = '<img src="../img/10.png" width="15px" title="心跳正常" />';
		if ((r.actime+30) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="心跳断开" />';
			usedayscolor = '#f00'
		}
		
		sysname = '<a href="javascript:openssh_m(\''+r.license_id12+'\', \''+r.localip+'\', 1, 0)">'+r.sysname+'</a>';
		chkbox = '<input type="checkbox" value="'+r.license_id12+'" cname="'+r.sysname+'" name="mypa" />';

		var obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.style.color = usedayscolor;
		cell.innerHTML = start+i+1;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.style.color = usedayscolor;
		cell.innerHTML = chkbox;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.style.color = usedayscolor;
		cell.innerHTML = r.license_id12;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.style.color = usedayscolor;
		cell.innerHTML = sysname;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.style.color = usedayscolor;
		cell.innerHTML = state_png;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.style.color = usedayscolor;
		cell.innerHTML = r.grpname;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.style.color = usedayscolor;
		cell.innerHTML = unixtimetodate(r.actime);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.style.color = usedayscolor;
		cell.innerHTML = unixtimetodate(r.startm)+'/'+unixtimetodate(r.endtm);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.style.color = usedayscolor;
		if (r.enable == "0")
			cell.innerHTML = '<img src="../img/12.png" width="15px" title="服务停止" />';
		else {
			switch(r.l2tp_state) {
			case "INIT":
				cell.innerHTML = "初始化";
				break;
			case "WAITIDLE":
				cell.innerHTML = r.waitetime_left+"后重拔";
				break;
			case "START":
				cell.innerHTML = "开始连接";
				break;
			case "SCCRQ":
				cell.innerHTML = "创建隧道";
				break;
			case "SCCN":
				cell.innerHTML = "隧道创建成功";
				break;
			case "ICCN":
				cell.innerHTML = "会话创建成功";
				break;
			case "PPP":
				cell.innerHTML = "PPP协商";
				break;
			case "DATA":
				cell.innerHTML = "<span style='color:#269434;font-weight:bold'>服务中</span>";
				break;
			}
		}

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.style.color = usedayscolor;
		cell.innerHTML = r.ipcnt+'/'+r.maxipcnt+'/'+r.license_ipcnt;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.style.color = usedayscolor;
		cell.innerHTML = r.delay_cur+'/'+r.delay_min+'/'+r.delay_max;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.style.color = usedayscolor;
		cell.innerHTML = r.outbps+'/'+r.inbps;
	}
	
	$(".gamecloud_list tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function fail_click()
{
	g_ascdesc = "desc";
	
	yxkx_sort("time");
}

function yxkx_sort(sort)
{
	g_sort = sort;
	
	if (g_ascdesc == "desc")
		g_ascdesc = "asc";
	else
		g_ascdesc = "desc";
	
	gamecloud_list();
}

function gamecloud_delete()
{
	var idstr = "";
	var namestr = "";
	var arid = [], arname = [];

	$("[name='mypa']").each(function(){
		if ($(this).attr("checked")) {
			arid.push($(this).val());
			arname.push($(this).attr("cname"));
		}
	});
	if (arid.length == 0) {
		alert("请选择要删除的设备");
		return false;
	}

	idstr = arid.join('#');
	namestr = arname.join('#');

	if (!confirm("确定要删除选中的设备吗"))
		return false;
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'gamecloud_delete', idstr: idstr},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
		
			gamecloud_list();
		}
	});
}
</script>
<style type="text/css">
.yxkxset table td {padding: 3px 0;}
</style>
</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "yxkx");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-bd-nav">
				<form>
					<div class="form-group">
						刷新&nbsp;
						<select id="bdupdateint" class="form-control">
							<option value="0">不刷新</option>
							<option value="5">5秒</option>
							<option value="15" selected>15秒</option>
							<option value="60">60秒</option>
						</select>
					</div>
					<div class="form-group">
						显示组&nbsp;
						<select id="grplisthdr" class="form-control">
							<option value="-1">所有组</option>
					       	</select>
					</div>
					<div class="form-group">
						每页&nbsp;
						<input type="text" value="20" id="listnum" size="1" class="form-group-text" /> 条
					</div>
					<div class="form-group">
						<input type="text" placeholder="请输入设备编号或名称进行模糊查询" id="sch" size="48" class="form-group-text" onkeyup="enterEvent(gamecloud_list)" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="button_click()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-delete">
						<input type="button" value="删除选中" onclick="gamecloud_delete()" class="btn-default" />
					</div>
				</form>
			</div>
			<div class="gamecloud_list cloud_main_table">
				<table cellspacing=0 cellpadding=0 id="gamecloud_table">
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th style="width:30px;" align="center">
							<input type="checkbox" name="allpa" />
						</th>
						<th align="left" width="120px"><a href="javascript:yxkx_sort('license_id12')">编号</a></th>
						<th align="left" style="width:200px;"><a href="javascript:yxkx_sort('name')">名称</a></th>
						<th align="center" width="40px">状态</th>
						<th align="center" width="90px">属组</th>
						<th align="center" width="150px"><a href="javascript:yxkx_sort('actime')">最后在线</a></th>
						<th align="right" width="300px">许可时间</th>
						<th align="right" width="100px"><a href="javascript:yxkx_sort('enable')">快线服务</a></th>
						<th align="right" width="150px"><a href="javascript:yxkx_sort('ipcnt')">人数(当前/最大/规格)</a></th>
						<th align="right" width="180px"><a href="javascript:yxkx_sort('delay_cur')">延迟ms(当前/最小/最大)</a></th>
						<th align="right" width="120px">上行/下行(bps)</th>
					</tr>
				</table>
			</div>
			<div class="cloud-page-bar">
			</div>
		</div>
	</div>
</div>
<div title="设备详细" style="display:none;" class="yxkxinfo">
</div>
<div title="添加组" style="display:none;" class="logsaddgrp">
	<br/>
	请输入组名称：<input type="text" value="" id="grpname" class="form-group-text" style="width:200px" />
</div>

<input type="hidden" value="<?=$_SESSION['cloud_username']?>" id="loginuser" />

<script style="text/javascript">
if ($.cookie("cloud_limit") && $.cookie("cloud_limit") != "") {
	$("#listnum").val($.cookie("cloud_limit"));
	limit = $.cookie("cloud_limit");
}

grplist(2, 0);
gamecloud_list();
$("body").keydown(function(){enterEvent(gamecloud_list)});
cloud_int = setInterval(function(){gamecloud_list();}, 15000);
$("#bdupdateint").change(function(){
	clearInterval(cloud_int);
	if ($(this).val() != "0")
		cloud_int = setInterval(function(){gamecloud_list()}, parseInt($(this).val()) * 1000);
})
$("#grplisthdr").change(function(){page = 1;gamecloud_list();});

	
$("[name='allpa']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='mypa']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='mypa']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

cpumem();
setInterval(cpumem, 60000);
</script>
</body>
</html>
