<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
</head>

<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="harddisk-set.php">系统信息</a></li>
			<li class="active"><a href="harddisk_info.php">硬盘信息</a></li>
		</ul>
		<div class="clear:both;"></div>
	</div>
	<div style="margin-top:5px;"></div>
	<div class="topapp-list-table">
		<table id="devicelist" style="width:100%;">
			<tr>
				<th>序号</th>
				<th align="left">硬盘</th>
				<th align="left">厂商名称</th>
				<th align="left">型号</th>
				<th align="left">序列号</th>
				<th align="left">固件版本</th>
				<th align="left">容量</th>
				<th align="left">转速</th>
				<th align="left">扇区大小</th>
				<th align="left">自检状态</th>
				<th align="left">坏道数</th>
				<th align="left">当前温度</th>
			</tr>
		</table>
	</div>
</div>
<script>
$(document).ready(function(){
function devinfo_list()
{
	$.ajax({
		url: 'ajax_harddisk_info.php',
		dataType: 'json',
		type: 'post',
		success: function(json) {
			var list = document.getElementById("devicelist");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (var i = 0; i < json.rows.length; i++) {
				var r = json.rows[i];
				var obj = list.insertRow(-1);

				trbg = '';
			       	if (i % 2) trbg = 'log-table-tr-toggle-bgcolor-curr';
				obj = list.insertRow(-1);
				obj.setAttribute('class', trbg);
				obj.onmouseover = function() {
					this.className = "trbg";
				}
				obj.onmouseout = function() {
					this.className = "";
			       	}

				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i + 1;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.obj;

				for (j = 0; j < r.list.length; j++) {
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "left");
					cell.innerHTML = r.list[j].val;
				}
			}
		}
	});
}
devinfo_list();
});
</script>
</body>
</html>
