<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript">
function iptable_rmvip(ip, fname)
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'iptable_rmvip', ip: ip, fname: fname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				showerror(json.str);
			else {
				showerror("操作成功");
				location.reload();
			}
		}
	});
}

function addip()
{
	$(".iptable-addip").dialog({
			width: 300,
			height:150,
			buttons:[{
				text: "确定",
				click: function(){
					addip_handle();
				}
			}]
	});
}

function addip_handle()
{
	var a1 = [];

	var ipaddr = $("#ipaddr").val();
	ipaddr = TrimAll(ipaddr);
	if (ipaddr == "") {
		showerror("请输入正确的IP地址.");
		return false;
	}

	if (ipaddr.indexOf('/') != -1) {
		a1 = ipaddr.split('/');
		if (a1[1] == "") {
			showerror("请输入正确的IP地址.");
			return false;
		}
		if (a1.length != 2) {
			showerror("请输入正确的IP地址.");
			return false;
		}
		if (!IsIPAddr(a1[0])) {
			showerror("请输入正确的IP地址.");
			return false;
		}
		if (parseInt(a1[1]) > 32 || parseInt(a1[0]) < 0) {
			showerror("请输入正确的IP地址.");
			return false;
		}
	}else 
	if (ipaddr.indexOf('-') != -1) {
		a1.length = 0;
		a1 = ipaddr.split('-');
		if (a1[1] == "") {
			showerror("请输入正确的IP地址.");
			return false;
		}
		if (a1.length != 2) {
			showerror("请输入正确的IP地址.");
			return false;
		}
		if (!IsIPAddr(a1[0]) || !IsIPAddr(a1[1])) {
			showerror("请输入正确的IP地址.");
			return false;
		}
	}else {
		if (!IsIPAddr(ipaddr)) {
			showerror("请输入正确的IP地址.");
			return false;
		}
	}

	var ipfile = $("#ipfile").val();
	if (ipfile == "") {
		showerror("请选择要编辑的文件.");
		return false;
	}

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'iptable_addip_handle', ipfile: ipfile, ipaddr: ipaddr},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				showerror(json.str);
			else {
				showerror("操作成功");
				location.reload();
			}
		}
	});
}

</script>

</head>
<body>
<div>
	<input type="hidden" value="<?=$_GET['file']?>" id="ipfile" />
	<div style="float:right;">
		<input type="button" value="添加IP" onclick="addip()" class="btn-default" />
	</div>
	<div class="clearfloat"></div>
	<div style="margin-top:10px;" class="product-user">
		<table style="width:100%;" cellspacing=0 cellpadding=0>
			<tr>
				<th style="width:40px;" align="center">序号</th>
				<th align="left">IP地址</th>
				<th align="left" style="width:50px">操作</th>
			</tr>
<?php
$file = $_GET["file"];
if (file_exists(CLOUD_IPTABLES."/".$file)) {
	$lines = file(CLOUD_IPTABLES."/".$file);
	$count = 1;
	foreach($lines as $val) {
		echo '<tr><td class="txt-center">'.($count++).'</td><td>'.$val.'</td><td><a href="javascript:iptable_rmvip(\''.$val.'\', \''.$file.'\')">删除</a></td></tr>';
	}
}
?>
		</table>
	</div>
	<div class="iptable-addip" title="添加IP", style="display:none;">
		<div style="margin: 10px 0;">
			请输入IP地址：
			<input type="text" placeholder="" id="ipaddr" class="form-group-text" />
		</div>
	</div>
</div>
<script type="text/javascript">
</script>
</body>
</html>
