<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/common.js"></script>
<title>Panabit云平台</title>
<script>
function obj_list()
{
	var task_id = $("#task_id").val();
	
	$.ajax({
		url:'ajax_upgrade_handle.php',
		data:{action: 'upgrade_list', task_id: task_id},
		dataType:'json',
		type:'post',
		success: function(json) {
			obj_list_update(json, task_id);
		}
	});
}

$(document).ready(function(){
	obj_list();
	setInterval(obj_list, 1000);
});

function obj_list_update(data, task_id)
{
	var r, s = '';
	var len = data.rows.length;
	var trobj = $(".upgrade-obj table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		mk = "";
		
		if (r.status == "0")
			r.status = "等待升级";
		else if (r.status == "1")
			r.status = "<img src='../img/37.gif' />";
		else if (r.status == "2")
			r.status = "<img src='../img/10.png' width='15px' />";
		else if (r.status == "3") {
			r.status = "<span style='color:#f00;'><img src='../img/12.png' width='15px' /></span>";
			mk = '<a href="javascript:upgrade_again('+task_id+', \''+r.license_id12+'\')">再次升级</a>';
			mk += '&nbsp;&nbsp;|&nbsp;&nbsp;';
		}
		mk += '<a href="javascript:upgrade_delete_device('+task_id+', \''+r.license_id12+'\')">删除</a>';
		
		var t = (r.time - r.servertime);
		if (t > 0) r.errors = t+"s 后开始升级......";
		if (r.errors == "0" || r.errors == "") 
			r.errors = "准备升级......";
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			tdobj.eq(0).html((i+1));
			tdobj.eq(1).html(r.license_id12);
			tdobj.eq(2).html(r.name);
			tdobj.eq(3).html(r.ori_version);
			tdobj.eq(4).html(r.last_version);
			tdobj.eq(5).html(r.status);
			tdobj.eq(6).html(r.errors);
			tdobj.eq(7).html(mk);
		}else{
			s = '<tr class="'+trbg+'">'+
				'<td align="center">'+(i+1)+'</td>'+
				'<td align="left">'+ r.license_id12+'</td>'+
				'<td class="td-normal" align="left">'+ r.name+'</td>'+
				'<td align="left">'+r.ori_version+'</td>'+
				'<td align="left">'+r.last_version+'</td>'+
				'<td align="left">'+ r.status+'</td>'+
				'<td align="left">'+r.errors+'</td>'+
				'<td align="center">'+mk+'</td>'+
				'</tr>';
			$(s).appendTo(".upgrade-obj table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function upgrade_again(task_id, license_id12)
{
	if (!confirm("确定要再次升级此台设备吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'upgrade_again', task_id: task_id, license_id12: license_id12},
		dataType:'json',
		type:'post',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			obj_list_update(json);
		}
	});
}

function upgrade_delete_device(task_id, license_id12)
{
	if (!confirm("确定要取消此台设备的升级吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'upgrade_delete_upgrade', task_id: task_id, license_id12: license_id12},
		dataType:'json',
		type:'post',
		success: function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			obj_list();
		}
	});
}
</script>
</head>
<body>
	<div style="font-size:14px;padding:10px 0;border-bottom:1px solid #ddd;">
		<label>&nbsp;&nbsp;任务编号：<?php echo $_GET['task_id']; ?></label>
		<input type="hidden" value="<?php echo $_GET['task_id']; ?>" id="task_id" />
	</div>
	<div class="upgrade-obj" style="margin-top:10px;">
		<table>
			<tr>
				<th width="40px" align="center">序号</th>
				<th align="left" width="110px">编号</th>
				<th align="left">名称</th>
				<th align="left">当前版本</th>
				<th align="left">升级后版本</th>
				<th align="left">当前状态</th>
				<th align="left" width="150px">状态信息</th>
				<th width="150px">操作</th>
			</tr>
		</table>
	</div>
</body>
</html>
