<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function operation_list()
{
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	$.ajax({
		url:'system_handle.php',
		type:'post',
		dataType:'json',
		data:{type:"operation_list", starttime:starttime, endtime:endtime},
		success:function(json){
			update(json);
		}
	});
}

function update(data)
{
	var list = document.getElementById("contlist");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < data.rows.length; i++) {
		r = data.rows[i];

		var row = list.insertRow(-1);

		var pos = 0;
		var cell = row.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = row.insertCell(pos++);
		cell.innerHTML = r.user;
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.time;
		cell = row.insertCell(pos++);
		cell.innerHTML = r.obj;
		cell = row.insertCell(pos++);
		cell.innerHTML = r.cont;
	}
}
</script>
</head>
<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="../Maintain/login_log.php">本地登录</a></li>
			<li><a href="../Maintain/dpi_login.php">告警日志</a></li>
			<li><a href="../Maintain/alarm_log.php">攻击日志</a></li>
			<!--<li><a href="../Maintain/seslimit.php">数据包丢弃</a></li>-->
			<li class="active"><a href="../Maintain/operation.php">操作日志</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now");
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="layui-btn layui-btn-normal layui-btn-xs" href="javascript:void(0);" onclick="operation_list()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
    <div class="topapp-list-table">
        <table style="width:100%;" id="contlist">
            <tr>
                <th class="txt-center" style="width:50px">序号</th>
                <th class="txt-left" width="150px">用户名称</th>
                <th class="txt-center" width="250px">登录时间</th>
                <th class="txt-left">操作对象</th>
                <th class="txt-left">操作内容</th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var layer, form;
layui.use(['layer', 'form'], function(){
	layer = layui.layer ,form = layui.form;
});
operation_list();
$("#imgstart").click(function(){
		new Calendar().show(document.getElementById("start"));
	});
$("#imgend").click(function(){
		new Calendar().show(document.getElementById("end"));
	});
</script>
</body>
</html>
