<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title><?=VERSION?></title>
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
</head>
<body>
<div class="maintain-content check-panel-radius">
	<table style="font-size:12px;">
		<tr>
			<td align="left" width="100px">选择端口</td>
			<td>
				<select id="port" style="width:250px">
					<?php
					$port = 0;
					if (isset($_GET["port"]))
						$port = $_GET["port"];
					
					$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);

					$strxml = array();
					$sql = 'select port from palog.receiver';
					$result = mysql_query($sql);
					$i = 0;
					if ($result != false)
						while ($row = mysql_fetch_row($result)) {
							if ($port == $row[0])
								echo '<option value="'.$row[0].'" selected>'.$row[0].'</option>';
							else
								echo '<option value="'.$row[0].'" >'.$row[0].'</option>';
						}
					mysql_free_result($result);
					mysql_close();
					?>
				</select>
			</td>
			<td></td>
		</tr>
	</table>
    <div class="pnb-bags-24" id="pnb-bags-24" style="margin-top:20px;height:300px">
    </div>
    <div class="pnb-bags-week" id="pnb-bags-week" style="margin-top:20px;height:300px">
    </div>
    <div class="pnb-bags-month" id="pnb-bags-month" style="margin-top:20px;height:300px">
    </div>
</div>

<script type="text/javascript">
function bags_getdata(hours, render)
{
    var port = $("#port").val();

    $.ajax({
        url:"getevent.php",
        type:"post",
        data:{type:"bags_trend", port: port, hours: hours},
        dataType:"json",
        success:function(json){
            bags_chart(hours, json, render);
        }
    });
}

bags_getdata(24, "pnb-bags-24");
bags_getdata(168, "pnb-bags-week");
bags_getdata(720, "pnb-bags-month");

function bags_chart(hours, json, render)
{
    if (hours == 24)
        title = "最近一天包记录数";
    else if (hours == 168)
        title = "最近一周包记录数";
    else if (hours == 720)
        title = "最近一个月包记录数";

    var options = {
        chart:{
            renderTo:render,
            defaultSeriesType:"area",
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: true,
			//backgroundColor: '#f5f5f5',
			borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },title:{
            enabled: true,
            text:title,
            style: {
                        fontSize: '16px',
                        fontFamily: '微软雅黑'
                    }
        },xAxis:{
            type:'datetime',
            tickPixelInterval:60,
            labels:{
                step:2,
                formatter: function() {
                    return Highcharts.dateFormat('%d/%H:%M:%S', this.value);
                }
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:"bags(分钟)"
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
                }
            },
            plotLines:[{value:0,width:1}]
        },plotOptions:{
            area:{stacking:false,lineWidth:0,marker:{enabled:false}},
            spline:{
                marker:{radius:0,
                    lineWidth:0
                       }
                   }
        },credits:{enabled:false},
        legend: {
            enabled: false,
            layout: 'vertical',
            align: 'right',
            width: 120,
            verticalAlign: 'middle',
            itemMarginTop: 3,
            borderWidth: 0,
            labelFormatter: function() {
                return '<div style="text-align: left; width:100px;font-weight:normal;">' + this.name + '</div>';
            }
        },
        tooltip:{
            formatter:function(){
                var dd = new Date(this.x);
                var str = dd.getHours()+':'+dd.getMinutes();
                return this.series.name+'<br/>'+str+' '+this.y;
            }
        },series:[]
    }

	Highcharts.setOptions({ global: { useUTC: false } });
    options.series = json.result;
    var chart = new Highcharts.Chart(options);
}

$("#port").change(function(){
    bags_getdata(24, "pnb-bags-24");
    bags_getdata(168, "pnb-bags-week");
    bags_getdata(720, "pnb-bags-month");
})
</script>
</body>
</html>
