<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");

if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/jquery.min.js"></script>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<title>Panabit云平台</title>
</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_qrcode");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li><a href="showcode.php">微信关联</a></li>
					<li class="active"><a href="weixin_user.php">微信用户</a></li>
				</ul>
		       	</div>
			<div style="margin:20px;">
				<table id="weixin-user-list" style="width:500px;">
				</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
cpumem();
setInterval(cpumem, 60000);

function user_unbind(openid)
{
	if (!confirm("确定要取消关联吗"))
		return false;

	$.ajax({
		url: "system_handle_ex.php",
		data: {type: "user_unbind", openid: openid},
		type: "post",
		dataType: "json",
		success: function(json) {
			if (json.ret && json.ret == -1)
				alert(json.out);
			else
				weixin_userlist();
		}
	})
}

function weixin_userlist()
{
	$.ajax({
		url: "system_handle_ex.php",
		data: {type: "weixin_user"},
		type: "post",
		dataType: "json",
		success: function(json) {
			var list = document.getElementById("weixin-user-list");
			while (list.rows.length > 0)
				list.deleteRow(0);

			if (json.ret && json.ret == -1) {
				var obj = list.insertRow(-1);
				var cell = obj.insertCell(pos++);
				cell.innerHTML = '暂无用户关联';
				return;
			}

			for (i = 0; i < json.user_info_list.length; i++) {
				var r = json.user_info_list[i];
				var obj = list.insertRow(-1);
				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("width", "30px");
				cell.innerHTML = i + 1;
				cell = obj.insertCell(pos++);
				cell.innerHTML = '<img src="'+r.headimgurl+'" width="50px" />';
				cell = obj.insertCell(pos++);
				cell.innerHTML = typeof r.nickname == "undefined" ? "请关注Panabit公众号" : r.nickname;
				cell = obj.insertCell(pos++);
				cell.innerHTML = r.openid;
				cell = obj.insertCell(pos++);
				cell.innerHTML = '<a href="javascript:void(0);" onclick="user_unbind(\''+r.openid+'\')">取消关联</a>';
			}
		}
	});
}

weixin_userlist();
</script>
</body>
</html>
