<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function account_trend()
{
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var account = $("#account").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../account/accountlist.php',
		dataType:'json',
		type:'post',
		data:{type: 'acctrend', 
			account: account, 
			errname: errname, 
			startdt: starttime, 
			enddt: endtime},
		success:function(json) {
			cluster_load_hide();
			account_createtrend(account, "bps", "bpsup", starttime, endtime, json);
			account_createtrend(account, "flow", "bpsflow", starttime, endtime, json);
		}
	});
}

function account_createtrend(account, chartype, render, starttime, endtime, data)
{
	var title = "";
	var units = 'bits/s';
	if (chartype == "flow") 
		units = "#flowcnt";
	var timestr = " - "+starttime+"/"+endtime;
	if (chartype == "bps") 
		title = account+"-流量趋势图"+timestr;
	else 
		title = account+"-连接数趋势图"+timestr;

	var options = {
	chart:{
	    renderTo:render,
	    borderRadius:0,
	    defaultSeriesType:'area',
		//backgroundColor: '#f5f5f5',
		//borderWidth: 1,
		//borderColor:'#D3DCEB',
		//borderRadius:4
	},title:{
	    text:title,
	    style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
	},xAxis:{
	    type:'datetime',
	    tickPixelInterval:80,
	    labels:{
		rotation:-45,
		align:'right',
		style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
	    }
	},yAxis:{
	    min:0,
	    tickPixelInterval:30,
	    title:{
		text:units
	    },labels:{formatter:function(){
		return numberformats(parseInt(this.value));
	    }
	    },
	    plotLines:[{value:0,width:1}]
	},legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
	},plotOptions:{
	    area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
	},credits:{enabled:false},
	tooltip:{
	    formatter:function() {
		return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
	    }
	},series:[]
	}

	if (chartype == "bps") {
		options.series[0] = data.result_up[0];
		options.series[1] = data.result_down[0];
	}else {
		options.series[0] = data.result_flow[0];
	}
	
	new Highcharts.Chart(options);
}
</script>
</head>
<body>
<?php
$devid = $_GET["devid"];
$account = $_GET["account"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
$account_url = "?devid=$devid&account=$account&starttime=$starttime&endtime=$endtime";
?>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="auth_trend.php<?=$account_url?>">流量趋势</a></li>
			<li><a href="auth_app.php<?=$account_url?>">应用协议</a></li>
		</ul>
	</div>
<div>
<input type="hidden" value="<?=$devid?>" id="devid" />
<input type="hidden" value="<?=$account?>" id="account" />
<input type="hidden" value="<?=$starttime?>" id="starttime" />
<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<div id="bpsup" style="margin:5px 0px;width:100%;height:300px;"></div>
	<div id="bpsflow" style="margin:5px 0px;width:100%;height:300px;"></div>
</div>
<script>
account_trend();
Highcharts.setOptions({ global: { useUTC: false } });
</script>
</body>
</html>

