<?php	
session_start();
include(dirname(__FILE__)."/common.php");
if (!chksession()) {
	outputres("no", "请重新登录");
	exit;
}

$action = isset($_POST["action"]) ? postval("action") : "";

if ($action == "logstat_reset")
{
	$cmd = PANALOGEYE." serhit config logstat_reset=1";
	exec($cmd, $out, $ret);
}

if ($action == "showstatus")
{
	$rows = array();

	$cmd = PANALOGEYE." serhit stat logstat=1";
	exec($cmd, $out, $ret);
	foreach($out as $obj) {
		list($tag, $name, $stat) = explode(' ', $obj);
		array_push($rows, array(
			"tag"=>$tag,
			"name"=>$name,
			"stat"=>(int)$stat
		));
	}
	echo json_encode($rows);
}

if ($action == "getconfig")
{
	// logstat_server=192.168.8.21
	// logstat_port=10666
	$cmd = PANALOGEYE." serhit stat | grep logstat";
	exec($cmd, $out, $ret);

	$json = array();
	foreach($out as $obj) {
		list($tag, $val) = explode('=', trim($obj));
		switch($tag) {
		case "logstat_server":
			$json["server"] = $val;
			break;

		case "logstat_interval":
			$json["interval"] = $val;
			break;

		case "logstat_checktime":
			$json["checktime"] = (int)$val;
			break;

		case "logstat_errcnt":
			$json["errcnt"] = (int)$val;
			break;
		}
	}
	echo json_encode($json);
}

if ($action == "setconfig")
{
	$server = postval("server");
	$interval = postval("interval");

	$cmd = PANALOGEYE." serhit config 'logstat_server=$server' 'logstat_interval=$interval'";
	exec($cmd, $out, $ret);
}
?>
