<?php
session_start();
$path = dirname(__FILE__);
include($path."/common.php");
if (dashboard_expire()) {
	outputres("no", "超时登录");
	exit;
}

$_SESSION["palog_expiretime"] = time() + 1800;

$action = postval("action");
if ($action == "switchtime_get")
{
	echo getconfig("databoard_switchtime");
}

if ($action == "switchtime_set")
{
	$st = postval("st");

	if (!file_exists(LOG_CONF)) {
		outputres("no", "配置文件不存在");
		exit;
	}

	setconfig("databoard_switchtime", $st);

	outputres("yes", "");
	exit;
}

if ($action == "mapappset")
{
	$appid	= postval("appid");
	$cname	= postval("cname");

	if (!file_exists(LOG_CONF)) {
		outputres("no", "配置文件不存在");
		exit;
	}

	setconfig("databoard_map_appid", $appid);
	setconfig("databoard_map_cname", $cname);

	outputres("yes", "");
	exit;
}

if ($action == "localfile1" || $action == "localfile2" || $action == "localfile3")
{
	$upfile = $_FILES[$action];
	$dst = $path."/".$action.".jpg";
	if (move_uploaded_file($upfile["tmp_name"], $dst) == false) {
		echo '<script>alert("上传失败");</script>';
		exit;
	}
	echo '<script>alert("上传成功，请刷新页面查看");</script>';
}

if ($action == "ssdp_src" || $action == "ssdp_dst")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_ssdp";
	if ($action == "ssdp_dst")
		$path .= "_dstip";

	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ipaddr, $flow) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ipaddr, 
				"flow"=>(int)$flow,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "msds_src" || $action == "msds_dst")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_msds";
	if ($action == "msds_dst")
		$path .= "_dstip";

	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ipaddr, $flow) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ipaddr, 
				"flow"=>(int)$flow,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "icmp_src" || $action == "icmp_dst")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_icmp";
	if ($action == "icmp_dst")
		$path .= "_dstip";

	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ipaddr, $flow) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ipaddr, 
				"flow"=>(int)$flow,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "ntp_src" || $action == "ntp_dst")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_ntp";
	if ($action == "ntp_dst")
		$path .= "_dstip";

	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ipaddr, $flow) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ipaddr, 
				"flow"=>(int)$flow,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "unknown_port")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_unknown_port.txt";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($port, $num) = explode(' ', $val);
			array_push($rows, array(
				"port"=>$port, 
				"num"=>(int)$num,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "newdomain")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_dmcomp.txt";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($host, $num) = explode(' ', $val);
			array_push($rows, array(
				"host"=>$host, 
				"num"=>(int)$num,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "mailcious")
{
	$urls = $ips = array();
	$path = DASHBOARD_PATH."/dashboard_mailcious.txt";
	if (file_exists($path)) {
		$list = file($path);
		foreach($list as $k=>$val) {
			list ($url, $tp, $from, $count) = explode(',', $val);
			array_push($urls, array(
				"url"=>$url, 
				"count"=>(int)$count
			));
		}
	}

	$path = DASHBOARD_PATH."/dashboard_mailcious_users.txt";
	if (file_exists($path)) {
		$list = file($path);
		foreach($list as $k=>$val) {
			list ($ip, $count) = explode(',', $val);
			array_push($ips, array(
				"ip"=>long2ip($ip), 
				"count"=>(int)$count
			));
		}
	}
	$json = array("url"=>$urls, "ip"=>$ips);
	echo json_encode($json);
}

if ($action == "filedownload")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_appstore.txt";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($fname, $count) = explode(' ', $val);
			if (json_encode($fname) == false)
				$fname = iconv("gb2312", "utf-8", $fname);
			array_push($rows, array(
				"fname"=>$fname, 
				"count"=>(int)$count
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "getlogcount")
{
	$sum = 0;

	$cmd = PANALOGEYE." receiver list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($name, $port, $num) = explode(' ', $val);

		$sum += $num;
	}

	echo $sum;
}

if ($action == "gettitle")
{
	echo getconfig("dashboard_title");
}

if ($action == "settitle")
{
	$title = postval("title");
	
	if (setconfig("dashboard_title", $title) == false)
		outputres("no", "操作失败");
	else
		outputres("yes", "操作成功");
}

if ($action == "heatmap_setcenter")
{
	$lng= postval("lng");
	$lat = postval("lat");
	
	if (setconfig("dashboard_heatmap_center", $lng."-".$lat) == false)
		outputres("no", "操作失败");
	else
		outputres("yes", "操作成功");
}

if ($action == "dnssrc")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_tophost_dnssrc";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ipaddr, $flow, $up, $down) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ipaddr, 
				"flow"=>(int)$flow,
				"up"=>(int)$up,
				"down"=>(int)$down
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "tophost")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_tophost";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($host, $flow, $up, $down) = explode(' ', $val);
			array_push($rows, array(
				"host"=>$host, 
				"flow"=>(int)$flow,
				"up"=>(int)$up,
				"down"=>(int)$down
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "synack_src" || $action == "synack_dst")
{
	$rows = array();

	$path = DASHBOARD_PATH."/dashboard_synack";
	if ($action == "synack_dst")
		$path .= "_dstip";

	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ipaddr, $flow) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ipaddr, 
				"flow"=>(int)$flow,
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "settodst")
{
	$dstname = postval("dstname");
	
	if (setconfig("dashboard_dstname", $dstname) == false)
		outputres("no", "操作失败");
	else
		outputres("yes", "操作成功");
}

if ($action == "gettodst")
{
	echo getconfig("dashboard_dstname");
}

if ($action == "heatmap_getcenter")
{
	echo getconfig("dashboard_heatmap_center");
}

if ($action == "mapdata")
{
	$path = DASHBOARD_PATH."/attackline_dashboard";

	$china = $sort = array();

	if (!file_exists($path)) {
		$json = array("world"=>$world, "china"=>$china);
		echo json_encode($json);
		exit;
	}

	$list = file($path);

	foreach($list as $val) {
		list($name, $flow) = explode(' ', $val);
		$name = iconv("gb2312", "utf-8", $name);
		if ($name == "中国") continue;
		array_push($china, array(
			"name"=>$name,
			"value"=>(float)$flow
		));
		array_push($sort, (float)$flow);
       	}

	array_multisort($sort, SORT_DESC, $rows);

	/*
	* world
	*/
	unlink($rows);
	$world= array();
	
	$path = DASHBOARD_PATH."/attack_world.txt";
	if (!file_exists($path)) {
		$json = array("world"=>$world, "china"=>$china);
		echo json_encode($json);
		exit;
	}

	$list = file($path);
	foreach($list as $val) {
		list($cname, $flow) = explode(' ', $val);
		$cname = iconv("gb2312", "utf-8", $cname);
		if ($flow == 0 || strchr($cname, ".") != false || $cname == "新加坡") 
			continue;
		//if ($cname == "中国") continue;
		array_push($world, array(
			"name"=>$cname,
			"cname"=>$cname,
			"value"=>(float)$flow
		));
       	}
	
	$json = array("world"=>$world, "china"=>$china);
       	echo json_encode($json);
}

if ($action == "yyspie")
{
	$path = DASHBOARD_PATH."/yys_dashboard";

	$rows = array();

	if (!file_exists($path)) {
		$json["rows"] = $rows;
		echo json_encode($json);
		exit;
	}

	$list = file($path);
	
	foreach($list as $val) {
		list($name, $up, $down) = explode(' ', $val);
		array_push($rows, array(
			"name"=>iconv("gb2312", "utf-8", $name), 
			"value"=>(float)$up + (float)$down
		));
       	}
	
	$json = array("rows"=>$rows);
       	echo json_encode($json);
}

if ($action == "applist")
{
	$rows = array();

	$path = DASHBOARD_PATH."/apptop_dashboard";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			if ($k >= 10)
				break;
			list ($cname, $flow, $up, $down) = explode(' ', $val);
			array_push($rows, array(
				"cname"=>iconv("gb2312", "utf-8", $cname), 
				"flow"=>(int)$flow,
				"up"=>(int)$up,
				"down"=>(int)$down
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "flowpie")
{
	$path = DASHBOARD_PATH."/appgroup_dashboard";

	$rows = array();

	if (!file_exists($path)) {
		$json["rows"] = $rows;
		echo json_encode($json);
		exit;
	}

	$list = file($path);
	
	foreach($list as $val) {
		list($name, $flow, $up, $down) = explode(' ', $val);
		array_push($rows, array(
			"name"=>iconv("gb2312", "utf-8", $name), 
			"value"=>(float)$flow
		));
       	}
	
	$json = array("rows"=>$rows);
       	echo json_encode($json);
}

if ($action == "bytepie")
{
	$path = DASHBOARD_PATH."/appgroup_dashboard";

	$bytearr = $flowarr = array();

	if (!file_exists($path)) {
		$json = array("byte"=>$bytearr, "flow"=>$flowarr);
		echo json_encode($json);
		exit;
	}

	$list = file($path);
	
	foreach($list as $val) {
		list($name, $flow, $up, $down) = explode(' ', $val);
		$utf8name = iconv("gb2312", "utf-8", $name);
		array_push($bytearr, array(
			"name"=>$utf8name,
			"value"=>(float)$up + (float)$down
		));
		array_push($flowarr, array(
			"name"=>$utf8name,
			"value"=>(float)$flow
		));
       	}
	
	$json = array("byte"=>$bytearr, "flow"=>$flowarr);
       	echo json_encode($json);
}

if ($action == "apptrend")
{
	$path = DASHBOARD_PATH."/apptrend_dashboard";

	$rows = array();

	if (!file_exists($path)) {
		$json["rows"] = $rows;
		echo json_encode($json);
		exit;
	}

	$list = file($path);
	
	$date = $up = $down = $flow = array();

	foreach($list as $val) {
		list($end, $bpsup, $bpsdown, $bpsflow) = explode(' ', $val);
		
		array_push($date, date("d/H:i:s", $end));
		array_push($up, (int)$bpsup);
		array_push($down, (int)$bpsdown);
		array_push($flow, (int)$bpsflow);
       	}
	
	$json = array("xdate"=>$date, "up"=>$up, "down"=>$down, "flow"=>$flow);
       	echo json_encode($json);
}

if ($action == "heatmap")
{
	$page = postval("page");
	$limit = postval("limit");

	$path = DASHBOARD_PATH."/lnglat_dashboard";

	$rows = array();

	if (!file_exists($path)) {
		$json["rows"] = $rows;
		echo json_encode($json);
		exit;
	}

	$start = ($page - 1) * $limit;
	$end = $start + $limit;

	if (($fp = fopen($path, "r")) != false) {
		$count = 0;
		while (!feof($fp)) {
			$buf = fgets($fp);
			if ($buf == "") continue;

			list($lng, $lat, $type, $cnt) = explode(' ', trim($buf, "\r\n"));

			if (strlen($lng) <= 5 || strlen($lat) <= 5 || 
				$lng == "103.99999999999999") 
				continue;
			if (substr($lng, 1) == '0' || 
				substr($lat, 1) == '0') 
				continue;
			if (strchr($lng, '-') != false || 
				strchr($lng, '&') != false || 
				strchr($lng, '?') != false) 
				continue;
			if (strchr($lat, '-') != false || 
				strchr($lat, '&') != false || 
				strchr($lat, '?') != false) 
				continue;

			if ((float)$lng > 180 || (float)$lat > 90)
				continue;

			if ($count >= $start && $count < $end)
				array_push($rows, array("coord"=>array((float)$lng, (float)$lat), "elevation"=>(int)$cnt * 200));

			if (++$count >= $end)
				break;
		}
		fclose($fp);
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "topdns")
{
	$rows = array();

	$path = DASHBOARD_PATH."/attackline_dashboard_dns";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			list ($ip, $count) = explode(' ', $val);
			array_push($rows, array(
				"ipaddr"=>$ip, 
				"count"=>(int)$count
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "iplist")
{
	$rows = array();

	$path = DASHBOARD_PATH."/topip.txt";
	if (file_exists($path)) {
		$list = file($path);

		foreach($list as $k=>$val) {
			if ($k >= 10)
				break;
			list ($ip, $flow, $up, $down) = explode(' ', $val);
			array_push($rows, array(
				"ip"=>long2ip($ip), 
				"flow"=>(int)$flow,
				"up"=>(int)$up,
				"down"=>(int)$down
			));
		}
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "mobile_num")
{
	$ip = array();

	$path = DASHBOARD_PATH."/mobile_num.txt";
	if (file_exists($path)) {
		$list = file($path);
		array_push($ip, (int)$list[0]);
	}else
		array_push($ip, 0);

	$json = array("mobile"=>$ip);
	echo json_encode($json);
}

if ($action == "ipcount")
{
	$ip = array();

	/*
	$path = DASHBOARD_PATH."/ipnum.txt";
	if (file_exists($path)) {
		$list = file($path);
		array_push($ip, (int)$list[0]);
	}
	else
		array_push($ip, 0);
	 */
	exec(PANALOGEYE." ipnum list", $out, $ret);
	foreach($out as $val) {
		$ds = explode('=', trim($val));
		array_push($ip, (int)$ds[1]);
	}

	$json = array("user"=>$ip);
	echo json_encode($json);
}

if ($action == "account")
{
	$rows = array();

	$path = DASHBOARD_PATH."/account_num.txt";
	if (file_exists($path)) {
		$cont = file_get_contents($path);
		array_push($rows, trim($cont));
	}else
		array_push($rows, 0);

	$json = array("rows"=>$rows);
	echo json_encode($json);
}
