<?php
$remote = $_SERVER["REMOTE_ADDR"];
if ($remote != "127.0.0.1")
	exit;

set_time_limit(0);

include("common.php");

$action = postval("action");
if (isset($_POST["page"]) && !is_numeric(postval("page"))) die("invalid page");
if (isset($_POST["limit"]) && !is_numeric(postval("limit"))) die("invalid limit");
if (isset($_POST["appid"]) && !is_numeric(postval("appid"))) die("invalid appid");
if (isset($_POST["bexport"]) && !is_numeric(postval("bexport"))) die("invalid bexport");

$resdir="/tmp/report";
if ($action == "unknow_port")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval("appid");
	$dstport = postval('dstport');
	$sort = postval("sort");
	$bexport = postval("bexport");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	$devid = postval("devid");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	$rows = $json = array();

	$out = array();
	$resfile = $resdir."/unknow_port";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "portpie") continue;
		array_push($rows, array(
			"port"=>($ds[0]),
			"num"=>(int)$ds[1], 
			"upbytes"=>(float)$ds[2],
			"downbytes"=>(float)$ds[3]));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "dns_topserver")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$bexport = postval("bexport");
	$devid = postval("devid");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = $json = array();

	$out = array();
	$resfile = $resdir."/dns_topserver";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach ($out as $val) {
		$ds = explode(' ', $val);
		$s = iconv("gb2312", "utf-8", $ds[6]);
		array_push($rows, array(
			"devid"=>$ds[0],
			"dnsip"=>long2ip($ds[1]), 
			"dnscount"=>(int)$ds[2], 
			"upbytes"=>(double)$ds[3], 
			"downbytes"=>(double)$ds[4],
			"yys"=>$yys_name,
			"areastr"=>$s));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "dns_topuser")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = isset($_REQUEST["devid"]) ? postval("devid") : 0;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = $json = array();

	$out = array();
	$resfile = $resdir."/dns_topuser";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach ($out as $val) {
		$ds = explode(' ', trim($val));
		if ($ds[0] == "totalrecords")
			continue;
		array_push($rows, array("ip"=>long2ip($ds[0]), 
			"dnscount"=>(int)$ds[1], 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "hostcmp")
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hosttype = postval("hosttype");
	$hostgrp = postval("hostgrp");
	$yys = postval("yys");
	$sort = postval("sort");
	$showdata = postval("showdata");
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$json = $rows = array();

	$out = array();
	$resfile = $resdir."/hostcmp";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		list($host, $num, $diff, $up, $down) = explode(' ', $val);
		if (json_encode($host) == null)
			$host = iconv("gb2312", "utf-8", $host);

		array_push($rows, array(
			"host"=>$host,
			"num"=>$num,
			"diff"=>(int)$diff,
			"up"=>(float)$up,
			"down"=>(float)$down
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "icmplist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/icmplist";
	if (file_exists($resfile))
		$out = file($resfile);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"yys"=>$ds[2],
			"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
			"position"=>iconv("gb2312", "utf-8", $ds[4]),
			"diff"=>$ds[5]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "msdslist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/msdslist";
	if (file_exists($resfile))
		$out = file($resfile);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"yys"=>$ds[2],
			"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
			"position"=>iconv("gb2312", "utf-8", $ds[4]),
			"diff"=>$ds[5]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "ntplist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/ntplist";
	if (file_exists($resfile))
		$out = file($resfile);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"yys"=>$ds[2],
			"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
			"position"=>iconv("gb2312", "utf-8", $ds[4]),
			"diff"=>$ds[5]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "ssdplist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$json = $rows = $sorts = array();
	$out = array();
	$resfile = $resdir."/ssdplist";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"yys"=>$ds[2],
			"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
			"position"=>iconv("gb2312", "utf-8", $ds[4]),
			"diff"=>$ds[5]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "synlist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$json = $rows = $sorts = array();
	$out = array();
	$resfile = $resdir."/synlist";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"yys"=>$ds[2],
			"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
			"position"=>iconv("gb2312", "utf-8", $ds[4]),
			"diff"=>$ds[5]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "npm_tophost")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$cachefile = postval("cachefile");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/npm_tophost";
	if (file_exists($resfile))
		$out = file($resfile);
	$json = $rows = $date = $yclnt = $ysvr = $yapp = array();
	foreach($out as $val) {
		$sp = explode(' ', $val);

		if ($sp[0] == "total") {
			$totalrecords = $sp[1];
			continue;
		}
		else
			list($host, $flowcont, $max_clnt, $max_svr, $max_app, $total_clnt, 
				$total_svr, $total_app, $up, $down, $clnt_cnt, $svr_cnt, $app_cnt) = $sp;
		array_push($rows, array(
			"host"=>$host,
			"count"=>(int)$flowcont,
			"max_clnt"=>(int)$max_clnt,
			"max_svr"=>(int)$max_svr,
			"max_app"=>(int)$max_app,
			"avg_clnt"=>$clnt_cnt == 0 ? 0 : (float)round($total_clnt / $clnt_cnt / 1000, 2),
			"avg_svr"=>$svr_cnt == 0 ? 0 : (float)round($total_svr / $svr_cnt / 1000, 2),
			"avg_app"=>$app_cnt == 0 ? 0 : (float)round($total_app / $app_cnt / 1000, 2),
			"up"=>(float)$up,
			"down"=>(float)$down
		));
	}

	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);
	echo json_encode($json);
}

if ($action == "npm_topapp")
{
	$devid = postval("devid");
	$appid = postval("appid");
	$eventtype = postval("eventtype");	/* china or world */
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/npm_topapp";
	if (file_exists($resfile))
		$out = file($resfile);
	$json = $rows = $date = $yclnt = $ysvr = $yapp = array();
	foreach($out as $val) {
		$sp = explode(' ', $val);
		if ($sp[0] == "app") {
			list($tag, $appid, $app_cname, $clnt_cnt, $svr_cnt, $app_cnt, $max_clnt, $max_svr, $max_app, $total_clnt, $total_svr, $total_app, $up, $down) = $sp;
			if (json_encode($app_cname) == false)
				$app_cname = iconv("gb2312", "utf-8", $app_cname);
			array_push($rows, array(
				"appid"=>$appid,
				"app_cname"=>$app_cname,
				"clnt_cnt"=>(int)$clnt_cnt,
				"svr_cnt"=>(int)$svr_cnt,
				"app_cnt"=>(int)$app_cnt,
				"max_clnt"=>(int)$max_clnt,
				"max_svr"=>(int)$max_svr,
				"max_app"=>(int)$max_app,
				"avg_clnt"=>($clnt_cnt != 0) ? round($total_clnt / $clnt_cnt / 1000, 2) : 0,
				"avg_svr"=>($svr_cnt != 0) ? round($total_svr / $svr_cnt / 1000, 2) : 0,
				"avg_app"=>($app_cnt != 0) ? round($total_app / $app_cnt / 1000, 2) : 0,
				"up"=>(float)$up,
				"down"=>(float)$down
			));
		}

		if ($sp[0] == "trend") {
			list($tag, $time, $avg_clnt, $avg_svr, $avg_app) = $sp;
			array_push($date, date("d/H:i:s", $time));
			array_push($yclnt, (float)$avg_clnt);
			array_push($ysvr, (float)$avg_svr);
			array_push($yapp, (float)$avg_app);
		}
	}

	$json = array("rows"=>$rows, "date"=>$date, "yclnt"=>$yclnt, "ysvr"=>$ysvr, "yapp"=>$yapp);
	echo json_encode($json);
}

if ($action == "npm_topuser")
{
	$devid = postval("devid");
	$appid = postval("appid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");
	$cachefile = postval("cachefile");
	$srciptype = postval("srciptype");
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/npm_topuser";
	if (file_exists($resfile))
		$out = file($resfile);
	$json = $rows = $date = $yclnt = $ysvr = $yapp = array();
	foreach($out as $val) {
		$sp = explode(' ', $val);

		if ($sp[0] == "total") {
			$totalrecords = $sp[1];
			continue;
		}
		else
			list($ip, $count, $max_clnt, $max_svr, $max_app, $total_clnt, 
				$total_svr, $total_app, $up, $down, $clnt_cnt, $svr_cnt, 
				$app_cnt, $ipmark) = $sp;
		array_push($rows, array(
			"ip"=>long2ip($ip),
			"count"=>(int)$count,
			"max_clnt"=>(int)$max_clnt,
			"max_svr"=>(int)$max_svr,
			"max_app"=>(int)$max_app,
			"avg_clnt"=>$clnt_cnt == 0 ? 0 : (float)round($total_clnt / $clnt_cnt / 1000, 2),
			"avg_svr"=>$svr_cnt == 0 ? 0 : (float)round($total_svr / $svr_cnt / 1000, 2),
			"avg_app"=>$app_cnt == 0 ? 0 : (float)round($total_app / $app_cnt / 1000, 2),
			"up"=>(float)$up,
			"down"=>(float)$down,
			"ipmark"=>iconv("gb2312", "utf-8", $ipmark)
		));
	}

	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);
	echo json_encode($json);
}

if ($action == "win7")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$platform = postval("platform");
	$cachefile = postval("cachefile");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/win7";
	if (file_exists($resfile))
		$out = file($resfile);
	$rows = array();
	foreach($out as $val) {
		list($devid, $ip, $pf, $win_ver, $account) = explode(' ', $val);
		if ($devid == "total") {
			continue;
		}

		array_push($rows, array(
			"devid"=>$devid,
			"ip"=>long2ip($ip),
			"pf"=>$pf,
			"win_ver"=>$win_ver,
			"account"=>iconv("gb2312", "utf-8", $account)
		));
	}
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "heresylist")
{
	$rows = $sorts = $json = array();

	$out = array();
	$resfile = $resdir."/heresylist";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		list($id, $name, $host, $cnt) = explode('	', $val);
		array_push($rows, array(
			"id"=>$id,
			"name"=>$name,
			"host"=>$host,
			"cnt"=>$cnt
		));
		array_push($sorts, $cnt);
	}
	array_multisort($sorts, SORT_DESC, $rows);

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "wxidlist") 
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend	= postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$arr = $json = array();

	$out = array();
	$resfile = $resdir."/qqlist2";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[3] == "$") $acc = "";
		else $acc = iconv("gb2312", "utf-8", $ds[3]);
		if (strstr($acc, "apid_") != false)
			$acc = "";

		$uid = $ds[0];
		if (is_numeric($uid)) {
			$uids = $uid;
		}
		else {
			if (strstr($uid, "%253D") != false) {
				$uid = str_replace("%253D", "=", $uid);
			}
			if (strstr($uid, "%3D") != false) {
				$uid = str_replace("%3D", "=", $uid);
			}
			$uids = base64_decode($uid);	
		}

		$mob = $ds[2];
		if (is_numeric($mob))
			$mob = long2ip($mob);
		$mac = "";
		if (json_encode($ds[7]))
			$mac = $ds[7];
		array_push($arr, array(
			"uid"=>iconv("gb2312", "utf-8", $uids), 
			"ip"=>long2ip($ds[1]), 
			"mobile"=>$mob, 
			"acc"=>($acc),
			"time"=>date("Y-m-d H:i:s", $ds[4]),
			"sport"=>(int)$ds[5],
			"dport"=>(int)$ds[6],
			"mac"=>$mac
		));
	}

	$json["rows"] = $arr;
	echo json_encode($json);
}

if ($action == "qqlist")
{
	$devid = postval('devid');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	$eventtype = postval('eventtype');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$json = $rows = array();
	$link = $filename;

	$out = array();
	$resfile = $resdir."/qqlist";
	if (file_exists($resfile))
		$out = file($resfile);
	for($i = 0; $i < count($out); $i++) {
		$ds = explode(' ', $out[$i]);
		$account = $ds[6];
		if ($ds[6] == '$' || $ds[6] == 'none' || $ds[6] == 'null')
			$account = '';
		array_push($rows, array('devid'=>$ds[0], 
			'qq'=>$ds[1], 
			'time'=>date("Y/m/d H:i:s", $ds[3]),
			'ip'=>long2ip($ds[4]), 
			'serip'=>long2ip($ds[5]),
			'account'=>iconv('gb2312', 'utf-8', $account),
			"mac"=>$ds[7],
			"sport"=>$ds[8],
			"dport"=>$ds[9]
		));
	}
	$json['rows'] = $rows;
	echo json_encode($json);
}

if ($action == "sessionlist")
{
	$devid		= postval('devid');
	$ptype		= postval("ptype");
	$strstart	= postval('starttime');
	$strend		= postval('endtime');
	$appid		= postval('appid');
	$page		= postval("page");
	$limit		= postval("limit");
	$errfile	= _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport	= postval('bexport');
	$exportseraddr	= postval('exportseraddr');
	$op		= postval("op");
	$domain		= postval("domain");
	$filename	= "session".date("YmdHis");
	$ifname		= postval("ifname");
	$exportdomain	= postval("exportdomain");
	$dstipgrp	= postval("dstipgrp");
	$dstiptype	= postval("dstiptype");
	$srciptype	= postval("srciptype");
	$srcipgrp	= postval("srcipgrp");
	$account	= iconv("utf-8", "gb2312", postval("account"));
	$connsec	= postval("connsec");
	$fullmatch	= postval("fullmatch");
	$show_totalpage = postval("show_totalpage");
	$upbytes_gt	= postval("upbytes_gt");
	$downbytes_gt	= postval("downbytes_gt");
	$backexport	= postval("backexport");
	$portgrp	= postval("portgrp");
	$porttype	= postval("porttype");

	$longstart	= strtotime($strstart);
	$longend	= strtotime($strend);

	$link		= $filename;

	$out = array();
	$resfile = $resdir."/sessionlist";
	if (file_exists($resfile))
		$out = file($resfile);
	if ($bexport == 0) {
		$axp_name = $axp_cname = $rows = array();
		/* 
		 * DEVID, APPNAME, SESSION_START_TIME, SESSION_END_TIME,SESSION_ADDR, SESSION_UP, SESSION_DOWN
		 */
		
		if (($yys = getyys()) == false) {
			outputres("no", "yys error");
			exit;
		}

		/* all appid */
		foreach($out as $val) {
			$datas = explode(',', $val);
			if ($datas[0] == "totalrecord")
				continue;

			$appname = $datas[1];
			if (!is_utf8($datas[1]))
				$appname = iconv("gb2312", "utf-8", $datas[1]);
		}

		foreach($out as $p=>$val) {
			$datas = explode(',', trim($val));
			if ($datas[0] == "totalrecord") {
				continue;
			}

			$source = long2ip($datas[4]);	
			$dest = long2ip($datas[6]);	

			$appname = $datas[1];
			if (!is_utf8($datas[1]))
				$appname = iconv("gb2312", "utf-8", $datas[1]);

			switch($datas[10]) {
			case 6:
				$app_type = "TCP";
				break;
			case 17:
				$app_type = "UDP";
				break;
			case 1:
				$app_type = "ICMP";
				break;
			}

			$position = $datas[11];
			if (json_encode($datas[11]) == false)
				$position = iconv("gb2312", "utf-8", $datas[11]);
			$yys_name = "";
			foreach($yys as $y) {
				if ($y["id"] == $datas[12])
					$yys_name = $y["name"];
			}
			$natip = ($datas[15] != 0) ? long2ip($datas[15]) : "";
			$src_position = iconv("gb2312", "utf-8", $datas[19]);
			array_push($rows, array(
				"devid"=>$datas[0],
				"app_name"=>$appname,
				"access_time"=>date('Y/m/d H:i:s', $datas[2]),
				"conn_time"=>$datas[3] - $datas[2],
				"source"=>$source,
				"source_port"=>$datas[5],
				"dest"=>$dest,
				"dest_port"=>$datas[7],
				"up"=>$datas[8],
				"down"=>$datas[9],
				"app_type"=>$app_type,
				"position"=>$position,
				"op"=>$yys_name,
				"host"=>$datas[13],
				"appid"=>$datas[14],
				"natip"=>$natip,
				"natport"=>$datas[16],
				"account"=>iconv("gb2312", "utf-8", $datas[17]),
				"ifname"=>iconv("gb2312", "utf-8", $datas[18]),
				"src_position"=>$src_position
			));
		}

		$json = array("rows"=>$rows);
		echo json_encode($json);
	}
}

if ($action == "topdomain") 
{
	$devid = postval("devid");
	$domain = postval('domain');
	$dstport = postval("dstport");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval('page');
	$limit = postval("limit");
	$sort = postval('sort');
	$bexport = postval('bexport');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$yys = postval("yys");
	$appid = postval("appid");

	$hostgrp = isset($_POST["hostgrp"]) ? postval("hostgrp") : "";
	$hosttype = isset($_POST["hosttype"]) ? postval("hosttype") : "host";
	$cachefile = isset($_POST["cachefile"]) ? postval("cachefile") : "";

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	if ($yys == "") $yys = -1;

	$out = array();
	$resfile = $resdir."/tophost";
	if (file_exists($resfile))
		$out = file($resfile);
	if (count($out) > 0 && strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}
	$rows = $json = $unit_count = $unit_total = array();
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			'host'=>iconv("gb2312", "utf-8", $ds[0]), 
			'num'=>(double)$ds[1], 
			"up"=>(double)$ds[2], 
			"down"=>(double)$ds[3],
			"port"=>(int)$ds[4]
			));
	}
	$json['rows'] = $rows;
	echo json_encode($json);
}

if ($action == "libres_udown")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$libtype2 = postval("libtype2");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$json = $rows = array();

	$out = array();
	$resfile = $resdir."/libres_list2";
	if (file_exists($resfile))
		$out = file($resfile);
	$appx = $appy = array();
	foreach($out as $k=>$val) {
		$ds = explode(' ', $val);

		$pos = -1;
		foreach($appx as $i=>$val) {
			if (strstr($val, long2ip($ds[1])) != false) {
				$pos = $i;
				break;
			}
		}

		if ($pos == -1) {
			if ($ds[0] == '$')
				array_push($appx, long2ip($ds[1]));
			else
				array_push($appx, long2ip($ds[1])."<br/>".$ds[0]);
			array_push($appy, $ds[4]);
		}
		else {
			$appy[$pos] += $ds[4];

		}
	}

	foreach($appx as $k=>$val) {
		array_push($rows, array(
			"name"=>$val,
			"count"=>$appy[$k]
		));
	}

	$json["appx"] = $appx;
	$json["appy"] = $appy;
	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "libreslist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");

	$show_custom = isset($_POST['show_custom']) ? postval('show_custom') : 0;

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/mylib";
	if (file_exists($resfile))
		$out = file($resfile);
	$hosts = array();
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "操作失败：数据库连接失败！");
		exit;
	}
	$sql = "select id, host from palog.libres_cus";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($hosts, array(
				"id"	=>$row[0],
				"host"	=>$row[1]
			));
		}
		mysql_free_result($result);
	}
	mysql_close();

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));

		$host = "";
		foreach($hosts as $val) {
			if ($val["id"] == $ds[0]) {
				$host = $val["host"];
				break;
			}
		}

		array_push($rows, array(
			"type"=>$ds[0],
			"name"=>$ds[1],
			"host"=>$host,
			"count"=>(float)$ds[2],
			"upbytes"=>(float)$ds[4],
			"downbytes"=>(float)$ds[5],
			"downn"=>(float)$ds[3]
		));
		array_push($sorts, $ds[2]);
	}
	array_multisort($sorts, SORT_DESC, $rows);

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "xyduser")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$xyd_type = postval("xyd_type");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/xyd2";
	if (file_exists($resfile))
		$out = file($resfile);
	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"account"=>iconv("gb2312", "utf-8", $ds[1]),
			"count"=>(float)$ds[2],
		));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "xydlist")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$out = array();
	$resfile = $resdir."/xyd";
	if (file_exists($resfile))
		$out = file($resfile);
	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"type"=>$ds[0],
			"name"=>iconv("gb2312", "utf-8", $ds[1]),
			"count"=>(float)$ds[2],
		));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "topdns")
{
	$devid = postval("devid");
	$dns = postval("dns");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$bexport = postval("bexport");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = $json = $yys = array();
	
	if (($yf = getyys()) == false) {
		outputres("no", "yys error");
		exit;
	}
	foreach($yf as $y) {
		array_push($yys, array("id"=>$y["id"], "x"=>$y["name"], "y"=>0));
	}

	$area = array(
		array("name"=>"新疆", "value"=>0),
		array("name"=>"内蒙古", "value"=>0),
		array("name"=>"黑龙江", "value"=>0),
		array("name"=>"吉林", "value"=>0),
		array("name"=>"甘肃", "value"=>0),
		array("name"=>"辽宁", "value"=>0),
		array("name"=>"北京", "value"=>0),
		array("name"=>"河北", "value"=>0),
		array("name"=>"山西", "value"=>0),
		array("name"=>"宁夏", "value"=>0),
		array("name"=>"山东", "value"=>0),
		array("name"=>"青海", "value"=>0),
		array("name"=>"西藏", "value"=>0),
		array("name"=>"陕西", "value"=>0),
		array("name"=>"河南", "value"=>0),
		array("name"=>"江苏", "value"=>0),
		array("name"=>"四川", "value"=>0),
		array("name"=>"重庆", "value"=>0),
		array("name"=>"湖北", "value"=>0),
		array("name"=>"安徽", "value"=>0),
		array("name"=>"上海", "value"=>0),
		array("name"=>"浙江", "value"=>0),
		array("name"=>"贵州", "value"=>0),
		array("name"=>"湖南", "value"=>0),
		array("name"=>"江西", "value"=>0),
		array("name"=>"福建", "value"=>0),
		array("name"=>"云南", "value"=>0),
		array("name"=>"广西", "value"=>0),
		array("name"=>"广东", "value"=>0),
		array("name"=>"台湾", "value"=>0),
		array("name"=>"香港", "value"=>0),
		array("name"=>"海南", "value"=>0),
		array("name"=>"天津", "value"=>0),
		array("name"=>"澳门", "value"=>0)
	);
	
	$out = array();
	$resfile = $resdir."/topdns";
	if (file_exists($resfile))
		$out = file($resfile);
	if ($bexport == 0) {
		foreach ($out as $val) {
			$ds = explode(' ', $val);
			
			$s = iconv("gb2312", "utf-8", $ds[6]);
			$yid = (int)$ds[5];
			
			$yys_name = "";
			foreach($yys as $k=>$y) {
				if ($y["id"] == $yid) {
					$yys[$k]["y"] += (int)$ds[2];
					$yys_name = $y["x"];
				}
			}
			
			foreach($area as $k=>$val) {
				if ($area[$k]["name"] == $s) {
					$area[$k]["value"] += (int)$ds[2];
				}
			}
			
			array_push($rows, array(
				"devid"=>$ds[0],
				"dnsip"=>long2ip($ds[1]), 
				"dnscount"=>(int)$ds[2], 
				"upbytes"=>(double)$ds[3], 
				"downbytes"=>(double)$ds[4],
				"yys"=>$yys_name,
				"areastr"=>$s));
		}
		$json["rows"] = $rows;
		$json["yys"] = $yys;
		$json["area"] = $area;
	}
	echo json_encode($json);
}

if ($action == "flow_maps") 
{
	$appid = postval("appid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = postval("devid");
	$yys = -1;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	$out = array();
	$resfile = $resdir."/flow_area";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array("hc-key"=>$ds[0], 
			"value"=>(double)$ds[2] + (double)$ds[3], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"name"=>iconv("gb2312", "utf-8", $ds[1]),
			"up"=>(double)$ds[2], 
			"down"=>(double)$ds[3]));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "p2p_flow_maps") 
{
	$appid = postval("appid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = postval("devid");
	$yys = -1;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	$out = array();
	$resfile = $resdir."/p2p3";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array("hc-key"=>$ds[0], 
			"value"=>(double)$ds[2] + (double)$ds[3], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"name"=>iconv("gb2312", "utf-8", $ds[1]),
			"up"=>(double)$ds[2], 
			"down"=>(double)$ds[3]));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "game_flow_maps") 
{
	$appid = postval("appid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = postval("devid");
	$yys = -1;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	$out = array();
	$resfile = $resdir."/game3";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array("hc-key"=>$ds[0], 
			"value"=>(double)$ds[2] + (double)$ds[3], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"name"=>iconv("gb2312", "utf-8", $ds[1]),
			"up"=>(double)$ds[2], 
			"down"=>(double)$ds[3]));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "yysflow")
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$xdata = array();
	$ydata = array();
	
	$out = array();
	$resfile = $resdir."/flow_area2";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "yys") {
			array_push($xdata, iconv("gb2312", "utf-8", $ds[2]));
			array_push($ydata, (float)$ds[3]+(float)$ds[4]);
		}
	}
	
	$json['x'] = $xdata;
	$json['y'] = $ydata;
	echo json_encode($json);
}

if ($action == "p2p_yysflow")
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$xdata = array();
	$ydata = array();
	
	$out = array();
	$resfile = $resdir."/p2p2";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "yys") {
			array_push($xdata, iconv("gb2312", "utf-8", $ds[2]));
			array_push($ydata, (float)$ds[3]+(float)$ds[4]);
		}
	}
	
	$json['x'] = $xdata;
	$json['y'] = $ydata;
	echo json_encode($json);
}

if ($action == "game_yysflow")
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$xdata = array();
	$ydata = array();
	
	$out = array();
	$resfile = $resdir."/game2";
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "yys") {
			array_push($xdata, iconv("gb2312", "utf-8", $ds[2]));
			array_push($ydata, (float)$ds[3]+(float)$ds[4]);
		}
	}
	
	$json['x'] = $xdata;
	$json['y'] = $ydata;
	echo json_encode($json);
}

if ($action == "apptoip")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$sort = postval('sort');
	$appid = postval("appid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	$posi = postval("posi");


	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$out = array();
	$resfile = $resdir."/top_app_".($posi+1);
	if (file_exists($resfile))
		$out = file($resfile);

	$arr = array();
	foreach ($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if ($ds[0] != "total") {
			array_push($arr, array(
				"ip"=>long2ip($ds[0]), 
				"flowcnt"=>(int)$ds[1],
				"upbytes"=>(double)$ds[2], 
				"downbytes"=>(double)$ds[3], 
				"account"=>iconv("gb2312", "utf-8", $ds[4])
			));
		}
	}
	$json = array("rows"=>$arr);
	echo json_encode($json);
}

if ($action == "topapp")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$sort = postval('sort');
	$appid = postval("appid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$out = array();
	$resfile = $resdir."/top_app";
	if (file_exists($resfile))
		$out = file($resfile);
	$rows = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecord") {
			$json["totalrecord"] = $ds[1];
			continue;
		}

		array_push($rows, array(
			"appid"=>$ds[0],
			"name"=>$ds[1],
			"cname"=>(json_encode($ds[2]) == false) ? iconv("gb2312", "utf-8", $ds[2]) : $ds[2],
			"flowcnt"=>(int)$ds[3],
			"upbytes"=>(double)$ds[4],
			"downbytes"=>(double)$ds[5]
		));
	}

	$json['detail'] = $rows;
	echo json_encode($json);
}

if ($action == "p2p")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$sort = postval('sort');
	$appid = postval("appid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$out = array();
	$resfile = $resdir."/p2p";
	if (file_exists($resfile))
		$out = file($resfile);
	$rows = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecord") {
			$json["totalrecord"] = $ds[1];
			continue;
		}

		array_push($rows, array(
			"appid"=>$ds[0],
			"name"=>$ds[1],
			"cname"=>(json_encode($ds[2]) == false) ? iconv("gb2312", "utf-8", $ds[2]) : $ds[2],
			"flowcnt"=>(int)$ds[3],
			"upbytes"=>(double)$ds[4],
			"downbytes"=>(double)$ds[5]
		));
	}

	$json['detail'] = $rows;
	echo json_encode($json);
}

if ($action == "mobiletopapp")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$sort = postval('sort');
	$appid = postval("appid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$out = array();
	$resfile = $resdir."/mobile";
	if (file_exists($resfile))
		$out = file($resfile);
	$rows = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecord") {
			$json["totalrecord"] = $ds[1];
			continue;
		}

		array_push($rows, array(
			"appid"=>$ds[0],
			"name"=>$ds[1],
			"cname"=>(json_encode($ds[2]) == false) ? iconv("gb2312", "utf-8", $ds[2]) : $ds[2],
			"flowcnt"=>(int)$ds[3],
			"upbytes"=>(double)$ds[4],
			"downbytes"=>(double)$ds[5]
		));
	}

	$json['detail'] = $rows;
	echo json_encode($json);
}

if ($action == "game")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$sort = postval('sort');
	$appid = postval("appid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$out = array();
	$resfile = $resdir."/game";
	if (file_exists($resfile))
		$out = file($resfile);
	$rows = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecord") {
			$json["totalrecord"] = $ds[1];
			continue;
		}

		array_push($rows, array(
			"appid"=>$ds[0],
			"name"=>$ds[1],
			"cname"=>(json_encode($ds[2]) == false) ? iconv("gb2312", "utf-8", $ds[2]) : $ds[2],
			"flowcnt"=>(int)$ds[3],
			"upbytes"=>(double)$ds[4],
			"downbytes"=>(double)$ds[5]
		));
	}

	$json['detail'] = $rows;
	echo json_encode($json);
}

if ($action == "iptoapp")
{
	$ip = postval("ip");
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$sort = postval('sort');
	$appid = postval('appid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = postval("devid");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$posi = postval("posi");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	if ($ip != "") {
		if (strstr($ip, "/") !== false)
			$ipaddr = subnet_address($ip);
		else if (strstr($ip, "-") !== false)
			$ipaddr = $ip;
		else
			$ipaddr = $ip."-".$ip;
	}

	$arr = $json = array();

	$out = array();
	$resfile = $resdir."/top_ip_".($posi+1);
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($arr, array(
			"name"=>$ds[0], 
			"cname"=>iconv('gb2312','utf-8', $ds[1]),
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3], 
			"flowcnt"=>(int)$ds[4], 
			"appid"=>(int)$ds[5]
		));
	}

	$json['rows'] = $arr;
	echo json_encode($json);
}

if ($action == "iptoapp_flow")
{
	$ip = postval("ip");
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$sort = postval('sort');
	$appid = postval('appid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = postval("devid");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$posi = postval("posi");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	if ($ip != "") {
		if (strstr($ip, "/") !== false)
			$ipaddr = subnet_address($ip);
		else if (strstr($ip, "-") !== false)
			$ipaddr = $ip;
		else
			$ipaddr = $ip."-".$ip;
	}

	$arr = $json = array();

	$out = array();
	$resfile = $resdir."/top_ip_flow_".($posi+1);
	if (file_exists($resfile))
		$out = file($resfile);
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($arr, array(
			"name"=>$ds[0], 
			"cname"=>iconv('gb2312','utf-8', $ds[1]),
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3], 
			"flowcnt"=>(int)$ds[4], 
			"appid"=>(int)$ds[5]
		));
	}

	$json['rows'] = $arr;
	echo json_encode($json);
}

if ($action == "topip")
{
	$devid = postval('devid');
	$iptype = postval('iptype');
	$ipaddr = postval('ipaddr');
	$grpid = postval('grpid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$page = postval('page');
	$limit = postval("limit");
	$sort = postval('sort');
	$bexport = postval('bexport');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$show_ipnum = isset($_REQUEST["show_ipnum"]) ? postval("show_ipnum") : 0;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	$filename = "topip".date("YmdHis").".xls";

	if (strstr($ipaddr, "/") != false) {
		$ipmin = calculate_ipmin($ipaddr);
		$ipmax = calculate_ipmax($ipaddr);
		$ipaddr = $ipmin."-".$ipmax;
	}

	$out = array();
	$resfile = $resdir."/top_ip";
	if (file_exists($resfile))
		$out = file($resfile);

	$ipnum = 0;
	$i = 0;
	$arr = $arrxaxis = $arrxyaxis = $json = array();
	foreach($out as $val){
		if (strncmp($val, "ipnum=", 6) == 0) {
			list($tag, $ipnum) = explode('=', $val);
			continue;
		}

		$ds = explode(' ', $val);
			
		array_push($arrxaxis, ($ds[0]));
		switch($sort) {
		case "up":
			array_push($arrxyaxis, (double)$ds[2]);
			break;
		case "down":
			array_push($arrxyaxis, (double)$ds[3]);
			break;
		case "total":
			array_push($arrxyaxis, (double)$ds[2] + (double)$ds[3]);
			break;
		case "flow":
			array_push($arrxyaxis, (double)$ds[1]);
			break;
		}
		array_push($arr, array(
			"ip"=>($ds[0]),
			"flowcnt"=>(double)$ds[1],
			"up"=>(double)$ds[2],
			"down"=>(double)$ds[3],
			"total"=>(double)$ds[2] + (double)$ds[3],
			"devid"=>$devid,
			"bpsup"=>(double)$ds[4],
			"bpsdown"=>(double)$ds[5],
			"account"=>($ds[6] == "$") ? "" : iconv("gb2312", "utf-8", $ds[6])
		));
	}

	$json = array("x"=>$arrxaxis, "y"=>$arrxyaxis, "detail"=>$arr, "ipnum"=>$ipnum);
	echo json_encode($json);
}

if ($action == "topipflow")
{
	$devid = postval('devid');
	$iptype = postval('iptype');
	$ipaddr = postval('ipaddr');
	$grpid = postval('grpid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$page = postval('page');
	$limit = postval("limit");
	$sort = postval('sort');
	$bexport = postval('bexport');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$show_ipnum = isset($_REQUEST["show_ipnum"]) ? postval("show_ipnum") : 0;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	$filename = "topip".date("YmdHis").".xls";

	if (strstr($ipaddr, "/") != false) {
		$ipmin = calculate_ipmin($ipaddr);
		$ipmax = calculate_ipmax($ipaddr);
		$ipaddr = $ipmin."-".$ipmax;
	}

	$out = array();
	$resfile = $resdir."/top_ip_flow";
	if (file_exists($resfile))
		$out = file($resfile);

	$ipnum = 0;
	$i = 0;
	$arr = $arrxaxis = $arrxyaxis = $json = array();
	foreach($out as $val){
		if (strncmp($val, "ipnum=", 6) == 0) {
			list($tag, $ipnum) = explode('=', $val);
			continue;
		}

		$ds = explode(' ', $val);
			
		array_push($arrxaxis, ($ds[0]));
		switch($sort) {
		case "up":
			array_push($arrxyaxis, (double)$ds[2]);
			break;
		case "down":
			array_push($arrxyaxis, (double)$ds[3]);
			break;
		case "total":
			array_push($arrxyaxis, (double)$ds[2] + (double)$ds[3]);
			break;
		case "flow":
			array_push($arrxyaxis, (double)$ds[1]);
			break;
		}
		array_push($arr, array(
			"ip"=>($ds[0]),
			"flowcnt"=>(double)$ds[1],
			"up"=>(double)$ds[2],
			"down"=>(double)$ds[3],
			"total"=>(double)$ds[2] + (double)$ds[3],
			"devid"=>$devid,
			"bpsup"=>(double)$ds[4],
			"bpsdown"=>(double)$ds[5],
			"account"=>($ds[6] == "$") ? "" : iconv("gb2312", "utf-8", $ds[6])
		));
	}

	$json = array("x"=>$arrxaxis, "y"=>$arrxyaxis, "detail"=>$arr, "ipnum"=>$ipnum);
	echo json_encode($json);
}

if ($action == "group_trend")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$appid = postval("appid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$json = $uparr = $downarr = $flowarr = $xdate = array();
	$out = array();
	$resfile = $resdir."/group_trend";
	if (file_exists($resfile))
		$out = file($resfile);

	$firsttag = 0;
	$slot = 0;
	foreach($out as $val) {
		list($tag, $time, $val) = explode(' ', $val);

		if ($tag == "DATA") {
			array_push($xdate, date("m-d/H:i", $time));
			$slot++;
			continue;
		}

		if ($firsttag == 1)
			break;

		if ($tag == "TAG")
			$firsttag = 1;
	}

	$dataup = $datadown = $dataflow = array();

	$old_legend	= "";
	$legend		= "";
	$firsttag	= 0;
	$pos		= 0;
	$total_down	= array();
	$cate		= array();
	$pos_down 	= 0;
	$pos_cate	= 0;
	foreach($out as $val) {
		$ds = explode(' ', trim($val));

		$v1 = $v2 = $v3 = 0;
		$tag 	= $ds[0];
		$time 	= $ds[1];
		$v1	= $ds[2];
		if (count($ds) == 4) {
			$v2 = $ds[3];
			$v3 = 0;
		}
		else
		if (count($ds) == 5) {
			$v2 = $ds[3];
			$v3 = $ds[4];
		}

		//list($tag, $time, $v1, $v2, $v3) = explode(' ', trim($val));
		
		if ($tag == "TAG") {
			$firsttag++;
			$legend = iconv("gb2312", "utf-8", $v1);

			if ($old_legend == "")
				$old_legend = $legend;

			$pos_down	= 0;
			$pos_cate	= 0;
			$total_down 	= array();
			$cate		= array();
		}

		if ($tag == "DATA") {
			array_push($dataup, (int)$v1);
			array_push($datadown, (int)$v2);
			array_push($dataflow, (int)$v3);

			// $total_down[$pos_down++] += (int)$v2;
			// $cate[$pos_cate++] = $time;
			array_push($total_down, (int)$v2);
			array_push($cate, $time);

			continue;
		}

		if ($firsttag >= 2) {
			array_push($uparr, array("data"=>$dataup, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
			array_push($downarr, array("data"=>$datadown, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
			array_push($flowarr, array("data"=>$dataflow, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));

			$old_legend = $legend;

			$dataup = $datadown = $dataflow = array();
		}
	}

	array_push($uparr, array("data"=>$dataup, "name"=>$legend, "type"=>"line", "stack"=>"总量"));
	array_push($downarr, array("data"=>$datadown, "name"=>$legend, "type"=>"line", "stack"=>"总量"));
	array_push($flowarr, array("data"=>$dataflow, "name"=>$legend, "type"=>"line", "stack"=>"总量"));

	$json = array("up"=>$uparr, "down"=>$downarr, "flowcont"=>$flowarr, "xdate"=>$xdate);
	echo json_encode($json);
}
?>
