<?php
date_default_timezone_set("PRC");
include("version.php");
define ("MYSQL_HOST", "localhost:3306");
define ("MYSQL_USER", "phpuser");
define ("MYSQL_PASS", decode_mysql_password());
define ("DOCROOT", $_SERVER['DOCUMENT_ROOT']);
define ("LOGDPATH", "");
define ("SAVEDELETENUM", "/var/log/appweb/save.conf");
define ("FLOWLOG", "/var/log/appweb/flowlog");
define ("STOREPATH", "/var/log/appweb/storepath.conf");
define ("ALTERMYSQLPATH", "/var/log/appweb/mysqlpath");
define ("MYSQLPERCENT", "/var/log/appweb/mysqlhardpercent");
define ("NTPDCONF", "/var/log/appweb/ntp.conf");
define ("NTPDCONF_ETC", "/etc/ntp.conf");
define ("URLFILTER", "/var/log/appweb/urlfilter");
define ("URLFILTERLIST", "/var/log/appweb/urlfilterlist");
define ("CUSTOM_IP_ADDRESS", "/usr/logd/bin/ip_data_custom.txt");
define ("CUSTOM_IP_ADDRESS_ORI", "/usr/logd/bin/ip_data_custom_ori.txt");
define ("_CHECKING_STATUS_F", "/var/log/appweb");
define ("TEMP_FILE", "/usr/logdata/tmp");
define ("MOBILETREE", "/usr/logd/bin/mobiletree.txt");
define("LOG_CONF", "/usr/logd/bin/log.conf");
define ("SUPER_USER", "admin");
define ("PANABIT_BAGS_PATH", "/usr/logd/www/paupbags");
define ("CLOUD_RECORD_PIC", "/usr/logd/www/cloud_pic");
define ("CLOUD_BACKUP_PATH", "/usr/logdata/paconf");
define ("CLOUDEYE", "/usr/logd/bin/pa_monitor");
define ("DATAEYE", "/usr/logd/bin/cloudeye");
define ("PANALOGEYE", "/usr/logd/bin/panalogeye");
define ("EMAIL_CONF", "/usr/logd/bin/email.conf");
define ("CLOUD_CONF", "/etc/cloud.conf");
define ("CLUSTER_DIR", "/usr/logdata/file_cluster");
define ("LICDAT", "/usr/logd/bin/key.dat");
define ("CLOUD_TOOLBAGS", "/usr/logd/www/cloud_toolbags");
define ("CLOUD_IPTABLES", "/usr/logd/www/cloud_iptables");
define ("CLOUD_URLDNSGRP", "/usr/logd/www/cloud_urldnsgrp");
define ("HTTPS_CONF", "/usr/local/etc/nginx/nginx.conf");
define ("DASHBOARD_PATH", "/usr/logdata/dashboard/");

$TASK_TYPE_WAIT = 0;
$TASK_TYPE_BACKGROUND = 1;
$TASK_TYPE_RESULT = 2;
function isgtp()
{
	/* Check Panalog version is gtp */
	$gtp = 0;
	if (($fp = fopen($_SERVER["DOCUMENT_ROOT"]."/cretime.txt", "r"))) {
		while (!feof($fp)) {
			$buf = fgets($fp);
			if (strstr($buf, "GTP=1") != false)
				$gtp = 1;
		}
		fclose($fp);
	}
	return $gtp;
}
define ("GTP", isgtp());

function dashboard_expire()
{
	if (!isset($_SESSION["palog_username"]))
		return true;
	return false;
}

function mymicrotime()
{
	list($usec, $sec) = explode(" ", microtime());

       	return ((float)$usec + (float)$sec);
}

function showdashboardpage()
{
	$mod_6 = $mod_b = $mod_c = 'N';
	if (($conn = my_mysql_connect()) != false) {
		$loginuser = $_SESSION['palog_username'];
		$sql = "select mod_6, mod_b, mod_c from palog.users where username='$loginuser'";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$mod_6 = $row[0];
				$mod_b = $row[1];
				$mod_c = $row[2];
			}
		}
		mysql_close();
	}

	$pages = array();
	if ($mod_6 == 'Y')
		array_push($pages, array("name"=>"FlowMonitor", "page"=>"databoard.php"));
	if ($mod_b == 'Y')
		array_push($pages, array("name"=>"NPMonitor", "page"=>"delaymonitor.php"));
	if ($mod_c == 'Y')
		array_push($pages, array("name"=>"ServerMonitor", "page"=>"network-assets.php"));

	return $pages;
}

function checkpassword($pass)
{
	if (strlen($pass) < 10)
		return false;

	$has_num = 0;
	$has_str_small = 0;
	$has_str_big = 0;
	for ($i = 0; $i < strlen($pass); $i++) {
		if ($pass[$i] >= '0' && $pass[$i] <= '9')
			$has_num = 1;
		if ($pass[$i] >= 'a' && $pass[$i] <= 'z')
			$has_str_small = 1;
		if ($pass[$i] >= 'A' && $pass[$i] <= 'Z')
			$has_str_big = 1;
	}
	if ($has_num == 0 || $has_str_small == 0 || $has_str_big == 0)
		return false;
	
	return true;
}

function check_singlelogin()
{
	/*
	 * 通过判断这个文件存在+端口8080是否监听来是否跳转到
	 * http://$HTTP_HOST:8080/singleLoginTest_war
	 */
	$singlelogin_bin = "/usr/logd/bin/singleLoginTest_war.jar";
	if (file_exists($singlelogin_bin) && empty($_SESSION["palog_username"])) {
		header("location:http://".$_SERVER["HTTP_HOST"].":8080/singleLogin/");
		exit;
	}
}

function chksession()
{
	if (!isset($_SESSION["palog_expiretime"])) {
		if (isset($_SESSION["palog_username"]))
			unset($_SESSION["palog_username"]);
		return false;
	}

	if ($_SESSION["palog_expiretime"] <= time()) {
		if (isset($_SESSION["palog_username"]))
			unset($_SESSION["palog_username"]);
		return false;
	}

	$_SESSION["palog_expiretime"] = time() + 1800;

	$params = session_get_cookie_params();
	setcookie("PHPSESSID", session_id(), 0, $params["path"], $params["domain"], true, true);

	$isok = 1;
	if (!isset($_SESSION["palog_username"]) && !isset($_SESSION["cloud_username"]))
		$isok = 0;
	
	session_write_close();
	
	if (!$isok)
		return false;
	
	return true;
}

function getval($key)
{
	if (!isset($_GET[$key]))
		return "";
	
	return $_GET[$key];
}

function postval($key)
{
	if (!isset($_REQUEST[$key]))
		return "";
	
	$val = $_REQUEST[$key];

	$val = remove_xss($val);
	if (get_magic_quotes_gpc())
		$val = stripslashes($val);
	$val = addslashes($val);
	
	return $val;
}


function postval2($key)
{
	if (!isset($_REQUEST[$key]))
		return "";
	
	$val = $_REQUEST[$key];

	$val = remove_xss2($val);
	if (get_magic_quotes_gpc())
		$val = stripslashes($val);
	$val = addslashes($val);
	
	return $val;
}


function my_mysql_connect()
{
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn)
		return $conn;
	
	return false;
}

function outputres($yn, $str)
{
	echo json_encode(array("yn"=>$yn, "str"=>$str));
}

function isadmin($user)
{
	if ($user != "admin")
		return 0;
	
	return 1;
}

function dataformat($val)
{
	if ($val > (1000 * 1000 * 1000))
		return number_format($val / (1000 * 1000 * 1000), 2)."G";
	else if ($val > (1000 * 1000))
		return number_format($val / (1000 * 1000), 2)."M";
	else if ($val > (1000))
		return number_format($val / (1000), 2)."K";
	else 
		return number_format($val , 2);
}

/*子网地址*/
function subnet_address($ip)
{
    if (strstr($ip, "/") === false)
        return -1;

    $d = explode('/', $ip);
    $master_ip = $d[0];
    $mask_num = $d[1];
    switch($mask_num){
        case 8:
            $sub_ip = ip2long($master_ip) & (0xff000000);
            $broad_ip = $sub_ip ^ (0xff000000);
            break;

        case 16:
            $sub_ip = ip2long($master_ip) & (0xffff0000);
            $broad_ip = sprintf("%u", $sub_ip) ^(0xffff0000);
            return long2ip($broad_ip);

        case 24:
            $sub_ip = ip2long($master_ip) & (0xffffff00);
            $broad_ip = $sub_ip ^ (0xffffff00);
            break;
    }

    return long2ip($sub_ip+1).'-'.long2ip($broad_ip-1);
}

function isipaddr($ip)
{
	if (strchr($ip, '-') != false) {
		list($min, $max) = explode('-', $ip);
		if (isipaddr($min) && isipaddr($max))
			return true;
		else
			return false;
	}

	if (strchr($ip, '/') != false) {
		list($min, $mask) = explode('/', $ip);
		if (isipaddr($min) && $mask > 0 && $max <= 32)
			return true;
		else
			return false;
	}

	if (strpos($ip, ".") == false) 
		return false;

	$ds = explode('.', $ip);
	if (count($ds) != 4)
		return false;

	foreach($ds as $val) {
		if ($val < 0 || $val > 255)
			return false;
	}

	return true;
}

function mask_ip($mask_len)
{
	return long2ip(0xffffffff << (32 - $mask_len));
}

function mask_v6ip($mask_len)
{
	$s1 = 0;
	$s2 = 0;
	$s3 = 0;
	$s4 = 0;
	$s5 = 0;
	$s6 = 0;
	$s7 = 0;
	$s8 = 0;

	if ($mask_len >= 1 && $mask_len <= 16) {
		$mi = 15;
		for ($i = 0; $i < $mask_len; $i++) {
			$s1 += pow(2, $mi);
			$mi--;
		}
		$s2 = 0; $s3 = 0;
		$s4 = 0; $s5 = 0;
		$s6 = 0; $s7 = 0;
		$s8 = 0;
		$s1 = dechex($s1);
	}
	else
	if ($mask_len >= 17 && $mask_len <= 32) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 16; $i++) {
			$s2 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff";
		$s3 = 0; $s4 = 0;
		$s5 = 0; $s6 = 0;
		$s7 = 0; $s8 = 0;
		$s2 = dechex($s2);
	}
	else
	if ($mask_len >= 33 && $mask_len <= 48) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 32; $i++) {
			$s3 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff"; $s2 = "ffff";
		$s4 = 0; $s5 = 0; $s6 = 0;
		$s7 = 0; $s8 = 0;
		$s3 = dechex($s3);
	}
	else
	if ($mask_len >= 49 && $mask_len <= 64) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 48; $i++) {
			$s4 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff"; $s2 = "ffff";
		$s3 = "ffff";
		$s5 = 0; $s6 = 0;
		$s7 = 0; $s8 = 0;
		$s4 = dechex($s4);
	}
	else
	if ($mask_len >= 65 && $mask_len <= 80) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 64; $i++) {
			$s5 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff"; $s2 = "ffff";
		$s3 = "ffff"; $s4 = "ffff";
		$s6 = 0;
		$s7 = 0; $s8 = 0;
		$s5 = dechex($s5);
	}
	else
	if ($mask_len >= 81 && $mask_len <= 96) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 80; $i++) {
			$s6 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff"; $s2 = "ffff";
		$s3 = "ffff"; $s4 = "ffff";
		$s5 = "ffff";
		$s7 = 0; $s8 = 0;
		$s6 = dechex($s6);
	}
	else
	if ($mask_len >= 97 && $mask_len <= 112) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 96; $i++) {
			$s7 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff"; $s2 = "ffff";
		$s3 = "ffff"; $s4 = "ffff";
		$s5 = "ffff"; $s6 = "ffff";
		$s8 = 0;
		$s7 = dechex($s7);
	}
	else
	if ($mask_len >= 113 && $mask_len <= 128) {
		$mi = 15;
		for ($i = 0; $i < $mask_len - 112; $i++) {
			$s8 += pow(2, $mi);
			$mi--;
		}
		$s1 = "ffff"; $s2 = "ffff";
		$s3 = "ffff"; $s4 = "ffff";
		$s5 = "ffff"; $s6 = "ffff";
		$s7 = "ffff";
		$s8 = dechex($s8);
	}

	return "$s1:$s2:$s3:$s4:$s5:$s6:$s7:$s8";
}

function calculate_ipmin($ip) /* eg. 192.168.0.1/16*/
{
	$ex = explode('/', $ip);
	$ip1 = $ex[0];
	$mask_len = $ex[1];

	/*
	 * IPv6
	 */
	if (strchr($ip1, ":") != false) {
		if (filter_var($ip1, FILTER_VALIDATE_IP, FILTER_FLAG_IPV6) === false)
			return 0;
		$maskip = mask_v6ip($mask_len);
		$hex = unpack("H*hex", inet_pton($ip1));
		/* expand fist ip */
		$expandip = substr(preg_replace("/([A-f0-9]{4})/", "$1:", $hex['hex']), 0, -1);

		$s3 = array();
		$s1 = explode(':', $maskip);
		$s2 = explode(':', $expandip);
		foreach($s1 as $k=>$val) {
			array_push($s3, dechex(hexdec($val) & hexdec($s2[$k])));
		}
		return implode(":", $s3);
	}

	if (isipaddr($ip1) == false)
		return false;

	$mask = mask_ip($mask_len);
	$long1 = ip2long($ip1);
	$long_mask = ip2long($mask);
	$zw = $long1 & $long_mask;
	return long2ip($zw+1);
}

function calculate_ipmax($ip) /* eg. 192.168.0.1/16*/
{
	$ex = explode('/', $ip);
	$ip1 = $ex[0];
	$mask_len = $ex[1];

	/*
	 * IPv6
	 */
	if (strchr($ip1, ":") != false) {
		if (filter_var($ip1, FILTER_VALIDATE_IP, FILTER_FLAG_IPV6) === false)
			return 0;

		$maskip = mask_v6ip($mask_len);
		$hex = unpack("H*hex", inet_pton($ip1));
		/* expand fist ip */
		$expandip = substr(preg_replace("/([A-f0-9]{4})/", "$1:", $hex['hex']), 0, -1);
		$s3 = array();
		$s1 = explode(':', $maskip);
		$s2 = explode(':', $expandip);
		foreach($s1 as $k=>$val) {
			$d = (int)base_convert($val, 16, 10) & (int)base_convert($s2[$k], 16, 10);
			array_push($s3, base_convert(0xffff ^ ($d ^ ((int)base_convert($val, 16, 10))), 10, 16));
		}
		return implode(":", $s3);
	}

	if (isipaddr($ip1) == false)
	       	return false;
	$mask = mask_ip($mask_len);
	$long1 = ip2long($ip1);
	$long_mask = ip2long($mask);
	$zw = $long1 & $long_mask;
	$gb = $zw | ~$long_mask;
	
	return long2ip($gb-1);
}

function php_getapptable($str_startime, $str_endtime)
{
    $long_start = strtotime($str_startime);
    $long_end = strtotime($str_endtime);

    $inter = ($long_end - $long_start) / 86400 + 1;

    $filename = "/var/tmp/appflow_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "app_info.".date("Ymd", $long_start + $i * 86400)."_app\n");
    fclose($fp);

    return $filename;
}

function php_getappstoretable($longstart, $longend)
{
    $inter = ($longend - $longstart) / 86400 + 1;

    $filename = "/var/tmp/appstore_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");
    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "appstore.".date("Ymd", $longstart + $i * 86400)."\n");
    fclose($fp);

    return $filename;
}

function php_getiptable($str_startime, $str_endtime, $devid)
{
    $t_startime = $str_startime;
    $t_endtime = $str_endtime;

    $devid_arr = array();
    if ($devid != 0) {
		$ds = explode(',', $devid);
		foreach ($ds as $val) {
			if ($val != "")
				array_push($devid_arr, $val);
		}
	}
    else {
        if (($conn = @mysql_connect("localhost", MYSQL_USER, MYSQL_PASS))) {
			$sql = "select dev_id from palog.config";
			$res = mysql_query($sql, $conn);
			while ($row = mysql_fetch_row($res))
				array_push($devid_arr, $row[0]);
			mysql_close($conn);
		}
    }

    $filename = "/var/tmp/ipflow_table_".date("YmdHis").".txt";
    if (($fp = fopen($filename, "w")) == false)
	    return $filename;

    $longstart = strtotime($str_startime);
    $longend = strtotime($str_endtime);

    $inter_hours = ($longend - $longstart) / 3600 + 1;

    for ($j = 0; $j < count($devid_arr); $j++) {
        for ($i = 0; $i < $inter_hours; $i++) {
            fwrite($fp, "flowlog_".date("Ymd", $longstart + $i * 3600).
		".".date("YmdH", $longstart + $i * 3600)."_".$devid_arr[$j]."_ip\n");
        }
    }
    for ($i = 0; $i < $inter_hours; $i++)
	fwrite($fp, "flowlog_".date("Ymd", $longstart + $i * 3600).
		".".date("YmdH", $longstart + $i * 3600)."\n");
    fclose($fp);

    return $filename;
}

function php_getsessiontable($longstart, $longend)
{
    $minutes = ($longend - $longstart) / 60;
    $tablefile = "/var/tmp/session_table_".date("YmdHis").".txt";

    $fp = fopen($tablefile, "w");
    for ($i = 0; $i < $minutes; $i++){
        fwrite($fp, "session".date("Ymd", $longstart+$i*60).".sess".date("YmdHi", $longstart+$i*60)."\n");
    }
    fclose($fp);

    return $tablefile;
}

function php_geturlflowtable($longstart, $longend)
{
    $minutes = ($longend - $longstart) / 60;
    $tablefile = "/var/tmp/urlflow_table_".date("YmdHis").".txt";

    $fp = fopen($tablefile, "w");
    for ($i = 0; $i < $minutes; $i++){
        if (date("i", $longstart-300+$i*60) % 5 == 0)
            fwrite($fp, "urlflow".date("Ymd", $longstart+$i*60).".urlflow".date("YmdHi", $longstart+$i*60)."00\n");
    }
    fclose($fp);

    return $tablefile;
}

function php_getusrauthtable($str_startime, $str_endtime)
{
    $t_startime = $str_startime;
    $t_endtime = $str_endtime;

    $as = explode(' ', $t_startime);
    $as[1] = "00:00:00";
    $new_start = implode(' ', $as);

    $long_start = strtotime($new_start);

    $as = explode(' ', $t_endtime);
    $as[1] = "00:00:00";
    $new_end = implode(' ', $as);

    $long_end = strtotime($new_end);

    $inter = ($long_end - $long_start) / 86400 + 1;

    $filename = "/var/tmp/usrauth_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++) {
        fwrite($fp, "user_account.usrauth".date("Ymd", $long_start + $i * 86400)."\n");
    }
    fclose($fp);

    return $filename;
}

/* 64位日志系统将以QQ号首字母分散到各个库中 */
function php_getqqinfotable($longstart, $longend, $qq)
{
    $inter = ($longend - $longstart) / 86400 + 1;

    $filename = "/var/tmp/qqinfo_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");
	
	$num = 0;
	if ($qq != "none")
		$num = substr($qq, 0, 1);
	
    for ($i = 0; $i < $inter; $i++) {
		if ($num != 0)
			fwrite($fp, "qqinfo".$num.".".date("Ymd", $longstart + $i * 86400)."\n");
		else {
			for ($j = 1; $j <= 9; $j++)
				fwrite($fp, "qqinfo".$j.".".date("Ymd", $longstart + $i * 86400)."\n");
		}
	}
	
	$inter = ($longend - $longstart) / 3600 + 1;
	for ($i = 0; $i < $inter; $i++) {
		if ($num != 0)
			fwrite($fp, "qqinfo".$num.".".date("YmdH", $longstart + $i * 3600)."\n");
		else {
			for ($j = 1; $j <= 9; $j++)
				fwrite($fp, "qqinfo".$j.".".date("YmdH", $longstart + $i * 3600)."\n");
		}
	}

    fclose($fp);

    return $filename;
}

function php_getqqwbtable($longstart, $longend)
{
    $inter = ($longend - $longstart) / 86400 + 1;

    $filename = "/var/tmp/qqwb_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "qqwb.".date("Ymd", $longstart + $i * 86400)."\n");

    fclose($fp);

    return $filename;
}

function php_getpop3table($longstart, $longend)
{
    $inter = ($longend - $longstart) / 86400 + 1;

    $filename = "/var/tmp/pop3_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "pop3login.".date("Ymd", $longstart + $i * 86400)."\n");

    fclose($fp);

    return $filename;
}

function php_getmsntable($longstart, $longend)
{
    $inter = ($longend - $longstart) / 86400 + 1;

    $filename = "/var/tmp/msn_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "msnlogin.".date("Ymd", $longstart + $i * 86400)."\n");

    fclose($fp);

    return $filename;
}
function php_getqqtable($longstart, $longend)
{
    $inter = ($longend - $longstart) / 86400 + 1;
    $inter2 = ($longend - $longstart) / 3600 + 1;

    $filename = "/var/tmp/qqinformation_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "qq_information.".date("Ymd", $longstart + $i * 86400)."\n");
    for ($i = 0; $i < $inter2; $i++)
        fwrite($fp, "qq_information.".date("YmdH", $longstart + $i * 3600)."\n");

    fclose($fp);

    return $filename;
}

function php_gettaobaotable($str_startime, $str_endtime)
{
    $t_startime = $str_startime;
    $t_endtime = $str_endtime;

    $as = explode(' ', $t_startime);
    $as[1] = "00:00:00";
    $new_start = implode(' ', $as);

    $long_start = strtotime($new_start);

    $as = explode(' ', $t_endtime);
    $as[1] = "00:00:00";
    $new_end = implode(' ', $as);

    $long_end = strtotime($new_end);

    $inter = ($long_end - $long_start) / 86400 + 1;

    $filename = "/var/tmp/usrauth_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++) {
        fwrite($fp, "taobao.".date("Ymd", $long_start + $i * 86400)."\n");
    }
    fclose($fp);

    return $filename;
}

function php_getsinawbtable($str_startime, $str_endtime)
{
    $t_startime = $str_startime;
    $t_endtime = $str_endtime;

    $as = explode(' ', $t_startime);
    $as[1] = "00:00:00";
    $new_start = implode(' ', $as);

    $long_start = strtotime($new_start);

    $as = explode(' ', $t_endtime);
    $as[1] = "00:00:00";
    $new_end = implode(' ', $as);

    $long_end = strtotime($new_end);

    $inter = ($long_end - $long_start) / 86400 + 1;

    $filename = "/var/tmp/sinawb_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++) {
        fwrite($fp, "sinawb.".date("Ymd", $long_start + $i * 86400)."\n");
    }
    fclose($fp);

    return $filename;
}

function php_getfetiontable($str_startime, $str_endtime)
{
    $t_startime = $str_startime;
    $t_endtime = $str_endtime;

    $as = explode(' ', $t_startime);
    $as[1] = "00:00:00";
    $new_start = implode(' ', $as);

    $long_start = strtotime($new_start);

    $as = explode(' ', $t_endtime);
    $as[1] = "00:00:00";
    $new_end = implode(' ', $as);

    $long_end = strtotime($new_end);

    $inter = ($long_end - $long_start) / 86400 + 1;

    $filename = "/var/tmp/fetion_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++) {
        fwrite($fp, "fetion.".date("Ymd", $long_start + $i * 86400)."\n");
    }
    fclose($fp);

    return $filename;
}

function php_yystable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
       	else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/yys_table_".date("YmdHis").".txt";
       	$fp = fopen($filename, "w");
	for ($i = 0; $i < $inter; $i++)
		fwrite($fp, "yys_info.yys_".date("Ymd", $longstart + $i * 86400)."\n");
	
	fclose($fp);
	
	return $filename;
}

function php_ipinfotable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ($longend - $longstart) / 3600;
	
	$filename = "/var/tmp/ipinfo_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "ipinfo_".date("Ymd", $longstart + $i * 3600).".".date("YmdH", $longstart + $i * 3600)."\n");
    
    fclose($fp);

    return $filename;
}

function php_getiphosttable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ($longend - $longstart) / 3600;
	
	$filename = "/var/tmp/iphost_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "iphost_".date("Ymd", $longstart + $i * 3600).".".date("YmdH", $longstart + $i * 3600)."\n");
    
    fclose($fp);

    return $filename;
}

function php_geturltable($longstart, $longend)
{
	$minutes = ($longend - $longstart) / 60;
	$tablefile = "/var/tmp/url_table_".date("YmdHis").".txt";
	$fp = fopen($tablefile, "w");
	for ($i = 0; $i < $minutes; $i++)
		fwrite($fp, "urlevent".date("Ymd", $longstart+$i*60).".url".date("YmdHi", $longstart+$i*60)."\n");
	fclose($fp);
	
	return $tablefile;
}

function php_dstipinfotable($longstart, $longend)
{
	/* 一小时的是兼容以前的，现增加1天的表 */
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ($longend - $longstart) / 3600;
	
	$filename = "/var/tmp/dstipinfo_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "dstipinfo_".date("Ymd", $longstart + $i * 3600).".".date("YmdH", $longstart + $i * 3600)."\n");
	
	/* 现增加1天的表 */
	if ($longstart == $longend)
		$inter = 1;
	else
		$inter = ($longend - $longstart) / 86400;

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "dstipinfo_".date("Ymd", $longstart + $i * 86400).".".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_ipareatable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ($longend - $longstart) / 3600;
	
	$filename = "/var/tmp/dstipinfo_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "iparea_".date("Ymd", $longstart + $i * 3600).".".date("YmdH", $longstart + $i * 3600)."\n");
    
    fclose($fp);

    return $filename;
}

function php_mobiletable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
	else
		$inter = ($longend - $longstart) / 86400;
	
	$filename = "/var/tmp/mobile_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "mobile".date("Ymd", $longstart + $i * 86400).".".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_imeitable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
    $filename = "/var/tmp/areaflow_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "imei.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_ssidtable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
    $filename = "/var/tmp/ssid_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "ssid.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_areaflowtable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
    $filename = "/var/tmp/areaflow_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "area_flow.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_keytable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400) +1;
	
    $filename = "/var/tmp/key_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "keylist.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_ipnodetable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$minutes = ($longend - $longstart) / 60;
	
    $filename = "/var/tmp/ipnode_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "ipnode.ipnode".date("Ymd", $longstart + $i * 86400)."\n");
	
	for ($i = 0; $i < $minutes; $i++)
		fwrite($fp, "ipnode".date("Ymd", $longstart+$i*60).".ipnode".date("YmdHi", $longstart+$i*60)."\n");
   
    fclose($fp);
	
    return $filename;
}

function php_ipnodetable_video($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$minutes = ($longend - $longstart) / 60;
	
    $filename = "/var/tmp/videoipnode_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "ipnode_video.".date("Ymd", $longstart + $i * 86400)."\n");
   
    fclose($fp);
	
    return $filename;
}

function php_ipnodetable_weixin($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$minutes = ($longend - $longstart) / 60;
	
    $filename = "/var/tmp/weixinipnode_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "ipnode_weixin.".date("Ymd", $longstart + $i * 86400)."\n");
   
    fclose($fp);
	
    return $filename;
}

function php_ipnodetable_game($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$minutes = ($longend - $longstart) / 60;
	
    $filename = "/var/tmp/gameipnode_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "ipnode_game.".date("Ymd", $longstart + $i * 86400)."\n");
   
    fclose($fp);
	
    return $filename;
}

function php_httpflowtable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
    $filename = "/var/tmp/http_flow_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "http_flow.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

/* 配置配置文件 /usr/logd/bin/log.conf */
function setconfig($tag, $v)
{
	$conf = LOG_CONF;
	
	$tag_exists = 0;
	
	if (file_exists($conf)) {
		$lines = file($conf);
		
		if (($fp = fopen($conf, "w")) == false)
			return false;
		if (flock($fp, LOCK_EX)) {	
			foreach($lines as $val) {
				if (strstr($val, $tag."=") !== false) {
					fwrite($fp, "$tag=$v\n");
					$tag_exists = 1;
				}else
					fwrite($fp, $val);
				fflush($fp);
			}
		
			if ($tag_exists == 0) {
				fwrite($fp, "$tag=$v\n");
				fflush($fp);
			}
			flock($fp, LOCK_UN);
		}
		fclose($fp);

		return true;
	}

	return false;
}

function php_gettiebatable($longstart, $longend)
{
    if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 60)+1;
	
    $filename = "/var/tmp/tieba_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "tieba".date("Ymd", $longstart + $i * 60).".tieba".date("YmdHi", $longstart + $i * 60)."\n");
    
    fclose($fp);

    return $filename;
}

function getconfig($tag)
{
	$conf = LOG_CONF;
	
	$v = '';
	if (file_exists($conf)) {
		$lines = file($conf);
		foreach($lines as $val) {
			if (strstr($val, $tag) !== false) {
				$ds = explode('=', $val);
				if (count($ds) > 2) {
					$tmp = array();
					for ($i = 1; $i < count($ds); $i++) {
						array_push($tmp, trim($ds[$i]));
					}
					$v = implode('=', $tmp);
					return $v;
				}
				$v = trim($ds[1], "\r\n");
				return $v;
			}
		}
	}
	
	return 0;
}

function is_utf8($str)
{
	$len = strlen($str);
	for($i = 0; $i < $len; $i++){
		$c = ord($str[$i]);
		if ($c > 128) {
			if (($c > 247)) return false;
			elseif ($c > 239) $bytes = 4;
			elseif ($c > 223) $bytes = 3;
			elseif ($c > 191) $bytes = 2;
			else return false;

			if (($i + $bytes) > $len) return false;
			while ($bytes > 1) {
				$i++;
				$b = ord($str[$i]);
				if ($b < 128 || $b > 191) return false;
				$bytes--;
			}
		}
	}
	return true;
}

/*
function is_utf8($word)   
{
	if (preg_match("/^([".chr(228)."-".chr(233)."]{1}[".chr(128)."-".chr(191)."]{1}[".chr(128)."-".chr(191)."]{1}){1}/",$word) == true || preg_match("/([".chr(228)."-".chr(233)."]{1}[".chr(128)."-".chr(191)."]{1}[".chr(128)."-".chr(191)."]{1}){1}$/",$word) == true || preg_match("/([".chr(228)."-".chr(233)."]{1}[".chr(128)."-".chr(191)."]{1}[".chr(128)."-".chr(191)."]{1}){2,}/",$word) == true)
	{
		return true;
	}else{   
		return false;   
	}   
}
 */

function is_gb2312($str)
{
	for($i=0; $i<strlen($str); $i++) {
		$v = ord( $str[$i] );
		if( $v > 127) {
			if( ($v >= 228) && ($v <= 233) )
			{
				if(($i+2) >= (strlen($str)- 1)) return true;  // not enough characters
				$v1 = ord( $str[$i+1] );
				$v2 = ord( $str[$i+2] );
				if( ($v1 >= 128) && ($v1 <=191) && ($v2 >=128) && ($v2 <= 191) ) // utf编码
					return false;
				else
					return true;
			}
		}
	}
	return true;
}

function isningx()
{
	$isningxbt = 0;
	$fp = fopen("/usr/logd/bin/log.conf", "r");
	if ($fp) {
		while (!feof($fp)) {
			$buff = fgets($fp);
			
			if (strstr($buff, "insert_over_delete=0") !== false)
				$isningxbt = 1;
		}
		fclose($fp);
	}
	
	return $isningxbt;
}

function php_topdnstable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ($longend - $longstart) / 86400;
	
	$filename = "/var/tmp/topdns_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "topdns_".date("Ymd", $longstart + $i * 86400).".".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_mydnstoptable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ($longend - $longstart) / 86400;
	
	$filename = "/var/tmp/mytopdns_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "topdns_dns.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_offpictable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/offpic_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "offpic_new.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_wxgraphtable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
	else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/wxgraph_table_".date("YmdHis").".txt";
	$fp = fopen($filename, "w");

	for ($i = 0; $i <= $inter; $i++)
		fwrite($fp, "wxpic.".date("Ymd", $longstart + $i * 86400)."\n");

	fclose($fp);

	return $filename;
}

function php_wxvideotable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/wxvideo_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "wxvideo.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_wxdnstable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
	else 
		$inter = ceil(($longend - $longstart) / 86400) + 1;
	
	$filename = "/var/tmp/wxdns_table_".date("YmdHis").".txt";
	$fp = fopen($filename, "w");

	for ($i = 0; $i < $inter; $i++)
		fwrite($fp, "wxdns.".date("Ymd", $longstart + $i * 86400)."\n");

	fclose($fp);

	return $filename;
}

function site_addslashes($string, $force = 0) { 
	!defined('MAGIC_QUOTES_GPC') && define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc()); 
	if(!MAGIC_QUOTES_GPC || $force) { 
		if(is_array($string)) { 
			foreach($string as $key => $val) { 
				$string[$key] = daddslashes($val, $force); 
			} 
		} else { 
			$string = addslashes($string); 
		} 
	} 
	return $string; 
}

function php_iptracktable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
	else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/iptrack_table_".date("YmdHis").".txt";
	$fp = fopen($filename, "w");

	for ($i = 0; $i <= $inter; $i++)
		fwrite($fp, "lnglat.".date("Ymd", $longstart + $i * 86400)."\n");
    
	fclose($fp);

	return $filename;
}

function php_getdstporttable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/dstport_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");
    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "dstport_flow.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_getseslimittable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/seslimit_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");
    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "seslimit.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function createupbagstable()
{
	$cmd = "CREATE TABLE IF NOT EXISTS palog.upload_bags".
		"(filename varchar(64), filesize int(2), ".
		"uptime bigint(4))ENGINE=MyISAM default charset=latin1";
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$err = mysql_query($cmd, $conn);
		
		$cmd = "alter table palog.upload_bags add app_cname varchar(64) not null default ''";
		mysql_query($cmd);
		$cmd = "alter table palog.upload_bags add app_version varchar(64) not null default ''";
		mysql_query($cmd);
		
		mysql_close($conn);
	}
	
	return ($err == false) ? false : true;
}

function sysname()
{
	$sysname = "";
	if (file_exists(LOG_CONF)) {
		$confl = file(LOG_CONF);
		foreach($confl as $val) {
			if (strstr($val, "sysname") !== false){
				$ds = explode('=', $val);
				$sysname = iconv("gb2312", "utf-8", trim($ds[1], "\n\r"));
			}
		}
	}
	
	return $sysname;
}

function php_dnscounttable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/dnscount_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "dnscount.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

function php_getporttypetable($longstart, $longend)
{
	if ($longstart == $longend)
		$inter = 1;
    else 
		$inter = ceil(($longend - $longstart) / 86400);
	
	$filename = "/var/tmp/porttype_flow_table_".date("YmdHis").".txt";
    $fp = fopen($filename, "w");

    for ($i = 0; $i < $inter; $i++)
        fwrite($fp, "porttype_flow.".date("Ymd", $longstart + $i * 86400)."\n");
    
    fclose($fp);

    return $filename;
}

// 检查登录时出现mysql未启动问题
function index_mysqlerror()
{
	$err1 = "yes";
	$err2 = "yes";

	$cmd = "/bin/df -h | grep logdata";
	exec($cmd, $out, $ret);
	if (empty($out)) {
		$err1 = "no";
	}
	
	$cmd = "df -h /usr/logdata/data";
	exec($cmd, $out, $ret);
	if ($ret != 0)
		$err2 = "no";
	
	if ($err1 == "no" && $err2 == "no")
		return "no";
	
	return "yes";
}

function getyys()
{
	$rows = array();
	
	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) != false) {
		$cmd = "select id, name from palog.yys order by id asc";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($rows, array(
					"id"=>$row[0],
					"name"=>iconv("gb2312", "utf-8", $row[1])
				));
			}
		}
		mysql_close($conn);
	}

	return $rows;
}

function trimall($str)
{
	$qian = array(" ","　","\t","\n","\r");
	return str_replace($qian, '', $str);
}

function getalldevice()
{
	$device = array();
	if (($conn = my_mysql_connect()) != false) {
		$sql = "select dev_id, dev_name from palog.config";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($device, array(
					"devid"=>$row[0],
					"devname"=>$row[1]
				));
			}
		}
		mysql_close($conn);
	}
	return json_encode($device);
}

function getdevice($dis = 1)
{
	$str = '';	
	$user = $_SESSION["palog_username"];
	$hangxin = isset($_SESSION["palog_usertype"]) ? $_SESSION["palog_usertype"] : "";

	$user = remove_xss($user);
	$hangxin = remove_xss($hangxin);
	
	if (($conn = my_mysql_connect()) != false) {
		if ($user == "admin" || $hangxin == "hangxin") {
			$sql = 'select dev_id, dev_name,dev_sn from palog.config';
			$result = mysql_query($sql);
			$i = 0;
			if ($result != false) {
				while ($row = mysql_fetch_row($result)){
					$devid = $row[0];
					$devname = $row[1];
					$devsn = $row[2];
					$str .= '&nbsp;&nbsp;<input type="checkbox" name="device" cname="'.${devname}.'" value="'.${devid}.'" sn="'.${devsn}.'"> '. $devname;
					$str .= '<span class="layui-word-aux">'. ${devsn} .'</span>';
					$str .= '<br/>';
				}
				mysql_free_result($result);
			}
			$sql = 'select devid, devname from palog.virtual_device';
			$result = mysql_query($sql);
			$i = 0;
			if ($result != false) {
				while ($row = mysql_fetch_row($result)){
					$devid = $row[0];
					$devname = $row[1];
					$str .= '&nbsp;&nbsp;<input type="checkbox" name="device" cname="'.$devname.'" value="'.$devid.'" /> '.$devname;

					$str .= '<br/>';
				}
				mysql_free_result($result);
			}
		}
		else {
			$dev_sn_obj = [];
			$sql = 'select dev_id, dev_sn from palog.config';
			$result = mysql_query($sql);
			while ($row = mysql_fetch_row($result)){
				$devid = $row[0];
				$devsn = $row[1];
				$dev_sn_obj["devid_" . $devid] = $devsn;
			}
			
			$sql = "select devid, devname from palog.users where username='$user'";
			if (($result = mysql_query($sql)) != false) {
				$row = mysql_fetch_row($result);
				$id = $row[0];
				$name = $row[1];

				$s1 = explode(',', $id);
				$s2 = explode(',', $name);

				foreach($s1 as $k=>$val) {
					if ($val == "")
						continue;
					$sn = $dev_sn_obj["devid_" . $val];
					$str .= '&nbsp;&nbsp;<input type="checkbox" name="device" cname="'.$s2[$k].'" value="'.$val.'" sn="'.${sn}.'"> ';
					if($sn != "")
					$str .= '<span class="layui-word-aux">['. ${sn} .']</span>';
					$str .= $s2[$k];
					$str .= '<br/>';
				}
			}
		}
		mysql_close();
	}

	$bs = "<input type='hidden' value='$user' id='gol_user' />";

	$usertype = "";
	if (isset($_SESSION["palog_usertype"]))
		$usertype = $_SESSION["palog_usertype"];
	$bs .= "<input type='hidden' value='".$usertype."' id='gol_usertype' />";

	$do = '';
	if ($dis)
		$do = '<div>选择设备&nbsp;&nbsp;<a href="javascript:opendevicelist()">列表选项...</a></div>';
	$do .= '<div class="device-list-outer-tohide"></div>';
	$do .= '<div class="device-list-outer my-div-shadow">';
	$do .= '<h4 class="device-list-title">设备列表'.$bs.'</h4>';
	$do .= '<div style="margin:10px;"><input id="search_dev" oninput="search_dev()"  class="layui-input" type="text" placeholder="请输入搜索关键词" /></div>';
	$do .= '<div class="layui-row">';
	$do .= '<div class="layui-col-xs8 devicetree">'.$str.'</div>';
	$do .= '<div class="layui-col-xs4" id="search_list"></div></div>';
	$do .= '</div>';

	return $do;
}

function getdevice_select()
{
	$user = $_SESSION["palog_username"];

	$str = '<select id="device" style="width:80px">';

	$hangxin = isset($_SESSION["palog_usertype"]) ? $_SESSION["palog_usertype"] : "";

	if ($_SESSION["palog_username"] == "admin" || $hangxin == "hangxin")
		$str .= '<option value="0">所有设备</option>';

	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) != false) {
		if ($user == "admin" || $hangxin == "hangxin") {
			$sql = 'select dev_id, dev_name from palog.config';
			$result = mysql_query($sql);
			$i = 0;
			if ($result != false) {
				while ($row = mysql_fetch_row($result)){
					$devid = $row[0];
					$devname = $row[1];

					$str .= '<option value="'.$devid.'">'.$devname.'</option>';
				}
				mysql_free_result($result);
			}
			$sql = 'select devid, devname from palog.virtual_device';
			$result = mysql_query($sql);
			$i = 0;
			if ($result != false) {
				while ($row = mysql_fetch_row($result)){
					$devid = $row[0];
					$devname = $row[1];

					$str .= '<option value="'.$devid.'">'.$devname.'</option>';
				}
				mysql_free_result($result);
			}
		}else {
			$sql = "select devid, devname from palog.users where username='$user'";
			if (($result = mysql_query($sql)) != false) {
				$row = mysql_fetch_row($result);
				$id = $row[0];
				$name = $row[1];

				$s1 = explode(',', $id);
				$s2 = explode(',', $name);

				foreach($s1 as $k=>$val) 
					$str .= '<option value="'.$val.'">'.$s2[$k].'</option>';
			}
		}
		mysql_close();
	}
	$str .= "</select>";

	$str .= "<input type='hidden' value='$user' id='gol_user' />";

	return $str;
}

function getversion2()
{
	$ver = 0;
	$cmd = PANALOGEYE." receiver stat tag=version";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if (strstr($val, "version=1") != false) { 
			$ver = 1;
			break;
	       	}
	}
	unset($out);

	return $ver;
}

function getversion()
{
	$free = 1;
	$cmd = PANALOGEYE." receiver stat tag=version";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if (strstr($val, "version=1") != false) { 
			$free = 0;
			break;
	       	}
	}
	unset($out);

	return $free;
}

function stopshellpro($path)
{
	$cmd = "ps axw | awk '{print $1,$5,$6}'";
	if (($fp = popen($cmd, "r")) != false) {
		while (!feof($fp)) {
			if (($buf = fgets($fp)) != false) {
				if (strstr($buf, $path) != false) {
					$ds = explode(' ', $buf);
					exec("kill ".$ds[0], $out, $ret);
				}
			}
		}
	}
}

function getserverip()
{
	$serverip = $_SERVER['HTTP_HOST'];
	if (strchr($serverip, ':') != false) {
		$ds = explode(':', $serverip);
		return $ds[0];
	}
	else 
		return $serverip;

	return "";
}

function parsesysrun($boot)
{
	$a = (int)((int)$boot / 86400);
	if ($a >= 0 && $a <= 9)
		$a = "$a";
	$h = (int)(((int)$boot % 86400) / 3600);
	if ($h >= 0 && $h <= 9)
		$h = "0$h";
	$m = (int)((((int)$boot % 86400) % 3600) / 60);
	if ($m >= 0 && $m <= 9)
		$m = "0$m";
	$s = (int)((((int)$boot % 86400) % 3600) % 60);
	if ($s >= 0 && $s <= 9)
		$s = "0$s";
	return $a."/$h:$m:$s";
}

function  nodelist($conn)
{
	$rows = array();

	$sql = "select IPADDR from palog.nodelist";
	if (($result = mysql_query($sql, $conn)) == false)
		return $rows;
	while ($row = mysql_fetch_row($result)) {
		array_push($rows, $row[0]);
	}

	return $rows;
}

function remove_xss($val)
{
	$val = str_replace("\n", "", $val);
	$val = str_replace("<", "", $val);
	$val = str_replace(">", "", $val);
	$val = str_replace("|", "", $val);
	//$val = str_replace(" ", "", $val);
	$val = str_replace("$", "", $val);
	$val = str_replace("{", "", $val);
	$val = str_replace("}", "", $val);
	$val = str_replace("*", "", $val);
	$val = str_replace("&", "", $val);
	$val = str_replace("`", "", $val);
	$val = str_replace(";", "", $val);
	$val = str_replace("'", "", $val);
	$val = str_replace('"', "", $val);
	$val = str_replace('concat', "", $val);
	$val = str_replace('updatexml', "", $val);
	
	$search = 'abcdefghijklmnopqrstuvwxyz';
	$search .= 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$search .= '1234567890!@#$%^&*()';
	$search .= '~`";:?+/={}[]\'\\';
	for ($i = 0; $i < strlen($search); $i++) {
    	$val = preg_replace('/(&#[xX]0{0,8}' . dechex(ord($search[$i])) . ';?)/i', $search[$i], $val);
    	$val = preg_replace('/(�,8}' . ord($search[$i]) . ';?)/', $search[$i], $val); 
	}

	// now the only remaining whitespace attacks are \t, \n, and \r
	$ra1 = array('javascript', 'vbscript', 'expression', 'applet', 'meta', 'xml', 'blink', 'link', 'style', 'script', 'embed', 'object', 'iframe', 'frame', 'frameset', 'ilayer', 'layer', 'bgsound', 'title', 'base');
	$ra2 = array('onabort', 'onactivate', 'onafterprint', 'onafterupdate', 'onbeforeactivate', 'onbeforecopy', 'onbeforecut', 'onbeforedeactivate', 'onbeforeeditfocus', 'onbeforepaste', 'onbeforeprint', 'onbeforeunload', 'onbeforeupdate', 'onblur', 'onbounce', 'oncellchange', 'onchange', 'onclick', 'oncontextmenu', 'oncontrolselect', 'oncopy', 'oncut', 'ondataavailable', 'ondatasetchanged', 'ondatasetcomplete', 'ondblclick', 'ondeactivate', 'ondrag', 'ondragend', 'ondragenter', 'ondragleave', 'ondragover', 'ondragstart', 'ondrop', 'onerror', 'onerrorupdate', 'onfilterchange', 'onfinish', 'onfocus', 'onfocusin', 'onfocusout', 'onhelp', 'onkeydown', 'onkeypress', 'onkeyup', 'onlayoutcomplete', 'onload', 'onlosecapture', 'onmousedown', 'onmouseenter', 'onmouseleave', 'onmousemove', 'onmouseout', 'onmouseover', 'onmouseup', 'onmousewheel', 'onmove', 'onmoveend', 'onmovestart', 'onpaste', 'onpropertychange', 'onreadystatechange', 'onreset', 'onresize', 'onresizeend', 'onresizestart', 'onrowenter', 'onrowexit', 'onrowsdelete', 'onrowsinserted', 'onscroll', 'onselect', 'onselectionchange', 'onselectstart', 'onstart', 'onstop', 'onsubmit', 'onunload');
	$ra = array_merge($ra1, $ra2);

	$found = true;
	while ($found == true) {
    	$val_before = $val;
    	for ($i = 0; $i < sizeof($ra); $i++) {
        		$pattern = '/';
        		for ($j = 0; $j < strlen($ra[$i]); $j++) {
            		if ($j > 0) {
                			$pattern .= '(';
                			$pattern .= '(&#[xX]0{0,8}([9ab]);)';
                			$pattern .= '|';
                			$pattern .= '|(�{0,8}([9|10|13]);)';
                			$pattern .= ')*';
            		}
            		$pattern .= $ra[$i][$j];
        		}
        		$pattern .= '/i';
        		$replacement = substr($ra[$i], 0, 2) . '' . substr($ra[$i], 2); 
        		$val = preg_replace($pattern, $replacement, $val); 
        		if ($val_before == $val) {
            		$found = false;
        		}
    	}
	}
    	
	return $val;
}

function remove_xss2($val)
{
	$val = str_replace("<", "", $val);
	$val = str_replace(">", "", $val);
	$val = str_replace("|", "", $val);
	$val = str_replace("$", "", $val);
	$val = str_replace("*", "", $val);
	$val = str_replace("&", "", $val);
	$val = str_replace("`", "", $val);
	$val = str_replace(";", "", $val);
	$val = str_replace("'", "", $val);
	$val = str_replace('concat', "", $val);
	$val = str_replace('updatexml', "", $val);
	
	$search = 'abcdefghijklmnopqrstuvwxyz';
	$search .= 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$search .= '1234567890!@#$%^&*()';
	$search .= '~`";:?+/={}[]\'\\';
	for ($i = 0; $i < strlen($search); $i++) {
    	$val = preg_replace('/(&#[xX]0{0,8}' . dechex(ord($search[$i])) . ';?)/i', $search[$i], $val);
    	$val = preg_replace('/(�,8}' . ord($search[$i]) . ';?)/', $search[$i], $val); 
	}

	// now the only remaining whitespace attacks are \t, \n, and \r
	$ra1 = array('javascript', 'vbscript', 'expression', 'applet', 'meta', 'xml', 'blink', 'link', 'style', 'script', 'embed', 'object', 'iframe', 'frame', 'frameset', 'ilayer', 'layer', 'bgsound', 'title', 'base');
	$ra2 = array('onabort', 'onactivate', 'onafterprint', 'onafterupdate', 'onbeforeactivate', 'onbeforecopy', 'onbeforecut', 'onbeforedeactivate', 'onbeforeeditfocus', 'onbeforepaste', 'onbeforeprint', 'onbeforeunload', 'onbeforeupdate', 'onblur', 'onbounce', 'oncellchange', 'onchange', 'onclick', 'oncontextmenu', 'oncontrolselect', 'oncopy', 'oncut', 'ondataavailable', 'ondatasetchanged', 'ondatasetcomplete', 'ondblclick', 'ondeactivate', 'ondrag', 'ondragend', 'ondragenter', 'ondragleave', 'ondragover', 'ondragstart', 'ondrop', 'onerror', 'onerrorupdate', 'onfilterchange', 'onfinish', 'onfocus', 'onfocusin', 'onfocusout', 'onhelp', 'onkeydown', 'onkeypress', 'onkeyup', 'onlayoutcomplete', 'onload', 'onlosecapture', 'onmousedown', 'onmouseenter', 'onmouseleave', 'onmousemove', 'onmouseout', 'onmouseover', 'onmouseup', 'onmousewheel', 'onmove', 'onmoveend', 'onmovestart', 'onpaste', 'onpropertychange', 'onreadystatechange', 'onreset', 'onresize', 'onresizeend', 'onresizestart', 'onrowenter', 'onrowexit', 'onrowsdelete', 'onrowsinserted', 'onscroll', 'onselect', 'onselectionchange', 'onselectstart', 'onstart', 'onstop', 'onsubmit', 'onunload');
	$ra = array_merge($ra1, $ra2);

	$found = true;
	while ($found == true) {
    	$val_before = $val;
    	for ($i = 0; $i < sizeof($ra); $i++) {
        		$pattern = '/';
        		for ($j = 0; $j < strlen($ra[$i]); $j++) {
            		if ($j > 0) {
                			$pattern .= '(';
                			$pattern .= '(&#[xX]0{0,8}([9ab]);)';
                			$pattern .= '|';
                			$pattern .= '|(�{0,8}([9|10|13]);)';
                			$pattern .= ')*';
            		}
            		$pattern .= $ra[$i][$j];
        		}
        		$pattern .= '/i';
        		$replacement = substr($ra[$i], 0, 2) . '' . substr($ra[$i], 2); 
        		$val = preg_replace($pattern, $replacement, $val); 
        		if ($val_before == $val) {
            		$found = false;
        		}
    	}
	}
    	
	return $val;
}
function getuserrights($user)
{
	$rights = array();

	if (($conn = my_mysql_connect()) == false)
		return false;
	$sql = "select mod_1, mod_2, mod_3, mod_4, mod_5, mod_6, mod_b, mod_c from palog.users where username='$user'";
	if (($result = mysql_query($sql)) == false) {
		mysql_close($conn);
		return false;
	}
	while ($row = mysql_fetch_row($result)) {
		$rights["mod_1"] = $row[0];
		$rights["mod_2"] = $row[1];
		$rights["mod_3"] = $row[2];
		$rights["mod_4"] = $row[3];
		$rights["mod_5"] = $row[4];
		$rights["mod_6"] = $row[5];
		$rights["mod_b"] = $row[6];
		$rights["mod_c"] = $row[7];
	}
	mysql_free_result($result);
	mysql_close($conn);

	return $rights;
}

/*
 * 获取节点列表
 */
function nodelist2()
{
	$nodelist = array();

	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $ipaddr) = explode(' ', $val);
		if ($ipaddr == "ipaddr") continue;
		array_push($nodelist, $ipaddr);
	}

	return $nodelist;
}

function upgradelog($str)
{
	if (($fp = fopen("/tmp/upgrade.log", "a")) != false) {
		fprintf($fp, $str."\n");
		fclose($fp);
	}
}

function operation_logger($obj, $str)
{
	if (($conn = my_mysql_connect()) == false)
		return false;
	// 创建表
	$sql = "create table if not exists palog.operation_log(".
		"id int not null auto_increment primary key, ".
		"user varchar(32) not null default '', ".
		"ope_time bigint(4) not null default '0', ".
		"obj varchar(32) not null default '',".
		"cont varchar(256) not null default '')".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		mysql_close();
		return false;
	}

	$user = $_SESSION['palog_username'];
	$ope_time  = time(NULL);

	$sql = "insert into palog.operation_log(user, ope_time, obj, cont)";
	$sql .= "values('$user', $ope_time, '$obj', '$str')";
	if (mysql_query($sql) == false) {
		mysql_close();
		return false;
	}
	mysql_close();
	return true;
}

function gethttpsport()
{
	$nginxconf = "/usr/local/etc/nginx/nginx.conf";
	$httpsport = 0;
	if (($fp = fopen($nginxconf, "r")) != false) {
		while (!feof($fp)) {
			$buff = fgets($fp);
			if ($buff !== false) {
				if (strstr($buff, "listen") !== false && 
					strstr($buff, "ssl") !== false) {
						for ($i = 0; $i < strlen($buff); $i++) {
							$poschr = substr($buff, $i, 1);
							if ($poschr >= '0' && $poschr <= '9')
								$httpsport = $httpsport * 10 + ($poschr - '0');
						}
					}
			}
		}
		fclose($fp);
	}

	return $httpsport;
}

function getuseripgrp()
{
	$str = '';
	if (($conn = my_mysql_connect()) == false) 
		return $str;
		
	$loginuser = $_SESSION["palog_username"];
	$grpids = "";
	if ($loginuser != "admin") {
		$cmd = "select grpid from palog.users where username='$loginuser'";
		$result = mysql_query($cmd);
		$row = mysql_fetch_row($result);
		$grpids = $row[0];

		if ($grpids == "") $grpids = "0,0";
	}
						
	if ($grpids != "")
		$cmd = "select id, grpname from palog.ipgrp_list where id in($grpids)";
	else
		$cmd = "select id, grpname from palog.ipgrp_list";

	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			$grpid = $row[0];
			$grpname = $row[1];
			$str .= '<div class="sp"><input type="checkbox" name="ipgrp" cname="'.$grpname.'" value="'.$grpid.'" />'.$grpname.'</div>';
		}
	}
	mysql_close($conn);

	$do = '<div class="ipgrp-list-outer-tohide"></div>';
	$do .= '<div class="ipgrp-list-outer my-div-shadow">';
	$do .= '<div><h4 style="border-bottom:1px solid #666; padding-left:20px;">群组列表'.$bs.'</h4>';
	$do .= '<input type="text" id="search-ipgrp" style="margin:0 0 20px 20px;width:250px;" placeholder="查询" ></div>';
	$do .= '<div class="ipgrptree">'.$str.'</div></div>';

	return $do;
}

function yd_getallheaders()
{
	$headers = array();

	foreach ($_SERVER as $name => $value) {
		if (substr($name, 0, 5) == 'HTTP_') {
			$headers[str_replace(' ', '-', (strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
		}
	}

	return $headers;
}

function create_tokens($username, $password)
{
	return hash_hmac("sha256", $username.$password, rand(100, 10000));
}

function check_tokens($tokens)
{
	$now = time(NULL);
	$sql = "select tokens from palog.users where tokens='$tokens' and tokens_expiretime >= $now";
	if (($result = mysql_query($sql)) == false) {
		return false;
	}

	if (mysql_num_rows($result) == 0) {
		return false;
	}

	return true;
}

function apperror($header_code, $json)
{
	header($header_code);
	if ($json != "") {
		if (($output = fopen("php://output", "w")) != false) {
			fwrite($output, $json);
			fclose($output);
		}
	}
	exit;
}

function getuserdevice($user, $tokens = "")
{
	$devid = "";
	if (($conn = my_mysql_connect()) != false) {
		$sql = "select devid from palog.users where 1";
		if ($user != "")
			$sql .= " and username='$user'";

		if ($tokens != "") {
			$sql = "select devid from palog.userdevice where userid in";
			$sql .= "(select username from palog.users where tokens='$tokens')";
		}

		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				if ($devid == "")
					$devid = $row[0];
				else
					$devid .= ",".$row[0];
			}
		}
		mysql_close();
	}

	return $devid;
}

function remove_directory($dir)
{
	if ($handle = opendir("$dir")) {
		while (false !== ($item = readdir($handle))) {
			if ($item != "." && $item != "..") {
				if (is_dir("$dir/$item")) {
					remove_directory("$dir/$item");
				}
				else {
					unlink("$dir/$item");
				}
			}
		}
		closedir($handle);
		rmdir($dir);
	}
}

function getusraccgrp()
{
	$accstr = "";
	if (($conn = my_mysql_connect()) == false)
		return $accstr;

	$uacc = array();
	$userid = $_SESSION['palog_username'];
	$sql = "select GROUP_ID from palog.user_accgroup where USER_ID='$userid'";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($uacc, $row[0]);
		}
	}
	mysql_close($conn);

	$accstr = implode(',', $uacc);
	return $accstr;
}

?>
