<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var pagestop = 0;
function pre()
{
	page--;
	if (page <= 0)
		page = 1;
	
	pagestop = 0;
	
	check_submit();
}

function next()
{
	page++;

	check_submit();
}

function check_submit()
{
	if (pagestop) {
		alert("已经是最后一页了");
		return false;
	}
	
	var devid = $("#devid").val();
	var apkname = ($("#apkname").val());
	if ((pos = apkname.indexOf(" ")) != -1) {
		apkname = apkname.substr(0, pos);
       	}
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'apk_userlist', 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname, 
			apkname: (apkname),
			devid: devid,
			page: page,
			limit: limit},
		success:function(json) {
			cluster_load_hide();
			
			if (json.rows.length < limit)
				pagestop = 1;
			else
				pagestop = 0;

			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}

			appstore_update(json);
		}
	});
}

function appstore_update(json)
{
	var r, s;
	var len = json.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text((i+1));
			tdobj.eq(1).html(r.ip);
			tdobj.eq(2).text((r.count));
		}else{
			tb = '<tr class="'+trbg+'">' +
				'<td>'+(i+1)+'</td>'+
				'<td>'+ r.ip+'</td>'+
				'<td class="txt-right">'+ (r.count)+'</td>'+
				'</tr>';
			'</tr>';
			$(tb).appendTo(".topapp-list-table table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}
</script>
</head>

<body>
<div>
<?php
$devid = $_GET["devid"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
$apkname = addslashes($_GET["apkname"]);
?>
<input type="hidden" value="<?=$apkname?>" id="apkname" />
<input type="hidden" value="<?=$starttime?>" id="starttime" />
<input type="hidden" value="<?=$endtime?>" id="endtime" />
<input type="hidden" value="<?=$devid?>" id="devid" />
	<div class="topapp-list-table">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th width="50px" class="txt-left">序号</th>
				<th align="left" class="txt-left">IP地址</th>
				<th width="100px" class="txt-right">下载次数</th>
			</tr>
		</table>
	</div>
	<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
</div>
<script>
$("#imgstart").click(function(){
	new Calendar().show(document.getElementById("start"));
});
$("#imgend").click(function(){
	new Calendar().show(document.getElementById("end"));
});
check_submit();
</script>
</body>
</html>

