<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = $_GET['id'];
$cname = $_GET['cname'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title><?=VERSION?></title>
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
	<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
    <script type="text/javascript" src="../js/app_common.js"></script>
	<script type="text/javascript" src="../js/Calendar.js"></script>
    <script type="text/javascript">
	var page = 1;
	var limit = 50;
	var sorttype = 'total';
	
	function apply_ext(type)
	{
		page = 1;
		
		sorttype = type;
		
		app_check(0);
	}
	
        function app_check(bexport)
        {
            var ipaddr = $("#ipaddr").val();
            var appid = $("#appid").val();

            var start = $("#start").val();
			var end = $("#end").val();

			var starttime = start + ' 0:0:0';
			var endtime = end + ' 23:59:59';

			load_show();
			
            var errname = (new Date()).getTime()+'.st';
            get_status(errname);
            
            $.ajax({
                url:'../content-apply/apply.php',
                dataType:'json',
                type:'post',
                data:{type:'app_apply', appid:appid, sorttype:sorttype, ipaddr:ipaddr,
                    tmstart:starttime, tmend:endtime, errname:errname, bexport:bexport,
					page: page, limit: limit},
                success:function(json){
                    if (bexport == 0)
                        apply_handle_data(json, appid, sorttype, starttime, endtime);
                    else $(".download-div-pos").html('<a href="../download.php?filename='+json.file+'">下载文件：'+json.file+'</a>');

                    load_hide();
                }
            });
        }
        function apply_handle_data(json, appid, sorttype, starttime, endtime)
        {
            var r, s;
            var len = json.rows.length;
            var trobj = $(".topapp-list-table table tbody tr");
            var trlen = trobj.length;
            var tdobj;
            var href;
            var trbg = '';

            if (sorttype == "accnum")
                sorttype = "up";
			
			if (len < limit) $(".nextpage-topdns").hide();
			
			var start = (page - 1) * limit;
			
            for (i = 0; i < len; i++){
                r = json.rows[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                if (trobj.eq(i+1).length > 0){
                    tdobj = trobj.eq(i+1).find("td");

                    tdobj.eq(0).text((start+i+1));
                    tdobj.eq(1).html((r.ip));
                    tdobj.eq(2).text(numberformats(r.upbytes));
                    tdobj.eq(3).text(numberformats(r.downbytes));
                    tdobj.eq(4).text(numberformats((r.upbytes+r.downbytes)));
                }else{
                    s = '<tr class="'+trbg+'">' +
                        '<td class="td-left-first">'+ (start+i+1)+'</td>'+
                        '<td class="td-normal">'+ r.ip+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                        '</tr>';
                    $(s).appendTo(".topapp-list-table table tbody");
                }
            }
            for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
        }
        function app_export(bexport)
        {
            if(!confirm("确认要导出所选时间段的数据吗"))
                return false;

            app_check(bexport);
        }
		function nextpage()
		{
			page++;
			
			app_check(0);
		}
    </script>
</head>

<body>
<div id="content" class="maintain-content">
    <table style="width:100%;">
        <tr>
            <td class="header-back-blue">内容应用 -> <?=$cname?></td>
            <input type="hidden" value="<?=$id?>" id="appid" />
        </tr>
    </table>
    <table style="width:100%;margin:10px 0 0 0;">
        <tr>
            <td>
                <div id="checkpanel_con" class="check-panel-radius">
                    <table>
                        <tr>
                            <td align="right">用户IP</td>
							<td width="20px"></td>
                            <td align="left">
                                <input type="text" value="" id="ipaddr" style="width:100px" />
                            </td>
							<td width="20px"></td>
							<td align="right">起始时间：</td>
                            <td align="left">
							<?php
							$t = strtotime("now") - 86400;
							?>
								<input type="text" name="start" id="start" style="width:100px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
							</td>
                            <td align="left">
								<img id="imgstart" src="../img/ca.png" />
                            </td>
							<td width="30px"></td>
							<td align="right">结束时间：</td>
                            <td align="left">
								<input type="text" name="end" id="end" style="width:100px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
                            </td>
							<td align="left">
								<img id="imgend" src="../img/ca.png" />
                            </td>
							<td align="right" width="100px">
								<input type="button" value="查询" onclick="apply_ext('total')" style="width:70px" />
                            </td>
                        </tr>
                    </table>
					<!--
                    <div class="export-div-pos">
                        <a href="javascript:app_export(1);void(0);"><img src="../img/excel.png" title="导出EXCEL格式数据" /></a>&nbsp;&nbsp;
                        <a href="javascript:app_export(3);void(0);"><img src="../img/doc_excel_csv.png" title="导出CSV格式数据" /></a>&nbsp;&nbsp;
                        <a href="javascript:app_export(2);void(0);"><img src="../img/text.png" title="导出txt文本格式数据" /></a>
                    </div>
                    <div class="download-div-pos"></div>
					-->
                </div>
            </td>
        </tr>
    </table>
    <div class="topapp-list-table" style="margin-top:20px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="td-left-first" width="50px">序号</th>
                <th class="td-normal" width="160px">用户地址</th>
                <th class="td-normal"><a href="javascript:apply_ext('up')">上行流量(Byte)</a></th>
                <th class="td-normal"><a href="javascript:apply_ext('down')">下行流量(Byte)</a></th>
                <th class="td-normal"><a href="javascript:apply_ext('total')">总流量(Byte)</a></th>
            </tr>
        </table>
		<div class="nextpage-topdns" style="margin-right:0px;padding:10px 0;text-align:right;">
			<a href="javascript:nextpage()">继续显示</a>
		</div>
    </div>
</div>
<script>
    Highcharts.setOptions({ global: { useUTC: false } });
$("#imgstart").click(function(){
		new Calendar().show(document.getElementById("start"));
	});
$("#imgend").click(function(){
		new Calendar().show(document.getElementById("end"));
	});
</script>
</body>
</html>

