<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("nocookie", "");
	exit;
}

$wget = php_uname('s') == "Linux" ? "/usr/bin/wget" : "/usr/local/bin/wget";

$type = postval("type");

function addlibrescustable($conn)
{
	$sql = "create table if not exists palog.libres_cus";
	$sql .= "(id int not null default '0', ";
	$sql .= "name varchar(64) not null default '' comment '资源名称', ";
	$sql .= "host varchar(48) not null default '' comment '资源HOST')";
	$sql .= "ENGINE=MyISAM charset=utf8";
	if (mysql_query($sql, $conn) == false) {
		outputres("no", "mysql connect error\n");
		exit;
	}
}

function mklibresid($list)
{
	if (!is_array($list))
		return -1;
	
	$j = -1;
	for($i = 23; $i < 512; $i++) {
		$j = -1;
		foreach($list as $val) {
			if ($i == $val) {
				$j = $i;
				break;
			}
		}
		
		if ($j == -1) {
			$j = $i;
			break;
		}
       	}

	return $j;
}

if ($type == "threshold_user_list")
{
	$page = postval("page");
	$limit = postval("limit");

	$cmd = PANALOGEYE." miplibres list 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);
	$rows = array();
	$total = 0;
	$num = 0;
	foreach($out as $obj) {
		list($ip, $count, $last, $timetag) = explode(' ', $obj);
		if ($ip == "total") {
			$total = $count;
			continue;
		}
		array_push($rows, array(
			"id"=>(++$num + ($page -1) * $limit),
			"ipaddr"=>long2ip($ip),
			"count"=>(int)$count,
			"lasttime"=>(int)$last,
			"update"=>date("H:i", $last),
			"timetag"=>$timetag
		));
	}
	$json = array("msg"=>"", "data"=>$rows, "count"=>$total, "code"=>0);
	echo json_encode($json);
}

if ($type == "libres_threshold_submit")
{
	$threshold = postval("threshold");

	$cmd = PANALOGEYE." miplibres config 'threshold=$threshold'";
	exec($cmd);
}

if ($type == "libres_threshold_get")
{
	$rows = array();

	$cmd = PANALOGEYE." miplibres stat";
	exec($cmd, $out, $ret);
	foreach($out as $obj) {
		list($tag, $val) = explode('=', $obj);
		$rows[$tag] = $val;
	}
	echo json_encode($rows);
}

if ($type == "getsysstat")
{
	$sysstat = 1;
	$cmd = PANALOGEYE." serhit stat";
	exec($cmd, $out, $ret);
	foreach($out as $line) {
		list($tag, $val) = explode('=', trim($line));
		if ($tag == "libres_stop")
			$sysstat = $val;
	}
	echo $sysstat;
}

if ($type == "setsysstat")
{
	$sysstat = postval("sysstat");
	$cmd = PANALOGEYE." serhit config 'stop=$sysstat'";
	exec($cmd);
}

if ($type == "terminal_custom_check")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$platform = postval("platform");
	$cachefile = postval("cachefile");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$filename = "terminalcustom".date("YmdHis");

	$cmd = LOGDPATH."/bin/logeye user_behavior terminal_custom_check";
	$cmd .= " 'devid=$devid' 'account=$account' 'ipaddr=$ipaddr' 'longstart=$longstart' ";
	$cmd .= "'longend=$longend' 'errfile=$errfile' 'page=$page' 'limit=$limit' ";
	$cmd .= " 'bexport=$bexport' 'filename=$filename' 'platform=$platform'";
	$cmd .= " 'cachefile=$cachefile'";
	exec($cmd, $out, $ret);

	if ($bexport > 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	$totalrecords = 0;
	$rows = array();
	foreach($out as $val) {
		list($devid, $ip, $pf, $win_ver, $account) = explode(' ', $val);

		if ($devid == "total") {
			$totalrecords = $ip;
			continue;
		}

		array_push($rows, array(
			"devid"=>$devid,
			"ip"=>long2ip($ip),
			"pf"=>$pf,
			"win_ver"=>$win_ver,
			"account"=>iconv("gb2312", "utf-8", $account)
		));
	}

	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);
	echo json_encode($json);
}

if ($type == "terminal_trend")
{
	$hours = 24;
	$longstart = time() - $hours * 3600;
	$longend = time();

	$cmd = LOGDPATH."/bin/logeye user_behavior '$type' longstart=$longstart longend=$longend";
	exec($cmd, $out, $ret);

	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		}

		if ($ds[0] == "DATA")
			$slot++;
	}

	$appup = 0;

	$data = array();
	$rows = array();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		if ($ds[0] == "TAG") {
			$rows[$appup]['name'] = $ds[2];
		}

		if ($ds[0] == "DATA") {
			array_push($data, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[2]));

			if (count($data) == $slot) {
				$rows[$appup++]['data'] = $data;
				unset($data);
				$data = array();
			}
		}
	}

	$json['result'] = $rows;
	echo json_encode($json);
}

if ($type == "terminal_disable")
{
	$cmd = PANALOGEYE." terminal config enable=0";
	exec($cmd);
}

if ($type == "terminal_enable")
{
	$cmd = PANALOGEYE." terminal config enable=1";
	exec($cmd);
}

if ($type == "terminal_list")
{
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");
	$filename = "terminal".date("YmdHis").".xls";

	$rows = array();

	$total = 0;
	$cmd = PANALOGEYE." terminal stat";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($tag, $v) = explode('=', $val);
		if ($tag == "current_count")
			$total = $v;
	}

	unset($out);
	$cmd = PANALOGEYE." terminal list 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);

	if ($bexport > 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}
	foreach($out as $val) {
		list($ip, $time, $plat, $ver, $account, $devid) = explode(' ', $val);
		array_push($rows, array(
			"ip"=>long2ip($ip),
			"time"=>date('Y-m-d H:i:s', $time),
			"plat"=>$plat,
			"ver"=>$ver,
			"account"=>($account == null) ? "" : iconv("gb2312", "utf-8", $account),
			"devid"=>$devid
		));
	}

	$json = array("rows"=>$rows, "totalrecords"=>$total);
	echo json_encode($json);
}

if ($type == "terminal_stat")
{
	$total = 0;
	$win = 0;
	$android = 0;
	$ios = 0;

	$cmd = PANALOGEYE." terminal stat";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		/*
		* current_count=1
		* current_count_win=0
		* current_count_android=0
		* current_count_ios=1
		*/
		list($tag, $v) = explode('=', $val);
		switch($tag) {
		case "current_count":
			$total = $v;
			break;

		case "current_count_win":
			$win = $v;
			break;

		case "current_count_android":
			$android = $v;
			break;

		case "current_count_ios":
			$ios = $v;
			break;
		}
	}

	$json = array("total"=>$total, "win"=>$win, "android"=>$android, "ios"=>$ios);
	echo json_encode($json);
}

if ($type == "libres_file")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$ftitle = postval("ftitle");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$cachefile = postval("cachefile");
	$bexport = postval("bexport");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	$filename = "libres".date("YmdHis");
	$cmd = LOGDPATH."/bin/logeye user_behavior libres_file ";
	$cmd .= "'devid=$devid' 'account=$account' 'ipaddr=$ipaddr' 'longstart=$longstart'";
	$cmd .= " 'longend=$longend' 'errfile=$errfile' 'page=$page' 'limit=$limit' 'cachefile=$cachefile'";
	if ($ftitle != "") $cmd .= " 'ftitle=$ftitle'";
	$cmd .= " 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);

	if ($bexport != 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	$totalrecords = 0;
	$rows = array();
	foreach($out as $val) {
		list($devid, $time, $srcip, $account, $fname) = explode(' ', $val);
		if ($devid == "total") {
			$totalrecords = $time;
			continue;
		}

		$account = iconv("gb2312", "utf-8", $account);
		array_push($rows, array(
			"devid"=>$devid,
			"time"=>date("Y/m/d H:i:s", $time),
			"srcip"=>long2ip($srcip),
			"account"=>$account,
			"fname"=>$fname
		));
	}

	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);
	echo json_encode($json);
}

if ($type == "bitcoinuser_list")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');	
	
	$bexport = postval("bexport");
	$filename = "bitcoinuser".date("YmdHis");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior bitcoinuser_list 'devid=$devid'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	$cmd .= " 'ipaddr=$ipaddr' 'account=$account' 'page=$page' 'limit=$limit'";
	$cmd .= " 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);

	if ($bexport != 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}	

	$json = $x = $y = $up = $down = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));

		if ($ds[1] == "$") $ds[1] = "";

		array_push($x, long2ip($ds[0])."\n".$ds[1]);
		array_push($y, (float)$ds[2]);
		array_push($up, (float)$ds[3]);
		array_push($down, (float)$ds[4]);
	}

	$json = array("x"=>$x, "count"=>$y, "up"=>$up, "down"=>$down);
	echo json_encode($json);
	exit;
}


if ($type == "bitcoinuser_detail")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');	
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	$total = 0;
	$rows = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior bitcoinuser_detail 'devid=$devid'";
    $cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
    $cmd .= " 'ipaddr=$ipaddr' 'account=$account' 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);

	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if($ds[0] == "totalrecord"){
			$total = $ds[1];
			continue;
		}
		array_push($rows,array(
			"ipaddr"=>long2ip($ds[0]),
			"account"=>$ds[1],
			"count"=>$ds[2],
			"upbps"=>$ds[3],
			"downbps"=>$ds[4],
			"time"=>date("Y/m/d H:i:s", $ds[5]),
			"devid"=>$ds[6]
		));
	}
	
	$json = array("total"=>$total,"rows"=>$rows);
	echo json_encode($json);
	exit;
	
}


if ($type == "vpnuser_list")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior vpnuser_list 'devid=$devid' 'longstart=$longstart'";
	$cmd .= " 'longend=$longend' 'errfile=$errfile' 'ipaddr=$ipaddr' 'account=$account' 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);

	$json = $x = $y = $up = $down = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));

		if ($ds[1] == "$") $ds[1] = "";

		array_push($x, long2ip($ds[0])."\n".$ds[1]);
		array_push($y, (float)$ds[2]);
		array_push($up, (float)$ds[3]);
		array_push($down, (float)$ds[4]);
	}

	$json = array("x"=>$x, "count"=>$y, "up"=>$up, "down"=>$down);
	echo json_encode($json);
	exit;
}

if ($type == "postdata_list")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$dstip = postval("dstip");
	$account = postval("account");
	$domain = postval("domain");
	$url = urldecode(postval("url"));
	$keywd = urldecode(postval("keywd"));
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	if ($account != "")
		$account = iconv("utf-8", "gb2312", $account);
	if ($keywd != "")
		$keywd_gbk = iconv("utf-8", "gb2312", $keywd);
	if ($page == "" || $page == 0)
		$page = 1;
	if ($limit == "" || $limit == 0)
		$limit = 25;

	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior postdata_list 'devid=$devid'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	if ($ipaddr != "")
		$cmd .= " 'ipaddr=$ipaddr'";
	if ($dstip != "")
		$cmd .= " 'dstip=$dstip'";
	if ($account != "")
		$cmd .= " 'account=$account'";
	if ($domain != "")
		$cmd .= " 'domain=$domain'";
	if ($url != "")
		$cmd .= " 'url=$url'";
	if ($keywd != "")
		$cmd .= " 'keywd=".urlencode($keywd)."' 'keygb2312=".urlencode($keywd_gbk)."'";

	$rows = array();

	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($devid, $acctime, $ip, $sport, $dstip, $dstport, $host, $url, $account, $content) = explode('	', $val);
		if (json_encode($account) == false)
			$account = iconv("gb2312", "utf-8", $account);
		$content = urldecode($content);
		if (json_encode(($content)) == false)
			$content = iconv("gb2312", "utf-8", $content);

		array_push($rows, array(
			"devid"=>$devid,
			"acctime"=>$acctime,
			"ip"=>long2ip($ip),
			"sport"=>$sport,
			"dstip"=>long2ip($dstip),
			"dstport"=>$dstport,
			"host"=>$host,
			"url"=>$url,
			"account"=>$account,
			"content"=>$content
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "heresy_iplist")
{
	$rows = $sort = $json = array();

	$id = postval("id");
	$hours = postval("hours");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$host = "";

	$cmd = PANALOGEYE." heresy get 'id=$id'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($tag, $val) = explode('=', $val);
		if ($tag == "host")
			$host = $val;
	}

	unset($out);

	$longend = strtotime("now");
	$longstart = $longend - 3600 * $hours;

	$cmd = LOGDPATH."/bin/logeye user_behavior heresy_iplist 'domain=$host' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $time, $up, $down, $account) = explode(' ', $val);

		if (json_encode($account) == false)
			$account = iconv("gb2312", "utf-8", $account);

		array_push($rows, array(
			"ipaddr"=>long2ip($ipaddr),
			"time"=>$time,
			"up"=>$up,
			"down"=>$down,
			"host"=>substr($host, 6),
			"account"=>$account
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "heresy_list")
{
	$rows = $sorts = $json = array();

	$cmd = PANALOGEYE." heresy list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($id, $name, $host, $cnt) = explode('	', $val);
		array_push($rows, array(
			"id"=>$id,
			"name"=>$name,
			"host"=>$host,
			"cnt"=>$cnt
		));
		array_push($sorts, $cnt);
	}
	array_multisort($sorts, SORT_DESC, $rows);

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "heresy_check")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior heresy_check ";
	$cmd .= "'devid=$devid' 'account=$account' 'ipaddr=$ipaddr' 'page=$page' 'limit=$limit' ";
	$cmd .= "'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);

	$rows = array();
	foreach($out as $val) {
		list($ipaddr, $time, $up, $down, $account, $host, $name) = explode(' ', $val);

		if (json_encode($account) == false)
			$account = iconv("gb2312", "utf-8", $account);

		array_push($rows, array(
			"ipaddr"=>long2ip($ipaddr),
			"time"=>$time,
			"up"=>$up,
			"down"=>$down,
			"account"=>$account,
			"host"=>substr($host, 6),
			"name"=>$name
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "libres_dwbookuser")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$fencode = postval("fencode");
	$ftitle = urldecode(postval("ftitle"));
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$ft = "";
	if ($fencode == "gb" || $fencode == "GB")
		$ft = iconv("utf-8", "gb2312", $ftitle);	
	$keyutf8 = $ftitle;

	$cmd = LOGDPATH."/bin/logeye user_behavior libres_dwbookuser ";
	$cmd .= "'devid=$devid' 'account=$account' 'ipaddr=$ipaddr' ";
	$cmd .= "'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'ftitle=$ft'";
	$cmd .= " 'keyutf8=$keyutf8'";
	exec($cmd, $out, $ret);

	$rows = array();

	foreach($out as $val) {
		list($account, $ip, $num) = explode(' ', $val);
		array_push($rows, array(
			"account"=>$account,
			"ip"=>long2ip($ip),
			"num"=>$num
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "libres_book")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$ftitle = urldecode(postval("ftitle"));
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$keygb2312 = "";
	if ($ftitle != "")
		$keygb2312 = iconv("utf-8", "gb2312", $ftitle);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior libres_book ";
	$cmd .= "'devid=$devid' 'account=$account' 'ipaddr=$ipaddr' 'longstart=$longstart'";
	$cmd .= " 'longend=$longend' 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	if ($ftitle != "")
		$cmd .= " 'ftitle=$ftitle' 'keygb2312=$keygb2312'";
	exec($cmd, $out, $ret);

	$rows = array();

	foreach($out as $val) {
		list($ftitle, $fencode, $num) = explode(' ', $val);
		$ftitle = urldecode($ftitle);
		if (json_encode($ftitle) == false)
			$ftitle = iconv("gb2312", "utf-8", $ftitle);
		array_push($rows, array(
			"ftitle"=>$ftitle,
			"fencode"=>$fencode,
			"num"=>$num
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "libres_import")
{
	$upfile = isset($_FILES['fileupgrade']) ? $_FILES['fileupgrade'] : "";
	if ($upfile == "") {
		echo "<script type='text/javascript'>alert('请选择正确的文件!');</script>";
		exit;
	}

	if (strstr($upfile['name'], "txt") === false) {
		echo "<script type='text/javascript'>alert('请选择正确的文本文件');</script>";
		exit;
	}

	$fname = "/var/tmp/libres.txt";
	if (! move_uploaded_file($upfile['tmp_name'], $fname)) {
		echo "<script type='text/javascript'>alert('文件上传失败!');</script>";
		exit(0);
	}
	
	if (($conn = my_mysql_connect()) == false) {
		echo "<script type='text/javascript'>alert('数据库连接失败，请稍后再试!');</script>";
		exit;
	}
	/* 创建表 */
	addlibrescustable($conn);

	$alllist = array();
	$sql = "select id from palog.libres_cus order by id asc";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($alllist, $row[0]);
		}
	}
	else {
		echo "<script type='text/javascript'>alert('".mysql_error()."');</script>";
		mysql_close();
		exit;
	}

	$errnum		= 0;
	$insert_errnum	= 0;
	$succnum	= 0;
	$repeat_num	= 0;
	if (($fp = fopen($fname, "r")) != false) {
		while (!feof($fp)) {
			$buf = fgets($fp);
			$buf = trim($buf, "\r\n");
			if ($buf == "")
				continue;
			
			list($name, $host) = explode(' ', $buf);
			if ($name == "" || $host == "" || strchr($host, '.') == false || strlen($host) <= 5) {
				$errnum++;
				continue;
			}
			/* http://aaa.com/b/c */
			if (($pos = strpos($host, "//")) != false)
				$host = substr($host, $pos + 2);
			if (($pos = strpos($host, "/")) != false)
				$host = substr($host, 0, $pos);
			if (($pos = strpos($host, ':')) != false)
				$host = substr($host, 0, $pos);

			$cmd = "select id from palog.libres_cus where host='$host'";
			if (($result = mysql_query($cmd)) != false) {
				if (mysql_num_rows($result) > 0) {
					$repeat_num++;
					continue;
				}
			}
			
			if (($id = mklibresid($alllist)) < 0) {
				continue;
			}

			array_push($alllist, $id);

			if (!is_utf8($name))
				$name = iconv("gb2312", "utf-8", $name);
			$cmd = "insert into palog.libres_cus(id, name, host)values($id, '$name', '$host')";
			if (mysql_query($cmd) == false) {
				$insert_errnum++;
				continue;
			}
			$succnum++;
		}
		fclose($fp);
	}
	mysql_close($conn);
	
	unlink($fname);

	$cmd = PANALOGEYE." session config reload=1";
	exec($cmd);

	echo "<script type='text/javascript'>alert('上传成功! 错误数".$errnum.",插入错误$insert_errnum,重复数".$repeat_num.",成功数".$succnum."');parent.location.href='libres_config.php';</script>";
	exit;
}

if ($type == "libres_add")
{
	$name = urldecode(postval("name"));
	$host = postval("host");

	if ($name == "" || $host == "") {outputres("no", "no name or host");exit;}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql connect error\n");
		exit;
	}
	
	addlibrescustable($conn);

	$sql = "select * from palog.libres_cus where name='$name' or host='$host'";
	if (($result = mysql_query($sql)) != false) {
		if (mysql_num_rows($result) > 0) {
			outputres("no", "exists");
			mysql_close();
			exit;
		}
	}

	$list = array();
	$sql = "select id from palog.libres_cus order by id asc";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($list, $row[0]);
		}
	}

	if (($id = mklibresid($list)) < 0) {
		outputres("no", "id error\n");
		mysql_close($conn);
		exit;
	}

	$sql = "insert into palog.libres_cus(id, name, host)values($id, '$name', '$host')";
	if (mysql_query($sql) == false) {
		if (mysql_errno($conn) == 1146) {
			addlibrescustable($conn);
			mysql_query($sql);
		}else {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}
	mysql_close();

	$cmd = PANALOGEYE." session add library=1 'name=$name' 'host=$host' 'id=$id'";
	exec($cmd);

	outputres("yes", "");
	exit;
}

if ($type == "libres_list")
{
	$sorts	= array();
	$rows	= array();
	$data	= array();
	$ips	= array();

	$ips = nodelist2();

	if (count($ips) != 0) {
		unset($out);

		foreach($ips as $val) {
			$tmpfile = "/tmp/syn_libres.json.".time();
			unlink($tmpfile);
			$cmd = "$wget --no-check-certificate --post-data='token=xxx' 'https://$val/content-apply/syn_libres.php' -O $tmpfile";
			exec($cmd);
			if (file_exists($tmpfile)) {
				$cont = file_get_contents($tmpfile);
				$json = json_decode($cont);
				foreach($json as $obj) {
					array_push($data, array( "id"=>$obj->id, "name"=>$obj->name, "host"=>$obj->host, "cnt"=>$obj->cnt));
					array_push($sorts, $obj->id);
				}
				unlink($tmpfile);
			}
		}
		array_multisort($sorts, SORT_ASC, SORT_NUMERIC, $data);

		foreach($data as $i=>$v1) {
			$fd = 0;
			foreach($rows as $j=>$v2) {
				if ($v1["id"] == $v2["id"]) {
					$rows[$j]["cnt"] += $v1["cnt"];
					$fd = 1;
					break;
				}
			}

			if (!$fd) 
				array_push($rows, $v1);
		}

		$json = array("rows"=>$rows);
		echo json_encode($json);
		exit;
	}

	unset($out);

	$cmd = PANALOGEYE." session list library=1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($id, $name, $host, $cnt) = explode('	', $val);
		if ($id < 23) continue;
		array_push($rows, array(
			"id"=>$id,
			"name"=>$name,
			"host"=>$host,
			"cnt"=>$cnt
		));
		array_push($sorts, $cnt);
	}

	array_multisort($sorts, SORT_DESC, $rows);

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "libres_delete")
{
	$id = postval("id");
	$host = postval("host");
	
	if ($id == "") {
		outputres("no", "no id");
		exit;
	}
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql connect error\n");
		exit;
	}

	if ($id == 0) {
		$sql = "delete from palog.libres_cus";
		$cmd = PANALOGEYE." session remove library=1 host=all";
	}
	else {
		$sql = "delete from palog.libres_cus where id=$id or host='$host'";
		$cmd = PANALOGEYE." session remove library=1 'host=$host'";
	}
	mysql_query($sql);
	mysql_close();

	exec($cmd);

	/*
	 * 节点列表
	 */
	$ips = nodelist2();

	if (count($ips) != 0) {
		foreach($ips as $val) {
			$tmpfile = "/tmp/libres_syn_delete.json.".time();
			if (file_exists($tmpfile)) unlink($tmpfile);
			$cmd = "$wget --no-check-certificate --post-data='token=xxx&id=$id&host=$host' 'https://$val/content-apply/libres_syn_delete.php' -O $tmpfile";
			exec($cmd);
			if (file_exists($tmpfile)) unlink($tmpfile);
		}
	}
	exit;
}

if ($type == "app_iplist")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$appid = postval("appid");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior apptoip 'devid=$devid' 'account=$account'";
	$cmd .= " 'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'errfile=$errfile' 'iptype=$iptype'";
	if ($appid != -1) $cmd .= " 'appid=$appid'";
	if ($grpid != 0) $cmd .= " 'grpid=$grpid'";
	if ($sort != "") $cmd .= " 'sort=$sort'";
	exec($cmd, $out, $ret);
	$json = $rows = $sorts = array();
	foreach($out as $val) {
		list($ip, $flowcnt, $upbytes, $downbytes, $account) = explode(' ', trim($val, "\n"));
		if ($ip == "total") {
			continue;
		}
		array_push($rows, array("ipaddr"=>long2ip($ip), 
			"upbytes"=>(double)$upbytes, 
			"downbytes"=>(double)$downbytes, 
			"flowcnt"=>(double)$flowcnt));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "xyd_user")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$xyd_type = postval("xyd_type");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");
	$filename = "xyduser".date("YmdHis");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior xyd_user 'devid=$devid' 'longstart=$longstart'";
	$cmd .= " 'longend=$longend' 'errfile=$errfile' 'xyd_type=$xyd_type'";
	if ($account != "") $cmd .= " 'account=$account'";
	if ($ipaddr != "") $cmd .= " 'ipaddr=$ipaddr'";
	$cmd .= " 'page=$page' 'limit=$limit' 'bexport=$bexport'";
	if ($bexport != 0) $cmd .= " 'filename=$filename'";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"account"=>iconv("gb2312", "utf-8", $ds[1]),
			"count"=>(float)$ds[2],
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "xyd_check")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior xyd_list 'devid=$devid' 'longstart=$longstart'";
	$cmd .= " 'longend=$longend' 'errfile=$errfile' 'ipaddr=$ipaddr' 'account=$account'";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		array_push($rows, array(
			"type"=>$ds[0],
			"name"=>iconv("gb2312", "utf-8", $ds[1]),
			"count"=>(float)$ds[2],
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "libres_url")
{
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$libtype = postval("libtype");
	$libtype2 = postval("libtype2");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$json = $rows = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior libres_url longstart=$longstart longend=$longend";
	$cmd .= " 'errfile=$errfile' 'libtype=$libtype' 'libtype2=$libtype2'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			"host"=>$ds[0],
			"url"=>$ds[1],
			"type"=>$ds[2],
			"name"=>$ds[3],
			"type2"=>$ds[4],
			"num"=>(float)$ds[5]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "libres_trend")
{
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$libtype = postval("libtype");
	$ipaddr = postval("ipaddr");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$i = 0;
	$app = 0;
	$data = $series = $seriesdown = $seriesflow = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior libres_trend longstart=$longstart";
	$cmd = " longend=$longend 'errfile=$errfile' 'libtype=$libtype' 'ipaddr=$ipaddr'";
	exec($cmd, $out, $ret);
	
	$slot = 0;
	foreach($out as $val){
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		}
		
		if ($ds[0] == "DATA")
			$slot++;
       	}

	$appup = 0; $appdown = 0; $appflow = 0; $currtype = "";

	foreach($out as $val){
		$ds = explode(' ', $val);
		
		$cname = $ds[2];
		if ($ds[0] == "TAG"){
			if ($ds[1] == "DATE"){
				$currtype = "DATE";
				$series[$appup]['name'] = $cname;
			}
		}
		
		if ($ds[0] == "DATA"){
			$data[$i]['x'] = (int)$ds[1] * 1000;
			$data[$i++]['y'] = (float)$ds[2]; 
			if (count($data) == $slot){
				if ($currtype == "DATE")
					$series[$appup++]['data'] = $data;
				unset($data);
				$i = 0;
			}
		}
	}
       
	$json['rows'] = $series;
       	echo json_encode($json);
	exit;
}

if ($type == "libres_userdetail")
{
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$libtype = postval("libtype");
	$bexport = postval("bexport");

	$libtype2 = -1;
	if (isset($_POST['libtype2']))
		$libtype2 = postval("libtype2");
	$host = urldecode(postval("host"));
	$url = $_POST["url"];
	$url = str_replace("2266", "&", $url);
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$filename = "libres_user".date("YmdHis");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$json = $rows = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior libres_userdetail ";
	$cmd .= "'libtype=$libtype' longstart=$longstart longend=$longend ";
	$cmd .= "'errfile=$errfile' 'domain=$host' url='$url' 'libtype2=$libtype2'";
	$cmd .= " 'filename=$filename' 'bexport=$bexport'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			"account"=>iconv("gb2312", "utf-8", $ds[0]), 
			"ip"=>long2ip($ds[1]), 
			"num"=>(float)$ds[2], 
			"total"=>(float)$ds[3]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "libres_udown")
{
	$ipaddr = postval("ipaddr");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$libtype2 = postval("libtype2");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	if (!empty($ipaddr) && isipaddr($ipaddr) == false) {
		outputres("no", "INVALID_IP");
		exit;
	}

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$json = $rows = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior libres_udown longstart=$longstart";
	$cmd .= " longend=$longend 'errfile=$errfile' libtype=-1 'libtype2=$libtype2'";
	if ($ipaddr != "") $cmd .= " 'ipaddr=$ipaddr'";
	exec($cmd, $out, $ret);
	$appx = $appy = array();
	foreach($out as $k=>$val) {
		$ds = explode(' ', $val);

		$pos = -1;
		foreach($appx as $i=>$val) {
			if (strstr($val, long2ip($ds[1])) != false) {
				$pos = $i;
				break;
			}
		}

		if ($pos == -1) {
			if ($ds[0] == '$')
				array_push($appx, long2ip($ds[1]));
			else
				array_push($appx, long2ip($ds[1])."<br/>".$ds[0]);
			array_push($appy, $ds[4]);
		}
		else {
			$appy[$pos] += $ds[4];

		}
	}

	$json["appx"] = $appx;
	$json["appy"] = $appy;
	echo json_encode($json);
	exit;
}

if ($type == "libres_check")
{
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$resid = postval("resid");

	$show_custom = isset($_POST['show_custom']) ? postval('show_custom') : 0;

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$filename = "libres".date("YmdHis");

	$cmd = LOGDPATH."/bin/logeye user_behavior libres_list longstart=$longstart";
	$cmd .= " longend=$longend 'errfile=$errfile' 'bexport=$bexport' 'filename=$filename' 'resid=$resid'";
	if ($show_custom)
		$cmd .= " 'show_custom=$show_custom'";
	exec($cmd, $out, $ret);

	$hosts = array();
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "操作失败：数据库连接失败！");
		exit;
	}
	$sql = "select id, host from palog.libres_cus";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($hosts, array(
				"id"	=>$row[0],
				"host"	=>$row[1]
			));
		}
		mysql_free_result($result);
	}
	mysql_close();

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));

		$host = "";
		foreach($hosts as $val) {
			if ($val["id"] == $ds[0]) {
				$host = $val["host"];
				break;
			}
		}

		array_push($rows, array(
			"type"=>$ds[0],
			"name"=>$ds[1],
			"host"=>$host,
			"viewn"=>(float)$ds[2],
			"upbytes"=>(float)$ds[4],
			"downbytes"=>(float)$ds[5],
			"downn"=>(float)$ds[3]
		));

		if ($sort == "viewn")
			array_push($sorts, $ds[2]);
		else
			array_push($sorts, $ds[3]);
	}

	array_multisort($sorts, SORT_DESC, $rows);

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "ixcache_list")
{
	$license_id12 = postval("license_id12");
	$action = postval("action");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	$code = postval("code");
	$md5 = postval("md5");
	$url = postval("url");
	$srcip = postval("srcip");
	$dstip = postval("dstip");
	$usesec = postval("usesec");
	$appname = postval("appname");
	$bexport = postval("bexport");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$filename = "ixcache".date("YmdHis");

	$json = $rows = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior ixcache_list 'license_id12=$license_id12'";
	$cmd .= " 'action=$action' longstart=$longstart longend=$longend 'errfile=$errfile'";
	$cmd .= " 'page=$page' 'limit=$limit' 'code=$code' 'md5=$md5' 'url=$url' 'ipaddr=$srcip' 'dstip=$dstip'";
	$cmd .= " 'usesec=$usesec' 'appname=$appname' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	if ($bexport != 0) {
		$result['file'] = $filename;
	       	echo json_encode($result);
		exit;
	}
	foreach($out as $val) {
		list($license_id12, $type, $starttime, $endtime, $srcip, $dstip, $code, $appname, $fsize, $md5, $url, $position, $fsent) = explode(' ', $val);
		//$s = substr($url, 7);
	       	//$url = "http://".urlencode($s);
		array_push($rows, array(
			"license_id12"=>$license_id12,
			"type"=>$type,
			"starttime"=>date("m-d H:i:s", $starttime),
			"endtime"=>date("m-d H:i:s", $endtime),
			"secs"=>$endtime - $starttime,
			"srcip"=>long2ip($srcip),
			"dstip"=>long2ip($dstip),
			"code"=>(int)$code,
			"appname"=>iconv("gb2312", "utf-8", $appname),
			"fsize"=>$fsize,
			"md5"=>$md5,
			"url"=>$url,
			"position"=>iconv("gb2312", "utf-8", $position),
			"fsent"=>$fsent,
		));
	}
	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "pppoelist")
{
	$devid = postval("devid");
	$pppoe = postval("pppoe");
	$action = postval("act");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	//$tablefile = php_getappstoretable($longstart, $longend);

	$json = $rows = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior pppoelist 'devid=$devid'";
	$cmd .= " 'pppoe=$pppoe' 'pppoe_action=$action' longstart=$longstart longend=$longend";
	$cmd .= " 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			"devid"=>$ds[0],
			"time"=>date("Y/m/d H:i:s", $ds[1]),
			"pppoe"=>iconv("gb2312", "utf-8", $ds[2]),
			"action"=>$ds[3],
			"start"=>date("Y/m/d H:i:s", $ds[4]),
			"end"=>date("Y/m/d H:i:s", $ds[5])
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "topmobile")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$apkname = urlencode(postval("apkname"));
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	$cachefile = isset($_POST['cachefile']) ? postval("cachefile") : "";

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	//$tablefile = php_getappstoretable($longstart, $longend);

	$json = $rows = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior appstore_list 'devid=$devid'";
	$cmd .= " 'ipaddr=$ipaddr' 'apkname=$apkname'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	$cmd .= " 'page=$page' 'limit=$limit'";
	if ($cachefile != "")
		$cmd .= " cachefile=$cachefile";

	$total = 0;
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', trim($val));
		if ($ds[0] != "data" && $ds[0] != "total") {
			outputres("no", $out[0]);
			exit;
		}

		if ($ds[0] == "total") {
			$total = $ds[1];
			continue;
		}

		/*
		 * data apkname count 
		 */
		if (count($ds) > 3) {
			$n = '';
			for ($i = 1; $i < count($ds) - 1; $i++) {
				$n .= $ds[$i].' ';
			}
			$num = (float)$ds[count($ds) - 1];
		}
			else {
			$n = $ds[1];
			$num = (float)$ds[2];
		}

		array_push($rows, array(
			"fname"=>urlencode($n),
			"count"=>$num
		));
	}

	$json = array("totalrecords"=>$total, "rows"=>$rows);
	echo json_encode($json);

	exit;
}

if ($type == "appstore_stat")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$apkname = postval("apkname");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	//$tablefile = php_getappstoretable($longstart, $longend);

	$json = $rows = $data = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior appstore_stat 'devid=$devid'";
	$cmd .= " 'ipaddr=$ipaddr' 'apkname=$apkname'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {	
		$ds = explode(' ', trim($val, "\n"));		
		array_push($rows, array("x"=>(int)$ds[1] * 1000, "y"=>(double)$ds[2]));
	}
	array_push($data, array("name"=>"移动终端", "color"=>"#FF5A00", "data"=>$rows));

	$json["data"] = $data;
	echo json_encode($json);

	exit;
}

if ($type == "piclist")
{
	$out = $rows = $json = array();
	
	$page = postval("page");
	$limit = postval("limit");
	$ipaddr = postval("ipaddr");
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior piclist 'ipaddr=$ipaddr' 'devid=$devid' ".
		"'page=$page' 'limit=$limit' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array(
			"ip"=>long2ip($ds[2]),
			"time"=>date("Y-m-d H:i:s", $ds[3]),
			"host"=>$ds[0],
			"url"=>$ds[1],
			"account"=>iconv("gb2312", "utf-8", $ds[4])
		));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "apk_userlist")
{
	$devid = postval("devid");
	$decode_apkname = urlencode(postval("apkname"));
	$apkname = postval("apkname");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$decode_apkname = str_replace('%2B', '+', $decode_apkname);
	$apkname = str_replace('%2B', '\+', $apkname);

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	//$tablefile = php_getappstoretable($longstart, $longend);

	$json = $rows = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior apk_userlist 'devid=$devid'";
	$cmd .= " 'decode_apkname=$decode_apkname'";
	$cmd .= " 'apkname=$apkname' 'page=$page' 'limit=$limit'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] != "data") {
			outputres("no", $out[0]);
			exit;
		}

		array_push($rows, array(
			"ip"=>long2ip($ds[1]),
			"count"=>(float)$ds[2]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "apk_urllist")
{
	$devid = postval("devid");
	$decode_apkname = urlencode(postval("apkname"));
	$apkname = postval("apkname");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$decode_apkname = str_replace('%2B', '+', $decode_apkname);
	$apkname = str_replace('%2B', '\+', $apkname);

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$tablefile = php_getappstoretable($longstart, $longend);

	$json = $rows = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior apk_urllist 'devid=$devid'";
	$cmd .= " 'decode_apkname=$decode_apkname'";
	$cmd .= " 'apkname=$apkname' 'page=$page' 'limit=$limit'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] != "data") {
			outputres("no", $out[0]);
			exit;
		}

		array_push($rows, array(
			"http"=>"http://".($ds[1])."/".iconv("gb2312", "utf-8", $ds[2]),
			"count"=>(float)$ds[3]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}
?>
