<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function heresy_list()
{
	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'heresy_list'},
		success:function(json) {
			data_update(json);
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("heresy_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.id;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = '<a href="javascript:void(0);" onclick="heresy_open('+r.id+', \''+r.name+'\')">' + r.name + '</a>';

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = '******'+r.host;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.cnt);
	}
}

function showchart(json)
{
	var distype = "bar";
	$("#libchart").show();

	var option = {
        chart: {
		renderTo: 'libchart',
		defaultSeriesType: distype,
		borderColor:'#D3DCEB'
        },
        title: {
		text: null,
		style:{
			font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
		text: null
        },
        xAxis: {
		categories: [],
		title: {
			text: null
		},
		labels:{
			//rotation:-45,
			align:'right',
			style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
		}
        },
        yAxis: [{
		min: 0,
		title: {
			text: '次数'
		}
	}],
        tooltip: {
		formatter: function() {
			return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y);
		}
        },
        plotOptions: {
		bar: {
			cursor:'pointer',
			point:{
			events:{
				click:function(){
					libres_checkuser(this.type, this.name);
				}
			}},
			dataLabels: {
				enabled: false
			}
		},
		series: {
			borderRadius: 5
		}
        },
        legend: {
		enabled:true
        },
        credits: {
		enabled: false
        },
        series: []
	}

	var c = 0;
	var series = [{name:'访问次数', data:[], color:'#2e8ae3'}];

	var len = json.rows.length;
	for (var i = 0; i < 20; i++){
		option.xAxis.categories.push(json.rows[i].name);
		series[0].data.push({name:json.rows[i].name, y:json.rows[i].count, type:json.rows[i].type});
	}
	option.series = series;

	var chart = new Highcharts.Chart(option);
}

function heresy_open(id, name)
{
	var w = 700;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	window.open("heresy_iplist.php?id="+id+"&name="+encodeURIComponent(name)+"&hours=1", 
			"_blank", "width="+w+"px, height="+height+", left="+left);
}

function libres_trend()
{
	var left = (window.screen.width - 800) / 2;
	var height = 400;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	window.open("libres_trend.php?libtype=-1&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width=800px, height="+height+", left="+left);
}

function show_table()
{
	$("#libchart").hide();
	$("#xyd-table").show();
}

function show_chart()
{
	$("#libchart").show();
	$("#xyd-table").hide();
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="heresy.php">访问排行</a></li>
			<li><a href="heresy_custom.php">自定义查询</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;" id="heresy_table">
			<tr>
				<th width="50px">序号</th>
				<th align="left">访问名称</th>
				<th align="right">访问域名</th>
				<th width="100px" align="right">访问次数</th>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
heresy_list();
setInterval(heresy_list, 5000);
</script>
</body>
</html>

