<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1, limit = 50, disover = 0;
function heresy_list()
{
	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'heresy_check', devid: devid, ipaddr:ipaddr, account:account, starttime: starttime, endtime: endtime, errname: errname, page: page, limit:limit},
		success:function(json) {
			cluster_load_hide();

			if (json.rows.length < limit)
				disover = 1;
			else
				disover = 0;
			
			data_update(json);
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("heresy_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ipaddr;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		if (r.account == "$") r.account = "";
		cell.innerHTML = r.account;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = '******'+r.host;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.name;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
	}
}

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	heresy_list();
}

function next() 
{
	if (disover) {
		alert("已经是最后一页了");
		return false;
	}
	page++;
	
	heresy_list();
}

function button_click()
{
	page = 1;
	
	disover = 0;
	
	heresy_list();
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li><a href="heresy.php">访问排行</a></li>
			<li class="active"><a href="heresy_custom.php">自定义查询</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<span id="ipcustom">
					<label>IP地址</label>
					<input type="text" id="ipaddr" value="" style="width:100px" placeholder="192.168.0.1" />
				</span>
			</li>
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:120px" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = $t + 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
			</li>
			<li>
				<a class="btn-extend-color" onclick="button_click()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;" id="heresy_table">
			<tr>
				<th width="50px">序号</th>
				<th align="left">IP地址</th>
				<th align="left">用户账号</th>
				<th align="left">域名</th>
				<th align="left">名称</th>
				<th align="right">上行流量</th>
				<th align="right">下行流量</th>
			</tr>
		</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

