<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['name']?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function heresy_iplist()
{
	var id = $("#id").val();
	var hours = $("#hours").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'heresy_iplist', id:id, errname: errname, hours: hours},
		success:function(json) {
			cluster_load_hide();
			data_update(json);
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("heresy_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = '...'+r.host

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ipaddr

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = unixtimetodate(r.time);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.up;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.down;

		if (r.account == "$") r.account = "";
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.account;
	}
}

</script>
</head>
<body class="als-body">
<div>
<?php
$id = $_GET['id'];
$hours = $_GET['hours'];
$name = $_GET['name'];
?>
	<input type="hidden" value="<?=$id?>" id="id" />
	<input type="hidden" value="<?=$hours?>" id="hours" />
	<input type="hidden" value="<?=$name?>" id="name" />
	<div class="als-nav-header">
		<ul>
<?php
switch($hours) {
case 1:
$active1 = "active";
break;

case 3:
$active3 = "active";
break;

case 6:
$active6 = "active";
break;

case 24:
$active24 = "active";
break;
}
?>
			<li class="<?=$active1?>"><a href="heresy_iplist.php?hours=1&id=<?=$id?>&name=<?=$name?>">最近1小时</a></li>
			<li class="<?=$active3?>"><a href="heresy_iplist.php?hours=3&id=<?=$id?>&name=<?=$name?>">最近3小时</a></li>
			<li class="<?=$active6?>"><a href="heresy_iplist.php?hours=6&id=<?=$id?>&name=<?=$name?>">最近6小时</a></li>
			<li class="<?=$active24?>"><a href="heresy_iplist.php?hours=24&id=<?=$id?>&name=<?=$name?>">最近24小时</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;" id="heresy_table">
			<tr>
				<th width="50px">序号</th>
				<th align="left">域名</th>
				<th align="left">IP地址</th>
				<th align="center">访问时间</th>
				<th align="right">上行流量</th>
				<th align="right">下行流量</th>
				<th align="left">用户账号</th>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
heresy_iplist();
</script>
</body>
</html>

