<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = isset($_GET["id"]) ? $_GET['id'] : "";
$cname = isset($_GET["cname"]) ? $_GET['cname'] : "";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var json_rows = [];
function ip_appinfo(sort)
{
	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());
	var appid = $("#hidappid").val();

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var grpid = 0;
	var iptype = "ipcustom";
	if ($("[name='isipgrp']").attr("checked")) {
		grpid = $("#ipgroup").val();
		iptype = "ipgrp";
	}

	if (iptype == "ipgrp" && grpid == 0) {
		alert("请选择要查询的IP群组");
		return false;
	}

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../Flow/ipapplist.php',
		dataType:'json',
		data:{ip:ipaddr, tmstart:starttime, sort:sort, tmend:endtime, errname:errname, appid:appid, devid: devid, account: account, iptype: iptype, grpid: grpid},
		success:function(json) {
			json_rows.length = 0;
			json_rows = json.rows;

			ip_appinfo_update(json, ipaddr, sort, starttime, endtime);
			
			cluster_load_hide();
		}
	});
}

function appview(appid, cname)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;

	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var grpid = 0;
	var iptype = "ipcustom";
	if ($("[name='isipgrp']").attr("checked")) {
		grpid = $("#ipgroup").val();
		iptype = "ipgrp";
	}

	window.open("../content-apply/app_iplist.php?devid="+devid+"&account="+account+
		"&appid="+appid+"&cname="+cname+"&starttime="+starttime+
		"&endtime="+endtime+"&ipaddr="+ipaddr+"&iptype="+iptype+"&grpid="+grpid, 
		"_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function ip_appinfo_update(json)
{
	var cell;
	var list = document.getElementById("mytable");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var pos = totalup = totaldown = totalflow = 0;
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i + 1);
		cell.style.width = "50px";

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = '<a href="javascript:appview('+r.appid+', \''+r.cname+'\')">'+r.cname+'</a>';

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.flowcnt;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes + r.upbytes);

		totalup += r.upbytes;
		totaldown += r.downbytes;
		totalflow += r.flowcnt;
	}

	obj = list.insertRow(-1);
	obj.onmouseover = function() {
		this.className = "trbg";
	}
	obj.onmouseout = function() {
		this.className = "";
	}

	pos = 0;
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "center");
	cell.innerHTML = "";
	cell.style.width = "50px";

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "left");
	cell.className = 'font-weight';
	cell.innerHTML = '总共';

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = totalflow;

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = numberformats(totalup);

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = numberformats(totaldown);

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = numberformats(totalup + totaldown);
}

function app_export(bexport)
{
	if (json_rows.length == 0){
		alert("请先查询，然后再导出数据")
		return false;
	}

	$.ajax({
		url:'../content-apply/apptofile.php',
		data:{bexport:bexport},
		type:'post',
		dataType:'json',
		success:function(json) {
			window.open("../download.php?filename="+json.file, "_blank");
		}
	})
}

function change_iptype()
{
	$("[name='isipgrp']").click(function(){
		if ($(this).attr("checked")) {
			$("#ipcustom").hide();
			$("#ipgrp").show();
		}
		else {
			$("#ipcustom").show();
			$("#ipgrp").hide();
		}
	});
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+
			r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	$("#hidappid").val(appid);
	$("#hidname").val(name);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

</script>
</head>

<body>
<div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<span id="ipcustom">
					<label>IP地址</label>
					<input type="text" id="ipaddr" value="" style="width:100px" placeholder="192.168.0.1" />
				</span>
				<span id="ipgrp" style="display:none;">
					IP群组
					<select id="ipgroup" style="width:100px;">
					<?php
					if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) != false) {
						$loginuser = $_SESSION["palog_username"];
						$grpids = "";
						if ($loginuser != "admin") {
							$cmd = "select grpid from palog.users where username='$loginuser'";
							$result = mysql_query($cmd);
							$row = mysql_fetch_row($result);
							$grpids = $row[0];

							if ($grpids == "") $grpids = "0,0";
						}
						
						if ($grpids != "")
							$cmd = "select id, grpname from palog.ipgrp_list where id in($grpids)";
						else
							$cmd = "select id, grpname from palog.ipgrp_list";
						if (($result = mysql_query($cmd)) != false) {
							while ($row = mysql_fetch_row($result)) {
								$grpid = $row[0];
								$grpname = $row[1];
								echo '<option value="'.$grpid.'">'.$grpname.'</option>';
							}
						}
						mysql_close($conn);
					}
					?>
					</select>
				</span>
				<input type="checkbox" name="isipgrp" />IP群组
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="所有协议" style="width:70px" readonly />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="hidden" value="any" id="hidname" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:120px" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 7200;
				$t2 = $t + 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
			</li>
			<li>
				<a class="btn-extend-color" onclick="ip_appinfo('total')">查询</a>
				<a class="btn-extend-gray" onclick="app_export(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="app_export(2)">TXT</a>
				<a class="btn-extend-gray" onclick="app_export(3)">CSV</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0 id="mytable">
			<tr>
				<th class="td-left-first" width="50px">序号</th>
				<th class="txt-left" width="160px">协议名称</th>
				<th class="txt-right"><a href="javascript:ip_appinfo('flow')">连接数</a></th>
				<th class="txt-right"><a href="javascript:ip_appinfo('up')">上行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:ip_appinfo('down')">下行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:ip_appinfo('total')">总流量(Byte)</a></th>
			</tr>
		</table>
	</div>
</div>
<script>
showdevicetree();
change_iptype();
</script>
</body>
</html>

