<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
function lib_submit(sort, bexport)
{
	var datetime = $("#datetime").val();
	if (datetime == "") {
		layer.msg("请选择要查询的时间范围.");
		return false;
	}
	var d = datetime.split('~');
	starttime = d[0];
	endtime = d[1];

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_check', starttime, endtime, errname, sort:sort, bexport:bexport},
		success:function(json) {
			cluster_load_hide();
			if (bexport == 0)
				showchart(json);
			else
				cluster_downloadfile("");
		}
	})
}

function libres_export(bexport)
{
	lib_submit("", bexport);
}

function showchart(json)
{
	var yup = [], ydown = [], x = [];
	var len = json.rows.length;
	for (var i = len - 1; i >= 0; i--) {
		x.push(json.rows[i].name);
		yup.push({value: json.rows[i].viewn, type:json.rows[i].type});
		ydown.push({value: json.rows[i].downn, type:json.rows[i].type});
	}
	
	$("#libchart").show();
	$("#libchart").css("height", (len * 25)+'px');

	var dom = document.getElementById("libchart");
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		//backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:150,
			bottom: 50,
			textStyle: {
			}
		},
		xAxis: [{
			//type: "category",
			type: "value",
				/*
			axisLine: {
				lineStyle: {
					fontSize: 8,
				}
			},
			splitLine: {
				//show: false 
			},
			axisTick: {
				//show: false
			},
			splitArea: {
				//show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				textStyle: {
					fontSize: 10,
				}
			},
			data: x,
				 */
		}],
		yAxis: [{
			type: "category",
			data: x,
			/*
			minInterval: 1,
			splitLine: {
				//show: false
			},
			axisLine: {
				//show: false,
			},
			axisTick: {
				//show: false
			},
			 */
			axisLabel: {
				interval: 0,
				textStyle: {
					fontSize: 10,
				},
				formatter: function(value, index) {
					return (value);
				}
			},
				/*
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
			 */

        	}],
		series: [
		{
			name: "浏览次数",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			barMinHeight: 10,
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		},
		{
			name: "下载次数",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			barMinHeight: 10,
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ydown,
		}]
	}

	chart.setOption(option);

	chart.off("click");
	chart.on('click', function (params) {
		console.log(params);
		libres_checkuser(params.data.type, params.name);
	});
}

function libres_checkuser(libtype, name)
{
	var w = 500;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var datetime = $("#datetime").val();
	if (datetime == "") {
		layer.msg("请选择要查询的时间范围.");
		return false;
	}
	var d = datetime.split('~');
	starttime = d[0];
	endtime = d[1];

	window.open("libres_userdetail.php?libtype="+libtype+"&libtype2=0&starttime="+
		starttime+"&endtime="+endtime+"&name="+name, "_blank", 
		"width="+w+"px, height="+height+", left="+left);
}

function libres_trend()
{
	var left = (window.screen.width - 800) / 2;
	var height = 400;

	var datetime = $("#datetime").val();
	if (datetime == "") {
		layer.msg("请选择要查询的时间范围.");
		return false;
	}
	var d = datetime.split('~');
	starttime = d[0];
	endtime = d[1];

	window.open("libres_trend.php?libtype=-1&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width=800px, height="+height+", left="+left);
}
</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
<?php
include "tab.php";
foreach($_libres_tab as $val) {
	if (strstr($_SERVER["SCRIPT_NAME"], $val["url"]) != false)
		echo '<li class="active"><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
	else
		echo '<li><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
}
?>
		</ul>
	</div>
	<div class="check-form">
		<div class="layui-form">
			<div class="layui-form-item">
				<label class="layui-form-label">时间范围</label>
				<div class="layui-input-inline" style="width:320px;">
					<input type="text" name="datetime" id="datetime" class="layui-input">
					<icon class="layui-icon layui-icon-date dateicon"></icon>
				</div>
				<div class="layui-input-inline" style="width:50px;">
					<input type="button" value="查询" onclick="lib_submit('viewn', 0)" class="layui-btn layui-btn-normal layui-btn-xs" />
				</div>
				<div class="layui-input-inline">
					<div class="layui-btn-group">
						<input type="radio" name="rdsort" value="viewn" lay-filter="sort" checked title="浏览排序">
						<input type="radio" name="rdsort" value="downn" lay-filter="sort" title="下载排序">
					</div>
				</div>
				<div class="layui-input-inline" style="width:40px;">
					<icon class="layui-icon layui-icon-chart" style="color:#f00;font-weight:bold;" onclick="libres_trend()"></icon>
				</div>
				<div class="layui-input-inline" style="width:350px;">
					<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="libres_export(1)">EXCEL</a>
					<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="libres_export(2)">TXT</a>
					<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="libres_export(3)">CSV</a>
					<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="libres_export(4)">导出图表数据</a>
					<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="cluster_downloadfile('')">下载列表</a>
				</div>
			</div>
		</div>
		<div class="clearfloat"></div>
	</div>
	
	<div id="libchart" style="display:none;width:100%;height:800px;"> </div>
</div>
<script type="text/javascript">
layui.use(['laydate', 'form'], function(){
	var laydate = layui.laydate, form = layui.form;

	laydate.render({
		elem:'#datetime'
		,type:'datetime'
		,eventElem: '.dateicon'
		,range:'~'
		,format:'yyyy-MM-dd HH:mm:ss'
		,value:getrangedate(1)
		,isInitValue:true
	});

	form.on('radio(sort)', function(data){
		lib_submit(data.value, 0);
	}); 

	form.render();
})
</script>
</body>
</html>

