<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
<?php
include "tab.php";
foreach($_libres_tab as $val) {
	if (strstr($_SERVER["SCRIPT_NAME"], $val["url"]) != false)
		echo '<li class="active"><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
	else
		echo '<li><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
}
?>
		</ul>
	</div>
	<div>
		<blockquote class="layui-elem-quote layui-text">
			鉴于小伙伴的一些反馈,不希望使用系统默认自带的资源库，所以在此处增加“关闭系统资源匹配"操作。
		</blockquote>
		<div class="layui-form" lay-filter="default-sysstat">
			<div class="layui-form-item">
				<label class="layui-form-label">内置资源库</label>
				<div class="layui-input-inline">
					<select name="sysstat">
						<option value="0">开启</option>
						<option value="1">关闭</option>
					</select>
				</div>
				<div class="layui-input-inline">
					<button class="layui-btn layui-btn-normal layui-btn-xs" lay-submit lay-filter="defaultsubmit">提交</button>
				</div>
			</div>
		</div>
	</div>
	<br/>
	<br/>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>资源</label>
				<select id="resid" style="width:150px;">
					<option value="0">所有资源</option>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = $t + 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
				<input type="text" id="endmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="libres_submit(0)">查询</a>
			</li>
			<li>
				<a class="btn-extend-gray" onclick="libres_export(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="libres_export(2)">TXT</a>
				<a class="btn-extend-gray" onclick="libres_export(3)">CSV</a>
				<a class="btn-extend-gray" onclick="libres_export(4)">导出列表数据</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="als-content">
		<div class="topapp-list-table">
			<table class="als-table" id="libres">
				<tr>
					<th class="txt-center" width="30px">序号</th>
					<th class="txt-center" width="50px">编号</th>
					<th class="txt-left" width="200px">资源名称</th>
					<th class="txt-left">域名</th>
					<th class="txt-right">访问量</th>
					<th class="txt-center" width="70px">操作</th>
				</tr>
				<tr>
					<td class="txt-left"></td>
					<td class="txt-left"></td>
					<td class="txt-left" width="200px">
						<input type="text" value="" placeholder="自定义资源名称" id="res_name" style="width:100%" />
					</td>
					<td class="txt-left">
						<input type="text" value="" placeholder="资源域名" id="res_host" style="width:100%" />
					</td>
					<td></td>
					<td class="txt-center" width="200px">
						<input type="button" value="提交" class="btn-extend-color" onclick="libres_add()" />
						<input type="button" value="导入" class="btn-extend-color" onclick="libres_import()" />
						<input type="button" value="清除全部" class="btn-extend-color" onclick="libres_delete(0, '')" />
					</td>
				</tr>
			</table>
		</div>
		<div class="topapp-list-table">
			<table class="als-table" id="cuslibres" style="display:none">
				<tr>
					<th class="txt-center" width="30px">序号</th>
					<th class="txt-center" width="50px">编号</th>
					<th class="txt-left" width="200px">资源名称</th>
					<th class="txt-left">域名</th>
					<th class="txt-right">访问量</th>
					<th class="txt-right">上行流量/Byte</th>
					<th class="txt-right">下行流量/Byte</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<div id="libres-import-dialog" style="display:none;">
	<iframe src="" name="file-upgrade-frame" id="file-upgrade-frame" style="display:none;" frameborder=0></iframe>
	<form enctype="multipart/form-data" method="post" action="handle.php" target="file-upgrade-frame" onsubmit="return beforesubmit()">
		<table style="margin-top:5px;">
			<tr> <td>1、请使用txt后缀的文本文件；</td> </tr>
			<tr> <td>2、文件内容格式：名称+空格+域名；</td> </tr>
		</table>
		<table style="margin-top:5px;">
			<tr>
				<td class="font-fileupload" align="left">
					请输入文件路径：
					<input type="file" name="fileupgrade" id="fileupgrade" />
					<input type="hidden" name="type" id="type" value="libres_import" />
					<input type="submit" value="上传文件" style="height:22px;" />
				</td>
			</tr>
		</table>
	</form>
</div>

<script type="text/javascript">
showdevicetree();
layui.use(['form'], function(){
	var form = layui.form;

	$.ajax({
		url: 'handle.php',
		data:{type:'getsysstat'}
		,type:'post'
		,success:function(data) {
			form.val('default-sysstat', {sysstat:data});
		}
	});
	form.render();

	form.on('submit(defaultsubmit)', function(data) {
		$.ajax({
			url: 'handle.php',
			data:{type:'setsysstat', sysstat:data.field.sysstat}
			,type:'post'
			,success:function(json) {
				layer.msg("操作成功");
			}
		});
		return false;
	})
});

function beforesubmit()
{
	if ($("#fileupgrade").val() == "") {
		alert("请选择正确的文件导入");
		return false;
	}

	if (!confirm("确定要导入该文件吗"))
		return false;

	return true;
}

function libres_import()
{
	$("#libres-import-dialog").dialog({
		width:600,
		title:"图书馆资源列表导入"
	});
}

function libres_add()
{
	var name = $("#res_name").val();
	name = TrimAll(name);
	if (name == "") {
		alert("请输入自定义名称");
		$("#res_name").focus();
		return false;
	}
	if (name.length >= 32) {
		alert("名称字数超过限制，可输入16个汉字或者30个英文字母");
		return false;
	}

	var host = $("#res_host").val();
	host = TrimAll(host);
	if (host == "") {
		alert("请输入域名地址");
		$("#res_host").focus();
		return false;
	}

	$("#res_name,#res_host").val("");

	$.ajax({
		url:"handle.php",
		data:{type:"libres_add", name:encodeURIComponent(name), host:host},
		dataType:"json",
		type:"post",
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else
				libres_list();
		}
	});
}

libres_list();
function libres_list()
{
	$.ajax({
		url:"handle.php",
		data:{type:"libres_list"},
		dataType:"json",
		type:"post",
		success:function(json) {
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return;
			}
			
			var list = document.getElementById("libres");
			while (list.rows.length > 2)
				list.deleteRow(2);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				var s = '<option value="'+r.id+'">'+r.name+'</option>';
				$(s).appendTo("#resid");

				obj = list.insertRow(-1);
				obj.onmouseover = function() {
					this.className = "trbg";
				}
				obj.onmouseout = function() {
					this.className = "";
			       	}

				pos = 0;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i+1;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = r.id;
				cell = obj.insertCell(pos++);
				cell.innerHTML = r.name;
				cell = obj.insertCell(pos++);
				cell.innerHTML = '<a href="javascript:hostdetail('+r.id+', \''+r.host+'\', \''+r.name+'\')">'+r.host+'</a>';
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.cnt;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = '<a href="javascript:libres_delete('+r.id+', \''+r.host+'\')">删除</a>';
			}
		}
	})
}

function hostdetail(id, host, name)
{
	var w = 500;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var start	= $("#start").val();
	var end		= $("#end").val();
	var starthour	= $("#starthour").val();
	var startmin	= $("#startmin").val();
	var endhour	= $("#endhour").val();
	var endmin	= $("#endmin").val();
	var starttime	= start + ' '+starthour+':'+startmin+':0';
	var endtime	= end + ' '+endhour+':'+endmin+':59';

	window.open("libres_userdetail.php?libtype="+id+"&libtype2=0&starttime="+
		starttime+"&endtime="+endtime+"&name="+name, "_blank", 
		"width="+w+"px, height="+height+", left="+left);
}

function libres_delete(id, host)
{
	if (id != 0 && !confirm("确定要删除吗"))
		return false;
	if (id == 0 && !confirm("确定要删除全部吗"))
		return false;

	$.ajax({
		url:"handle.php",
		data:{type:"libres_delete", id:id, host: host},
		type:"post",
		success:function(json) {
			libres_list();
		}
	})
}

function libres_export(bexport)
{
	libres_submit(bexport);
}

function libres_submit(bexport)
{
	var start	= $("#start").val();
	var end		= $("#end").val();
	var starthour	= $("#starthour").val();
	var startmin	= $("#startmin").val();
	var endhour	= $("#endhour").val();
	var endmin	= $("#endmin").val();
	var starttime	= start + ' '+starthour+':'+startmin+':0';
	var endtime	= end + ' '+endhour+':'+endmin+':59';
	var resid	= $("#resid").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{
			type: 'libres_check', 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname, 
			sort:'viewn', 
			show_custom:1, 
			bexport:bexport, 
			resid:resid},
		success:function(json) {
			cluster_load_hide();

			if (bexport != 0) {
				cluster_downloadfile("");
				return;
			}

			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}

			$("#cuslibres").show();
			$("#libres").hide();

			var list = document.getElementById("cuslibres");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);
				obj.onmouseover = function() {
					this.className = "trbg";
				}
				obj.onmouseout = function() {
					this.className = "";
			       	}

				pos = 0;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i+1;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = r.type;

				cell = obj.insertCell(pos++);
				cell.innerHTML = r.name;

				cell = obj.insertCell(pos++);
				cell.innerHTML = '<a href="javascript:hostdetail('+r.type+', \''+r.host+'\', \''+r.name+'\')">'+r.host+'</a>';

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.viewn;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numberformats(r.upbytes);

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numberformats(r.downbytes);
			}
		}
	})
}
</script>
</body>
</html>


























