<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var start = 0;
var page = 1;
var limit = 25;
var disover = 0;

function postdata_list()
{
	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());
	var dstip = TrimAll($("#dstip").val());
	var domain = TrimAll($("#domain").val());
	var url = TrimAll($("#url").val());
	var keywd = TrimAll($("#keywd").val());
	var bexport = 0;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = 0;
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = 59;

	var starttime = start+ ' '+starthour+':'+startminute+':'+startsec;
	var endtime = end+' '+endhour+':'+endminute+':'+endsec;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		data:{type:"postdata_list", devid:devid, account:account, dstip: dstip, ipaddr:ipaddr, domain:domain,
			url:encodeURIComponent(url), starttime:starttime, endtime:endtime, errname:errname, 
			page: page, limit:limit, keywd:keywd},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			if (bexport == 0) {
				if (json.rows.length >= limit)
					disover = 0;
				else 
					disover = 1;
				
				data_update(json);
			}else
				cluster_downloadfile("");
		}
	});
}

function data_update(json)
{
	var list = document.getElementById("postdata_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i+1;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.devid;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = unixtimetodate(r.acctime);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ip+':'+r.sport+'<br/>'+r.dstip+':'+r.dstport;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.host + r.url;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		if (r.content == "$") 
			r.content = "";
		cell.innerHTML = (r.content);
	}
}

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	postdata_list();
}

function next() {
	if (disover) {
		alert("已经是最后一页了");
		return false;
	}
	page++;
	
	postdata_list();
}

function button_click()
{
	page = 1;
	
	disover = 0;
	
	postdata_list();
}

</script>
</head>
<body class="als-body">
<div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>源IP</label>
				<input type="text" id="ipaddr" value="" style="width:100px;" />
			</li>
			<li>
				<label>目标IP</label>
				<input type="text" name="dstip" id="dstip" style="width:100px;" />
			</li>
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:100px;" />
			</li>
			<li>
				<label>域名关键字</label>
				<input type="text" id="domain" value="" style="width:100px" />
			</li>
			<li>
				<label>URL关键字</label>
				<input type="text" id="url" value="" style="width:150px;" />
			</li>
			<li>
				<label>内容关键字</label>
				<input type="text" id="keywd" value="" style="width:150px" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<select id="starthour" style="width:50px"></select>时&nbsp;
				<select id="startminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<select id="endhour" style="width:50px"></select>时&nbsp;
				<select id="endminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
			       	<a class="btn-extend-color" onclick="button_click()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;" id="postdata_table">
			<tr>
				<th width="50px">序号</th>
				<th width="50px">设备</th>
				<th align="left" width="120px">访问时间</th>
				<th align="left" width="150px">连接信息</th>
				<th align="left" width="300px">访问链接</th>
				<th align="left">访问内容</th>
			</tr>
		</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
filltime();
showdevicetree();
</script>
</body>
</html>

