<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (dashboard_expire()) {
	header("location:index.php");
	exit;
}

$_SESSION["palog_expiretime"] = time() + 1800;

$user = $_SESSION['palog_username'];
$dashboard_enable = 0;
if (($r = getuserrights($user)) != false) {
	if ($r["mod_b"] == 'Y')
		$dashboard_enable = 1;
}

if (!$dashboard_enable) {
	echo "ERROR: NO_RIGHTS\n";
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$sysname?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" href="layui/css/layui.css" rel="stylesheet">
<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/common.js"></script>
<script type="text/javascript" src="js/echarts.min.js"></script>
<script type="text/javascript" src="js/china.js"></script>
<script type="text/javascript" src="js/world.js"></script>
<script type="text/javascript" src="js/newworld.js"></script>
<script type="text/javascript" src="js/dashboard_macarons.js"></script>
<script type="text/javascript" src="js/echarts-gl.js"></script>
<script type="text/javascript" src="layui/layui.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>

<style type="text/css">
.page-outer {position:absolute; top:0px; left:0px; right:0px; bottom:0px; background:#000; min-width:1200px; min-height:500px;}
.content-outer {float:left; }

.box-background {background:#1c1c1c; color:#ddd;}

.left-firstfloor-box {float:left; margin-left:3px;}
.left-secondfloor-box {float:left; margin:3px 0 0 3px;}
.left-box {float:left; margin:3px 0 0 3px;}

.middle-firstfloor-box {float:left; margin-left:3px;}
.middle-secondfloor-box {position:relative;float:left; margin:3px 0 0 3px;}
.right-firstfloor-box {float:left; margin-left:3px;}
.right-secondfloor-box {float:left; margin:3px 0 0 3px;}
.right-thirdfloor-box {float:left; margin:3px 0 0 3px;}
.right-fourthfloor-box {float:left; margin:3px 0 0 3px;}
.right-fifthfloor-box {float:left; margin:3px 0 0 3px;}
.bottom-firstfloor-box {float:left; margin:0px 0 0 3px;}

.content-bottom {float:left; height:100px;}

.box-title {position:relative;height:20px; font-size:10px; font-weight:bold; text-align:center; line-height:20px; /*background:-webkit-linear-gradient(left,#30c2c4,#000) no-repeat;*/}
.box-content {font-size:11px; overflow:hidden;}

.anchorBL{display:none;}

.page-header {position:relative; margin:0; padding:0; height:30px; /*background:#a72222;*/}
.hd-main, .hd-title, .hd-time {color:#fff; height:30px; line-height:30px;}
.hd-main, .hd-title {float:left;}
.hd-time {float: right; }
.hd-main {width:25%; padding-left:5px; text-align:left; font-size:12px;}
.hd-time {padding-right:5px; text-align:right; font-size:12px;}
.hd-npm {float:right; padding-right:15px; text-align:right; font-size:12px; color:#3bc1c4; height:30px; line-height:30px;}
.hd-title {width:50%; text-align:center; font-size:20px; font-weight:bold;}
.hd-title input {border:none; background:#000; color:#fff; font-size:20px; font-weight:bold;text-align:center; width:100%; outline:none;height:28px;}
.left-firstfloor-num {color:#2EC7C9; text-align:center; font-size:25px;}

.box {position:relative;}
.box-info {position:absolute; left:5px; top:30px; bottom:5px; width:100px; border:1px solid #1c1c1c; opacity:0.5; -moz-opacity:0.5; background:#1c1c1c; font-size:8px; color:#fff; z-index:100; overflow:hidden;}
.box-info ul {list-style:none; margin:0; padding:0;}
.box-info ul li {padding-top:5px;}

.db-map-change-outer {position:absolute;right:20px;top:20px;}
.db-map-change {float:left;font-size:8px;background:#ddd;margin-left:2px;display:none;}
.db-map-change-select,.db-map-change-button {font-size:8px;outline:none;border-radius:2px;border:none;color:#3f3f3f;height:15px;}
.db-map-change-select {background:#ddd;}
.db-map-change-button {padding:0 2px; background:#a1b1fe;}

#filelist td {word-wrap:break-word;word-break:break-all; font-size:8px;}
</style>

<script type="text/javascript">
var tt = setInterval(function(){
	var t = new Date();
	var m = t.getMonth() + 1;
	var da = t.getDate();
	var h = t.getHours();
	var min = t.getMinutes();
	var sec = t.getSeconds();
	var s = t.getFullYear() + '/' + (m > 9 ? m : '0' + m) + '/' + 
		(da > 9 ? da : '0' + da) + ' ' + (h > 9 ? h : '0' + h) + ':' + 
		(min > 9 ? min : '0' + min) + ':' + (sec > 9 ? sec : '0' + sec);
	$(".hd-time").text(s);
}, 1000);

</script>

</head>
<body style="padding:0;margin:0;" onresize="location.reload()">
	<div class="page-outer">
		<div class="page-header">
			<div class="hd-main">
				<div style="float:left;height:30px;">
					<img src="img/homepage.png" width="16px" style="margin-top:7px;" />
				</div>
				<div style="float:left;height:30px;">&nbsp;<a href="main.php" style="color:#fff; text-decoration:none;">主页</a></div>
				<div style="clear:both;"></div>
			</div>
			<div class="hd-title" style="text-align:center;"><input type="text" value="" id="delay_title" placeholder="标题" /></div>
			<div class="hd-time"></div>
<?php
$pages = showdashboardpage();
if (count($pages) != 0) {
?>
			<div class="hd-npm">
				<select style="background:#000;color:#fff;border:none;height:30px;font-size:12px;" id="boardswitch">
					<option value="">屏幕切换至</option>
					<option value="timingswitch">定时切换</option>
<?php
	foreach($pages as $val) {
		echo '<option value="'.$val["page"].'">'.$val["name"].'</option>';
	}
?>
				</select>
			</div>
<?php
}
?>
		</div>
		<div class="page-content">
			<div class="content-outer c-left">
				<div class="left-firstfloor-box lognum-box box-background">
					<div id="logcount_outer" class="box-content" style="background:#007e0a;">
						<div id="lognum" class="left-firstfloor-num" style="color:#fff;">0</div>
					</div>
					<div class="box-title">NPM日志</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="ipcount_outer" class="box-content">
						<div id="clntdelay" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">客户时延</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="mobilecount_outer" class="box-content">
						<div id="svrdelay" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">服务时延</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="acccount_outer" class="box-content">
						<div id="appdelay" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">应用时延</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">应用时延</div>
					<div class="box-content" id="topapp">
					</div>
				</div>

				<!-- 左侧6个方框 -->
				<input type="hidden" value="0" id="hid_delay_left_id" />
<?php
$title1 = getconfig("delay_page_left_1_cname");
if (empty($title1)) $title1 = "游戏时延";
$title2 = getconfig("delay_page_left_2_cname");
if (empty($title2)) $title1 = "网页时延";
$title3 = getconfig("delay_page_left_3_cname");
if (empty($title3)) $title3 = "DNS时延";
$title4 = getconfig("delay_page_left_4_cname");
if (empty($title4)) $title4 = "视频时延";
$title5 = getconfig("delay_page_left_5_cname");
if (empty($title5)) $title5 = "社交时延";
$title6 = getconfig("delay_page_left_6_cname");
if (empty($title6)) $title6 = "邮箱时延";
?>
				<div class="left-box box-background">
					<div class="box-title">
						<span><?=$title1?></span>
						<div style="position:absolute;right:0;font-size:10px;color:#757575; top:0" onclick="showapptree(1)">
							<i class="layui-icon layui-icon-set-sm"></i>
						</div>
					</div>
					<div class="box-content" id="appgroup_game">
					</div>
				</div>
				<div class="left-box box-background">
					<div class="box-title">
						<span><?=$title2?></span>
						<div style="position:absolute;right:0;font-size:10px;top:0;color:#757575;" onclick="showapptree(2)">
							<i class="layui-icon layui-icon-set-sm"></i>
						</div>
					</div>
					<div class="box-content" id="appgroup_www">
					</div>
				</div>
				<div class="left-box box-background">
					<div class="box-title">
						<span><?=$title3?></span>
						<div style="position:absolute;right:0;font-size:10px;color:#757575; top:0;" onclick="showapptree(3)">
							<i class="layui-icon layui-icon-set-sm"></i>
						</div>
					</div>
					<div class="box-content" id="appgroup_dns">
					</div>
				</div>
				<div class="left-box box-background">
					<div class="box-title">
						<span><?=$title4?></span>
						<div style="position:absolute;right:0;font-size:10px;color:#757575; top:0" onclick="showapptree(4)">
							<i class="layui-icon layui-icon-set-sm"></i>
						</div>
					</div>
					<div class="box-content" id="appgroup_video">
					</div>
				</div>
				<div class="left-box box-background">
					<div class="box-title">
						<span><?=$title5?></span>
						<div style="position:absolute;right:0;font-size:10px;color:#757575; top:0" onclick="showapptree(5)">
							<i class="layui-icon layui-icon-set-sm"></i>
						</div>
					</div>
					<div class="box-content" id="appgroup_im">
					</div>
				</div>
				<div class="left-box box-background">
					<div class="box-title">
						<span><?=$title6?></span>
						<div style="position:absolute;right:0;font-size:10px;color:#757575; top:0" onclick="showapptree(6)">
							<i class="layui-icon layui-icon-set-sm"></i>
						</div>
					</div>
					<div class="box-content" id="appgroup_email">
					</div>
				</div>
				<!-- -->
			</div>
			<div class="content-outer c-middle">
				<div class="middle-firstfloor-box box-background">
					<div class="box-title">时延趋势</div>
					<div class="box-content" id="npmtrend">
					</div>
				</div>
				<div class="middle-secondfloor-box box-background">
					<div class="box-title">区域时延</div>
					<div class="box-content" id="areadelay">
					</div>
					<div class="db-map-change-outer">
						<div class="db-map-change">
							<select onchange="mapchange(this.value)" class="db-map-change-select">
								<option value="china">中国地图</option>
								<option value="world">世界地图</option>
							</select>
						</div>
						<div class="db-map-change">
<?php
$mapapp_cname = getconfig("npm_map_cname");
if ($mapapp_cname == "")
	$mapapp_cname = "所有协议";
?>
							<button class="db-map-change-button" onclick="showapptree(8)"><?=$mapapp_cname?></button>
						</div>
					</div>
				</div>
			</div>
			<div class="content-outer c-right">
				<div class="right-box right-firstfloor-box box-background">
					<div class="box-title">用户时延</div>
					<div class="box-content" id="topsrc">
					</div>
				</div>
				<div class="right-box right-thirdfloor-box box-background">
					<div class="box-title">目标时延</div>
					<div class="box-content" id="topdst">
					</div>
				</div>
				<div class="right-box right-secondfloor-box box-background">
					<div class="box-title">域名时延</div>
					<div class="box-content" id="tophost">
					</div>
				</div>
				<div class="right-box right-fourthfloor-box box-background">
					<div class="box-title">运营商时延</div>
					<div class="box-content" id="topyys">
					</div>
				</div>
			</div>
			<div style="clear:both;"></div>
		</div>
	</div>
<script>
var w = parseInt($(".page-outer").width()) - 1;
var h = parseInt($(".page-outer").height()) - 1;
var header_h = 30;

// content的高度 = 总高度 - header的高度
var content_h = h - header_h;
$(".page-content").css("width", w+'px');
$(".page-content").css("height", content_h +'px');

var per = w / 3;
var px1 = 70;
var left_w = per - px1;
var middle_w = per + px1 * 2;
var right_w = per - px1;
var up_part = content_h;
$(".content-outer").css("height", up_part +'px');
$(".c-left").css("width", left_w +'px');
$(".c-middle").css("width", middle_w +'px');
$(".c-right").css("width", right_w +'px');

// left-box
var box_title_h = 20;
var space = 3;
var left_firstfloor_h = 50;

var oriw = (left_w - 4 * space) / 4 - 10;
$(".left-firstfloor-box").css("width", oriw + 'px');
$(".lognum-box").css("width", oriw + 40  + 'px');
$(".left-firstfloor-box").css("height", left_firstfloor_h + 'px');
$(".left-firstfloor-box .box-content").css("height", left_firstfloor_h - box_title_h + 'px');

var left_mod_h = (up_part - left_firstfloor_h - 5 * space) / 4;
var left_mod_w = (left_w - 2 * space) / 2;
$(".left-box").css("width", left_mod_w + 'px');
$(".left-box").css("height", left_mod_h + 'px');
$(".left-box .box-content").css("width", left_mod_w + 'px');
$(".left-box .box-content").css("height", left_mod_h - box_title_h + 'px');
$(".left-secondfloor-box").css("width", left_w -space + 'px');
$(".left-secondfloor-box").css("height", left_mod_h + 'px');
$(".left-secondfloor-box .box-content").css("width", left_w - space + 'px');
$(".left-secondfloor-box .box-content").css("height", left_mod_h - box_title_h + 'px');

var middle_firstfloor_h = 160;
$(".middle-firstfloor-box").css("height", middle_firstfloor_h + 'px');
$(".middle-firstfloor-box").css("width", middle_w - space + 'px');
$(".middle-firstfloor-box .box-content").css("height", middle_firstfloor_h - box_title_h + 'px');

$(".middle-secondfloor-box").css("width", middle_w - space + 'px');
$(".middle-secondfloor-box").css("height", up_part - 2 * space - middle_firstfloor_h + 'px');
$(".middle-secondfloor-box .box-content").css("height", up_part - 2 * space - middle_firstfloor_h - box_title_h + 'px');

var right_mod_h = (up_part - 4 * space) / 4;
var right_mod_w  = right_w - 2 * space;
$(".right-box").css("height", right_mod_h + 'px');
$(".right-box").css("width", right_mod_w + 'px');
$(".right-box .box-content").css("height", right_mod_h - box_title_h + 'px');

function showloading(render, px)
{
	var h = '<div class="border-highlight" style="position:absolute;left:0;height:3px;bottom:0px;background:#289495"></div>';

	var t = $("#"+render).parent(".box-background").find(".box-title");
	var w = t.width();
	$(h).appendTo(t);

	var per = 0;
	var tv = setInterval(function(){
		per += px;
		
		t.find(".border-highlight").css("width", per+'px');
		if (per >= w) {
			t.find(".border-highlight").remove();
			clearInterval(tv);
		}
	}, 10);
}

$("body").keydown(function(){settitle()});

function settitle()
{
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		settitle_submit();
	else 
		return false;
}

function settitle_submit()
{
	var title = $("#delay_title").val();

	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'setdelaytitle', title: title},
		dataType: 'json',
		success: function(json) {
			$("#delay_title").blur();
		}
	})
}

function gettitle()
{
	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'getdelaytitle'},
		success: function(data) {
			if (data != "0") 
				$("#delay_title").val(data);
		}
	})
}

function getlogcount()
{
	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'getlogcount'},
		success: function(data) {
			$("#lognum").text(data);
			setTimeout(getlogcount, 1000);
		}
	})
}

function currentdelay()
{
	showloading("clntdelay", 5);
	showloading("svrdelay", 5);
	showloading("appdelay", 5);

	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'currentdelay'},
		dataType: 'json',
		success: function(json) {
			var unit = '<span style="font-size:9px;">ms</span>';
			$("#clntdelay").html(json.clnt + unit);
			$("#svrdelay").html(json.svr + unit);
			$("#appdelay").html(json.app + unit);
		}
	})
}

function npmtrend()
{
	showloading("npmtrend", 20);

	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'npmtrend'},
		dataType: 'json',
		success: function(json) {
			npmtrend_graph(json);
		}
	})
}

function npmtrend_graph(json)
{
	var dom = document.getElementById("npmtrend");
	var npmtrend_chart = echarts.getInstanceByDom(dom);
	if (npmtrend_chart == undefined)
		npmtrend_chart = echarts.init(dom, 'macarons');

	var fontfamily = "微软雅黑";
	var fontsize = 12;

	var option = {
		tooltip: {
			trigger: 'axis',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++)
					htm += '<br/>' + params[i].seriesName + ':' + (params[i].value) + 'ms';
				return htm;
			}
		},
		legend: {
			show: true,
			right: 0,
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		title: {
			text: null,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: false 
			},
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: json.date
		},
		grid: {
			left: '35',
			top: '15',
			right:'5',
			bottom:'25'
		},
		yAxis: {
			type: 'value',
			minInterval: 1,
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: false 
			},
			nameTextStyle: {
				fontSize: 8,
				color: '#ddd',
				fontFamily: 'Microsoft YaHei'
			},
			axisLine: {
				show: false,
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
				formatter: function(value, index) {
					return (value);
				}
			}
		},
		series: [{
			name: "客户时延",
			type:'line',
			smooth:true,
			stack:'总量',
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			areaStyle: {},
			showSymbol: false,
			data: json.clnt
		}, {
			name: "服务时延",
			type:'line',
			stack:'总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			areaStyle: {},
			showSymbol: false,
			data: json.svr
		}, {
			name: "应用时延",
			type:'line',
			stack: '总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				} 
			}, 
			areaStyle: {},
			showSymbol: false,
			data: json.app
		}]
	};

	npmtrend_chart.setOption(option);
}

function objlist(render)
{
	showloading(render, 30);

	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: render},
		dataType: 'json',
		success: function(json) {
			objlist_update(render, json.rows);
		}
	})
}

function objlist_update(render, json)
{
	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var x = [], allclnt = 1, allsvr = 1, allapp = 1;
	json.forEach(function(value, index) {
		x.push(value.name);
		allclnt += value.clnt;
		allsvr += value.svr;
		allapp += value.app;
	});

	var ssize = 2;
	if (render == "topyys")
		ssize = 3;

	var option = {
		title: {
			text: null,
		},
		tooltip: {
			formatter: function(params) {
				if (params.seriesName == "连接数")
					return params.name + '<br/>' + params.seriesName + ':' + params.value;
				else
					return params.name + '<br/>' + params.seriesName + ':' + params.value + 'ms';
			},
			textStyle: {
				fontSize: 8,
				color: '#ddd',
			}
		},
		legend: {
			right: 10,
			itemWidth: 12,
			textStyle: {
				fontSize: 8,
				color: '#ddd',
			}
		},
		xAxis: {
			type: 'category',
			data: x,
			axisLine: {
				lineStyle: {
					color: '#2c2c2c',
				}
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				textStyle: {
					color: '#ddd',
					fontSize:8,
				},
			},
			splitLine: {
				show: false,
				lineStyle: {
					type: 'dashed'
				}
			}
		},
		yAxis: [
		{
			type: 'value',
			minInterval: 1,
			axisLine: {
				lineStyle: {
					color: '#2c2c2c',
				}
			},
			axisLabel: {
				textStyle: {
					color: '#ddd',
					fontSize:8,
				},
			},
			splitLine: {
				show: false,
				lineStyle: {
					type: 'dashed'
				}
			},
			//scale: true
		},
		{
			type: 'value',
			minInterval: 1,
			axisLine: {
				lineStyle: {
					color: '#2c2c2c',
				}
			},
			axisLabel: {
				textStyle: {
					color: '#ddd',
					fontSize:8,
				},
			},
			splitLine: {
				show: false,
				lineStyle: {
					type: 'dashed'
				}
			},
			//scale: true
		}],
		series: [
		{
			name: '客户端时延',
			type: 'scatter',
			data: json.map(function(item, idx) {
				return item.clnt;
			}),
			symbolSize: function (data) {
				return Math.log(data) * ssize;
			},
			label: {
				emphasis: {
					show: false,
					formatter: function (param) {
						//return param.data[3];
					},
					position: 'top'
				}
			}, 
			itemStyle: {
				normal: {
					color: '#3BC1C4',
					shadowBlur: 5,
					shadowColor: 'rgba(59,193,196, 0.5)',
					shadowOffsetY: 3,
				}
			}
		},
		{
			name: '服务时延',
			type: 'scatter',
			data: json.map(function(item, idx) {
				return item.svr;
			}),
			symbolSize: function (data) {
				return Math.log(data) * ssize;
			},
			label: {
				emphasis: {
					show: false,
					formatter: function (param) {
						//return param.data[3];
					},
					position: 'top'
				}
			}, 
			itemStyle: {
				normal: {
					color: '#5AB1EF',
					shadowBlur: 10,
					shadowColor: 'rgba(59,193,196, 0.5)',
					shadowOffsetY: 3,
				}
			}
		},
		{
			name: '应用时延',
			type: 'scatter',
			data: json.map(function(item, idx) {
				return item.app;
			}),
			symbolSize: function (data) {
				return Math.log(data) * ssize;
			},
			label: {
				emphasis: {
					show: false,
					formatter: function (param) {
						//return param.data[3];
					},
					position: 'top'
				}
			}, 
			itemStyle: {
				normal: {
					color: '#B6D778',
					shadowBlur: 10,
					shadowColor: 'rgba(59,193,196, 0.5)',
					shadowOffsetY: 3,
				}
			}
		},
		{
			name: '连接数',
			type: 'line',
			yAxisIndex: 1,
			data: json.map(function(item, idx) {
				return item.app_cnt;
			}),
			symbolSize: function (data) {
			},
			label: {
				emphasis: {
					show: true,
					formatter: function (param) {
						//return param.data[3];
					},
					position: 'top'
				}
			}, 
			itemStyle: {
				normal: {
					color: '#B6A2DE',
					shadowBlur: 10,
					shadowColor: 'rgba(59,193,196, 0.5)',
					shadowOffsetY: 5,
				}
			}
		},
		]
       	}

	chart.setOption(option);
}

function getappgroupdelay(render)
{
	showloading(render, 15);

	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'getappgroupdelay', render: render},
		dataType: 'json',
		success: function(json) {
			appgroupdelay3D(json.rows, render);
		}
	})
}

function appgroupdelay3D(json, render)
{
	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var maxapp = 5, allcnt = 1;
	json.forEach(function(value, i){
		if (value.app > maxapp)
			maxapp = value.app;
		allcnt += value.cnt;
	});

	var option = {
		tooltip: {
			formatter: function(params) {
				var s = 'IP地址:'+params.data[5];
				s += '<br/>客户时延:'+params.data[0]+'ms';
				s += '<br/>应用时延:'+params.data[1]+'ms';
				s += '<br/>服务时延:'+params.data[2]+'ms';
				s += '<br/>连接数:'+params.data[4];
				return s;
			},
			textStyle: {
				fontSize: 8
			}
		},
        	visualMap: [{
			show: false,
            		top: 10,
            		calculable: true,
			dimension: 3,
			max: maxapp,
			inRange: {
			       color: ['lightskyblue','yellow', 'orangered']
			},
			textStyle: {
				color: '#ddd'
			}
		}, {
			show: false,
			bottom: 0,
			calculable: true,
			dimension: 3,
			max: 1,
			inRange: {
				//symbolSize: [10, 40]
			},
			textStyle: {
				color: '#ddd'
			}
		}],
		xAxis3D: {
			name: '客户端',
			nameGap: 30,
			type: 'value',
			nameRotate: '90',
			nameTextStyle: {
				fontSize:8,
				color: '#ddd'
			},
			axisLine: {
				lineStyle: {
					color: '#666'
				}
			},
			axisLabel: {
				margin: 10,
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
			},
		},
		yAxis3D: {
			name: '应用',
			type: 'value',
			nameGap: 30,
			nameTextStyle: {
				fontSize:8,
				color: '#ddd'
			},
			axisLine: {
				lineStyle: {
					color: '#666'
				}
			},
			axisLabel: {
				margin: 10,
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
			},
		},
		zAxis3D: {
			name: '服务',
			type: 'value',
			nameGap: 20,
			nameTextStyle: {
				fontSize: 10,
				color: '#ddd'
			},
			axisLine: {
				lineStyle: {
					color: '#666'
				}
			},
			axisLabel: {
				margin: 10,
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
			},
		},
		grid3D: {
			top: '-20',
			left: '10',
			axisLine: {
				lineStyle: {
					color: '#ddd'
				}
			},
			axisLabel: {
				textStyle: {
					fontSize: 8
				},
			},
			axisPointer: {
				lineStyle: {
					color: '#ffbd67'
				}
			},
			splitLine: {
				lineStyle: {
					color: '#6c6c6c',
				},
			},
			viewControl: {
				autoRotate: true,
			}
		},
		series: [{
			name: '',
			type: 'scatter3D',
			dimensions: ['客户端', '应用', '服务', '颜色', '连接数', '目标IP'],
			data: json.map(function (item, idx) {
				return [item.clnt, item.app, item.svr, item.app + item.svr + item.clnt, item.app_cnt, item.ipaddr];
			}),
			symbolSize: 12,
			//symbol: 'triangle',
			itemStyle: {
				borderWidth: 0.1,
				borderColor: '#f5f5f5'
			},
			emphasis: {
				itemStyle: {
					color: '#ddd'
				}
			}
		}]
	};

	chart.setOption(option);
}

var _currentmap = "china";
function mapchange(tp)
{
	_currentmap = tp;

	getareadelay();
}

$("#areadelay").hover(function(){
	$(".db-map-change").show();
},function(){
	$(".db-map-change").hide();
});
$(".db-map-change-outer").hover(function(){
	$(".db-map-change").show();
},function(){
	$(".db-map-change").hide();
});

function getareadelay()
{
	showloading("areadelay", 20);

	$.ajax({
		url: 'ajax_delaymonitor.php',
		type: 'post',
		data: {action: 'getareadelay'},
		dataType: 'json',
		success: function(json) {
			switch(_currentmap) {
			case "china":
				updatemap(_currentmap, json.china, "areadelay");
				break;
			case "world":
				updatemap(_currentmap, json.world, "areadelay");
				break;
			}
		}
	})
}

var _todst = '北京';
function updatemap(maptype, data, render)
{
	var dom = document.getElementById(render);
	/*
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
	 */
		chart = echarts.init(dom, "macarons");

	var mapname = maptype;
	var geoCoordMap = new Array();

	var per = "180%";
	if (maptype == "china") {
		per = "140%";
		var mapFeatures = echarts.getMap(mapname).geoJson.features;
		mapFeatures.forEach(function(v) {
			var name = v.properties.name;
			if (maptype != "world")
				geoCoordMap[name] = v.properties.cp;
		});
	}

	var maxapp = 0;

	var convertData = function(data) {
		var res = [];
		console.log(data);
		for (var i = 0; i < data.length; i++) {
			var item = data[i];
			if (maptype == "world") {
				var fromcoord = worldgeo[item.name];
				if (typeof worldgeo[item.name] != "undefined")
					geoCoordMap[item.name] = worldgeo[item.name];
			}
			else {
				var fromcoord = geoCoordMap[item.name];
			}

			if (fromcoord) {
				var value = item.app + item.svr;
				if (value > maxapp)
					maxapp = value;
				res.push({
				       name: item.name,
				       value: fromcoord.concat(value),
				       app_cnt: item.app_cnt,
			       });
		       }
		}
		return res;
	};

	var newdata = convertData(data);

	var options = {
		title: {
		       text: null,
	       },
	       tooltip: {
		       formatter: function(params) {
			       var item = params.data;
			       return item.name+'<br/>时延: '+item.value[2]+'ms<br/>连接数: '+item.app_cnt;
		       },
			textStyle: {
				fontSize: 8
			},
	       },
	       visualMap: {
		       type: 'continuous',
		       calculable: true,
		       seriesIndex:0,
		       max: maxapp,
			textStyle: {
				color: '#ddd'
			},
		       inRange: {
			       color: ['lightskyblue','yellow', 'orangered']
		       }
	       },
		geo: {
			map: maptype,
			label: {
				emphasis: {
					show: false
				}
			},
			roam: true,
    			layoutCenter: ['50%', '55%'], //地图位置
    			layoutSize: per,
			itemStyle: {
				normal: {
					areaColor: '#323C48',
					borderColor: '#8F98A6',
					areaStyle: {
						color:'#f00',
					},
				},
				emphasis: {
					areaColor: '#2a333d'
				}
			}
	       	},
		series : {
			type: 'effectScatter',
			data: newdata,
			coordinateSystem: 'geo',
    			rippleEffect: { //涟漪特效
    				period: 3, //动画时间，值越小速度越快
    				//brushType: 'stroke', //波纹绘制方式 stroke, fill
    				scale: 3 //波纹圆环最大限制，值越大波纹越大
    			},
			symbolSize: function (val, params) {
				return Math.log(params.data.app_cnt) * 2;
			},
			label: {
				normal: {
					formatter: '{b}',
					position: 'right',
					show: true
				},
				emphasis: {
					show: true
				}
			},
			itemStyle: {
				normal: {
					label: {
						show:true
					},
					areaStyle: {
						color:'#f00',
					},
					areaColor: '#00f',
					color: '#0f0',
				},
				emphasis: {
					areaColor: '#00f'
				}
			}
		}
       }

       chart.setOption(options);
}

currentdelay();
gettitle();
getlogcount();
npmtrend();

objlist("topdst");
objlist("topsrc");
objlist("topapp");
objlist("tophost");
objlist("topyys");

getappgroupdelay("appgroup_game");
getappgroupdelay("appgroup_www");
getappgroupdelay("appgroup_dns");
getappgroupdelay("appgroup_video");
getappgroupdelay("appgroup_im");
getappgroupdelay("appgroup_email");
getareadelay();

setInterval(function(){
	npmtrend();
	setTimeout(currentdelay, 5000);
	setTimeout(function(){objlist("topapp");}, 5000);
	setTimeout(function(){objlist("topsrc");}, 10000);
	setTimeout(function(){objlist("topdst");}, 20000);
	setTimeout(function(){objlist("tophost");}, 25000);
	setTimeout(function(){objlist("topyys");}, 20000);
	setTimeout(function(){getappgroupdelay("appgroup_game");}, 30000);
	setTimeout(function(){getappgroupdelay("appgroup_www");}, 35000);
	setTimeout(function(){getappgroupdelay("appgroup_dns");}, 40000);
	setTimeout(function(){getappgroupdelay("appgroup_video");}, 45000);
	setTimeout(function(){getappgroupdelay("appgroup_im");}, 50000);
	setTimeout(function(){getappgroupdelay("appgroup_email");}, 55000);
	setTimeout(getareadelay, 5000);
}, 60000);

function showapptree(id)
{
	var s = '<div id="showapptree_con" style="overflow-x:hidden;overflow-y:auto;">';
	s += '<div style="width:100%;"><input type="text" id="checkapp" value="" style="width:100%" onkeyup="ajaxcheckapp()" /></div>';
	s += '<div id="treelist" style="float:left;width:200px;overflow-x:hidden;"></div>';
	s += '<div id="checklist" style="float:left;width:150px;overflow-x:hidden;font-size:12px;"></div>';
	s += '</div>';

	$("#hid_delay_left_id").val(id);

	treepanel = layer.open({
		type: 1,
		title:'协议选择',
		area:["400px", "500px"],
		content:s,
		success:function(){
			createtree();
		}
	});
}

var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);
		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	layer.confirm("确定要设置\""+cname+"\"协议为监控对象吗", {btn: ["确定", "取消"]}, function(index) {
		var id = $("#hid_delay_left_id").val();

		var action = "npmset_left";
		if (id == 8)
			action = "mapappset";

		$.ajax({
			url: 'ajax_delaymonitor.php',
			type:'post',
			dataType:'json',
			data:{action:action, id:id, appid:appid, cname:cname},
			success:function(json) {
				layer.close(index);
				layer.close(treepanel);
				$(".db-map-change-button").text(cname);
				layer.msg("设置成功");
			}
		})
	})
}

function timingswitch()
{
	var s = '<div style="padding:20px 30px 10px 0;">';
	s += '<form class="layui-form" action="">';
	s += '<div class="layui-form-item">';
	s += '<label class="layui-form-label">切换间隔</label>';
	s += '<div class="layui-input-inline">';
	s += '<input type="text" name="switchtime" value=0 id="switchtime" required  lay-verify="required" autocomplete="off" class="layui-input">';
	s += '</div>';
	s += '<div class="layui-form-mid layui-word-aux">秒</div>';
	s += '</div>';
	s += '</div>';

	layer.open({
		type: 1,
		title:'定时设置',
		area:["400px", "200px"],
		shadeClose:true,
		content:s,
		btn:['提交', '取消'],
		btn1:function(index, layero){
			var st = $("#switchtime").val();
			if (st > 1 && st < 10) {
				st = 10;
			}
			$.ajax({
				url: 'ajax_databoard.php',
				data:{action:'switchtime_set', st:st},
				type:'post',
				dataType:'json',
				success:function(json){
					layer.msg("操作成功");
					layer.close(index);
				}
			});
		},
		btn2:function(index, layero) {
			layer.close(index);
		},
		success:function() {
			$.ajax({
				url: 'ajax_databoard.php',
				data:{action:'switchtime_get'},
				type:'post',
				success:function(data){
					$("#switchtime").val(data);
					form.render();
				}
			});
		}
	});
}

var layer, form;
layui.use(['layer', 'form'], function(){
	layer = layui.layer, form = layui.form;

	$("#boardswitch").change(function(){
		var v = $(this).val();
		switch(v) {
			case "":
				break;

			case "timingswitch":
				timingswitch();
				break;

			default:
				location.href=v;
		}
	});

	$.ajax({
		url: 'ajax_databoard.php',
		data:{action:'switchtime_get'},
		type:'post',
		success:function(data){
			var st = parseInt(data);
			if (st != 0)
				setTimeout(function(){location.href="network-assets.php"}, st * 1000);
		}
	});
})
</script>
</body>
</html>
