<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("no", "登录凭据已失效请重新登录!");
	exit;
}

$devid		= postval("devid");
$ipaddr		= postval("ipaddr");
$starttime	= postval("starttime");
$endtime	= postval("endtime");
$addrtype	= postval("addrtype");
$errfile =	_CHECKING_STATUS_F.'/'.postval('errname');

$longstart	= strtotime($starttime);
$longend	= strtotime($endtime);

if ($addrtype == "ipv6")
	$cmd = LOGDPATH."/bin/logeye flowdir_ext ipv6_dstip_trend 'devid=$devid' 'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'errfile=$errfile'";
else
	$cmd = LOGDPATH."/bin/logeye flowdir_ext dstip_trend 'devid=$devid' 'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'errfile=$errfile'";
exec($cmd, $out, $ret);
file_put_contents("/tmp/dstip_trend.log", $cmd."\n");

$k	= 0;
$x	= array();
$up	= array();
$down	= array();
$flow	= array();

foreach($out as $obj) {
	list($tag, $tm, $val) = explode(' ', trim($obj));

	if ($tag == "TAG") {
		$k++;
		continue;
	}

	switch($k) {
	case 1:
		array_push($x, date("d/H", $tm));
		array_push($up, (int)$val);
		break;
	case 2:
		array_push($down, (int)$val);
		break;
	case 3:
		array_push($flow, (int)$val);
		break;
	}
}

$json = array("x"=>$x, "up"=>$up, "down"=>$down, "flow"=>$flow);
echo json_encode($json);
?>
