<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function area_detail()
{
    var appid = $("#appid").val();
	var devid = $("#devid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var areaname = $("#areaname").val();

    cluster_load_show();
    var errname = (new Date()).getTime()+'.st';
    cluster_get_status(errname);

    $.ajax({
        url:'../flow_direction/flowdir.php',
        data:{type:'area_detail', 
			areaname: areaname, 
			starttime:starttime, 
			endtime:endtime, 
			appid:appid, 
			errname:errname,devid:devid},
        type:'post',
        dataType:'json',
        success:function(json){
            area_detail_update(json);
            cluster_load_hide();
        }
    });
}

function area_detail_update(data)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.total));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal" align="left">'+ r.cname+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.total)+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
	
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

</script>
</head>
<body>
<div>
    <table style="width:100%;">
        <tr>
            <td class="header-back-blue">
                区域流量 -> <?=$_GET['areaname']?>
            </td>
			<input type="hidden" value="<?=$_GET['areaname']?>" id="areaname" />
            <input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
			<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
			<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
			<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
        </tr>
    </table>
    <div class="topapp-list-table" style="float:left;margin-top:10px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-left" width="50px">序号</th>
                <th class="txt-left" width="150px">协议名称</th>
                <th class="txt-right" >上行流量(Byte)</th>
                <th class="txt-right" >下行流量(Byte)</th>
                <th class="txt-right" >总流量(Byte)</th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
    Highcharts.setOptions({ global: { useUTC: false } });
	area_detail();
</script>
</body>
</html>
