<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function urlpie_init()
{
    load_show();
    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../flow_direction/flowdir.php',
        data:{type:'flowpie_init'},
        type:'post',
        dataType:'json',
        success:function(json){
            urlflow_data_update(json);
            load_hide();
        }
    });
}

function urlflow_check()
{
    var topn = $("#topn").val();
    var appid = 0;
	var sort = $("#sort").val();

    var startyear = $("#startyear").val();
    var startmonth = $("#startmonth").val();
    var startdate = $("#startdate").val();
    
    var endyear = $("#endyear").val();
    var endmonth = $("#endmonth").val();
    var enddate = $("#enddate").val();
    
    var starttime = startyear+'-'+startmonth+'-'+startdate + ' 0:0:0';
    var endtime = endyear+'-'+endmonth+'-'+enddate + ' 23:59:59';

    load_show();
	
    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../flow_direction/flowdir.php',
        data:{type:'session_app_top', sort: sort, topn:topn, appid:appid,
            starttime:starttime, endtime:endtime, errname:errname},
        type:'post',
        dataType:'json',
        success:function(json){
            urlflow_data_update(json);

            load_hide();
        }
    });
}

function urlflow_data_update(data)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+2).length > 0){
            tdobj = trobj.eq(i+2).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+r.downbytes));
            tdobj.eq(5).html(numberformats(r.upbytes_dx));
            tdobj.eq(6).html(numberformats(r.downbytes_dx));
            tdobj.eq(7).html(numberformats(r.upbytes_dx+r.downbytes_dx));
            tdobj.eq(8).html(numberformats(r.upbytes_yd));
            tdobj.eq(9).html(numberformats(r.downbytes_yd));
            tdobj.eq(10).html(numberformats(r.upbytes_yd+r.downbytes_yd));
            tdobj.eq(11).html(numberformats(r.upbytes_lt));
            tdobj.eq(12).html(numberformats(r.downbytes_lt));
            tdobj.eq(13).html(numberformats(r.upbytes_lt+r.downbytes_lt));
            tdobj.eq(14).html(numberformats(r.upbytes_tt));
            tdobj.eq(15).html(numberformats(r.downbytes_tt));
            tdobj.eq(16).html(numberformats(r.upbytes_tt+r.downbytes_tt));
            tdobj.eq(17).html(numberformats(r.upbytes_qt));
            tdobj.eq(18).html(numberformats(r.downbytes_qt));
            tdobj.eq(19).html(numberformats(r.upbytes_qt+r.downbytes_qt));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last" align="right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_dx+r.downbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_yd+r.downbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_lt+r.downbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_tt+r.downbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_qt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_qt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_qt+r.downbytes_qt)+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table");
        }
    }
    for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
}
</script>
</head>
<body>
<div class="maintain-content check-panel-radius" style="text-align:left;">
    <table style="width:100%;">
        <tr>
            <td class="header-back-blue">
                流量统计 -> <?=$_GET['name']?>
            </td>
            <td style="border-bottom:1px solid gray;color:#f00;font-weight:bold;">* 每晚00：00：00时刻更新前一天的数据</td>
            <input type="hidden" value="<?=$_GET['utype']?>" id="urltype" />
        </tr>
    </table>
    <table style="width:100%;margin:10px 0 0 0;">
        <tr>
            <td>
                <div id="checkpanel_con" style="background:#F8F8F8" class="check-panel-radius">
                    <table style="font-size:12px;">
                        <tr>
							<td width="100px" align="right">按</td>
                            <td width="20px"></td>
                            <td colspan="4" id="devicecon" align="left">
                                <select id="sort" style="width:100px">
									<option value="all">总流量</option>
									<option value="dx">电信</option>
									<option value="yd">移动</option>
									<option value="lt">联通</option>
									<option value="tt">铁通</option>
								</select>排序
                            </td>
                        </tr>
                        <tr><td align="right">起始时间</td>
                            <td width="20px"></td>
                            <td align="left"><select id="startyear" style="width:70px"></select>年&nbsp;
                                <select id="startmonth" style="width:50px"></select>月&nbsp;
                                <select id="startdate" style="width:50px"></select>日&nbsp;
                            <td rowspan="2" align="left">
                                <input type="button" value="查询" style="width:50px;height:50px;" onclick="urlflow_check()" />
                            </td>
                        </tr>
                        <tr><td align="right">结束时间</td>
                            <td width="20px"></td>
                            <td align="left"><select id="endyear" style="width:70px"></select>年&nbsp;
                                <select id="endmonth" style="width:50px"></select>月&nbsp;
                                <select id="enddate" style="width:50px"></select>日&nbsp;
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
    <div class="topapp-list-table" style="float:left;margin-top:10px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th rowspan=2 class="td-left-first" width="50px">序号</th>
                <th rowspan=2 class="td-normal" width="100px">协议名称</th>
                <th colspan=3 class="td-normal">总流量(Byte)</th>
                <th colspan=3 class="td-normal">去往电信(Byte)</th>
				<th colspan=3 class="td-normal">去往移动(Byte)</th>
                <th colspan=3 class="td-normal">去往联通(Byte)</th>
                <th colspan=3 class="td-normal">去往铁通(Byte)</th>
                <th colspan=3 class="td-normal">其它(Byte)</th>
            </tr>
            <tr>
                <th class="td-normal">上行</th>
                <th class="td-normal">下行</th>
                <th class="td-normal">总</th>
                <th class="td-normal">上行</th>
                <th class="td-normal">下行</th>
                <th class="td-normal">总</th>
                <th class="td-normal">上行</th>
                <th class="td-normal">下行</th>
                <th class="td-normal">总</th>
                <th class="td-normal">上行</th>
                <th class="td-normal">下行</th>
                <th class="td-normal">总</th>
                <th class="td-normal">上行</th>
                <th class="td-normal">下行</th>
                <th class="td-normal">总</th>
                <th class="td-normal">上行</th>
                <th class="td-normal">下行</th>
                <th class="td-normal">总</th>
            </tr>
        </table>
    </div>
</div>
<div id="downdiv" style="position:fixed;bottom:10px;right:10px;color:#f00;font-weight:bold;text-decoration:underline;">&nbsp;</div>
<script type="text/javascript">
    filltime(24);
    $("#starthour").val(0);
    $("#endhour").val(0);
    $("#startminute").val(0);
    $("#endminute").val(0);
    Highcharts.setOptions({ global: { useUTC: false } });
</script>
</body>
</html>