<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>

<script type="text/javascript">

function data_update(data, starttime, endtime, grpname, grpid)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		del = '<a href="javascript:iptable_grpview('+grpid+', \''+grpname+'\', '+
			r.appid+', \''+r.cname+'\', \''+starttime+'\', \''+endtime+'\')">'+r.cname+'</a>';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(del);
			tdobj.eq(2).html(numberformats(r.upbytes));
			tdobj.eq(3).html(numberformats(r.downbytes));
			tdobj.eq(4).html(numberformats(r.upbytes+r.downbytes));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-left">'+ del+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function ipgrp_appgroup(sort)
{
	var grpid = $("#grpid").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();
	var grpname = $("#grpname").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/ipgrp_handle.php',
		data:{type:'ipgrp_appgroup', grpid: grpid, 
			grpname:grpname, starttime:starttime, 
			endtime:endtime, errname:errname, sort: sort},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			data_update(json, starttime, endtime, grpname, grpid);
		}
	});
}

function iptable_grpview(ipgrpid, ipgrpname, groupid, grpname, starttime, endtime)
{
	var w = 700;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;
	
	window.open("grpview_open.php?grpname="+grpname+"&start="+starttime+
		"&end="+endtime+'&groupid='+groupid+'&ipgrpid='+ipgrpid+'&ipgrpname='+ipgrpname, 
		"_blank", "width=700px,height="+height+"px,left="+left+"px");
}

</script>
</head>
<body>
<div>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
		<?php
		$grpname = $_GET['grpname'];
		$start = $_GET['start'];
		$end = $_GET['end'];
		$grpid = $_GET['grpid'];
		$url1 = "ipgrp_open.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		$url2 = "ipgrp_appgroup.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		?>
			<li><a href="<?=$url1?>">目标IP</a></li>
			<li class="active"><a href="<?=$url2?>">协议组</a></li>
		</ul>
	</div>
	<input type="hidden" value="<?= $_GET['grpname']?>" id="grpname" />
	<input type="hidden" value="<?= $_GET['start']?>" id="start" />
	<input type="hidden" value="<?= $_GET['end']?>" id="end" />
	<input type="hidden" value="<?= $_GET['grpid']?>" id="grpid" />
	
    <div class="topapp-list-table" style="margin-top:0px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" style="width:50px;">序号</th>
                <th class="txt-left">群组名称</th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('total')">总流量</a></th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
ipgrp_appgroup('total');
</script>
</body>
</html>
