<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET["cname"]?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function yys_detail()
{
	var yys = $("#yys").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appid = $("#appid").val();
	var devid = $("#devid").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
       	cluster_get_status(errname);
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'yys_detail', 
			starttime:starttime, 
			endtime:endtime, 
			yys:yys, 
			errname:errname, 
			appid: appid,devid:devid},
		type:'post',
		dataType:'json',
		success:function(json){
			urlflow_data_update(json);
			cluster_load_hide();
		}
	});
}

function urlflow_data_update(data)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj, href, trbg = '';

    var total = 0;
    for (i = 0; i < len; i++){
        r = data.rows[i];
	total += r.upbytes + r.downbytes;
    }

    for (i = 0; i < len; i++){
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

	percent = 0;
	if (total != 0)
	    percent = (((r.upbytes + r.downbytes) / total) * 100).toFixed(2);

        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes));

	    tdobj.eq(5).text(percent+'%');
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-center">'+ (i+1)+'</td>'+
                '<td class="td-normal" align="left">'+ r.cname+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                '<td class="txt-right">'+ percent+'%</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
	
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function yys_dstip(yys, starttime, endtime)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;
	
	window.open("yys_dstip.php?yys="+yys+"&starttime="+starttime+"&endtime="+
		endtime, "_blank", "width=700px, height="+height+", left="+left);
}
</script>
</head>
<body>
<div>
<?php
$yys = $_GET["yys"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
$appid = $_GET["appid"];
$devid = $_GET["devid"];

$url1 = "yys_detail.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
$url2 = "yys_dstip.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
$url3 = "yys_trend.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
?>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="<?=$url1?>">流量概况</a></li>
			<li><a href="<?=$url3?>">流量趋势</a></li>
			<li><a href="<?=$url2?>">目标IP</a></li>
		</ul>
	</div>

	<input type="hidden" value="<?=$_GET['yys']?>" id="yys" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />

    <div class="topapp-list-table" style="float:left;margin-top:10px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" width="50px">序号</th>
                <th class="txt-left" width="150px">协议名称</th>
                <th class="txt-right" >上行流量(Byte)</th>
                <th class="txt-right" >下行流量(Byte)</th>
                <th class="txt-right" >总流量(Byte)</th>
                <th class="txt-right" >流量占比</th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
    Highcharts.setOptions({ global: { useUTC: false } });
	yys_detail();
</script>
</body>
</html>
