// JavaScript Document
// JavaScript Document
Highcharts.setOptions({ global: { useUTC: false } });
function setcheckrange(startdt, enddt)
{
	var htl = "<input type='hidden' value='"+startdt+"' id='startdt' />";
	htl += "<input type='hidden' value='"+enddt+"' id='enddt' />";
	htl += "<input type='hidden' value='0' id='hid_devid' />";
	
	if ($("#startdt").length > 0)
	{
		$("#startdt").val(startdt);
		$("#enddt").val(enddt);
	}else
		$(htl).appendTo("body");
}

/*
function topapp(chartype)
{
	var starttime, endtime;
	var distype = "column";
	var typeobj;

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

	var devid = "";
	$('input[name="device"]').each(function(){
		if ($(this).attr("checked"))
			devid += $(this).val()+',';			
	});
	devid = devid.substr(0, devid.length -1);
	if (devid == "") devid = 0;
	
	var top = $("#topapp").val();
	var linkid = $("#linkid").val();
	
	if (chartype == "")
		chartype = $("#chartype").val();

	switch(chartype){
		case "up":
				typeobj = "appcolup";
				break;
		case "down":
				typeobj = "appcoldown";
				break;
		case "total":
				typeobj = "appcoltotal";
				break;
		case "flow":
				typeobj = "appcolflow";
				break;
	}
	$(".td-click-red-trend").removeClass("td-click-red-trend");
	$("#"+typeobj).addClass("td-click-red-trend");
	
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var start_hour = $("#start_hour").val();
	var end_hour = $("#end_hour").val();
	var starttime = start + ' '+start_hour+':0:0';
	var endtime = end + ' '+end_hour+':59:59';
	
	var option = {
		chart: {
			renderTo: 'appcol_con',
			defaultSeriesType: distype,
			//backgroundColor: '#f5f5f5',
			borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title: {
			text: "Top协议流量柱状图",
			style:{font: 'Arial', fontSize:'14px', color:'#000'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
            min: 0,
            title: {
                text: 'byte'
            }
        },{
			min: 0,
			title: {
				text: '连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y);
            }
        },
		plotOptions: {
			column: {
				stacking: 'normal',
				cursor:'pointer',
				depth: 35,
				point:{
				events:{
					click:function(){
						//apptrendwin(devid, linkid, this.category, chartype, this.color, starttime, endtime);
					}
				}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: []
	}

    $.ajax({
        url:'../App/apptop.php',
        data:{devid:devid, linkid:linkid, tmstart:starttime,
            tmend:endtime, topapp:top, type:chartype, errname:errname},
        type:'post',
        dataType:'json',
        success:function(json){
            var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}, 
				{name:"连接数", type:'spline', data:[], yAxis: 1}];
	
			for (var i = 0; i < json.detail.length; i++){
				option.xAxis.categories.push(json.detail[i].cname);
				
				series[0].data.push(json.detail[i].totalup);
				series[1].data.push(json.detail[i].totaldown);
				series[2].data.push(json.detail[i].flowcont);
			}
			option.series = series;
	
			setTimeout(function(){
            var chart = new Highcharts.Chart(option);
			}, 500);

            UpdateAppTopDetail(json, devid, chartype, "", starttime, endtime);

            load_hide();
        }
    });
}

function UpdateAppTopDetail(data, devid, chartype, graph_color, startime, endtime)
{
    var r, s;
    var len = data.detail.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';
	
	devid = devid+'';
	var q = /,/g
	devid = devid.replace(q, '-');

    for (i = 0; i < len; i++){
        r = data.detail[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        href = '<a href="javascript:apptrendwin('+devid+','+ r.linkid+', \''+ r.name+'\', \''+ r.cname+'\', \''+
            chartype+'\', \'\', \''+startime+'\', \''+endtime+'\')">'+ r.cname+'</a>';
        if (trobj.eq(i+1).length > 0){
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html((r.flowcont)+'&nbsp;');
            tdobj.eq(3).html(numberformats(r.totalup)+'&nbsp;');
            tdobj.eq(4).html(numberformats(r.totaldown)+'&nbsp;');
            tdobj.eq(5).html(numberformats((r.totalup+r.totaldown))+'&nbsp;');
			
			if (r.sum_inter != 0)
				tdobj.eq(6).html(numberformats(r.totalup* 8/ r.sum_inter)+'&nbsp;');
			else 
				tdobj.eq(6).html((0)+'&nbsp;');
			
			if (r.sum_inter != 0)
				tdobj.eq(7).html(numberformats(r.totaldown* 8/ r.sum_inter)+'&nbsp;');
			else
				tdobj.eq(7).html((0)+'&nbsp;');
			
			if (r.sum_inter != 0)
				tdobj.eq(8).html(numberformats((r.totalup+r.totaldown)* 8/ r.sum_inter)+'&nbsp;');
			else
				tdobj.eq(8).html(0+'&nbsp;');

            tdobj.eq(9).html('<a href="javascript:apptrendwin(\''+devid+'\','+ r.linkid+', \''+ r.name+'\', \''+ r.cname+'\', \''+
                chartype+'\', \'\', \''+startime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.cname+'-流量趋势图" /></a>');

        }else{
			if (r.sum_inter == 0)
				r.sum_inter = 1;
			if (r.inter == 0)
				r.inter = 1;
			
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal" style="text-align:right;">'+ r.flowcont+'&nbsp;</td>'+
                '<td class="td-normal" style="text-align:right;">'+ numberformats(r.totalup)+'&nbsp;</td>'+
                '<td class="td-normal" style="text-align:right;">'+ numberformats(r.totaldown)+'&nbsp;</td>'+
                '<td class="td-left-last" style="text-align:right;">'+ numberformats(r.totalup+r.totaldown)+'&nbsp;</td>'+
                '<td class="td-normal" style="text-align:right;">'+ numberformats(r.totalup* 8/ r.sum_inter)+'&nbsp;</td>'+
                '<td class="td-normal" style="text-align:right;">'+ numberformats(r.totaldown* 8/ r.sum_inter)+'&nbsp;</td>'+
                '<td class="td-left-last" style="text-align:right;">'+ numberformats((r.totalup+r.totaldown)* 8/ r.sum_inter)+'&nbsp;</td>'+

                '<td class="td-left-last"><a href="javascript:apptrendwin(\''+devid+'\','+ r.linkid+', \''+ r.name+'\', \''+ r.cname+'\', \''+
                chartype+'\', \'\', \''+startime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.cname+'-流量趋势图" /></a></td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}
*/

function appip(devid, starttime, endtime, app, cname)
{
	$("<div id='apptoip_win'></div>").appendTo("body");

	$('#apptoip_win').load('apptoip-html.php', {start:starttime, end:endtime, cname:cname}, function(){
		setWinpos("apptoip_win", 600, 650, "apptoip_con");
		
		$('#apptoip_win').css('z-index', config.zindex++);

		appiplist(devid, starttime, endtime, app, cname);
	});
}

function appiplist(devid, starttime, endtime ,app, cname)
{
	var url = 'appiplist.php?devid='+devid+'&tmstart='+starttime+'&tmend='+endtime+'&name='+app;
	
	Ext.define('MyData',{
        extend: 'Ext.data.Model',
        fields: ['ip', {name:'upbytes', type:'int'}, {name:'downbytes', type:'int'}]
    });
	
	var stores = Ext.create('Ext.data.Store', {
		model: 'MyData',
        proxy: {
            type: 'ajax',
			//extraParams:{type:'list'},
            url: url,
			timeout:600000,
			actionMethods: {
            	read: 'GET'
        	},
            reader: {
                type: 'json',
                root: 'result'
            }
        }
    });

	var render = "apptoip_con";
	var applistgrid = Ext.create("Ext.grid.Panel", {
		store:stores,
		height:$("#"+render).outerHeight()-2,
		renderTo:render,
		loadMask:true,
		id:'appiplistgrid-list',
		columns:[{text:'地址', dataIndex:'ip', width:120},
			{text:'上行流量', dataIndex:'upbytes', align:'right', flex:1, renderer:function(value){return numformat(value);}}, 
			{text:'下行流量', dataIndex:'downbytes', flex:1, align:'right', renderer:function(value){return numformat(value)}}]
	});
	
	stores.load({callback:function(){myMask.hide();}});
}

function applistwin(devid, linkid, starttime, endtime, topapp, chartype, render)
{
	$("<div id='applist_win'></div>").appendTo("body");

	$('#applist_win').load('applist-html.php', {start:starttime, end:endtime}, function(){
		setWinpos("applist_win", 900, 600, "applist_con");
		
		$('#applist_win').css('z-index', config.zindex++);
		$('#applist_win').draggable({cursor:'move', handle:'table.popup-bar-fill-900px'});
		$('#applist_title').mousedown(function(){$('#applist_win').css('z-index', config.zindex++);});
		
		applist(devid, linkid, starttime, endtime, topapp, chartype, render);
	});
}

function apptoip(devid, starttime, endtime, app, cname)
{
		var link = "<a style='color:#00f;' href='javascript:appip(\""+devid+"\", \""+starttime+"\", \""+endtime+"\", \""+app+"\", \""+cname+"\")'>显示IP</a>";
		
		return link;
}

function applist(devid, linkid, starttime, endtime, topapp, chartype, render)
{
    $.ajax({
        url:'apptop.php?devid='+devid+'&linkid='+linkid+'&tmstart='+starttime+
            '&tmend='+endtime+'&topapp='+topapp+'&type='+chartype,
        type:'get',
        succuess:function(data){
            var r, s;
            var len = data.detail.length;
            var trobj = $(".topapp-list-table table tbody tr");
            var trlen = trobj.length;
            var tdobj;

            for (i = 0; i < len; i++){
                r = data.detail[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                if (trobj.eq(i+1).length > 0){
                    tdobj = trobj.eq(i+1).find("td");

                    tdobj.eq(0).html(r.cname);
                    tdobj.eq(1).text(r.maxflowcont);
                    tdobj.eq(2).text(r.totalup);
                    tdobj.eq(3).text(r.totaldown);
                    tdobj.eq(4).text(r.total);
                    tdobj.eq(5).text(r.maxupbytes);
                    tdobj.eq(6).text(r.maxdownbytes);
                }else{
                    s = '<tr class="'+trbg+'">' +
                        '<td>'+ r.cname+'</td>'+
                        '<td>'+ r.maxflowcont+'</td>'+
                        '<td>'+ r.totalup+'</td>'+
                        '<td>'+ r.totaldown+'</td>'+
                        '<td>'+ r.total+'</td>'+
                        '<td>'+ r.maxupbytes+'</td>'+
                        '<td>'+ r.maxdownbytes+'</td>'+
                        '</tr>';
                    $(s).appendTo(".topapp-list-table table tbody");
                }
            }
            for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
        }
    });
}

function lastonehourpie_custom(cname)
{
	$("<div id='checkpanel_win'></div>").appendTo("body");

	$('#checkpanel_win').load('lastonehourpie_custom-html.php', {cname:cname}, function(){
		setWinpos("checkpanel_win", 400, 400, "checkpanel_con");
		
		$('#checkpanel_win').css('z-index', config.zindex++);
		$('#checkpanel_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#checkpanel_title').mousedown(function(){$('#checkpanel_win').css('z-index', config.zindex++);});
		
		getdevice();
		filltime();
	});
}

function lastonehourpie_customhdl(cname)
{
	var devid = "";
	$('input[name="device"]').each(function(){
		if ($(this).attr("checked"))
			devid += $(this).val()+',';			
	});
	devid = devid.substr(0, devid.length -1);
	if (devid == "") devid = 0;
	
	$("#hid_devid").val(devid);
	
	var linkid = $("#linkid").val();
	var chartype = $("#chartype").val();
	
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	$("#checkpanel_win").hide();

	app_pie(devid, linkid, cname, chartype, "appgrouppie", "appgroupdetail", 0, 1);
}

function appselect(name, cname)
{
	$("#hidappname").val(cname);
	$("#apx").val(cname);
	
	$('#showapptree_win').hide();
}

function showapptree()
{
	if ($('#showapptree_win').length > 0)
	{
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}
	
	$("<div id='showapptree_win'></div>").appendTo("body");
	
	$('#showapptree_win').load('treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");
		
		$('#showapptree_win').css('z-index', config.zindex++);
		$('#showapptree_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#showapptree_title').mousedown(function(){$('#showapptree_win').css('z-index', config.zindex++);});
		
		setTimeout(function(){createtree();}, 1000);
		
		$("#checkapp").focus();
	});
}

var trees;
function createtree()
{
	var data;
	var devid = "";
	$('input[name="device"]').each(function(){
		if ($(this).attr("checked"))
			devid += $(this).val()+',';			
	});
	devid = devid.substr(0, devid.length -1);
	if (devid == "") devid = 0;
	
	trees = new dTree('trees');	
	trees.add(0, -1, '选择协议');

	Ext.Ajax.request({
		url:'tree.php',
		method:'get',
		params:{devid:devid},
		success:function(response)
		{
			var data = Ext.JSON.decode(response.responseText);
			for (var i = 0; i < data.result.length; i++)
			{
				r = data.result[i];
				if (r.name != 'root')
					trees.add(r.id, r.parent, r.cname, "javascript:appselect('"+r.name+"', '"+r.cname+"')");
				else
					trees.add(r.id, r.parent, r.cname);
			}
			
			var tree = trees.toString();
			$("#treelist").html(tree);
			
			data.result.length = 0;
		}
	});
}

function ajaxcheckapp()
{
	var devid = $("#device").val();
	var appid = $("#checkapp").val();
	
	if (appid == "")
	{
		$("#checklist").html("");
		return false;
	}
	
	$.post("checkapp.php", {devid:devid, appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);
		
		for (var i = 0; i < res.result.length; i++)
		{						
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}
		
		$("#checklist").html(hl);
	});
}

function isroot(cname)
{
	$.get("appisroot.php", {cname:cname}, function(json){
		var md;
		eval("md="+json);
	
		if (md.yn == "no")
		{
			popwindow_tips("该协议不是协议组，无分布图");
			return false;
		}else
		{
			lastonehourpie(cname);
		}
	});
}

function lastonehourpie_custom(cname)
{
	$("<div id='checkpanel_win'></div>").appendTo("body");

	$('#checkpanel_win').load('lastonehourpie_custom-html.php', {cname:cname}, function(){
		setWinpos("checkpanel_win", 400, 400, "checkpanel_con");
		
		$('#checkpanel_win').css('z-index', config.zindex++);
		$('#checkpanel_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#checkpanel_title').mousedown(function(){$('#checkpanel_win').css('z-index', config.zindex++);});
		
		getdevice();
		filltime();
	});
}

function lastonehourpie_customhdl(cname)
{
	var devid = "";
	$('input[name="device"]').each(function(){
		if ($(this).attr("checked"))
			devid += $(this).val()+',';			
	});
	devid = devid.substr(0, devid.length -1);
	if (devid == "") devid = 0;
	
	$("#hid_devid").val(devid);
	
	var linkid = $("#linkid").val();
	var chartype = $("#chartype").val();
	
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	$("#checkpanel_win").hide();
	
	app_pie(devid, linkid, cname, chartype, "appgrouppie", "appgroupdetail", 0, 1);
}

function appselect(name, cname)
{
	$("#hidappname").val(cname);
	$("#apx").val(cname);
	
	$('#showapptree_win').hide();
}

function showapptree()
{
	if ($('#showapptree_win').length > 0)
	{
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}
	
	$("<div id='showapptree_win'></div>").appendTo("body");
	
	$('#showapptree_win').load('treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");
		
		$('#showapptree_win').css('z-index', config.zindex++);
		$('#showapptree_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#showapptree_title').mousedown(function(){$('#showapptree_win').css('z-index', config.zindex++);});
		
		setTimeout(function(){createtree();}, 1000);
		
		$("#checkapp").focus();
	});
}

var trees;
function createtree()
{
	var data;
	var devid = "";
	$('input[name="device"]').each(function(){
		if ($(this).attr("checked"))
			devid += $(this).val()+',';			
	});
	devid = devid.substr(0, devid.length -1);
	if (devid == "") devid = 0;
	
	trees = new dTree('trees');	
	trees.add(0, -1, '选择协议');

	Ext.Ajax.request({
		url:'tree.php',
		method:'get',
		params:{devid:devid},
		success:function(response)
		{
			var data = Ext.JSON.decode(response.responseText);
			for (var i = 0; i < data.result.length; i++)
			{
				r = data.result[i];
				if (r.name != 'root')
					trees.add(r.id, r.parent, r.cname, "javascript:appselect('"+r.name+"', '"+r.cname+"')");
				else
					trees.add(r.id, r.parent, r.cname);
			}
			
			var tree = trees.toString();
			$("#treelist").html(tree);
			
			data.result.length = 0;
		}
	});
}

function ajaxcheckapp()
{
	var devid = $("#device").val();
	var appid = $("#checkapp").val();
	
	if (appid == "")
	{
		$("#checklist").html("");
		return false;
	}
	
	$.post("checkapp.php", {devid:devid, appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);
		
		for (var i = 0; i < res.result.length; i++)
		{						
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}
		
		$("#checklist").html(hl);
	});
}
