<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['name']?>区域应用时延</title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">

function action_submit(distime)
{
	var devid = getdevice();
	var appid = $("#hidappid").val();

	switch(distime) {
	case 1:
		var start = $("#start").val();
		var end = $("#end").val();
		var starthour = $("#starthour").val();
		var endhour = $("#endhour").val();
		var startmin = $("#startmin").val();
		var endmin = $("#endmin").val();
		break;
	case 2:
		var start = $("#start2").val();
		var end = $("#end2").val();
		var starthour = $("#starthour2").val();
		var endhour = $("#endhour2").val();
		var startmin = $("#startmin2").val();
		var endmin = $("#endmin2").val();
		break;
	}
	
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'area_app', starttime:starttime, endtime:endtime, errname:errname, appid:appid, devid: devid, eventtype: 'app'},
		success:function(json) {
			cluster_load_hide();

			$(".trendouter").show();

			createtrend(json.date, json.yclnt, "clnt"+distime);
			createtrend(json.date, json.ysvr, "svr"+distime);
			createtrend(json.date, json.yapp, "app"+distime);

			if (distime == 1)
				action_submit(2);
		}
	});
}

function createtrend(xdate, data, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "clnt1":
	case "clnt2":
		title = "客户端时延/ms";
		break;
	case "svr1":
	case "svr2":
		title = "服务时延/ms";
		break;
	case "app1":
	case "app2":
		title = "应用时延/ms";
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 14;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			}
		},
		title: {
			left: '1%',
			text: title,
			top:20,
			textStyle: {
				fontFamily: fontfamily,
				fontSize: fontsize
			}
		},
		xAxis: {
			type: 'category',
			data: xdate,
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		grid: {
			left: '8%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				data: data
			}
		]
	};

	myChart.setOption(option);
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}

var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+
			r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}


function appselect(appid, name, cname)
{
	$("#hidappid").val(appid);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

</script>
</head>

<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="所有协议" style="width:70px" readonly />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="hidden" value="any" id="hidname" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label style="font-weight:bold; color:#f00">时间一：</label>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 7200;
				$t2 = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
				<input type="text" id="endmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label style="font-weight:bold; color:#f00">时间二：</label>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = strtotime("now");
				?>
				<input type="text" name="start" id="start2" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour2" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin2" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end2" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour2" value="<?= date('H', $t2)?>" style="width:30px" /> 时
				<input type="text" id="endmin2" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="action_submit(1)">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="trendouter" style="display:none;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top: 50px;">
			  <legend>时间一</legend>
		</fieldset>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden;">
			<div id="clnt1" style="width:100%;height:300px;overflow:hidden"></div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="svr1" style="width:100%;height:300px;overflow:hidden"></div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="app1" style="width:100%;height:300px;overflow:hidden"></div>
			<div style="clear:both;"></div>
		</div>
		<fieldset class="layui-elem-field layui-field-title" style="margin-top: 50px;">
			  <legend>时间二</legend>
		</fieldset>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden;">
			<div id="clnt2" style="width:100%;height:300px;overflow:hidden"></div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="svr2" style="width:100%;height:300px;overflow:hidden"></div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="app2" style="width:100%;height:300px;overflow:hidden"></div>
			<div style="clear:both;"></div>
		</div>
		<div style="clear:both;"></div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>

</html>
