<?php	
session_start();
include(dirname(__FILE__)."/common.php");
if (!chksession()) {
	header("Location: index.php");
	exit;
}
?>

<html>
<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
<link type="text/css" href="../css/common.css" rel="stylesheet">
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/common.js"></script>
</head>
<body>
<div class="outer">
	<div class="ping-outer">
		<ul>
			<li>
				<select style="width:160px">
					<option>管理口</option>
				</select>
			</li>
			<li>
				<input type="text" value="" id="ipaddr" style="width:160px" />
			</li>
			<li>
				<input type="button" value="开始" style="width:70px" onclick="ping_action()" id="action" />
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
</div>
<div style="position:absolute;left:10px;right:10px;top:50px;bottom:10px;overflow:auto;border-top:1px solid #ddd;" id="pingres"> </div>

<script type="text/javascript">
var str = "";
var stop = 0;

function ping_action()
{
	var action = document.getElementById("action");

	if (action.value == "停止") {
		stop = 1;
		action.value = "开始";
		return;
	}
	else {
		stop = 0;
		str = "";
		action.value = "停止";
	}

	ping_handle();
}

function ping_handle()
{

	if (stop)
		return;

	var ipaddr = $("#ipaddr").val();
	ipaddr = TrimAll(ipaddr);
	if (ipaddr == "") {
		alert("请输入正确的IP地址");
		return false;
	}
	if (ipaddr != "" && !IsIPAddr(ipaddr)) {
		alert("请输入正确的IP地址");
		return false;
	}


	$.ajax({
		url: 'ajax_ping.php',
		data: {ipaddr:ipaddr},
		type: 'post',
		dataType: 'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				if (json.str.indexOf("error") != -1)
					str += '<a style="color:#f00;">' + json.str + '</a><br/>';
				else
					str += '<a style="color:#00f;">' + json.str + '</a><br/>';
				$("#pingres").html(str);

				var cm = document.getElementById('pingres');
			       	cm.scrollTop = cm.scrollHeight;

				setTimeout(ping_handle, 1000);
			}
		}
	});
}
</script>
</body>
</html>
