<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/sha256.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
var lastpage = 0;
var user_page = 1;

function mailcious_submit(bexport)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var host = $("#host").val();
	var url = $("#url").val();
	var frominfo = $("#frominfo").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var addrtype = $("#addrtype").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';

	if (lastpage) {
		layer.msg("已经是是后一页了.");
		return false;
	}

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{
			action: 'mailcious_check', 
			devid:devid, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname, 
			page:page, 
			limit:limit, 
			ipaddr:ipaddr, 
			account:account, 
			host:encodeURIComponent(host), 
			url:encodeURIComponent(url),
			frominfo:frominfo,
			addrtype:addrtype,
			bexport:bexport
		},
		success:function(json) {
			cluster_load_hide();

			if (bexport != 0) {
				cluster_downloadfile("");
				return;
			}

			if (page > 1 && json.rows.length < limit) {
				lastpage = 1;
			}

			data_update(json);
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("hostlist");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		var pos = 0;
		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		s = '<a href="javascript:userinfo(\''+r.uri+'\')">'+r.uri+'</a>';

		var style = "display:inline-block; padding: 2px; background: #fafafa; border:1px solid #bab1b1; border-radius: 2px;color:#666;";
		var vir_url = 'https://www.virustotal.com/gui/search/'+(r.uri);
		if ((r.uri).indexOf('/') != -1)
			vir_url = 'https://www.virustotal.com/gui/url/'+hex_sha256('http://'+r.uri)+'/detection';
		s += '&nbsp;&nbsp;<a href="'+vir_url+'" target="_blank" style="'+style+'">情报校验</a>';
		col.innerHTML = s;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.num;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.descinfo;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.frominfo;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = '<a href="javascript:userexport(\''+r.uri+'\')">'+'导出明细'+'</a>';	
	}
}

function userinfo(url)
{
	var host = "";
	var uri = "";

	for (var i = 0; i < url.length; i++) {
		if (url.charAt(i) == '/')
			break;
		else
			host += url.charAt(i);
	}
	uri = url.substr(i, url.length - i);

	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';
	var bexport = 0;
	var addrtype = $("#addrtype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{action: 'mailcious_user_dev', devid:devid, addrtype:addrtype, starttime:starttime, endtime:endtime, errname:errname, page:user_page, limit:limit, host:encodeURIComponent(host), url:encodeURIComponent(uri), bexport:bexport},
		success:function(json) {
			cluster_load_hide();
			
			var s = '<div class="topapp-list-table">';
			s += '<table style="width:100%;" id="iplist">';
			s += '<tr>';
			s += '<th class="txt-center" width="50px">序号</th>';
			s += '<th class="txt-left" width="150px">用户IP</th>';
			s += '<th class="txt-left" width="150px">用户账号</th>';
			s += '<th class="txt-left">访问次数</th>';
			s += '<th class="txt-left">设备编号</th>';
			s += '</tr>';
			s += '</table>';
			s += '</div>';
			s += '<div id="pageuserbar-div"></div>';
			
			layer.open({
				type: 1,
				title: url,
				//shade: [0.8, '#393D49'],
				shadeClose:1,
				area:['600px', '600px'],
				content: s,
				success:function(){
					userdata_update(json,url);
				}
			});
		}
	})
}

function userexport(url)
{
	var host = "";
	var uri = "";

	for (var i = 0; i < url.length; i++) {
		if (url.charAt(i) == '/')
			break;
		else
			host += url.charAt(i);
	}
	uri = url.substr(i, url.length - i);

	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';
	var bexport = "1";
	var addrtype = $("#addrtype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{action: 'mailcious_user_dev', devid:devid, addrtype:addrtype, starttime:starttime, endtime:endtime, errname:errname, 
			page:page, limit:limit, host:encodeURIComponent(host), url:encodeURIComponent(uri), bexport:bexport},
		success:function(json) {
			cluster_load_hide();
			cluster_downloadfile("");
		}
	})
}

function userdata_update(json,url)
{
	var list = document.getElementById("iplist");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		var pos = 0;
		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.ipaddr;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.account;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.num;
		
		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.devid;
		
		
		laypage.render({
					elem: 'pageuserbar-div',
					count: json.total,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[25,50],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							user_page = obj.curr;
							limit = obj.limit;
							
							userinfo(url);	
							
						}
					}
		});
		
		
		
	}
}

function next()
{
	page++;

	mailcious_submit(0);
}

function pre()
{
	page--;
	lastpage = 0;
	
	if (page <= 0)
		page = 1;
	
	mailcious_submit(0);
}

function button_click(bexport)
{
	page = 1;
	lastpage = 0;
	
	mailcious_submit(bexport);
}

function ntp_threshold()
{
	var w = 900;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;
	window.open("../secure/ntp_threshold.php", "_blank", "width="+w+"px, height="+height+", left="+left);
}
</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="mailcious_host.php">访问排名</a></li>
			<li><a href="mailcious_user.php">用户排名</a></li>
			<?php
				 $user = $_SESSION["palog_username"];
				 if( $user == "admin"){
					 
					echo "<li ><a href='mailcious_download.php'>更新数据</a></li>";
				 }	
			?>
		</ul>
	</div>
	<div class="check-form">
				<ul>
					<li>
						<?php
							echo getdevice();
						?>
					</li>
					<li>
						<label>地址类型</label>
						<select id="addrtype">
							<option value="ipv4">ipv4</option>
							<option value="ipv6">ipv6</option>
						</select>
					</li>
					<li>
						<label for="start">用户账号</label>
						<input type="text" name="account" id="account" style="width:80px;" />
					</li>
					<li>
						<label for="start">用户IP</label>
						<input type="text" name="ipaddr" id="ipaddr" style="width:80px;" />
					</li>
					<li>
						<label for="start">域名</label>
						<input type="text" name="host" id="host" style="width:150px;" />
					</li>
					<li>
						<label for="start">URI</label>
						<input type="text" name="url" id="url" style="width:150px;" />
					</li>
					<li>
						<label for="start">类别</label>
						<input type="text" name="frominfo" id="frominfo" style="width:80px;" />
					</li>
					<li>
<?php
$t = time() - 86400;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					</li>
					<li>
						<input type="button" value="查询" onclick="button_click(0)" class="btn-extend-color" />
					</li>
					<li>
						<a class="btn-extend-gray" onclick="button_click(1)">EXCEL</a>
						<a class="btn-extend-gray" onclick="button_click(2)">TXT</a>
						<a class="btn-extend-gray" onclick="button_click(3)">CSV</a>
						<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
					</li>
			       	</ul>
				<div class="clearfloat"></div>
		</div>
		<div class="topapp-list-table">
			<table style="width:100%;" id="hostlist">
				<tr>
					<th class="txt-center" width="50px">序号</th>
					<th class="txt-left">URL</th>
					<th class="txt-left" width="100px">访问次数</th>
				       	<th class="txt-left" width="150px">类别</th>
					<th class="txt-left" width="200px">来源</th>
					<th class="txt-left" width="100px">操作</th>
				</tr>
			</table>
		</div>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var layer;
var laypage;
layui.use(['layer','laypage'], function(){
	layer = layui.layer;
	laypage = layui.laypage;
})
showdevicetree();
</script>
</body>
</html>

