<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var _page = 1;
var _limit = 20;
var _cachefile = "";
function button_click(bexport)
{
	_cachefile = getcachefile();

	mail_submit(bexport);
}

function mail_submit(bexport)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var host = $("#host").val();
	var url = $("#url").val();	
	var frominfo = $("#frominfo").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var addrtype = $("#addrtype").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':0';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	var action = "mailcious_user";
	
	
	if(bexport != 0)
		action = "mailcious_user_dev";

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{action:action ,devid:devid, addrtype:addrtype, starttime: starttime, endtime:endtime, errname:errname, ipaddr:ipaddr, account:account, page:_page, limit:_limit, host:encodeURIComponent(host), url:encodeURIComponent(url), cachefile: _cachefile, bexport:bexport},
		success:function(json) {
			cluster_load_hide();

			if (bexport != 0) {
				cluster_downloadfile("");
				return;
			}
/*			
			mypage = laypage.render({
				elem: 'pagebar',
				count:json.total,
				limits:[10, 20, 30, 50],
				limit: _limit,
				curr: _page,
				layout: ['count', 'prev', 'page', 'next', 'limit', 'refresh', 'skip'],
				jump: function(obj, first){
					_limit = obj.limit;
					if (!first) {
						_page = obj.curr;
						mail_submit();
					}
				}
		       	});
*/
			showchart(json);
		}
	})
}

function libres_export(bexport)
{
	mail_submit("", bexport);
}

function showchart(json)
{
	var yup = [], ydown = [], x = [];
	var len = json.rows.length;
	for (var i = len - 1; i >= 0; i--) {
		x.push(json.rows[i].ipaddr);
		yup.push({value: json.rows[i].num, account:json.rows[i].account});
	}

	$("#mailchart").height($(window).height() - 150);
	$("#mailchart").show();

	var dom = document.getElementById("mailchart");
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		//backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
					if (params[i].data.account != "")
						htm += '<br/>'+params[i].data.account;
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:100,
			bottom:30,
			right:10,
			textStyle: {
			}
		},
		xAxis: [{
			type: "value",
		}],
		yAxis: [{
			type: "category",
			data: x,
			axisLabel: {
				interval: 0,
				textStyle: {
					fontSize: 10,
				},
				formatter: function(value, index) {
					return (value);
				}
			},
        	}],
		series: [{
			name: "访问次数",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			barMinHeight: 10,
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		}]
	}

	chart.setOption(option);

	chart.off("click");
	chart.on('click', function (params) {
		mailuser_checkuser(params.name);
	});
}

function mailuser_checkuser(ipaddr)
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin   = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':0';	
	var frominfo = $("#frominfo").val();
	var addrtype = $("#addrtype").val();
	var bexport = 0;

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{action: 'mailcious_check', addrtype:addrtype, devid:devid, ipaddr:ipaddr, starttime:starttime, endtime:endtime, errname:errname, frominfo:frominfo, page:1, limit:0, bexport:bexport},
		success:function(json) {
			cluster_load_hide();

			var s = '<div class="topapp-list-table">';
			s += '<table style="width:100%;" id="hostlist">';
			s += '<tr>';
			s += '<th class="txt-center" width="50px">序号</th>';
			s += '<th class="txt-left">URL</th>';
			s += '<th class="txt-left" width="100px">访问次数</th>';
			s += '<th class="txt-left" width="150px">来源</th>';
			s += '<th class="txt-left" width="150px">描述</th>';
			s += '</tr>';
			s += '</table>';
			s += '</div>';

			layer.open({
				type: 1,
				title: ipaddr,
				//shade: [0.8, '#393D49'],
				shadeClose:1,
				area:['1000px', '600px'],
				content: s,
				success:function(){
					data_update(json);
				}
			});
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("hostlist");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		var pos = 0;
		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.uri;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.num;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.frominfo;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.descinfo;
	}
}

</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="mailcious_host.php">访问排名</a></li>
			<li class="active"><a href="mailcious_user.php">用户排名</a></li>
			
			<?php
				 $user = $_SESSION["palog_username"];
				 if( $user == "admin") {					 
					echo "<li ><a href='mailcious_download.php'>更新数据</a></li>";
				 }	
			?>
		</ul>
	</div>
	<div class="check-form">
				<ul>
					<li>
						<?php
							echo getdevice();
						?>
					</li>
					<li>
						<label>地址类型</label>
						<select id="addrtype">
							<option value="ipv4">ipv4</option>
							<option value="ipv6">ipv6</option>
						</select>
					</li>
					<li>
						<label for="start">用户账号</label>
						<input type="text" name="account" id="account" style="width:80px;" />
					</li>
					<li>
						<label for="start">用户账号</label>
						<input type="text" name="account" id="account" style="width:80px;" />
					</li>
					<li>
						<label for="start">用户IP</label>
						<input type="text" name="ipaddr" id="ipaddr" style="width:80px;" />
					</li>
					<li>
						<label for="start">域名</label>
						<input type="text" name="host" id="host" style="width:150px;" />
					</li>
					<li>
						<label for="start">URI</label>
						<input type="text" name="url" id="url" style="width:150px;" />
					</li>
					<li>
						<label for="start">类别</label>
						<input type="text" name="frominfo" id="frominfo" style="width:80px;" />
					</li>
					<li>
<?php
$t = time() - 86400;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
						 <input type="text" name="endhour" id="endhour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="endmin" id="endmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<input type="button" value="查询" onclick="button_click(0)" class="btn-extend-color" />
					</li>
					<li>
						<a class="btn-extend-gray" onclick="button_click(1)">EXCEL</a>
						<a class="btn-extend-gray" onclick="button_click(2)">TXT</a>
						<a class="btn-extend-gray" onclick="button_click(3)">CSV</a>
						<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
					</li>
			       	</ul>
				<div class="clearfloat"></div>
		<div class="als-box">
			<div id="pagebar">
			</div>
			<div id="mailchart" style="display:none;width:100%;">
			</div>
		</div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
var layer, laypage;
layui.use(['layer', 'laypage'], function(){
	layer = layui.layer;
	laypage = layui.laypage;
})
</script>
</body>
</html>

