<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function threshold_submit()
{
	var thre = $("#synsrc_threshold").val();
	thre = TrimAll(thre);
	if (thre == "" || isNaN(thre)) {
		alert("请输入正确的阈值");
		return false;
	}

	$.ajax({
		url: "handle.php",
		type: "post",
		dataType: "json",
		data: {action: "synsrc_threshold", thre: thre},
		success: function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else
				alert("操作成功");
		}
	});
}

var start = 0;
var page = 1;
var limit = 100;

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	synsrccomp_showdata();
}

function next()
{
	page++;
	synsrccomp_showdata();
}

function synsrccomp_clean()
{
	$.ajax({
		url:'../secure/handle.php',
		data:{action: "synsrccomp_clean"},
		type:'post',
		success:function(json) {
			synsrccomp_showdata();
		}
	});
}

function synsrccomp_showdata()
{
	$.ajax({
		url:'../secure/handle.php',
		data:{action: "synsrccomp_threshold", page: page, limit: limit},
		type:'post',
		dataType:'json',
		success:function(json) {
			synsrccomp_update(json);
		}
	});
}

function synsrccomp_update(json)
{
	var list = document.getElementById("synsrc-compare-table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i+1;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		if (r.diff == r.num)
			cell.innerHTML = '<img src="../img/domain_add.png" width="12px" title="新增">';
		else
		if (r.diff > 0)
			cell.innerHTML = '<img src="../img/domain_up.png" width="16px" title="上升">';
		else
			cell.innerHTML = '<img src="../img/domain_down.png" width="16px" title="下降">';

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ipaddr;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.num;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.diff;
		if (r.diff == r.num) {
			cell.style.fontWeight = "bold";
			cell.style.color = "#d81e06";
		}
		else
		if (r.diff > 0) {
			cell.style.fontWeight = "bold";
			cell.style.color = "#3dbe13";
		}
		else {
			cell.style.fontWeight = "bold";
			cell.style.color = "#f4ea2a";
		}
	}
}

var _synsrccomp_sort = "num";
function synsrccomp_sort(sort)
{
	_synsrccomp_sort = sort;

	synsrccomp_showdata();
}

</script>
</head>
<body>
<div>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="#">差量阈值</a></li>
		</ul>
	</div>
	<div>
		<p>
			<span style="display:inline-block; padding:0px 20px;">
				1）当阈值为0时，表示关闭此功能；<br/>
				2）设置此阈值后，系统将在每天凌晨01：00分对前二日的访问做差量分析；<br/>
				3）如果系统设置了邮箱通知，分析后得到的数据将以邮件形式通知；<br/>
				4）分析后的数据也会在这里分页显示；<br/>
				5）页面显示的数据按差量值从大到小排序；
			</span>
		</p>
		<p>
<?php
$thre = getconfig("synsrc_threshold");
?>
			<span style="display:inline-block;padding:0px 20px;">差量阈值</span>
			<span> <input type="text" value="<?=$thre?>" id="synsrc_threshold"> </span>
			<span style="display:inline-block; padding:10px;">
				<input type="button" value="提交" onclick="threshold_submit()">
			</span>
			<span style="display:inline-block; padding:10px;">
				<a href="javascript:synsrccomp_clean()">清除记录</a>
			</span>
		</p>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0 id="synsrc-compare-table">
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-center" style="width:50px;"></th>
				<th class="txt-left" style="width:200px">目标IP</th>
				<th class="txt-right">访问次数</th>
				<th class="txt-right">访问差量</th>
			</tr>
		</table>
		<div class="pagebar-div synsrccomp-paging">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script>
synsrccomp_showdata();
</script>
</body>
</html>
