<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
var start = 0;
var page = 1;
var limit = 25;
var _cachefile='';
function button_click()
{
	page = 1;
	_cachefile = getcachefile();
	assets_check(0, 'acc');
}

function assets_check(bexport, sort)
{		
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	/* 显示所需要的资产 */
	var show_edu = 1;

	$.ajax({
		url:'ajax_gray_assets.php',
		data:{
			action: "assets_check"
			,bexport:bexport
			,starttime:starttime
			,endtime:endtime, 
			errname:errname, 
			page: page, 
			limit: limit, 
			sort: sort, 
			devid: devid,
			cachefile:_cachefile
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (json.yn && json.yn == "no") {
				alert(json.str);
				return;
			}

			if (bexport == 0) {
				laypage.render({
					elem: 'pagebar-div',
					count: json.totalcount,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[25, 50, 100, 200],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							assets_check(0, 'acc');
						}
					}
				});

				data_update(json, starttime, endtime, devid);
			}
			else
				cluster_downloadfile(json.file);
		}
	});
}

function data_update(data, starttime, endtime, devid)
{
	var list = document.getElementById("mytable");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var start = (page - 1) * limit;

	for (var i = 0; i < data.rows.length; i++) {
		var r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		var pos = 0;
		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = start + i + 1;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.host;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "left");
		col.innerHTML = r.ip;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = r.port;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = r.num;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up);

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down);

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down+r.up);

		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		var m = '<a href="javascript:setblack('+(i+1)+', \''+r.ip+'\', '+r.port+')">拉黑</a>'; 
		m += '&nbsp;&nbsp;';
		m += '<a href="javascript:setright('+(i+1)+', \''+r.ip+'\', '+r.port+')">可信</a>'; 
		col.innerHTML = m;
	}
}

function setright(pos, ipaddr, port)
{
	$.ajax({
		url:'ajax_gray_assets.php',
		data:{action: "assets_setright", ipaddr:ipaddr, port:port},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list = document.getElementById("mytable");
			list.deleteRow(pos);
		}
	})
}

function setblack(pos, ipaddr, port)
{
	$.ajax({
		url:'ajax_gray_assets.php',
		data:{action: "assets_setblack", ipaddr:ipaddr, port:port},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list = document.getElementById("mytable");
			row = list.rows[pos];
			row.setAttribute("bgcolor", '#ddd');
			row.cells[row.cells.length-1].innerHTML = '已拉黑';
		}
	})
}

function domain_export(bexport, sort)
{
	if(!confirm("确认要导出所选时间段的数据吗"))
		return false;

	assets_check(bexport, sort);
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="credible_assets.php">可信资产</a></li>
			<li class="active"><a href="gray_assets.php">灰色资产</a></li>
			<li><a href="black_assets.php">黑色资产</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<?php
				$t = strtotime("now");
				?>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<input type="button" value="查询" onclick="button_click()" class="checkbut_domainlist btn-extend-color" />
			</li>
			<li>
				<a class="btn-extend-gray" onclick="domain_export(1, 0)">EXCEL</a>
				<a class="btn-extend-gray" onclick="domain_export(2, 0)">TXT</a>
				<a class="btn-extend-gray" onclick="domain_export(3, 0)">CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	
	<div class="topapp-list-table">
		<table id="mytable" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-left">域名</th>
				<th class="txt-left" style="width:150px"><a href="javascript:assets_check(0, 'ip')">服务器地址</a></th>
				<th class="txt-right" width="80px">端口号</th>
				<th class="txt-right" width="100px"><a href="javascript:assets_check(0, 'acc')">访问次数</a></th>
				<th class="txt-right" width="100px"><a href="javascript:assets_check(0, 'up')">上行流量(Byte)</a></th>
				<th class="txt-right" width="100px"><a href="javascript:assets_check(0, 'down')">下行流量(Byte)</a></th>
				<th class="txt-right" width="100px"><a href="javascript:assets_check(0, 'all')">总流量(Byte)</a></th>
				<th class="txt-center" width="60px">操作</th>
			</tr>
		</table>
		<div id="pagebar-div"></div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
var laypage, layer;
layui.use(['laypage', 'layer'], function(){
	layer = layui.layer, laypage = layui.laypage;
})
</script>
</body>
</html>
