<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
</head>
<body>
<div class="outer">
	<fieldset class="layui-elem-field layui-field-title">
		<legend style="font-size:14px;">IP资产</legend>
	</fieldset>
<?php
$checked = getconfig("grphost_showip") == 0 ? "" : "checked";
?>
	<div class="layui-form">
		<div class="layui-form-item">
			<label class="layui-form-label">IP资产</label>
			<div class="layui-input-inline">
				<input type="checkbox" name="enable" lay-skin="switch" <?=$checked?> lay-text="显示IP资产|不显示IP资产" lay-filter="showip-enable">
			</div>
			<div class="layui-form-mid layui-word-aux">关闭之后，在资产里将不显示IP类型资产。</div>
		</div>
	</div>

	<br/>
	<br/>
	<div class="topapp-list-table">
		<fieldset class="layui-elem-field layui-field-title">
			<legend style="font-size:14px;">类型列表</legend>
		</fieldset>
		<table id="hosttypelist" style="width:100%;">
			<tr>
				<th style="width:50px;">编号</th>
				<th class="txt-left">资产类型</th>
				<th class="txt-center" width="100px">
					操作
				</th>
			</tr>
		</table>
	</div>
	<div style="text-align:right;padding:10px">
		<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="hosttype_add()">添加资产</a>
	</div>
	<div style="display:none" id="hosttype-add-dialog">
		<p>
			<label>添加资产类型</label>
			<input type="text" value="" placeholder=".edu.cn" id="hosttype" style="width:150px;" >
		</p>
	</div>
</div>
<script type="text/javascript">
var layer, laypage, form;
layui.use(['layer', 'form', 'laypage'], function(){
	layer = layui.layer ,form = layui.form, laypage = layui.laypage;
	
	form.on('switch(showip-enable)', function(data){
		if (data.elem.checked == false) {
			$("[name='enable']").eq(0).removeAttr("checked");
			showip_disable();
		}
		else {
			showip_enable();
			$("[name='enable']").eq(0).attr("checked", true);
		}
		form.render();
	});
});

function showip_enable()
{
	$.ajax({
		url:'ajax_server.php',
		type: 'post',
		data: {action: 'grphost_showip_enable'},
		success:function(json) {
			layer.msg("操作成功");
		}
	})
}

function showip_disable()
{
	$.ajax({
		url:'ajax_server.php',
		type: 'post',
		data: {action: 'grphost_showip_disable'},
		success:function(json) {
			layer.msg("操作成功");
		}
	})
}

function hosttype_add()
{
	$("#hosttype-add-dialog").dialog({
		title: '添加资产',
		buttons:[{
			text: '取消',
			click: function(){$(this).dialog("close")}
		}, {
			text: '提交',
			click: function(){
				hosttype_add_handle();
			}
		}]
	});
}

function hosttype_add_handle()
{
	var hosttype = $("#hosttype").val();
	hosttype = TrimAll(hosttype);
	if (hosttype == "" || hosttype == "null") {
		alert("请输入正确的资产类型");
		return false;
	}
	if (hosttype.length >= 32) {
		alert("字数超过限制，正确的例如.edu.cn, .org等等");
		return false;
	}
	/*
	if (hosttype.charAt(0) != '.') {
		alert("请输入正确的资产类型");
		return false;
	}
	for (var i = 0; i < hosttype.length; i++) {
		var c = hosttype.charAt(i);
		if (c != '.' && (c < 'a' || c > 'z')) {
			alert("资产类型不对");
			return false;
		}
	}
	 */

	$.ajax({
		url: 'ajax_server.php',
		data: {action: 'hosttype_add_handle', hosttype: hosttype},
		dataType: 'json',
		type: 'post',
		success: function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			hosttype_list();
			$("#hosttype-add-dialog").dialog("close");
		}
	})
}

function hosttype_list()
{
	$.ajax({
		url: 'ajax_server.php',
		data: {action: 'hosttype_list'},
		dataType: 'json',
		type: 'post',
		success: function(json) {
			if (json.yn) return;
			var list = document.getElementById("hosttypelist");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (var i = 0; i < json.rows.length; i++) {
				var obj = list.insertRow(-1);
				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i + 1;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = json.rows[i];
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = 
					'<a href="javascript:void(0)" onclick="hosttype_remove(\''+json.rows[i]+'\')">删除</a>';
			}
		}
	});
}

function hosttype_remove(hosttype)
{
	if (!confirm("确定要删除这个资产类型吗"))
		return false;
	$.ajax({
		url: 'ajax_server.php',
		data: {action: 'hosttype_remove', hosttype: hosttype},
		dataType: 'json',
		type: 'post',
		success: function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			hosttype_list();
		}
	})
}

hosttype_list();
</script>
</body>
</html>














