<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("no", "LOGIN_AGAIN");
	exit;
}

$action = postval("action");

if ($action == "list")
{
	$devid = postval("devid");
	$domain = postval("domain");
	$bexport = postval("bexport");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	$sort = postval("sort");
	$cachefile = postval("cachefile");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$rows = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior hostfreq_list 'page=$page' 'limit=$limit' 'errfile=$errfile' 'sort=$sort' longstart=$longstart longend=$longend 'devid=$devid' 'cachefile=$cachefile'";
	if ($domain != "") $cmd .= " 'domain=$domain'";
	if ($bexport != 0) $cmd .= " 'bexport=$bexport' 'filename=$filename'";
	if (!empty($tempid)) $cmd .= " 'tempid=$tempid'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($host, $num, $ipcnt, $up, $down) = explode(' ', $val);
		array_push($rows, array(
			"host"=>$host,
			"num"=>(float)$num,
			"ipcnt"=>(int)$ipcnt,
			"up"=>(float)$up,
			"down"=>(float)$down
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}






















