<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "ERR_EXPIRE");
	exit;
}

$action = isset($_POST["action"]) ? postval("action") : "";

if ($action == "ipv6_list") 
{
	$devid = postval('devid');
	$ipaddr = postval('ipaddr');
	$dstip = postval('dstip');
	$natip = postval('natip');
	$sport = postval('sport');
	$dport = postval('dport');
	$ptype = postval("ptype");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	$domain = postval("domain");
	$filename = "ipv6".date("YmdHis");
	$ifname = postval("ifname");
       	$connsec = postval("connsec");
	
	$longstart = strtotime($strstart);
       	$longend = strtotime($strend);

	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_list 'devid=$devid' 'ipaddr=$ipaddr' ".
		"longstart=$longstart longend=$longend 'bexport=$bexport' 'filename=$filename' ".
		"'errfile=$errfile' 'appid=$appid' 'page=$page' 'limit=$limit' 'dstport=$port' ".
		"'domain=$domain' 'ifname=$ifname' 'dstip=$dstip' 'sport=$sport' 'dstport=$dport' ".
		"'ptype=$ptype' 'connsec=$connsec'";
	exec($cmd, $out, $return);

	$totalrecord = 0;
	$rows = array();
	if ($bexport == 0) {
		foreach($out as $val) {
			list($devid, $appid, $pro, $start, $end, $src, $sport, 
				$dst, $dport, $natip, $natport, $up, 
				$down, $host, $ifname, $appcname, $mac,
				$pkts1, $pkts2, $retmixpkts1, $retmixpkts2) = explode(',', $val);
				
			if ($devid == "totalrecord") {
				$totalrecord = $appid;
				continue;
		       	}

			$natip = ($natip != 0) ? long2ip($natip) : "";
			if (json_encode($appcname) == false)
				$appcname = iconv("gb2312", "utf-8", $appcname);

			array_push($rows, array(
				"devid"=>$devid,
				"appcname"=>$appcname,
				"start"=>(int)$start,
				"end"=>(int)$end,
				"src"=>$src,
				"sport"=>$sport,
				"dst"=>$dst,
				"dport"=>$dport,
				"up"=>$up,
				"down"=>$down,
				"pro"=>$pro,
				"host"=>$host,
				"appid"=>$appid,
				"natip"=>$natip,
				"natport"=>$natport,
				"ifname"=>$ifname,
				"mac"=>$mac,
				"pkts1"=>$pkts1,
				"pkts2"=>$pkts2,
				"retmixpkts1"=>$retmixpkts1,
				"retmixpkts2"=>$retmixpkts2
			));
		}
		$json = array("rows"=>$rows, "totalrecord"=>$totalrecord);
		echo json_encode($json);
	}
	else {
		$json['file'] = $filename;
		echo json_encode($json);
	}
}
?>
