<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "timeout");
	exit;
}

$action = "";
if (isset($_POST['action']))
	$action = $_POST['action'];

if ($action == "umap_detail")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$domain = postval("domain");
	$devid = postval("devid");
	$sort = postval("sort");
	$areaname = iconv("utf-8", "gb2312", postval("areaname"));
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior umap_detail 'errfile=$errfile' 'domain=$domain' longstart=$longstart longend=$longend 'devid=$devid' 'areaname=$areaname' 'sort=$sort'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			"ip"=>long2ip($ds[0]), 
			"flow"=>(double)$ds[1], 
			"up"=>(double)$ds[2],
			"down"=>(double)$ds[3]
		));
	}
	
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "user_map")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$domain = postval("domain");
	$devid = postval("devid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = $host = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior user_map ";
	$cmd .= "'errfile=$errfile' 'domain=$domain' longstart=$longstart ";
	$cmd .= "longend=$longend 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "area") {
			$cname = iconv("gb2312", "utf-8", $ds[2]);
			if ($ds[1] == "") continue;
			array_push($rows, array(
				"hc-key"=>$ds[1], 
				"value"=>(double)$ds[3], 
				"cname"=>$cname, 
				"name"=>$cname,
				"up"=>(double)$ds[4],
				"down"=>(double)$ds[5]
			));
		}
		else {
			array_push($host, array(
				"host"=>$ds[1], 
				"count"=>(double)$ds[2], 
				"up"=>(double)$ds[3],
				"down"=>(double)$ds[4]
			));
		}
	}

	$json = array("rows"=>$rows, "host"=>$host);
	echo json_encode($json);
}
