<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (chksession() == false)
	exit;

$type = postval("type");

if ($type == "topdomain") 
{
	$devid = postval("devid");
	$domain = postval('domain');
	$dstport = postval("dstport");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval('page');
	$limit = postval("limit");
	$sort = postval('sort');
	$bexport = postval('bexport');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$yys = postval("yys");
	$appid = postval("appid");
	$reverse = postval("reverse");
	$addrtype = postval("addrtype");

	$hostgrp = isset($_POST["hostgrp"]) ? postval("hostgrp") : "";
	$hosttype = isset($_POST["hosttype"]) ? postval("hosttype") : "host";
	$cachefile = isset($_POST["cachefile"]) ? postval("cachefile") : "";

	switch($bexport) {
		case 1:
			$filename = date("YmdHis").".xls";
			break;
		case 2:
			$filename = date("YmdHis").".txt";
			break;
		case 3:
			$filename = date("YmdHis").".csv";
			break;
		default:
			$filename = "none";
	}

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	if ($yys == "") $yys = -1;

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_topdomain ";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior topdomain ";
	if (!empty($domain)) $cmd .= " 'domain=$domain'";
	$cmd .= " 'page=$page' 'limit=$limit' 'bexport=$bexport' ";
	if ($bexport > 0) $cmd .= "'filename=$filename' ";
	$cmd .= "'errfile=$errfile' 'sort=$sort' ";
	$cmd .= "longstart=$longstart longend=$longend 'devid=$devid' ";
	if ($dstport > 0) $cmd .= "'dstport=$dstport' ";
	$cmd .= "'hosttype=$hosttype' 'hostgrp=$hostgrp' 'yys=$yys'";
	if ($cachefile != "") $cmd .= " 'cachefile=$cachefile'";
	$cmd .= " 'appid=$appid'";
	if ($reverse) $cmd .= " 'reverse=$reverse'";
	exec($cmd, $out, $return);
	if (count($out) > 0 && strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	if ($bexport == 0) {
		$rows = $json = $unit_count = $unit_total = array();
		foreach($out as $val) {
			$ds = explode(' ', $val);
			array_push($rows, array(
				'host'=>iconv("gb2312", "utf-8", $ds[0]), 
				'num'=>(double)$ds[1], 
				"up"=>(double)$ds[2], 
				"down"=>(double)$ds[3],
				"port"=>(int)$ds[4]
				));
		}
		$json['rows'] = $rows;
		echo json_encode($json);
	}
	else {
		$result['file'] = $filename;
		echo json_encode($result);
	}
}

if ($type =="dmcomp_clean")
{
	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.domain_compare";
		mysql_query($sql);
		mysql_close();
	}
}

if ($type == "dmcomp_threshold")
{
	$page = postval("page");
	$limit = postval("limit");

	$rows = $json = array();

	if (($conn = my_mysql_connect()) != false) {
		$start = ($page - 1) * $limit;
		$sql = "select domain, num, diff, up, down from palog.domain_compare order by diff desc limit $start, $limit";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				if (json_encode($row[0]) == null)
					$host = iconv("gb2312", "utf-8", $row[0]);
				else
					$host = $row[0];

				array_push($rows, array(
					"host"=>$host,
					"num"=>$row[1],
					"diff"=>(int)$row[2],
					"up"=>(float)$row[3],
					"down"=>(float)$row[4]
				));
			}
		}
		mysql_close();
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "domaincompare")
{
	$devid = postval("devid");
	$domain = postval('domain');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hosttype = postval("hosttype");
	$hostgrp = postval("hostgrp");
	$yys = postval("yys");
	$sort = postval("sort");
	$showdata = postval("showdata");
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");
	$dport = postval("dport");
	$addrtype = postval("addrtype");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	if ($yys == "") $yys = -1;

	switch($bexport) {
		case 1:
		$filename = date("YmdHis").".xls";
		break;
		case 2:
		$filename = date("YmdHis").".txt";
		break;
		case 3:
		$filename = date("YmdHis").".csv";
		break;
		default:
		$filename = "none";
	}

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_domaincompare 'domain=$domain' 'errfile=$errfile' ";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior domaincompare 'domain=$domain' 'errfile=$errfile' ";
	$cmd .= "longstart=$longstart longend=$longend 'devid=$devid' 'hosttype=$hosttype' ";
	$cmd .= "'hostgrp=$hostgrp' 'yys=$yys' 'sort=$sort' 'showdata=$showdata' 'dstport=$dport'";
	$cmd .= " 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $return);

	$json = $rows = array();
	foreach($out as $val) {
		list($host, $num, $diff, $up, $down) = explode(' ', $val);
		if (json_encode($host) == null)
			$host = iconv("gb2312", "utf-8", $host);

		array_push($rows, array(
			"host"=>$host,
			"num"=>$num,
			"diff"=>(int)$diff,
			"up"=>(float)$up,
			"down"=>(float)$down
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "domaintrend")
{
	$devid = postval("devid");
	$domain = postval('domain');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hosttype = postval("hosttype");
	$hostgrp = postval("hostgrp");
	$addrtype = postval("addrtype");
	$yys = postval("yys");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	if ($yys == "") $yys = -1;

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_domaintrend 'domain=$domain' 'errfile=$errfile' ";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior domaintrend 'domain=$domain' 'errfile=$errfile' ";
	$cmd .= "'longstart=$longstart' 'longend=$longend' 'devid=$devid' 'hosttype=$hosttype' ";
	$cmd .= "'hostgrp=$hostgrp' 'yys=$yys'";
	exec($cmd, $out, $return);
	if (count($out) > 0 && strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$rows = $json = array();
	$unit_count = array();
	$unit_total = array();
	$unit_count_diff = array();
	$unit_total_diff = array();

	$last_count_diff = $last_total_diff = "";
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "DATA") {
			array_push($unit_count, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[2]));
			array_push($unit_total, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[3]));

			/* 后一个减去前一个值，就是差值 */
			if ($last_count_diff != "")
				array_push($unit_count_diff, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[2] - $last_count_diff));
			if ($last_total_diff != "")
				array_push($unit_total_diff, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[3] - $last_total_diff));
			$last_count_diff = (float)$ds[2];
			$last_total_diff = (float)$ds[3];

			continue;
		}
	}
	$json["unit_count"] = $unit_count;
	$json["unit_total"] = $unit_total;
	$json["unit_total_diff"] = $unit_total_diff;
	$json["unit_count_diff"] = $unit_count_diff;
	echo json_encode($json);
}

?>
