<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc . "/common.php");
if (!chksession()) {
    echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
    exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title><?= VERSION ?></title>
    <link type="text/css" rel="stylesheet" href="../css/dtree.css" />
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
    <link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
    <link type="text/css" href="../css/dtree.css" rel="stylesheet">
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/map.js"></script>
    <script type="text/javascript" src="../js/china-data.js"></script>
    <script type="text/javascript" src="../js/Calendar.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
    <script type="text/javascript" src="../js/dtree.js" />
    </script>
    <script type="text/javascript">
        var appid = 6;

        function urlflow_check() {
            var devid = getdevice();
            var start = $("#start").val();
            var end = $("#end").val();
            var starttime = start + ' 0:0:0';
            var endtime = end + ' 23:59:59';

            cluster_load_show();
            var errname = (new Date()).getTime() + '.st';
            cluster_get_status(errname);

            $.ajax({
                url: '../flow_direction/flowdir.php',
                data: {
                    type: 'flowpielist',
                    appid: appid,
                    starttime: starttime,
                    endtime: endtime,
                    errname: errname,
                    devid: devid
                },
                type: 'post',
                dataType: 'json',
                success: function(json) {
                    $("#appgrouppie_up").show();
                    $("#appgrouppie_down").show();
                    $(".topapp-list-table").show();

                    urlflow_data_update(json, starttime, endtime, appid);
                    urlpie_pie(json);
                    areaflow_graph(json, starttime, endtime, 'DNS运营商流量TOP图', 'appgrouppie_down');

                    cluster_load_hide();

                    flowmap_check();
                }
            });
        }

        function urlflow_data_update(data, starttime, endtime, appid) {
            var r, s;
            var len = data.yy_rows.length;
            var trobj = $(".topapp-list-table table tbody tr");
            var trlen = trobj.length;
            var tdobj;
            var href;
            var trbg = '';

            for (i = 0; i < len; i++) {
                r = data.yy_rows[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                detail = '<a href="javascript:yys_detail(\'' + starttime + '\', \'' + endtime + '\', ' + r.yys + ', \'' + r.cname + '\', ' + appid + ')">协议详细</a>';

                if (trobj.eq(i + 1).length > 0) {
                    tdobj = trobj.eq(i + 1).find("td");

                    tdobj.eq(0).text(i + 1);
                    tdobj.eq(1).html(r.cname);
                    tdobj.eq(2).html(numberformats(r.upbytes));
                    tdobj.eq(3).text(numberformats(r.downbytes));
                    tdobj.eq(4).text(numberformats(r.upbytes + r.downbytes));
                    tdobj.eq(5).html(detail);
                } else {
                    s = '<tr class="' + trbg + '">' +
                        '<td class="td-left-first">' + (i + 1) + '</td>' +
                        '<td class="td-normal">' + r.cname + '</td>' +
                        '<td class="td-normal">' + numberformats(r.upbytes) + '</td>' +
                        '<td class="td-normal">' + numberformats(r.downbytes) + '</td>' +
                        '<td class="td-left-last">' + numberformats(r.upbytes + r.downbytes) + '</td>' +
                        '<td class="td-left-last">' + detail + '</td>' +
                        '</tr>';
                    $(s).appendTo(".topapp-list-table table tbody");
                }
            }
            for (i = trlen - 1; i >= len + 1; i--) trobj.eq(i).remove();
        }

        function yys_detail(starttime, endtime, yys, cname, appid) {
            var left = (window.screen.width - 800) / 2;
            var height = window.screen.height - 150;

            window.open("../flow_direction/yys_detail.php?yys=" + yys + "&starttime=" + starttime + "&endtime=" + endtime + "&cname=" + cname + "&appid=" + appid, "_blank",
                "width=700px, height=" + height + ", left=" + left);
        }

        function urlpie_pie(json) {
            var option = {
                chart: {
                    renderTo: 'appgrouppie_up',
                    defaultSeriesType: 'pie',
                    //backgroundColor: '#f5f5f5',
                    //borderWidth: 1,
                    borderColor: '#D3DCEB',
                    borderRadius: 4
                },
                title: {
                    text: 'DNS运营商流量分布图',
                    style: {
                        font: '微软雅黑',
                        fontSize: '12px',
                        color: '#666',
                        fontWeight: 'bold'
                    }
                },
                subtitle: {
                    text: null
                },
                xAxis: {
                    categories: [],
                    title: {
                        text: null
                    },
                    labels: {
                        rotation: -45,
                        align: 'right',
                        style: {
                            font: '微软雅黑',
                            fontSize: '12px',
                            color: '#666',
                            fontWeight: 'bold'
                        }
                    }
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'byte'
                    }
                },
                tooltip: {
                    formatter: function() {
                        return '' +
                            this.point.name + ': ' + Highcharts.numberFormat(this.point.percentage, 1) + '%'
                    }
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        showInLegend: true,
                        dataLabels: {
                            enabled: true,
                            style: {
                                fontSize: '9px',
                                fontWeight: 'normal'
                            },
                            formatter: function() {
                                return this.point.name + ': ' + Highcharts.numberFormat(this.point.percentage, 1) + '%';
                            },

                        }
                    }
                },
                legend: {
                    enabled: false,
                    layout: 'vertical',
                    backgroundColor: '#FFFFFF',
                    floating: true,
                    align: 'left',
                    verticalAlign: 'top',
                    x: 425,
                    y: 25,
                    labelFormatter: function() {
                        return this.name;
                    }
                },
                credits: {
                    enabled: false
                },
                series: [{
                    type: 'pie',
                    data: []
                }]
            };

            var c = 0;
            for (var i = 0; i < json.y.length; i++) {
                if (c >= config.my_colors_def.length)
                    c = 0;
                option.series[0].data.push({
                    name: json.x[i],
                    y: json.y[i]
                });
            }
            var chart = new Highcharts.Chart(option);
        }

        function areaflow_graph(json, starttime, endtime, title, render) {
            var option = {
                chart: {
                    renderTo: render,
                    defaultSeriesType: "column",
                    //backgroundColor: '#f5f5f5',
                    //borderWidth: 1,
                    borderColor: '#D3DCEB',
                    borderRadius: 4
                },
                title: {
                    text: title,
                    style: {
                        font: '微软雅黑',
                        fontSize: '12px',
                        color: '#666',
                        fontWeight: 'bold'
                    }
                },
                subtitle: {
                    text: null
                },
                xAxis: {
                    categories: [],
                    title: {
                        text: null
                    },
                    style: {
                        font: '微软雅黑',
                        fontSize: '12px',
                        color: '#666',
                        fontWeight: 'bold'
                    },
                    labels: {
                        rotation: -45,
                        align: 'right',
                        style: {
                            font: '微软雅黑',
                            fontSize: '12px',
                            color: '#666',
                            fontWeight: 'bold'
                        }
                    }
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'byte'
                    }
                },
                tooltip: {
                    formatter: function() {
                        return '<b>' + this.x + '</b><br/>' +
                            this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                            'Total: ' + numberformats(this.point.stackTotal);
                    }
                },
                plotOptions: {
                    column: {
                        stacking: 'normal',
                        cursor: 'pointer',
                        point: {
                            events: {
                                click: function() {
                                    //yys_detail(starttime, endtime, this.yys, this.category, 0);
                                }
                            }
                        },
                        dataLabels: {
                            enabled: false
                        }
                    }
                },
                legend: {
                    enabled: true
                },
                credits: {
                    enabled: false
                },
                series: []
            }

            var c = 0;
            var series = [{
                name: '上行流量',
                data: []
            }, {
                name: "下行流量",
                data: []
            }];
            for (var i = 0; i < json.yy_rows.length; i++) {
                series[0].data.push({
                    y: json.yy_rows[i].upbytes,
                    yys: json.yy_rows[i].yys
                });
                series[1].data.push({
                    y: json.yy_rows[i].downbytes,
                    yys: json.yy_rows[i].yys
                });
            }
            option.series = series;

            option.xAxis.categories = json.x;
            var chart = new Highcharts.Chart(option);
        }

        function flowmap_check() {
            var devid = getdevice();
            var start = $("#start").val();
            var end = $("#end").val();

            var dt = new Date();
            var starttime = start + ' 0:0:0';
            var endtime = end + ' ' + dt.getHours() + ':' + dt.getMinutes() + ':59';

            cluster_load_show();
            var errname = (new Date()).getTime() + '.st';
            cluster_get_status(errname);

            $.ajax({
                url: '../flow_direction/flowdir.php',
                data: {
                    type: 'flow_maps',
                    appid: appid,
                    starttime: starttime,
                    endtime: endtime,
                    errname: errname,
                    devid: devid
                },
                type: 'post',
                dataType: 'json',
                success: function(json) {
                    flowmaps_update(json);
                    cluster_load_hide();
                }
            });
        }

        function flowmaps_update(json) {
            var maxvalue = 0;
            for (i = 0; i < json.rows.length; i++) {

                if (json.rows[i].value > maxvalue)
                    maxvalue = json.rows[i].value;

            }

            json.rows.push({
                name: '南海诸岛',
                value: 1,
            })

            var myChart = echarts.init(document.getElementById('map'));
            myChart.setOption({
                title: {
                    text: 'DNS区域流量数据分布图',
                    x: 'center',
                    textStyle: {
                        fontSize: 12,
                        fontWeight: 'bold',
                        fontFamily: "微软雅黑"

                    }
                },
                tooltip: {
                    trigger: 'item',
                    textStyle: {
                        fontSize: 14,
                        fontWeight: 'normal'
                    },
                    formatter: function(params, ticket, callback) {
                        return params.name + '：' + numberformats(params.value);

                    }
                },
                dataRange: {
                    //orient: 'horizontal',
                    min: 0,
                    max: maxvalue,
                    x: 'right',
                    y: 'bottom',
                    text: ['高', '低'], // 文本，默认为数值文本
                    calculable: true,

                    color: [
                        '#CF1F07', '#f5f5f5',
                    ],
                    formatter: function(v) {
                        return numberformats(v);
                    }
                },
                series: [{
                    name: 'DNS区域流量数据分布图',
                    type: 'map',
                    roam: true,
                    mapType: 'china',
                    //selectedMode : 'multiple',
                    itemStyle: {
                        normal: {
                            label: {

                                show: true
                            },
                            borderColor: '#ddd',
                            areaStyle: {
                                color: 'f5f5f5'
                            }
                        },
                        emphasis: {
                            label: {
                                show: true
                            }
                        }
                    },
                    data: json.rows
                }]
            }, true);

            var ecConfig = require('echarts/config');
            myChart.on(ecConfig.EVENT.CLICK, umap_detail);
        }
        function umap_detail(){
            //点击事件
        };

        function showapptree() {
            if ($('#showapptree_win').length > 0) {
                $('#showapptree_win').show();
                $('#showapptree_win').css('z-index', config.zindex++);
                return false;
            }

            $("<div id='showapptree_win'></div>").appendTo("body");

            $('#showapptree_win').load('../user_behavior/treepanel.php', function() {
                setWinpos("showapptree_win", 400, 600, "showapptree_con");

                $('#showapptree_win').css('z-index', config.zindex++);

                createtree();

                $("#checkapp").focus();
            });
        }
        var trees;

        function ajaxcheckapp() {
            var appid = $("#checkapp").val();

            if (appid == "") {
                $("#checklist").html("");
                return false;
            }

            $.post("../user_behavior/checkapp.php", {
                appid: appid
            }, function(data) {
                var res, r, hl = "";
                eval("res=" + data);

                for (var i = 0; i < res.result.length; i++) {
                    r = res.result[i];
                    hl += "&nbsp;&nbsp;<a href='javascript:appselect(" + r.id + ", \"" + r.name + "\", \"" + r.cname + "\")'>" + r.cname + "</a><br>";
                }

                $("#checklist").html(hl);
            });
        }

        function appselect(appid, name, cname) {
            $("#hidappid").val(appid);
            $("#appcname").val(cname);

            $('#showapptree_win').hide();
        }
    </script>
</head>

<body>
    <?php
    $free = getversion();
    ?>
    <div class="outer">
        <div class="als-nav-header">
            <ul>
                <li><a href="dns-html.php">DNS查询</a></li>
                <li class="active"><a href="flow_dns.php">Top流量</a></li>
                <?php
                if (!$free) {
                ?>
                    <li><a href="dns_topdomain.php">Top域名</a></li>
                    <li><a href="dns_topuser.php">Top用户</a></li>
                    <li><a href="dns_topdns.php">Top服务器</a></li>
                <?php
                }
                ?>
            </ul>
        </div>
        <div class="check-form">
            <ul>
                <li>
                    <?php
                    echo getdevice();
                    ?>
                </li>
                <li>
                    <label>起始时间</label>
                    <?php
                    $t = strtotime("now") - 3600;
                    ?>
                    <input type="text" name="start" id="start" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
                </li>
                <li>
                    <label>结束时间</label>
                    <input type="text" name="end" id="end" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
                </li>
                <li>
                    <input type="button" value="查询" onclick="urlflow_check()" class="btn-extend-color" />
                </li>
            </ul>
            <div class="clearfloat"></div>
        </div>
        <div id="map" style="float:left;margin-top:10px;width:50%;height:645px;"></div>
        <div id="appgrouppie_up" style="float:left;width:49%;height:320px; margin-top:10px;"></div>
        <div id="appgrouppie_down" style="float:left;width:49%;height:320px"></div>
    </div>
    <script src="../js/echarts/echarts.js"></script>
	<script type="text/javascript" src="../layui/layui.js"></script>
	<script type="text/javascript">
        Highcharts.setOptions({
            global: {
                useUTC: false
            }
        });
        showdevicetree();
        var echarts;

        require.config({
            paths: {
                echarts: '../js/echarts'
            }
        });
        require(
            [
                'echarts',
                'echarts/chart/map'
            ],
            function(ec) {
                echarts = ec;
            }
        );
    </script>
</body>

</html>