<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js"></script>
<script type="text/javascript">

var gbexport = 0;
function hostgrp_export(bexport)
{
	gbexport = bexport;

	oncheck('acc');
}

var gjson = '';
function oncheck(sort)
{
	var start = $("#start").val();
	var starthour = $("#starthour").val();
	if (starthour == "") starthour = 0;
	var starttime = start + " "+starthour+":00:00";
	var end = $("#end").val();
	var endhour = $("#endhour").val();
	if (endhour == "") endhour = 23;
	var endtime = end + " "+endhour+":59:59";

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'user_handle_ex.php',
		data:{type:'hostgrpflow', starttime:starttime, endtime:endtime, errname:errname, sort:sort, bexport:gbexport},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (gbexport != 0) {
				cluster_downloadfile("");
				return;
			}

			var list = document.getElementById("hostgrp-table");
			while (list.rows.length > 1)
				list.deleteRow(1);

			total = json.rows[json.rows.length-1].acc;
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				if (r.name == "total")
					break;

				obj = list.insertRow(-1);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.innerHTML = (i+1);
				cell = obj.insertCell(pos++);
				cell.innerHTML = r.name;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = '<div class="color-bar-cont">'+r.acc+'</div><div class="color-bar" style="width:'+(r.acc/total*100)+'%">&nbsp;</div>';
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numformats(r.up);
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numformats(r.down);
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numformats(r.up+r.down);

				cell = obj.insertCell(pos++);
				var mk = "<a href='javascript:onhostgrpdetail("+r.gid+", \""+r.name+"\")'>详细</a>";
				cell.innerHTML = mk;
			}

			gjson = json;
		}
	})
}

function onhostgrpdetail(gid, name)
{
	var w = 900;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;
	
	var start = $("#start").val();
	var starthour = $("#starthour").val();
	if (starthour == "") starthour = 0;
	var starttime = start + " "+starthour+":00:00";
	var end = $("#end").val();
	var endhour = $("#endhour").val();
	if (endhour == "") endhour = 23;
	var endtime = end + " "+endhour+":59:59";

	window.open("../user_behavior/hostgrp_detail.php?hostgrp="+gid+"&name="+name+"&starttime="+starttime+"&endtime="+endtime, 
		"_blank", "width="+w+"px, height="+height+", left="+left);
}

function ondiscol()
{
	if (gjson == '')
		return;

	$("#als-hostgrp-col").dialog({
		width:750,
		height:500,
		title:'域名群组'
	});
	
	ondiscol_submit();
}

function ondiscol_submit()
{
	var distype = "column";

	var option = {
        chart: {
		renderTo: 'als-hostgrp-col',
		defaultSeriesType: distype
        },
        title: {
		text: '域名群组流量访问量柱状图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
		text: null
        },
        xAxis: {
		categories: [],
		title: {
			text: null
		},
		labels:{
			rotation:-45,
			align:'right',
			style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
		}
	},
        yAxis: [{
		min: 0,
		title: {
			text: 'Byte'
		}
        },{
		min: 0,
		title: {
			text: '访问量',
			style: {
				color: '#E6561C'
			}
		},
		labels: {
			//format: '{value}',
			style: {
				color: Highcharts.getOptions().colors[0]
			}
		},
		opposite: true
	}],
        tooltip: {
		formatter: function() {
                return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y);
		}
        },
        plotOptions: {
		column: {
			stacking: 'normal',
			cursor:'pointer',
			depth: 35,
			point:{
				events:{
					click:function() {
						onhostgrpdetail(this.gid, this.name);
					}
				}
			},
			dataLabels: {
				enabled: false
			}
		},
        },
        legend: {
		enabled:false
        },
        credits: {
		enabled: false
        },
        series: []
	}

	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}, {name:'访问量', data:[], yAxis:1, type:'spline'}];
	
	for (var i = 0; i < gjson.rows.length; i++) {
		if (gjson.rows[i].name == "total")
			continue;
		option.xAxis.categories.push(gjson.rows[i].name);
		series[0].data.push({name:gjson.rows[i].name, y:gjson.rows[i].up, gid:gjson.rows[i].gid});
		series[1].data.push({name:gjson.rows[i].name, y:gjson.rows[i].down, gid:gjson.rows[i].gid});
		series[2].data.push({name:gjson.rows[i].name, y:gjson.rows[i].acc, gid:gjson.rows[i].gid});
       	}
	option.series = series;
	
	var chart = new Highcharts.Chart(option);
}

function ondispie()
{
	if (gjson == '')
		return;

	$("#als-hostgrp-pie").dialog({
		width:750,
		height:500,
		title:'域名群组'
	});
	
	ondispie_submit();
}

function ondispie_submit()
{
	var distype = "pie";

	var option = {
        chart: {
		renderTo: 'als-hostgrp-pie',
		defaultSeriesType: distype
        },
        title: {
		text: '域名群组访问量分布图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
		text: null
        },
        xAxis: {
		categories: [],
		title: {
			text: null
		},
		labels:{
			rotation:-45,
			align:'right',
			style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
		}
	},
        yAxis: [{
		min: 0,
		title: {
			text: 'Byte'
		}
	}],
        tooltip: {
		formatter: function() {
                return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
		}
        },
        plotOptions: {
		pie: {
			stacking: 'normal',
			cursor:'pointer',
			depth: 35,
			point:{
				events:{
					click:function() {
						onhostgrpdetail(this.gid, this.name);
					}
				}
			},
			dataLabels: {
			}
		},
        },
        legend: {
		enabled:false
        },
        credits: {
		enabled: false
        },
        series: []
	}

	var series = [{name:'访问量', data:[]}];
	
	for (var i = 0; i < gjson.rows.length; i++) {
		if (gjson.rows[i].name == "total")
			continue;
		option.xAxis.categories.push(gjson.rows[i].name);
		series[0].data.push({name:gjson.rows[i].name, y:gjson.rows[i].acc, gid:gjson.rows[i].gid});
       	}
	option.series = series;
	
	var chart = new Highcharts.Chart(option);
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li><a href="hostgrp.php">域名群组</a></li>
			<li class="active"><a href="hostflow.php">群组统计</a></li>
		</ul>
	</div>
	
	<div class="als-content">
		<div class="als-box">
			<div class="als-btn-bar">
				<ul>
					<li>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
						<input type="text" value="0" id="starthour" style="width:30px" />时
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
						<input type="text" value="23" id="endhour" style="width:30px" />时
					</li>
					<li>
						<input type="button" value="查询" onclick="oncheck('acc')" class="checkbut_domainlist btn-extend-color" />
					</li>
					<li>
					</li>
					<li>
						<span id="buttons">
							<input type="radio" id="butcol" name="repeat" onclick="ondiscol()"><label for="butcol">柱状图</label>
							<input type="radio" id="butpie" name="repeat" onclick="ondispie()"><label for="butpie">分布图</label>
					       	</span>
					</li>
					<li>
						<a class="btn-extend-gray" onclick="hostgrp_export(1)">EXCEL</a>
						<a class="btn-extend-gray" onclick="hostgrp_export(2)">TXT</a>
						<a class="btn-extend-gray" onclick="hostgrp_export(3)">CSV</a>
						<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
					</li>
				</ul>
				<div style="clear:both;"></div>
			</div>
		</div>
		<div class="als-box">
			<table class="als-table" id="hostgrp-table">
				<tr>
					<th class="txt-left" style="width:50px;">序号</th>
					<th class="txt-left">群组名称</th>
					<th class="txt-right"><a href="javascript:oncheck('acc')">访问次数</a></th>
					<th class="txt-right"><a href="javascript:oncheck('up')">上行流量</th>
					<th class="txt-right"><a href="javascript:oncheck('down')">下行流量</a></th>
					<th class="txt-right"><a href="javascript:oncheck('total')">总流量</a></th>
					<th class="txt-left" width="80px">操作</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<div id="als-hostgrp-col" style="display:none;margin:20px 0;">
</div>
<div id="als-hostgrp-pie" style="display:none;margin:20px 0;">
</div>
<div id="als-hostgrp-add" style="display:none;margin:20px 0;">
	<table>
		<tr>
			<td width="70px" align="right">群组名称</td>
			<td width="20px"></td>
			<td>
				<input type="text" value="" id="grpname" style="width:200px" />
			</td>
		</tr>
	</table>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
$("#buttons,#buttons2").buttonset();
$("[name='repeat']").checkboxradio({ icon: false });
</script>
</body>
</html>
