<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
var start = 0;
var page = 1;
var limit = 25;
var cachefile = '';
function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	hostfreq_list(0, 'acc');
}

function next()
{
	page++;
	hostfreq_list(0, 'acc');
}

function button_click()
{
	page = 1;
	cachefile = getcachefile();
	hostfreq_list(0, "");
}

function hostfreq_list(bexport, sort)
{		
	var devid = getdevice();
	var domain = $("#domain").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starth = $("#starth").val();
	var endh = $("#endh").val();
	var starttime = start + ' '+starth+':0:0';
	var endtime = end + ' '+endh+':0:0';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_hostfreq.php',
		data:{
			action: "list"
			, domain:domain
			, bexport:bexport
			, starttime:starttime
			, endtime:endtime
			, errname:errname
			, page: page
			, limit: limit
			, sort: sort
			, devid: devid
			, cachefile: cachefile
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			if (bexport == 0) {
				disover = json.rows.length >= limit ? 0 : 1;
				data_update(json);
			}
			else
				cluster_downloadfile(json.file);
		}
	});
}

function data_update(json)
{
	var list = document.getElementById("hostfreq-table");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (var i = 0; i < json.rows.length; i++) {
		var r = json.rows[i];
		var obj = list.insertRow(-1);
		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		myvirus = '&nbsp;&nbsp;<a href="https://www.virustotal.com/#/domain/'+r.host+'" target="_blank" style="color:#666;font-size:10px;">域名分析</a>';
		cell.innerHTML = r.host + myvirus;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.num;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.ipcnt;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down + r.up);
	}
}

function domain_export(bexport, sort)
{
	if(!confirm("确认要导出所选时间段的数据吗"))
		return false;
	hostfreq_list(bexport, sort);
}

function dmcomp_export(bexport)
{
	if(!confirm("确认要导出所选时间段的数据吗"))
		return false;
	domain_trend("compare", bexport);
}

function hostiplist(host, starttime, endtime, devid)
{
	var w = 900;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;
	
	window.open("../user_behavior/urlview_data.php?host="+host+"&devid="+devid+"&starttime="+starttime+"&endtime="+endtime, 
		"_blank", "width="+w+"px, height="+height+", left="+left);
}

function hosturl(host)
{
	var w = window.screen.width;
	var left = 0;
	var height = window.screen.height;
	
	window.open("../user_behavior/index.php?host="+host, "_blank", "width="+w+"px, height="+
		height+", left="+left);
}
</script>
</head>
<body>
<div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label for="domain" class="ht">域名</label>
				<input type="text" class="ht" id="domain" value="" />
			</li>
			<li>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" name="starth" id="starth" style="width:30px;" value="<?= date('H') ?>" />时
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" name="endh" id="endh" style="width:30px;" value="<?= date('H') ?>" />时
			</li>
			<li>
				<input type="button" value="查询" onclick="button_click()" class="checkbut_domainlist btn-extend-color" />
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	
	<div class="topapp-list-table">
		<table id="hostfreq-table" style="width:100%">
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-left" style="width:400px">域名</th>
				<th class="txt-right"><a href="javascript:hostfreq_list(0, 'acc')">访问次数</a></th>
				<th class="txt-right"><a href="javascript:hostfreq_list(0, 'ipcnt')">源用户数</a></th>
				<th class="txt-right"><a href="javascript:hostfreq_list(0, 'up')">上行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:hostfreq_list(0, 'down')">下行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:hostfreq_list(0, 'all')">总流量(Byte)</a></th>
			</tr>
		</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>
