<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
	<META HTTP-EQUIV="Cache-Control" content="no-cache">
	<title><?= VERSION ?></title>
	<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
	<link type="text/css" rel="stylesheet" href="../css/common.css" />
	<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
	<link type="text/css" rel="stylesheet" href="../css/the-session-log.css" />
	<script type="text/javascript" src="../js/jquery.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="../js/highcharts.js"></script>
	<script type="text/javascript" src="../js/map.js"></script>
	<script type="text/javascript" src="../js/china-data.js"></script>
	<script type="text/javascript" src="../js/Calendar.js"></script>
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/dtree.js" />
	</script>

	<script type="text/javascript" src="../js/echarts.min.js"></script>
	<script type="text/javascript" src="../js/macarons.js"></script>
	<script type="text/javascript">
		Highcharts.setOptions({
			global: {
				useUTC: false
			}
		});

function ipevent_check()
{
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	if (ipaddr == "" && account == "") {
		layer.msg("请输入要查询的IP地址或用户账号");
		return false;
	}
	
	$(".ipstat-outer").show();

	iparea_check(ipaddr, account, starttime, endtime)
}

function ipapp_check(sorttype)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var addrtype = $("#addrtype").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	if (ipaddr == "" && account == "") {
		alert("请输入正确的用户IP地址或者用户账号");
		return false;
	}
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	var x = [], y=[], z = [];

	$.ajax({
		url:'../Flow/ipapplist.php',
		data:{
			ip:ipaddr, 
			account:account,
			tmstart:starttime, 
			appid: -1, 
			tmend:endtime, 
			errname:errname, 
			sort:sorttype,
			addrtype:addrtype,
			devid: devid
		},
		type:'get',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			for(i = 0; i < json.rows.length; i++) {
				if (i >= 20) break;
				r = json.rows[i];
				x.push(r.cname);
				y.push((r.upbytes + r.downbytes));
				z.push(r.flowcnt);
			}
			ipapp_graph('ipappinfo', x, y, z);
			iptrend_check(ipaddr, account, starttime, endtime);
		}
	});
}

function ipapp_graph(render, x, y, z)
{
	var option = {
		chart: {
			renderTo: render,
			zoomType: 'xy',
			defaultSeriesType: "column",
			//backgroundColor: '#293038',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title: {
			text: "用户访问协议流量排名",
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			crosshair: true,
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
			min: 0,
			title: {
				text: 'Byte'
			},
		},{
			min: 0,
			title: {
				text: '连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
			shared: true
		},
		plotOptions: {
			size:'90%',
			column: {
				cursor:'pointer',
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: [
		{name:"流量", data:[], yAxis: 0}, 
		{name:"连接数", data:[], color:'#E6561C', type:'spline', yAxis: 1}
		]
	}

	option.series[0].data = y;
	option.series[1].data = z;
	option.xAxis.categories = x;
	var chart = new Highcharts.Chart(option);
}

function ipapp_check_ext(sorttype)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var addrtype = $("#addrtype").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	if (ipaddr == "") {
		alert("请输入正确的用户IP地址");
		return false;
	}
	
	load_show();
	
	var errname = (new Date()).getTime()+'.st';
	get_status(errname);
	
	var x = [], y=[], z = [];

	$.ajax({
		url:'../Flow/ipapplist.php',
		data:{ip:ipaddr, tmstart:starttime, appid: 0, 
			tmend:endtime, errname:errname, type:sorttype,
			devid: devid, addrtype:addrtype},
		type:'post',
		dataType:'json',
		success:function(json){
			for(i = 0; i < json.rows.length; i++) {
				//if (i >= 10) break;
				
				r = json.rows[i];
				
				x.push(r.cname);
				y.push((r.upbytes + r.downbytes));
				z.push(r.flowcnt);
			}
			ipapp_graph('ipappinfo', x, y, z);
			
			load_hide();
		}
	});
}


function iptrend_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	
	iptrend_getdata(devid, ipaddr, account, 'up', starttime, endtime);
}

function iptrend_getdata(devid, ipaddr, account, sort, starttime, endtime)
{
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	var addrtype = $("#addrtype").val();
	
	$.ajax({
		url:'../Flow/iptrend.php',
		data:{
			ip:ipaddr, 
			account:account,
			tmstart:starttime, 
			tmend:endtime, 
			errname:errname, 
			sort:sort, 
			addrtype:addrtype, 
			devid: devid
		},
		type:'get',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			$("#iptrendup, #iptrenddown, #iptrendflow").show();
			iptrend(json, "bpsdown", "iptrenddown");
			iptrend(json.result_flow, "bpsflow", "iptrendflow");

			qq_check(ipaddr, account, starttime, endtime);
		}
	});
}
		
function iptrend(jsondata, chartype, render)
{
	var units = 'bits/s';
	var titles = "用户访问流量趋势图";
	if (chartype == "bpsflow"){
		units = '连接数#';
		titles = "用户访问连接数趋势图";
	}

	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:'area',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},title:{
			text: titles,
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:units
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
			}
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
		},plotOptions:{
			spline:{
				marker:{radius:0,
					lineWidth:1
				}
			},
			area:{stacking:'normal', size:[200,50],lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+numberformats(this.y);
			}
		},series:[]
	}
	
	var data = [];
	if (chartype == "bpsdown") {
		data.push(jsondata.result_up[0]);
		data.push(jsondata.result_down[0]);
		options.series = data;
		//options.series[1].color = '#4EB133';
		options.series[0].name = '上行速率';
		options.series[1].name = '下行速率';
	}else {
		options.series = jsondata;
		options.series[0].name = '连接数';
	}
	new Highcharts.Chart(options);
}

var _vir_json = [];
function qq_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	var qq = [];
	
	//$("#qqlist").html("");

	// var s = '<div style="font-weight:bold; font-size:12px; color:#666; text-align:center; padding:5px 0">用户虚拟身份</div>';
	//s += '<table style="width:100%;border:1px solid #ddd; border-collapse:collapse;margin-top:15px;" border=1 bordercolor="#ddd">'+
	//	'<tr><th align="center" width="150px">身份类型</th><th align="center">值</th></tr></table>';
	//$(s).appendTo("#qqlist");

			$.ajax({
				url: '../user_behavior/user_handle.php',
				data: {
					type: 'ipid',
					devid: devid,
					ipaddr: ipaddr,
					qqnumber: qqnumber,
					starttime: starttime,
					endtime: endtime,
					errname: errname,
					topn: topn,
					bexport: 0,
					eventtype: 'QQ',
					addrtype:addrtype,
					account: account
				},
				type: 'post',
				dataType: 'json',
				success: function(json) {
					cluster_load_hide();

			_vir_json.length = 0;
			for(i = 0; i < json.rows.length; i++) {
				//s = '<tr><td width="150px" align="center">QQ号码</td><td align="center">'+json.rows[i]+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");

						_vir_json.push({
							name: 'QQ号码' + (i + 1),
							value: json.rows[i],
							suffix: ''
						});
					}
					virgraph();

					pop3_check(ipaddr, account, starttime, endtime);
				}
			});
		}

function virgraph()
{	
	var option = {
    		backgroundColor: '#fff',
    		tooltip: {},
    		animationDurationUpdate: function(idx) {
        	// 越往后的数据延迟越大
        		return idx * 100;
    		},
    		animationEasingUpdate: 'bounceIn',
    		color: ['#2e8ae3', 'blue', 'green'],
    		series: [{
        		type: 'graph',
        		layout: 'force',
        		force: {
            			repulsion: 200,
            			edgeLength: 15
        		},
        		roam: true,
        		label: {
            			show: true,
            			fontSize: 14,
            			formatter: function(d) {
                			console.log(d)
                			var data = d.data;
                			return data.name + '\n' + data.value + data.suffix
            			}
        		},
        		symbolSize: 100,
        		data: _vir_json
    		}]
	}

	var dom = document.getElementById("qqlist");
	var myChart = echarts.init(dom, '');
	myChart.setOption(option, true);
}

function pop3_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	//var account = "";
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

			var pop3 = [];

			$.ajax({
				url: '../user_behavior/user_handle.php',
				data: {
					type: 'ipid',
					devid: devid,
					account: account,
					ipaddr: ipaddr,
					qqnumber: qqnumber,
					starttime: starttime,
					endtime: endtime,
					errname: errname,
					topn: topn,
					bexport: 0,
					addrtype:addrtype,
					eventtype: 'pop3login'
				},
				type: 'post',
				dataType: 'json',
				success: function(json) {
					cluster_load_hide();

			for(i = 0; i < json.rows.length; i++) {
				//s = '<tr><td width="150px" align="center">POP3邮箱</td><td align="center">'+json.rows[i]+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");
				
				_vir_json.push({name:'邮箱'+(i+1), value:json.rows[i], suffix:''});
			}

			virgraph();

			taobao_check(ipaddr, account, starttime, endtime);
		}
	});
}

function taobao_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	//var account = "";
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	var taobao = [];
	
	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'ipid', devid:devid, account:account, 
			ipaddr:ipaddr, qqnumber:qqnumber,
			starttime:starttime, endtime:endtime, 
			errname:errname, topn:topn, bexport:0, 
			eventtype:'TAOBAOACC',addrtype:addrtype},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			for(i = 0; i < json.rows.length; i++) {
				//s = '<tr><td width="150px" align="center">淘宝账号</td>'+ '<td align="center">'+json.rows[i]+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");
				_vir_json.push({name:'淘宝'+(i+1), value:json.rows[i], suffix:''});
			}

			virgraph();
						
			wxuin_check(ipaddr, account, starttime, endtime);
		}
	});
}

function wxuin_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var wxuid = '';
	var addrtype = $("#addrtype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

			$.ajax({
				url: 'user_handle.php',
				data: {
					type: "wxuin_check",
					ipaddr: ipaddr,
					account: account,
					wxuid: wxuid,
					page: 1,
					limit: 20,
					starttime: starttime,
					endtime: endtime,
					errname: errname,
					addrtype: addrtype,
					devid: devid
				},
				type: 'post',
				dataType: 'json',
				success: function(json) {
					cluster_load_hide();

			for(i = 0; i < json.rows.length; i++) {
				ys = 0;
				for (j = 0; j < i; j++) {
					if (json.rows[j].uid == json.rows[i].uid) {
						ys = 1;
						break;
					}
				}
				if (ys == 1)
					continue;

				_vir_json.push({name:'微信'+(i+1), value:json.rows[i].uid, suffix:''});
				
				//s = '<tr><td width="150px" align="center">微信ID</td><td align="center">'+json.rows[i].uid+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");
			}

			virgraph();
			
			host_check(ipaddr, account, starttime, endtime);
		}
	});
}

function top_graph(render, name, ytext, x, y, title)
{
	var option = {
		chart: {
			renderTo: render,
			zoomType: 'xy',
			defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title: {
			text: title,
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			crosshair: true,
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: ytext
			},
		},
		tooltip: {
			shared: true
		},
		plotOptions: {
			size:'90%',
			column: {
				cursor:'pointer',
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: [{name:name, data:[]}]
	}

	option.series[0].data = y;
	option.xAxis.categories = x;
	var chart = new Highcharts.Chart(option);
}

function host_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	//var account = "";
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 10;
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	var x = [], y = [];
	var tlt = "用户访问域名次数排名";

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{
			type:'host_check', 
			devid: devid, 
			ipaddr:ipaddr, 
			account:account,
			page: 1, 
			sort: 'num',
			limit: 20, 
			starttime:starttime, 
			endtime:endtime, 
			addrtype:addrtype, 
			errname:errname
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			for(i = 0; i < json.rows.length; i++) {
				if (i >= 30) break;
				
				r = json.rows[i];
				
				x.push(r.host);
				y.push(parseInt(r.num));
			}
			top_graph('hostlist', "HOST访问量", "访问量", x, y, tlt);
		}
	});
}

		function usermap_update(json) {
			var maxvalue = 0;
			for (i = 0; i < json.rows.length; i++) {
				json.rows[i].name = json.rows[i].cname
				if (json.rows[i].value > maxvalue)
					maxvalue = json.rows[i].value;
			}
			json.rows.push({
				name: '南海诸岛',
				value: 0
			})
			var myChart = echarts.init(document.getElementById('map'));

			myChart.setOption({
				title: {
					text: '区域流量数据分布图',
					x: 'center',
					textStyle: {
						fontSize: 12,
						fontWeight: 'bold',
						fontFamily: "微软雅黑",
					},
				},
				backgroundColor: '#fff',
				tooltip: {
					trigger: 'item',
					textStyle: {
						fontSize: 14,
						fontWeight: 'normal'
					},
					formatter: function(params, ticket, callback) {

						return params.name + '：' + numberformats(params.value);

					}
				},
				dataRange: {
					//orient: 'horizontal',
					min: 0,
					max: maxvalue,
					x: 'right',
					y: 'bottom',
					text: ['高', '低'], // 文本，默认为数值文本
					calculable: true,

					color: [
						'#CF1F07', '#f5f5f5',
					],
					formatter: function(v) {
						return numberformats(v);
					}
				},
				series: [{
					name: '区域流量数据分布图',
					type: 'map',
					roam: true,
					mapType: 'china',
					//selectedMode : 'multiple',
					itemStyle: {
						normal: {
							label: {

								show: true
							},

							borderColor: '#ddd',
							areaStyle: {
								color: 'f5f5f5'
							}
						},
						emphasis: {
							label: {
								show: true
							}
						}
					},

					data: json.rows
					// data:[ {name: '南海诸岛',value: 1 }]
				}]
			}, true);
			var ecConfig = require('echarts/config');
			myChart.on(ecConfig.EVENT.CLICK, umap_detail);
		}
		function umap_detail(param, e) {
		}
		function iparea_update(json) {
			// Initiate the chart
			$('#iparea_maps').html("");
			$('#iparea_maps').highcharts('Map', {
				chart: {
					//backgroundColor: '#f5f5f5',
					//borderWidth: 1,
					borderColor: '#D3DCEB',
					borderRadius: 4
				},
				title: {
					text: '来访用户流量分布图',
					style: {
						fontSize: '12px',
						fontWeight: 'bold',
						color: '#666'
					}
				},
				mapNavigation: {
					enabled: false,
					buttonOptions: {
						verticalAlign: 'top'
					}
				},
				colorAxis: {
					min: 0,
					minColor: '#FFFFFF',
					maxColor: '#f5f5f5',
					stops: [
						[0, '#f5f5f5'],
						[1, '#ff0000']
					]
				},
				credits: {
					enabled: false
				},
				plotOptions: {
					series: {
						events: {
							click: function(e) {
								// url_detail(e.point.name);
							}
						}
					}
				},
				tooltip: {

					formatter: function() {

						return '' +
							this.point.name + ': ' + numberformats(this.point.value);
					}
				},
				series: [{
					data: json.rows,
					mapData: Highcharts.maps['countries/china'],
					joinBy: 'hc-key',
					name: '流量',
					states: {
						hover: {
							color: '#BADA55'
						}
					},
					dataLabels: {
						enabled: true,
						format: '{point.name}'
					}
				}]
			});
		}

function iparea_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

			$.ajax({
				url: '../user_behavior/user_handle.php',
				data: {
					type: 'iparea_check',
					devid: devid,
					ipaddr: ipaddr,
					account: account,
					starttime: starttime,
					endtime: endtime,
					addrtype:addrtype,
					errname: errname
				},
				type: 'post',
				dataType: 'json',
				success: function(json) {
					cluster_load_hide();
					usermap_update(json);
					iparea_update(json);

					useryysflow(ipaddr, account, starttime, endtime);
				}
			});
		}

function useryysflow(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{
			type:'useryysflow', 
			devid: devid, 
			ipaddr: ipaddr, 
			account:account,
			starttime:starttime, 
			endtime:endtime, 
			errname:errname
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			useryysflow_pie(json, "useryysflow", "运营商流量分布图");
			useryysflow_pie(json, "useryysflow2", "运营商连接数分布图");
			
			ipapp_check("total");
		}
	});
}

function useryysflow_pie(json, render, title)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'pie',
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
            }
        },
        plotOptions: {
            pie: {
			size:'70%',
                allowPointSelect: true,
                cursor: 'pointer',
                showInLegend: true,
                dataLabels: {
                    enabled: true,
					style:{fontSize:'12px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    },
                },
				point:{
                    events:{
                        click:function(){
                        }
                    }},
            }
        },
        legend: {
            enabled:false,
            layout: 'vertical',
            backgroundColor: '#FFFFFF',
            floating: true,
            align: 'left',
            verticalAlign: 'top',
            x: 425,
            y: 25,
            labelFormatter: function() {
                return this.name;
            }
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.y.length; i++) {
        if (c >= config.my_colors_def.length)
            c = 0;
		if (render == "useryysflow2")
			option.series[0].data.push({name:json.x[i], y:json.fl[i], yys: i});
		else
			option.series[0].data.push({name:json.x[i], y:json.y[i], yys: i});
    }
    var chart = new Highcharts.Chart(option);
}

</script>
<style type="text/css">
.event {float:left; height:300px;}
</style>
</head>

<body class="paui-app-body">
	<div style="padding:5px">
		<div class="Source-ip-group" style="margin: 0px;">
			<?php
			echo getdevice();
			?>
		</div>

		<form class="layui-form paui-form layui-form-pane" style="margin: 10px;margin-bottom:15px;" lay-filter="form_session_search">
			<div class="layui-form-item" style="min-width: 1328px;border:1px solid #f5f5f5">
				<label class="layui-form-label" style="margin-top:-29px;margin-left:216px">用户账号</label>
				<div class="layui-input-inline" style="margin-top:-29px;margin-left:315px">
					<input autocomplete="off" name="account" placeholder="请输入用户账号" class="layui-input" type="text" id="account" value="" />
				</div>

				<label class="layui-form-label" style="margin-top:-29px;margin-left:442px">IP地址</label>
				<div class="layui-input-inline" style="margin-top:-29px;margin-left:538px">
					<input autocomplete="off" name="ipaddr" placeholder="请输入IP地址" class="layui-input" type="text" id="ipaddr" value="<?= $_GET['ip'] ?>" />
				</div>




				<label class="layui-form-label" style="margin-left: 664px;margin-top:-29px;">时间范围</label>
				<div class="layui-input-inline" style="width: 200px;margin-left:763px;margin-top:-29px">
					<input lay-verify="required" type="text" name="time" id="starttimea" class="layui-input" autocomplete="off">
				</div>
				<label class="layui-form-label" style="margin-left: 968px;margin-top:-29px;">地址类型</label>
				<div class="layui-input-inline" style="margin-left: 1067px;margin-top:-29px;">
					<select id="addrtype">
						<?php
							if (isset($_GET['addrtype']) && $_GET['addrtype'] == "ipv6")
								echo "<option value='ipv4'>ipv4</option><option value='ipv6' selected>ipv6</option>";
							else
								echo "<option value='ipv4' selected>ipv4</option><option value='ipv6'>ipv6</option>";
						?>
					</select>
				</div>

				<a href="#" lay-submit lay-filter="submit_session_search" class="layui-btn layui-btn-primary layui-btn-sm" style="background-color:#FFFFFF;float:left;width:66px;height:27px;line-height: 27px;margin-left:1209px;margin-top:-29px"><i class="layui-icon layui-icon-search"></i>查询</a>

			</div>
		</form>


		<div class="layui-input-inline" style="display: none;">
			<input type="hidden" id="start">
			<input type="hidden" id="starthour">
			<input type="hidden" id="startminute">
			<input type="hidden" id="end">
			<input type="hidden" id="endhour">
			<input type="hidden" id="endminute">
		</div>
		<div class="clearfloat"></div>
	</div>
	<div class="ipstat-outer" style="width:100%;position:relative;display:none;">
		<div class="event event-pad" id="map" style="width:32.3%;height:300px;margin-left:5px;margin-top:-13px"></div>
		<!-- <div class="event event-pad" id="iparea_maps" style="width:32.3%;height:300px;"></div> -->
		<div class="event event-pad" id="useryysflow" style="width:32.3%; height:300px;margin-left:10px;margin-top:-13px"></div>
		<div class="event event-pad" id="useryysflow2" style="width:32.3%; height:300px;margin-left:10px;margin-top:-13px"></div>
		<div class="event" id="ipappinfo" style="width:32.3%;margin-left:5px;margin-top:10px"></div>
		<div class="event" id="iptrenddown" style="width:32.3%;margin-left:10px;margin-top:10px;"></div>
		<div class="event" id="iptrendflow" style="width:32.3%;margin-left:10px;margin-top:10px;"></div>
		<div class="event event-pad" id="hostlist" style="width:32.3%;margin-left:5px;margin-top:10px"></div>
		<div class="event event-pad" id="qqlist" style="width:32.3%; overflow:auto;background:#fff;margin-left:10px;margin-top:10px;"></div>
	</div>
	</div>
	<script src="../js/echarts/echarts.js"></script>
	<script type="text/javascript" src="../layui/layui.js"></script>
	<script type="text/javascript"></script>
	<script>
		function select(obj) {
			$("#div" + obj.value).show().siblings().hide();
		}

		layui.use(['layer', 'form', 'laypage', 'util', 'laydate'], function() {

			ipevent_check();
			var util = layui.util;
			var laydate = layui.laydate;
			var time = (new Date()).getTime();
			var time1 = util.toDateString(time, "yyyy-MM-dd")
			var time2 = util.toDateString(time - 86400000, "yyyy-MM-dd")

			//执行一个laydate实例
			laydate.render({
				elem: '#starttimea',
				value: time2 + ' - ' + time1,
				isInitValue: true,
				range: true,
				format: 'yyyy-MM-dd',
				type: 'date'
			});

			layer = layui.layer, form = layui.form, laypage = layui.laypage;
			form.render();

			form.on('submit(submit_session_search)', function(obj) {
				arry = obj.field.time.split(" ")
				$("#start").val(arry[0]);
				$("#end").val(arry[2]);
				var dt = new Date();
				var ipaddr = $("#ipaddr").val();
				var account = $("#account").val();
				var start = $("#start").val();
				var end = $("#end").val();

				if (ipaddr == "" && account == "") {
					layer.msg("请输入要查询的IP地址或用户账号");
					return false;
				}
				var starttime = start + ' 0:0:0';

				var endtime = end + ' ' + dt.getHours() + ':59:59';
				$(".ipstat-outer").show();

				iparea_check(ipaddr, account, starttime, endtime)
				var errname = (new Date()).getTime() + '.st';
				cluster_get_status(errname);
			})

		})
		showdevicetree();

		var echarts;

		require.config({
			paths: {
				echarts: '../js/echarts'
			}
		});
		require(
			[
				'echarts',
				'echarts/chart/map'
			],
			function(ec) {
				echarts = ec;
			}
		);
	</script>
</body>
</html>
