<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function ipgrptrend_quick_handle()
{
	var grpid = $("#grpid").val();
	var devid = $("#devid").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();
	var grpname = $("#grpname").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/ipgrp_handle.php',
		data:{type:'iptable_quick_iptrend', devid:devid, grpid: grpid, 
			grpname:grpname, starttime:starttime, 
			endtime:endtime, errname:errname},
		type:'post',
		dataType:'json',
		success:function(json){
			iptrend(json.rows_flow, "bpsflow", "bpsflow");
			iptrend(json.rows_up, "bpsup", "bpsup");
			iptrend(json.rows_down, "bpsdown", "bpsdown");
			
			cluster_load_hide();
		}
	});
}

function ipgrptrend()
{
	if ($("#quick").val() == "1") {
		ipgrptrend_quick_handle();
		return false;
	}
	
	var grpid = $("#grpid").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();
	var grpname = $("#grpname").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/ipgrp_handle.php',
		data:{type:'iptable_iptrend', grpid: grpid, 
			grpname:grpname, starttime:starttime, 
			endtime:endtime, errname:errname},
		type:'post',
		dataType:'json',
		success:function(json){
			iptrend(json.rows_flow, "bpsflow", "bpsflow");
			iptrend(json.rows_up, "bpsup", "bpsup");
			iptrend(json.rows_down, "bpsdown", "bpsdown");
			
			cluster_load_hide();
		}
	});
}

function iptrend(jsondata, chartype, render)
{
	var units = 'bits/s';
	var titles = "上行流量趋势图";
	if (chartype == "bpsflow"){
		units = null;
		titles = "连接数趋势图";
	}else if (chartype == "bpsdown") 
		titles = "下行流量趋势图";
	
	var options = {
	chart:{
		renderTo:render,
		defaultSeriesType:'area'
        },title:{
		text:titles,
		style:{fontSize:'14px'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:60,
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:units
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
            }
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:false,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
        },plotOptions:{
            spline:{
                marker:{radius:0,
                    lineWidth:0
                }
            },
            area:{size:[200,50],lineWidth:0,marker:{enabled:false}}
        },credits:{enabled:false},
        tooltip:{
            formatter:function(){
                var dd = new Date(this.x);
                var str = dd.getDate()+"/"+dd.getHours()+':'+dd.getMinutes();
                return this.series.name+'<br/>'+str+' '+numberformats(this.y);
            }
        },series:[{name:'', data:[], color:'#FF5A00', turboThreshold:10000}]
	}

	if (chartype == "bpsflow")
		options.series[0].name = "连接数";
	if (chartype == "bpsup") {
		options.series[0].name = "上行";
	}
	if (chartype == "bpsdown")
		options.series[0].name = "下行";
	
	options.series[0].data = jsondata;
	new Highcharts.Chart(options);
	
	if (chartype == "bpsup" || chartype == "bpsdown") {
		total = 0;
		for (i = 0; i < jsondata.length; i++) {
			total += jsondata[i].y;
		}
		avg = total / jsondata.length;
		avg = numberformats(avg);
		if (chartype == "bpsup")
			$("#avgup").text(avg);
		else
			$("#avgdown").text(avg);
	}
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a><?=$_GET['grpname']?></a></li>
		</ul>
	</div>
	
	<input type="hidden" value="<?= $_GET['quick']?>" id="quick" />
	<input type="hidden" value="<?= $_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?= $_GET['grpname']?>" id="grpname" />
	<input type="hidden" value="<?= $_GET['start']?>" id="start" />
	<input type="hidden" value="<?= $_GET['end']?>" id="end" />
	<input type="hidden" value="<?= $_GET['grpid']?>" id="grpid" />
	<input type="hidden" value="<?= $_GET['up']?>" id="up" />
	<input type="hidden" value="<?= $_GET['down']?>" id="down" />
	
	<table style="width:100%;margin:10px 0;border-collapse:collapse;" cellspacing=0 cellpadding=0>
		<tr>
			<td>
				起始时间：<?= $_GET['start']?> &nbsp;&nbsp;结束时间：<?= $_GET['end']?>
				&nbsp;&nbsp;&nbsp;&nbsp;
				上行速率：<a style="color:#000;" id="avgup"></a>
				&nbsp;&nbsp;&nbsp;&nbsp;
				下行速率：<a style="color:#000;" id="avgdown"></a>
				<a class="btn-extend-gray" href="../download.php?filename=trend_down.xls">下行数据导出</a>
			</td>
		</tr>
	</table>
	<div style="width:100%; height:300px; margin-top:0px;" id="bpsup"></div>
	<div style="width:100%; height:300px; margin-top:0px;" id="bpsdown"></div>
	<div style="width:100%; height:300px; margin-top:0px;" id="bpsflow"></div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });

ipgrptrend();
</script>
</body>
</html>
