<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/highcharts-3d.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
function mob_stat()
{
	var ipaddr = $("#ipaddr").val();
	var start = $("#start").val();
	var end = $("#end").val();
	
	ipaddr = TrimAll(ipaddr);
	
	var dt = new Date();
	var starttime = start + ' '+(dt.getHours())+':0:0';
	var endtime = end + ' '+(dt.getHours())+':0:0';

	$(".mobiletypelist").show();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'user_handle.php',
		data:{type:"mobile_trend", ipaddr: ipaddr, 
			starttime:starttime, endtime:endtime, 
			errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			hardisk_chart(json.all, 'mobilenum_graph', "移动终端(IOS+Android)趋势图");
			hardisk_chart(json.ios, 'ios_graph', "移动终端IOS趋势图");
			hardisk_chart(json.android, 'android_graph', "移动终端Android趋势图");
			cluster_load_hide();
		}
	});
}

function hardisk_chart(data, render, title)
{
	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:"spline",
			plotBackgroundColor: null,
			plotBorderWidth: null,
			plotShadow: true
		},title:{
			enabled: true,
			text:title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
				step:2,
				formatter: function() {
					return Highcharts.dateFormat('%d/%H:%M', this.value);
				}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:"台数#"
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},plotOptions:{
			area:{stacking:false,lineWidth:1,marker:{enabled:false}},
			spline:{
				marker:{radius:0,
					lineWidth:0
					   }
				   }
		},credits:{enabled:false},
		legend: {
			enabled: false,
			layout: 'vertical',
			align: 'right',
			width: 120,
			verticalAlign: 'middle',
			itemMarginTop: 3,
			borderWidth: 0,
			labelFormatter: function() {
				return '<div style="text-align: left; width:100px;font-weight:normal;">' + this.name + '</div>';
			}
		},
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getFullYear()+'/'+(dd.getMonth()+1)+'/'+dd.getDate()+' '+dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+ numberformats(this.y);
			}
		},series:[]
	}

	options.series = data;
	var chart = new Highcharts.Chart(options);
}
</script>
</head>
<body>
<div>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="mobilelist.php">移动终端数</a></li>
			<li class="active"><a href="mob_stat.php">趋势统计</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label>IP地址</label>
				<input type="text" id="ipaddr" value="" style="width:150px" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="mob_stat()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="mobiletypelist" style="margin-top:20px; display:none;">
		<div id="mobilenum_graph" style="position:relative;height:300px;color:#000; font-size:12px;font-weight:bold;margin:15px 0;"></div>
		<div id="ios_graph" style="position:relative;color:#000; height:300px;font-size:12px;font-weight:bold;margin:15px 0;"></div>
		<div id="android_graph" style="position:relative;color:#000;height:300px; font-size:12px;font-weight:bold;margin:15px 0;"></div>
	</div>
</div>
</body>
</html>
