<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function detail_update(data)
{
	var r, s, trbg = "";
	var len = data.rows.length;
	var totalup = totaldown = 0;
	var totalflow = 0;

	var list = document.getElementById("info");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < len; i++){
		r = data.rows[i];

		totalflow += r.flow;
		totalup += r.up;
		totaldown += r.down;

		pos = 0;
		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i+1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ip;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.flow;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up + r.down);

		if (trbg == "")		
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		else
			trbg = "";
	}
	
	pos = 0;
	obj = list.insertRow(-1);
	obj.setAttribute("class", trbg);

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "center");
	cell.innerHTML = "";
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "left");
	cell.innerHTML = "总共";
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.innerHTML = totalflow;
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.innerHTML = numberformats(totalup);
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.innerHTML = numberformats(totaldown);
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.innerHTML = numberformats(totalup + totaldown);
}

function umap_detail(sort)
{
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var areaname = $("#areaname").val();
	var domain = $("#domain").val();
	var devid = $("#devid").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
       	cluster_get_status(errname);
	
	$.ajax({
		url:'../user_behavior/ajax_user_map.php',
		data:{action:'umap_detail', areaname: areaname, 
			starttime:starttime, endtime:endtime, 
			errname:errname, domain: domain, 
			sort: sort, devid: devid},
		type:'post',
		dataType:'json',
	       	success:function(json){
			cluster_load_hide();
			detail_update(json);
		}
	});
}
</script>
</head>
<body>
	<div style="padding:10px;font-weight:bold;">
		&nbsp;&nbsp;区域用户--<?=$_GET["areaname"]?>
	</div>
	<input type="hidden" value="<?=$_GET['areaname']?>" id="areaname" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['domain']?>" id="domain" />
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<div class="topapp-list-table">
		<table id="info" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
		    <tr>
			<th class="txt-center" style="width:50px;">序号</th>
			<th class="txt-left" width="150px">IP地址</th>
			<th class="txt-right"><a href="javascript:umap_detail('acc')">访问量</a></th>
			<th class="txt-right"><a href="javascript:umap_detail('up')">上行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:umap_detail('down')">下行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:umap_detail('total')">总流量(Byte)</a></th>
		    </tr>
		</table>
	</div>
<script type="text/javascript">
umap_detail('acc');
</script>
</body>
</html>
