<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "请重新登录");
	exit;
}

$type = isset($_POST['type']) ? postval('type') : "";

if ($type == "getaccfromphone")
{
	$phone_id = postval("phone_id");
	if (empty($phone_id)) {
		outputres("no", "请输入正确的参数");
		exit;
	}
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql connect error");
		exit;
	}
	$account = '';
	// palog.lf_users
	$sql = "select user from palog.lf_users where phone='$phone_id' or certnum='$phone_id'";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result))
			$account = iconv("gb2312", "utf-8", $row[0]);
	}
	// auth_palocal
	$sql = "select auth from palog.auth_palocal where phone='$phone_id' or certnum='$phone_id'";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result))
			$account = iconv("gb2312", "utf-8", $row[0]);
	}
	mysql_close();

	outputres("yes", $account);
}

if ($type == "ipv6_exception_appflow")
{
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$filename = "app".date("YmdHis").".xls";
	$appid = postval("appid");

	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_exception_app 'errfile=$errfile' 'sort=$sort'";
	$cmd .= " 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename' 'appid=$appid'";
	exec($cmd, $out, $return);	// esc

	if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	foreach($out as $val) {
		if (strstr($val, "total") != false) {
			$ds = explode('=', $val);
			$total = (int)$ds[1];
			continue;
		}
		$ds = explode(' ', $val);
		array_push($rows, array(
			"appid"=>$ds[0],
			"cname"=>iconv("gb2312", "utf-8", $ds[1]),
			"flowcont"=>(float)$ds[2],
			"upbytes"=>(float)$ds[3],
			"downbytes"=>(float)$ds[4]
		));
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "ipv6_exception_dstsum")
{
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");
	$sort = postval("sort");
	$dstip = postval("dstip");

	$filename = "v6dstip".date("YmdHis").".xls";

	$total = 0;
	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	/* 在queryd程序里，获取源IP的参数为ipaddr，目标IP是dstip。
	 * queryd那里只能存储单IP，所以那边要注意增加buffer的大小
	 * 增加srcport，dstport变量查询.
	 */
	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_exception_dstsum 'page=$page'";
	$cmd .= " 'limit=$limit' 'bexport=$bexport' 'filename=$filename' 'sort=$sort' 'dstip=$dstip'";
	exec($cmd, $out, $return);	// esc
	 if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	foreach($out as $val) {
		if (strstr($val, "total") != false) {
			$ds = explode('=', $val);
			$total = (int)$ds[1];
			continue;
		}

		$ds = explode(' ', $val);
		array_push($rows, array(
			"ipaddr"=>$ds[0],
			"flowcont"=>(float)$ds[1],
			"upbytes"=>(float)$ds[2],
			"downbytes"=>(float)$ds[3]
		));
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "ipv6_exception_srcsum")
{
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");
	$sort = postval("sort");
	$ipaddr = postval("srcip");

	$filename = "topsrc".date("YmdHis").".xls";

	$total = 0;
	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	/* 在queryd程序里，获取源IP的参数为ipaddr，目标IP是dstip。
	 * queryd那里只能存储单IP，所以那边要注意增加buffer的大小
	 * 增加srcport，dstport变量查询.
	 */
	 $cmd = LOGDPATH."/bin/logeye user_behavior ipv6_exception_srcsum 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename' 'sort=$sort' 'ipaddr=$ipaddr'";
	 exec($cmd, $out, $return);	// esc
	 if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	foreach($out as $val) {
		if (strstr($val, "total") != false) {
			$ds = explode('=', $val);
			$total = (int)$ds[1];
			continue;
		}

		$ds = explode(' ', $val);
		array_push($rows, array(
			"ipaddr"=>$ds[0],
			"flowcont"=>(float)$ds[1],
			"upbytes"=>(float)$ds[2],
			"downbytes"=>(float)$ds[3]
		));
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "ipv6_exception_trendflow")
{
	$devid = postval("devid");
	$srcip = postval("srcip");
	$dstip = postval("dstip");
	$appid = postval("appid");
	$start = postval("start");
	$end = postval("end");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$ifname = postval("ifname");
	$host = postval("host");
	$natip = postval("natip");
	$natport = postval("natport");

	$json = $rows = array();
	$longstart = strtotime($start);
	$longend = strtotime($end);

	$i = $app = 0;
	$data = $seriesup = array();
       	$seriesdown = $seriesflow = $json = array();

	/* 统计时间段内会话的趋势图，堆叠图，
	 * 时间段内定为60个点，如果少于60个点，则从结束时间
	 * 往前-60分钟算为一个小时。
	 */
	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_exception_trendflow ";
	$cmd .= "'devid=$devid' 'errfile=$errfile' 'longstart=$longstart' 'longend=$longend' ";
	$cmd .= "'appid=$appid' 'sort=$sort' 'ipaddr=$srcip' 'dstip=$dstip' ";
	$cmd .= "'account=$account' 'ifname=$ifname' 'domain=$host'";
	$cmd .= " 'natip=$natip' 'natport=$natport'";
	exec($cmd, $out, $return);	// esc

	$slot = 0;
	foreach($out as $val){
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		} 
		if ($ds[0] == "DATA")
			$slot++;
	}
       
	$appup = $appdown = 0;
	$appflow = 0;
	$currtype = ""; 
	foreach($out as $val){
		$ds = explode(' ', $val);
		
		$cname = iconv("gb2312", "utf-8", $ds[2]);
		if ($ds[0] == "TAG"){
			if ($ds[1] == "DATEUP"){
				$currtype = "DATEUP";
				$seriesup[$appup]['name'] = $cname;
			}
			if ($ds[1] == "DATEDOWN"){
				$currtype = "DATEDOWN"; 
				$seriesdown[$appdown]['name'] = $cname;
			}
			if ($ds[1] == "DATEFLOW"){
				$currtype = "DATEFLOW";
				$seriesflow[$appflow]['name'] = $cname;
			}
		}
		
		if ($ds[0] == "DATA"){
			$data[$i]['x'] = (int)$ds[1] * 1000;
			$data[$i++]['y'] = (float)$ds[2];
			
			if (count($data) == $slot){
				if ($currtype == "DATEUP")
					$seriesup[$appup++]['data'] = $data;
				if ($currtype == "DATEDOWN")
					$seriesdown[$appdown++]['data'] = $data;
				if ($currtype == "DATEFLOW")
					$seriesflow[$appflow++]['data'] = $data;
				unset($data);
				$i = 0;
			}
		}
	}
       
	$json['result_up'] = $seriesup;
	$json['result_down'] = $seriesdown;
	$json['result_flow'] = $seriesflow;
       	echo json_encode($json);
	exit;
}

if ($type == "sesssum_trendflow")
{
	$devid = postval("devid");
	$srcip = postval("srcip");
	$dstip = postval("dstip");
	$srcportseg = postval("srcportseg");
	$dstportseg = postval("dstportseg");
	$appid = postval("appid");
	$start = postval("start");
	$end = postval("end");
	$sort = postval("sort");
	$account = iconv("utf-8", "gb2312", postval("account"));
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$ifname = postval("ifname");
	$host = postval("host");
	$natip = postval("natip");
	$natport = postval("natport");
	$yys = postval("yys");
	$srciptype = postval("srciptype");
	$srcipgrp = postval("srcipgrp");
	$ptype	= postval("ptype");

	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	$i = $app = 0;
	$data = $seriesup = array();
       	$seriesdown = $seriesflow = $json = array();

	/* 统计时间段内会话的趋势图，堆叠图，
	 * 时间段内定为60个点，如果少于60个点，则从结束时间
	 * 往前-60分钟算为一个小时。
	 */
	$cmd = LOGDPATH."/bin/logeye user_behavior sesssum_trendflow ";
	$cmd .= "'devid=$devid' 'errfile=$errfile' 'longstart=$longstart' 'longend=$longend' ";
	$cmd .= "'appid=$appid' 'sort=$sort' 'ipaddr=$srcip' 'dstip=$dstip' 'srcportseg=$srcportseg' ";
	$cmd .= "'dstportseg=$dstportseg' 'account=$account' 'ifname=$ifname' 'domain=$host'";
	$cmd .= " 'natip=$natip' 'natport=$natport' 'yys=$yys' 'iptype=$srciptype' 'grpid=$srcipgrp' 'ptype=$ptype'";
	exec($cmd, $out, $return);	// esc

	$slot = 0;
	foreach($out as $val){
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		} 
		if ($ds[0] == "DATA")
			$slot++;
	}
       
	$appup = $appdown = 0;
	$appflow = 0;
	$currtype = ""; 
	foreach($out as $val){
		$ds = explode(' ', $val);

		/* 自定义协议组的名称是utf8的 */
		$cname = $ds[2];
		if (json_encode($ds[2]) == false)
			$cname = iconv("gb2312", "utf-8", $ds[2]);
		if ($ds[0] == "TAG"){
			if ($ds[1] == "DATEUP"){
				$currtype = "DATEUP";
				$seriesup[$appup]['name'] = $cname;
			}
			if ($ds[1] == "DATEDOWN"){
				$currtype = "DATEDOWN"; 
				$seriesdown[$appdown]['name'] = $cname;
			}
			if ($ds[1] == "DATEFLOW"){
				$currtype = "DATEFLOW";
				$seriesflow[$appflow]['name'] = $cname;
			}
		}
		
		if ($ds[0] == "DATA"){
			$data[$i]['x'] = (int)$ds[1] * 1000;
			$data[$i++]['y'] = (float)$ds[2];
			
			if (count($data) == $slot){
				if ($currtype == "DATEUP")
					$seriesup[$appup++]['data'] = $data;
				if ($currtype == "DATEDOWN")
					$seriesdown[$appdown++]['data'] = $data;
				if ($currtype == "DATEFLOW")
					$seriesflow[$appflow++]['data'] = $data;
				unset($data);
				$i = 0;
			}
		}
	}
       
	$json['result_up'] = $seriesup;
	$json['result_down'] = $seriesdown;
	$json['result_flow'] = $seriesflow;
       	echo json_encode($json);
	exit;
}

if ($type == "sessionbpsflow")
{
	$devid = postval("devid");
	$srcip = postval("srcip");
	$dstip = postval("dstip");
	$srcportseg = postval("srcportseg");
	$dstportseg = postval("dstportseg");
	$appid = postval("appid");
	$dstpro = iconv("utf-8", "gb2312", postval("dstpro"));
	$domain = postval("domain");
	$account = iconv("utf-8", "gb2312", postval("account"));
	$start = postval("start");
	$end = postval("end");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$dstiptype = postval("dstiptype");
	$dstipgrp = postval("dstipgrp");
	$fullmatch = postval("fullmatch");

	// 任务类型
	$task_type = isset($_POST["task_type"]) ? postval("task_type") : 0;
	if (!is_numeric($task_type)) {
		outputres("no", "ERROR_INVALID_TASK_TYPE");
		exit;
	}
	$task_file = isset($_POST["task_file"]) ? postval("task_file") : "";

	$longstart = strtotime($start);
	$longend = strtotime($end);

	$i = $app = 0;
	$data = $json = $rows = array();
       	$series = $json = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior sessionbpsflow 'devid=$devid' ";
	$cmd .= "'errfile=$errfile' 'longstart=$longstart' 'longend=$longend' 'account=$account' ";
	$cmd .= "'appid=$appid' 'sort=$sort' 'ipaddr=$srcip' 'dstip=$dstip' 'domain=$domain' ";
	$cmd .= "'srcportseg=$srcportseg' 'dstportseg=$dstportseg' 'dstpro=$dstpro' 'fullmatch=$fullmatch'";
	$cmd .= " 'task_type=$task_type'";
	switch($task_type) {
	case $TASK_TYPE_WAIT:
		exec($cmd, $out, $return);
		break;

	case $TASK_TYPE_BACKGROUND:
		$task_file = TEMP_FILE."/background_task_".mymicrotime();
		$cmd .= " 'task_file=$task_file'";
		exec($cmd, $out, $return);
		outputres("yes", $task_file);
		exit;
		break;

	case $TASK_TYPE_RESULT:
		$task_file = postval("task_file");
		$out = file($task_file);
		break;
	}

	$slot = 0;
	foreach($out as $val){
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		}
		if ($ds[0] == "DATA")
			$slot++;
	}
       
	$appup = 0;
	$currtype = ""; 
	foreach($out as $val){
		$ds = explode(' ', $val);
		
		$cname = iconv("gb2312", "utf-8", $ds[2]);
		if ($ds[0] == "TAG"){
			if ($ds[1] == "DATEUP"){
				$currtype = "DATEUP";
				$series[$appup]['name'] = "上行速率";
			}
			if ($ds[1] == "DATEDOWN"){
				$currtype = "DATEDOWN"; 
				$series[$appup]['name'] = "下行速率";
			}
			if ($ds[1] == "DATEFLOW"){
				$currtype = "DATEFLOW";
				$series[$appup]['name'] = "连接数";
				$series[$appup]['yAxis'] = 1;
			}
		}
		
		if ($ds[0] == "DATA"){
			$data[$i]['x'] = (int)$ds[1] * 1000;
			$data[$i++]['y'] = (float)$ds[2];
			
			if (count($data) == $slot){
				if ($currtype == "DATEUP")
					$series[$appup++]['data'] = $data;
				if ($currtype == "DATEDOWN")
					$series[$appup++]['data'] = $data;
				if ($currtype == "DATEFLOW")
					$series[$appup++]['data'] = $data;
				unset($data);
				$i = 0;
			}
		}
	}
       
	$json['result'] = $series;
       	echo json_encode($json);
	exit;
}

if ($type == "session_sum")
{
	$devid = postval("devid");
	$srcip = postval("srcip");
	$dstip = postval("dstip");
	$srcportseg = postval("srcportseg");
	$dstportseg = postval("dstportseg");
	$account = iconv("utf-8", "gb2312", postval("account"));
	$appid = postval("appid");
	$start = postval("start");
	$end = postval("end");
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");

	$filename = "srcip".date("YmdHis").".xls";

	$total = 0;
	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	/* 在queryd程序里，获取源IP的参数为ipaddr，目标IP是dstip。
	 * queryd那里只能存储单IP，所以那边要注意增加buffer的大小
	 * 增加srcport，dstport变量查询.
	 */
	$cmd = LOGDPATH."/bin/logeye user_behavior session_sum 'devid=$devid' ".
		"'errfile=$errfile' 'longstart=$longstart' 'longend=$longend' ".
		"'appid=$appid' 'sort=$sort' 'ipaddr=$srcip' 'dstip=$dstip' ".
		"'srcportseg=$srcportseg' 'dstportseg=$dstportseg' 'page=$page' ".
		"'limit=$limit' 'account=$account' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $return);	// esc

	if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	foreach($out as $val) {
		if (strstr($val, "total") != false) {
			$ds = explode('=', $val);
			$total = (int)$ds[1];
			continue;
		}

		$ds = explode(' ', $val);
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"upbytes"=>(float)$ds[2],
			"downbytes"=>(float)$ds[3]
		));
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "session_sum_dstip")
{
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$filename = "dstip".date("YmdHis").".xls";

	$total = 0;
	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	$cmd = LOGDPATH."/bin/logeye user_behavior sessionsum_dstiplist 'errfile=$errfile' 'sort=$sort' 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $return);

	if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}


	foreach($out as $val) {
		if (strstr($val, "total") != false) {
			$ds = explode('=', $val);
			$total = (int)$ds[1];
			continue;
		}
		$ds = explode(' ', $val);
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"flowcont"=>(float)$ds[1],
			"upbytes"=>(float)$ds[2],
			"downbytes"=>(float)$ds[3]
		));
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "session_sum_appflow")
{
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$filename = "app".date("YmdHis").".xls";

	$json = $rows = array();

	$longstart = strtotime($start);
	$longend = strtotime($end);

	$cmd = LOGDPATH."/bin/logeye user_behavior sessionsum_appflow 'errfile=$errfile' 'sort=$sort' 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $return);

	if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	foreach($out as $val) {
		if (strstr($val, "total") != false) {
			$ds = explode('=', $val);
			$total = (int)$ds[1];
			continue;
		}
		$ds = explode(' ', $val);
		array_push($rows, array(
			"appid"=>$ds[0],
			"cname"=>iconv("gb2312", "utf-8", $ds[1]),
			"flowcont"=>(float)$ds[2],
			"upbytes"=>(float)$ds[3],
			"downbytes"=>(float)$ds[4]
		));
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "url_maps") {
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$domain = postval("domain");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$urlyys = postval("urlyys");
	$devid = isset($_REQUEST["devid"]) ? postval("devid") : 0;
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$yysinfo = $arr = $json = array();
	if (($yys = getyys()) == false) {
		outputres("no", "yys error");
		exit;
	}
	
	$cmd = LOGDPATH."/bin/logeye user_behavior url_maps 'devid=$devid' 'errfile=$errfile' 'domain=$domain' 'longstart=$longstart' 'longend=$longend' 'yys=$urlyys'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[0] == "area") {
			$cname = iconv("gb2312", "utf-8", $ds[2]);
			array_push($arr, array(
				"hc-key"=>$ds[1], 
				"value"=>(double)$ds[3], 
				"cname"=>$cname, 
				"name"=>$cname));
		}
		if ($ds[0] == "yys") {
			array_push($yysinfo, array(
				"id"=>$ds[1],
				"yys"=>iconv("gb2312", "utf-8", $ds[2]),
				"count"=>(float)$ds[3],
				"upbytes"=>(float)$ds[4],
				"downbytes"=>(float)$ds[5]
			));
		}
	}
	
	$sort = array();
	foreach($yysinfo as $y) {
		array_push($sort, $y["count"]);
	}
	array_multisort($sort, SORT_DESC, $yysinfo);
	$json["yys_count"] = $yysinfo;
	
	$sort = array();
	foreach($yysinfo as $y) {
		array_push($sort, $y["upbytes"]+$y["downbytes"]);
	}
	array_multisort($sort, SORT_DESC, $yysinfo);
	$json["yys_bytes"] = $yysinfo;
	
	$json["rows"] = $arr;
	echo json_encode($json);
}

if ($type == "url_detail") {
	$areaname = iconv("utf-8", "gb2312", postval("areaname"));
	$yys = postval("yys");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval('page');
	$domain = postval('domain');
	$limit = postval('limit');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	//$tablefile = php_httpflowtable($longstart, $longend);

	$arr = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior url_detail 'page=$page' ".
		"'limit=$limit' 'areaname=$areaname' 'errfile=$errfile' 'domain=$domain' ".
		"'sort=$sort' 'longstart=$longstart' 'longend=$longend' 'yys=$yys'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($arr, array("host"=>$ds[0], "acc"=>$ds[1], 
			"upbytes"=>(double)$ds[2], "downbytes"=>(double)$ds[3], 
			"total"=>(double)$ds[2]+(double)$ds[3]));
	}

	$json["rows"] = $arr;
	echo json_encode($json);
}

if ($type == "topdns_check")
{
	$ipaddr = postval('ipaddr');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = isset($_REQUEST["devid"]) ? postval("devid") : 0;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior topdns 'devid=$devid' 'ipaddr=$ipaddr' 'page=$page' 'limit=$limit' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'sort=$sort'";
	exec($cmd, $out, $return);
	foreach ($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecords") {
			$json["totalrecords"] = $ds[1];
			continue;
		}
		array_push($rows, array("ip"=>long2ip($ds[0]), 
			"dnscount"=>(int)$ds[1], 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "mydnstop_check")
{
	$dns = postval("dns");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$bexport = postval("bexport");
	$filename = "dns".date("YmdHis").".xls";
	$devid = postval("devid");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = $json = $yys = array();
	
	if (($yf = getyys()) == false) {
		outputres("no", "yys error");
		exit;
	}
	foreach($yf as $y) {
		array_push($yys, array("id"=>$y["id"], "x"=>$y["name"], "y"=>0));
	}

	$area = array(
		array("name"=>"新疆", "value"=>0),
		array("name"=>"内蒙古", "value"=>0),
		array("name"=>"黑龙江", "value"=>0),
		array("name"=>"吉林", "value"=>0),
		array("name"=>"甘肃", "value"=>0),
		array("name"=>"辽宁", "value"=>0),
		array("name"=>"北京", "value"=>0),
		array("name"=>"河北", "value"=>0),
		array("name"=>"山西", "value"=>0),
		array("name"=>"宁夏", "value"=>0),
		array("name"=>"山东", "value"=>0),
		array("name"=>"青海", "value"=>0),
		array("name"=>"西藏", "value"=>0),
		array("name"=>"陕西", "value"=>0),
		array("name"=>"河南", "value"=>0),
		array("name"=>"江苏", "value"=>0),
		array("name"=>"四川", "value"=>0),
		array("name"=>"重庆", "value"=>0),
		array("name"=>"湖北", "value"=>0),
		array("name"=>"安徽", "value"=>0),
		array("name"=>"上海", "value"=>0),
		array("name"=>"浙江", "value"=>0),
		array("name"=>"贵州", "value"=>0),
		array("name"=>"湖南", "value"=>0),
		array("name"=>"江西", "value"=>0),
		array("name"=>"福建", "value"=>0),
		array("name"=>"云南", "value"=>0),
		array("name"=>"广西", "value"=>0),
		array("name"=>"广东", "value"=>0),
		array("name"=>"台湾", "value"=>0),
		array("name"=>"香港", "value"=>0),
		array("name"=>"海南", "value"=>0),
		array("name"=>"天津", "value"=>0),
		array("name"=>"澳门", "value"=>0)
	);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior mydnstop_list 'ipaddr=$dns' ".
		"'page=$page' 'limit=$limit' 'longstart=$longstart' 'longend=$longend' ".
		"'errfile=$errfile' 'sort=$sort' 'bexport=$bexport' 'filename=$filename' ".
		"'devid=$devid'";
	exec($cmd, $out, $ret);
	if ($bexport == 0) {
		foreach ($out as $val) {
			$ds = explode(' ', $val);
			
			$s = iconv("gb2312", "utf-8", $ds[6]);
			$yid = (int)$ds[5];
			
			$yys_name = "";
			foreach($yys as $k=>$y) {
				if ($y["id"] == $yid) {
					$yys[$k]["y"] += (int)$ds[2];
					$yys_name = $y["x"];
				}
			}
			
			foreach($area as $k=>$val) {
				if ($area[$k]["name"] == $s) {
					$area[$k]["value"] += (int)$ds[2];
				}
			}
			
			array_push($rows, array(
				"devid"=>$ds[0],
				"dnsip"=>long2ip($ds[1]), 
				"dnscount"=>(int)$ds[2], 
				"upbytes"=>(double)$ds[3], 
				"downbytes"=>(double)$ds[4],
				"yys"=>$yys_name,
				"areastr"=>$s));
		}
		$json["rows"] = $rows;
		$json["yys"] = $yys;
		$json["area"] = $area;
	}else
		$json["file"] = $out[0];
	
	echo json_encode($json);
}

if ($type == "ipid") 
{
	$ipaddr = postval('ipaddr');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$eventtype = postval('eventtype');
	$devid = postval("devid");
	$account = isset($_POST['account']) ? iconv("utf-8", "gb2312", postval("account")) : "";

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$fieldname = $eventtype;
	if ($eventtype == "pop3login") {
		$tablefile = php_getpop3table($longstart, $longend);
		$fieldname = "QQ";
	}

	$rows = $json = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior ipidfilter 'eventtype=$eventtype' 'fieldname=$fieldname' ".
		"'ipaddr=$ipaddr' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'devid=$devid'";
	if ($account != "")
		$cmd .= " 'account=$account'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		if ($eventtype == "pop3login" && filter_var($val, FILTER_VALIDATE_EMAIL) == false)
			continue;
		$utf8 = iconv("gb2312", "utf-8", $val);
		array_push($rows, $utf8);
	}

	$json['rows'] = $rows;
	echo json_encode($json);
}

if ($type == "host_check") 
{
	$ipaddr = postval('ipaddr');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = postval("devid");
	$sort = postval("sort");
	$account = isset($_POST['account']) ? iconv("utf-8", "gb2312", postval("account")) : "";

	$cachefile = "";
	if (isset($_POST['cachefile']))
		$cachefile = postval("cachefile");
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior hostcheck 'ipaddr=$ipaddr' 'longstart=$longstart' 'longend=$longend' 'page=$page' 'limit=$limit' 'errfile=$errfile' 'devid=$devid' 'sort=$sort'";
	if (!empty($cachefile))
		$cmd .= " 'cachefile=$cachefile'";
	if (!empty($account))
		$cmd .= " 'account=$account'";

	exec($cmd, $out, $ret);
	$totalrecords = 0;
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "totalrecords")
			$totalrecords = $ds[1];
		else
			array_push($rows, array(
				"host"=>$ds[0], 
				"num"=>$ds[1], 
				"up"=>(double)$ds[2],
				"down"=>(double)$ds[3]
			));
	}
	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);	
	echo json_encode($json);
}

if ($type == "mobilestat")
{
	$strstart = $_POST['starttime'];
	$strend = $_POST['endtime'];
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$mobiles = array();
	$mos = file(MOBILETREE);
	foreach($mos as $val) {
		if ($val == "" || $val == "\n")
			continue;
		
		$ts = explode(' ', trim($val, "\r\n"));
		
		array_push($mobiles, array("name"=>$ts[0], "cname"=>iconv("gb2312", "utf-8", $ts[1]), "count"=>0));
	}
	
	$tablefile = php_mobiletable($longstart, $longend);
	$cmd = LOGDPATH."/bin/logeye user_behavior mobilestat '$longstart' '$longend' '$tablefile' '$errfile'";
	exec($cmd, $out, $ret);
	$total = 0;
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		$total += (int)$ds[1];
		
		for ($i = 0; $i < count($mobiles); $i++) {
			if ($mobiles[$i]['name'] == $ds[0]) {
				$mobiles[$i]['count'] += (int)$ds[1];
				break;
			}
		}
	}
	
	$json["rows"] = $mobiles;
	$json["total"] = $total;
	echo json_encode($json);
}
/*
if ($type == "mobile_trend") {
	$name = $_POST['name'];
	$strstart = $_POST['starttime'];
	$strend = $_POST['endtime'];
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];
	
	$longstart = strtotime($strstart);
    $longend = strtotime($strend);
	
	$tablefile = php_mobiletable($longstart, $longend);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior mobile_trend $name $longstart $longend $tablefile $errfile";
	exec($cmd, $out, $return);
	
	$json = array();
	$rows = array();
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array("x"=>((int)$ds[0])*1000, "y"=>(int)$ds[1]));
	}
	
	$json["name"] = $name;
	$json["data"] = $rows;
	echo json_encode($json);
}
*/
if ($type == "qqgraphic") 
{
	$qq = $_POST['qq'];
	$strstart = $_POST['starttime'];
	$strend = $_POST['endtime'];
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];
	
	$ipaddr = "none";
	$account = "none";
	
	$page = $_POST['page'];
	$limit = $_POST['limit'];
	
	$longstart = strtotime($strstart);
    $longend = strtotime($strend);
	
	$tablefile = php_offpictable($longstart, $longend);
	
	$rows = array();
	
	$cmd = LOGDPATH."/bin/logeye user_behavior qqgraphic_list '$qq' '$ipaddr' '$account' '$longstart' '$longend' '$page' '$limit' '$tablefile' '$errfile'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array("url"=>$ds[0], "time"=>date("Y-m-d H:i:s", $ds[1]), "srcqq"=>$ds[2]));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "addkey")
{
	$key = postval("key");
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql connect error");
		exit;
	}
	
	$cmd = "create table if not exists palog.key_custom(keyname varchar(128))ENGINE=MyISAM";
	if (mysql_query($cmd) === false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	
	$cmd = "select * from palog.key_custom where keyname = '$key'";
	if (($result = mysql_query($cmd)) === false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	if (mysql_num_rows($result) > 0) {
		outputres("no", "exists error\n");
		mysql_close($conn);
		exit;
	}
	
	$cmd = "insert into palog.key_custom (keyname) values('$key')";
	if (mysql_query($cmd) === false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	
	mysql_close($conn);
	
	outputres("yes", "");
}

if ($type == "keydele")
{
	$key = postval("key");
	
	$conn = my_mysql_connect();
	if ($conn === false) {
		outputres("no", "mysql connect error");
		exit;
	}
	
	$cmd = "delete from palog.key_custom where keyname='$key'";
	if (mysql_query($cmd) === false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	
	mysql_close($conn);
	
	outputres("yes", "");
}

if ($type == "qqgraphiclist")
{
	$devid = postval("devid");
	$ipaddr = postval('ipaddr');
	$qqnumber = postval('qqnumber');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$limit = postval('limit');
	$page = postval('page');
	$account = postval('account');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	if ($account != "")
		$account = iconv("utf-8", "gb2312", $account);
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior qqgraphic 'qq=$qqnumber' ".
		"'ipaddr=$ipaddr' 'account=$account' 'longstart=$longstart' 'longend=$longend' ".
		"'page=$page' 'limit=$limit' 'errfile=$errfile' 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array(
			"host"=>iconv("gb2312", "utf-8", $ds[0]),
			"url"=>iconv("gb2312", "utf-8", $ds[1]),
			"time"=>date("Y-m-d H:i:s", $ds[2]),
			"account"=>iconv("gb2312", "utf-8", $ds[3]),
			"qq"=>$ds[4],
			"ip"=>long2ip($ds[5]),
			"srcqq"=>$ds[6]
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "exportallqq")
{
	$strstart = $_POST['starttime'];
	$strend = $_POST['endtime'];
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$tablefile = php_offpictable($longstart, $longend);
	
	$rows = array();
	
	$cmd = LOGDPATH."/bin/logeye user_behavior exportallqq $longstart $longend '$tablefile' '$errfile'";
	exec($cmd, $out, $return);
	
	if (file_exists(TEMP_FILE."/qq.xls"))
		unlink(TEMP_FILE."/qq.xls");
	
	$fp = fopen(TEMP_FILE."/qq.xls", "a");
	if ($fp) {
		foreach($out as $val) {
			fwrite($fp, $val."\n");
		}
		fclose($fp);
	}
	outputres("yes", "");
}

if ($type == "mobile_stat") 
{
	$ipaddr = postval("ipaddr");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	//$tablefile = php_wxdnstable($longstart, $longend);
	
	$rows = array();
	$rows2 = array();
	$rows1 = array();
	$rows3 = array();
	$rowsios = array();
	$rowsand = array();
	
	$cmd = LOGDPATH."/bin/logeye user_behavior mobile_stat ".
		"'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'page=$page' ".
		"'limit=$limit' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		
		array_push($rows, array(
			"ip"=>long2ip($ds[0]), 
			"ios"=>(int)$ds[1], 
			"android"=>(int)$ds[2]));
	}
	
	array_push($rows1, array("name"=>"移动终端", "color"=>"#FF5A00", "data"=>$rows1));
	array_push($rows2, array("name"=>"IOS", "color"=>"#FF5A00", "data"=>$rowsios));
	array_push($rows3, array("name"=>"Android", "color"=>"#FF5A00", "data"=>$rowsand));
	
	$json["rows"] = $rows;
	$json["all"] = $rows1;
	$json["ios"] = $rows2;
	$json["android"] = $rows3;
	echo json_encode($json);
}

if ($type == "mobile_trend") 
{
	$ipaddr = postval("ipaddr");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$page = postval("page");
	$limit = postval("limit");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	//$tablefile = php_wxdnstable($longstart, $longend);
	
	$rows = array();
	$rows2 = array();
	$rows1 = array();
	$rows3 = array();
	$rowsios = array();
	$rowsand = array();
	
	$cmd = LOGDPATH."/bin/logeye user_behavior mobile_trend ".
		"'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {	
		$ds = explode(' ', trim($val, "\n"));		
		array_push($rows1, array("x"=>(int)$ds[1] * 1000, "y"=>(double)$ds[2]));
		array_push($rowsios, array("x"=>(int)$ds[1] * 1000, "y"=>(double)$ds[3]));
		array_push($rowsand, array("x"=>(int)$ds[1] * 1000, "y"=>(double)$ds[4]));
		
	}
	
	array_push($rows1, array("name"=>"移动终端", "color"=>"#FF5A00", "data"=>$rows1));
	array_push($rows2, array("name"=>"IOS", "color"=>"#FF5A00", "data"=>$rowsios));
	array_push($rows3, array("name"=>"Android", "color"=>"#FF5A00", "data"=>$rowsand));
	
	$json["all"] = $rows1;
	$json["ios"] = $rows2;
	$json["android"] = $rows3;
	echo json_encode($json);
}

if ($type == "iparea_check") 
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval("ipaddr");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$account = isset($_POST['account']) ? iconv("utf-8", "gb2312", postval("account")) : "";
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$arr = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior iparea_check 'ipaddr=$ipaddr' ".
		"'errfile=$errfile' 'devid=$devid' longstart=$longstart longend=$longend";
	if (!empty($account))
		$cmd .= " 'account=$account'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		$cname = iconv("gb2312", "utf-8", $ds[1]);
		array_push($arr, array("hc-key"=>$ds[0], 
			"cname"=>$cname, 
			"value"=>((double)$ds[2]+(double)$ds[3])));
	}
	
	$json["rows"] = $arr;
	echo json_encode($json);
}

if ($type == "wxuin_check") 
{
	$devid		= postval("devid");
	$strstart	= postval('starttime');
	$strend		= postval('endtime');
	$ipaddr		= postval("ipaddr");
	$wxuid		= postval("wxuid");
	$page		= postval("page");
	$limit		= postval("limit");
	$account	= iconv("utf-8", "gb2312", postval("account"));
	$errfile	= _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport	= postval("bexport");
	$account = isset($_POST['account']) ? iconv("utf-8", "gb2312", postval("account")) : "";
	
	$longstart	= strtotime($strstart);
	$longend	= strtotime($strend);

	$filename = "weixin".date("YmdHis");

	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior weixin_list ";
	$cmd .= "'ipaddr=$ipaddr' 'wxuid=$wxuid' 'page=$page' 'limit=$limit' ";
	$cmd .= "'errfile=$errfile' 'longstart=$longstart' 'longend=$longend' ";
	$cmd .= "'devid=$devid' 'account=$account' 'filename=$filename' 'bexport=$bexport'"; 
	if ($account != "")
		$cmd .= " account=$account";
	exec($cmd, $out, $return);

	if ($bexport != 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	$totalrecord = 0;
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "totalrecord") {
			$totalrecord = (int)$ds[1];
			continue;
		}
		
		if ($ds[3] == "$") $acc = "";
		else $acc = iconv("gb2312", "utf-8", $ds[3]);
		if (strstr($acc, "apid_") != false)
			$acc = "";

		$uid = $ds[0];
		if (is_numeric($uid)) {
			$uids = $uid;
		}
		else {
			if (strstr($uid, "%253D") != false) {
				$uid = str_replace("%253D", "=", $uid);
			}
			if (strstr($uid, "%3D") != false) {
				$uid = str_replace("%3D", "=", $uid);
			}
			$uids = base64_decode($uid);	
		}

		$mob = $ds[2];
		if (is_numeric($mob))
			$mob = long2ip($mob);
		$mac = "";
		if (json_encode($ds[7]))
			$mac = $ds[7];

		if (GTP) {
			array_push($rows, array(
				"uid"=>iconv("gb2312", "utf-8", $uids), 
				"ip"=>long2ip($ds[1]), 
				"mobile"=>$mob, 
				"acc"=>($acc),
				"time"=>date("Y-m-d H:i:s", $ds[4]),
				"sport"=>(int)$ds[5],
				"dport"=>(int)$ds[6],
				"mac"=>$mac,
				"devid"=>$ds[8],
				"tun_src"=>long2ip($ds[9]),
				"tun_stid"=>$ds[10],
				"tun_dst"=>long2ip($ds[11]),
				"tun_dtid"=>$ds[12]
			));

		}
		else {
			array_push($rows, array(
				"uid"=>iconv("gb2312", "utf-8", $uids), 
				"ip"=>long2ip($ds[1]), 
				"mobile"=>$mob, 
				"acc"=>($acc),
				"time"=>date("Y-m-d H:i:s", $ds[4]),
				"sport"=>(int)$ds[5],
				"dport"=>(int)$ds[6],
				"mac"=>$mac,
				"devid"=>$ds[8]
			));
		}
	}

	$json = array("rows"=>$rows, "totalrecord"=>$totalrecord);
	echo json_encode($json);
}

if ($type == "wxgraphiclist") 
{
	$devid = postval("devid");
	$account = postval("account");
	$ipaddr = postval("ipaddr");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	if ($account != "") 
		$account = iconv("utf-8", "gb2312", $account);
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior wxgraphiclist 'ipaddr=$ipaddr' ".
		"'account=$account' 'errfile=$errfile' 'page=$page' 'limit=$limit' ".
		"'longstart=$longstart' 'longend=$longend' 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[3] == "$") $acc = "";
		else $acc = iconv("gb2312", "utf-8", $ds[3]);
		if (strstr($acc, "apid_") != false)
			$acc = "";
		
		array_push($rows, array("host"=>$ds[0], "url"=>$ds[1], 
			"time"=>date("Y-m-d H:i:s", $ds[2]), 
			"account"=>$acc, 
			"srcip"=>long2ip($ds[4])));
	}
	
	$json["rows"] = $rows;
    echo json_encode($json);
}

if ($type == "wxvideo") 
{
	$devid = postval("devid");
	$account = postval("account");
	$ipaddr = postval("ipaddr");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$filter_repeat = postval("filter_repeat");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	if ($account != "") 
		$account = iconv("utf-8", "gb2312", $account);
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$arr = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior wxvideolist 'ipaddr=$ipaddr' 'account=$account' 'errfile=$errfile' 'page=$page' 'limit=$limit' 'longstart=$longstart' 'longend=$longend' 'devid=$devid' 'filter_repeat=$filter_repeat'";
       	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[3] == "$") $acc = "";
		else $acc = iconv("gb2312", "utf-8", $ds[3]);
		if (strstr($acc, "apid_") != false)
			$acc = "";
		
		array_push($arr, array("host"=>$ds[0], "url"=>$ds[1], 
			"time"=>date("Y-m-d H:i:s", $ds[2]), 
			"account"=>$acc, 
			"srcip"=>long2ip($ds[4])));
	}
	
	$json["rows"] = $arr;
    echo json_encode($json);
}

if ($type == "urlcontent")
{
	$URL = 'http://'.postval('host').postval('url');

	$handle = fopen ($URL, "rb"); 
	if($handle) {
		$data = ""; 
		while (!feof($handle))
			$data .= fread($handle, 1024); 

		fclose($handle);
		echo  $data;
	}
	else {
		echo "not data";
	}
}

if ($type == "ipfilter_config")
{
	$findit = 0;
	$grpid = postval("grpid");
	
	$lines = file(LOG_CONF);
	foreach($lines as $k=>$val) {
		if (strstr($val, "ipfilter_grpid") !== false) {
			$lines[$k] = "ipfilter_grpid=$grpid\n";
			$findit = 1;
			break;
		}
	}
	
	if (($fp = fopen(LOG_CONF, "w"))) {
		foreach($lines as $val) {
			fprintf($fp, $val);
		}
		if ($findit == 0)
			fprintf($fp, "ipfilter_grpid=$grpid\n");
		fclose($fp);
	}

	exec("/usr/logd/bin/panalogeye receiver set ipfreload=1");
	
	outputres("yes", "");
}

if ($type == "ipfilter_detail")
{
	$rows = array();

	$cmd = PANALOGEYE." receiver stat tag=ipfilter";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list ($tag, $tm, $ip, $mat) = explode(' ', $val);
		if ($tag != "ipf")
			continue;
		array_push($rows, array(
			"ip"=>$ip,
			"tm"=>$tm == 0 ? "" : date("Y/m/d H:i:s", $tm),
			"mat"=>$mat
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "iptrack_check")
{
	$device = postval("device");
	$ipaddr = postval("ipaddr");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];
	$filename = "lnglat".date("YmdHis");
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior iptrack_check 'devid=$device' ".
		"'ipaddr=$ipaddr' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' ".
		"'filename=$filename' 'iptype=$iptype' 'grpid=$grpid'";
	exec($cmd, $out, $ret);
	outputres("yes", $filename);
}

if ($type == "offline_track")
{
	$device = postval("device");
	$ipaddr = postval("ipaddr");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];
	$cachefile = postval("cachefile");
	$page = postval("page");
	$limit = postval("limit");
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior offline_track 'devid=$device' ".
		"'ipaddr=$ipaddr' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' ".
		"'iptype=$iptype' 'grpid=$grpid' 'cachefile=$cachefile' 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);

	$totalrecord = 0;
	$rows = array();
	foreach($out as $line) {
		list($lat, $lng, $time, $account, $src) = explode(',', $line);
		if ($lat == "totalrecord") {
			$totalrecord = $lng;
			continue;
		}
		array_push($rows, array(
			"lnglat"=>$lat.",".$lng,
			"time"=>date("Y-m-d/H:is", $time),
			"account"=>($account != "") ? iconv("gb2312", "utf-8", $account) : "",
			"srcip"=>long2ip($src)
		));
	}
	$json = array("code"=>0, "data"=>$rows, "msg"=>"", "totalrecord"=>$totalrecord);
	echo json_encode($json);
}

if ($type == "iptrack_update")
{
	$filename = postval("filename");
	
	sleep(1);
	
	$limit = postval("limit");
	$start = postval("start");
	
	$rows = array();
	$rows2 = array();
	$baidu = array();
	
	$lat = "/usr/logdata/tmp/$filename";
	if (!file_exists($lat))
		exit;

	$fp = fopen($lat, "r");
	if (!$fp) return false;
	
	$count = 0;
	while (!feof($fp)) {
		$val = fgets($fp);
		
		if ($count >= ($start+$limit))
			break;
		
		if ($count >= $start && $count <= ($start+$limit)) {
			$ds = explode(' ', trim($val, "\n"));
			
			if (strlen($ds[0]) <= 5 || 
				strlen($ds[1]) <= 5 || 
				$ds[0] == "103.99999999999999") 
				continue;
			if (substr($ds[0], 1) == '0' || 
				substr($ds[1], 1) == '0') 
				continue;
			if (strchr($ds[0], '-') != false || 
				strchr($ds[0], '&') != false || 
				strchr($ds[0], '?') != false) 
				continue;
			if (strchr($ds[1], '-') != false || 
				strchr($ds[1], '&') != false || 
				strchr($ds[1], '?') != false) 
				continue;
			if ($ds[2] == "1") 
				array_push($baidu, array(
					"lng"=>(double)$ds[0] + 0.0065,
					"lat"=>(double)$ds[1] + 0.0015,
					"count"=>(int)$ds[3]*100
				));
			else {
				array_push($rows, array(
					"lng"=>(double)$ds[0],
					"lat"=>(double)$ds[1],
					"count"=>(int)$ds[3]*100
				));
			}
		}
		$count++;
	}
	fclose($fp);
	
	$json["rows"] = $rows;
	$json["baidu"] = $baidu;
	echo json_encode($json);
}

if ($type == "iptrack_deletefile") {
	$filename = postval("filename");
	
	if (file_exists("/usr/logdata/$filename"))
		unlink("/usr/logdata/$filename");
}

if ($type == "hostiplist")
{
	$devid = postval("devid");
	$host = postval("host");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$sort = postval("sort");
	$bexport = postval("bexport");
	$page = postval("page");
	$limit = postval("limit");
	$addrtype = postval("addrtype");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	if ($host == "") $host = "none";

	switch($bexport) {
	case 1:
		$filename = date("YmdHis").".xls";
		break;

	case 2:
		$filename = date("YmdHis").".txt";
		break;

	case 3:
		$filename = date("YmdHis").".csv";
		break;

	default:
		$filename = "none";
	}

	$rows = array();
	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_hostiplist ";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior hostiplist ";
	$cmd .= "'devid=$devid' 'domain=$host' 'sort=$sort' 'errfile=$errfile' ";
	$cmd .= "'longstart=$longstart' 'longend=$longend' 'bexport=$bexport' ";
	$cmd .= "'filename=$filename' 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[0],
				"count"=>(int)$ds[1],
				"upbytes"=>(double)$ds[2],
				"downbytes"=>(double)$ds[3]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"count"=>(int)$ds[1],
				"upbytes"=>(double)$ds[2],
				"downbytes"=>(double)$ds[3]
			));
		}
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "heatiplist")
{
	$lnglatstr = postval("lnglatstr");
	$device = postval("device");
	$ipaddr = postval("ipaddr");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$page = postval("page");
	$limit = postval("limit");
	$bexport = postval("bexport");

	$cachefile = postval("cachefile");
	$filename = "lnglat".date("YmdHis").".xls";
	
	$lnglatstr = str_replace('_', ',', $lnglatstr);
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior heatiplist 'devid=$device' ".
		"'ipaddr=$ipaddr' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' ".
		"'lnglat=$lnglatstr' 'iptype=$iptype' 'grpid=$grpid' 'page=$page' 'limit=$limit'";
	$cmd .= " 'cachefile=$cachefile' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);

	if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}

	$totalrecords = 0;	
	$rows = $json = array();
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[0] == "total") {
			$totalrecords = $ds[1];
			continue;
		}

		array_push($rows, array(
			"srcip"=> long2ip($ds[0]),
			"time"=>date("Y-m-d H:i:s", $ds[1]),
			"lng"=>$ds[2],
			"lat"=>$ds[3],
			"account"=>$ds[4]
		));
	}
	
	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);
	echo json_encode($json);
}

if ($type == "imei_check")
{
	$devid = postval("devid");
	$account = postval("account");
	$ipaddr = postval("ipaddr");
	$imei = postval("imei");
	$imsi = postval("imsi");
	$brand = postval("brand");
	$umac = postval("umac");
	$page = postval("page");
	$limit = postval("limit");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	
	if ($account != 0) 
		$account = iconv("utf-8", "gb2312", $account);
	$filename = "imei".date("YmdHis");
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	$rows = $json = array();
	
	$cmd = LOGDPATH."/bin/logeye user_behavior imei_check 'devid=$devid' ".
		"'ipaddr=$ipaddr' 'account=$account' 'imei=$imei' 'imsi=$imsi' 'brand=$brand' ".
		"'umac=$umac' 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' ".
		"'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	if ($bexport == 0) {
		foreach($out as $val) {
			$ds = explode(',', $val);
			
			if ($ds[8] == "$") 
				$ds[8] = "";
			
			$desc1 = $ds[6];
			if (!is_utf8($ds[6]))
				$desc1 = iconv("gb2312", "utf-8", $ds[6]);

			if (GTP) {
				array_push($rows, array(
					"devid"=>$ds[0],
					"ipaddr"=>long2ip($ds[1]),
					"time"=>date("Y-m-d H:i:s", $ds[2]),
					"imei"=>$ds[3],
					"imsi"=>$ds[4],
					"umac"=>$ds[5],
					"desc1"=>$desc1,
					"desc2"=>$ds[7],
					"account"=>iconv("gb2312", "utf-8", $ds[8]),
					"tun_src"=>long2ip($ds[9]),
					"tun_stid"=>$ds[10],
					"tun_dst"=>$ds[11],
					"tun_dtid"=>$ds[12]
				));
			}
			else {	
				array_push($rows, array(
					"devid"=>$ds[0],
					"ipaddr"=>long2ip($ds[1]),
					"time"=>date("Y-m-d H:i:s", $ds[2]),
					"imei"=>$ds[3],
					"imsi"=>$ds[4],
					"umac"=>$ds[5],
					"desc1"=>$desc1,
					"desc2"=>$ds[7],
					"account"=>iconv("gb2312", "utf-8", $ds[8])
				));
			}
		}
		
		$json["rows"] = $rows;
		echo json_encode($json);
	}else
	{
		$json['file'] = $filename;
		echo json_encode($json);
	}
	
}

if ($type == "ssid_check")
{
	$devid = postval("devid");
	$account = postval("account");
	$ipaddr = postval("ipaddr");
	$ssid = postval("ssid");
	$bssid = postval("bssid");
	$mydesc = strtolower(postval("mydesc"));
	$wifimac = postval("wifimac");
	$page = postval("page");
	$limit = postval("limit");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	
	if ($account != "") 
		$account = iconv("utf-8", "gb2312", $account);
	
	$filename = "ssid".date("YmdHis");

	$longstart = strtotime($starttime);
       	$longend = strtotime($endtime);

	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior ssid_check 'devid=$devid' ".
		"'ipaddr=$ipaddr' 'account=$account' 'ssid=$ssid' 'bssid=$bssid' ".
		"'mydesc=$mydesc' 'wifimac=$wifimac' longstart=$longstart longend=$longend ".
		"'errfile=$errfile' 'page=$page' 'limit=$limit' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	if ($bexport == 0) {
		foreach($out as $val) {
			$ds = explode(',', $val);
			
			if ($ds[8] == "$") $ds[8] = "";
			
			$ssid = $ds[3];
			for ($i = 0; $i < strlen($ssid); $i++) {
				if ($ssid[$i] == '"')
					$ssid[$i] = '';
			}

			if (is_utf8($ssid)) {
				if (json_encode($ssid) == null)  
					$ssid = "";    
				else
				$ssid = $ssid;
			}
			else
				$ssid = iconv("gb2312", "utf-8", $ssid);

			
			$bssid = $ds[4];
			for ($i = 0; $i < strlen($bssid); $i++)
				if ($bssid[$i] == '"')
					$bssid[$i] = '';
				
			$bssid_desc = iconv("gb2312", "utf-8", $ds[6]);
			for ($i = 0; $i < strlen($bssid_desc); $i++)
				if ($bssid_desc[$i] == '"')
					$bssid_desc[$i] = '';

			$mac_desc = iconv("gb2312", "utf-8", $ds[7]);
			for ($i = 0; $i < strlen($mac_desc); $i++)
				if ($mac_desc[$i] == '"')
					$mac_desc[$i] = '';

			array_push($rows, array(
				"devid"=>$ds[0],
				"ipaddr"=>long2ip($ds[1]),
				"time"=>date("Y-m-d H:i:s", $ds[2]),
				"ssid"=>$ssid,
				"bssid"=>$bssid,
				"wifimac"=>$ds[5],
				"bssid_desc"=>iconv("gb2312", "utf-8", $bssid_desc),
				"mac_desc"=>iconv("gb2312", "utf-8", $mac_desc),
				"account"=>iconv("gb2312", "utf-8", $ds[8])
			));
		}
		
		$json["rows"] = $rows;
		echo json_encode($json);
	}else
	{
		$json['file'] = $filename;
		echo json_encode($json);
	}
}

if ($type == "dns_topdomain")
{
	$devid = postval("devid");
	$domain = postval("domain");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval('page');
	$limit = postval("limit");
	$bexport = postval('bexport');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$filename = "dns".date("YmdHis");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	
	$cmd = LOGDPATH."/bin/logeye user_behavior dns_topdomain ".
		"'domain=$domain' 'page=$page' 'limit=$limit' 'bexport=$bexport' ".
		"'filename=$filename' 'errfile=$errfile' 'longstart=$longstart' ".
		"'longend=$longend' 'devid=$devid'";
	exec($cmd, $out, $return);
	if ($bexport == 0) {
		foreach($out as $val) {
			$ds = explode(' ', $val);

			$domain = $ds[0];
			if (json_encode($domain) == false)
				continue;

			array_push($rows, array(
				"domain"=>$domain,
				"count"=>(int)$ds[1]
			));
		}
		
		$json["rows"] = $rows;
		echo json_encode($json);
	}
	else {
		$json["file"] = $filename;
		echo json_encode($json);
	}
}

if ($type == "domain_dnslist")
{
	$domain = postval("domain");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	//$tablefile = php_dnscounttable($longstart, $longend);

	$rows = $json = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior domain_dnslist ".
		"'domain=$domain' 'errfile=$errfile' longstart=$longstart ".
		"longend=$longend";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array(
			"dnsip"=>long2ip($ds[0]),
			"count"=>(int)$ds[1]
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "urlexportfilelist")
{
	$filetag = postval("filetag");
	if ($filetag != "")
		$filetag = date("YmdHis", $filetag);
	
	$rows = array();
	if (($dp = opendir(TEMP_FILE)) != false) {
		while (($fname = readdir($dp)) != false) {
			if ($filetag != "" && strstr($fname, $filetag) != false) {
				array_push($rows, array(
					"filename"=>$fname,
					"filesize"=>filesize(TEMP_FILE."/".$fname)
				));
			}else {
				if (strstr($fname, "url") != false && strstr($fname, "html") == false) {
					array_push($rows, array(
						"filename"=>$fname,
						"filesize"=>filesize(TEMP_FILE."/".$fname)
					));
				}
			}
		}
		closedir($dp);
	}else
		echo "fail";
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "urlexportfiledelete")
{
	$filetag = postval("filetag");
	if ($filetag != "")
		$filetag = date("YmdHis", $filetag);
	
	$rows = array();
	if (($dp = opendir(TEMP_FILE)) != false) {
		while (($fname = readdir($dp)) != false) {
			if ($filetag != "" && strstr($fname, $filetag) != false) {
				unlink(TEMP_FILE."/".$fname);
			}else {
				if (strstr($fname, "_") != false && 
					strstr($fname, "url") != false)
					unlink(TEMP_FILE."/".$fname);
			}
		}
		closedir($dp);
	}
	
	outputres("yes", "");
}

if ($type == "urlexport_configure")
{
	$devid = postval('devid');
	$ipaddr = postval('ipaddr');
	$dstip = postval("dstip");
	$domain = postval('domain');
	$url = postval('url');
	$acctype = postval("acctype");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$topn = postval('topn');
	$account = postval('account');
	$errfile = _CHECKING_STATUS_F.'/urlexport.st';
	$bexport = postval('bexport');
	$appid = postval("appid");
	$filetag = postval("filetag");
	$urlyys = postval("urlyys");

	$start = postval('start');
	$limit = postval('limit');
	
	if ($bexport == 1)
		$filename = "url".date("YmdHis", $filetag).".xls";
	else if ($bexport == 2)
		$filename = "url".date("YmdHis", $filetag).".txt";
	else if ($bexport == 3)
		$filename = "url".date("YmdHis", $filetag).".csv";
	else $filename = "none";

	if ($ipaddr == "") 
		$ipaddr = "none";
	else 
		$ipaddr = ip2long($ipaddr);
	if ($dstip == "") 
		$dstip = "none";
	else 
		$dstip = ip2long($dstip);
	
	if ($domain == "")
		$domain = "none";
	if ($acctype == "")
		$acctype = "none";

	if ($url != "")
		$url = @mysql_real_escape_string($url);
	else 
		$url = "none";

	if ($account != "")
		$account = iconv("utf-8", "gb2312", $account);
	else
		$account = "none";

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$tablefile = php_geturltable($longstart, $longend);
	
	if (file_exists("/var/tmp/urlexporting")) {
		outputres("no", "当前有任务在执行。");
		exit;
	}
	
	$cmd = LOGDPATH."/bin/logeye urlcheck $devid $ipaddr '$domain' ".
		"'$account' $longstart $longend '$tablefile' '$url' $bexport ".
		"'$filename' '$errfile' $topn '$acctype' $appid $dstip $urlyys";
	$urlexport_conf = "/usr/logd/bin/urlexport.conf";
	if (($fp = fopen($urlexport_conf, "w")) != false) {
		fwrite($fp, $cmd."\n");
		fclose($fp);
	}
	
	outputres("yes", "");
}

if ($type == "urlexport_stat")
{
	if (file_exists("/var/tmp/urlexporting"))
		echo "yes";
	else
		echo "no";
}

if ($type == "wxgraph_enable")
{
	$enable = postval("wxgraph_enable");
	
	if (!file_exists(LOG_CONF)) {
		outputres("no", LOG_CONF." not exists");
		exit;
	}
	$e = 0;
	$lns = file(LOG_CONF);
	foreach($lns as $k => $val) {
		if (strstr($val, "wxgraph_enable") != false) {
			$lns[$k] = "wxgraph_enable=$enable\n";
			$e = 1;
			break;
		}
	}
	if (!$e)
		array_push($lns, "wxgraph_enable=$enable\n");
	
	$fp = fopen(LOG_CONF, "w");
	if ($fp) {
		foreach($lns as $val) {
			fwrite($fp, $val);
		}
		fclose($fp);
	}
	
	exec("killall log_serhit");
	
	outputres("yes", "");
	
	exit;
}

if ($type == "qqgraph_enable")
{
	$enable = postval("qqgraph_enable");
	
	if (!file_exists(LOG_CONF)) {
		outputres("no", LOG_CONF." not exists");
		exit;
	}
	$e = 0;
	$lns = file(LOG_CONF);
	foreach($lns as $k => $val) {
		if (strstr($val, "qqgraph_enable") != false) {
			$lns[$k] = "qqgraph_enable=$enable\n";
			$e = 1;
			break;
		}
	}
	if (!$e)
		array_push($lns, "qqgraph_enable=$enable\n");
	
	$fp = fopen(LOG_CONF, "w");
	if ($fp) {
		foreach($lns as $val) {
			fwrite($fp, $val);
		}
		fclose($fp);
	}
	
	exec("killall log_serhit");
	
	outputres("yes", "");
	
	exit;
}

if ($type == "wxvido_enable")
{
	$enable = postval("wxvido_enable");
	
	if (!file_exists(LOG_CONF)) {
		outputres("no", LOG_CONF." not exists");
		exit;
	}
	$e = 0;
	$lns = file(LOG_CONF);
	foreach($lns as $k => $val) {
		if (strstr($val, "wxvido_enable") != false) {
			$lns[$k] = "wxvido_enable=$enable\n";
			$e = 1;
			break;
		}
	}
	if (!$e)
		array_push($lns, "wxvido_enable=$enable\n");
	
	$fp = fopen(LOG_CONF, "w");
	if ($fp) {
		foreach($lns as $val) {
			fwrite($fp, $val);
		}
		fclose($fp);
	}
	
	exec("killall log_serhit");
	
	outputres("yes", "");
	
	exit;
}

if ($type == "useryysflow")
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval("ipaddr");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$account = isset($_POST['account']) ? iconv("utf-8", "gb2312", postval("account")) : "";
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$x = $y = $fl = $json = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior useryysflow_check 'ipaddr=$ipaddr' ".
		"'errfile=$errfile' 'devid=$devid' longstart=$longstart longend=$longend";
	if ($account != "")
		$cmd .= " 'account=$account'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);

		array_push($x, iconv("gb2312", "utf-8", $ds[1]));
		array_push($y, (float)$ds[3]+(float)$ds[4]);
		array_push($fl, (float)$ds[2]);
	}

	$json["x"] = $x;
	$json["y"] = $y;
	$json["fl"] = $fl;
	echo json_encode($json);
}

if ($type == "ipdns_detail")
{
	$ipaddr = postval('ipaddr');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$page = postval("page");
	$limit = postval("limit");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$devid = isset($_REQUEST["devid"]) ? postval("devid") : 0;
	$cachefile = postval("cachefile");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior ipdns_detail 'devid=$devid' 'ipaddr=$ipaddr' 'page=$page' 'limit=$limit' longstart=$longstart longend=$longend 'errfile=$errfile' 'sort=$sort' 'cachefile=$cachefile'";
	exec($cmd, $out, $return);
	foreach ($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecords") {
			$json["totalrecords"] = $ds[1];
			continue;
		}

		array_push($rows, array("dns"=>long2ip($ds[0]), 
			"count"=>(int)$ds[1], 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}


?>
