<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js?id=<?=rand()?>"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/Calendar.js"></script>

<script type="text/javascript">
function usermap_check()
{
	var devid = getdevice();
       	var start = $("#start").val();
	var end = $("#end").val();
	var domain = $("#domain").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
       
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
       	cluster_get_status(errname);
	
	$.ajax({
		url:'../user_behavior/ajax_user_map.php',
		data:{action: "user_map", devid:devid, starttime:starttime, endtime:endtime, errname:errname, domain: domain},
		type:'post',
		dataType:'json',
		success:function(json){
			$("#map-outer").show();
			$("#info-outer").show();
			$("#hostinfo-outer").show();

			cluster_load_hide();
			usermap_update(json);
			maps_display(json);
		}
	});
}

function usermap_update(json)
{
	var maxvalue = 0;
	for (i = 0; i < json.rows.length; i++)
		if (json.rows[i].value > maxvalue)
			maxvalue = json.rows[i].value;
		
	var myChart = echarts.init(document.getElementById('map'));
	myChart.setOption({
		title : {
			text: '外网用户访问内网服务器所属区域分布图',
			x:'center',
			textStyle: { fontSize: 12, fontWeight: 'bold', fontFamily:"微软雅黑" }
		},
		tooltip : {
			trigger: 'item',
			textStyle: { fontSize: 14, fontWeight: 'normal' },
			formatter: function(params, ticket, callback){
				return params.name+'：'+(params.value);
			}
		},
		dataRange: {
			//orient: 'horizontal',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#CF1F07', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		series : [
			{
				name: '区域流量数据分布图',
				type: 'map',
				mapType: 'china',
				//selectedMode : 'multiple',
				itemStyle:{
					normal:{label:{show:true}, borderColor: '#ddd', areaStyle:{color:'f5f5f5'}},
					emphasis:{label:{show:true}}
				},
				data: json.rows
			}
		]
	}, true);
	
	var ecConfig = require('echarts/config');
	myChart.on(ecConfig.EVENT.CLICK, umap_detail);
}

function umap_detail(param)
{
	var left = (window.screen.width - 900) / 2;
	var height = window.screen.height - 150;

	var devid = getdevice();
	var domain = $("#domain").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	var name =  param;
	if (param.name)
		name = param.name;
	
	window.open("umap_detail.php?areaname="+name+"&devid="+devid+"&starttime="+
		starttime+"&endtime="+endtime+"&domain="+domain, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function maps_display(json)
{
	var trbg = "";
	var list = document.getElementById("areainfo");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];
		oper = '<a href="javascript:umap_detail(\''+r.cname+'\')">'+r.cname+'</a>';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = oper;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.value;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);

		trbg = (trbg == "") ? "log-table-tr-toggle-bgcolor-curr" : "";
	}
	trbg = "";
	list = document.getElementById("hostinfo");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.host.length; i++) {
		r = json.host[i];

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.host;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.count;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);

		trbg = (trbg == "") ? "log-table-tr-toggle-bgcolor-curr" : "";
	}
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="../user_behavior/url_map.php">域名地图</a></li>
			<li class="active"><a href="../user_behavior/user_map.php">用户地图</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>域名</label>
				<input type="text" value="" id="domain" style="width:150px;" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="usermap_check()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div id="map-outer" style="float:left; width:50%; display:none;">
		<div style="width:100%;color:#686868;">
		<p>
		&nbsp;原理：统计访问内网服务器的外网用户所属区域排名及外网用户所属区域分布；</br>
		&nbsp;1，此功能数据来源于”会话日志“；在网关设备上开启；</br>
		&nbsp;2，需要开启数据的访问方向，需要在网关设备上开启方向：floweye logger config flow_logtcpdir=1；
		检查开关是否打开：floweye logger stat | grep flow_logtcpdir </br>
		&nbsp;3、在”流量流向-》IP群组“处将对外的服务器IP地址建立成组；</br>
		&nbsp;4、重启统计服务；</br>
		</p>
		</div>
		<div id="map" style="width:100%;height:450px;text-align:center;"></div>
	</div>
	<div id="info-outer" style="float:left; width:48%;height:300px;left:10px; margin:10px 0 0 10px; display:none; overflow:auto;">
		<table id="areainfo" style="width:100%;">
			<tr>
				<th style="width:50px;">编号</th>
				<th style="width:180px;">区域</th>
				<th class="txt-right">访问量</th>
				<th class="txt-right">上行流量</th>
				<th class="txt-right">下行流量</th>
			</tr>
		</table>
	</div>
	<div id="hostinfo-outer" style="float:left; width:48%;height:300px;left:10px; margin:10px 0 0 10px; display:none; overflow:auto;">
		<table id="hostinfo" style="width:100%;">
			<tr>
				<th style="width:50px;">编号</th>
				<th style="width:180px;">域名</th>
				<th class="txt-right">访问量</th>
				<th class="txt-right">上行流量</th>
				<th class="txt-right">下行流量</th>
			</tr>
		</table>
		<div class="clearfloat"></div>
       	</div>
</div>
<script src="../js/echarts/echarts.js"></script>
<script type="text/javascript">
showdevicetree();
Highcharts.setOptions({ global: { useUTC: false } });
var echarts;
require.config({
	paths: {
		echarts: '../js/echarts'
	}
});
require(
	[
		'echarts',
		'echarts/chart/map'
	],
	function(ec) {
		echarts = ec;
	}
);
</script>
</body>
</html>
