<?php
$nodedoc = dirname(__FILE__);
$docroot = "/usr/logd/www";
include($docroot."/common.php");

// 20220703 add
$cmd = "/usr/logd/bin/panalogeye node stat";
exec($cmd, $out, $ret);
$masterip = "";
foreach($out as $obj) {
    list($tag, $val) = explode('=', trim($obj));
    if ($tag == "masterip") {
        $masterip = $val;
    }
}

$remote_addr = $_SERVER["REMOTE_ADDR"];
if ($masterip !== $remote_addr && $remote_addr != "127.0.0.1" && !chksession()) {
	echo "invalid ip: ".$remote_addr;
    exit;
}

if(isset($_REQUEST["username"])){
	$username = postval("username");
	$dir = $nodedoc."/tmp/".$username."/";
}
else
	$dir = $nodedoc."/tmp/";

if (($dp = opendir($dir)) != false) {
	while (($fname = readdir($dp)) != false) {
		if ($fname == "." || $fname == "..")
			continue;
		if(is_dir($dir."/$fname"))
			continue;
		echo $fname." ".filesize($dir."/$fname")." ".filectime($dir."/$fname")."\n";
	}
	closedir($dp);
}
?>
