<?php
$docroot = "/usr/logd/www";
include($docroot."/common.php");

// 20220703 add
$cmd = "/usr/logd/bin/panalogeye node stat";
exec($cmd, $out, $ret);
$masterip = "";
foreach($out as $obj) {
    list($tag, $val) = explode('=', trim($obj));
    if ($tag == "masterip") {
        $masterip = $val;
    }
}

$remote_addr = $_SERVER["REMOTE_ADDR"];
if ($masterip !== $remote_addr && $remote_addr != "127.0.0.1" && !chksession()) {
	echo "invalid ip: ".$remote_addr;
    	exit;
}

$panalogeye = "/usr/logd/bin/panalogeye";
$action = postval("action");
if ($action == "serverdelay")
{
	$grpid = postval("grpid");
	$cmd = $panalogeye." npmserver config 'serverdelay_grpid=$grpid'";
	exec($cmd);
}

if ($action == "reload")
{
	$cmd = $panalogeye." sessiptbl config reload=1";
	exec($cmd);
}

if ($action == "flowalert_findfromdstip_enable" || 
	$action == "flowalert_findfromdstip_disable")
{
	$flowalert_findfromdstip_enable = 0;
	switch($action) {
	case "flowalert_findfromdstip_enable":
		$flowalert_findfromdstip_enable = 1;
		break;
	case "flowalert_findfromdstip_disable":
		$flowalert_findfromdstip_enable = 0;
		break;
	}

	$cmd = PANALOGEYE." sessiptbl config 'flowalert_findfromdstip_enable=$flowalert_findfromdstip_enable'";
	exec($cmd);
}

if ($action == "flowalert_disable" || 
	$action == "flowalert_enable")
{
	$enable = 0;
	switch($action) {
	case "flowalert_enable":
		$enable = 1;
		break;
	case "flowalert_disable":
		$enable = 0;
		break;
	}

	$cmd = PANALOGEYE." sessiptbl config flowalert=$enable";
	exec($cmd);
}
?>
