<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$devid = postval('devid');
$strstart = postval('tmstart');
$strend = postval('tmend');
$linkid = postval('linkid');
$appid = postval("appid");
$focus_time = postval("focus_time");
$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
$bexport = postval("bexport");
$addrtype = postval("addrtype");
if ($addrtype == "ipv6")
	$addrtype = 2;
else
	$addrtype = 1;

$longstart = strtotime($strstart);
$longend = strtotime($strend);

$filename = date("YmdHis").".xls";

$json = $sorts = $rows = array();
$cmd = LOGDPATH."/bin/logeye user_behavior focus_trend 'devid=$devid' 'focus_time=$focus_time' 'longstart=$longstart' 'longend=$longend' 'appid=$appid' 'linkid=$linkid' 'errfile=$errfile' 'bexport=$bexport' 'filename=$filename' 'addrtype=$addrtype'";
exec($cmd, $out, $return);

if ($bexport) {
	$json['file'] = $filename;
       	echo json_encode($json);
	exit;
}

foreach($out as $val) {
	$ds = explode(' ', $val);
	array_push($rows, array(
		"appid"=>(int)$ds[0],
		"cname"=>iconv("gb2312", "utf-8", $ds[1]),
		"segsec"=>(int)$ds[2],
		"up"=>(float)$ds[3],
		"down"=>(float)$ds[4],
		"total"=>(float)$ds[3]+(float)$ds[4]
	));
	$total = (float)$ds[3]+(float)$ds[4];
	array_push($sorts, $total);
}

array_multisort($sorts, SORT_DESC, $rows);

$json["rows"] = $rows;
echo json_encode($json);
?>
