<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

if (isset($_POST["type"]))
	$type = $_POST["type"];
else {
	outputres("no", "no type");
	exit;
}

if ($type == "wlist_ipdetail")
{
	$ipaddr = postval("ipaddr");
	$appid = postval("appid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$cachefile = postval("cachefile");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior wlist_ipdetail";
	$cmd .= " 'appid=$appid' 'ipaddr=$ipaddr' 'longstart=$longstart' ";
	$cmd .= "'longend=$longend' 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	$cmd .= " 'cachefile=$cachefile'";
	exec($cmd, $out, $ret);

	$total = 0;
	$rows = array();
	foreach($out as $val) {
		list($src, $dst, $sport, $dport, $start, $end, $appname, $proto, $up, $down) = explode(',', trim($val));
		if ($src == "total") {
			$total = $dst;
			continue;
		}

		array_push($rows, array(
			"src"=>long2ip($src),
			"dst"=>long2ip($dst),
			"sport"=>$sport,
			"dport"=>$dport,
			"start"=>date("Y:m:d H:i:s", $start),
			"end"=>date("Y:m:d H:i:s", $end),
			"appname"=>iconv("gb2312", "utf-8", $appname),
			"proto"=>$proto,
			"up"=>$up,
			"down"=>$down
		));
	}
	$json = array("rows"=>$rows, "totalrecords"=>$total);
	echo json_encode($json);
}

if ($type == "wlist_custom_check")
{
	$ipaddr = postval("ipaddr");
	$appid = postval("appid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$cachefile = postval("cachefile");
	$bexport = postval("bexport");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	$filename = "wlist".date("YmdHis");

	$cmd = LOGDPATH."/bin/logeye user_behavior wlist_check";
	$cmd .= " 'appid=$appid' 'ipaddr=$ipaddr' longstart=$longstart ";
	$cmd .= "longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit' ";
	$cmd .= " 'cachefile=$cachefile' 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	if ($bexport == 0) {
		$totalrecords = 0;
		$rows = array();
		foreach($out as $val) {
			list($tag, $ip, $appid, $appcname, $flowcnt, $upbytes, 
				$downbytes, $dstip, $dport) = explode(',', $val);
			if ($tag == "total") {
				$totalrecords = $ip;
				continue;
			}
			array_push($rows, array(
				"ip"=>long2ip($ip),
				"appid"=>$appid,
				"appcname"=>iconv("gb2312", "utf-8", $appcname),
				"flowcnt"=>$flowcnt,
				"upbytes"=>$upbytes,
				"downbytes"=>$downbytes,
				"dstip"=>long2ip($dstip),
				"dport"=>$dport
			));
		}
		$json = array("totalrecords"=>$totalrecords, "rows"=>$rows);
		echo json_encode($json);
	}
	else {
		$json['file'] = $filename;
		echo json_encode($json);
	}
}

if ($type == "flowalert_disable" || 
	$type == "flowalert_enable")
{
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $uuid) = explode(' ', $val);	
		if ($ipaddr == "ipaddr") continue;
		if (($fp = fopen("http://".$ipaddr.":4816/sessiptbl.php?action=$type", "r")) != false)
			fclose($fp);
	}

	$enable = 0;
	switch($type) {
	case "flowalert_enable":
		$enable = 1;
		break;
	case "flowalert_disable":
		$enable = 0;
		break;
	}

	$cmd = PANALOGEYE." sessiptbl config 'flowalert=$enable'";
	exec($cmd);
}

if ($type == "flowalert_findfromdstip_enable" || 
	$type == "flowalert_findfromdstip_disable")
{
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $uuid) = explode(' ', $val);	
		if ($ipaddr == "ipaddr") continue;
		if (($fp = fopen("http://".$ipaddr.":4816/sessiptbl.php?action=$type", "r")) != false)
			fclose($fp);
	}

	$flowalert_findfromdstip_enable = 0;
	switch($type) {
	case "flowalert_findfromdstip_enable":
		$flowalert_findfromdstip_enable = 1;
		break;
	case "flowalert_findfromdstip_disable":
		$flowalert_findfromdstip_enable = 0;
		break;
	}

	$cmd = PANALOGEYE." sessiptbl config 'flowalert_findfromdstip_enable=$flowalert_findfromdstip_enable'";
	exec($cmd);
}

if ($type == "ifflow_direc")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sort = postval("sort");
	$ifname = postval("ifname");
	$appid = postval("appid");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior ifflow_direc 'devid=$devid' 'sort=$sort'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'ifname=$ifname' 'appid=$appid'";
	exec($cmd, $out, $return);
	if (strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$json = $rows = array();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		array_push($rows, array(
			"id"=>$ds[0],
			"name"=>iconv("gb2312", "utf-8", $ds[1]), 
			"flowcont"=>(double)$ds[2], 
			"up"=>(double)$ds[3], "down"=>(double)$ds[4]));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "ifflow_appgroup")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sort = postval("sort");
	$ifname = postval("ifname");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior ifflow_appgroup 'devid=$devid' 'sort=$sort'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'ifname=$ifname'";
	exec($cmd, $out, $return);
	if (strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$json = $rows = array();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		array_push($rows, array("appname"=>iconv("gb2312", "utf-8", $ds[2]), 
			"appid"=>$ds[0],
			"flowcont"=>(double)$ds[3], 
			"up"=>(double)$ds[4], "down"=>(double)$ds[5], 
			"upbps"=>((double)$ds[4]*8)/($longend-$longstart), 
			"downbps"=>((double)$ds[5]*8)/($longend-$longstart)));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "ifflow_topapp")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sort = postval("sort");
	$appid = postval("appid");
	$ifname = postval("ifname");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior ifflow_topapp 'devid=$devid' 'sort=$sort'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'appid=$appid' 'ifname=$ifname'";
	exec($cmd, $out, $return);
	if (strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$json = $rows = array();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		array_push($rows, array("appname"=>iconv("gb2312", "utf-8", $ds[2]), 
			"flowcont"=>(double)$ds[3], 
			"up"=>(double)$ds[4], "down"=>(double)$ds[5], 
			"upbps"=>((double)$ds[4]*8)/($longend-$longstart), 
			"downbps"=>((double)$ds[5]*8)/($longend-$longstart)));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "ifflow_topip")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sort = postval("sort");
	$ifname = postval("ifname");
	$topn = postval("topn");
	$ipaddr = postval("ipaddr");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior ifflow_topip 'devid=$devid' 'sort=$sort'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'ifname=$ifname' 'topn=$topn'";
	$cmd .= " 'ipaddr=$ipaddr'";
	exec($cmd, $out, $return);
	if (strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$json = $rows = array();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		array_push($rows, array("ipaddr"=>long2ip($ds[0]), 
			"flowcont"=>(double)$ds[1], 
			"up"=>(double)$ds[2], "down"=>(double)$ds[3], 
			"upbps"=>((double)$ds[2]*8)/($longend-$longstart), 
			"downbps"=>((double)$ds[3]*8)/($longend-$longstart)));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "ifflow_topdstip")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sort = postval("sort");
	$ifname = postval("ifname");
	$topn = postval("topn");
	$yys = postval("yys");
	$dstip = postval("dstip");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior ifflow_topdstip 'devid=$devid' 'sort=$sort'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'ifname=$ifname' 'topn=$topn'";
	$cmd .= " 'yys=$yys' 'dstip=$dstip'";
	exec($cmd, $out, $return);
	if (strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$json = $rows = array();

	$yys = getyys();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		$yysname = "";
		foreach($yys as $v) {
			if ($v["id"] == $ds[4]) {
				$yysname = $v["name"];
				break;
			}
		}

		array_push($rows, array("ipaddr"=>long2ip($ds[0]), 
			"flowcont"=>(double)$ds[1], 
			"up"=>(double)$ds[2], "down"=>(double)$ds[3], 
			"upbps"=>((double)$ds[2]*8)/($longend-$longstart), 
			"downbps"=>((double)$ds[3]*8)/($longend-$longstart),
			"yys"=>$yysname, "posi"=>iconv("gb2312", "utf-8", $ds[5])));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "ifflowlist")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sort = postval("sort");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior ifflowlist 'devid=$devid' 'sort=$sort'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $return);
	if (count($out) > 0 && strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}

	$json = $rows = array();

	foreach($out as $val) {
		$ds = explode(' ', $val);

		if (!preg_match("/^[a-z]+[0-9]+$/", $ds[0]))                               
			continue;

		array_push($rows, array(
			"ifname"=>iconv("gb2312", "utf-8", $ds[0]), 
			"flowcont"=>(double)$ds[1], 
			"up"=>(double)$ds[2], "down"=>(double)$ds[3], 
			"upbps"=>((double)$ds[2]*8)/($longend-$longstart), 
			"downbps"=>((double)$ds[3]*8)/($longend-$longstart)));
	}

	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "ifflow_enable")
{
	$enable = postval("enable");

	if (!file_exists(LOG_CONF)) {
		outputres("no", "conf file not exists");
		exit;
	}

	$fd = 0;
	$list = file(LOG_CONF);
	foreach($list as $k=>$val) {
		if (strstr($val, "ifflow_enable=0") != false || 
			strstr($val, "ifflow_enable=1") != false) {
			$fd = 1;
			$list[$k] = "ifflow_enable=$enable\n";
		}
	}

	if (!$fd) {
		array_push($list, "ifflow_enable=$enable\n");
	}

	if (($fp = fopen(LOG_CONF, "w")) == false) {
		outputres("no", "fopen error");
		exit;
	}
	if (flock($fp, LOCK_EX | LOCK_NB)) {
		foreach($list as $val) {
			fprintf($fp, $val);
		}
		flock($fp, LOCK_UN);
	}
	fclose($fp);

	exec("killall sess_tomysql");

	outputres("yes", "");

	exit;
}

if ($type == "if_trend") {
	$hours = $_POST["hours"];
	
	$end = strtotime("now");
	$start = $end - $hours * 3600;
	
	$data_up = $data_down = array();
	
	$cmd = LOGDPATH."/bin/logeye if_trend '$hours'";
	exec($cmd, $output, $return);
	foreach($output as $val) {
		$ds = explode(' ', $val);
		
		array_push($data_up, array("x"=>(int)$ds[0]*1000, "y"=>(float)$ds[1]));
		array_push($data_down, array("x"=>(int)$ds[0]*1000, "y"=>(float)$ds[2]));
	}
	
	$serias = array();
	array_push($serias, array("name"=>"下行流量", "data"=>$data_down));
	array_push($serias, array("name"=>"上行流量", "data"=>$data_up));
	
	$json["result"] = $serias;
	echo json_encode($json);
}

if ($type == "groupinfo")
{
	$devid = postval("devid");
	$linkid = postval("linkid");
	$appid = postval("appid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F.'/'.postval("errname");
	$sorttype = postval("sorttype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$tablefile = php_getapptable($starttime, $endtime);
	
	$cmd = LOGDPATH."/bin/logeye app groupinfo '$devid' '$appid' '$longstart' '$longend' '$tablefile' '$linkid' '$errfile' '$sorttype'";
	exec($cmd, $out, $ret);
	
	$json = $rows = array();
	
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array(
			"appid"=>$ds[0],
			"name"=>$ds[1],
			"cname"=>iconv("gb2312", "utf-8", $ds[2]),
			"flow"=>(double)$ds[3],
			"upbytes"=>(double)$ds[4],
			"downbytes"=>(double)$ds[5]
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "apps_edit")
{
	$grpid = postval("grpid");
	$appidstr = postval("appidstr");
	$appcnamestr = postval("appcnamestr");
	
	if ($grpid == "") {
		outputres("no", "param error");
		exit;
	}
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql connect error");
		exit;
	}
	$cmd = "update palog.ipgrp_list set apps_id='$appidstr', apps_cname='$appcnamestr' where id=$grpid";
	if (mysql_query($cmd) == false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}

	unset($out);
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $uuid) = explode(' ', $val);	
		if ($ipaddr == "ipaddr") continue;
		if (($fp = fopen("http://".$ipaddr.":4816/sessiptbl.php?action=reload", "r")) != false)
			fclose($fp);
	}
	mysql_close($conn);
	outputres("yes", "");
}

?>

