<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("no", "请重新登录");
	exit;
}

$devid = $_GET['devid'];
$name = $_GET['name'];
$strstart = $_GET['tmstart'];
$strend = $_GET['tmend'];
$appid = $_GET['appid'];
$page = $_GET['page'];
$limit = $_GET['limit'];
$sort = $_GET['sort'];
$bexport = postval("bexport");
$addrtype = postval("addrtype");
$errfile = _CHECKING_STATUS_F.'/'.$_GET['errname'];

switch($bexport) {
case 0:
	$filename = "";
	break;
case 1:
	$filename = date("YmdHis").".xls";
	break;
case 2:
	$filename = date("YmdHis").".txt";
	break;
case 3:
	$filename = date("YmdHis").".csv";
	break;
}

$longstart = strtotime($strstart);
$longend = strtotime($strend);

if ($addrtype == "ipv6")
	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_apptoip ";
else
	$cmd = LOGDPATH."/bin/logeye user_behavior apptoip ";
$cmd .= "'devid=$devid' ";
$cmd .= "'longstart=$longstart' ";
$cmd .= "'longend=$longend' ";
$cmd .= "'appid=$appid' ";
$cmd .= "'errfile=$errfile' ";
$cmd .= "'page=$page' ";
$cmd .= "'limit=$limit' ";
$cmd .= "'sort=$sort' ";
$cmd .= "'bexport=$bexport' ";
$cmd .= "'filename=$filename'";
exec($cmd, $out, $return);

$arr = array();
foreach ($out as $val) {
	$ds = explode(' ', trim($val, "\n"));

	if ($ds[0] == "total") {
		$totalrecords = $ds[1];
	}
	else {
		if ($addrtype == "ipv6") {
			array_push($arr, array(
				"ip"=>$ds[0], 
				"flowcnt"=>(int)$ds[1],
				"upbytes"=>(double)$ds[2], 
				"downbytes"=>(double)$ds[3], 
				"account"=>iconv("gb2312", "utf-8", $ds[4])
			));
		}
		else {
			array_push($arr, array(
				"ip"=>long2ip($ds[0]), 
				"flowcnt"=>(int)$ds[1],
				"upbytes"=>(double)$ds[2], 
				"downbytes"=>(double)$ds[3], 
				"account"=>iconv("gb2312", "utf-8", $ds[4])
			));
		}
	}
}
$json = array("rows"=>$arr, "totalrecords"=>$totalrecords);
echo json_encode($json);
?>
