<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$type = "";
$i = $app = 0;
$appname = "";
$data = $seriesup = $seriesdown = $seriesflow = $json = array();

if (isset($_POST["type"])) $type = postval("type");
else {outputres("no", "no type"); exit;}
if ($type == "") {outputres("no", "no type"); exit;}

$addrtype = 1;
if (isset($_POST["addrtype"])) {
	$addrtype = postval("addrtype");
	if ($addrtype == "ipv6")
		$addrtype = 2;
}

if ($type == "defpro_apptrend") {
	$out = file("/usr/logdata/tmp/defpro_apptrend.txt");
}else 
if ($type == "defpro_appflowtrend") {
	$out = file("/usr/logdata/tmp/defpro_appflowtrend.txt");

	$date = $flow = array();
	
	foreach($out as $val) {
		list($end, $bpsflow) = explode(' ', $val);
		
		if ($end == "DATA" || $end == "TAG")
			continue;
		
		array_push($date, date("d/H:i:s", $end));
		array_push($flow, (int)$bpsflow);
	}
	
	$json = array("xdate"=>$date, "flow"=>$flow);
	echo json_encode($json);
	exit;
} else 
if ($type == "appflowtrend") 
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$appid = postval('appid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior appflow_trend 'devid=$devid' ".
		"'longstart=$longstart' 'longend=$longend' 'appid=$appid' ".
		"'linkid=$linkid' 'errfile=$errfile' 'addrtype=$addrtype'";
	exec($cmd, $out, $ret);
	
	$date = $flow = array();
	
	foreach($out as $val) {
		list($end, $bpsflow) = explode(' ', $val);
		
		if ($end == "DATA" || $end == "TAG")
			continue;

		array_push($date, date("d/H:i:s", $end));
		array_push($flow, (int)$bpsflow);
	}
	
	$json = array("xdate"=>$date, "flow"=>$flow);
	echo json_encode($json);
	exit;
}
else {
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$appid = postval('appid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior apptrend 'devid=$devid' ".
		"'longstart=$longstart' 'longend=$longend' 'appid=$appid' ".
		"'linkid=$linkid' 'errfile=$errfile' 'addrtype=$addrtype'";
	exec($cmd, $out, $ret);
}

$date = $up = $down = $flow = array();

foreach($out as $val) {
	list($appid, $end, $bpsup, $bpsdown, $bpsflow) = explode(' ', $val);

	if ($appid == "DATA" || $appid == "TAG")
		continue;

	array_push($date, date("d/H:i:s", $end));
	array_push($up, (int)$bpsup);
	array_push($down, (int)$bpsdown);
	array_push($flow, (int)$bpsflow);
}

$json = array("xdate"=>$date, "up"=>$up, "down"=>$down, "flow"=>$flow);
echo json_encode($json);
?>





