<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
</head>
<body>
<div class="maintain-content check-panel-radius">
    <div class="pnb-bags-24" id="pnb-bags-24" style="width:100%;height:300px">
    </div>
    <div class="pnb-bags-week" id="pnb-bags-week" style="width:100%;height:300px;margin-top:10px;">
    </div>
    <div class="pnb-bags-month" id="pnb-bags-month" style="width:100%;height:300px;margin-top:10px;">
    </div>
</div>

<script type="text/javascript">
var aw = $(window).width() - 30;
if (aw > 1300) {
	$(".maintain-content").width(aw);
	//$(".maintain-content table").width(aw);
}
else {
	$(".maintain-content").width(1300+'px');
	//$(".maintain-content table").width(1300+'px');
}

function if_trend(hours, render)
{
    $.ajax({
        url:"../App/app_handle.php",
        type:"post",
        data:{type:"if_trend", hours: hours},
        dataType:"json",
        success:function(json){
            if_chart(hours, json, render);
        }
    });
}

function if_chart(hours, json, render)
{
    if (hours == 24)
        title = "最近一天系统流量趋势图";
    else if (hours == 168)
        title = "最近一周系统流量趋势图";
    else if (hours == 720)
        title = "最近一个月系统流量趋势图";

    var options = {
        chart:{
            renderTo:render,
            defaultSeriesType:"area",
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: true,
			//backgroundColor: '#f5f5f5',
			borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },title:{
            enabled: true,
            text:title,
            style:{font: '微软雅黑', fontSize:'14px', color:'#666', fontWeight:'bold'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:60,
            labels:{
                step:0,
                formatter: function() {
                    return Highcharts.dateFormat('%d/%H', this.value);
                }
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:"bps"
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
                }
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
        },plotOptions:{
            area:{stacking:true,lineWidth:1,marker:{enabled:false}},
            spline:{
                marker:{radius:0,
                    lineWidth:0
                       }
                   }
        },credits:{enabled:false},
        legend: {
            enabled: true,
            layout: 'vertical',
            align: 'right',
            width: 120,
            verticalAlign: 'middle',
            itemMarginTop: 3,
            borderWidth: 0,
            labelFormatter: function() {
                return '<div style="text-align: left; width:100px;font-weight:normal;">' + this.name + '</div>';
            }
        },
        tooltip:{
            formatter:function(){
                var dd = new Date(this.x);
                var str = dd.getHours()+':'+dd.getMinutes();
                return this.series.name+'<br/>'+str+' '+numberformats(this.y);
            }
        },series:[]
    }

	Highcharts.setOptions({ global: { useUTC: false } });
    options.series = json.result;
    var chart = new Highcharts.Chart(options);
}
if_trend(24, "pnb-bags-24");
if_trend(168, "pnb-bags-week");
if_trend(720, "pnb-bags-month");
</script>
</body>
</html>