<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/highcharts-3d.js"></script>
<script type="text/javascript" src="../js/dtree.js"></script>
<script type="text/javascript" src="../js/app.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function focus_trend(bexport)
{
	var devid = $("#devid").val();
	var linkid = $("#linkid").val();
	var appid = $("#appid").val();
	var focus_time = $("#focus_time").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var addrtype = $("#addrtype").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/ajax_focus_trend.php',
		data:{type:'apptrend', devid:devid, linkid:linkid, tmstart:starttime, 
			tmend:endtime, appid: appid, errname:errname, focus_time:focus_time, 
			bexport:bexport, addrtype:addrtype},
		type:'post',
		dataType:'json',
	       	success:function(json) {
			cluster_load_hide();
			if (bexport) {
				cluster_downloadfile("");
				return;
			}

			list = document.getElementById("ftable");
			while (list.rows.length > 1)
				list.deleteRow(1);

			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				trbg = '';
				if (i % 2 == 1)
					trbg = 'log-table-tr-toggle-bgcolor-curr';

				obj = list.insertRow(-1);
				obj.setAttribute("class", trbg);

				col = obj.insertCell(0);
				col.setAttribute("align", "center");
				col.innerHTML = i+1;
				col = obj.insertCell(1);
				col.setAttribute("align", "left");
				col.innerHTML = r.cname;
				col = obj.insertCell(2);
				col.setAttribute("align", "right");
				col.innerHTML = numberformats(r.up);
				col = obj.insertCell(3);
				col.setAttribute("align", "right");
				col.innerHTML = numberformats(r.down);
				col = obj.insertCell(4);
				col.setAttribute("align", "right");
				col.innerHTML = numberformats(r.up+r.down);
				col = obj.insertCell(5);
				col.setAttribute("align", "right");
				col.innerHTML = numberformats(r.up * 8 / r.segsec);
				col = obj.insertCell(6);
				col.setAttribute("align", "right");
				col.innerHTML = numberformats(r.down * 8 / r.segsec);
				col = obj.insertCell(7);
				col.setAttribute("align", "right");
				col.innerHTML = numberformats((r.up+r.down) * 8 / r.segsec);
			}
		}
       	});
}

</script>
</head>
<body>
<div>
<?php
$devid = $_GET['devid'];
$linkid = $_GET['linkid'];
$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];
$appid = $_GET['appid'];
$focus_time = $_GET['focus_time'];
$addrtype = $_GET['addrtype'];
?>
	<input type="hidden" value="<?=$devid?>" id="devid" />
	<input type="hidden" value="<?=$linkid?>" id="linkid" />
	<input type="hidden" value="<?=$starttime?>" id="starttime" />
	<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<input type="hidden" value="<?=$appid?>" id="appid" />
	<input type="hidden" value="<?=$focus_time?>" id="focus_time" />
	<input type="hidden" value="<?=$addrtype?>" id="addrtype" />
	<div class="topapp-list-table">
		<input type="button" value="导出到excel" onclick="focus_trend(1)" />
		<a class="ui-button ui-widget" onclick="cluster_downloadfile('')">下载列表</a>
		<table id="ftable" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
		    <tr>
			<th class="txt-center" style="width:50px;">序号</th>
			<th class="txt-left" width="130px">协议名称</th>
			<th class="txt-right" width="100px">上行流量</th>
			<th class="txt-right" width="100px">下行流量</th>
			<th class="txt-right" width="100px">总流量</th>
			<th class="txt-right" width="100px">上行速率</th>
			<th class="txt-right" width="100px">下行速率</th>
			<th class="txt-right" width="100px">总速率</th>
		    </tr>
		</table>
	</div>
</div>
<script>
focus_trend(0);
</script>
</body>
</html>

