<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$sysname = sysname();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['cname']?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
var gsort = 'total';
var page = 1;
function groupinfo()
{
	var devid = $("#devid").val();
	var linkid = $("#linkid").val();
	var cname = $("#cname").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appid = $("#appid").val();
	var addrtype = $("#addrtype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/apptop.php',
		data:{devid:devid, linkid:linkid, tmstart:starttime,
			tmend:endtime, page: page, limit: 0, sort:gsort, 
			errname:errname, appid: appid, type:addrtype},
		type:'post',
		dataType:'json',
		success:function(json){
			appdata_update(json, devid, starttime, endtime);
			cluster_load_hide();
		}
	});
}

function appdata_update(data, devid, starttime, endtime)
{
	var r, s;
	var len = data.detail.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href1, href2;
	var trbg = '';
	
	devid = devid+'';
	var q = /,/g
	devid = devid.replace(q, '-');

	for (i = 0; i < len; i++){
		r = data.detail[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
			
		href1 = '<a href="javascript:trendopen('+devid+','+ r.linkid+', \''+ r.apid+'\', \''+ 
			r.cname+'\', \''+starttime+'\', \''+endtime+'\')">'+ r.cname+'</a>';
		if (trobj.eq(i+1).length > 0) {
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(href1);
			tdobj.eq(2).html((r.flowcont)+'&nbsp;');
			tdobj.eq(3).html(numberformats(r.totalup));
			tdobj.eq(4).html(numberformats(r.totaldown));
		       	tdobj.eq(5).html(numberformats((r.totalup+r.totaldown)));
			tdobj.eq(6).html(numberformats(r.bpsup));
			tdobj.eq(7).html(numberformats(r.bpsdown));
			tdobj.eq(8).html(numberformats(r.bpstotal));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-left">'+ href1+'</td>'+
				'<td class="txt-right">'+ r.flowcont+'&nbsp;</td>'+
				'<td class="txt-right">'+ numberformats(r.totalup)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.totaldown)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.totalup+r.totaldown)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.bpsup)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.bpsdown)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.bpstotal)+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
       
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function trendopen(devid, linkid, apid, cname, starttime, endtime)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;
	var addrtype = $("#addrtype").val();
	
	window.open("../App/trendopen.php?addrtype="+addrtype+"&devid="+devid+"&linkid="+linkid+
		"&appid="+apid+"&cname="+cname+"&starttime="+starttime+
		"&endtime="+endtime, "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function titleclick(sort)
{
	gsort = sort;
	groupinfo();
}

</script>
</head>
<body>
<div>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['linkid']?>" id="linkid" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['addrtype']?>" id="addrtype" />
	<div class="topapp-list-table" style="float:left;margin-top:10px;">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-left" width="100px">协议名称</th>
				<th class="txt-right"><a href="javascript:titleclick('flow')">连接数</a></th>
				<th class="txt-right"><a href="javascript:titleclick('up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:titleclick('down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:titleclick('total')">总流量</a></th>
				<th class="txt-right"><a href="javascript:titleclick('up')">上行速率</a></th>
				<th class="txt-right"><a href="javascript:titleclick('down')">下行速率</a></th>
				<th class="txt-right"><a href="javascript:titleclick('total')">总速率</a></th>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
	groupinfo();
</script>
</body>
</html>
