<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">

var sort = "flow";

function ifflow_applist()
{
	var devid = getdevice();
	var ifname = $("#ifname").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var start_hour = $("#start_hour").val();
	var end_hour = $("#end_hour").val();
	var starttime = start + ' '+start_hour+':0:0';
	var endtime = end + ' '+end_hour+':59:59';

	var appid = $("#hidappid").val();
	if (appid == "") appid = -1;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/app_handle.php',
		data:{type: 'ifflow_topapp', devid:devid, starttime:starttime, 
			endtime:endtime, errname:errname, sort: sort, appid: appid, 
			ifname: ifname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			ifflow_update(json);
		}
	});
}

function ifflow_update(json)
{
	var list;

	list = document.getElementById("ifflow_applist");

	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i <json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		col = obj.insertCell(0);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = r.appname;

		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;

		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up);

		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down);

		col = obj.insertCell(5);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up + r.down);

		col = obj.insertCell(6);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps);

		col = obj.insertCell(7);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbps);

		col = obj.insertCell(8);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps + r.downbps);
	}
}

function hdsort(s)
{
	sort = s;

	ifflow_applist();
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function createtree()
{
	var data;
	var devid;

	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	load_show();
	$.ajax({
		url:'../user_behavior/tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];

				if (r.name != "root")
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect("+r.id+", '"+r.name+"', '"+r.cname+"')");
				else
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect(1044, 'any', '"+r.cname+"')");
			}

			var tree = trees.toString();
			$("#treelist").html(tree);

			data.result.length = 0;

			load_hide();
		}
	})
}

function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+
			r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	$("#hidappid").val(appid);
	$("#hidname").val(name);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

function initdevid()
{
	var devid = $("#hid_devid").val();
	if (devid == "0")
		return;

	var s = devid.split(',');
	for(i = 0; i < s.length; i++) {
		if (s[i] == "")
			continue;
		$("[name='device']").each(function(){
			if ($(this).val() == s[i])
				$(this).attr("checked", true);
		});
	}
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
		<?php
		$ifname = $_GET["ifname"];
		$start = $_GET["start"];
		$end = $_GET["end"];

		$devid = $_GET["devid"];
		echo '<input type="hidden" value="'.$devid.'" id="hid_devid" />';
		$url1 = "ifflow_topapp.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url2 = "ifflow_topip.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url3 = "ifflow_appgroup.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url4 = "ifflow_topdstip.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url5 = "ifflow_direc.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		?>
			<li><a href="<?=$url3?>">流量分布</a></li>
			<li><a href="<?=$url5?>">流量流向</a></li>
			<li class="active"><a href="<?=$url1?>">TOP协议</a></li>
			<li><a href="<?=$url2?>">TOP用户</a></li>
			<li><a href="<?=$url4?>">TOP目标</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box">
			<div class="als-btn-bar">
				<ul>
					<li>
						<?php
						echo getdevice();
						?>
					</li>
					<li>
						<label>网卡</label>
						<input type="text" id="ifname" value="<?=$ifname?>" style="width:40px" />
					</li>
					<li>
						<label>协议</label>
						<input type="text" id="appcname" value="<?=$appname?>" style="width:70px" readonly />
						<input type="hidden" value="<?=$appid?>" id="hidappid" />
						<input type="hidden" value="any" id="hidname" />
						<input type="button" value="选择协议" onclick="showapptree()" />
					</li>
					<li>
						<?php
						$start = strtotime($start);
						$end = strtotime($end);
						?>
						<label>起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
							onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $start) ?>" />
						<input type="text" id="start_hour" value="<?= date('H', $start)?>" style="width:20px" /> 时
					</li>
					<li>
						<label>结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
							onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $end) ?>" />
						<input type="text" id="end_hour" value="<?= date('H', $end)?>" style="width:20px" /> 时
					</li>
					<li>
						<a class="btn-extend-color" onclick="ifflow_applist()">查询</a>
					</li>
				</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="als-box">
			<table id="ifflow_applist" class="als-table" cellspacing=0 cellpadding=0>
				<tr>
					<th class="txt-center" width="50px">序号</th>
					<th class="txt-left"><a href="javascript:hdsort('appname')">协议名称</a></th>
					<th class="txt-right"><a href="javascript:hdsort('flow')">连接数</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行流量(Byte)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行流量(Byte)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('total')">总流量(Byte)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行速率(bps)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行速率(bps)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('total')">总速率(bps)</a></th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
initdevid();
ifflow_applist();
</script>
</body>
</html>
