<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession() && !isset($_SESSION["cloud_username"])) {
	outputres("no", "请重新登录");
	exit;
}

$action = postval("action");

if ($action == "loadfile")
{
	$upfile = "";
	if (isset($_FILES["fileupgrade"]))
		$upfile = $_FILES["fileupgrade"];
	if (empty($upfile)) {
		echo '<script>alert("PARAM_ERROR");</script>';
		exit;
	}

	$dst = "/var/tmp/cusaxp.txt";
	if (!move_uploaded_file($upfile["tmp_name"], $dst)) {
		echo '<script>alert("1文件上传失败");</script>';
		exit;
	}

	if (!file_exists($dst)) {
		echo '<script>alert("2文件上传失败");</script>';
		exit;
	}

	/*
	*  get min app and max app
	*/
	$idmin = $idmax = 0;
	$cmd = PANALOGEYE." session stat custom_axp=1";
	exec($cmd, $out, $ret);
	foreach($out as $line) {
		list($tag, $val) = explode('=', trim($line));
		switch($tag) {
		case "cusaxp_appid_min":
			$idmin = $val;
			break;
		case "cusaxp_appid_max":
			$idmax = $val;
			break;
		}
	}

	$gbk_sql = "";
	if (($fp = fopen($dst, "r")) != false) {
		while(!feof($fp)) {
			if (($buf = fgets($fp)) == "")
				continue;
			list($appid, $name, $cname, $host, $srcip, $dstip, $port) = explode(',', trim($buf));

			if ($appid < $idmin || $appid >= $idmax) 
				continue;

			if (empty($host) && empty($srcip) && empty($dstip) && empty($port))
				continue;

			if (is_utf8($name) == false)
				$name = iconv("gb2312", "utf-8", $name);

			if (is_utf8($cname) == false) {
				$cname_gbk = $cname; 
				$cname = iconv("gb2312", "utf-8", $cname);
			}
			else {
				$cname = $cname;
				$cname_gbk = iconv("utf-8", "gb2312", $cname);
			}

			$pos = strpos($host, "//");
			if ($pos != false)
				$host = substr($host, $pos + 2);
			$pos = strpos($host, "/");
			if ($pos != false)
				$host = substr($host, 0, $pos);

			if (($conn = my_mysql_connect()) == false) {
				outputres("no", "mysql connect error");
				exit;
			}
			$sql = "select app_id from palog.custom_axp where app_id=$appid or app_name='$name'";
			if (($result = mysql_query($sql)) == false) {
				echo "1".mysql_error().$sql;
				mysql_close();
				continue;
			}
			if (mysql_num_rows($result) > 0) {
				mysql_close();
				continue;
			}
			if (!empty($port)) $port = str_replace(' ', ',', $port);
			$srcip = str_replace(' ', ',', $srcip);
			$dstip = str_replace(' ', ',', $dstip);
			$sql = "insert into palog.custom_axp(app_id, app_name, app_cname, app_host, app_ip, app_port, app_srcip)".
				"values($appid, '$name', '$cname', '$host', '$dstip', '$port', '$srcip')";
			if (mysql_query($sql) == false) {
				echo "2".mysql_error();
				mysql_close();
				continue;
			}
			mysql_close();

			$gbk_sql .= "insert into palog.axp(id, name, cname, root, parent, type)".
				"values($appid, '$name', '$cname_gbk', 1037, 1037, 3);";
		}
		fclose($fp);

		if (($conn = my_mysql_connect()) == false) {
			outputres("no", "mysql connect error");
			exit;
		}
		mysql_query("set names 'gbk'");
		$s = explode(';', $gbk_sql);
		foreach($s as $val)
			mysql_query($val);
		mysql_close();

		echo '<script>alert("文件导入成功");</script>';
	}
	else
		echo '<script>alert("文件打开失败");</script>';
		
	mysql_close();
	
}

if ($action == "applist")
{
	$rows = $sort = array();

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERR_MYSQL_CONNECT");
		exit;
	}

	/* create table */
	$sql = "create table if not exists palog.custom_axp(".
		"id int auto_increment primary key, ".
		"app_id int(2) not null default '0', ".
		"app_name varchar(64) not null default '', ".
		"app_cname varchar(64) not null default '', ".
		"app_root int(2) not null default '1037', ".
		"app_parent int(2) not null default '1037', ".
		"app_host varchar(512) not null default '', ".
		"app_ip varchar(512) not null default '', ".
		"app_port varchar(512) not null default '0',".
		"app_srcip varchar(512) not null default ''".
		")ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	
	$sql = "alter table palog.custom_axp modify app_host varchar(512) not null default ''";
	mysql_query($sql);
	$sql = "alter table palog.custom_axp modify app_ip varchar(512) not null default ''";
	mysql_query($sql);
	$sql = "alter table palog.custom_axp modify app_port varchar(512) not null default ''";
	mysql_query($sql);
	$sql = "alter table palog.custom_axp add app_srcip varchar(512) not null default ''";
	mysql_query($sql);

	$sql = "select app_id, app_name, app_cname, app_host, app_ip, app_port, app_srcip from palog.custom_axp";
	if (($result = mysql_query($sql)) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	while ($row = mysql_fetch_row($result)) {
		array_push($rows, array(
			"appid"=>$row[0],
			"name"=>$row[1],
			"cname"=>$row[2],
			"host"=>$row[3],
			"dstip"=>$row[4],
			"port"=>$row[5],
			"srcip"=>$row[6]
		));
		array_push($sort, $row[0]);
	}
	mysql_free_result($result);
	mysql_close();

	array_multisort($sort, SORT_ASC, $rows);
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "remove")
{
	$app_id = postval("app_id");

	$ds = explode(',', $app_id);
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERR_MYSQL_CONNECT");
		exit;
	}

	foreach($ds as $val) {
		if ($val == "")
			continue;
		$sql = "delete from palog.custom_axp where app_id=$val";
		mysql_query($sql);
		$sql = "delete from palog.axp where id=$val";
		mysql_query($sql);

		$cmd = PANALOGEYE." usrapp remove 'appid=$val'";
		exec($cmd);
	}

	outputres("yes", "操作成功");
}

if ($action == "editapp")
{
	$appid	= postval("appid");
	$name	= postval("name");
	$cname	= urldecode(postval("cname"));
	$host	= postval("host");
	$srcip	= postval("srcip");
	$dstip	= postval("dstip");
	$port	= postval("port");

	if ($port == "") $port = 0;
	if (empty($appid) || empty($name) || empty($cname)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (empty($host) && empty($srcip) && empty($dstip) && empty($port)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	$cname_gbk = iconv("utf-8", "gb2312", $cname);

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERR_MYSQL_CONNECT");
		exit;
	}
	$sql = "update palog.custom_axp set app_name='$name', app_cname='$cname', ".
		"app_host='$host', app_ip='$dstip', app_srcip='$srcip', app_port='$port' where app_id=$appid";
	mysql_query($sql);

	mysql_query("set names 'gbk'");
	$sql = "update palog.axp set name='$name', cname='$cname_gbk' where id=$appid";
	mysql_query($sql);
	mysql_close();

	$cmd = PANALOGEYE." usrapp set 'appid=$appid' 'name=$name' 'cname=$cname' 'host=$host' 'dstip=$dstip' 'srcip=$srcip' 'port=$port'";
	exec($cmd);

	outputres("yes", "操作成功");
	exit;
}

if ($action == "addapp")
{
	$appid	= postval("appid");
	$name	= postval("name");
	$cname	= urldecode(postval("cname"));
	$host	= postval("host");
	$srcip	= postval("srcip");
	$dstip	= postval("dstip");
	$port	= postval("port");
	$cname_gbk = iconv("utf-8", "gb2312", $cname);

	if ($port == "") $port = 0;
	if (empty($appid) || empty($name) || empty($cname)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	/*
	*  get min app and max app
	*/
	$min = $max = 0;
	$cmd = PANALOGEYE." usrapp stat custom_axp=1";
	exec($cmd, $out, $ret);
	foreach($out as $line) {
		list($tag, $val) = explode('=', trim($line));
		switch($tag) {
		case "cusaxp_appid_min":
			$min = $val;
			break;
		case "cusaxp_appid_max":
			$max = $val;
			break;
		}
	}
	if ($appid < $min || $appid >= $max) {
		outputres("no", "协议编号超过允许范围($min-$max)");
		exit;
	}

	if (empty($host) && empty($srcip) && empty($dstip) && empty($port)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERR_MYSQL_CONNECT");
		exit;
	}

	$sql = "select app_id from palog.custom_axp where app_id=$appid or app_name='$name' or app_cname='$cname'";
	if (($result = mysql_query($sql)) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	if (mysql_num_rows($result) > 0) {
		outputres("no", "ERR_EXISTS");
		mysql_close();
		exit;
	}

	$sql = "insert into palog.custom_axp(app_id, app_name, app_cname, app_host, app_ip, app_port, app_srcip)".
		"values($appid, '$name', '$cname', '$host', '$dstip', '$port', '$srcip')";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	mysql_query("set names 'gbk'");
	$sql = "insert into palog.axp(id, name, cname, root, parent, type)".
		"values($appid, '$name', '$cname_gbk', 1037, 1037, 3)";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();

	$cmd = PANALOGEYE." usrapp add 'appid=$appid' 'name=$name' 'cname=$cname'";
	if ($host != "") $cmd .= " 'host=$host'";
	if ($srcip != "") $cmd .= " 'srcip=$srcip'";
	if ($dstip != "") $cmd .= " 'dstip=$dstip'";
	if ($port != "" && $port != "0") $cmd .= " 'port=$port'";
	exec($cmd);

	outputres("yes", "操作成功");
}
