<?php
session_start();
include(dirname(__file__)."/../common.php");
if (!chksession() && !isset($_SESSION["cloud_username"])) {
	outputres("no", "请重新登录");
	exit;
}

$action = isset($_POST['action']) ? postval("action") : "";
if ($action == "ntptest")
{
	$ntpip = postval("ntpip");

	exec("/usr/sbin/ntpdate '$ntpip'", $out, $ret);
	if ($ret == 0)
		outputres("yes", "");
	else
		outputres("no", "");
}

if ($action == "getip")
{
	$mgt = postval("mgt");

	$unamepath = "/usr/bin/uname";
	// linux
	if (file_exists("/bin/uname"))
		$unamepath = "/bin/uname";

	exec($unamepath, $out, $ret);
	$ostype = trim($out[0]);
	unset($out);

	$ipaddr = "";
	$netmask = "";
	$gateway = "";

	switch($ostype) {
	case "FreeBSD":
		$confpath = "/etc/rc.conf";
		if (file_exists($confpath)) {
			$confl = file($confpath);
			foreach($confl as $val){
				if (strstr($val, "DHCP") != false)
					break;
				if (strstr($val, "ifconfig") !== false && strstr($val, "netmask") != false) {
					$val = str_replace("  ", " ", $val);
					$ds = explode('=', $val);
					$ifconfig = $ds[0];
					$ds1 = explode('_', $ifconfig);

					if ($ds1[1] != $mgt)
						continue;

					$ds2 = explode(" ", $ds[1]);
					$ipaddr = $ds2[1];
					$netmask = trim($ds2[3], " \"\n\r");
				}

				if (strstr($val, "defaultrouter") !== false) {
					$ds = explode('=', $val);
					$gateway = trim($ds[1], " \"\n\r");
				}
			}
		}
		break;

	case "Linux":
		$confpath = "/etc/sysconfig/network-scripts/ifcfg-".$mgt;
		if (file_exists($confpath)) {
			$confl = file($confpath);
			foreach($confl as $ln) {
				list($tag, $v) = explode('=', str_replace('"', '', $ln));
				switch($tag) {
				case "IPADDR":
					$ipaddr = trim($v);
					break;

				case "NETMASK":
					$netmask = trim($v);
					break;

				case "PREFIX":
					$prefix = $v;
					$netmask = long2ip(0xffffffff << (32 - $prefix));
					break;

				case "GATEWAY":
					$gateway = trim($v);
					break;
				}
			}
		}
		break;
	}

	$json = array("ipaddr"=>$ipaddr, "netmask"=>$netmask, "gateway"=>$gateway);
	echo json_encode($json);
}


?>
