<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$type = postval("type");
$devid = postval("device");
$starttime = postval("starttime");
$endtime = postval("endtime");

$longstart = strtotime($starttime);
$longend = strtotime($endtime);

if ($type == "alert_list")
{
	$rows = $json = array();

	$page = postval("page");
	$limit = postval("limit");

	$totalrecord = 0;
	$cmd = LOGDPATH."/bin/logeye user_behavior alert_list 'devid=$devid' longstart=$longstart".
		" longend=$longend 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode('|', trim($val));

		if ($ds[0] == "totalrecord") {
			$totalrecord = $ds[1];
			continue;
		}
		
		array_push($rows, array(
			"devid"=>$ds[0], 
			"alert_info"=>iconv("gb2312", "utf-8", $ds[2]), 
			"time"=>date("Y-m-d H:i:s", $ds[1])));
	}
	$json = array("rows"=>$rows, "totalrecord"=>$totalrecord);
	echo json_encode($json);
}

if ($type == "alarm_list") 
{
	$page = postval("page");
	$limit = postval("limit");
	$sort = postval("sort");
	
	$rows = array();
	
	$sort = postval("sort");
	$cmd = LOGDPATH."/bin/logeye user_behavior alarm_list 'devid=$devid' ".
		"longstart=$longstart longend=$longend 'page=$page' 'limit=$limit' 'sort=$sort'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$row = explode(' ', $val);

	    array_push($rows, array("devid"=>$row[0], 
	    	"time"=>date("Y-m-d H:i:s", $row[1]),
	    	"syn_out_refer"=>(int)$row[2],
	    	"syn_out_curr"=>(int)$row[3],
	    	"syn_in_refer"=>(int)$row[4],
	    	"syn_in_curr"=>(int)$row[5],
	    	"ack_out_refer"=>(int)$row[6],
	    	"ack_out_curr"=>(int)$row[7],
	    	"ack_in_refer"=>(int)$row[8],
	    	"ack_in_curr"=>(int)$row[9],
	    	"icmp_out_refer"=>(int)$row[10],
	    	"icmp_out_curr"=>(int)$row[11],
	    	"icmp_in_refer"=>(int)$row[12],
	    	"icmp_in_curr"=>(int)$row[13],
	    	"fragment_out_refer"=>(int)$row[14],
	    	"fragment_out_curr"=>(int)$row[15],
	    	"fragment_in_refer"=>(int)$row[16],
	    	"fragment_in_curr"=>(int)$row[17]));
	}
	mysql_close($conn);

	$json = array();
	$json['rows'] = $rows;
	echo json_encode($json);
}
?>
