<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function addapp_handle()
{
	var appid = $("#appid").val();
	var name = $("#name").val();
	var cname = $("#cname").val();
	var host = $("#host").val();
	var port = $("#port").val();
	var srcip = $("#srcip").val();
	var dstip = $("#dstip").val();

	name	= TrimAll(name);
	cname	= TrimAll(cname);
	host	= TrimAll(host);
	srcip	= TrimAll(srcip);
	dstip	= TrimAll(dstip);
	port	= TrimAll(port);

	if (appid == "") {
		alert("请输入协议编号");
		return false;
	}

	if (name == "") {
		alert("请输入正确的英文名称");
		return false;
	}
	if (cname == "") {
		alert("请输入正确的中文名称");
		return false;
	}

	if ((appid < 5000 || appid >= 7999)) {
		alert("创建失败：协议编号超过范围(5000-7999)");
		return false;
	}

	if (name.length >= 32 || cname.length >= 32) {
		alert("创建失败：名称长度超过限制");
		return false;
	}

	if (host == "" && srcip == "" && dstip == "" && port == "") {
		alert("创建失败：此协议不符合条件,请至少输入一个条件");
		return false;
	}

	if (host.indexOf("/") != -1 || host.indexOf("http") != -1) {
		alert("创建失败：请输入正确的域名格式，如：www.baidu.com");
		return false;
	}

	if (port == "") port = 0;

	if (!confirm("确定要添加此协议吗"))
		return false;

	$.ajax({
                url: 'ajax_app_custom.php',
                type:'post',
                dataType:'json',
		data:{
			action:'addapp', 
			appid: appid, 
			name: name, 
			cname: encodeURIComponent(cname), 
			host: host, 
			srcip: srcip, 
			dstip: dstip, 
			port: port
		},
                success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else {
				applist();
				$(".appadd-outer").dialog("close");
			}
		}
	});
}

function addapp()
{
	$(".appadd-outer").dialog({
		width:550,
		height:550,
		title:'添加协议',
		buttons:[{
			text: "确定",
			click: function(){
				addapp_handle();
				$(this).dialog("close");
			}
		}]
	});
}

function app_edit(id, name, cname, host, srcip, dstip, port)
{
	$("#name2").val(name);
	$("#cname2").val(cname);
	$("#host2").val(host);
	$("#srcip2").val(srcip);
	$("#dstip2").val(dstip);
	$("#port2").val(port);

	$(".appedit-outer").dialog({
		width:520,
		height:400,
		title:'编辑协议',
		buttons:[{
			text: "确定",
			click: function(){
				editapp_handle(id);
				$(this).dialog("close");
			}
		}]
	});
}

function editapp_handle(appid)
{
	var name	= $("#name2").val();
	var cname	= $("#cname2").val();
	var host	= $("#host2").val();
	var port	= $("#port2").val();
	var srcip	= $("#srcip2").val();
	var dstip	= $("#dstip2").val();

	name	= TrimAll(name);
	cname	= TrimAll(cname);
	host	= TrimAll(host);
	srcip	= TrimAll(srcip);
	dstip	= TrimAll(dstip);
	port	= TrimAll(port);

	if (name == "") {
		alert("请输入正确的英文名称");
		return false;
	}
	if (cname == "") {
		alert("请输入正确的中文名称");
		return false;
	}

	if (name.length >= 32 || cname.length >= 32) {
		alert("名称长度超过限制");
		return false;
	}

	if (host == "" && srcip == "" && dstip == "" && port == "") {
		alert("此协议不符合条件,请至少输入一个条件");
		return false;
	}

	if (port == "") port = 0;

	if (!confirm("确定要修改此协议吗"))
		return false;

	$.ajax({
                url: 'ajax_app_custom.php',
                type:'post',
                dataType:'json',
                data:{action:'editapp', appid: appid, name: name, cname: encodeURIComponent(cname), host: host, srcip: srcip, dstip: dstip, port: port},
                success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else
				applist();
		}
	});
}

function app_delete(app_id)
{
	var v = [];

	if (app_id == 0) {
		$("[name='onesel']").each(function(){
			if ($(this).attr("checked")) {
				v.push($(this).val());
			}
		});

		if (v.length != 0)
			app_id = v.join(',');
	}

	if (app_id == 0 || app_id == "") {
		alert("请选择要删除的协议");
		return false;
	}

	if (!confirm("确定要删除此协议吗"))
		return false;

	$.ajax({
                url: 'ajax_app_custom.php',
                type:'post',
                dataType:'json',
                data:{action:'remove', app_id: app_id},
                success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else
				applist();
		}
	})
}

function applist()
{
	$.ajax({
                url: 'ajax_app_custom.php',
                type:'post',
                dataType:'json',
                data:{action:'applist'},
                success:function(json){
			list = document.getElementById("applist");
			while (list.rows.length > 1)
				list.deleteRow(1);

			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				var obj = list.insertRow(-1);
				obj.onmouseover = function() {
					this.className = "trbg";
				}
				obj.onmouseout = function() {
					this.className = "";
				}

				var pos = 0;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "center");
				col.innerHTML = '<input type="checkbox" value="'+r.appid+'" name="onesel" />';
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.appid;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.name;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.cname;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.host;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.srcip;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.dstip;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				col.innerHTML = r.port;
				col = obj.insertCell(pos++);
				col.setAttribute("align", "left");
				mk = '<a href="javascript:app_edit('+r.appid+', \''+r.name+'\', \''+r.cname+'\', '+
					'\''+r.host+'\', \''+r.srcip+'\', \''+r.dstip+'\', \''+r.port+'\')">编辑</a>';
				mk += '&nbsp;&nbsp;';
				mk += '<a href="javascript:app_delete('+r.appid+')">删除</a>';
				col.innerHTML = mk;
			}

		}
	})
}

function customaxpflow()
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;
	
	window.open("../App/customaxpflow.php", "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function loadaxp()
{
	$(".custom_import").dialog({
		width:600,
		title: '协议导入',
	});
}

function beforesubmit()
{
	var upgrade = document.getElementsByName("fileupgrade")[0];
	if (upgrade.value == "") {
		alert("请选择要上传的文件");
		return false;
	}

	if (upgrade.value.indexOf(".txt") == -1) {
		alert("请选择正确格式的文件");
		return false;
	}

	return true;
}

</script>
<style type="text/css">
.over-app-position {background:#DC2020;color:#fff;}
#app_pos_table td {font-size:12px;}
</style>
</head>

<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="app_position.php">系统协议</a></li>
			<li class="active"><a href="app_custom.php">自定义协议</a></li>
			<li><a href="app_cusgrp_list.php">自定义协议组</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
	<table style="width:100%" id="applist">
		<tr>
			<th width="30px">
				<input type="checkbox" name="allsel" title="全选" />
			</th>
			<th width="60px" align="left">编号</th>
			<th align="left" width="200px">英文名</th>
			<th align="left" width="200px">中文名</th>
			<th align="left" width="200px">域名</th>
			<th align="left" width="150px">源地址</th>
			<th align="left" width="150px">目的地址</th>
			<th align="left">端口</th>
			<th width="60px">操作</th>
		</tr>
	</table>
	</div>
	<div class="txt-right">
		<div style="float:right;">
			<p>
				<a class="btn-extend-blue" href="javascript:void(0);" onclick="addapp()">添加协议</a>
				<a class="btn-extend-blue" href="javascript:void(0);" onclick="app_delete(0)">删除选中</a>
				<a class="btn-extend-blue" href="javascript:void(0);" onclick="customaxpflow()">流量概况</a>
				<a class="btn-extend-blue" href="javascript:void(0);" onclick="loadaxp()">导入协议</a>
			</p>
			<div style="clear:both;"></div>
		</div>
	</div>
</div>

<div class="appadd-outer" style="display:none;">
	<table style="margin:20px; height:150px">
		<tr>
			<td width="100px">协议ID</td>
			<td><input type="text" value="" id="appid" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				编号范围是5000~7999，如果不填，则由系统选择协议编号。
			</td>
		</tr>
		<tr>
			<td width="100px">英文名称</td>
			<td><input type="text" value="" id="name" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				最大长度为32个字符
			</td>
		</tr>
		<tr>
			<td>中文名称</td>
			<td><input type="text" value="" id="cname" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				最大长度为32个字符
			</td>
		</tr>
		<tr>
			<td>域名</td>
			<td><input type="text" value="" id="host" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				形如：www.baidu.com，多个域名请用逗号隔开
			</td>
		</tr>
		<tr>
			<td>源IP</td>
			<td><input type="text" value="" id="srcip" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td>目标IP</td>
			<td>
				<input type="text" value="" id="dstip" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td>端口</td>
			<td><input type="text" value="" id="port" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				可用源端口或目标端口,0~65535，多个端口请用逗号隔开
			</td>
		</tr>
	</table>
</div>
<div class="appedit-outer" style="display:none;">
	<table style="margin:20px; height:200px">
		<tr>
			<td width="100px">英文名称</td>
			<td><input type="text" value="" id="name2" style="width:200px;" />
			[长度为32个字符]
			</td>
		</tr>
		<tr>
			<td>中文名称</td>
			<td><input type="text" value="" id="cname2" style="width:200px;" />
			[长度为32个字符]
			</td>
		</tr>
		<tr>
			<td>域名</td>
			<td><input type="text" value="" id="host2" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td>源IP</td>
			<td>
				<input type="text" value="" id="srcip2" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td>目标IP</td>
			<td>
				<input type="text" value="" id="dstip2" style="width:200px;" />
			</td>
		</tr>
		<tr>
			<td>端口</td>
			<td><input type="text" value="" id="port2" style="width:200px;" />
			[可用源端口或目标端口]
			</td>
		</tr>
	</table>
</div>
<div class="custom_import" style="display:none;">
	<iframe src="" name="file-upgrade-frame" id="file-upgrade-frame" style="display:none;" frameborder=0></iframe>
	<form enctype="multipart/form-data" method="post" action="ajax_app_custom.php" target="file-upgrade-frame" onsubmit="return beforesubmit()">
		<table style="margin:5px 10px;">
			<tr>
				<td>格式如下：</td>
			</tr>
			<tr>
				<td>1) 每行格式：协议编号,英文名称,中文名称,域名,源IP,目的IP,端口。</td>
			</tr>
			<tr>
				<td>2) 协议编号范围5000-7999，每个字段之间用逗号隔开。某一列有多个值可用空格隔开。</td>
			</tr>
		</table>
		<table style="margin:35px 10px;">
			<tr>
				<td class="font-fileupload" align="left">
					请输入文件路径：
					<input type="file" name="fileupgrade" id="fileupgrade" />
					<input type="hidden" name="action" id="action" value="loadfile" />
					<input type="submit" value="上传文件" style="height:22px;" />
				</td>
			</tr>
		</table>
	</form>
</div>
<script>
$("[name='allsel']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='onesel']").each(function(){
			$(this).attr("checked", true);
		});
	}
	else {
		$("[name='onesel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
})

applist();
</script>
</body>
</html>

















