<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");

if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<title>Panabit云平台</title>
</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "brokennet");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li class="active"><a href="brokennet.php">对象列表</a></li>
					<li><a href="brokenlog.php">登录日志</a></li>
					<li><a href="brokenope.php">操作日志</a></li>
				</ul>
		       	</div>
			<div class="cloud_main_table">
				<table style="width:100%;" id="brokennet-object-list">
					<tr>
						<th width="50px;">序号</th>
						<th class="txt-left">资源对象</th>
						<th class="txt-left">12位编号</th>
						<th class="txt-left">系统名称</th>
						<th class="txt-left">简要说明</th>
						<th width="50px">
							<a class="btn-default" href="javascript:void(0);" onclick="brokadd()">添加</a>
						</th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<div style="display:none;" id="obj-add-dialog">
	<table style="width:80%; height:100px; margin-left:10%;">
		<tr>
			<td>
				<input type="text" value="" placeholder="请输入网关设备12位编号(可选)" id="brok_id12" style="width:100%;" />
			</td>
		</tr>
		<tr>
			<td>
				<input type="text" value="" placeholder="请输入要阻断的IP或者域名" id="brok_key" style="width:100%" />
			</td>
		</tr>
		<tr>
			<td>
				<textarea value="" placeholder="请对此对象作出简要说明" id="brok_tips" style="width:100%" /></textarea>
			</td>
		</tr>
	</table>
</div>
<script type="text/javascript">
broklist();

function brokadd()
{
	$("#brok_id12").val('');
	$("#brok_key").val('');
	$("#brok_tips").val('');

	$("#obj-add-dialog").dialog({
		title: '添加对象',
		buttons:[{
			text: '取消',
			click:function() {
				$(this).dialog("close");
			}
		},{
			text: '确定',
			click:function() {
				add_handle();
			}
		}]
	});
}

function add_handle()
{
	var id12 = $("#brok_id12").val();
	var key = $("#brok_key").val();
	var tips = $("#brok_tips").val();
	id12 = TrimAll(id12);
	key = TrimAll(key);
	tips = TrimAll(tips);

	if (id12 != "" && id12.length != 12) {
		alert("请输入要正确的12位编号");
		return false;
	}

	if (key == "" || key == "null") {
		alert("请输入要阻断的对象");
		return false;
	}

	if (tips == "") {
		alert("请输入简要说明文字");
		return false;
	}

	$.ajax({
		url: 'sprog_addevent.php',
		data:{openid: 'xx', license_id12:id12, object:key, tips:encodeURIComponent(tips)},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.ret != 0)
				alert(json.out);
			else {
				broklist();
				$("#obj-add-dialog").dialog("close");
			}
		}
	})
}

function broklist()
{
	$.ajax({
		url: 'sprog_listevent.php',
		data:{openid: 'xx', cloudip:'xx'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			var list = document.getElementById("brokennet-object-list");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (var i = 0; i < json.length; i++) {
				var obj = list.insertRow(-1);
				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i + 1;
				cell = obj.insertCell(pos++);
				cell.innerHTML = json[i].object;
				cell = obj.insertCell(pos++);
				cell.innerHTML = json[i].license_id12;
				cell = obj.insertCell(pos++);
				cell.innerHTML = json[i].sysname;
				cell = obj.insertCell(pos++);
				cell.innerHTML = json[i].tips;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = '<a href="javascript:void(0)" onclick="brokremove('+json[i].id+')">删除</a>';
			}
		}
	});
}

function brokremove(id)
{
	$.ajax({
		url: 'sprog_deletevent.php',
		data:{openid: 'xx', cloudip:'xx', id:id},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.ret != 0)
				alert(json.out);
			else {
				broklist();
			}
		}
	})
}

cpumem();
setInterval(cpumem, 60000);
</script>
</body>
</html>


















