<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript">
function backup_devlist()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_devlist'},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no")
				alert(data.str);
			
			backup_update(data);
		}
	});
}

function backup_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".backup_devlist table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var errors, backup_type, backup_nexttime;
	
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		errors = '';
		switch(r.errors) {
			case "same":
			errors = "未修改";
			break;
			case "ok":
			errors = "成功";
			break;
			case "noconf":
			errors = "文件不存在";
			break;
			default:
			errors = '';
		}
		
		backup_type = "";
		backup_nexttime = "";
		if (r.backup_type == 1) {
			backup_type = "定时";
			backup_nexttime = r.backup_nexttime;
		}
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).html((i+1));
			tdobj.eq(1).html(r.license_id12);
			tdobj.eq(2).html(r.cname);
			tdobj.eq(3).html(r.grpname);
			tdobj.eq(4).html(backup_type);
			tdobj.eq(5).html(backup_nexttime);
			tdobj.eq(6).html(r.backup_time);
			tdobj.eq(7).html(errors);
			tdobj.eq(8).html(r.fnum);
			tdobj.eq(9).html('');
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center">'+(i+1)+'</td>'+
				'<td class="td-normal">'+ r.license_id12+'</td>'+
				'<td class="td-normal">'+ r.cname+'</td>'+
				'<td align="center">'+ r.grpname+'</td>'+
				'<td align="center">'+ backup_type+'</td>'+
				'<td align="center">'+ backup_nexttime+'</td>'+
				'<td align="center">'+r.backup_time+'</td>'+
				'<td align="center">'+errors+'</td>'+
				'<td align="center">'+r.fnum+'</td>'+
				'<td align="center"></td>'+
				'</tr>';
			$(s).appendTo(".backup_devlist table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".backup_devlist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function upgrade_close_config()
{
	$("#report_pop_box_create_backup").remove();
}

function cloud_backup_create()
{	
	var rpid = "create_backup";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(1000, 900, rpid);
	$("#report_pop_box_title_"+rpid).text("添加备份");
	
	var h = $("#"+content_id).height();
	$("#"+content_id).height(h+68);
	
	var dt = new Date();
	var ts = dt.getTime();
	var s1 = dt.getFullYear()+'-'+(dt.getMonth()+1)+'-'+dt.getDate();
	
	s = '<div class="upgrade-config">'+
		'<table style="margin: 0 auto; width:980px;height:50px;">'+
			'<tr>'+
				'<td width="150px">&nbsp;&nbsp;备份方式：</td>'+
				'<td>'+
					'<input type="radio" name="backuptype" value="0" checked /> 立即备份&nbsp;&nbsp;&nbsp;&nbsp;'+
					'<input type="radio" name="backuptype" value="1" /> 定时备份&nbsp;&nbsp;&nbsp;&nbsp;'+
					'<span id="backuptime" style="display:none;">'+
					'每隔 <input type="text" id="backupseg" value="3" style="width:50px;" /> 天备份一次&nbsp;'+
					'</span>'+
				'</td>'+
			'</tr>'+
		'</table>'+
		'<div class="upgrade-pa-button" style="margin-top:15px;text-align:right;"></div>'+
		'<div class="upgrade-pa-button" style="margin-top:15px;text-align:right;">'+
			'<a id="nowupgradebutton" style="padding:5px 20px;background:#09c;color:#fff;" '+
			'href="javascript:backup_save_config()">保存配置，立即备份</a>'+
			'<a id="laterupgradebutton" style="padding:5px 20px;background:#09c;color:#fff;display:none;" '+
			'href="javascript:backup_save_config()">保存配置，稍后备份</a>&nbsp;&nbsp;'+
		'</div>'+
		'<table style="width:100%;margin-top:10px;">'+
			'<tr>'+
				'<td style="border-bottom:1px solid #ddd;font-size:14px;">&nbsp;&nbsp;设备列表</td>'+
			'</tr>'+
		'</table>'+
		'<div class="backup-pa-list" style="margin-top:5px;overflow:auto;">'+
			'<table>'+
				'<tr>'+
					'<th width="50px">序号</th>'+
					'<th width="50px"><input type="checkbox" name="selall" /></th>'+
					'<th width="150px"><input type="text" value="" placeholder="编号" '+
					'id="sch_paid" style="width:100%;" class="form-group-text" /></th>'+
					'<th><input type="text" value="" placeholder="名称" id="sch_paname" '+
					'style="width:100%;" class="form-group-text" /></th>'+
					'<th align="center" width="150px">'+
						'<select id="grplisthdr" style="width:150px;" class="form-control">'+
						'</select>'+
					'</th>'+
					'<th width="300px">'+
						'<select id="selversion" style="width:280px;" class="form-control">'+
						'</select>'+
					'</th>'+
				'</tr>'+
			'</table>'+
		'</div>'+
	'</div>';
	
	$(s).appendTo("#"+content_id);
	$(".report-pop-box-foot").hide();
	var h = $("#"+content_id).height();
	$(".upgrade-pa-list").height(h-230);
	
	$("[name='backuptype']").click(function(){
		var v = $(this).val();
		
		if (v == "1") {
			$("#backuptime").show();
			
			$("#laterupgradebutton").show();
			$("#nowupgradebutton").hide();
		}else {
			$("#backuptime").hide();
			$("#laterupgradebutton").hide();
			$("#nowupgradebutton").show();
		}
	})
	
	$("[name='selall']").click(function(){
		if ($(this).attr("checked")) {
			$("[name='pasel']").each(function(){
				$(this).attr("checked", true);
				
				paselected.push($(this).val());
			});
		}else{
			paselected.length = 0;
			
			$("[name='pasel']").each(function(){
				$(this).removeAttr("checked");
			});
		}
	});
	
	$("#grplisthdr").change(function(){
		upgrade_list_ajax($(this).val());
	});
	
	$("#selversion").change(function(){
		upgrade_list_ajax($("#grplisthdr").val());
	});
	
	$("#sch_paname,#sch_paid").keyup(function() {
		var ev = window.event || arguments.callee.caller.arguments[0];
		var th = ev.keyCode || ev.whick;
		if (th == 13)
			upgrade_list_ajax($("#grplisthdr").val());
	});
	
	grplist();
	task_version_list();
	upgrade_list_ajax(0);
}

function grplist()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#grplisthdr').find("option").remove();
			s = '<option value="0">所有组</option>';
			$(s).appendTo('#grplisthdr');
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s = '<option value="'+r.grpid+'">'+r.grpname+'</option>';

				$(s).appendTo('#grplisthdr');
			}
		}
	});
}

function task_version_list()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'task_version_list'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#selversion').find("option").remove();
			s = '<option value="0">当前版本</option>';
			
			for (i = 0; i < json.rows.length; i++) {
				if (json.rows[i] == "none")
					continue;
				s += '<option value="'+json.rows[i]+'">'+json.rows[i]+'</option>';
			}
			$(s).appendTo('#selversion');
		}
	});
}

function upgrade_list_ajax(grpid)
{
	var ar = [];
	var sch = $("#selversion").val();
	if (sch == "0") sch = "";
	if (sch == null) sch = "";
	if (sch != "")
		ar.push(sch);
	
	var sch_paname = TrimAll($("#sch_paname").val());
	if (sch_paname != "")
		ar.push(sch_paname);
	var sch_paid = TrimAll($("#sch_paid").val());
	if (sch_paid != "")
		ar.push(sch_paid.toUpperCase());
	
	if (ar.length != 0)
		sch = ar.join('|');
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', grpid: grpid, 
			sch: sch, sort: "license_end", 
			g_ascdesc: "desc", page: 1, limit: 0},
		dataType:'json',
		type:'post',
		success:function(data){
			expire_list(data);
		}
	});
}

var paselected = [];
function expire_list(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".backup-pa-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var explen = 0;
		
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	for (i = 1; i < trlen; i++) 
		trobj.eq(i).remove();

	var k = 0;
	for (i = 0; i < len; i++){
		r = data.rows[i];

		if ((r.time+15) < r.servertime) {
			state_png = '<img src="../img/12.png" title="断开连接" />';
			continue;
		}
		
		trbg = '';
		if (k % 2 == 1)
			trbg = 'currtr';
		
		k++;
		
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";

		s = '<tr class="'+trbg+'">'+
			'<td align="center" width="40px">'+k+'</td>'+
			'<td align="center" width="40px"><input type="checkbox" paname="'+r.sys_name+'" grpid="'+r.grpid+
			'" value="'+r.license_id12+'" name="pasel" /></td>'+
			'<td align="left" width="100px">&nbsp;'+r.license_id12+'</td>'+
			'<td class="td-normal">&nbsp;'+ r.sys_name+'</td>'+
			'<td align="center" width="110px">'+ r.grpname+'</td>'+
			'<td align="center">'+r.version+'&nbsp;</td>'+
			'</tr>';
		$(s).appendTo(".backup-pa-list table");
	}
	
	/* 添加单击事件 */
	$("[name='pasel']").click(function(){
		var v = $(this).val();
		
		$("[name='selall']").removeAttr("checked");
		
		var fd = 0;
		if ($(this).attr("checked")) {
			paselected.push($(this).val());
		}else {
			for (i = 0; i < paselected.length; i++) {
				if (paselected[i] == v) {
					paselected.splice(i, 1);
					break;
				}
			}
		}
	});
}

function backup_save_config()
{
	var backuptype = 0;
	$("[name='backuptype']").each(function(){
		if ($(this).attr("checked"))
			backuptype = $(this).val();
	});
	
	var backupseg = $("#backupseg").val();
	if (backupseg == "")
		backupseg = 3;
	
	var selarr = [];
	var paname = [];
	var grpid = [];
	$("[name='pasel']").each(function(){
		if ($(this).attr("checked")) {
			selarr.push($(this).val());
			paname.push($(this).attr("paname"));
			grpid.push($(this).attr("grpid"));
		}
	});
	var licenseidstr = selarr.join('|');
	var panamestr = paname.join('|');
	var grpidstr = grpid.join('|');
	if (licenseidstr == "") {
		alert("请选择需要升级的对象");
		return false;
	}
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_save_config', 
			backuptype: backuptype, backupseg:backupseg, 
			licenseidstr: licenseidstr, 
			panamestr: panamestr, 
			grpidstr: grpidstr},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn == "yes") {
				alert("配置成功");
				$("#report_pop_box_create_task").remove();
			}else
				alert(data.str);
		}
	});
}

</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<a href="javascript:void(0);" onclick="cloud_logout()">退出</a>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<div class="product-nav-stage">
			<div class="sidebar-title">
				<span class="triangle_border_down">
				</span>
				<span class="sidebar-title-text">&nbsp;功能列表</span>
			</div>
			<ul>
				<li><a href="cloud_ex.php?grp=0"><div class="nav-icon"><img src="../img/text.png" /></div><span>设备列表</span></a></li>
				<li><a href="bdmap.php"><div class="nav-icon"><img src="../img/map.png" /></div><span>设备地图</span></a></li>
				<li><a href="upgrade_config.php"><div class="nav-icon"><img src="../img/upload.png" /></div><span>设备升级</span></a></li>
				<?php
					if ($_SESSION['cloud_username'] == "admin") {
						echo '<li><a href="cloud_user.php"><div class="nav-icon"><img src="../img/user.png" /></div><span>用户管理</span></a></li>';
					}
				?>
				<li>
					<a href="cloud_expire.php">
						<div class="nav-icon"><img src="../img/text.png" /></div>
						<span style="width:60px">即将到期</span>
						<span style="float:left;display:block;width:50px;height:40px;line-height:40px;"><div class="license-message">0</div></span>
					</a>
				</li>
				<li><a href="config_backup.php"><div class="nav-icon"><img src="../img/database.png" /></div><span>配置备份</span></a></li>
			</ul>
		</div>
		<div class="product-body">
			<div class="product-upgrade-nav">
				<ul class="nav nav-tabs">
					<li class="active"><a href="config_backup.php">设备列表</a></li>
					<li><a href="config_backnow.php">正在备份</a></li>
				</ul>
			</div>
			<div style="float:right;">
				<input type="button" value="添加备份" onclick="cloud_backup_create()" class="btn-default btn-blue" />
			</div>
			<div class="backup_devlist">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th align="left" width="140px">编号</th>
						<th align="left" style="width:150px;">名称</th>
						<th align="center" width="90px">属组</th>
						<th align="center" width="90px">备份类型</th>
						<th align="center" width="90px">下次备份</th>
						<th align="center" width="90px">上次备份</th>
						<th align="center" width="90px">上次状态</th>
						<th align="center" width="90px">文件数</th>
						<th style="width:90px;" align="center">操作</th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
backup_devlist();
setInterval(backup_devlist, 1000);
</script>
</body>
</html>
