<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 20;
var start = 0;
var pagestr = '';

function nextpage()
{
	page++;
	
	backup_devlist();
}

function uppage()
{
	page--;
	if (page <= 0)
		page = 1;
	
	backup_devlist();
}

function button_click()
{
	page = 1;
	
	backup_devlist();
}

function backup_devlist()
{
	var grpid = $("#grplisthdr").val();
	var sch = TrimAll($("#sch").val());
	limit = $("#listnum").val();
	if (limit == "" || limit == 0 || isNaN(limit))
		limit = 20;
	schs = sch.replace(/'/g, '');
	
	var backup_type = $("#backup_type_form").val();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_devlist', 
			grpid: grpid, page: page, limit: limit, sch: schs},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no")
				alert(data.str);
			
			backup_update(data);
			showpagenum(data);
		}
	});
}

function backup_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".backup_devlist table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var errors, backup_type, backup_nexttime;
	
	$("[name=allsel]").removeAttr("checked");
	var dt = parseInt(((new Date()).getTime()) / 1000);
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		start = (page - 1) * limit;
		
		errors = '';
		switch(r.errors) {
			case "same":
			errors = "内容未变化";
			break;
			case "timeout":
			errors = "超时";
			break;
			case "ok":
			errors = "<img src='../img/10.png' width='15px' title='备份成功' />";
			break;
			case "fail":
			errors = "文件上传失败";
			break;
			case "noconf":
			errors = "配置文件不存在";
			break;
			case "wait":
			errors = "<img src='../img/loading.gif' title='等待备份' />";
			break;
			default:
			errors = '';
		}
		
		backup_type = "";
		backup_nexttime = "";
		if (r.backup_type == 1) {
			backup_type = "定时";
			backup_nexttime = (r.backup_nexttime - dt)+'秒';
		}else 
		if (r.backup_type == 2) {
			backup_type = "取消";
			backup_nexttime = '';
		}
		
		downstr = '<a href="javascript:backup_fldownload(\''+r.license_id12+'\', \''+r.cname+'\')">文件</a>';
		if (r.backup_type == 1) {
			downstr += '&nbsp;|&nbsp;';
			downstr += '<a class="log-tooltips" href="javascript:backup_stop(\''+r.license_id12+'\', 2)" title="取消备份">取消</a>';
		}
		else if (r.backup_type == 2) {
			downstr += '&nbsp;|&nbsp;';
			downstr += '<a class="log-tooltips" href="javascript:backup_stop(\''+r.license_id12+'\', 1)" title="开启后为定时备份">开启</a>';
		}
		downstr += '&nbsp;|&nbsp;';
		downstr += '<a class="log-tooltips" href="javascript:backup_delete(\''+r.license_id12+'\')" title="将会删除这台设备所有的备份文件">删除</a>';
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).html((start+i+1));
			tdobj.eq(1).html('<input type="checkbox" value="'+r.license_id12+'" name="unitsel" />');
			tdobj.eq(2).html(r.license_id12);
			tdobj.eq(3).html(r.cname);
			tdobj.eq(4).html(r.grpname);
			tdobj.eq(5).html(backup_type);
			tdobj.eq(6).html(r.backup_time);
			tdobj.eq(7).html(errors);
			tdobj.eq(8).html(backup_nexttime);
			tdobj.eq(9).html(r.fnum);
			tdobj.eq(10).html(downstr);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center">'+(start+i+1)+'</td>'+
				'<td align="left"><input type="checkbox" value="'+r.license_id12+'" name="unitsel" /></td>'+
				'<td class="td-normal">'+ r.license_id12+'</td>'+
				'<td class="td-normal">'+ r.cname+'</td>'+
				'<td align="center">'+ r.grpname+'</td>'+
				'<td align="center">'+ backup_type+'</td>'+
				'<td align="center">'+r.backup_time+'</td>'+
				'<td align="center">'+errors+'</td>'+
				'<td align="center" style="color:#f00">'+ backup_nexttime+'</td>'+
				'<td align="center">'+r.fnum+'</td>'+
				'<td align="center">'+downstr+'</td>'+
				'</tr>';
			$(s).appendTo(".backup_devlist table");
		}
	}
	
	$(".log-tooltips").tooltip();
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".backup_devlist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function backup_getcurrbackup()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_getcurrbackup'},
		dataType:'json',
		type:'post',
		success:function(data){
			$(".backup-currnum").html("等待备份设备数："+data.str);
			$(".backup-currnum").show();
		}
	});
}

function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>';
		
	$(".cloud-page-bar").html(pagestr);
}

function backup_close_config()
{
	$("#report_pop_box_create_backup").remove();
}

function cloud_backup_create()
{	
	var rpid = "create_backup";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(1000, 900, rpid);
	$("#report_pop_box_title_"+rpid).text("添加备份");
	
	var h = $("#"+content_id).height();
	$("#"+content_id).height(h+68);
	
	var dt = new Date();
	var ts = dt.getTime();
	var s1 = dt.getFullYear()+'-'+(dt.getMonth()+1)+'-'+dt.getDate();
	
	s = '<div class="upgrade-config">'+
		'<table style="height:50px;">'+
			'<tr>'+
				'<td style="width:150px;font-size:14px;">&nbsp;&nbsp;备份方式：</td>'+
				'<td>'+
					'<input type="radio" name="backuptype" value="0" checked /> 立即备份&nbsp;&nbsp;&nbsp;&nbsp;'+
					'<input type="radio" name="backuptype" value="1" /> 定时备份&nbsp;&nbsp;&nbsp;&nbsp;'+
					'<span id="backuptime" style="display:none;margin-left:30px;">'+
					'每隔&nbsp;<input type="text" id="backupseg" value="3" style="width:50px;" /> 天备份一次&nbsp;'+
					'</span>'+
				'</td>'+
				'<td>'+
					'<div class="upgrade-pa-button" style="text-align:right;">'+
						'<a id="nowupgradebutton" style="padding:5px 20px;background:#09c;color:#fff;" '+
						'href="javascript:backup_save_config()">保存配置，立即备份</a>'+
						'<a id="laterupgradebutton" style="padding:5px 20px;background:#09c;color:#fff;display:none;" '+
						'href="javascript:backup_save_config()">保存配置，定时备份</a>&nbsp;&nbsp;'+
					'</div>'+
				'</td>'+
			'</tr>'+
		'</table>'+
		
		'<table style="width:100%;margin-top:10px;">'+
			'<tr>'+
				'<td style="border-bottom:1px solid #ddd;font-size:14px;">&nbsp;&nbsp;设备列表</td>'+
			'</tr>'+
		'</table>'+
		'<div class="backup-pa-list" style="margin-top:5px;overflow:auto;">'+
			'<table>'+
				'<tr>'+
					'<th width="50px">序号</th>'+
					'<th width="50px"><input type="checkbox" name="selall" /></th>'+
					'<th width="150px"><input type="text" value="" placeholder="编号" '+
					'id="sch_paid" style="width:100%;" class="form-group-text" /></th>'+
					'<th><input type="text" value="" placeholder="名称" id="sch_paname" '+
					'style="width:100%;" class="form-group-text" /></th>'+
					'<th align="center" width="150px">'+
						'<select id="grplisthdr_open" style="width:150px;" class="form-control">'+
						'</select>'+
					'</th>'+
					'<th width="300px">'+
						'<select id="selversion" style="width:280px;" class="form-control">'+
						'</select>'+
					'</th>'+
				'</tr>'+
			'</table>'+
		'</div>'+
	'</div>';
	
	$(s).appendTo("#"+content_id);
	$(".report-pop-box-foot").hide();
	var h = $("#"+content_id).height();
	$(".upgrade-pa-list").height(h-230);
	
	$("[name='backuptype']").click(function(){
		var v = $(this).val();
		
		if (v == "1") {
			$("#backuptime").show();
			
			$("#laterupgradebutton").show();
			$("#nowupgradebutton").hide();
		}else {
			$("#backuptime").hide();
			$("#laterupgradebutton").hide();
			$("#nowupgradebutton").show();
		}
	})
	
	$("[name='selall']").click(function(){
		if ($(this).attr("checked")) {
			$("[name='pasel']").each(function(){
				$(this).attr("checked", true);
				
				paselected.push($(this).val());
			});
		}else{
			paselected.length = 0;
			
			$("[name='pasel']").each(function(){
				$(this).removeAttr("checked");
			});
		}
	});
	
	$("#grplisthdr_open").change(function(){
		upgrade_list_ajax($(this).val());
	});
	
	$("#selversion").change(function(){
		upgrade_list_ajax($("#grplisthdr_open").val());
	});
	
	$("#sch_paname,#sch_paid").keyup(function() {
		var ev = window.event || arguments.callee.caller.arguments[0];
		var th = ev.keyCode || ev.whick;
		if (th == 13)
			upgrade_list_ajax($("#grplisthdr_open").val());
	});
	
	grplist2();
	task_version_list();
	upgrade_list_ajax(0);
}

function grplist2()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#grplisthdr_open').find("option").remove();
			s = '<option value="0">所有组</option>';
			$(s).appendTo('#grplisthdr_open');
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s = '<option value="'+r.grpid+'">'+r.grpname+'</option>';

				$(s).appendTo('#grplisthdr_open');
			}
		}
	});
}

function task_version_list()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'task_version_list'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#selversion').find("option").remove();
			s = '<option value="0">当前版本</option>';
			
			for (i = 0; i < json.rows.length; i++) {
				if (json.rows[i] == "none")
					continue;
				s += '<option value="'+json.rows[i]+'">'+json.rows[i]+'</option>';
			}
			$(s).appendTo('#selversion');
		}
	});
}

function upgrade_list_ajax(grpid)
{
	var ar = [];
	var sch = $("#selversion").val();
	if (sch == "0") sch = "";
	if (sch == null) sch = "";
	if (sch != "")
		ar.push(sch);
	
	var sch_paname = TrimAll($("#sch_paname").val());
	if (sch_paname != "")
		ar.push(sch_paname);
	var sch_paid = TrimAll($("#sch_paid").val());
	if (sch_paid != "")
		ar.push(sch_paid.toUpperCase());
	
	if (ar.length != 0)
		sch = ar.join('|');
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', 
			grpid: grpid, 
			sch: sch, 
			sort: "license_end", 
			g_ascdesc: "desc", 
			page: 1, 
			limit: 0,
			expire:2},
		dataType:'json',
		type:'post',
		success:function(data){
			expire_list(data);
		}
	});
}

var paselected = [];
function expire_list(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".backup-pa-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var explen = 0;
		
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	for (i = 1; i < trlen; i++) 
		trobj.eq(i).remove();

	var k = 0;
	for (i = 0; i < len; i++){
		r = data.rows[i];

		if ((r.time+15) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
			continue;
		}
		
		trbg = '';
		if (k % 2 == 1)
			trbg = 'currtr';
		
		k++;
		
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";

		s = '<tr class="'+trbg+'">'+
			'<td align="center" width="40px">'+k+'</td>'+
			'<td align="center" width="40px"><input type="checkbox" paname="'+r.sys_name+'" grpid="'+r.grpid+
			'" value="'+r.license_id12+'" name="pasel" /></td>'+
			'<td align="left" width="100px">&nbsp;'+r.license_id12+'</td>'+
			'<td class="td-normal">&nbsp;'+ r.sys_name+'</td>'+
			'<td align="center" width="110px">'+ r.grpname+'</td>'+
			'<td align="center">'+r.version+'&nbsp;</td>'+
			'</tr>';
		$(s).appendTo(".backup-pa-list table");
	}
	
	/* 添加单击事件 */
	$("[name='pasel']").click(function(){
		var v = $(this).val();
		
		$("[name='selall']").removeAttr("checked");
		
		var fd = 0;
		if ($(this).attr("checked")) {
			paselected.push($(this).val());
		}else {
			for (i = 0; i < paselected.length; i++) {
				if (paselected[i] == v) {
					paselected.splice(i, 1);
					break;
				}
			}
		}
	});
}

function backup_save_config()
{
	var backuptype = 0;
	$("[name='backuptype']").each(function(){
		if ($(this).attr("checked"))
			backuptype = $(this).val();
	});
	
	var backupseg = $("#backupseg").val();
	if (backupseg == "")
		backupseg = 3;
	
	var selarr = [];
	var paname = [];
	var grpid = [];
	$("[name='pasel']").each(function(){
		if ($(this).attr("checked")) {
			selarr.push($(this).val());
			paname.push($(this).attr("paname"));
			grpid.push($(this).attr("grpid"));
		}
	});
	var licenseidstr = selarr.join('|');
	var panamestr = paname.join('|');
	var grpidstr = grpid.join('|');
	if (licenseidstr == "") {
		alert("请选择需要升级的对象");
		return false;
	}
	
	if (!confirm("确定要添加备份配置吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_save_config', 
			backuptype: backuptype, backupseg:backupseg, 
			licenseidstr: licenseidstr, 
			panamestr: panamestr, 
			grpidstr: grpidstr},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn == "yes") {
				alert("配置成功");
				$("#report_pop_box_create_backup").remove();
			}else
				alert(data.str);
		}
	});
}

function backup_delete(license_id12)
{
	if (!confirm("确定要删除这台设备的备份吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_delete', license_id12: license_id12},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			else
				backup_devlist();
		}
	});
}

function cloud_backup_muldel()
{
	var arr = [];
	var lis = "";
	
	$("[name='unitsel']").each(function(){
		if ($(this).attr("checked"))
			arr.push($(this).val());
	});
	
	if (arr.length == 0)
		return false;
	
	if (arr.length != 0)
		lis = arr.join(',');
	
	if (!confirm("确定要删除选中列表吗"))
		return false;
	
	backup_delete(lis);
}

function backup_fldownload(license_id12, cname)
{
	var rpid = "filedownload";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(600, 900, rpid);
	$("#report_pop_box_title_"+rpid).text(cname+"--下载列表");
	
	s = '<div class="backup-filelist">';
	s += '<table style="margin: 0 auto;">'+
			'<tr>'+
				'<th width="50px">编号</th>'+
				'<th>文件名称</th>'+
				'<th width="150px">文件大小</th>'+
				'<th width="100px">操作</th>'+
			'</tr>'+
		'</table>';
	s += '</div>';
	$(s).appendTo("#"+content_id);
	
	$(".foot-ok").hide();
	
	backup_getfile(license_id12);
}

function backup_getfile(license_id12)
{
	if (license_id12 == "")
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_getfile', license_id12: license_id12},
		dataType:'json',
		type:'post',
		success:function(data) {
			backup_fileupdate(data, license_id12);
		}
	});
}

function backup_fileupdate(data, license_id12)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".backup-filelist table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var downstr = '';
		
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		downstr = '<a href="javascript:backup_conf_download(\''+r.filename+'\')">下载</a>';
		downstr += '&nbsp;&nbsp;|&nbsp;&nbsp;';
		downstr += '<a href="javascript:backup_fldelete(\''+r.filename+'\', \''+license_id12+'\')">删除</a>';
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).html((i+1));
			tdobj.eq(1).html(r.filename);
			tdobj.eq(2).html(r.size);
			tdobj.eq(3).html(downstr);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center">'+(i+1)+'</td>'+
				'<td class="td-normal">'+ r.filename+'</td>'+
				'<td style="text-align:right">'+ numberformats(r.size)+'</td>'+
				'<td align="center">'+downstr+'</td>'+
				'</tr>';
			$(s).appendTo(".backup-filelist table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".backup-filelist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function backup_conf_download(filename)
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_conf_download', filename: filename},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			else
				window.open("../download/"+data.str, "_blank");
		}
	});
}

function backup_fldelete(filename, license_id12)
{
	if (!confirm("确定要删除文件"+filename+"吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_fldelete', license_id12: license_id12, filename: filename},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			else
				backup_getfile(license_id12);
		}
	});
}

function backup_stop(license_id12, backup_type)
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_stop', license_id12: license_id12, backup_type: backup_type},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			else {
				alert("操作成功");
				backup_devlist();
			}
		}
	});
}

function enterEvent()
{
	page = 1;
	
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		button_click();
	else return false;
}

</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "config_backup");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li class="active">
						<a href="config_backup.php">备份列表</a>
					</li>
					<li>
						<a href="backup_set.php">备份配置</a>
					</li>
				</ul>
			</div>
			<div style="margin-top:10px;">
				<div class="cloud-bags-upload-form">
					<div class="form-group">
						刷新&nbsp;
						<select id="bdupdateint" class="form-control">
							<option value="0">不刷新</option>
							<option value="1">1秒</option>
							<option value="5" selected>5秒</option>
							<option value="15">15秒</option>
							<option value="60">60秒</option>
						</select>
					</div>
					<div class="form-group">
						显示组&nbsp;
						<select id="grplisthdr" class="form-control">
							<option value="0">所有组</option>
						</select>
					</div>
					<div class="form-group">
						每页&nbsp;
						<input type="text" value="20" id="listnum" size="1" class="form-group-text" /> 条
					</div>
					<div class="form-group">
						<input type="text" placeholder="请输入设备编号或名称进行模糊查询" 
							id="sch" size="48" class="form-group-text" onkeyup="enterEvent()" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="button_click()" class="btn-default" />
					</div>
				</div>
				<div style="float:right;padding:0 5px;">
					<div class="backup-currnum"></div>
					<div style="float:right; margin-right:5px;">
						<input type="button" value="删除选中" onclick="cloud_backup_muldel()" class="btn-default" />
					</div>
					<div style="float:right; margin-right:5px;">
						<input type="button" value="添加备份" onclick="cloud_backup_create()" class="btn-default btn-blue" />
					</div>
					<div style="clear:both;"></div>
				</div>
				<div style="clear:both;"></div>
			</div>
			<div class="backup_devlist">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th align="left" width="40px">
							<input type="checkbox" name="allsel" />
						</th>
						<th align="left" width="140px">编号</th>
						<th align="left" width="150px">名称</th>
						<th align="center">属组</th>
						<th align="center">备份类型</th>
						<th align="center">最近备份</th>
						<th align="center">最近状态</th>
						<th align="center">距离下次备份</th>
						<th align="center">文件数</th>
						<th style="width:100px;" align="center">操作</th>
					</tr>
				</table>
			</div>
			<div class="cloud-page-bar">
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
backup_devlist();
backupint = setInterval(backup_devlist, 5000);
$("#bdupdateint").change(function(){
	clearInterval(backupint);
	if ($(this).val() != 0)
	backupint = setInterval(backup_devlist, $(this).val() * 1000);
});
backup_getcurrbackup();
setInterval(backup_getcurrbackup, 5000);

$("#grplisthdr").change(function(){
	page = 1;
	backup_devlist();
});

$("[name='allsel']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='unitsel']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='unitsel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

grplist(2, 0);

cpumem();
setInterval(cpumem, 3000);

ixc_stat();
</script>
</body>
</html>
