<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
?>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
	<script type="text/javascript" src="../js/jquery.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<link type="text/css" rel="stylesheet" href="../css/common.css" />
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/plupload.full.min.js"></script>
	<title>Panabit云平台</title>
	<script>
	
	$(document).ready(function(){
		cloud_record_list();
	});
	
	function cloud_record_list()
	{
		var license_id12 = $("#license_id12").val();
		
		$.ajax({
			url:'system_handle.php',
			data:{type:'cloud_record_list', license_id12: license_id12},
			dataType:'json',
			type:'post',
			success: function(json) {
				cloud_record_list_update(json, license_id12);
			}
		});
	}
	
	function cloud_record_list_update(data, license_id12)
	{
		var r, s = '';

		for (i = 0; i < data.rows1.length; i++){
			r = data.rows1[i];
			
			s = '';
			s += '<div style="border:1px solid #ddd;border-top:none;padding:20px;">';
			s += '<table style="width:100%;border-collapse: collapse;border-spacing: 0;">';
			s += '<tr><td>';
			s += '<div style="line-height:20px;word-break: break-all;word-wrap: break-word;margin-bottom:5px;">'+r.cont+'<br/><span style="color:#999;">'+r.timestr+'</span></div>';
			s += '<div class="'+license_id12+r.cid+'" style="line-height:20px;word-break: break-all;word-wrap: break-word;margin-bottom:5px;display:none;"><ul></ul></div>';
			s += '</td></tr>';
			s += '</table>';
			s += '</div>';
			$(s).appendTo(".cloud-record-list");
		}
		
		for (i = 0; i < data.rows2.length; i++){
			r = data.rows2[i];
			
			s = '';
			s += '<li class="pic-list'+r.cid+r.pid+'"><img src="../cloud_pic/'+r.fname+'" width="100px" height="100px" /></li>';
			$(s).appendTo("."+license_id12+r.cid+" ul");
			$("."+license_id12+r.cid).show();
			
			$(".pic-list"+r.cid+r.pid).click(function(){
				var a = $(this).find("img");
				if (a.css("width") == r.width+"px") {
					a.css("width", 100);
					a.css("height", 100);
				}else {
					a.css("width", r.width+"px");
					a.css("height", r.height+"px");
				}
			});
		}
		
		if (data.rows1.length == 0) {
			s = '';
			s += '<div style="width:100%;text-align:center;font-size:20px;font-weight:bold;color:#ccc;margin-top:100px;">还没有添加任何记录.</div>';
			$(s).appendTo(".cloud-record-list");
		}
	}
	
	function add_record()
	{
		var license_id12 = $("#license_id12").val();
		
		var suff = "add_record";
		var id = "report_pop_box_"+suff;
		var title_id = "report_pop_box_title_"+suff;
		var content_id = "report_pop_box_content_"+suff;
		
		rp_showbox(750, 300, suff);
		$("#"+title_id).text("添加记录");
		
		var s = '';
		s += '<table style="margin-top:10px;">';
		s += '<tr><td align="center" width="100px" >日志：</td><td><textarea rows=8 cols=85 id="rdcontent"></textarea></td></tr>';
		s += '<tr><td align="center">附加图片：</td>';
		s += '<td><form name="upload-pic-form" enctype="multipart/form-data" method="post" action="system_handle.php" target="upload-pic-ifr" onsubmit="return isvalide()">';
		s += '<input type="file" name="cloud_rdpic" id="cloud_rdpic" style="width:558px;" />';
		s += '<input type="hidden" name="type" id="type" value="cloud_uploadpic" />';
		s += '<input type="hidden" name="rdid" id="rdid" value="'+license_id12+'" />';
		s += '&nbsp;<input type="submit" id="upload-submit" name="upload-submit" value="上传" style="width:50px;height:25px;" />';
		s += '</form>';
		s += '<iframe src="about:blank" name="upload-pic-ifr" id="upload-pic-ifr" style="display:none;" frameborder=0></iframe>';
		s += '</td></tr>';
		s += '</table>';
		$(s).appendTo("#"+content_id);
		
		$(".foot-ok").click(function(){
			add_record_submit(license_id12);
		});
		$(".foot-cancel").click(function(){
			cloud_record_cancel(license_id12);
		});
	}
	
	function cloud_record_cancel(license_id12)
	{
		$.ajax({
			url:'system_handle.php',
			data:{type:'cloud_record_cancel', license_id12: license_id12},
			dataType:'json',
			type:'post',
			success: function(json) {
				var suff = "add_record";
				var id = "report_pop_box_"+suff;
				$("#"+id).remove();
			}
		});
	}
	
	function isvalide()
	{
		var a = $("#cloud_rdpic").val();
		if (a == "") {
			alert("请选择正确的图片路径");
			return false;
		}
		return true;
	}
	
	function add_record_submit(license_id12)
	{
		var rdcontent = $("#rdcontent").val();
		
		$.ajax({
			url:'system_handle.php',
			data:{type:'add_record_submit', license_id12: license_id12, rdcontent: encodeURIComponent(rdcontent)},
			dataType:'json',
			type:'post',
			success: function(json) {
				if (json.yn == "no") alert(json.str);
				else {
					alert("操作成功");
					
					var suff = "add_record";
					var id = "report_pop_box_"+suff;
					$("#"+id).remove();
					
					location.reload();
				}
			}
		});
	}
	</script>
	
	<style type="text/css">
	.upload-btn {position:relative;width:60px;height:60px;border:1px solid #ddd;background:#ddd;text-align:center;line-height:60px;}
	.cloud-record-list ul{list-style:none;}
	.cloud-record-list ul li{display:inline-block;padding:3px;border:1px dotted #ddd;}
	</style>
</head>
<body>
	<div style="font-size:14px; color:#fff;background:#006594;text-align:left;line-height:30px;height:30px;font-weight:bold;">
		<div style="float:left; width:200px;">
			<label>&nbsp;&nbsp; <?php echo urldecode($_GET['sys_name']); ?></label>
			<input type="hidden" value="<?php echo $_GET['license_id12']; ?>" id="license_id12" />
		</div>
		<div style="float:right;">
			<a href="javascript:add_record()" style="color:#fff;padding:0 10px;"><img src="../img/add.png" style="margin-bottom:-4px;" />添加日志</a>
		</div>
	</div>
	<div class="cloud-record-list">
	</div>
</body>
</html>