<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$cname = $_GET['cname'];
$name = $_GET['name'];
$port = $_GET['port'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title><?=VERSION?></title>
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
    <script type="text/javascript">
        function addeventhdl(){
            var name = ($("#eventname").val());
            var port = ($("#eventport").val());

            if (name == ''){
                alert('采集器名称不能为空');
                $("#eventname").focus();
                return false;
            }
            if (port == ''){
                alert('端口不能为空');
                $("#eventport").focus();
                return false;
            }

            for (var i = 0; i < name.length; i++){
                if (name.charAt(i) == ' '){
                    alert("英文名称不能含有空格");
                    $("#eventname").focus();
                    return false;
                }
            }
            for (i = 0; i < name.length; i++){
                if (name.charCodeAt(i) >= 0x4E00 && name.charCodeAt(i) <= 0x9FA5){
                    alert("请输入非中文名称");
                    return false;
                }
            }

            if (isNaN(port) || port <=0 || port > 65535){
                alert('端口号填写不正确');
                $("#eventport").focus();
                return false;
            }

            $.ajax({
                url:'getevent.php',
                type:'post',
                data:{type:'edit', name:name, port:port},
                dataType:'json',
                success:function(data){
                    alert(data.str);
                    if (data.yn == "yes")
                        location.href="eventport-html.php";
                }
            });
        }
    </script>
</head>
<body>
<div class="maintain-content check-panel-radius">
    <div class="topapp-list-table" style="">
        <table height="80px" width="700px">
            <tr><td width="20px"></td><td width="100px" align="left">中文名称</td>
                <td align="left"><input type="text" value="<?=urldecode($cname)?>" style="width:150px" disabled /></td></tr>
            <tr><td width="20px"></td><td width="100px" align="left">英文名称</td>
                <td align="left"><input type="text" id="eventname" value="<?=urldecode($name)?>" style="width:150px" disabled /></td></tr>
            <tr><td width="20px"></td><td align="left">采集器端口</td>
                <td align="left"><input type="text" id="eventport" value="<?=$port?>" style="width:150px" /> (1024~65535)</td></tr>
            <tr><td colspan="3"><hr></td></tr>
            <tr><td colspan="3" align="right">
                    <input type="button" value="确定" style="width:70px;" onclick="addeventhdl()" />
                    <input type="button" value="取消" style="width:70px;" onclick="location.href='eventport-html.php'" />
                </td></tr>
        </table>
    </div>
</div>
</body>
</html>