<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript">
function format_statuss(value)
{
	var st = '<img src="../img/12.png" width="15px" title="端口占用">';
	if (value == 1)
		st = '<img src="../img/10.png" width="15px" title="接收正常">';

	return st;
}

function showtrend(port)
{
	var w = 800;
	var h = window.screen.height - 150;
	var l = (window.screen.width - 800) / 2;
	window.open("pnb_bags.php?port="+port, "_blank", "width=800px, height="+h+"px, left="+l+"px");
}

function showlog(port)
{
	var w = 800;
	var h = window.screen.height - 150;
	var l = (window.screen.width - 800) / 2;
	window.open("showlog.php?port="+port, "_blank", "width=800px, height="+h+"px, left="+l+"px");
}



function port_info()
{
	$.ajax({
		url:'getevent.php',
		dataType:'json',
		type:'post',
		data:{type:'list'},
		success:function(data) {
			var list = document.getElementById("portlist");
			while (list.rows.length > 1)
				list.deleteRow(1);

			for (var i = 0; i < data.result.length; i++) {
				var r = data.result[i];

				trbg = '';
				if (i % 2 == 1)
					trbg = 'log-table-tr-toggle-bgcolor-curr';
				if (r.bytes_per == 0)
					trbg = 'log-table-tr-toggle-bgcolor-zero';

				r.status = format_statuss(r.status);
				mk = '<a href="javascript:showtrend('+r.port+')">趋势</a>';
				mk += '&nbsp;&nbsp;';
				mk += '<a href="javascript:editevent(\''+r.name+'\', \''+r.port+'\', \''+r.cname+'\')">编辑</a>';
				mk += '&nbsp;&nbsp;';
				mk += '<a href="javascript:delete_receiver(\''+r.name+'\', \''+r.port+'\')">删除</a>';
				mk += '&nbsp;&nbsp;';
				mk += '<a href="javascript:showlog(\''+r.port+'\')">日志</a>';
				

				var obj = list.insertRow(-1);
				obj.setAttribute("class", trbg);

				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i + 1;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.cname;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.name;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.addr;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = r.port;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = r.status;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.bags;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.com_bags;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.bags_per;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numberformats(r.bytes_per);
				
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.datatype == 0? "私有格式":"SYSLOG";
				
				
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.vendor;
				
				
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.devmodel;
				

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = mk;
			}
		}
	});
}

function delete_receiver(name, port)
{
	if (! confirm("确定要删除该采集器吗"))
		return false;
	$.ajax({
		url:'getevent.php',
		dataType:'json',
		type:'post',
		data:{type:'dele', name:name, port:port},
		success:function(data){
			if (data.yn == "yes")
				location.reload();
		}
	});
}

function editevent(name, port, cname)
{
	location.href='editevent-html.php?name='+encodeURI(name)+'&port='+port+'&cname='+encodeURI(cname);
}

function device_info()
{
	$.ajax({
		url:'devicelist.php',
		dataType:'json',
		type:'post',
		data:{type:'list'},
		success:function(data){
			var tab = '';
			for (i = 0; i < data.result.length; i++){
				r = data.result[i];

				trbg = '';
				if (i % 2 == 1)
					trbg = 'log-table-tr-toggle-bgcolor-curr';
				
				if (r.applastseq == null) r.applastseq = 0;
				if (r.iplastseq == null) r.iplastseq = 0;
				if (r.applost == null) r.applost = 0;     
				if (r.iplost == null) r.iplost = 0;

				tab += '<tr class="'+trbg+'">'+
					'<td class="td-normal">'+ r.devid+'</td>'+
					'<td class="td-normal" style="text-align:left;">&nbsp;'+r.devname+'</td>'+
					'<td class="td-normal" style="text-align:center">'+r.addr+'&nbsp;</td>'+
					'<td class="td-normal" style="text-align:center">'+ r.localaddr+'&nbsp;</td>'+
					'<td class="td-normal">'+ r.make+'</td></tr>';
			}
			$(tab).appendTo('.devicelist table');
		}
	});
}

function deletedevice(id)
{
	if (!confirm("确定要删除该设备吗"))
		return false;

	$.ajax({
		url:'devicelist.php',
		data:{type:'dele', devid:id},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn == "yes")
				location.href='eventport-html.php'
			else alert(data.str);
		}
	});
}

function editdevice(devid, devname, devaddr, devport)
{
	location.href='editdevice-html.php?devname='+encodeURI(devname)+
		'&devport='+devport+'&devaddr='+devaddr+'&devid='+devid;
}

function eventtype_data()
{
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'receiverstatus'},
		success:function(data) {
			var tab = '';
			var r;
			var trobj = $(".monitortable table tr");
			var tdobj;
			var trlen = trobj.length;
			var len = data.rows.length;
			tdobj = trobj.eq(1).find("td");
			for (i = 0; i < len; i++){
				r = data.rows[i];
				
				if (i <= 3) {
					if (r.value == 0)
						r.value = '<img src="../img/12.png" width="15px" />';
					else
						r.value = '<img src="../img/10.png" width="15px" />';
				}
			}
			tdobj.eq(0).html(data.rows[0].value);
			tdobj.eq(1).html(data.rows[1].value);
			tdobj.eq(2).html(data.rows[2].value);
			tdobj.eq(3).html(data.rows[3].value);
			tdobj.eq(4).html(data.rows[4].value);
			tdobj.eq(5).html(data.rows[6].value);
			tdobj.eq(6).html(data.rows[8].value);
			tdobj.eq(7).html(data.rows[9].value);
			tdobj.eq(8).html(data.rows[10].value);
			tdobj.eq(9).html(data.rows[11].value);
			tdobj.eq(10).html(data.rows[12].value);
			tdobj.eq(11).html(data.rows[13].value);
			tdobj.eq(12).html(data.rows[14].value);
			tdobj.eq(13).html(data.rows[15].value);
			tdobj.eq(14).html(data.rows[16].value);
			tdobj.eq(15).html(data.rows[17].value);
			
		}
	});
}

function record_his(histype)
{
	var w = 800;
	var h = window.screen.height - 150;
	var l = (window.screen.width - 800) / 2;
	window.open("record_his.php?histype="+histype, "_blank", "width=800px, height="+h+"px, left="+l+"px");
}

</script>
</head>
<body>
<div class="outer">

<?php
$ver = 0;
$pacontrol = 0;
$hwcloud = 0;
$cmd = PANALOGEYE." receiver stat";
exec($cmd, $out, $ret);
foreach($out as $val) {
	list($tag, $v) = explode('=', trim($val));
	if ($tag == "version")
		$ver = $v;
	if ($tag == "pacontrol")
		$pacontrol = $v;
	if (strstr($val, "_HWCLOUD=1") != false)
		$hwcloud = 1;
}
?>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="../Maintain/eventport-html.php">端口管理</a></li>
			<li><a href="../Maintain/device_manage.php">设备管理</a></li>
<?php
if ($ver) {
	echo '<li><a href="../Maintain/node_manage.php">节点管理</a></li>';
	if ($hwcloud)
		echo '<li><a href="../Maintain/group_load.php">群组负载</a></li>';
	if ($pacontrol)
		echo '<li><a href="../Maintain/data_forward.php">数据转发</a></li>';
}
?>
		</ul>
	</div>
	<div>
	
	
<?php
if (($conn = my_mysql_connect()) != false) {
	
   $cmd = "alter table palog.receiver add datatype int(11) not null default '0'";
   mysql_query($cmd);
   $cmd = "alter table palog.receiver add vendor varchar(32) not null default ''";
   mysql_query($cmd);
   $cmd = "alter table palog.receiver add devmodel varchar(32) not null default ''";
   mysql_query($cmd);
}

?>
		<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
			  <legend>接收状态</legend>
		</fieldset>
		<div class="monitortable topapp-list-table" style="margin-top:10px;">
			<table style="width:100%;">
				<tr>
					<th class="txt-center">nginx</th>
					<th class="txt-center">接收器</th>
					<th class="txt-center">数据库</th>
					<th class="txt-center">监控进程</th>
					<th class="txt-center">QQ</th>
					<th class="txt-center">淘宝</th>
					<th class="txt-center">URL</th>
					<th class="txt-center">DNS</th>
					<th class="txt-center">会话日志</th>
					<th class="txt-center">共享用户</th>
					<th class="txt-center">用户认证</th>
					<th class="txt-center">节点日志</th>
					<th class="txt-center">移动终端</th>
					<th class="txt-center">IP日志</th>
					<th class="txt-center">应用日志</th>
					<th class="txt-center">微信ID</th>
				</tr>
				<tr>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
					<td class="txt-center">0</td>
				</tr>
			</table>
		</div>
		<div class="clearboth"></div>
	</div>
	<div style="margin-top:30px;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
			  <legend>端口列表</legend>
		</fieldset>
		
		<div class="topapp-list-table" style="margin-top:10px;">
			<table style="width:100%;" id="portlist">
				<tr>
					<th class="td-left-first" width="60px">序号</th>
					<th class="txt-left">中文名称</th>
					<th class="txt-left">英文名称</th>
					<th class="txt-left">IP地址</th>
					<th class="txt-center">端口</th>
					<th class="txt-center">状态</th>
					<th class="txt-right">端口数据包</th>
					<th class="txt-right">记录数据包</th>
					<th class="txt-right">包/秒</th>
					<th class="txt-right" style="width:120px;">bps</th>
					<th class="txt-right">数据类型</th>
					<th class="txt-right">设备厂商</th>
					<th class="txt-right">设备型号</th>
					
					<th class="txt-center" style="width:160px;">
						<a href="addevent-html.php" class="btn-extend-blue">添加端口</a>
					</th>
				</tr>
			</table>
		</div>
	</div>
	<div style="margin-top:30px;position:relative;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
			<legend>
			最近24小时记录成功趋势图&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:record_his('poolcount')">查看历史</a>
			</legend>
		</fieldset>
		<div id="poolcount" class="" style="height:300px; margin-top:10px;overflow:hidden;"></div>
	</div>
	<div style="margin-top:20px;position:relative;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
			<legend>
			最近24小时记录失败趋势图&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:record_his('poolfails')">查看历史</a>
			</legend>
		</fieldset>
		<div id="poolfails" class="" style="height:300px; margin-top:10px;overflow:hidden;">
		</div>
	</div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
port_info();
setInterval(function(){port_info();eventtype_data();}, 5000);
eventtype_data();


function poolfails()
{
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'poolfails', hours: 24},
		success:function(data) {
			pooltrend(data.result, "poolfails");
		}
	})
}

function poolcount()
{
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'poolcount', hours: 24},
		success:function(data) {
			pooltrend(data.result, "poolcount");
		}
	})
}
poolcount();
poolfails();
setInterval(function(){
	poolcount();
	poolfails();
}, 60000);

function pooltrend(json, render)
{
	var options = {
		chart:{
			renderTo:render,
			borderRadius:0,
			defaultSeriesType:'area'
		},title:{
			text: null,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
			rotation:-45,
			align:'right',
			style:{font:'normal 10px sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text: '#数量',
				style: {font:'normal 10px sans-serif'},
			},labels:{
				style: {font:'normal 10px sans-serif'},
				formatter:function(){ return numberformats(parseInt(this.value)); } 
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'top',y:0, align:'right', symbolWidth:4, symbolHeight:4,lineHeight:5,itemStyle:{color:'black', font:'normal 10px sans-serif'}
		},plotOptions:{
			area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			shared: true,
			useHTML: true,
			itemMarginTop:5,
			formatter: function () {
				var s = '<span style="font-size:10px;">' + Highcharts.dateFormat("%m/%d %H:%M", this.x)+'</span>';
				var cnt = 0;
				$.each(this.points, function () {
					cnt += this.y;
					s += '<br/><span style="color:#666;font-size:10px;margin-top:2px;">'+this.series.name+': '+
						numberformats(this.y)+'</span>';
				}); 
				s += '<br/><span style="margin-top:3px; font-size:10px;">总：'+numberformats(cnt)+'</span>';

				return s;
			}
		},
		series: []
	}
	options.series = json;
	new Highcharts.Chart(options);
}
</script>
</body>
</html>
