<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

header("Content-type:text/html; charset=gb2312");
ini_set("memory_limit", -1);

require_once('chinese.php');
require_once ($doc.'/jpgraph/jpgraph.php');
require_once ($doc.'/jpgraph/jpgraph_bar.php');
require_once ($doc.'/jpgraph/jpgraph_pie.php');
require_once ($doc.'/jpgraph/jpgraph_pie3d.php');

class PDF extends PDF_Chinese{}

$devid = $_POST['devid'];
$ipaddr = $_POST['ip'];
$strstart = $_POST['tmstart'];
$strend = $_POST['tmend'];
$top = $_POST['top'];
$iptype = $_POST['iptype'];
$grpid = $_POST['ipgroup'];
$cusname =  iconv('utf-8','gb2312', $_POST['cusname']);
$extra = $_POST['extra'];
$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

$longstart = strtotime($strstart);
$longend = strtotime($strend);

$pdf=new PDF('P', 'mm', 'A4');
  
$pdf->Open();
$pdf->SetMargins(5, 5, 5);
$pdf->AddPage(); 
$pdf->SetDisplayMode('real');
$pdf->AddGBFont();

$pdf->SetFont('GB', 'B', 25);
$pdf->SetXY(57, 70);
$pdf->Cell(40,10, '־ϵͳ');
$pdf->Ln();
$pdf->SetX(80);
$pdf->Cell(40,10,'('.date('Y/m/d').')');
$pdf->Ln();
$pdf->Image($doc.'/img/logo.jpg', 75, 90, 50, 15);

$pdf->SetFont('GB', '', 14);
$pdf->Ln(50);

$pdf->SetX(60);
$pdf->Cell(40, 10, 'û');
$pdf->Cell(40, 10, $_SESSION['palog_username']);
$pdf->Ln();

$pdf->SetX(60);
$pdf->Cell(40, 10, 'ͻƣ');
$pdf->Cell(40,10, $cusname);
$pdf->Ln();

$pdf->SetX(60);
$pdf->Cell(40, 10, 'ͻIPַ');

if ($iptype == "ipgrp")
	$pdf->Cell(40,10, $ipgroup);
else
	$pdf->Cell(40,10, $ip);

$pdf->Ln();

$pdf->SetX(60);
$pdf->Cell(40, 10, 'ͳʱΣ');
$pdf->Cell(40, 10, date('Y/m/d H:i', $longstart).'-'.date('Y/m/d H:i', $longend));
$pdf->Ln();
$pdf->SetX(60);
$pdf->Cell(40, 10, 'ʱ䣺');
$pdf->Cell(40, 10, date('Y/m/d H:i'), 0,1,'L',false);

$dwidth = array(10, 28, 18, 18, 18, 18, 18, 18, 18, 18, 18);
$arcolors = array("#068BC5","#4EB133","#E6561C","#E6EB01","#24C8E3","#62E172", 
	"#F7EE64","#69F5C3","#ACDBFD","#C6C9CA", "#F68F67","#CDE577","#710000", 
	"#5D584B","#4572A7");

$pdf->AddPage();

//$tablefile = php_getiptable($strstart, $strend, $devid);

//echo LOGDPATH."/bin/logeye iptop $devid $ip $longstart $longend $tablefile $top $ipsorttype $errfile";
//exec(LOGDPATH."/bin/logeye iptop $devid $ip $longstart $longend $tablefile $top $ipsorttype $errfile", $output, $return);
$cmd = LOGDPATH."/bin/logeye user_behavior topiplist 'devid=$devid' ".
	"'ipaddr=$ipaddr' longstart=$longstart longend=$longend ".
	"topn=25 sort=total 'errfile=$errfile' 'iptype=$iptype' ".
	"'grpid=$grpid' bexport=0 'filename=$filename'";
exec($cmd, $out, $ret);

$xlabels = array();
$yvalues = array();
foreach($out as $key=>$val){
    $ds = explode(' ', $val);
    if ($ds[0] == "0.0.0.0") continue;

    array_push($xlabels, $ds[0]);
    array_push($yvalues, (double)$ds[1] / 1000 / 1000);
}

if (count($yvalues) != 0) {
    $graph = new Graph(1000,300,'auto');
    $graph->SetScale("textlin");
    $graph->img->SetMargin(50,50,10,100);
    $graph->title->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->xaxis->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->title->Set("(λ:M)");
    $graph->ygrid->SetFill(false);
    $graph->xaxis->SetLabelAngle(50);
    $graph->xaxis->SetTickLabels($xlabels);
    $graph->yaxis->HideLine(false);
    $graph->yaxis->HideTicks(false,false);
    $bplot = new BarPlot($yvalues);
    $bplot->SetFillColor($arcolors);
    $graph->Add($bplot);
    $graph->Stroke($doc."/download/iptotal.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'ûͳ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/iptotal.png', $pdf->GetX(), $pdf->GetY(), 200, 80);

    $pdf->Ln();
    $pdf->SetY(110);

    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);

    $pdf->Cell(10, 14, "", 1, 0, 'C', true);
    $pdf->Cell(28, 14, "û", 1, 0, 'C', true);
	$pdf->Cell(28, 14, "", 1, 0, 'C', true);
    $pdf->Cell(54, 7, "ֽڣ", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ƽʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);

    $pdf->Ln();
    $pdf->SetTextColor(0, 0,0);
    foreach($out as $key=>$val) {
        $ds = explode(' ', $val);
        if ($ds[0] == "0.0.0.0") 
			continue;

        $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, $ds[0], 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[1]), 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[2]), 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[3]), 1, 0, 'C');
		$pdf->Cell($dwidth[5], 7, dataformat((double)$ds[3] + (double)$ds[2]), 1, 0, 'C');
		$pdf->Cell($dwidth[6], 7, dataformat((double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[5]), 1, 0, 'C');
		$pdf->Cell($dwidth[8], 7, dataformat((double)$ds[4] + (double)$ds[5]), 1, 0, 'C');
		
        $pdf->Ln();
    }

    $pdf->AddPage();

    unset($out);
    unset($xlabels);
    unset($yvalues);
}


/*
$tablefile = php_getapptable($strstart, $strend);

exec(LOGDPATH."/bin/logeye apptop $devid $longstart $longend $tablefile $top total 0 $errfile", $output, $return);
$xlabels = array();
$yvalues = array();
foreach($output as $key=>$val) {
    $ds = explode(' ', $val);

    array_push($xlabels, iconv('utf-8','gb2312',$ds[2]));
    array_push($yvalues, ((double)$ds[4]+(double)$ds[5]) / 1000 / 1000);
}

if (count($yvalues) != 0) {
    $graph = new Graph(1000,300,'auto');
    $graph->SetScale("textlin");
    $graph->img->SetMargin(50,50,10,100);
    $graph->title->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->xaxis->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->title->Set("(λ:M)");
    $graph->ygrid->SetFill(false);
    $graph->xaxis->SetLabelAngle(50);
    $graph->xaxis->SetTickLabels($xlabels);
    $graph->yaxis->HideLine(false);
    $graph->yaxis->HideTicks(false,false);
    $bplot = new BarPlot($yvalues);
    $bplot->SetFillColor($arcolors);
    $graph->Add($bplot);
    $graph->Stroke($doc."/download/apptotal.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'Ӧͳ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/apptotal.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    //unlink($doc.'/download/apptotal.png');
    $pdf->Ln();
    $pdf->SetY(110);

    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);

    $pdf->Cell(10, 14, "", 1, 0, 'C', true);
    $pdf->Cell(28, 14, "û", 1, 0, 'C', true);
    $pdf->Cell(54, 7, "ֽڣ", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ƽʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ֵʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Ln();
    $pdf->SetTextColor(0, 0,0);
    $pdf->SetFont('GB', '', 10);
    foreach($output as $key=>$val){
        $ds = explode(' ', $val);
        if ($ds[0] == "0.0.0.0") continue;

        $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, iconv('utf-8','gb2312',$ds[2]), 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[5]), 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[4]+(double)$ds[5]), 1, 0, 'C');
		
        if ((int)$ds[8] != 0) {
			$pdf->Cell($dwidth[5], 7, dataformat((double)$ds[4]*8/($longend - $longstart)), 1, 0, 'C');
			$pdf->Cell($dwidth[6], 7, dataformat((double)$ds[5]*8/($longend - $longstart)), 1, 0, 'C');
			$pdf->Cell($dwidth[7], 7, dataformat(((double)$ds[4]+(double)$ds[5])*8/($longend - $longstart)), 1, 0, 'C');
			$pdf->Cell($dwidth[8], 7, dataformat((double)$ds[6]*8/(int)$ds[9]), 1, 0, 'C');
			$pdf->Cell($dwidth[9], 7, dataformat((double)$ds[7]*8/(int)$ds[9]), 1, 0, 'C');
			$pdf->Cell($dwidth[10], 7, dataformat(((double)$ds[6]+(double)$ds[7])*8/(int)$ds[9]), 1, 0, 'C');
		}else {
			$pdf->Cell($dwidth[5], 7, 0, 1, 0, 'C');
			$pdf->Cell($dwidth[6], 7, 0, 1, 0, 'C');
			$pdf->Cell($dwidth[7], 7, 0, 1, 0, 'C');
			$pdf->Cell($dwidth[8], 7, 0, 1, 0, 'C');
			$pdf->Cell($dwidth[9], 7, 0, 1, 0, 'C');
			$pdf->Cell($dwidth[10], 7, 0, 1, 0, 'C');
		}
        $pdf->Ln();
    }

    unset($output);
    unset($xlabels);
    unset($yvalues);
}

$tablefile = php_getapptable($strstart, $strend);

exec(LOGDPATH."/bin/logeye appgroup $devid 1044 $longstart $longend $tablefile apptotal 0 $errfile", $output2, $return);

$num_zero_apppie = 0;

$xlabels = array();
$yvalues = array();
foreach($output2 as $key=>$val){
    $ds = explode(' ', $val);

    $s = ((double)$ds[3]+(double)$ds[4]) / 1000 / 1000;

    array_push($xlabels, iconv('utf-8','gb2312',$ds[2]));
    array_push($yvalues, $s);

    if ($s == 0)
        $num_zero_apppie++;
}

if ($num_zero_apppie != count($output2)) {
	$pdf->AddPage();
	
    $graph = new PieGraph(600,350);
    $graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

    $p1 = new PiePlot($yvalues);
    $p1->SetSize(0.3);
    $p1->SetCenter(0.35,0.5);
    $p1->SetLegends($xlabels);
    $p1->SetSliceColors($arcolors);
    $graph->Add($p1);

    $graph->Stroke($doc."/download/apppie.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'ֲ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/apppie.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    //unlink($doc.'/download/apppie.png');
    $pdf->Ln();
    $pdf->SetY(110);
    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);
    $pdf->Cell($dwidth[0], 14, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[1], 14, "Э", 1, 0, 'C', true);
    $pdf->Cell(15, 14, "", 1, 0, 'C', true);
    $pdf->Cell(54, 7, "ֽڣ", 1, 2, 'C', true);
    $pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ƽʣbps", 1, 2, 'C', true);
    $pdf->Cell($dwidth[5], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[6], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[7], 7, "", 1, 0, 'C', true);
    $pdf->Ln();

    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFont('GB', '', 10);

    foreach($output2 as $key=>$val){
        $ds = explode(' ', $val);

        $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, iconv('utf-8','gb2312', $ds[2]), 1, 0, 'C');
        $pdf->Cell(15, 7, $ds[5], 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[3]), 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[3]+(double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[5], 7, dataformat((double)$ds[7]), 1, 0, 'C');
        $pdf->Cell($dwidth[6], 7, dataformat((double)$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[7]+(double)$ds[8]), 1, 0, 'C');

        $pdf->Ln();
    }

    unset($output);
    unset($xlabels);
    unset($yvalues);
}

if (strstr($extra, "flowdir") !== false) {
	$pdf->AddPage();
	$pdf->SetFont('GB', 'B', 14);
	$pdf->Cell(40, 10, 'ֲ');
	$pdf->Ln();
	$pdf->Ln();

	$devid = 0;
	$xlabels = array();
	$yvalues = array();
	$yy_rows = array();
	$ydata = array();

	$tables = php_yystable($longstart, $longend);

	$xlabels = array("", "ȥ", "ȥƶ", "ȥͨ", "ȥͨ");

	$appid = 0;
	$cmd = LOGDPATH."/bin/logeye flowdirpie $longstart $longend $tables $errfile $appid $devid";
	exec($cmd, $output, $return);

	$alldata = 0;
	if (count($output) > 0){	
		foreach($output as $k=>$val) {
			$ds = explode(' ', $val);
			
			array_push($ydata, (double)$ds[1]+(double)$ds[2]);
			
			array_push($yy_rows, array("yys"=>$k, "cname"=>$xlabels[$k], "upbytes"=>(double)$ds[1], "downbytes"=>(double)$ds[2]));
			
			$alldata += (double)$ds[1] + (double)$ds[2];
		}
		
		if ($alldata != 0) {
			$graph = new PieGraph(600,380);
			$graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

			$p1 = new PiePlot($ydata);
			$p1->SetSize(0.3);
			$p1->SetCenter(0.35,0.5);
			$p1->SetLegends($xlabels);
			$p1->SetSliceColors($arcolors);
			$graph->Add($p1);
			$graph->Stroke($doc."/download/flowpie.png");

			$pdf->Image($doc.'/download/flowpie.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
			
			$pdf->Ln();
			$pdf->SetY(110);
			$pdf->SetFillColor(58,110,165);
			$pdf->SetTextColor(255, 255,255);
			$pdf->SetFont('GB', 'B', 10);
			$pdf->Cell($dwidth[0], 7, "", 1, 0, 'C', true);
			$pdf->Cell($dwidth[1], 7, "Ӫ", 1, 0, 'C', true);
			$pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
			$pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
			$pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
			$pdf->Ln();

			$pdf->SetTextColor(0, 0, 0);
			$pdf->SetFont('GB', '', 10);

			foreach($yy_rows as $key=>$val){
				$pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
				$pdf->Cell($dwidth[1], 7, $val['cname'], 1, 0, 'C');
				$pdf->Cell($dwidth[2], 7, dataformat((double)$val['upbytes']), 1, 0, 'C');
				$pdf->Cell($dwidth[3], 7, dataformat((double)$val['downbytes']), 1, 0, 'C');
				$pdf->Cell($dwidth[4], 7, dataformat((double)$val['upbytes']+(double)$val['downbytes']), 1, 0, 'C');

				$pdf->Ln();
			}
		}
		
		unset($output);
		unset($xlabels);
		unset($yvalues);
	}
	
	$yyswidth = array(15, 60, 30, 30, 30, 30, 30, 30, 18, 18, 18);
	for ($i = 4; $i >= 1; $i--) {
		$pdf->AddPage();
		$pdf->SetFont('GB', 'B', 14);
		
		switch($i) {
			case 1:
			$pdf->Cell(40, 10, 'Ӫ--TOP30');
			break;
			case 2:
			$pdf->Cell(40, 10, 'Ӫ--ƶTOP30');
			break;
			case 3:
			$pdf->Cell(40, 10, 'Ӫ--ͨTOP30');
			break;
			case 4:
			$pdf->Cell(40, 10, 'Ӫ--ͨTOP30');
			break;
			default:
		;
		}

		$yys = $i;
		$appid = 0;
		
		$tables = php_yystable($longstart, $longend);
		
		$cmd = LOGDPATH."/bin/logeye yys_detail $longstart $longend $tables $yys $appid $errfile";
		exec($cmd, $out, $return);

		$pdf->Ln();
		$pdf->SetY(20);
		$pdf->SetFillColor(58,110,165);
		$pdf->SetTextColor(255, 255,255);
		$pdf->SetFont('GB', 'B', 10);
		$pdf->Cell($yyswidth[0], 7, "", 1, 0, 'C', true);
		$pdf->Cell($yyswidth[1], 7, "Э", 1, 0, 'C', true);
		$pdf->Cell($yyswidth[2], 7, "", 1, 0, 'C', true);
		$pdf->Cell($yyswidth[3], 7, "", 1, 0, 'C', true);
		$pdf->Cell($yyswidth[4], 7, "", 1, 0, 'C', true);
		$pdf->Ln();

		$pdf->SetTextColor(0, 0, 0);
		$pdf->SetFont('GB', '', 10);

		foreach($out as $key=>$val){
			$ds = explode(' ', $val);
			
			if ($key == 30)
				break;

			$pdf->Cell($yyswidth[0], 7, $key+1, 1, 0, 'C');
			$pdf->Cell($yyswidth[1], 7, $ds[1], 1, 0, 'C');
			$pdf->Cell($yyswidth[2], 7, dataformat((double)$ds[2]), 1, 0, 'C');
			$pdf->Cell($yyswidth[3], 7, dataformat((double)$ds[3]), 1, 0, 'C');
			$pdf->Cell($yyswidth[4], 7, dataformat((double)$ds[2]+(double)$ds[3]), 1, 0, 'C');

			$pdf->Ln();
		}

		unset($out);
	}
}
//--------------------------------------------------------------------------------------------

if (strstr($extra, "topdomain") !== false) {
	$pdf->AddPage();
	$pdf->SetFont('GB', 'B', 14);
	$pdf->Cell(40, 10, 'TOP');

	$tablefile = php_httpflowtable($longstart, $longend);
	$domain = "none";
	$topn = 30;
	$bexport = 0;
	$filename = "a";
	$sort = "all";
	$page = 1;
	$limit = 25;
	$longs = time() - 86400;
	$longe = time();

	$cmd = LOGDPATH."/bin/logeye domaincheck $domain $tablefile $page $limit $bexport $filename $errfile $sort $longs $longe";
	exec($cmd, $output, $return);

	$domainwidth = array(15, 60, 30, 30, 30, 30, 30, 30, 18, 18, 18);

	$pdf->Ln();
	$pdf->SetY(20);
	$pdf->SetFillColor(58,110,165);
	$pdf->SetTextColor(255, 255,255);
	$pdf->SetFont('GB', 'B', 10);
	$pdf->Cell($domainwidth[0], 7, "", 1, 0, 'C', true);
	$pdf->Cell($domainwidth[1], 7, "", 1, 0, 'C', true);
	$pdf->Cell($domainwidth[2], 7, "", 1, 0, 'C', true);
	$pdf->Cell($domainwidth[2], 7, "", 1, 0, 'C', true);
	$pdf->Cell($domainwidth[3], 7, "", 1, 0, 'C', true);
	$pdf->Cell($domainwidth[4], 7, "", 1, 0, 'C', true);
	$pdf->Ln();

	$pdf->SetTextColor(0, 0, 0);
	$pdf->SetFont('GB', '', 10);

	foreach($output as $key=>$val){
		$ds = explode(' ', $val);

		$pdf->Cell($domainwidth[0], 7, $key+1, 1, 0, 'C');
		$pdf->Cell($domainwidth[1], 7, $ds[0], 1, 0, 'C');
		$pdf->Cell($domainwidth[2], 7, $ds[1], 1, 0, 'C');
		$pdf->Cell($domainwidth[2], 7, dataformat((double)$ds[2]), 1, 0, 'C');
		$pdf->Cell($domainwidth[3], 7, dataformat((double)$ds[3]), 1, 0, 'C');
		$pdf->Cell($domainwidth[4], 7, dataformat((double)$ds[2]+(double)$ds[3]), 1, 0, 'C');

		$pdf->Ln();
	}
}
unset($output);
*/

$pdf->Output(TEMP_FILE."/pdf.pdf");
outputres("yes", "");

?>
