<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
</head>

<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="harddisk-set.php">系统信息</a></li>
			<li><a href="harddisk_info.php">硬盘信息</a></li>
		</ul>
		<div class="clear:both;"></div>
	</div>
	<div style="margin-top:20px;"></div>
	<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
		<legend>
		内存使用率趋势图&nbsp;&nbsp;&nbsp;&nbsp;
		<a href="javascript:memusage_getdata(24, 'memusage')">最近24小时</a> |
		<a href="javascript:memusage_getdata(168, 'memusage')">最近一周</a> |
		<a href="javascript:memusage_getdata(720, 'memusage')">最近一个月</a>
		</legend>
	</fieldset>
	<div id="memusage" style="position:relative; height:300px;"></div>

	<div style="margin-top:50px;"></div>	
	<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
		<legend> 硬盘状态 </legend>
	</fieldset>
	<div style="position:relative;" class="topapp-list-table">
		<table style="width:100%;border-collapse:collapse;text-align:center;" cellSpacing="0" cellPadding="0">
		<?php
		exec("df -h | awk '{print $1,$2,$3,$4,$5,$6}'", $output, $ret);
		foreach($output as $val){
			$ds = explode(' ', $val);
			
			echo "<tr><td style='border-left:none;width:200px'>".$ds[0]."</td>".
				"<td>".$ds[1]."</td><td>".$ds[2].
				"</td><td>".$ds[3]."</td>".
				"<td>".$ds[4]."</td>".
				"<td style='border-right:none;'>".$ds[5]."</td></tr>";
		}
		?>
		</table>
	</div>
	<div style="margin-top:50px;"></div>	
	<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
		<legend>
		数据盘使用趋势图&nbsp;&nbsp;&nbsp;&nbsp;
		<a href="javascript:hardisk_getdata(24, 'hdtrend-trend-outer')">最近24小时</a> |
		<a href="javascript:hardisk_getdata(168, 'hdtrend-trend-outer')">最近一周</a> |
		<a href="javascript:hardisk_getdata(720, 'hdtrend-trend-outer')">最近一个月</a>
		</legend>
	</fieldset>
	<div id="hdtrend-trend-outer" style="position:relative; height:300px;"></div>
	<?php
	exec("df -h | grep mylog | awk '{print $1}'", $out, $mylog);
	if ($out[0] != "") {
		$mylogname = trim($out[0], "\n");
		echo '<input type="hidden" value="'.$mylogname.'" id="zpoolname" />';
	?>
	<div style="margin-top:50px;">
		<div style="width:500px;font-size:12px;font-weight:bold;color:#006594;margin:10px;">已使用硬盘</div>
		<table style="width:500px;border:1px solid #ddd;border-collapse:collapse;border-left:none;border-right:none;" border=1 cellSpacing="0" cellPadding="0">
			<tr>
				<th class="td-normal" style='border-left:none;width:30px'></th>
				<th class="td-normal">硬盘名称</th>
				<th class="td-normal" style='border-right:none;'>硬盘大小</th>
			</tr>
			<?php
			/* 获取系统盘 */
			
			unset($output);
			$sizes = array();
			
			$userzpool = 0;

			exec("df -h | grep '$mylogname'", $r, $mylog);

			exec("/sbin/zpool status '$mylogname' | grep ONLINE | grep -v '$mylogname' | grep -v raidz |".
				"grep -v state | awk '{print $1}'", $output, $ret);

			if (count($r) != 0){
				$userzpool = 1;
				
				$use_device = $output;

				foreach($output as $val){
					unset($s);

					exec("/usr/sbin/diskinfo -v $val | grep 'bytes' | awk '{print $1}'", $s, $ret);

					echo "<tr><td style='border-left:none;'><input type='radio' name='udevice' value='".$val."' /></td>".
						"<td>$val</td><td style='border-right:none;'>".ceil($s[0]/1000/1000/1000)."G</td></tr>";
				}
			}
			
			?>
		</table>
	</div>

	<div style="margin-top:50px;">
		<div style="width:500px;font-size:12px;font-weight:bold;color:#006594;margin:10px;">未在用硬盘</div>
		<table style="width:500px;border:1px solid #ddd;border-collapse:collapse;border-left:none;border-right:none;" border=1 cellSpacing="0" cellPadding="0">
			<tr>
				<th class="td-normal" style='border-left:none;width:30px'></th>
				<th class="td-normal">硬盘名称</th>
				<th class="td-normal" style='border-right:none;'>硬盘大小</th>
			</tr>
			<?php
			unset($output);
			unset($s);
			
			/* mount */
			exec("/sbin/mount | awk '{print $1,$3}'", $out, $ret);
			foreach($out as $val) {
				$ds = explode(' ', $val);
				if ($ds[1] == "/") {
					if (strstr($ds[0], "ufsid") == false) {
						/* 手动安装 */
						$install_type = "sdinstall";
					}
					else {
						$install_type = "autoinstall";
					}
					$sys1 = substr($ds[0], 5);
					break;
				}
			}
			unset($out);
			
			if ($install_type == "autoinstall") {
				exec("/sbin/glabel status | awk '{print $1,$3}' | grep $sys1", $out, $ret);
				if ($ret == 0) {
					$ds = explode(' ', $out[0]);
					$sys1 = $ds[1];
				}
			}
			
			if ($userzpool){
				exec("/sbin/sysctl -a | grep kern.disks | cut -d':' -f2", $output, $ret);
				$all_devices = explode(' ', $output[0]);
				
				foreach($all_devices as $val){
					if ($val == "cd0" || $val == " " || $val == "")
						continue;
					
					/* 去掉系统盘 */
					//if (strstr($sys1, $val) !== false)
					if (strpos($sys1, $val) == 0)					
						continue;
						
					$use = 0;
					foreach($use_device as $u) {
						if ($u == $val) {
							$use = 1;
							break;
						}
					}
					if ($use) continue;
					
					exec("/usr/sbin/diskinfo -v $val | grep 'bytes' | awk '{print $1}'", $s, $ret);
					$size = $s[0] / 1024 / 1024 / 1024;
					if ($size <= 0) continue;
					echo "<tr><td style='border-left:none;'><input type='radio' name='undevice' value='".$val."' /></td>".
						"<td>$val</td><td style='border-right:none;'>".($size)."G</td></tr>";
				}
			}
			?>
		</table>
	</div>
	<?php
	}
	?>

	<?php
	exec("df -h | grep mylog", $out, $mylog);
	if ($out[0] != "") {
	?>
		<div style="margin-top:30px;">
			<input type="button" id="addd1" value="增加已选择的硬盘" disabled onclick="add_device()" />
			<input type="button" id="replaced1" value="替换已选择的硬盘" disabled onclick="replace_device()" />
		</div>
	<?php
	}
	?>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
$("[name='undevice']").live("click", function(){
	$("#addd1").removeAttr("disabled");
	$("#replaced1").removeAttr("disabled");
})

function add_device()
{
	var add="";
	$("[name='undevice']").each(function(){
		if ($(this).attr("checked")){
			add = $(this).val();
		}
	});
	var zpoolname = $("#zpoolname").val();
	if (zpoolname == "") {
		alert("zpool error");
		return false;
	}

	if (!confirm("确定要添加"+add+"硬盘到系统中吗"))
		return false;

	load_show();

	$.ajax({
		url:'zpool_set.php',
		type:'post',
		dataType:'json',
		data:{type:'add', add: add, zpoolname: zpoolname},
		success:function(data){
			load_hide();

			if (data.yn == "no")
				alert(data.str);
			else {
				alert("操作成功")
				location.reload();
			}
		}
	})
}

function replace_device()
{
	var repla="";
	var new_repla=""
	$("[name='undevice']").each(function(){
		if ($(this).attr("checked")){
			new_repla = $(this).val();
		}
	});
	$("[name='udevice']").each(function(){
		if ($(this).attr("checked")){
			repla = $(this).val();
		}
	});
	var zpoolname = $("#zpoolname").val();
	if (zpoolname == "") {
		alert("zpool error");
		return false;
	}

	if (!confirm("确定要用"+new_repla+"替换"+repla+"硬盘吗"))
		return false;

	load_show();

	$.ajax({
		url:'zpool_set.php',
		type:'post',
		dataType:'json',
		data:{type:'replace', repla: repla, new_repla:new_repla, zpoolname: zpoolname},
		success:function(data){
			load_hide();

			if (data.yn == "no")
				alert(data.str);
			else {
				alert("操作成功")
				location.reload();
			}
		}
	})
}

function memusage_getdata(hours, render)
{
	$.ajax({
		url:"system_handle.php",
		type:"post",
		data:{type:"memusage_getdata", hours: hours},
		dataType:"json",
		success:function(json){
			hardisk_chart(hours, json, render);
		}
	});
}

function hardisk_getdata(hours, render)
{
	$.ajax({
		url:"system_handle.php",
		type:"post",
		data:{type:"hardisk_trend", hours: hours},
		dataType:"json",
		success:function(json){
			hardisk_chart(hours, json, render);
		}
	});
}

function hardisk_chart(hours, json, render)
{
	if (hours == 24)
		title = "最近一天使用趋势";
	else if (hours == 168)
		title = "最近一周使用趋势";
	else if (hours == 720)
		title = "最近一个月使用趋势";
	
	ytext = "byte";
	if (render == "memusage")
		ytext = "%";

	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:"spline",
			plotBackgroundColor: null,
			plotBorderWidth: null,
			plotShadow: true
		},
		title:{
			enabled: true,
			text:null,
			style:{font: '微软雅黑', fontSize:'14px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:100,
			labels:{
				step:2,
				formatter: function() {
					return Highcharts.dateFormat('%d/%H:%M', this.value);
				}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:50,
			title:{
				text:ytext
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},plotOptions:{
			area:{stacking:false,lineWidth:0,marker:{enabled:false}},
			spline:{
				marker:{radius:0,
					lineWidth:0
					   }
				   }
		},credits:{enabled:false},
		legend: {
			enabled: false,
			layout: 'vertical',
			align: 'right',
			width: 120,
			verticalAlign: 'middle',
			itemMarginTop: 3,
			borderWidth: 0,
			labelFormatter: function() {
				return '<div style="text-align: left; width:100px;font-weight:normal;">' + this.name + '</div>';
			}
		},
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getFullYear()+':'+(dd.getMonth()+1)+':'+dd.getDate() + ' '+dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+ numberformats(this.y);
			}
		},series:[]
	}

	Highcharts.setOptions({ global: { useUTC: false } });
	options.series = json.result;
	var chart = new Highcharts.Chart(options);
}

hardisk_getdata(24, "hdtrend-trend-outer");
memusage_getdata(24, "memusage");
</script>
</body>
</html>
