<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/logserver.js"></script>
<script type="text/javascript">
var g_sort = 'license_id12';
var g_ascdesc = 'asc';
var page = 1;
var limit;
var start = 0;
var pagestr = '';
var gexpire = 0;

function nextpage()
{
	page++;
	
	logserver_list();
}

function uppage()
{
	page--;
	if (page <= 0)
		page = 1;
	
	logserver_list();
}

function button_click()
{
	page = 1;
	
	logserver_list();
}

function logserver_list()
{
	var grpid = $("#grpid").val();
	var sch = TrimAll($("#sch").val());
	
	limit = $("#listnum").val();
	if (limit == "" || isNaN(limit))
		limit = 20;
	
	delCookie("cloud_limit");
	setCookie("cloud_limit", limit);

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'logserver_list', grpid: grpid, sch: sch, sort: g_sort, g_ascdesc: g_ascdesc, page: page, limit: limit, expire: gexpire},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no") {
				alert(data.str);
				location.href="cloud_index.php";
				return false;
			}
			
			cloud_update(data);
			showpagenum(data);
		}
	});
}

function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>&nbsp;&nbsp;';
	
	if (data.fail == null) data.fail = 0;
	
	pagestr += '&nbsp;&nbsp;<a href="javascript:fail_click()" style="color:#f00;">断开：'+data.fail+'条</a>';
	
	$(".cloud-page-bar").html(pagestr);

	$(".logserver-expire").html(data.exp);
}

var explen = 0;
function cloud_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".logserver_list table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '', chkbox;
	
	var loginuser = $("#loginuser").val();
		
	var dt = new Date();
	var nw = parseInt(dt.getTime() / 1000);
	explen = 0;
	start = (page - 1) * limit;

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
			
		usedayscolor = '#000';
		if (r.license_end == 0) {
			usedays = '';
			state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}else {
			usedays = parseInt((r.license_end - nw) / 86400);
			if (usedays <= 7) {
				usedayscolor = '#BDBD6D';
				state_png = '<img src="../img/16.png" title="License即将到期" />';
			}else
				state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}
		if (usedays != "" && usedays >= 0)
			usedays += '天';
		
		if ((r.actime+30) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
			usedayscolor = '#f00'
		}
		
		var sinfo = '&nbsp;&nbsp;<a href="javascript:logserver_detail(\''+r.sysname+'\', \''+
			r.license_id12+'\', \''+r.outip+'\', \''+r.license_start_str+'\', '+
			'\''+r.license_end_str+'\', \''+r.localip+'\')">'+
			'<img src="../img/curinfo.png" title="详细说明" class="yunwei" /></a>';

		n = r.sysname;
		if (r.sysname2 != "")
			n = r.sysname2;
		var setstr = '<a href="javascript:logserver_set(\''+n+'\', \''+r.license_id12+'\', '+r.grpid+', \''+r.map_addr+'\')">设置</a>';

		sysname = '<a href="javascript:logserver_mapping(\''+r.license_id12+'\', \''+r.localip+'\')">'+n+'</a>';
		
		chkbox = '<input type="checkbox" value="'+r.license_id12+'" cname="'+r.sysname+'" name="mypa" />';

		bdw = '';
		if (r.bdw != 0)
			bdw = r.bdw + 'M';
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			for (j = 0; j < tdobj.length; j++)
				tdobj.eq(j).css("color", usedayscolor);
			
			tdobj.eq(0).html((start+i+1));
			tdobj.eq(1).html(chkbox);
			tdobj.eq(2).html(r.license_id12);
			tdobj.eq(3).html(sysname+sinfo);
			tdobj.eq(4).html(state_png);
			tdobj.eq(5).html(r.grpname);
			tdobj.eq(6).html(r.actimestr);
			tdobj.eq(7).html(usedays);
			tdobj.eq(8).html(numberformats(r.bps));
			tdobj.eq(9).html(r.sysrun);
			tdobj.eq(10).html(r.version);
			tdobj.eq(11).html(setstr);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center" style="color:'+usedayscolor+'">'+(start+i+1)+'</td>'+
				'<td class="txt-center">'+chkbox+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ r.license_id12+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ sysname+sinfo+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+state_png+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+ r.grpname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+r.actimestr+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ usedays +'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ numberformats(r.bps)+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.sysrun+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.version+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+setstr+'</td>'+
				'</tr>';
			$(s).appendTo(".logserver_list table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".logserver_list tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function logserver_detail(sysname, license_id12, outip, 
	license_start_str, license_end_str, localip)
{
	var s = '';

	$(".logserverinfo").dialog({
		width: 300,
	});

	s = '<table style="width:100%; height:230px;">';
	s += '<tr><td>系统编号</td><td>'+license_id12+'</td></tr>';
	s += '<tr><td width="100px">系统名称</td><td>'+sysname+'</td></tr>';
	s += '<tr><td>客户IP</td><td>'+outip+'</td></tr>';
	s += '<tr><td>起始日期</td><td>'+license_start_str+'</td></tr>';
	s += '<tr><td>结束日期</td><td>'+license_end_str+'</td></tr>';
	s += '</table>';

	$(".logserverinfo").html(s);
}

function fail_click()
{
	g_ascdesc = "desc";
	
	logserver_sort("time");
}

function logserver_sort(sort)
{
	g_sort = sort;
	
	if (g_ascdesc == "desc")
		g_ascdesc = "asc";
	else
		g_ascdesc = "desc";
	
	logserver_list();
}

function logserver_delete()
{
	var idstr = "";
	var namestr = "";
	var arid = [], arname = [];

	$("[name='mypa']").each(function(){
		if ($(this).attr("checked")) {
			arid.push($(this).val());
			arname.push($(this).attr("cname"));
		}
	});
	if (arid.length == 0) {
		alert("请选择要删除的设备");
		return false;
	}

	idstr = arid.join('#');
	namestr = arname.join('#');

	if (!confirm("确定要删除选中的设备吗"))
		return false;
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'logserver_delete', idstr: idstr},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
		
			logserver_list();
		}
	});
}
</script>
<style type="text/css">
.logserverset table td {padding: 3px 0;}
</style>
</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "panalog");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-bd-nav">
				<form>
					<div class="form-group">
						刷新&nbsp;
						<select id="bdupdateint" class="form-control">
							<option value="0">不刷新</option>
							<option value="5">5秒</option>
							<option value="15" selected>15秒</option>
							<option value="60">60秒</option>
						</select>
					</div>
					<div class="form-group">
						显示组&nbsp;
						<select id="grpid" class="form-control">
								<option value="-1">所有组</option>
							</select>
					</div>
					<div class="form-group">
						每页&nbsp;
						<input type="text" value="20" id="listnum" size="1" class="form-group-text" /> 条
					</div>
					<div class="form-group">
						<input type="text" placeholder="请输入设备编号或名称进行模糊查询" id="sch" size="48" class="form-group-text" onkeyup="enterEvent()" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="button_click()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-delete">
						<input type="button" value="删除选中" onclick="logserver_delete()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group" title="即将到期的设备数" onclick="showlogsexpire()">
						<span style="float:left;display:block;width:50px;height:40px;line-height:40px;">
							<div class="logserver-expire show-expire">0</div>
						</span>
					</div>
				</form>
			</div>
			<div class="logserver_list cloud_main_table">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th style="width:30px;" align="center">
							<input type="checkbox" name="allpa" />
						</th>
						<th align="left" width="120px"><a href="javascript:logserver_sort('license_id12')">编号</a></th>
						<th align="left" style="width:200px;"><a href="javascript:logserver_sort('name')">名称</a></th>
						<th align="center" width="40px">状态</th>
						<th align="center" width="90px">属组</th>
						<th align="center" width="120px"><a href="javascript:logserver_sort('actime')">最后在线</a></th>
						<th align="right" width="70px"><a href="javascript:logserver_sort('end')">有效期</a></th>
						<th align="right" width="120px"><a href="javascript:logserver_sort('bps')">接收速率</a></th>
						<th align="right" width="100px"><a href="javascript:logserver_sort('boot')">运行</a></th>
						<th align="right" width="160px"><a href="javascript:logserver_sort('ver')">当前版本</a></th>
						<th style="width:50px;" align="center">操作</th>
					</tr>
				</table>
			</div>
			<div class="cloud-page-bar">
			</div>
		</div>
	</div>
</div>

<div class="newpassword" style="display:none;" title="设置root密码">
	<br/>
	新的密码：<input type="password" value="" id="newrootpass" style="width:150px;" />
</div>

<div title="设备详细" style="display:none;" class="logserverinfo">
</div>
<div title="设置" style="display:none;" class="logserverset">
	<table style="margin-top:15px;">
		   	<tr>
				<td width="20px"></td>
				<td width="60px">系统名称</td>
				<td>
					<input type="text" id="sysname" value="" style="width:330px" class="form-group-text" />
				</td>
			</tr>
			<tr class="group-logs"><td width="20px"></td>
				<td>所属组</td>
				<td>
					<select id="grplist" style="width:150px;" class="form-control">
						<option value="0">空组</option>
<?php
		if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS))) {
			$cmd = "select grpid, grpname from palog.logserver_grp";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					echo '<option value="'.$row[0].'">'.$row[1].'</option>';
				}
			}
			mysql_close($conn);
		}
?>
					</select>&nbsp;&nbsp;<a href="javascript:logsdeletegrp()">删除组</a>
					&nbsp;<a href="javascript:logsaddgrp()">添加组</a>
				</td>
			</tr>
			<tr><td width="20px"></td>
				<td>地理位置</td>
				<td>
				<input type="text" value="" id="map_addr" class="form-group-text" style="width:330px;" /></td>
			</tr>
			<tr><td width="20px"></td>
				<td></td>
				<td>
					(具体位置：省+市+区+镇+街道+楼) 
				</td>
			</tr>
	</table>
</div>
<div title="添加组" style="display:none;" class="logsaddgrp">
	<br/>
	请输入组名称：<input type="text" value="" id="grpname" class="form-group-text" style="width:200px" />
</div>

<input type="hidden" value="<?=$_SESSION['cloud_username']?>" id="loginuser" />

<script style="text/javascript">
if (getCookie("cloud_limit") && getCookie("cloud_limit") != "") {
	$("#listnum").val(getCookie("cloud_limit"));
	limit = getCookie("cloud_limit");
}

logserver_list();

cloud_int = setInterval(function(){logserver_list();}, 15000);
$("#bdupdateint").change(function(){
	clearInterval(cloud_int);
	if ($(this).val() != "0")
		cloud_int = setInterval(function(){logserver_list()}, parseInt($(this).val()) * 1000);
})

$("#grpid").change(function(){page = 1;logserver_list();});

	
$("[name='allpa']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='mypa']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='mypa']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

if ($("#loginuser").val() != "admin")
	$(".device-delete").remove();

cpumem();
setInterval(cpumem, 60000);

logsgrplist("grpid");

</script>
</body>
</html>
