<?php
function ngx_conf_add_auth_request($dfile, $ssl)
{
    $tfile = "{$dfile}.log.install";
    $wf = fopen($tfile, "w");
    if(!$wf) return false;
    
    $serverfound = 0;
    $listenfound = 0;
    $snippetsfound = 0;    
    $fp = fopen($dfile, "r");
    if($fp) {
        while(!feof($fp) && ($buff = fgets($fp, 1024)) !== false) {
            $line = trim($buff, " \t\n\r\0\x0B\"");
            if (strpos($line, "server") === 0 && strpos($line, "{") !== false) {
                $serverfound = 1;
                $snippetsfound = 0;
                $listenfound = 0;
            }

            if ($serverfound == 1 && strpos($line, "listen") === 0) {
            	if ($ssl == 0 && strpos($line, "ssl") === false) {
					$listenfound = 1;
				}
				else if ($ssl == 1 && strpos($line, "ssl") !== false) {
					$listenfound = 1;
				}
            }
            
            if ($listenfound == 1 && strpos($line, "include snippets/*.conf;") !== false) {
                $snippetsfound = 1;
                break;
            }
        }
        fclose($fp);
    }

    $locationfound = 0;
    $serverfound = 0;
    $listenfound = 0;
    $fp = fopen($dfile, "r");
    if($fp) {
        while(!feof($fp) && ($buff = fgets($fp, 1024)) !== false) {
            $line = trim($buff, " \t\n\r\0\x0B\"");
            if($line == "" || $locationfound > 1) {
                fwrite($wf, $buff);
                continue;
            }

            if (strpos($line, "server") === 0 && strpos($line, "{") !== false)
                $serverfound = 1;

            if ($serverfound == 1 && strpos($line, "listen") === 0) {
                if ($ssl == 0 && strpos($line, "ssl") === false) {
                        $listenfound = 1;
                }
                else if ($ssl == 1 && strpos($line, "ssl") !== false) {
                        $listenfound = 1;
                }
            }

            if ($listenfound == 1 && $snippetsfound == 1) {
                $pos = strpos($line, "include snippets/*.conf;");
                if($pos !== false) {
                    if($pos > 0) {
                        $pos2 = strpos($buff, "include");
                        $pos = strpos($buff, "#");
                        if($pos !== false && $pos < $pos2) {
                            $snippetsfound = 2;
                            fwrite($wf, substr($buff, 0, $pos) . "include snippets/*.conf;\n");
                            continue;
                        }
                    }
                    else
                        $snippetsfound = 3;
                }
            }

            if(strpos($line, "location / {") === 0) {
                $locationfound = 1;
                if ($listenfound == 1 && $snippetsfound == 0) {
                    $pos = strpos($buff, "location");
                    fwrite($wf, substr($buff, 0, $pos) . "include snippets/*.conf;\n\n");
                }
            }

            if ($listenfound && $locationfound == 1) {
                $pos = strpos($buff, '}');
                if($line == '}' && $pos !== false) {
					fwrite($wf, substr($buff, 0, $pos) . "    auth_request /ngx_auth_request;\n");
					fwrite($wf, $buff);
					$locationfound = 2;
					continue;
                }

                $pos = strpos($line, "auth_request");
                if($pos !== false) {
                    if($pos > 0) {
                        $pos2 = strpos($buff, "auth_request");
                        $pos = strpos($buff, "#");
                        if($pos !== false && $pos < $pos2) {
							$locationfound = 2;
							fwrite($wf, substr($buff, 0, $pos) . "auth_request /ngx_auth_request;\n");
							continue;
                        }
                    }
                    else
                        $locationfound = 3;
                }
            }

            fwrite($wf, $buff);
        }
        fclose($fp);
    }
    fclose($wf);
    
    if ($locationfound == 2) {
        unlink($dfile);
        rename($tfile, $dfile);
        return true;
    }

    unlink($tfile);
    return false;
}

if (ngx_conf_add_auth_request('/usr/local/etc/nginx/nginx.conf', 1)) {
    // 重启 nginx
    $cmd = "killall nginx 2>&1";
    exec($cmd, $err, $ret);
    unset($err);
}

?>
