<?php
session_start();
set_time_limit(0);
include(dirname(__file__)."/../common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function nodelist()
{
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'nodelist'},
		success:function(data) {
			var r, s;
			var len = data.rows.length;
			var trobj = $(".nodelist table tbody tr");
			var trlen = trobj.length;
			var tdobj;
			var href;
			var address='';
			var trbg = '';
	
			k = 0;
			for (i = 0; i < data.rows.length; i++){
				r = data.rows[i];
				
				istatus = '<img src="../img/10.png" width="15px" title="正常" />';
				if (r.status == 0) istatus = '<img src="../img/12.png" width="15px" title="与主服务器不通信" />';
				
				if (r.cpu < 50) cpucolor = '#7bca5a';
				if (r.cpu >=50 && r.cpu < 70) cpucolor = '#e4e661';
				if (r.cpu >=70) cpucolor = '#f00';
				
				if (r.mem < 50) memcolor = '#7bca5a';
				if (r.mem >=50 && r.mem < 70) memcolor = '#e4e661';
				if (r.mem >=70) memcolor = '#f00';
				
				if (r.hard < 50) hardcolor = '#7bca5a';
				if (r.hard >=50 && r.hard < 70) hardcolor = '#e4e661';
				if (r.hard >=70) hardcolor = '#f00';
				
				cpudiv = '<div style="position:relative; height:20px; border-right:2px solid #fff;">';
				cpudiv += '<div style="position:absolute; width:100%; left:0; right:0;height:20px; background:#f5f5f5;"></div>';
				cpudiv += '<div style="position:absolute; width:'+r.cpu+'%; left:0; right:0;height:20px; background:'+cpucolor+';"></div>';
				cpudiv += '<div style="position:absolute;left:0; right:0;height:20px; line-height:20px;">'+r.cpu+'%</div>';
				cpudiv += '</div>';
				
				memdiv = '<div style="position:relative; height:20px; border-right:2px solid #fff;">';
				memdiv += '<div style="position:absolute; width:100%; left:0; right:0;height:20px; background:#f5f5f5;"></div>';
				memdiv += '<div style="position:absolute; width:'+r.mem+'%; left:0; right:0;height:20px; background:'+memcolor+';"></div>';
				memdiv += '<div style="position:absolute;left:0; right:0;height:20px; line-height:20px;">'+r.mem+'%</div>';
				memdiv += '</div>';
				
				harddiv = '<div style="position:relative; height:20px; border-right:2px solid #fff;">';
				harddiv += '<div style="position:absolute; width:100%; left:0; right:0;height:20px; background:#f5f5f5;"></div>';
				harddiv += '<div style="position:absolute; width:'+r.hard+'%; left:0; right:0;height:20px; background:'+hardcolor+';"></div>';
				harddiv += '<div style="position:absolute;left:0; right:0;height:20px; line-height:20px;">'+r.hard+'%</div>';
				harddiv += '</div>';
				
				maker = '<a href="javascript:node_delete(\''+r.ipaddr+'\')">'+
					'<img src="../img/b_drop.png" title="删除"></a>';
				
				ipaddr = '<a href="javascript:node_view(\''+r.ipaddr+'\', \''+r.uuid+'\')">'+r.ipaddr+'</a>';
				
				if (trobj.eq(i+1).length > 0){
					tdobj = trobj.eq(i+1).find("td");
					tdobj.eq(0).html(i+1);
					tdobj.eq(1).html(ipaddr);
					tdobj.eq(2).html(r.uuid);
					tdobj.eq(3).html(istatus);
					tdobj.eq(4).html((r.uptime));
					tdobj.eq(5).html(cpudiv);
					tdobj.eq(6).html(memdiv);
					tdobj.eq(7).html(harddiv);
					tdobj.eq(8).html(r.softver+'.'+r.buildtime);
					tdobj.eq(9).html(r.node_info);
					tdobj.eq(10).html(maker);
				}
				else {
					s = '<tr class="'+trbg+'"><td>'+(i+1)+'</td>'+
						'<td class="txt-left">'+ ipaddr+'</td>'+
						'<td class="txt-left">'+r.uuid+'</td>'+
						'<td class="txt-center">'+ istatus+'</td>'+
						'<td class="txt-center">'+r.uptime+'</td>'+
						'<td class="txt-center">'+ cpudiv+'</td>'+
						'<td class="txt-center">'+ memdiv+'</td>'+
						'<td class="txt-center">'+ harddiv+'</td>'+
						'<td class="txt-center">'+ r.softver+'.'+r.buildtime+'</td>'+
						'<td class="txt-center">'+r.node_info+'</td>'+
						'<td class="txt-center">'+ maker+'</td>'+
					'</tr>';
					$(s).appendTo(".nodelist table tbody");
				}
			}
			
			for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
		}
	})
}

function node_view(ipaddr, uuid)
{
	var w = 800;
	var h = window.screen.height - 150;
	var l = (window.screen.width - 800) / 2;
	window.open("node_view.php?ipaddr="+ipaddr+"&uuid="+uuid, "_blank", "width=800px, height="+h+"px, left="+l+"px");
}

function node_delete(ipaddr)
{
	if (!confirm("确定要删除这台节点服务器吗？"))
		return false;
	
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'node_delete', ipaddr: ipaddr},
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			nodelist();
		}
	})
}

function node_add()
{
	$(".node-add-outer").dialog({
		width:300,
		height:200,
		title:'添加节点',
		buttons:[{
			text: "确定",
			click: function(){
				node_addhdl()
			}
		}]
	});
}

function node_addhdl()
{
	var ipaddr = $("#ipaddr").val();
	var node_info = $("#node_info").val();
	ipaddr = TrimAll(ipaddr);
	if (ipaddr == "" || !IsIPAddr(ipaddr)) {
		alert("请输入正确的节点管理口地址");
		return false;
	}
	
	if(node_info == ""){
		alert("请输入节点备注信息");
		return false;	
	}
	
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'node_addhdl', ipaddr: ipaddr, node_info:node_info},
		success:function(data) {
			if (data.yn == 'no')
				alert(data.str);
			$(".node-add-outer").dialog("close");
			nodelist();
		}
	})
}

function nodedata()
{
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: 'nodedata'},
		success:function(data) {
			var r, s;
			var len = data.rows.length;
			var trobj = $(".nodedata table tbody tr");
			var trlen = trobj.length;
			var tdobj;
			var href;
			var address='';
			var trbg = '';
	
			k = 0;
			for (i = 0; i < data.rows.length; i++){
				r = data.rows[i];
				
				ipaddr = '<a href="javascript:node_view(\''+r.ipaddr+'\', \''+r.uuid+'\')">'+r.ipaddr+'</a>';
				
				if (trobj.eq(i+1).length > 0){
					tdobj = trobj.eq(i+1).find("td");

					tdobj.eq(0).html(r.id);
					tdobj.eq(1).html(ipaddr);
					tdobj.eq(2).html(r.uuid);
					tdobj.eq(3).html(r.url);
					tdobj.eq(4).html((r.session));
					tdobj.eq(5).html(r.event);
					tdobj.eq(6).html(r.dns);
					tdobj.eq(7).html(r.qq);
					tdobj.eq(8).html(r.natip);
					tdobj.eq(9).html(r.mobile);
					tdobj.eq(10).html(r.ipnode);
					tdobj.eq(11).html(r.iplog);
					tdobj.eq(12).html(r.applog);
					tdobj.eq(13).html(r.alarm);
				}else {
					s = '<tr class="'+trbg+'"><td>'+(r.id)+'</td>'+
						'<td class="txt-left">'+ ipaddr+'</td>'+
						'<td class="txt-left">'+r.uuid+'</td>'+
						'<td class="txt-right">'+ r.url+'</td>'+
						'<td class="txt-right">'+r.session+'</td>'+
						'<td class="txt-right">'+ r.event+'</td>'+
						'<td class="txt-right">'+ r.dns+'</td>'+
						'<td class="txt-right">'+ r.qq+'</td>'+
						'<td class="txt-right">'+ r.natip+'</td>'+
						'<td class="txt-right">'+ r.mobile+'</td>'+
						'<td class="txt-right">'+ r.ipnode+'</td>'+
						'<td class="txt-right">'+ r.iplog+'</td>'+
						'<td class="txt-right">'+ r.applog+'</td>'+
						'<td class="txt-right">'+ r.alarm+'</td>'+
					'</tr>';
					$(s).appendTo(".nodedata table tbody");
				}
			}
			
			for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
		}
	})
}

</script>
</head>
<body>
<?php
$ver = 0;
$pacontrol = 0;
$hwcloud = 0;
$cmd = PANALOGEYE." receiver stat";
exec($cmd, $out, $ret);
foreach($out as $val) {
	list($tag, $v) = explode('=', trim($val));
	if ($tag == "version")
		$ver = $v;
	if ($tag == "pacontrol")
		$pacontrol = $v;
	if (strstr($val, "_HWCLOUD=1") != false)
		$hwcloud = 1;
}
?>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="../Maintain/eventport-html.php">端口管理</a></li>
			<li><a href="../Maintain/device_manage.php">设备管理</a></li>
<?php
if ($ver) {
	echo '<li class="active"><a href="../Maintain/node_manage.php">节点管理</a></li>';
	if ($hwcloud)
		echo '<li><a href="../Maintain/group_load.php">群组负载</a></li>';
	if ($pacontrol)
		echo '<li><a href="../Maintain/data_forward.php">数据转发</a></li>';
}
?>
		</ul>
	</div>
	<div style="margin-top:20px;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
			<legend>节点列表</legend>
		</fieldset>
		<div class="nodelist topapp-list-table" style="margin-top:10px;">
			<table style="width:100%;text-align:center;" cellSpacing="0" cellPadding="0">
				<tr>
					<th class="td-left-first" width="50px">序号</th>
					<th class="txt-left" style="width:120px;">管理地址</th>
					<th class="txt-left" style="width:240px;">U码</th>
					<th class="txt-center">在线状态</th>
					<th class="txt-center">更新时间</th>
					<th class="txt-center" style="width:150px;">CPU</th>
					<th class="txt-center" style="width:140px;">内存使用率</th>
					<th class="txt-center" style="width:140px;">硬盘使用率</th>
					<th class="txt-center" style="width:140px;">当前版本</th>
					<th class="txt-center" style="width:80px;">备注信息</th>
					<th class="txt-center" style="width:80px;">操作</th>
				</tr>
			</table>
		</div>
		<div style="float:right;text-align:right;margin-top:10px; padding-right:10px;">
			<input type="button" value="添加节点" class="layui-btn layui-btn-xs layui-btn-normal" onclick="node_add()" />
		</div>
	</div>
	<div style="margin-top:40px;">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;">
			<legend>数据负载(待处理数/已处理数)</legend>
		</fieldset>
		<div class="nodedata topapp-list-table" style="margin-top:10px;">
			<table style="width:100%;text-align:center;" cellSpacing="0" cellPadding="0">
				<tr>
					<th class="td-left-first" width="50px">SID</th>
					<th class="txt-left" style="width:120px;">管理地址</th>
					<th class="txt-left" style="width:280px;">U码</th>
					<th class="txt-right" style="width:80px;">URL</th>
					<th class="txt-right" style="width:80px;">会话</th>
					<th class="txt-right" style="width:80px;">其它</th>
					<th class="txt-right" style="width:80px;">DNS</th>
					<th class="txt-right" style="width:80px;">QQ</th>
					<th class="txt-right" style="width:80px;">共享用户</th>
					<th class="txt-right" style="width:80px;">移动终端</th>
					<th class="txt-right" style="width:80px;">节点日志</th>
					<th class="txt-right" style="width:80px;">IP日志</th>
					<th class="txt-right" style="width:80px;">应用日志</th>
					<th class="txt-right" style="width:80px;">告警日志</th>
				</tr>
			</table>
		</div>
	</div>
	<div class="node-add-outer" style="display:none;">
		<ul style="margin-top:20px;">
			<table>
				<tr><td><label>节点管理口地址：</label></td>
				<td><input type="text" id="ipaddr" value="" style="width:100px" /><td></tr>
		
			
	
				<tr><td><label>节点备注信息：</label></td>
				<td><input type="text" id="node_info" value="" style="width:100px" /></td></tr>
			</table>
			
			
			
		</ul>
	</div>
</div>
<script type="text/javascript">
nodelist();
nodedata();
setInterval(function(){nodelist();}, 5000);
setInterval(function(){nodedata()}, 2000);
</script>
</body>
</html>
