 <?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>节点 <?=$_GET['ipaddr']?>趋势图</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript">
function record_his(hours, render)
{
	var title = "";
	var ipaddr = $("#ipaddr").val();

	switch(hours) {
		case 24:
		title = "最近一天日志记录趋势图";
		break;
		case 168:
		title = "最近一周日志记录趋势图";
		break;
		case 720:
		title = "最近一个月日志记录趋势图";
		break;
	}
	
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: "noderd_trend", hours: hours, ipaddr: ipaddr},
		success:function(data) {
			pooltrend(data.result, render, title);
		}
	})
}

function pooltrend(json, render, title)
{
	var options = {
		chart:{
			renderTo:render,
			borderRadius:0,
			defaultSeriesType:'area'
		},title:{
			text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
			rotation:-45,
			align:'right',
			style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text: '#数量'
			},labels:{formatter:function(){
					return numberformats(parseInt(this.value));
					}
				},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
		},plotOptions:{
			area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function() {
			return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
			}
		},
		series: []
	}
	options.series = json;
	new Highcharts.Chart(options);
}
</script>
</head>
<body>
<div>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="../Maintain/node_view.php?ipaddr=<?=$_GET['ipaddr']?>&uuid=<?=$_GET['uuid']?>">趋势统计</a></li>
			<li><a href="../Maintain/node_file.php?ipaddr=<?=$_GET['ipaddr']?>&uuid=<?=$_GET['uuid']?>">文件状态</a></li>
		</ul>
	</div>
	<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
	<input type="hidden" value="<?=$_GET['uuid']?>" id="uuid" />
	<div id="his24" style="height:300px;"></div>
	<div id="his168" style="height:300px;"></div>
	<div id="his720" style="height:300px;"></div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
record_his(24, "his24");
record_his(168, "his168");
record_his(720, "his720");
</script>
</body>
</html>
