<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function deletefile(filename)
{
	if (! confirm('确定要删除文件'+filename+'吗'))
		return false;

	$.ajax({
		url:'../deletefile.php',
		dataType:'json',
		type:'post',
		data:{filename:filename},
		success:function(data){
			if (data.yn == "no")
				alert(date.str);
			else location.reload();
		}
	})
}
</script>
<style type="text/css">
</style>
</head>
<body>
<div class="outer">
<?php
$free = getversion();
if ($free)
	$custom_url = "report_custom.php";
else
	$custom_url = "new_report.php";

	$type = $_GET["type"];
	if ($type == "day")
		$daycls = "active";
	else
	if ($type == "week")
		$weekcls = "active";
	else if ($type == "month")
		$monthcls = "active";
	else
		$customcls = "active";
?>
	<div class="als-nav-header">
		<ul>
		<?php 
			$user = $_SESSION["palog_username"];
			if( $user == "admin" ){
		?>
				<li class='<?=$daycls?>'><a href='report.php?type=day'>日报表</a></li>
				<li class='<?=$weekcls?>'><a href='report.php?type=week'>周报表</a></li>
				<li class='<?=$monthcls?>'><a href='report.php?type=month'>月报表</a></li>
		<?php
			}
		?>
		
			
			<li class="<?=$customcls?>"><a href="<?=$custom_url?>">自定义报表</a></li>
		</ul>
		<div class="clear:both;"></div>
	</div>

		<div>
        <table class="als-table">
            <tr>
                <th class="td-normal" style="width:50px">序号</th>
                <th class="td-normal">文件名</th>
                <th class="txt-right">文件大小</th>
                <th class="txt-center">创建时间</th>
                <th class="txt-center" width="90px">操作</th>
            </tr>
            <?php
            $i = 0;
		$rows = array();
            $type = $_GET['type'];
            $temp_dir = '/usr/logdata/tmp';
            if (is_dir($temp_dir)) {
                if ($df = opendir($temp_dir)){
                    while (($file = readdir($df)) !== false) {
                        if ($file == '.' || $file == '..')
                            continue;
						
						$ds = explode('_', $file);
						array_push($rows, array("name"=>$file, "dt"=>strtotime($ds[0]."000000")));
					}
				}
			}
			
			foreach($rows as $k=>$val)
				$arrsort[$k] = $val["dt"];
			array_multisort($arrsort, SORT_DESC, $rows);
			
			foreach($rows as $key=>$val) {
				$file = $val["name"];
				
				$trbg = '';
				if ($type == 'day'){
					if ($i % 2 == 1)
						$trbg = 'log-table-tr-toggle-bgcolor-curr';
					if (strstr($file, '_day.pdf'))
						echo '<tr class="'.$trbg.'"><td align="center">'.++$i.'</td><td align="center">'.$file.'</td><td align="right">'.dataformat(filesize($temp_dir.'/'.$file)).'&nbsp;</td><td align="center">'.date('Y-m-d H:i:s', filectime($temp_dir.'/'.$file)).'</td><td align="center"><a href="../download.php?filename='.$file.'">下载</a>&nbsp;&nbsp;<a href="javascript:deletefile(\''.$temp_dir.'/'.$file.'\')">删除</a></td></tr>';
				}
				if ($type == 'week'){
					if ($i % 2 == 1)
						$trbg = 'log-table-tr-toggle-bgcolor-curr';
					if (strstr($file, '_week.pdf'))
						echo '<tr class="'.$trbg.'"><td align="center">'.++$i.'</td><td align="center">'.$file.'</td><td align="right">'.dataformat(filesize($temp_dir.'/'.$file)).'&nbsp;</td><td align="center">'.date('Y-m-d H:i:s', filectime($temp_dir.'/'.$file)).'</td><td align="center"><a href="../download.php?filename='.$file.'">下载</a>&nbsp;&nbsp;<a href="javascript:deletefile(\''.$temp_dir.'/'.$file.'\')">删除</a></td></tr>';
				}
				if ($type == 'month'){
					if ($i % 2 == 1)
						$trbg = 'log-table-tr-toggle-bgcolor-curr';
					if (strstr($file, '_month.pdf'))
						echo '<tr class="'.$trbg.'"><td align="center">'.++$i.'</td><td align="center">'.$file.'</td><td align="right">'.dataformat(filesize($temp_dir.'/'.$file)).'&nbsp;</td><td align="center">'.date('Y-m-d H:i:s', filectime($temp_dir.'/'.$file)).'</td><td align="center"><a href="../download.php?filename='.$file.'">下载</a>&nbsp;&nbsp;<a href="javascript:deletefile(\''.$temp_dir.'/'.$file.'\')">删除</a></td></tr>';
				}
            }
            ?>
        </table>
    </div>
</div>
<script type="text/javascript">
</script>
</body>
</html>
