<?php
session_start();
set_time_limit(0);
include(dirname(__file__)."/../common.php");
if (!chksession()) {
	//echo '<script type="text/javascript">alert("登录超时,请重新登录");</script>';
	$json = array("code"=>-1, "msg"=>"录超时,请重新登录");
	echo json_encode($json);
	exit;
}

header("Content-type:text/html; charset=utf-8");

if (isset($_FILES['file']))
    $upfile = $_FILES['file'];

if (strstr($upfile['name'], "tar.gz") === false) {
	//echo "<script type='text/javascript'>alert('错误的文件名称：".$upfile["name"]."请选择正确的升级包进行升级!');parent.location.reload();</script>";
	$json = array("code"=>-1, "msg"=>"错误的文件名称：".$upfile["name"]."请选择正确的升级包进行升级!");
	echo json_encode($json);
	exit;
}

if (strstr($upfile['name'], "amd64") === false) {
	//echo "<script type='text/javascript'>alert('当前系统版本为64位系统，请选择正确的升级包进行升级!');parent.location.reload();</script>";
	$json = array("code"=>-1, "msg"=>"前系统版本为64位系统，请选择正确的升级包进行升级!");
	echo json_encode($json);
	exit;
}

$uname = php_uname('s');
if (strstr($upfile['name'], $uname) == false) {
	// echo "<script type='text/javascript'>alert('当前系统版本为".$uname."系统，请选择正确的升级包进行升级!');parent.location.reload();</script>";
	$json = array("code"=>-1, "msg"=>"前系统版本为".$uname."系统，请选择正确的升级包进行升级!");
	echo json_encode($json);
	exit;
}

if (strstr($upfile['name'], ".php") != false) {
	// echo "<script>alert('无效的上传文件!');</script>";
	$json = array("code"=>-1, "msg"=>"无效文件.");
	echo json_encode($json);
	exit;
}

$dstfile = dirname(__file__)."/../download/panalog.tar.gz";
if (file_exists($dstfile))
	unlink($dstfile);

if (! move_uploaded_file($upfile['tmp_name'], $dstfile)) {
	// echo "<script type='text/javascript'>alert('文件上传失败!');parent.location.reload();</script>";
	$json = array("code"=>-1, "msg"=>"文件上传失败.");
	echo json_encode($json);
	exit(0);
}

$updir = "/usr/logdata/tmp/upgrade";
if (!is_dir($updir))
	mkdir($updir);
exec("tar zxf '".$dstfile."' -C '$updir'");
if (!file_exists($updir."/usr/logd/www/cretime.txt")) {
	//echo "<script type='text/javascript'>alert('系统文件信息不存!');</script>";
	$json = array("code"=>-1, "msg"=>"系统文件信息不存!.");
	echo json_encode($json);
	unlink($dstfile);
	rmdir($updir);
	exit(0);
}
$cont = file($updir."/usr/logd/www/cretime.txt");
foreach($cont as $val) {
	list($tag, $v) = explode('=', trim($val));
	if ($tag == "OSTYPE" && $v != $uname) {
		//echo "<script type='text/javascript'>alert('请选择正确的升级包!');parent.location.reload();</script>";
		$json = array("code"=>-1, "msg"=>"选择正确的升级包!.");
		echo json_encode($json);
		unlink($dstfile);
		rmdir($updir);
		exit(0);
	}
}

operation_logger("系统升级", "升级日志版本到-".$upfile["name"]);

exec("killall logd");
exec("tar zxvf ".$dstfile." -C /");

if ($uname == "Linux")
	$wget_path = "/usr/bin/wget";
else
	$wget_path = "/usr/local/bin/wget";

$nodecount = 0;
/* Notify the node server is about to upgrade the system */
if (getversion2()) {
	$cmd = PANALOGEYE." node stat";
	exec($cmd, $out, $ret);
	$masterip = "";
	foreach($out as $obj) {
		list($tag, $val) = explode('=', trim($obj));
		if ($tag == "masterip") {
			$masterip = $val;
		}
	}

	if (strlen($masterip) > 6)
		file_put_contents('/usr/logd/bin/node.list', $masterip."\n");
	else
		file_put_contents('/usr/logd/bin/node.list', "127.0.0.1\n");
	
	unset($out);
	$cmd = PANALOGEYE." node list | cut -d' ' -f1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if (trim($val) == "ipaddr" || trim($val) == $masterip) 
			continue;

		file_put_contents('/usr/logd/bin/node.list', trim($val)."\n", FILE_APPEND);

		$cmd = PANALOGEYE." alssocket config 'upgrade=$val'";
		$out_result = "";
		exec($cmd, $out_result, $ret);		
		file_put_contents('/tmp/upgrade_notify_log.'.$val, $out_result);

		if (strstr($out_result, "upgrade ok") == false) {
			$cmd = $wget_path.' --no-check-certificate "https://'.$val.'/Maintain/upgrade_notify.php" ';
			$cmd .= '-O /tmp/upgrade_notify_res.'.$val.' -o /tmp/upgrade_notify_log.'.$val;
			exec($cmd);
		}
		
		$nodecount++;

		upgradelog(trim($val)."|通知节点".trim($val)."将要升级系统...");
	}
}
if ($nodecount == 0) {
	$json = array("code"=>0, "msg"=>"升级成功.");
	echo json_encode($json);
}
else {
	upgradelog($masterip."|主控".$masterip."升级成功...");
	$json = array("code"=>0, "msg"=>"主控升级成功，如有多节点，请耐心等待其它节点完成升级.");
	echo json_encode($json);
}
exec("/usr/logd/bin/logd >/dev/null 2>&1 &");
?>
