 <?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 20;
function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>&nbsp;&nbsp;';
	
	$(".cloud-page-bar").html(pagestr);
}

function nextpage()
{
	page++;
	
	task_list();
}

function uppage()
{
	page--;
	
	task_list();
}

function task_list()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'task_list', page: page, limit: limit},
		dataType:'json',
		type:'post',
		success:function(data) {
			showpagenum(data);
			task_list_update(data);
		}
	});
}

function task_list_update(data)
{
	var r, s = '';
	var len = data.rows.length;
	var trobj = $(".task-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';
	
	$("[name='alltaskssel']").removeAttr("checked");

	start = (page - 1) * limit;
	var dt = new Date();
	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 0)
			trbg = 'currtr';
		mak = '<a href="javascript:task_look(\''+r.task_id+'\', \''+r.upgrade_pro+'\')">查看</a>';
		mak += '&nbsp;&nbsp;|&nbsp;&nbsp;';
		mak += '<a href="javascript:task_delete(\''+r.task_id+'\')">删除</a>';
		
		stime = r.time;
		ctime = r.stime;
		var at = stime - ctime;
		if (at >= 0)
			status = '<span style="color:#CAC074;font-weight:bold;">'+at + '后开始升级</span>';
		else if (at < 0 && (r.succ + r.fail != r.total))
			status = '<span style="color:#30A645;font-weight:bold;">正在升级</span>';
		if (r.succ + r.fail == r.total)
			status = '<span style="color:#30A645;font-weight:bold;">升级完成</span>'; 
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			tdobj.eq(0).html('&nbsp;'+r.task_id);
			tdobj.eq(1).html('<input type="checkbox" value="'+r.task_id+'" name="tasksel" />');
			tdobj.eq(2).html(status);
			tdobj.eq(3).html('&nbsp;'+r.upgrade_bag);
			tdobj.eq(4).html('&nbsp;'+r.upgrade_start);
			tdobj.eq(5).html(r.total);
			tdobj.eq(6).html(r.succ);
			tdobj.eq(7).html(r.fail);
			tdobj.eq(8).html('&nbsp;'+r.updesc);
			tdobj.eq(9).html(mak);
		}else{
			s = '<tr class="'+trbg+'">'+
				'<td class="td-normal" align="center">&nbsp;'+ r.task_id+'</td>'+
				'<td align="center"><input type="checkbox" value="'+r.task_id+'" name="tasksel" /></td>'+
				'<td align="center">'+status+'</td>'+
				'<td align="left">&nbsp;'+r.upgrade_bag+'</td>'+
				'<td align="center">&nbsp;'+r.upgrade_start+'</td>'+
				'<td align="right">'+ r.total+'</td>'+
				'<td align="right">'+r.succ+'</td>'+
				'<td align="right">'+r.fail+'</td>'+
				'<td align="left">&nbsp;'+r.updesc+'</td>'+
				'<td align="center">'+mak+'</td>'+
				'</tr>';
			$(s).appendTo(".task-list table");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function task_look(task_id, upgrade_pro)
{
	var width = 1280;
	var height = 700;
	var top = ($(window).height()-height)/2;
	var left = ($(window).width()-width)/2;

	if (upgrade_pro == "ixcache") {
		/* ixcache task look */
		window.open("ixc_task_look.php?task_id="+task_id, "_blank", "width="+width+"px,height="+height+"px,left="+ left+"px,top="+top+"px,resizable=no");
	}
	else {
		/* panabit task */
		window.open("task_look.php?task_id="+task_id, "_blank", "width="+width+"px,height="+height+"px,left="+ left+"px,top="+top+"px,resizable=no");
	}
}

function task_delete(task_id)
{
	if (!confirm("确定要删除任务"+task_id+"吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'task_delete', task_id: task_id},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			
			task_list();
		}
	});
}

function cloud_task_muldelete()
{
	var ut = [];
	var taskids='';
	
	$("[name='tasksel']").each(function(){
		if ($(this).attr("checked"))
			ut.push($(this).val());
	});
	
	taskids = ut.join(',');
	if (taskids == "") {
		alert("请选择要删除的任务！");
		return false;
	}
	
	task_delete(taskids);
}

var taskoff = 0;
function cloud_task_closerefresh()
{
	if (!taskoff) {
		clearInterval(taskint);
		taskoff = 1;
		$(".refreshoff").val("打开刷新");
	}else {
		taskint = setInterval(task_list, 1000);
		$(".refreshoff").val("关闭刷新");
	}
	
}

function upgrade_close_config()
{
	$("#report_pop_box_create_task").remove();
}

var _task_dialog;
function cloud_task_create()
{	
	var layer, form;
	layui.use(['layer', 'form', 'laydate'], function(){
		var layer = layui.layer ,form = layui.form;
		_task_dialog = layer.open({
			type: 1,
			title: '任务管理',
			shade: [0.8, '#393D49'],
			shadeClose: 0,
			end:function() {
				form.val('upgrade-form-filter', {
				"upgrade_pro": "",
					"upbags":"",
					"updesc":'',
					"upgradetype":"now",
				});
				$("#upgradetime").hide();

				$("[name='selall']").eq(0).removeAttr("checked");
				$("[name='pasel']").each(function(){
					$(this).removeAttr("checked");
				});
			},
			id: 'upgrade-task-dialog',
			area:['900px', ($(window).height()-50) + 'px'],
			content: $("#upgrade-outer"),
			success:function() {
			}
		});

		form.on('radio(upgradetype)', function(data) {
			var v = data.value;
			if (v == "later") {
				$("#upgradetime").show();
				$("#upgrade_submit").text("保存配置，稍后升级");
			}
			else {
				$("#upgradetime").hide();
				$("#upgrade_submit").text("保存配置，立即升级");
			}

			form.render("radio");
		});

		var laydate = layui.laydate;
		laydate.render({
			elem: '#upgradedate',
			trigger: 'click'
		});

		form.on('select(upbags)', function(data) {
			upgrade_list_ajax($("#grplisthdr").val());
			form.render("select");
		})
	
		$("[name='selall']").click(function(){
			if ($(this).attr("checked")) {
				$("[name='pasel']").each(function(){
					$(this).attr("checked", true);
					paselected.push($(this).val());
				});
			}
			else{
				paselected.length = 0;
				$("[name='pasel']").each(function(){
					$(this).removeAttr("checked");
				});
			}
		});
	
		$("#grplisthdr").change(function(){
			upgrade_list_ajax($(this).val());
		});
	
		$("#selversion").change(function(){
			upgrade_list_ajax($("#grplisthdr").val());
		});

		/* paname */
		$("#sch_paname,#sch_paid").keyup(function() {
			var ev = window.event || arguments.callee.caller.arguments[0];
			var th = ev.keyCode || ev.whick;
			if (th == 13)
				upgrade_list_ajax($("#grplisthdr").val());
		});

		form.on('checkbox(bags_filer)', function(data) {
			form.render("checkbox");
		})

		form.on('select(upgrade_pro)', function(data) {
			var v = data.value;
			_version = "";

			$("#selversion").find("option").remove();
			var s = '<option value="">当前版本</option>';
			$(s).appendTo("#selversion");

			form.render("select");
		
			upgrade_list_ajax(0);
		});

	})

	grplist();
	task_packets();
	task_version_list();
}

function task_packets()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'upbags_list', page: 0, limit: 0},
		dataType:'json',
		type:'post',
		success: function(json) {
			$('#upbags').html('');
			
			s = '<option value="">请选择升级包</option>';
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s += '<option value="'+r.filename+'">'+r.filename+'</option>';
			}
			$(s).appendTo('#upbags');
		}
	});
}

function grplist()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#grplisthdr').find("option").remove();
			s = '<option value="0">所有组</option>';
			$(s).appendTo('#grplisthdr');
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s = '<option value="'+r.grpid+'">'+r.grpname+'</option>';

				$(s).appendTo('#grplisthdr');
			}
		}
	});
}

function task_version_list()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'task_version_list'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#selversion').find("option").remove();
			s = '<option value="0">当前版本</option>';
			
			for (i = 0; i < json.rows.length; i++) {
				if (json.rows[i] == "none")
					continue;
				s += '<option value="'+json.rows[i]+'">'+json.rows[i]+'</option>';
			}
			$(s).appendTo('#selversion');
		}
	});
}

function upgrade_list_ajax(grpid)
{
	var ar = [];
	var sch = $("#selversion").val();
	if (sch == "0" || sch == null) sch = "";
	if (sch != "")
		ar.push(sch);
	var sch_paname = TrimAll($("#sch_paname").val());
	if (sch_paname != "")
		ar.push(sch_paname);
	var sch_paid = TrimAll($("#sch_paid").val());
	if (sch_paid != "")
		ar.push(sch_paid);
	var upgrade_pro = $("#upgrade_pro").val();
	if (upgrade_pro == "")
		return;
	
	if (ar.length != 0)
		sch = ar.join('|');

	/* Panabit or 特征库 */
	if (upgrade_pro == "panabit") {	
		$.ajax({
			url:'system_handle.php',
			data:{type:'cloud_devlist', grpid: grpid, sch: sch, sort: "license_end", g_ascdesc: "desc", expire: 2, page: 1, limit: 0},
			dataType:'json',
			type:'post',
			success:function(data) {
				expire_list(data);
			}
		});
	}

	/* Ixcache */
	if (upgrade_pro == "ixcache") {	
		if (grpid == 0) grpid = -1;
		$.ajax({
			url:'system_handle_ex.php',
			data:{type:'ixcache_list', grpid: grpid, sch: sch, sort: "", g_ascdesc: "desc", expire: 2, page: 1, limit: 0},
			dataType:'json',
			type:'post',
			success:function(data) {
				expire_list(data);
			}
		});
	}
}

var _version = "";
var paselected = [];
function expire_list(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".upgrade-pa-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var explen = 0;

	var fenable = "no";	
	var bagname = $("#upbags").val();
	var upgrade_pro = $("#upgrade_pro").val();
		
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	for (i = 1; i < trlen; i++) 
		trobj.eq(i).remove();

	if (_version == "")
		_version = data.version;

	if (upgrade_pro == "panabit") {
		if ($("[name='bags_filter']").eq(0).attr("checked"))
			fenable = "yes";
		else 
			fenable = "no";
	}

	var k = 0;
	for (i = 0; i < len; i++){
		r = data.rows[i];

		if ((r.time+15) < r.servertime)
			continue;

		if (bagname != "" && fenable == "yes") {
			if (bagname.indexOf("PanabitFREE") != -1) {
				if ((r.license_id12).substr(0, 1) != 'F')
					continue;
			}
			if (bagname.indexOf("PanabitOEM") != -1) {
				if ((r.license_id12).substr(0, 1) == 'F' || (r.license_id12).substr(0, 2) == 'PW')
					continue;
			}
			if (bagname.indexOf("PanabitWB") != -1) {
				if ((r.license_id12).substr(0, 2) != 'PW')
					continue;
			}
			if (bagname.indexOf("PanabitSMB") != -1) {
				if ((r.license_id12).substr(0, 2) != 'PE')
					continue;
			}
		}
		
		if (r.sys_name2 != null && r.sys_name2 != "") 
			r.sys_name = r.sys_name2;
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";
		s = '<tr class="'+trbg+'">'+
			'<td align="center" width="40px">'+(++k)+'</td>'+
			'<td align="left" width="40px">'+
			'<input type="checkbox" paname="'+r.sys_name+'" version="'+r.version+'" value="'+r.license_id12+'" name="pasel" /></td>'+
			'<td align="left" width="100px">&nbsp;'+r.license_id12+'</td>'+
			'<td class="txt-left">&nbsp;'+ r.sys_name+'</td>'+
			'<td align="left" width="110px">'+ r.grpname+'</td>'+
			'<td align="left">'+r.version+'&nbsp;</td>'+
			'</tr>';
		$(s).appendTo(".upgrade-pa-list table");

		if (trbg == "")
			trbg = "currtr";
		else
			trbg = "";
	}

	/* add version */
	var tmp = [], fd = 0;
	$("#selversion").find("option").each(function(){
		tmp.push($(this).val());
	});
	for (i = 0; i < _version.length; i++) {
		fd = 0;
		for (j = 0; j < tmp.length; j++) {
			if (tmp[j] == _version[i]) {
				fd = 1;
				break;
			}
		}
		if (!fd) {
			s = '<option value="'+_version[i]+'">'+_version[i]+'</option>';
			$(s).appendTo("#selversion");
		}
	}
	tmp.length = 0;
	
	/* 添加单击事件 */
	$("[name='pasel']").click(function(){
		var v = $(this).val();
		
		$("[name='selall']").removeAttr("checked");
		
		var fd = 0;
		if ($(this).attr("checked")) {
			paselected.push($(this).val());
		}else {
			for (i = 0; i < paselected.length; i++) {
				if (paselected[i] == v) {
					paselected.splice(i, 1);
					break;
				}
			}
		}
	});
}

var taskint = 0;

function upgrade_save_config()
{
	var upgrade_pro = $("#upgrade_pro").val();
	if (upgrade_pro == "") {
		layer.alert("请选择升级对象");
		return false;
	}
	var bagname = $("#upbags").val();
	if (bagname == "") {
		layer.alert("当前没有选择任何升级包");
		return false;
	}
	
	var updesc = $("#updesc").val();
	updesc = TrimAll(updesc);
	
	var upgradetype = "now";
	$("[name='upgradetype']").each(function(){
		if ($(this).attr("checked"))
			upgradetype = $(this).val();
	});

	var dt = new Date();
	var upgradedate = 0;
	var upgradehours = 0;
	var upgrademin = 0;
	if (upgradetype == "later") {
		upgradedate = $("#upgradedate").val();
		upgradehours = $("#upgradehours").val();
		upgrademin = $("#upgrademin").val();
	}
	var datestr = upgradedate+" "+upgradehours+":"+upgrademin+":0";
	
	var selarr = [];
	var paname = [];
	var version = [];
	$("[name='pasel']").each(function(){
		if ($(this).attr("checked")) {
			selarr.push($(this).val());
			paname.push($(this).attr("paname"));
			version.push($(this).attr("version"));
		}
	});
	var selstr = selarr.join('|');
	var panamestr = paname.join('|');
	var versionstr = version.join('|');
	if (selstr == "") {
		layer.alert("请选择需要升级的对象");
		return false;
	}

	layer.confirm("确定需要升级这些设备吗", {btn:['确定', '取消']}, function(index) {
	$.ajax({
		url:'system_handle.php',
		data:{type:'upgrade_save_config', bagname: bagname, upgradetype: 
			upgradetype, datestr:datestr, selstr: selstr, 
			panamestr: panamestr, versionstr: versionstr, 
			updesc: updesc, upgrade_pro:upgrade_pro}, 
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn == "yes") {
				layer.alert("配置成功");
				layer.close(_task_dialog);
				task_list();
			}
			else
				alert(data.str);
		}
	});
	})
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "upgrade_config");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li><a href="upgrade_config.php">升级包管理</a></li>
					<li class="active"><a href="upgrade_task.php">任务管理</a></li>
					<li><a href="upgrade_dwconfig.php">升级配置</a></li>
				</ul>
			</div>
			<div style="margin-top:10px;">
				<div style="float:right;padding:0 5px;">
				<input type="button" value="创建任务" onclick="cloud_task_create()" class="btn-default btn-blue" />
				<input type="button" value="删除选中" onclick="cloud_task_muldelete()" class="btn-default" />
				<input type="button" value="关闭刷新" onclick="cloud_task_closerefresh()" class="btn-default refreshoff" />
				</div>
				<div style="clear:both;"></div>
			</div>
			<div class="task-list">
				<table style="width:100%;" cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:40px;" align="center">序号</th>
						<th style="width:30px;" align="center">
							<input type="checkbox" name="alltaskssel" />
						</th>
						<th>状态</th>
						<th align="left" width="350px">&nbsp;升级包</th>
						<th width="150px">&nbsp;开始时间</th>
						<th align="right">&nbsp;升级台数</th>
						<th align="right">升级成功</th>
						<th align="right">升级失败</th>
						<th width="100px">说明</th>
						<th style="width:80px;" align="center">操作</th>
					</tr>
				</table>
				<div class="cloud-page-bar"></div>
			</div>
		</div>
	</div>
</div>
<div class="upgrade-config" id="upgrade-outer" style="display:none">
	<div class="sx-outer">
	<form class="layui-form" action="" lay-filter="upgrade-form-filter">
		<div class="layui-form-item">
			<label class="layui-form-label">升级对象</label>
			<div class="layui-input-block">
				<select id="upgrade_pro" name="upgrade_pro" lay-filter="upgrade_pro">
					<option value="">请选择升级对象</option>
					<option value="panabit">网关设备</option>
					<option value="ixcache">缓存设备</option>
				</select>
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">过滤设备</label>
			<div class="layui-input-block">
				<input type="checkbox" name="bags_filter" checked lay-filter="bags_filter" title="过滤能使用此升级包的设备" lay-skin="primary" />
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">选择升级包</label>
			<div class="layui-input-block">
				<select id="upbags" name="upbags" lay-filter="upbags">
				</select>
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">升级方式</label>
			<div class="layui-input-block">
				<input type="radio" name="upgradetype" lay-filter="upgradetype" value="now" title="立即升级" checked /> 
				<input type="radio" name="upgradetype" lay-filter="upgradetype" value="later" title="定时升级" />
			</div>
		</div>
		<div class="layui-form-item" id="upgradetime" style="display:none;">
			<label class="layui-form-label">升级时间</label>
			<div class="layui-input-inline" style="width:100px">
				<input type="text" id="upgradedate" value="<?=date('Y-m-d')?>" class="layui-input">
			</div>
			<div class="layui-input-inline" style="width:50px">
				<input type="text" id="upgradehours" value="<?=date('H')?>" class="layui-input">
			</div>
			<div class="layui-form-mid layui-word-aux">时</div>
			<div class="layui-input-inline" style="width:50px">
				<input type="text" id="upgrademin" value="<?=date('i')?>" class="layui-input">
			</div>
			<div class="layui-form-mid layui-word-aux">分</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">升级说明</label>
			<div class="layui-input-block">
				<input type="text" name="updesc" id="updesc" class="layui-input" /> 
			</div>
		</div>
		<div class="layui-form-item">
			<div class="layui-input-block">
				<a href="javascript:void(0);" onclick="upgrade_save_config()" class="layui-btn layui-btn-normal layui-btn-xs" id="upgrade_submit">保存配置，立即升级</a>
			</div>
		</div>
	</form>
	</div>
	<div>
		<blockquote class="site-text layui-elem-quote">设备列表</blockquote>
	</div>
	<div>
		<div class="upgrade-pa-list" style="overflow:auto;">
			<table>
				<tr>
					<th width="50px">序号</th>
					<th width="50px" align="left"><input type="checkbox" name="selall" /></th>
					<th width="150px">
						<input type="text" value="" placeholder="编号" id="sch_paid" style="width:100%;" class="layui-input" />
					</th>
					<th>
						<input type="text" value="" placeholder="名称" id="sch_paname" style="width:100%;" class="layui-input" />
					</th>
					<th align="center" width="150px">
						<select id="grplisthdr" style="width:150px; border:none;" class="form-control">
						</select>
					</th>
					<th width="300px">
						<select id="selversion" style="width:280px; border:none;" class="form-control">
						</select>
					</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
task_list();
taskint = setInterval(task_list, 1000);

$("[name='alltaskssel']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='tasksel']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='tasksel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

cpumem();
setInterval(cpumem, 3000);

ixc_stat();
</script>
</body>
</html>
