<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="account_group.php">账号群组</a></li>
			<li class="active"><a href="account_flow.php">群组概况</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>账号群组</label>
				<select id="grpid" style="width:100px;">
				<option value="0">所有群组</option>
				<?php
				$conn = my_mysql_connect();
				if ($conn) {
					$cmd = "select id, name from palog.account_group";
					if (($result = mysql_query($cmd)) != false) {
						while ($row = mysql_fetch_row($result)) {
							echo '<option value="'.$row[0].'">'.$row[1].'</option>';
						}
					}
					mysql_close($conn);
				}
				?>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="accgrp_check()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div id="bpsup" style="position:relative;height:250px;margin-top:10px;overflow:hidden;border:1px solid #ddd;"></div>
	<div id="bpsflow" style="height:250px;margin-top:10px;overflow:hidden;border:1px solid #ddd;"></div>
</div>
<script type="text/javascript">
function accgrp_check()
{
	var devid = getdevice();
	var grpid = $("#grpid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../account/accountlist.php',
		dataType:'json',
		type:'post',
		data:{
			type: 'acctrend',
			grpid:grpid,
			account: "",
			errname: errname, 
			startdt: starttime, 
			enddt: endtime
		},
		success:function(json) {
			cluster_load_hide();
			account_createtrend("bps", "bpsup", starttime, endtime, json);
			account_createtrend("flow", "bpsflow", starttime, endtime, json);
		}
	});
}

function account_createtrend(chartype, render, starttime, endtime, data)
{
	var title = "";
	var units = 'bits/s';
	if (chartype == "flow") 
		units = "#flowcnt";
	var timestr = " - "+starttime+"/"+endtime;
	if (chartype == "bps") 
		title = "流量趋势图"+timestr;
	else 
		title = "连接数趋势图"+timestr;

	var options = {
	chart:{
	    renderTo:render,
	    borderRadius:0,
	    defaultSeriesType:'area',
		//backgroundColor: '#f5f5f5',
		//borderWidth: 1,
		//borderColor:'#D3DCEB',
		//borderRadius:4
	},title:{
	    text:title,
	    style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
	},xAxis:{
	    type:'datetime',
	    tickPixelInterval:80,
	    labels:{
		rotation:-45,
		align:'right',
		style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
	    }
	},yAxis:{
	    min:0,
	    tickPixelInterval:30,
	    title:{
		text:units
	    },labels:{formatter:function(){
		return numberformats(parseInt(this.value));
	    }
	    },
	    plotLines:[{value:0,width:1}]
	},legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
	},plotOptions:{
	    area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
	},credits:{enabled:false},
	tooltip:{
	    formatter:function() {
		return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
	    }
	},series:[]
	}

	if (chartype == "bps") {
		options.series[0] = data.result_up[0];
		options.series[1] = data.result_down[0];
	}else {
		options.series[0] = data.result_flow[0];
	}
	
	new Highcharts.Chart(options);
}
showdevicetree();
Highcharts.setOptions({ global: { useUTC: false } });
</script>
</body>
</html>
