<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("no", "请重新登录");
	exit;
}

$action = postval('action');
if ($action == "account_add")
{
	$id = postval("id");
	$account = postval("account");
	$max_flow = postval("max_flow");
	$remain_enable = postval("remain_enable");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "数据库连接失败");
		unlink($dstfile);
		exit;
	}
	$sql = "create table if not exists palog.account_group_unit(".
		"id int not null auto_increment primary key, ".
		"gid int(2) not null default '0', ".
		"name varchar(64) not null default '',".
		"max_flow int(2) not null default '0', ".
		"remain_enable char(1) not null default '0',".
		"last_month_remain_flow bigint(8) not null default '0',".
		"extr_flow bigint(8) not null default '0', ".
		"flow bigint(8) not null default '0', ".
		"up bigint(8) not null default '0', ".
		"down bigint(8) not null default '0')".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$sql = "select name from palog.account_group_unit where name='$account'";
	if (($result = mysql_query($sql)) != false) {
		if (mysql_num_rows($result) == 0) {
			$sql = "insert into palog.account_group_unit(gid, name, max_flow, remain_enable)values($id, '$account', $max_flow, $remain_enable)";
			if (mysql_query($sql) == false) {
				outputres("no", mysql_error());
				mysql_close();
				exit;
			}
		}
	}
	mysql_close();

	$cmd = PANALOGEYE." behavior add addacc=1 'account=$account' 'max_flow=$max_flow' 'remain_enable=$remain_enable' 'gid=$id'";
	exec($cmd);
	outputres("yes", "");
	exit;
}

if ($action == "group_account_list")
{
	$id = postval("id");
	$page = postval("page");
	$limit = postval("limit");

	$rows = array();

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "error: 数据库连接失败");
		exit;
	}

	$totalrecords = 0;
	$sql = "select count(*) from palog.account_group_unit where gid=$id";
	if (($result = mysql_query($sql)) != false) {
		$row = mysql_fetch_row($result);
		$totalrecords = $row[0];
	}

	$start = ($page - 1) * $limit;
	$sql = "select id, gid, name, max_flow, remain_enable, last_month_remain_flow, extr_flow, up, down".
	       " from palog.account_group_unit where gid=$id limit $start, $limit";
	if (($result = mysql_query($sql)) == false) {
		if (mysql_errno() == 1146) {
			$json = array("rows"=>$rows);
		       	echo json_encode($json);
		}
		else {
			outputres("no", mysql_error());
		}
		mysql_close();
		exit;
	}

	while ($row = mysql_fetch_row($result)) {
		array_push($rows, array(
			"id"=>$row[0],
			"gid"=>$row[1],
			"name"=>$row[2],
			"max_flow"=>$row[3],
			"remain_enable"=>$row[4],
			"last_month_remain_flow"=>$row[5],
			"extr_flow"=>$row[6],
			"up"=>$row[7],
			"down"=>$row[8]
		));
	}
	mysql_close();

	$json = array("rows"=>$rows, "totalrecords"=>$totalrecords);
	echo json_encode($json);
	exit;
}

if ($action == "group_list")
{
	$rows = array();

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "error: 数据库连接失败");
		exit;
	}

	$sql = "select id, name, max_flow, remain_enable from palog.account_group";
	if (($result = mysql_query($sql)) == false) {
		if (mysql_errno() == 1146) {
			$json = array("rows"=>$rows);
		       	echo json_encode($json);
		}
		else {
			outputres("no", mysql_error());
		}
		mysql_close();
		exit;
	}

	while ($row = mysql_fetch_row($result)) {
		array_push($rows, array(
			"id"=>$row[0],
			"name"=>$row[1],
			"max_flow"=>$row[2],
			"remain_enable"=>$row[3]
		));
	}

	/* Get user account group */
	$uacc = array();
	$userid = postval("userid");
	$sql = "select GROUP_ID from palog.user_accgroup where USER_ID='$userid'";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($uacc, $row[0]);
		}
	}
	mysql_close();
	$json = array("rows"=>$rows, "uacc"=>$uacc);
	echo json_encode($json);
	exit;
}

if ($action == "group_add")
{
	$name = postval("name");
	$max_flow = postval("max_flow");
	$remain_enable = postval("remain_enable");

	if (is_numeric($remain_enable) == false) {
		outputres("no", "流量结转值格式不对.");
		exit;
	}
	if (is_numeric($max_flow) == false) {
		outputres("no", "最大流量值格式不对.");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "error: 数据库连接失败");
		exit;
	}
	$sql = "create table if not exists palog.account_group".
		"(ID int not null auto_increment primary key, ".
		"NAME varchar(64) not null default '', ".
		"MAX_FLOW int(2) not null default '0', ".
		"REMAIN_ENABLE char(1) not null default '0')".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$sql = "insert into palog.account_group (name, max_flow, remain_enable) values('$name', $max_flow, '$remain_enable')";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();

	operation_logger("账号群组", "添加账号群组".$name);

	outputres("yes", "");
	exit;
}

if ($action == "group_edit")
{
	$id = postval("id");
	$name = postval("name");
	$max_flow = postval("max_flow");
	$remain_enable = postval("remain_enable");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "error: 数据库连接失败");
		exit;
	}
	$sql = "update palog.account_group set name='$name', max_flow=$max_flow, remain_enable='$remain_enable' where id=$id";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();
	
	operation_logger("账号群组", "修改账号群组".$name);

	outputres("yes", "");
	exit;
}

if ($action == "group_remove")
{
	$id = postval("id");
	$name = postval("name");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "error: 数据库连接失败");
		exit;
	}
	$sql = "delete from palog.account_group where id=$id";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	$sql = "delete from palog.account_group_unit where gid=$id";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();

	operation_logger("账号群组", "删除账号群组".$name);

	exec(PANALOGEYE." behavior remove 'gid=$id'");

	outputres("yes", "");
	exit;
}

if ($action == "group_account_remove")
{
	$gid = postval("gid");
	$account = postval("account");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "error: 数据库连接失败");
		exit;
	}
	$sql = "delete from palog.account_group_unit where gid=$gid and name='$account'";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();

	exec(PANALOGEYE." behavior remove 'gid=$gid' 'account=$account'");

	outputres("yes", "ok");
	exit;
}
exit;
?>
