<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var pagestop = 0;

function pre()
{
	page--;
	if (page <= 0)
		page = 1;
	
	pagestop = 0;
	
	check_submit(0);
}

function next()
{
	page++;

	check_submit(0);
}

function button_click()
{
	page = 1;
	
	pagestop = 0;
	
	check_submit(0);
}

function check_submit(bexport)
{
	if (pagestop) {
		alert("已经是最后一页了");
		return false;
	}
	
	var license_id12 = TrimAll($("#license_id12").val());
	var srcip = TrimAll($("#srcip").val());
	var dstip = TrimAll($("#dstip").val());
	var action = $("#action").val();
	var code = $("#code").val();
	var appname = TrimAll($("#appname").val());
	var md5 = TrimAll($("#mymd5").val());
	var url = TrimAll($("#url").val());
	var usesec = TrimAll($("#usesec").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'ixcache_list', license_id12, action, starttime, endtime, errname, code, md5, url, appname, page, limit, srcip, dstip, usesec, bexport:bexport},
		success:function(json) {
			cluster_load_hide();

			if (bexport != 0) {
				cluster_downloadfile("");
				return;
			}
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			if (json.rows.length < limit)
				pagestop = 1;
			else
				pagestop = 0;
			ixcache_update(json);
		}
	});
}

function ixcache_update(json)
{
	var start = (page - 1) * limit;

	var list = document.getElementById("ixcache-list");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);
		
		col = obj.insertCell(0);
		col.setAttribute("align", "center");
	   	col.innerHTML = start + i+1;

		col = obj.insertCell(1);
		col.setAttribute("align", "left");
	   	col.innerHTML = r.license_id12;

		col = obj.insertCell(2);
		col.setAttribute("align", "left");
		if (r.type == "DOWN") 
			typestr = "回源";
		else 
			typestr = "服务";
		col.innerHTML = typestr;

		col = obj.insertCell(3);
		col.setAttribute("align", "center");
		col.innerHTML = r.starttime;

		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = r.secs+'s';

		col = obj.insertCell(5);
		col.setAttribute("align", "left");
		if (r.srcip == "0.0.0.0")
			r.srcip = "";
		if (r.srcip == "" && r.type == "DOWN")
			r.srcip = "下载口IP";
		col.innerHTML = r.srcip;

		col = obj.insertCell(6);
		col.setAttribute("align", "left");
		if (r.dstip == "0.0.0.0")
			r.dstip = "";
		if (r.dstip == "" && r.type == "HTTP")
			r.dstip = "输出口IP";
		col.innerHTML = r.dstip;

		col = obj.insertCell(7);
		col.setAttribute("align", "right");
		col.innerHTML = r.position;

		col = obj.insertCell(8);
		col.setAttribute("align", "left");
		if (r.type == "DOWN") {
			switch(r.code) {
			case 0:
				r.code = "下载成功";
				break;
			case 1:
				r.code = "源站拒绝";
				break;
			case 2:
				r.code = "连接失败";
				break;
			case 3:
				r.code = "源站回复超时";
				break;
			case 4:
				r.code = "网络丢包";
				break;
			case 5:
				r.code = "文件过小";
				break;
			}
		}else {
			switch(r.code) {
			case 0:
				r.code = "输出成功";
				break;
			case 1:
				r.code = "解析失败";
				break;
			case 2:
				r.code = "异常文件类型";
				break;
			case 3:
				r.code = "文件不存在";
				break;
			case 4:
				r.code = "异常文件";
				break;
			case 5:
				r.code = "打开文件失败";
				break;
			}
		}
		col.innerHTML = r.code;

		col = obj.insertCell(9);
		col.setAttribute("align", "left");
		col.innerHTML = r.appname;

		col = obj.insertCell(10);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.fsize);

		col = obj.insertCell(11);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.fsent);

		col = obj.insertCell(12);
		col.setAttribute("align", "right");
		bps = 0;
		if (r.secs != 0)
			bps = r.fsent * 8 / r.secs;
		else
			bps = r.fsent * 8;
		col.innerHTML = numberformats(bps);

		col = obj.insertCell(13);
		col.setAttribute("align", "center");
		col.innerHTML = '<a href="javascript:void(0);" onclick="showurl(this, \''+r.url+'\', \''+r.md5+'\')">'+((r.md5).substr(0, 10))+'...</a>';

		col = obj.insertCell(14);
		col.setAttribute("align", "left");
		col.innerHTML = '<a href="javascript:void(0);" onclick="showurl(this, \''+r.url+'\', \''+r.md5+'\')">'+((r.url).substr(0, 20))+'...</a>';
	}
}

function ixcache_export(bexport)
{
	pagestop = 0;
	check_submit(bexport);
}

function showurl(obj, url, md5)
{
	var t = $(obj).parents("tr");
	if (t.next().attr("class") == "eee")
		return;
	var s = '<tr class="eee"><td colspan="15" style="color:#626565; border-bottom:2px solid #626565;">md5：'+md5+'</br>url：'+url+'</td></tr>';
	t.after(s);
}

function chstatus()
{
	var v = $("#action").val();
	if (v == "DOWN") {
		$(".download").show();
		$(".http").hide();
	}else {
		$(".download").hide();
		$(".http").show();
	}
}
</script>
</head>
<body>
<div style="position:absolute; top:0; left:0; right:0;bottom:0;">
	<div class="check-form">
		<ul>
			<li>
				<label for="apkname">12位编号</label>
				<input type="text" value="" id="license_id12" style="width:100px" />
			</li>
			<li>
				<label for="apkname">动作</label>
				<select id="action" style="width:100px;" onchange="chstatus()">
					<option value="">所有动作</option>
					<option value="DOWN">回源</option>
					<option value="HTTP">服务</option>
				</select>
			</li>
			<li>
				<label for="apkname">状态</label>
				<select id="code" class="download" style="width:100px;">
					<option value="-1">所有状态</option>
					<option value="0">下载成功</option>
					<option value="1">源站拒绝</option>
					<option value="2">连接失败</option>
					<option value="3">源站回复超时</option>
					<option value="4">网络丢包</option>
					<option value="5">文件过小</option>
				</select>
				<select class="http" id="code" style="width:100px;display:none;">
					<option value="-1">所有状态</option>
					<option value="0">输出成功</option>
					<option value="1">解析失败</option>
					<option value="2">异常文件类型</option>
					<option value="3">文件不存在</option>
					<option value="4">异常文件</option>
					<option value="5">打开文件失败</option>
				</select>
			</li>
			<li>
				<label for="apkname">源IP</label>
				<input type="text" value="" id="srcip" style="width:100px" />
			</li>
			<li>
				<label for="apkname">目标IP</label>
				<input type="text" value="" id="dstip" style="width:100px" />
			</li>
			<li>
				<label for="apkname">协议名称</label>
				<input type="text" value="" id="appname" style="width:70px" />
			</li>
			<li>
				<label for="apkname">md5</label>
				<input type="text" value="" id="mymd5" style="width:150px" />
			</li>
			<li>
				<label for="apkname">URL</label>
				<input type="text" value="" id="url" style="width:150px" />
			</li>
			<li>
				<label for="apkname">时长大于</label>
				<input type="text" value="0" id="usesec" style="width:30px" /> s
			</li>
			<li>
<?php
$t = time() - 3600;
?>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
				<input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
				<input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
			</li>
			<li>
				<input type="button" value="查询" onclick="button_click()" class="btn-extend-color" />
			</li>
			<li>
				<a class="btn-extend-gray" onclick="ixcache_export(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table id="ixcache-list" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th width="50px" class="txt-left">序号</th>
				<th width="100px" class="txt-left">设备编号</th>
				<th class="txt-left">类型</th>
				<th class="txt-center">起始时间</th>
				<th class="txt-right">时长</th>
				<th class="txt-left">源IP</th>
				<th class="txt-left">目的IP</th>
				<th class="txt-right">地理位置</th>
				<th class="txt-center">状态</th>
				<th class="txt-left">应用名称</th>
				<th class="txt-right">内容大小</th>
				<th class="txt-left" width="70px">传输字节</th>
				<th class="txt-right">bps</th>
				<th class="txt-center">md5</th>
				<th class="txt-left" width="150px">url</th>
			</tr>
		</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

