<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function lib_submit()
{
	var devid = $("#devid").val();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var ftitle = $("#ftitle").val();
	var fencode = $("#fencode").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_dwbookuser', devid:devid, ipaddr:ipaddr, 
			account:account, fencode:fencode, starttime:starttime, 
			endtime:endtime, errname:errname, ftitle:(ftitle)},
		success:function(json) {
			cluster_load_hide();
			showdetail(json);
		}
	})
}

function showdetail(json)
{
	var list = document.getElementById("userdetail");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.innerHTML = (i + 1);
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.ip;
		cell = obj.insertCell(pos++);

		if (r.account == '$') r.account = '';
		cell.innerHTML = r.account;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = '<div class="color-bar-cont">'+r.num+'</div><div class="color-bar" style="width:'+(r.num/r.total*100)+'%">&nbsp;</div>';
	}
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="#"><?=$_GET['ftitle']?></a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box">
			<input type="hidden" value="<?=$_GET['ftitle']?>" id="ftitle" />
			<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
			<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
			<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
			<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
			<input type="hidden" value="<?=$_GET['account']?>" id="account" />
			<input type="hidden" value="<?=$_GET['fencode']?>" id="fencode" />
			<table class="als-table" id="userdetail">
				<tr>
					<th class="txt-left" width="50px">序号</th>
					<th class="txt-left" width="100px">用户ip</th>
					<th class="txt-left">用户账号</th>
					<th class="txt-right" width="80px">次数</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript">
lib_submit();
</script>
</body>
</html>

