<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="terminal_set.php">设置</a></li>
			<li><a href="terminal.php">终端统计</a></li>
			<li class="active"><a href="terminal_custom.php">自定义查询</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label for="ipaddr">用户IP</label>
				<input type="text" value="" id="ipaddr" style="width:150px" />
			</li>
			<li>
				<label for="account">用户账号</label>
				<input type="text" value="" id="account" style="width:150px" />
			</li>
			<li>
				<label for="platform">终端类型</label>
				<select id="platform">
					<option value="-1">所有终端</option>
					<option value="0">Windows</option>
					<option value="1">Android</option>
					<option value="2">Ios</option>
					<option value="3">Windows7</option>
					<option value="4">Windows10</option>
				</select>
			</li>
			<li>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<input type="button" value="查询" onclick="button_click()" class="btn-extend-color" />
			</li>
			<li>
				<a class="btn-extend-gray" onclick="terminal_list(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="terminal_list(2)">TXT</a>
				<a class="btn-extend-gray" onclick="terminal_list(3)">CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table id="terminal-table-list" style="width:100%;">
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-center" width="50px">设备</th>
				<th class="txt-left" width="160px">用户IP</th>
				<th class="txt-left">终端类型</th>
				<th class="txt-left">系统版本</th>
				<th class="txt-left">用户账号</th>
			</tr>
		</table>
		<div id="pagebar"></div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
var page = 1;
var limit = 50;

var _cachefile = "";
function button_click()
{
	page = 1;
	_cachefile = getcachefile();
	terminal_list(0);
}

function terminal_list(bexport)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var platform = $("#platform").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url: 'handle.php',
		data: {
			type:'terminal_custom_check', 
			devid:devid,
			ipaddr:ipaddr,
			account:account,
			platform:platform,
			starttime:starttime,
			endtime:endtime,
			page: page, 
			limit:limit, 
			bexport:bexport, 
			errname: errname,
			cachefile:_cachefile,
		},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			cluster_load_hide();

			if (bexport > 0) {
				cluster_downloadfile("");
				return false;
			}

			data_update(json);

			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							terminal_list(0);
						}
					}
				});
			});
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("terminal-table-list");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var start = (page - 1) * limit;
	for (i = 0; i < json.rows.length; i++) {
		var r = json.rows[i];
		var obj = list.insertRow(-1);

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (start+i+1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.devid;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ip;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		switch(r.pf) {
		case "0":
			cell.innerHTML = 'Windows';
			break;

		case "1":
			cell.innerHTML = 'Android';
			break;

		case "2":
			cell.innerHTML = 'IOS';
			break;
		}
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = (r.win_ver == "0") ? "" : r.win_ver;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.account == "$" ? "" : r.account;
	}
}
</script>
</body>
</html>

