<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function xyd_submit()
{
	var devid = $("#devid").val();
	var xyd_type = $("#xyd_type").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'xyd_user', devid:0, ipaddr:'', account:'', starttime:starttime, endtime:endtime, errname:errname, xyd_type:xyd_type},
		success:function(json) {
			cluster_load_hide();
			data_update(json);
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("xyduserinfo");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var pos = 0;
		obj = list.insertRow(-1);
		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;
		col = obj.insertCell(pos++);
		col.innerHTML = '<a href="javascript:xyd_checkuser(\''+r.ipaddr+'\', \'\')">'+r.ipaddr+'</a>';
		col = obj.insertCell(pos++);
		if (r.account == "$") r.account = "";
		else
			col.innerHTML = '<a href="javascript:xyd_checkuser(\'\', \''+r.account+'\')">'+r.account+'</a>';
		col = obj.insertCell(pos++);
		col.innerHTML = r.count;
	}
}

function xyd_checkuser(ipaddr, account)
{
	var w = 800;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	window.open("xyd_userdetail.php?ipaddr="+ipaddr+"&account="+account+"&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width="+w+"px, height="+height+"px, left="+left);
}

</script>
</head>
<body class="als-body">
<div>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['xyd_type']?>" id="xyd_type" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<div class="als-content">
		<div class="als-box">
			<div class="topapp-list-table">
				<table id="xyduserinfo" style="width:100%;">
					<tr>
						<th width="50px">序号</th>
						<th width="150px" align="left">IP地址</th>
						<th width="150px" align="left">账号</th>
						<th align="left">访问次数</th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
xyd_submit();
</script>
</body>
</html>

