<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;

function topdstip_check(bexport)
{
	var arr = [];
	
	var devid	= getdevice();
	var ipaddr	= TrimAll($("#ipaddr").val());
	var sort	= $("#sort").val();
	var appid	= $("#appid").val();
	var yys		= $("#yys").val();
	var start	= $("#start").val();
	var starth	= $("#starth").val();
	var end		= $("#end").val();
	var endh	= $("#endh").val();
	var addrtype	= $("#addrtype").val();
	var starttime	= start + ' '+starth+':0:0';
	var endtime	= end + ' '+endh+':59:59';
	
	if (bexport != 0) {
		if (!confirm("确定要导出选选时间段内的目标IP地址吗"))
			return false;
	}

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'topdstip_check', devid: devid, ipaddr: ipaddr, yys: yys,
			sort:sort, page: page, limit: limit, starttime:starttime, 
			endtime:endtime, errname:errname, bexport: bexport, appid: appid, addrtype:addrtype},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (bexport == 0)
				urlflow_data_update(json, starttime, endtime, devid);
			else 
				cluster_downloadfile("dstip"); 
		}
	});
}


function urlflow_data_update(data, starttime, endtime, devid)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
       	var trbg = '';

	if (len < limit)
		page--;

	var list = document.getElementById("dstip-list-table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < len; i++) {
		r = data.rows[i];

		var row = list.insertRow(-1);

		if (r.area == "$")
			r.area = "";

		var detail = '<a href="javascript:dstip_appdetail(\''+devid+'\', \''+starttime+'\', \''+endtime+'\', \''+r.ipaddr+'\')">'+r.ipaddr+'</a>';
		detail += ' &nbsp;&nbsp;<a style="color:#868f98" href="https://www.virustotal.com/gui/ip-address/'+r.ipaddr+'/details", target="_blank">安全情报</a>';

		var pos = 0;
		var cell = row.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = detail;
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.flowcnt;
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes + r.downbytes);
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.yys;
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.area;
		cell = row.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<a href="javascript:void(0)" onclick="dstip_showtrend(\''+r.ipaddr+'\')">流量趋势</a>';
	}
}

function dstip_showtrend(ipaddr)
{
	var devid	= getdevice();
	var start	= $("#start").val();
	var starth	= $("#starth").val();
	var end		= $("#end").val();
	var endh	= $("#endh").val();
	var addrtype	= $("#addrtype").val();
	var starttime	= start + ' '+starth+':0:0';
	var endtime	= end + ' '+endh+':59:59';

	var url = "dstip_trend.php?devid="+devid+"&ipaddr="+ipaddr+"&starttime="+starttime+"&endtime="+endtime+"&addrtype="+addrtype;

	ShowWindow(url, "", 800, 0);
}

function next()
{
	page++;
	
	topdstip_check(0);
}

function pre()
{
	page--;
	
	if (page <= 0)
		page = 1;
	
	topdstip_check(0);
}

function title_click(sort)
{
	$("#sort").val(sort);
	page = 1;
	
	topdstip_check(0);
}

function button_click()
{
	page = 1;
	
	$("#sort").val('flow');
	
	topdstip_check(0);
}

function dstip_export(bexport)
{
	topdstip_check(bexport);
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}

var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	$("#appid").val(appid);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

function dstip_appdetail(devid, starttime, endtime, ipaddr)
{
	var width = 600;
	var left = (window.screen.width - width) / 2;
	var height = window.screen.height - 150;
	var addrtype = $("#addrtype").val();
	
	window.open("../flow_direction/dstip_detail.php?addrtype="+addrtype+"&starttime="+
		starttime+"&endtime="+endtime+"&ipaddr="+ipaddr+"&devid="+devid, 
		"_blank", "width="+width+"px, height="+height+", left="+left);
}

function dstip_ipdetail(devid, starttime, endtime, ipaddr)
{
	var width = 800;
	var left = (window.screen.width - width) / 2;
	var height = window.screen.height - 150;
	
	window.open("../flow_direction/dstip_ipdetail.php?starttime="+
		starttime+"&endtime="+endtime+"&ipaddr="+ipaddr+"&devid="+devid, 
		"_blank", "width="+width+"px, height="+height+", left="+left);
}

</script>
</head>
<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="任意" style="width:70px" readonly />
				<input type="hidden" value="-1" id="appid" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label>地址类型</label>
				<select id="addrtype">
					<option value="ipv4">ipv4</option>
					<option value="ipv6">ipv6</option>
				</select>
			</li>
			<li>
				<label>IP地址</label>
				<input type="text" id="ipaddr" style="width:120px;" />
				<input type="hidden" id="sort" value="flow" style="width:100px;" />
			</li>
			<li>
				<label>运营商</label>
				<select id="yys">
					<option value="-1">所有</option>
					<?php
					$yys = getyys();
					foreach($yys as $y) {
						echo '<option value="'.$y["id"].'">'.$y["name"].'</option>';
					}
					?>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$s = strtotime("now") - 3600 * 3;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $s) ?>" />
				<input type="text" name="starth" id="starth" style="width:30px;" value="<?= date('H', $s) ?>" />时
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" name="endh" id="endh" style="width:30px;" value="<?= date('H') ?>" />时
			</li>
			<li>
				<a class="btn-extend-color" onclick="button_click()">查询</a>
			</li>
		</ul>
		<ul class="ul-float-right">
		       	<a class="btn-extend-gray" onclick="dstip_export(1)">EXCEL</a>
			<a class="btn-extend-gray " onclick="dstip_export(2)">TXT</a>
			<a class="btn-extend-gray " onclick="dstip_export(3)">CSV</a>
		       	<a class="btn-extend-gray" onclick="cluster_downloadfile('dstip')">下载列表</a>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;" cellspacing=0 cellpadding=0 id="dstip-list-table">
			<tr>
				<th class="td-left-first" width="50px">序号</th>
				<th class="txt-left" width="150px">IP地址</th>
				<th class="txt-right"><a href="javascript:title_click('flow')">连接数</a></th>
				<th class="txt-right"><a href="javascript:title_click('up')">上行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:title_click('down')">下行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:title_click('total')">总流量(Byte)</a></th>
				<th class="txt-left">运营商</th>
				<th class="txt-left" style="width:150px;">地理位置</th>
				<th class="txt-center" style="width:80px">操作</th>
			</tr>
	       	</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
    </div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>
