<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$name = $_GET['name'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title><?=VERSION?></title>
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
    <script type="text/javascript" src="../js/flow_direction.js"></script>
    <link type="text/css" href="../css/dtree.css" rel="stylesheet">
    <script type="text/javascript" src="../js/dtree.js" /></script>
    <script type="text/javascript">
        function hot_ip_check()
        {
            var devid = "";
            $('input[name="device"]').each(function(){
                if ($(this).attr("checked"))
                    devid += $(this).val()+',';
            });
            devid = devid.substr(0, devid.length -1);
            if (devid == "") devid = 0;

            var topn = $("#topn").val();
            var sorttype = $("#sorttype").val();

            var appid = $("#hidappid").val();

            var source_ipseg = $("#source_ipseg").val();
            var dest_ipseg = $("#dest_ipseg").val();

            var startyear = $("#startyear").val();
            var startmonth = $("#startmonth").val();
            var startdate = $("#startdate").val();
            var starthour = $("#starthour").val();
            var startminute = $("#startminute").val();
            var startsec = $("#startsec").val();
            var endyear = $("#endyear").val();
            var endmonth = $("#endmonth").val();
            var enddate = $("#enddate").val();
            var endhour = $("#endhour").val();
            var endminute = $("#endminute").val();
            var endsec = $("#endsec").val();

            var starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
            var endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

            load_show();

            var errname = (new Date()).getTime()+'.st';
            get_status(errname);

            $.ajax({
                url:'flowdir.php',
                data:{type:'hot_ip', devid:devid, topn:topn, sorttype:sorttype,
                    source_ipseg:source_ipseg, dest_ipseg:dest_ipseg, tmstart:starttime, tmend:endtime,
                    errname:errname, appid:appid},
                dataType:'json',
                type:'post',
                success:function(json){
                    hotip_data_update(json);
                    load_hide();
                }
            });
        }
        function hotip_data_update(data)
        {
            var r, s;
            var len = data.rows.length;
            var trobj = $(".topapp-list-table table tbody tr");
            var trlen = trobj.length;
            var tdobj;
            var href;
            var address='';
            var trbg = '';

            for (i = 0; i < len; i++){
                r = data.rows[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                if (r.account == '') address = '';

                if (trobj.eq(i+1).length > 0){
                    tdobj = trobj.eq(i+1).find("td");

                    tdobj.eq(0).text(i+1);
                    tdobj.eq(1).html(r.cname);
                    tdobj.eq(2).html(numberformats(r.upbytes)+'/'+r.upbytes);
                    tdobj.eq(3).html(numberformats(r.downbytes)+'/'+r.downbytes);
                    tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes)+'/'+(r.upbytes+ r.downbytes));
                }else{
                    s = '<tr class="'+trbg+'">' +
                        '<td class="td-left-first">'+ (i+1)+'</td>'+
                        '<td class="td-normal">'+ r.cname+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.upbytes)+'/'+r.upbytes+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.downbytes)+'/'+r.downbytes+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.upbytes+ r.downbytes)+'/'+(r.upbytes+ r.downbytes)+'</td>'+
                        '</tr>';
                    $(s).appendTo(".topapp-list-table table tbody");
                }
            }
            for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
        }
        function showapptree()
        {
            if ($('#showapptree_win').length > 0){
                $('#showapptree_win').show();
                $('#showapptree_win').css('z-index', config.zindex++);
                return false;
            }

            $("<div id='showapptree_win'></div>").appendTo("body");

            $('#showapptree_win').load('../user_behavior/treepanel.php', function(){
                setWinpos("showapptree_win", 400, 600, "showapptree_con");

                $('#showapptree_win').css('z-index', config.zindex++);

                createtree();

                $("#checkapp").focus();
            });
        }
        var trees;
        function ajaxcheckapp()
        {
            var appid = $("#checkapp").val();

            if (appid == ""){
                $("#checklist").html("");
                return false;
            }

            $.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
                var res, r, hl = "";
                eval("res="+data);

                for (var i = 0; i < res.result.length; i++){
                    r = res.result[i];
                    hl += "&nbsp;&nbsp;<a href='javascript:appselect("+ r.id+", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
                }

                $("#checklist").html(hl);
            });
        }
        function appselect(id, name, cname)
        {
            $("#hidappname").val(name);
            $("#appcname").val(cname);
            $("#hidappid").val(id);

            $('#showapptree_win').hide();
        }
    </script>
</head>

<body>
<div id="content" class="maintain-content">
    <table style="width:100%;">
        <tr>
            <td class="header-back-blue">自定义热点 -> <?=$name?></td>
        </tr>
    </table>
    <table style="width:100%;margin:10px 0 0 0;">
        <tr>
            <td>
                <div id="checkpanel_con" style="display:block;background:#F8F8F8;" class="check-panel-radius">
                    <table height="120px">
                        <tr><td width="100px" align="right">选择设备</td>
                            <td width="20px"></td>
                            <td colspan="4" id="devicecon" align="left">
                                <?php
				$conn = my_mysql_connect();

                                $strxml = array();
                                $sql = 'select dev_id, dev_name from palog.config';
                                $result = mysql_query($sql);
                                $i = 0;
                                if ($result != false)
                                    while ($row = mysql_fetch_row($result)){
                                        $devid = $row[0];
                                        $devname = $row[1];

                                        echo '<input type="checkbox" name="device" value="'.$devid.'" /> '.$devname;
                                    }
                                mysql_free_result($result);
                                mysql_close();
                                ?>
                            </td></tr>
                        <tr>
                            <td align="right">按</td><td width="20px"></td>
                            <td colspan="4" align="left">
                                <select id="sorttype" style="width:80px">
                                    <option value="up">上行流量</option>
                                    <option value="down">下行流量</option>
                                    <option value="total">总流量</option>
                                </select>排序
                                <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;显示</label>
                                <input type="text" value="30" id="topn" style="width:40px" /> 条
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="text" id="appcname" value="任意" style="width:100px" readonly />
                                <input type="hidden" value="any" id="hidappname" />
                                <input type="hidden" value="1044" id="hidappid" />
                                <input type="button" value="选择协议" onclick="showapptree()" />
                            </td>
                        </tr>
                        <tr>
                            <td align="right">从</td><td width="20px"></td>
                            <td colspan="4" align="left">
                                <select id="source_ipseg" style="width:150px">
                                    <?php
                                    if (file_exists(CUSTOM_IP_ADDRESS_ORI)){
                                        $fp = fopen(CUSTOM_IP_ADDRESS_ORI, "r");
                                        while (!feof($fp)){
                                            $buff = fgets($fp);
                                            if ($buff === FALSE)
                                                break;

                                            $ds = explode(' ', $buff);

                                            $ipseg = $ds[0];
                                            $ip_cname = iconv("gb2312", "utf-8", trim($ds[2], "\n"));

                                            echo '<option value="'.$ipseg.'" >'.$ip_cname.'</option>';
                                        }
                                        fclose($fp);
                                    }
                                    ?>
                                </select> &nbsp;&nbsp;&nbsp;&nbsp;至&nbsp;&nbsp;&nbsp;&nbsp;
                                <select id="dest_ipseg" style="width:150px">
                                    <?php
                                    if (file_exists(CUSTOM_IP_ADDRESS_ORI)){
                                        $fp = fopen(CUSTOM_IP_ADDRESS_ORI, "r");
                                        while (!feof($fp)){
                                            $buff = fgets($fp);
                                            if ($buff === FALSE)
                                                break;

                                            $ds = explode(' ', $buff);

                                            $ipseg = $ds[0];
                                            $ip_cname = iconv("gb2312", "utf-8", trim($ds[2], "\n"));

                                            echo '<option value="'.$ipseg.'" >'.$ip_cname.'</option>';
                                        }
                                        fclose($fp);
                                    }
                                    ?>
                                </select>
                            </td>
                        </tr>
                        <tr><td align="right">起始时间</td>
                            <td width="20px"></td>
                            <td><select id="startyear" style="width:70px"></select>年&nbsp;
                                <select id="startmonth" style="width:50px"></select>月&nbsp;</td>
                            <td><select id="startdate" style="width:50px"></select>日&nbsp;
                                <select id="starthour" style="width:50px"></select>时&nbsp;</td>
                            <td><select id="startminute" style="width:50px"></select>分&nbsp;
                                <select id="startsec" style="width:50px"></select>秒&nbsp;</td>
                            <td rowspan="2" width="70px">
                                <input type="button" value="查询" style="width:50px;height:50px;" onclick="hot_ip_check()" />
                            </td>
                        </tr>
                        <tr><td align="right">结束时间</td>
                            <td width="20px"></td>
                            <td><select id="endyear" style="width:70px"></select>年&nbsp;
                                <select id="endmonth" style="width:50px"></select>月&nbsp;</td>
                            <td><select id="enddate" style="width:50px"></select>日&nbsp;
                                <select id="endhour" style="width:50px"></select>时&nbsp;</td>
                            <td><select id="endminute" style="width:50px"></select>分&nbsp;
                                <select id="endsec" style="width:50px"></select>秒&nbsp;
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
    <div class="topapp-list-table" style="margin-top:0px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="td-left-first" width="50px">序号</th>
                <th class="td-normal" width="160px">协议名称</th>
                <th class="td-normal">上行流量(Byte)</th>
                <th class="td-normal">下行流量(Byte)</th>
                <th class="td-normal">总流量(Byte)</th>
            </tr>
        </table>
    </div>
</div>
</body>
</html>

