<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

if (!isset($_GET["port"]))
	$port = 80;
else
	$port = $_GET["port"];
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
function portapp(sort)
{
    var starttime = $("#start").val();
	var endtime = $("#end").val();	
	var port = $("#port").val();
	var devid = $("#devid").val();
	var addrtype = $("#addrtype").val();

    cluster_load_show();
    var errname = (new Date()).getTime()+'.st';
    cluster_get_status(errname);

    $.ajax({
        url:'../flow_direction/flowdir.php',
        data:{type:'portapp', 
		devid: devid,
		port: port, 
		sort: sort,
		starttime:starttime, 
		endtime:endtime,
		addrtype:addrtype,
		errname:errname},
        type:'post',
        dataType:'json',
        success:function(json){
		portapp_update(json);
		cluster_load_hide();
        }
    });
}

function portapp_update(data)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++) {
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).html(numberformats(r.downbytes));
            tdobj.eq(4).html(numberformats(r.upbytes+ r.downbytes));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-center">'+ (i+1)+'</td>'+
                '<td class="td-normal" style="text-align:left">'+ r.cname+'</td>'+
                '<td class="td-normal" style="text-align:right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal" style="text-align:right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last" style="text-align:right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

</script>
</head>
<body>
<input type="hidden" value="<?=$_GET['starttime']?>" id="start" />
<input type="hidden" value="<?=$_GET['endtime']?>" id="end" />
<input type="hidden" value="<?=$_GET['port']?>" id="port" />
<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
<input type="hidden" value="<?=$_GET['addrtype']?>" id="addrtype" />

<div class="check-form">
	<ul>
		<li><?=$_GET['port']?>端口协议访问列表，统计时间<?=$_GET['starttime']?>-<?=$_GET['endtime']?></li>
	</ul>
	<div class="clearfloat"></div>
</div>
<div class="check-panel-radius" style="width:100%">
    <div class="topapp-list-table" style="margin:0">
        <table style="width:100%;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" width="50px">序号</th>
                <th class="txt-left" width="150px">协议名称</th>
                <th class="txt-right"><a href="javascript:portapp('up')">上行流量(Byte)</a></th>
                <th class="txt-right"><a href="javascript:portapp('down')">下行流量(Byte)</a></th>
                <th class="txt-right"><a href="javascript:portapp('total')">总流量(Byte)</a></th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
portapp("total");
</script>
</body>
</html>
