<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function yys_dstip(bexport)
{
	var devid = 0;
	var yys = $("#yys").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appid = $("#appid").val();
	devid = $("#devid").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'topdstip_check', devid: devid, ipaddr: "", yys: yys, sort:'total', page: 1, limit: 100, starttime:starttime, endtime:endtime, errname:errname, bexport: 0, appid: '-1', bexport:bexport},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (bexport == 0)
				yys_dstip_update(json, devid, starttime, endtime);
			else
				cluster_downloadfile("");
		}
	});
}

function yys_dstip_update(data, devid, starttime, endtime)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		detail = '<a href="javascript:dstip_appdetail(\''+devid+'\', \''+starttime+'\', \''+endtime+'\', \''+r.ipaddr+'\')">'+r.ipaddr+'</a>';

        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(detail);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes));
			tdobj.eq(5).html(r.yys);
            tdobj.eq(6).html(r.area);
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-center">'+ (i+1)+'</td>'+
                '<td class="txt-left">'+ detail+'</td>'+
                '<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'<td class="txt-center">'+ r.yys+'</td>'+
                '<td class="txt-center">'+ r.area+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
	
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function dstip_appdetail(devid, starttime, endtime, ipaddr)
{
	var width = 900;
	var left = (window.screen.width - width) / 2;
	var height = window.screen.height - 150;
	
	window.open("../flow_direction/dstip_detail.php?starttime="+
		starttime+"&endtime="+endtime+"&ipaddr="+ipaddr+"&devid="+devid, 
		"_blank", "width="+width+"px, height="+height+", left="+left);
}

function dstip_ipdetail(devid, starttime, endtime, ipaddr)
{
	var width = 900;
	var left = (window.screen.width - width) / 2;
	var height = window.screen.height - 150;
	
	window.open("../flow_direction/dstip_ipdetail.php?starttime="+
		starttime+"&endtime="+endtime+"&ipaddr="+ipaddr+"&devid="+devid, 
		"_blank", "width="+width+"px, height="+height+", left="+left);
}

</script>
</head>
<body>
<div>
<?php
$yys = $_GET["yys"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
$appid = $_GET["appid"];
$devid = $_GET["devid"];

$url1 = "yys_detail.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
$url2 = "yys_dstip.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
$url3 = "yys_trend.php?yys=$yys&starttime=$starttime&endtime=$endtime&appid=$appid&devid=$devid";
?>
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="<?=$url1?>">流量概况</a></li>
			<li><a href="<?=$url3?>">流量趋势</a></li>
			<li class="active"><a href="<?=$url2?>">目标IP</a></li>
		</ul>
	</div>
	<table style="width:100%;">
		<tr>
		<td align="right">
			<a class="ui-button ui-widget" onclick="yys_dstip(1)">EXCEL</a>
			<a class="ui-button ui-widget" onclick="yys_dstip(2)">TXT</a>
			<a class="ui-button ui-widget" onclick="yys_dstip(3)">CSV</a>
			<a class="ui-button ui-widget" onclick="cluster_downloadfile('')">下载列表</a>
		</td>
	       	<input type="hidden" value="<?=$_GET['yys']?>" id="yys" />
		<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
		<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
		<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
		<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
		</tr>
	</table>
	<div class="topapp-list-table" style="float:left;margin-top:10px;">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-left" width="120px">目标IP</th>
				<th class="txt-right">上行流量(Byte)</th>
				<th class="txt-right">下行流量(Byte)</th>
				<th class="txt-right">总流量(Byte)</th> 
				<th class="txt-center">运营商</th>
				<th class="txt-center">地理位置</th>
			</tr>
		</table>
       	</div>
</div>
<script type="text/javascript">
yys_dstip(0);
</script>
</body>
</html>
