// JavaScript Document
var config = {zindex:1000}
$(document).ready(function(){
	load_top_html("event");
	event_init();
});

function getdevice(device)
{
	var h = "<option value='0'>任意设备</option>";
	$(h).appendTo(device);
	
	$.getJSON("../getdevice.php", function(data){
		for (var i = 0; i < data.result.length; i++)
		{
			h = "<option value='"+data.result[i].devid+"'>"+data.result[i].devname+"</option>";
			$(h).appendTo(device);
		}
	});
}

function filltime(startyear, startmonth, startdate, starthour, startminute, startsec,
	endyear, endmonth, enddate, endhour, endminute, endsec)
{
	var h = "";
	var dt = new Date();
	var dt2 = dt - 3600 * 1000;
	dt2 = new Date(dt2);
	
	var days = 30;
	var curyear = dt.getFullYear();
	var curmonth = dt.getMonth()+1;
	var curdate = dt.getDate();
	var curhour = dt.getHours();
	var curminute = dt.getMinutes();
	var curyear2 = dt2.getFullYear();
	var curmonth2 = dt2.getMonth()+1;
	var curdate2 = dt2.getDate();
	var curhour2 = dt2.getHours();
	var curminute2 = dt2.getMinutes();
	
	switch(curmonth)
	{
		case 1: days = 31;
		break;
		case 2: days = 28;
		break;
		case 3: days = 31;
		break;
		case 4: days = 30;
		break;
		case 5: days = 31;
		break;
		case 6: days = 30;
		break;
		case 7: days = 31;
		break;
		case 8: days = 31;
		break;
		case 9: days = 30;
		break;
		case 10: days = 31;
		break;
		case 11: days = 30;
		break;
		case 12: days = 31;
		break;
	}
	
	for (var i = 2005; i <= 2015; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startyear);
		$(h).appendTo(endyear);
	}
	
	for (var i = 1; i <= 12; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startmonth);
		$(h).appendTo(endmonth);
	}
	
	for (var i = 1; i <= days; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startdate);
		$(h).appendTo(enddate);
	}
	
	for (var i = 0; i <= 23; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(starthour);
		$(h).appendTo(endhour);
	}
	
	for (var i = 0; i <= 59; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startminute);
		$(h).appendTo(endminute);
	}
	
	for (var i = 0; i <= 59; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startsec);
		$(h).appendTo(endsec);
	}
	
	$(startyear).val(curyear2);
	$(startmonth).val(curmonth2);
	$(startdate).val(curdate2);
	$(starthour).val(curhour2);
	$(startminute).val(curminute2);
	$(endyear).val(curyear);
	$(endmonth).val(curmonth);
	$(enddate).val(curdate);
	$(endhour).val(curhour);
	$(endminute).val(curminute);

    /********************************************/
    $(startmonth).change(function(){
        var monstart = $(this).val();
        $(startdate).html('');

        switch(parseInt(monstart)){
    		case 1: days = 31;
    		break;
    		case 2: days = 28;
    		break;
    		case 3: days = 31;
			break;
			case 4: days = 30;
			break;
			case 5: days = 31;
			break;
			case 6: days = 30;
			break;
			case 7: days = 31;
    		break;
    		case 8: days = 31;
    		break;
    		case 9: days = 30;
    		break;
    		case 10: days = 31;
    		break;
    		case 11: days = 30;
    		break;
    		case 12: days = 31;
    		break;
    	}
        for (var i = 1; i <= days; i++){
    		h = "<option value='"+i+"'>"+i+"</option>";
    		$(h).appendTo(startdate);
    		//$(h).appendTo("#enddate");
    	}
    });

    $(endmonth).change(function(){
        var monend = $(this).val();
        $(enddate).html('');

        switch(parseInt(monend)){
    		case 1: days = 31;
    		break;
    		case 2: days = 28;
    		break;
    		case 3: days = 31;
			break;
			case 4: days = 30;
			break;
			case 5: days = 31;
			break;
			case 6: days = 30;
			break;
			case 7: days = 31;
    		break;
    		case 8: days = 31;
    		break;
    		case 9: days = 30;
    		break;
    		case 10: days = 31;
    		break;
    		case 11: days = 30;
    		break;
    		case 12: days = 31;
    		break;
    	}
        for (var i = 1; i <= days; i++){
    		h = "<option value='"+i+"'>"+i+"</option>";
    		$(h).appendTo(enddate);
    		//$(h).appendTo("#enddate");
    	}
    });
}


var render = "check_content";
var tableid = render+"_table";
function domain_checktable()	
{
	$("#"+render).html("<table id='"+tableid+"'></table>");

	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:'../Event/domainlist.php?type=list',
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:400,
		width:$("#"+render).width(),
		autoHeight:true,
       	colNames:['表名(日期)', '记录数', '文件大小', '创建时间', '更新时间', '操作'],
       	colModel:[
       		{name:'tablename', index:'tablename', width:100, align:"center", sortable:false},
			{name:'rows', index:'rows', width:100, align:"center", sortable:false},
			{name:'size', index:'size', width:100, align:"center", sortable:false},
			{name:'create', index:'create', width:100, align:"center", sortable:false},
			{name:'update', index:'update', width:100, align:"center", sortable:false},
       		{align:"center", formatter:function(v, p, r){
			return '<img src="../img/excel.png" title="Excel" onclick="domain_export(\'`'+r.tablename+'`\', \'excel\')" />&nbsp;&nbsp;'+
			'<img src="../img/page.png" title="文本文档" onclick="domain_export(\'`'+r.tablename+'`\', \'txt\')" />&nbsp;&nbsp;'+
			'<img src="../img/doc_excel_csv.png" title="CSV" onclick="domain_export(\'`'+r.tablename+'`\', \'csv\')" />';}}
       	],
		subGrid:false,
       	//multiselect: true,
		//loadui:"disable",
		rowNum:'all',
		multiboxonly:false,
		caption:'每日域名统计列表',
		loadComplete:function(data){load_hide();}
    });
}

function domain_export(tablename, tp)
{
	var ids = '';
	var arr = [];
	
	$("#downdiv").html('');
	
	if (tablename == ''){
		ids = $("#"+tableid).jqGrid('getGridParam', 'selarrrow');
		if (ids){
			for (i = 0; i < ids.length; i++){
				var ret = $("#"+tableid).jqGrid('getRowData', ids[i]); 
				arr.push('`'+ret.tablename+'`');
				
				if (i >= 15) break;
			}
		}
		tablename = arr.join(',');
	}
	
	if (tablename == "") return false;
	
	load_show();
	
	$.ajax({
		url:'../Event/domainlist.php',
		type:'get',
		data:{type:'export', tp:tp, tablename:tablename},
		dataType:'json',
		success:function(data){
			if (data.yn == "no") popwindow_tips(data.str);
			else $('<a href="../download/'+data.str+'" style="color:#f00;">右键另存为：'+data.str+'</a>').appendTo("#downdiv");
			
			load_hide();
		}
	});
}

function getsessioncheckurl(exportid)
{	
	var devid = $("#sessiondevice").val();
	var ipaddr = $("#ipaddr").val();
	var appid = $("#hidappname").val();

	var startyear = $("#sessionstartyear").val();
	var startmonth = $("#sessionstartmonth").val();
	var startdate = $("#sessionstartdate").val();
	var starthour = $("#sessionstarthour").val();
	var startminute = $("#sessionstartminute").val();
	var startsec = $("#sessionstartsec").val();
	var endyear = $("#sessionendyear").val();
	var endmonth = $("#sessionendmonth").val();
	var enddate = $("#sessionenddate").val();
	var endhour = $("#sessionendhour").val();
	var endminute = $("#sessionendminute").val();
	var endsec = $("#sessionendsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	return url = 'sessionlist.php?devid='+devid + '&ip=' + ipaddr + '&appid=' + appid + 
		'&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+ 
		'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec + '&export='+exportid;
}
function session_export(exportid)
{
	var url = getsessioncheckurl(exportid);
	
	load_show();
	
	$.ajax({
		url:url,
		type:'get',
		success:function(data){
			$("#downdiv").html('');
			$('<a href="../download/'+data+'" style="color:#f00;">右键另存为：'+data+'</a>').appendTo("#downdiv");
			
			load_hide();
		}
	});
}

var pager = render+"_pager";
function sessionlist()
{
	var url = getsessioncheckurl(0);
	
	$("#"+render).html("<br/><table id='"+tableid+"'></table><div id='"+pager+"'></div>");
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		altRow:true,
		url:url,
		jsonReader:{repeatitems:false},
    	height:500,
		width:$("#"+render).width(),
       	colNames:["设备ID","用户IP地址","源端口","目标IP","目标端口","协议名称","协议类别","访问时间","连接时间(s)","上行","下行"],
       	colModel:[
       		{name:'devid', index:'devid', width:50, align:"center", sortable:false},
       		{name:'source',index:'source', width:90, align:"right"},
       		{name:'source_port',index:'source_port', width:50, align:"right"},
       		{name:'dest',index:'dest', width:80, align:"right"},
       		{name:'dest_port',index:'dest_port', width:80, align:"right"},
       		{name:'app_name',index:'app_name', width:80,align:"right"},
			{name:'app_type',index:'app_type', width:80,align:"right"},
			{name:'access_time',index:'access_time', width:120,align:"right"},
			{name:'conn_time',index:'conn_time', width:80,align:"right"},
			{name:'up',index:'up', width:80,align:"right"},
			{name:'down',index:'down', width:80,align:"right"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		//loadui:"disable",
		caption:'连接撤销',
		loadComplete:function(data){load_hide();}
    });
	$("#"+tableid).jqGrid('setGroupHeaders', {
		useColSpanStyle:true,
		groupHeaders:[{startColumnName:'up', numberOfColumns:2, titleText:'流量(byte)'}]
	});
}
function sessioncheckpanel()
{	
	$('#check_event').load('sessioncheckpanel-html.php', function(){
		getdevice("#sessiondevice");
		filltime("#sessionstartyear", "#sessionstartmonth", "#sessionstartdate", 
			"#sessionstarthour", "#sessionstartminute", "#sessionstartsec", "#sessionendyear", 
			"#sessionendmonth","#sessionenddate", "#sessionendhour", "#sessionendminute", "#sessionendsec");
		
		$("#sessioncheck").click(sessionlist);
	});
}

function appselect(name, cname)
{
	$("#hidappname").val(name);
	$("#apx").val(cname);
	
	$('#showapptree_win').hide();
}

function showapptree(tp)
{
	if ($('#showapptree_win').length > 0)
	{
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}
	
	$("<div id='showapptree_win'></div>").appendTo("body");
	
	$('#showapptree_win').load('treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");
		
		$('#showapptree_win').css('z-index', config.zindex++);
		$('#showapptree_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#showapptree_title').mousedown(function(){$('#showapptree_win').css('z-index', config.zindex++);});
		
		setTimeout(function(){createtree(tp);}, 1000);
		
		$("#checkapp").focus();
	});
}

var trees;
function createtree(tp)
{
	var data;
	var devid;
	
	if (tp != 0)
		devid = $("#nodedevice").val();
	else devid = $("#sessiondevice").val();
	
	trees = new dTree('trees');	
	trees.add(0, -1, '选择协议');

	$.ajax({
		url:'tree.php',
		type:'get',
		data:{devid:devid},
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];
				
				if (tp == 1){
					if (r.name != 'root')
						trees.add(r.id, r.parent, r.cname, "javascript:appselect('"+r.name+"', '"+r.cname+"')");
					else
						trees.add(r.id, r.parent, r.cname);
				}else{
					if (r.name != 'root' && r.root != 0)
						trees.add(r.id, r.parent, r.cname, "javascript:appselect('"+r.name+"', '"+r.cname+"')");
					else
						trees.add(r.id, r.parent, r.cname);
				}
			}
			
			var tree = trees.toString();
			$("#treelist").html(tree);
			
			data.result.length = 0;
		}
	})
}

function ajaxcheckapp()
{
	var devid = $("#device").val();
	var appid = $("#checkapp").val();
	
	if (appid == "")
	{
		$("#checklist").html("");
		return false;
	}
	
	$.post("checkapp.php", {devid:devid, appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);
		
		for (var i = 0; i < res.result.length; i++)
		{						
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}
		
		$("#checklist").html(hl);
	});
}

function usrauth()
{
	$("<div id='usrauth_win'></div>").appendTo("body");
	
	$('#usrauth_win').load('usrauth-html.php', function(){
		setWinpos("usrauth_win", 900, 500, "usrauth_con");
		
		$('#usrauth_win').css('z-index', config.zindex++);
		$('#usrauth_win').draggable({cursor:'move', handle:'table.popup-bar-fill-900px'});
		$('#usrauth_title').mousedown(function(){$('#usrauth_win').css('z-index', config.zindex++);});
		
		usraulist();
	});
}

function usraulist()
{
	$("#"+render).html("<br/><table id='"+tableid+"'></table><div id='"+pager+"'></div>");

	var url = getusrauthcheckurl();
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:url,
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:500,
		width:$("#"+render).width(),
       	colNames:['设备ID', "账号", "时间", "用户IP", "mac地址"],
       	colModel:[
       		{name:'devid', index:'devid', width:100, align:"center", sortable:false},
       		{name:'count',index:'count', width:90, align:"right"},
       		{name:'time',index:'time', width:100, align:"right"},
       		{name:'ip',index:'ip', width:80, align:"right"},
       		{name:'mac',index:'mac', width:80,align:"right"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		//loadui:"disable",
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		caption:'用户认证',
		loadComplete:function(data){load_hide();}
    });
}

function usrauthcheckpanel()
{
	$('#check_event').load('usrauthcheckpanel.php', function(){
		getdevice("#usrauthdevice");
		filltime("#usrauthstartyear", "#usrauthstartmonth", "#usrauthstartdate", 
			"#usrauthstarthour", "#usrauthstartminute", "#usrauthstartsec", "#usrauthendyear", 
			"#usrauthendmonth","#usrauthenddate", "#usrauthendhour", "#usrauthendminute", "#usrauthendsec");
		
		$("#usrauthcheck").click(usraulist);
	});
}

function getusrauthcheckurl()
{
	var devid = $("#usrauthdevice").val();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var mac = $("#mac").val();

	var startyear = $("#usrauthstartyear").val();
	var startmonth = $("#usrauthstartmonth").val();
	var startdate = $("#usrauthstartdate").val();
	var starthour = $("#usrauthstarthour").val();
	var startminute = $("#usrauthstartminute").val();
	var startsec = $("#usrauthstartsec").val();
	var endyear = $("#usrauthendyear").val();
	var endmonth = $("#usrauthendmonth").val();
	var enddate = $("#usrauthenddate").val();
	var endhour = $("#usrauthendhour").val();
	var endminute = $("#usrauthendminute").val();
	var endsec = $("#usrauthendsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	return string = 'authlist.php?devid='+devid + '&ip=' + ipaddr + '&account=' + account + '&mac='+mac+
		'&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+ 
		'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec;
}

function nodelist()
{
	$("#"+render).html("<br/><table id='"+tableid+"'></table><div id='"+pager+"'></div>");

	var url = getnodecheckurl(0);
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:url,
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:500,
		width:$("#"+render).width(),
       	colNames:["设备ID", "目标地址", "目标端口", "协议ID", "协议名称"],
       	colModel:[
       		{name:'devid', index:'devid', width:50, align:"center", sortable:false},
       		{name:'ip',index:'ip', width:90, align:"right"},
       		{name:'port',index:'port', width:100, align:"right"},
       		{name:'apid',index:'apid', width:80, align:"right"},
       		{name:'cname',index:'cname', width:80, align:"center"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		//loadui:"disable",
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		caption:'节点跟踪',
		loadComplete:function(data){load_hide();}
    });
}

function node_export(exportid)
{
	var url = getnodecheckurl(exportid);
	
	load_show();
	
	$.ajax({
		url:url,
		type:'get',
		success:function(data){
			$("#downdiv").html('');
			$('<a href="../download/'+data+'" style="color:#f00;">右键另存为：'+data+'</a>').appendTo("#downdiv");
			
			load_hide();
		}
	});
}

function nodecheckpanel()
{
	$('#check_event').load('nodecheckpanel-html.php', function(){
		getdevice("#nodedevice");
		filltime("#nodestartyear", "#nodestartmonth", "#nodestartdate", "#nodestarthour", 
			"#nodestartminute", "#nodestartsec", "#nodeendyear", "#nodeendmonth","#nodeenddate", 
			"#nodeendhour", "#nodeendminute", "#nodeendsec");
		$("#nodecheck").click(nodelist);
	});
}

function nodesummarycheckpanel(bexport)
{	
	$("<div id='nodecheckpanel_win'></div>").appendTo("body");
	
	$('#nodecheckpanel_win').load('nodecheckpanel-html.php', {bexport:bexport}, function(){
		setWinpos("nodecheckpanel_win", 400, 400, "nodecheckpanel_con");
		
		$('#nodecheckpanel_win').css('z-index', config.zindex++);
		$('#nodecheckpanel_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#nodecheckpanel_title').mousedown(function(){$('#nodecheckpanel_win').css('z-index', config.zindex++);});
		
		getdevice("#nodedevice");
		filltime("#nodestartyear", "#nodestartmonth", "#nodestartdate", "#nodestarthour", "#nodestartminute", "#nodestartsec", "#nodeendyear", "#nodeendmonth","#nodeenddate", "#nodeendhour", "#nodeendminute", "#nodeendsec");
	});
}

function getnodecheckurl(exportid)
{
	var devid = $("#nodedevice").val();
	var appid = $("#hidappname").val();

	var startyear = $("#nodestartyear").val();
	var startmonth = $("#nodestartmonth").val();
	var startdate = $("#nodestartdate").val();
	var starthour = $("#nodestarthour").val();
	var startminute = $("#nodestartminute").val();
	var startsec = $("#nodestartsec").val();
	var endyear = $("#nodeendyear").val();
	var endmonth = $("#nodeendmonth").val();
	var enddate = $("#nodeenddate").val();
	var endhour = $("#nodeendhour").val();
	var endminute = $("#nodeendminute").val();
	var endsec = $("#nodeendsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	return url = 'nodelist.php?devid='+devid + '&appid=' + appid + '&type=0'+ '&forb='+
		'&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+ 
		'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec + '&export='+exportid;
}
/*
function appnodesummary()
{
	$("<div id='appnodesummary_win'></div>").appendTo("body");
	
	$('#appnodesummary_win').load('appnodesummary-html.php', function(){
		setWinpos("appnodesummary_win", 400, 400, "appnodesummary_con");
		
		$('#appnodesummary_win').css('z-index', config.zindex++);
		$('#appnodesummary_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#appnodesummary_title').mousedown(function(){$('#appnodesummary_win').css('z-index', config.zindex++);});
		
		appnodesummarygrid();
		
		nodesummarycheckhdl();
	});
}

function appnodesummarygrid()
{
	Ext.define('MyData',{
        extend: 'Ext.data.Model',
        fields: [{name:'num', mapping:'num', type:'int'}, 'cname', 'apid']
    });
	
	var stores = Ext.create('Ext.data.Store', {
		model: 'MyData',
		pageSize: 30,
        proxy: {
            type: 'ajax',
			//method:'post',
			extraParams:{type:'list'},
			timeout:600000,actionMethods: {
            	read: 'POST'
        	},
            reader: {
                type: 'json',
                root: 'result'
                //totalProperty  : 'total'
            }
        }
    });
	
	var render = "appnodesummary_con";
	var nodegrid = Ext.create('Ext.grid.Panel', {
		store: stores,
		stripeRows:true,
		border:true,
		frame:false,
		id:'nodesummarygrid-list',
		width:$("#"+render).outerWidth()-4,
		height:$("#"+render).outerHeight()-2,
		columns:[{header:'协议名称', align:'center',sortable:true, width:150, dataIndex:'cname'},
			{header:'总数', width:100,sortable:true, align:'center',dataIndex:'num'}],
		renderTo:render
	});
}

function nodesummarycheckhdl()
{
	var devid = $("#nodedevice").val();
	var appid = "any";

	var startyear = $("#nodestartyear").val();
	var startmonth = $("#nodestartmonth").val();
	var startdate = $("#nodestartdate").val();
	var starthour = $("#starthour").val();
	var startminute = $("#nodestartminute").val();
	var startsec = $("#nodestartsec").val();
	var endyear = $("#nodeendyear").val();
	var endmonth = $("#nodeendmonth").val();
	var enddate = $("#nodeenddate").val();
	var endhour = $("#nodeendhour").val();
	var endminute = $("#nodeendminute").val();
	var endsec = $("#nodeendsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	var string = 'nodelist.php?devid='+devid + '&appid=' + appid + '&type=1'+ '&forb=' +
		'&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+ 
		'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec + '&export=0';
	
	Ext.getCmp("nodesummarygrid-list").store.proxy.url = string;
	Ext.getCmp("nodesummarygrid-list").getStore().load({callback:function(){Ext.getCmp("nodechecktips").update("");}});
	Ext.getCmp("nodechecktips").update("<img src='../img/upload.gif' />");
}
*/


function shareiplist()
{
	$("#"+render).html("<br/><table id='"+tableid+"'></table><div id='"+pager+"'></div>");

	var url = getsharecheckurl();
	if (! url) return false;
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:url,
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:500,
		width:$("#"+render).width(),
       	colNames:["设备ID", "网关IP", "共享用户登陆次数", "触发检测时间段"],
       	colModel:[
       		{name:'devid', index:'devid', width:50, align:"center", sortable:false},
       		{name:'ipaddr',index:'ipaddr', width:90, align:"right"},
       		{name:'number',index:'number', width:100, align:"right"},
       		{name:'times',index:'times', align:"right"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		//loadui:"disable",
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		caption:'共享用户',
		loadComplete:function(data){load_hide();}
    });
}

function shareipcheckpanel()
{
	$('#check_event').load('shareipcheckpanel-html.php', function(){
		getdevice("#shareipdevice");
		filltime("#shareipstartyear", "#shareipstartmonth", "#shareipstartdate", 
			"#shareipstarthour", "#shareipstartminute", "#shareipstartsec", "#shareipendyear", 
			"#shareipendmonth","#shareipenddate", "#shareipendhour", "#shareipendminute", "#shareipendsec");
		
		$("#shareipcheck").click(shareiplist);
	});
}

function getsharecheckurl()
{
	var devid = $("#shareipdevice").val();
	var ipaddr = $("#ipaddr").val();
	var minnum = $("#minnum").val();
	if (minnum == "") minnum = 5;
	
	if (devid == 0){
		popwindow_tips("请选择设备");
		return false;
	}

	var startyear = $("#shareipstartyear").val();
	var startmonth = $("#shareipstartmonth").val();
	var startdate = $("#shareipstartdate").val();
	var starthour = $("#shareipstarthour").val();
	var startminute = $("#shareipstartminute").val();
	var startsec = $("#shareipstartsec").val();
	var endyear = $("#shareipendyear").val();
	var endmonth = $("#shareipendmonth").val();
	var enddate = $("#shareipenddate").val();
	var endhour = $("#shareipendhour").val();
	var endminute = $("#shareipendminute").val();
	var endsec = $("#shareipendsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	return url = '../Event/shareiplist.php?devid='+devid + '&ipaddr=' + ipaddr + '&minnum='+minnum +
		'&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+ 
		'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec;
}

function displayshare(devid, gateway, mint, maxt)
{
	$("<div id='displayshare_win'></div>").appendTo("body");
	
	$('#displayshare_win').load('displayshare-html.php', {gateway:gateway}, function(){
		setWinpos("displayshare_win", 800, 500, "displayshare_con");
		
		$('#displayshare_win').css('z-index', config.zindex++);
		$('#displayshare_win').draggable({cursor:'move', handle:'table.popup-bar-fill-800px'});
		$('#displayshare_title').mousedown(function(){$('#displayshare_win').css('z-index', config.zindex++);});
		
		gatewaysons(devid, gateway, mint, maxt);
	});
}

function gatewaysons(devid, gateway, mint, maxt)
{
	var render = "displayshare_con";
	var pager = render+"_pager";
	var tableid = render+"_table";
	
	$("#"+render).html("<table id='"+tableid+"'></table><div id='"+pager+"'></div>");

	var url = "displayshareson.php?devid="+devid+"&ipaddr="+gateway+"&startdt="+mint+"&enddt="+maxt;
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:url,
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:$("#"+render).height()-55,
		width:$("#"+render).width(),
       	colNames:["设备ID", "用户IP", "登陆次数", "触发检测时间段"],
       	colModel:[
       		{name:'devid', index:'devid', width:50, align:"center", sortable:false},
       		{name:'ipaddr',index:'ipaddr', width:90, align:"right"},
       		{name:'number',index:'number', width:100, align:"right"},
       		{name:'times',index:'times', align:"right"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		//loadui:"disable",
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		loadComplete:function(data){load_hide();}
    });
}
function event_init()
{
	$(".png-w").each(function(index){
		$(this).click(function(){
			$(".event-select").removeClass("event-select");
			$(".dis-content-panel").show();
			$(this).addClass("event-select");
			$(this).next().addClass("event-select");
			$("#check_content").show();
			
			$("#"+render).html('');
			$("#check_event").show();
			switch(index+1){
				case 1:{
					dnscheckpanel();
					break;
				}
				case 2:{
					shareipcheckpanel();
					break;
				}
				case 3:{
					$("#check_event").hide();
					domain_checktable();
					break;
				}
				case 4:{
					sessioncheckpanel();
					$("#"+render).html('');
					break;
				}
				case 5:{
					usrauthcheckpanel();
					$("#"+render).html('');
					break;
				}
				case 6:{
					nodecheckpanel();
					$("#"+render).html('');
					break;
				}
			}
		});
	});
	$(".png-title").each(function(index){
		$(this).click(function(){
			$(".event-select").removeClass("event-select");
			$(".dis-content-panel").show();
			$(this).addClass("event-select");
			$(this).prev().addClass("event-select");
			$("#check_content").show();
			
			$("#"+render).html('');
			$("#check_event").show();
			switch(index+1){
				case 1:{
					dnscheckpanel();
					break;
				}
				case 2:{
					shareipcheckpanel();
					break;
				}
				case 3:{
					$("#check_event").hide();
					domain_checktable();
					break;
				}
				case 4:{
					sessioncheckpanel();
					$("#"+render).html('');
					break;
				}
				case 5:{
					usrauthcheckpanel();
					$("#"+render).html('');
					break;
				}
				case 6:{
					nodecheckpanel();
					$("#"+render).html('');
					break;
				}
			}
		});
	});
}
function dnslist()
{
	$("#"+render).html("<br/><table id='"+tableid+"'></table><div id='"+pager+"'></div>");

	var url = getdnscheckurl(0);
	if (!url) return false;
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:url,
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:500,
		width:$("#"+render).width(),
       	colNames:["设备ID", "用户IP地址", "用户账号", "域名", '时间', 'DNS'],
       	colModel:[
       		{name:'devid', index:'devid', width:50, align:"center", sortable:false},
       		{name:'ip',index:'ip', width:90, align:"right"},
       		{name:'account',index:'account', width:100, align:"right"},
       		{name:'domain',index:'domain', align:"right"},
			{name:'time',index:'time', align:"right"},
			{name:'dns',index:'dns', align:"right"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		//loadui:"disable",
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		caption:'DNS',
		loadComplete:function(data){load_hide();}
    });
}

function dnscheckpanel()
{
	$('#check_event').load('dnscheckpanel-html.php', function(){
		getdevice("#dnsdevice");
		filltime("#dnsstartyear", "#dnsstartmonth", "#dnsstartdate", "#dnsstarthour", 
			"#dnsstartminute", "#dnsstartsec", "#dnsendyear", "#dnsendmonth",
			"#dnsenddate", "#dnsendhour", "#dnsendminute", "#dnsendsec");
		$("#dnscheck").click(dnslist);
	});
}

function dns_export(exportid)
{
	var url = getdnscheckurl(exportid);
	
	load_show();
	
	$.ajax({
		url:url,
		type:'get',
		success:function(data){
			$("#downdiv").html('');
			$('<a href="../download/'+data+'" style="color:#f00;">右键另存为：'+data+'</a>').appendTo("#downdiv");
			
			load_hide();
		}
	});
}

function getdnscheckurl(exportid)
{	
	var devid = $("#dnsdevice").val();
	var ipaddr = $("#ipaddr").val();
	var domain = $("#domain").val();

	var startyear = $("#dnsstartyear").val();
	var startmonth = $("#dnsstartmonth").val();
	var startdate = $("#dnsstartdate").val();
	var starthour = $("#dnsstarthour").val();
	var startminute = $("#dnsstartminute").val();
	var startsec = $("#dnsstartsec").val();
	var endyear = $("#dnsendyear").val();
	var endmonth = $("#dnsendmonth").val();
	var enddate = $("#dnsenddate").val();
	var endhour = $("#dnsendhour").val();
	var endminute = $("#dnsendminute").val();
	var endsec = $("#dnsendsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	return 'dnslist.php?devid='+devid + '&ip=' + ipaddr + '&domain=' + domain + '&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec + '&export='+exportid;
}




