var d1 = new Date(); 
var end1 = d1.getFullYear() + '-' + (d1.getMonth()+1) + '-' + d1.getDate();
var t1 = d1.getTime() - 86400 * 1000;
d1.setTime(t1);
var start1 = d1.getFullYear() + '-' + (d1.getMonth()+1) + '-' + d1.getDate();

var _autoconf = '{"starttime":"'+start1+' 00:00:00","endtime":"'+end1+' 00:00:00","title":"网络出口流量和数据分析报告","smalltitle":"北京派网软件有限公司",';
_autoconf += '"module":[{"id":1, "name":"网络出口流量可视化管理", "desc":"",';
_autoconf += '"mlist":[{ "id":1, "module_name":"group_trend","checked":"checked","name":"网络出口可视化整体分析","desc2":"","desc":"实现对网络进行流量可视化和应用精细化，将每一比特流量的具体应用呈现出来，便于网络管理者进行分析、定位、处理和优化，通过流量可视化管理，可以看到上行、下行流量趋势以及各种协议占用带宽的百分比等信息。网络出口流量趋势图如下："}, ';
_autoconf += '{"id":2, "module_name":"top_ip", "checked":"checked", "name":"出口TOPIP流量分析", "desc2":"","desc":"如下图所示，在所取时间区间下的TOP IP排名中，排在前5位的分别是"},';
_autoconf += '{"id":3,"module_name":"top_ip_flow", "checked":"checked", "name":"出口TOP并发分析", "desc2":"","desc":"通过对出口IP的TOP连接数进行排名，连接数排在前5位的分别是"},';
_autoconf += '{"id":4, "name":"出口TOP应用分析","module_name":"top_app", "checked":"checked", "desc2":"","desc":"通过TOP协议分析来看，在网络出口流量中，应用排在前5位的分别是"}]}, ';
_autoconf += '{"id":2, "name":"网络流量流向分析", "desc":"设备分析可以基于地理位置和运营商来进行网络流量流向分析，通过流量流向分析，得到去往各个ISP的流量比例以及相关上行、下行流量数据。", "mlist":[{"id":0, "name":"流量流向", "module_name":"yysflow","checked":"checked","desc2":"","desc":"通过网络流量流向图来看，网络用户访问的目标地址的运营商流量分布，其中，{topyys},通过流量流向分析，可以对网络下一步出口ISP选择和优化提供最直接的依据。智能网关设备除了可以对网络整体流量流向进行分析外，还可以对任何一种应用协议进行分析"},';
_autoconf += '{"id":1,"name":"HTTP协议流量流向分析","module_name":"flow_area","desc2":"","checked":"checked","desc":"PC端浏览器、移动端浏览器以及各种基于HTTP协议的应用（例如：微信、微博等）都会带来大量的HTTP协议通信，均会包含大量的URL访问记录。由于数量过于庞杂，要观察内部细节和定位其中的问题，需要对数据进行预处理，TOP域名和域名地图是两类最为典型的HTTP域名预处理技术。下图展示了HTTP域名总体情况."},';
_autoconf += '{"id":2,"name":"移动应用流量流向分析","checked":"checked","desc2":"","module_name":"mobile","desc":"移动应用也是用户群体使用较为频繁的应用场景。互联网出口分析中，纯移动类应用的分析是重中之重，很多安全类的问题也可以在其中有所反应。当前大部分活跃的移动应用，都是使用标准HTTP协议，但是在实际通信过程中都展现出很多不一样的通信细节，需要在应用识别中小心加以区分。任何在应用排名和日常流量中的重大波动，都是互联网上出现问题的前兆。"},';
_autoconf += '{"id":3,"name":"网络游戏流量流向分析","checked":"checked","desc2":"","module_name":"game","desc":"网络的网络游戏优化是一个比较敏感的话题，用户不可能因此支付费用，但是用户日常使用网络又碰到的问题比较多，对网络的投诉大多数来源于游戏用户的卡顿，游戏的服务质量是客户重点关注的内容。在当前网络中，游戏种类流量如下："}';
_autoconf += ',{"id":4,"name":"P2P下载流量流向分析","checked":"checked", "module_name":"p2p", "desc":"随着在线视频应用的普及，P2P流量在当前网络中的比例相对突出，当前网内主要的P2P种类如下：", "desc2":"从网络P2P类软件使用排名，从图中可以清晰看出{first}是排在第一位，然后是{second}，{third}等。对于这些应用现在很少承载敏感内容，大多数是电影和视频类下载 。如果网络带宽比较紧张时候，可以将这类应用进行限速或者路由到移动链路上。", "desc3":"P2P的流量流向{yyslist}。由于P2P流量的暴力特性，带宽争抢能力强，在规划网络出口时候，需要将其和游戏等敏感应用区别开来，最好走不同的运营商线路，至少要做到带宽相互没有侵害."}';
_autoconf += ',{"id":5,"name":"DNS流量流向分析","checked":"checked","module_name":"topdns","desc":"在网络网络优化中，对用户体验影响最大的辅助协议是DNS，它关系到客户访问很多应用的使用感受，同时对CDN等智能分流应用起到关键的入口引导作用。以下是当前在网DNS服务器排名、流量的运营商分布和地域分布。","desc2":"1)应用流量引导时候，如果用户不使用你的DNS，所有调度都会失败。 如果发现大量这个现象，建议通过智能应用网关设备配置DNS管控策略，让访问到这些外网DNS的行为重定向到DNS服务器。"}';
_autoconf += ']},{"id":3, "name":"网络应用分析","desc":"","mlist":[{"id":1,"name":"","checked":"checked","module_name":"xyd","desc2":"","desc":""}';
_autoconf += ',{"id":2,"name":"访问校外图书馆资源分析","checked":"checked","module_name":"mylib","desc":"","desc2":"同时，智能网关数据分析可以对资源下载的次数，如果有人进行恶意下载，通过此功能也可以发掘。如下图看到相关IP下载排名。"}';
_autoconf += ',{"id":3,"name":"TOP域名分析","checked":"checked","module_name":"hostcmp","desc2":"","desc":"域名日志的访问频率和吞吐的变化，经常会伴随着网络上一些关键事件的发生。观察域名排名变化，是追踪分析这些事件的有效手段。例如一个不熟悉的域名，突然访问量急剧上升，一般都伴随着病毒或者网站挂马的发生。一些互联网营销手段也会推动域名的急剧变化，比如360推送微软升级，会引起微软升级服务器访问频率急剧上升。同时，观察某个域名的流量上下行比例，也可推测它提供的服务是否存在问题。"}';
_autoconf += ',{"id":4,"name":"满足《网络安全法》需求会话日志","checked":"checked","module_name":"sessionlist","desc2":"","desc":"网络内部人员非常多，用户上网访问的内容也难免会有一些不符合国家相关规定或者涉及到“黄、赌、毒”内容。作为网络网络总出口，必须留存相关人员上网记录，以便发生网络安全事件后进行追查。通过智能网关系统提供全网统一用户认证日志+会话日志+URL日志，同时提供1:1的日志输出，在一张表里面可以体现访问时间、源地址、目标地址、NAT地址、账号信息、域名、协议类型、7层协议名称、流量等元素，完整保留网络中的相关信息。当发生相关网关安全事件时候，通过Panalog的会话日志、帐号的登录信息以及URL访问等记录信息，可以对外到具体上网用户，满足《网络安全法》和“151号令”相关要求。"}';
_autoconf += ',{"id":5,"name":"满足《网络安全法》需求虚拟身份日志","checked":"checked","module_name":"qqlist","desc2":"","desc":"微信、QQ等聊天工具的发展，增加了人们的沟通方式。但如果某人通过QQ群，微信群发表不良言论（尤其是涉及到发动、危害民族团结言论）网监有可能要求网络出口通过QQ号码或者微信ID来对应于上网人员。Panalog还提供这个功能，通过QQ号码，微信ID、邮箱地址或者论坛用户名查询到到底这些虚拟身份对应是谁。"}';
_autoconf += ',{"id":6, "name":"", "checked":"checked", "module_name":"heresylist", "desc2":"","desc":""}';
_autoconf += ',{"id":7,"name":"","checked":"checked","module_name":"win7","desc2":"","desc":""}';
_autoconf += ']},{"id":4,"name":"网络时延分析","desc":"","mlist":[{"id":1,"name":"用户NPM分析","checked":"checked", "module_name":"npm_topuser","desc2":"","desc":"用户NPM分析是对网络内部时延比较大的主机进行排名，尤其是内网客户时延比较大的主机，如果他长时间的客户时延比较大，这个用户的上网体验感肯定不好。（如果只是查询内网用户的相关指标，需要在源IP群组里面选择内网IP用户）"},{"id":2,"name":"协议NPM分析","checked":"checked","module_name":"npm_topapp","desc2":"","desc":"协议NPM分析是对网络中各种应用协议的时延进行排名，从而来判断哪些应用用户访问体验感不好的指标，如果某种应用的时延长期比较大，用户访问这种应用的体验感肯定不好。"},{"id":3,"name":"TOP时延域名","checked":"checked","module_name":"npm_tophost","desc2":"","desc":"浏览网页可以说是目前大家上网最常用的方式之一，因此，如果那些网页打开慢对用户的体验度有非常大影响。TOP时延域名是结合大家浏览网页的综合情况，对各个域名的时延进行排名，提前发现那些域名访问时延比较大。如果是大家常用域名实践比较大，要分析具体原因，从而解决问题。"}]},{"id":5,"name":"常见威胁分析","desc":"", "mlist":[{"id":1,"name":"SYN分析","checked":"checked","module_name":"synlist","desc2":"","desc":"SYNFlooding是恶意客户程序用户用来向计算机服务器进行拒绝服务（DOS）攻击的一种方法。并通常伴随SYN扫描。当服务器响应SYN/ACK包时，恶意程序总能知道哪个端口是开放的。下图为本网络的SYNFlooding数量，正常互联网行为的终端一天的SYN不会超过10万次。如果超过这个数值需要重点关注。"},{"id":2,"name":"SSDP分析","checked":"checked","module_name":"ssdplist","desc2":"","desc":"SSDP，即简单服务发现协议（SSDP，SimpleServiceDiscoveryProtocol），是一种应用层协议，是构成通用即插即用(UPnP)技术的核心协议之一。这个协议经常被黑客利用进行反射拒绝服务攻击。反射拒绝服务攻击又称DRDoS攻击（Distributed Reflection Denial of Service，分布式反射拒绝服务攻击）。其原理是黑客伪造成被攻击者的IP地址，向互联网上大量开放特定服务的服务器发起请求，接收到请求的那些主机根据源IP地址将响应数据包返回给受害者。整个过程中，返回响应的服务器并不知道请求源的恶意动机。利用SSDP协议进行反射攻击的原理是伪造成被攻击者的IP地址向互联网上大量的智能设备发起SSDP请求，接收到请求的智能设备根据源IP地址将响应数据包返回给受害者。"},{"id":3,"name":"NTP分析","checked":"checked","module_name":"ntplist", "desc2":"","desc":"NTP服务器Network Time Protocol（NTP)是用来使计算机时间同步化的一种协议，它可以使计算机对其服务器或时钟源(如石英钟，GPS等等)做同步化，它可以提供高精准度的时间校正（LAN上与标准间差小于1毫秒，WAN上几十毫秒）。和SSDP协议一样，NTP协议经常被黑客利用作反射拒绝服务攻击。利用NTP协议的反射放大效果非常好，可以超过500倍。也就是说攻击者只需要发起100Mbps的请求流量，经过NTP服务器的反射放大，可以换来5Gbps的攻击流量。2014年2月，在国外某云计算服务提供商遭受的400Gbps DDoS攻击中，黑客就采用了NTP反射放大攻击。"},{"id":4,"name":"MSDS分析","checked":"checked","module_name":"msdslist","desc2":"","desc":"MSDS（Microsoft Domain Sharing）是微软局域网共享协议，利用445端口通信的一种协议，该协议允许计算机上的应用程序读取文件和向服务器请求服务。同时，该协议的漏洞非常多，存在各个版本的Windows系统里。大名鼎鼎的“永恒之蓝”就是利用这个协议的漏洞进行传播的。由于在这个协议存在大量漏洞，同时在网络出口位置，这个协议是不应该产生的，因此，如果内网存在大量的由内到外的MSDS协议连接需要各位重视。下图为本网络中MSDS的源IP排名，如果网络中出现连接数非常大的MSDS,需要重点关注。"}]},{"id":6,"name":"域名分析","desc":"","mlist":[{"id":1,"name":"TOP域名分析","checked":"checked", "module_name":"tophost","desc2":"","desc":"Top域名可以按指定时间段查询所有域名的访问情况。通常情况下，访问排名靠前的是各个互联网公司的N级域名，例如阿里、腾讯、京东、百度、爱奇艺、优酷等门户网站和新媒体网站。除此之外,非业务系统的其他域名访问量在某段时间非常高，则通常伴随着安全事件。例如网络投毒、被劫持的情况出现。因此，我们要关注TOP域名排名里面的陌生域名，如果在TOP 15 排名出现陌生域名，需要重点关注。下图是本网络中的TOP域名排名："},{"id":2,"name":"域名差量分析","checked":"checked","module_name":"hostcmp","desc2":"","desc":"域名差量分析是指对应于上一个分析周期，域名的变化情况。通常情况下，在一个大型网络中，每天大家访问的域名和域名量差不多，如果某天有一个域名突然出现，而且这个域名非常不知名，需要重点关注，非常有可能是病毒的爆发或者被劫持的的表现。下图是本网络中的域名的差量分析中的“新增域名”排名。"}]},{"id":7,"name":"DNS分析","desc":"","mlist":[{"id":1,"name":"DNSTOP用户分析","checked":"checked", "module_name":"dns_topuser","desc2":"","desc":""},{"id":2,"name":"DNSTOP服务器分析","checked":"checked","module_name":"dns_topserver","desc2":"","desc":""},{"id":3,"name":"未知流量端口","checked":"checked", "module_name":"unknow_port", "desc2":"","desc":""}]}]}';



