function xyd_submit(starttime, endtime, render, imgrender)
{
	var devid = 0;
	var ipaddr = "";
	var account = "";
	var errname = (new Date()).getTime()+'.st';

	$.ajax({
		url:'ajax_report.php',
		dataType:'json',
		type: 'post',
		async:false,
		data:{action: 'xydlist', devid:devid, starttime:starttime, endtime:endtime, errname:errname, ipaddr:ipaddr, account:account},
		success:function(json) {
			showchart(json, render, imgrender);
		}
	})
}

function showchart(json, render, imgrender)
{
	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, 'macarons');
	var x = [], y = [];

	var len = json.rows.length > 15 ? 15 : json.rows.length;
	for (var i = len - 1; i >= 0; i--) {
		x.push(json.rows[i].name);
		y.push(json.rows[i].count);
	}

	var option = {
		xAxis: {
			type: 'value'
		},
		grid:{
			left:'20%'
		},
		yAxis: {
			type: 'category',
			data: x
		},
		animation:false,
		series: [{
			data:y,
			type: 'bar',
			showBackground: true,
			backgroundStyle: {
				color: 'rgba(220, 220, 220, 0.8)'
			}
		}]
	};
	mychart.setOption(option);
	var imgurl = mychart.getDataURL();
	$("#"+imgrender).attr("src", (imgurl));
}

function xyduser_submit(starttime, endtime)
{
	var devid = 0;
	var ipaddr = "";
	var account = "";
	var page = 1;
	var limit = 25;
	var errname = (new Date()).getTime()+'.st';

	$.ajax({
		url:'ajax_report.php',
		type: 'post',
		async:false,
		data:{action: 'xyduser', devid:devid, ipaddr:ipaddr, account:account, 
			starttime:starttime, endtime:endtime, errname:errname, 
			xyd_type:-1, page:page, limit:limit},
		success:function(data) {
			var s = '<input type="text" id="xydjson" value="'+encodeURIComponent(data)+'">';
			$(s).appendTo("#xydjson_outer");
		}
	})
}

