<?php
session_start();
include(dirname(__FILE__)."/common.php");
if (!chksession()) {
	header("Location: index.php");
	exit;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Panalog模块</title>
<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
<link type="text/css" rel="stylesheet" href="css/common.css">
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/common.js"></script>
<style type="text/css">
.mod-head {margin:10px 0;}
.mod-head .name {float:left;font-size:14px; font-weight:bold;}
.mod-head .install {float:right; font-size:14px; font-weight:bold; color:#f00;}
.clearboth {clear:both;}
.mod-body {background:#fff; padding:20px; border-radius:2px;}
.mod-body ul{list-style:none;}
.mod-body ul li{float:left; margin:0 4px 8px;}
.mod-body .elem {background:#f9f9f9; height:50px; line-height:50px;border-radius:2px;}
.mod-body .elem .cont {width:100%; display:inline-block;}
.mod-body .elem .cont:hover {background:#eee; color:#fff;}
.mod-body .elem .cont .icon{margin-left:15px;}
.mod-body .elem .name {margin-left:10px; color:#000; font-size:14px; margin-bottom:-2px;}
</style>
</head>
<body style="background:#f2f2f2;">
<div class="layui-fluid">
	<div class="mod-head">
		<div class="name">应用列表</div>
		<div class="install"><a href="javascript:void(0);" onclick="mod_install()">安装应用</a></div>
		<div class="clearboth"></div>
	</div>
	<div class="mod-body">
		没有安装任何模块
	</div>
</div>
<script type="text/javascript" src="layui/layui.js"></script>
<script>
var upload, form, layer;
layui.use(['form', 'layer', 'upload'], function(){
	layer = layui.layer, form = layui.form, upload = layui.upload;
	
	mod_list();
});

function mod_install()
{
	var s = '<div class="group-account-import" style="display:block;padding:10px;">';
	s += '<blockquote class="layui-elem-quote">1、必须是以tar.gz为后缀的压缩文件。</blockquote>';
	s += '<div class="sx-outer">';
	s += '&nbsp;&nbsp;<button type="button" class="layui-btn layui-btn-xs" id="xxx-upload">选择文件</button>';
	s += '</div>';
	s += '</div>';

	var dialog = layer.open({
		type: 1,
		title: '应用安装',
		shade: [0.8, '#393D49'],
		shadeClose:1,
		id: 'group-account-import',
		area:['600px', '200px'],
		content: s,
		success:function() {
			var loading;
			var uploadInst = upload.render({
				elem: '#xxx-upload',
			       	url: 'ajax_module.php?action=import',
				accept:'file',
				exts: 'gz',
				before:function(obj) {
					loading = layer.load(0,{shade:false, time:0})
				},
				error: function(index, upload) {
				},
				done:function(res, index, upload) {
					layer.close(loading);
					if (res.yn == "no")
						layer.msg(res.str, {icon:2, time:2000});
					else {
						layer.msg("导入成功", {icon:1, time:2000});
						layer.close(dialog);
						mod_list();
					}
				}
			});
		}
	});
}

function mod_list()
{
	$.ajax({
		url: 'ajax_module.php',
		data: {action: 'mod_list'},
		type: 'post',
		dataType: 'json',
		success:function(json) {
			if (json.length > 0)
				$(".mod-body").html('');
			var s = '<ul id="applist"></ul>';
			s += '<div class="clearboth"></div>';
			$(s).appendTo(".mod-body");
			for (var i = 0; i < json.length; i++) {
				s = '<li class="elem right-space15">';
				s += '<a class="cont" href="javascript:showApp(\''+json[i].app_name+'\', \''+json[i].app_cname+'\', '+json[i].app_width+', '+json[i].app_height+')">';
				s += '<span class="icon"><i class="layui-icon layui-icon-app" style="color:#666;font-size:20px;"></i></span>';
				s += '<span class="name">' + json[i].app_cname + '</span>';
				s += '<div class="layui-form" style="float:right; width:60px">';
				s += '<div class="layui-form-item" style="margin-top:7px;">';
				s += '<div class="layui-input-inline" style="width:50px;">';
				if (json[i].status == "enable")
					s += '<input type="checkbox" lay-skin="switch" checked name="appStatus" app="'+json[i].app_name+'">';
				else
					s += '<input type="checkbox" lay-skin="switch" name="appStatus" app="'+json[i].app_name+'">';
				s += '</div>';
				s += '</div>';
				s += '</div>';
				s += '</a>';
				s += '</li>';
				$(s).appendTo("#applist");
			}
			
			var body_width = $(".mod-body").width(); 
			var remain_width = body_width - 4 * 8; 
			$(".mod-body .elem").css("width", (remain_width / 4 / body_width) * 100 + '%');
			
			form.on('switch', function(data) {
				var appname = this.getAttribute("app");
				var sta = data.elem.checked;
				sta = sta ? "on" : "off";
				$.ajax({
					url: 'ajax_module.php',
					data: {action: 'mod_switch', appname:appname, sta: sta},
					type: 'post',
					dataType: 'json',
					success: function(j) {
						return false;
					}
				});

				window.event.returnValue = false;
			});
			form.render();
		}
	});
}

function showApp(appname, appcname, w, h)
{
	var s = '<div>';
	s += '<iframe src="app/'+appname+'/web/main.php" style="width:100%; height:'+(h-50)+'px; border:none;"></iframe>';
	s += '</div>';

	var index = layer.open({
		type: 1,
		title: appcname,
		shade: false,
		shadeClose:0,
		id: 'showapp',
		area:[w+'px', h+'px'],
		content: s,
		success:function() {
		}
	})
}
</script>
</body>
</html>
