<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (dashboard_expire()) {
	header("location:index.php");
	exit;
}

$_SESSION["palog_expiretime"] = time() + 1800;

$user = $_SESSION['palog_username'];
$dashboard_enable = 0;
if (($r = getuserrights($user)) != false) {
	if ($r["mod_c"] == 'Y')
		$dashboard_enable = 1;
}

if (!$dashboard_enable) {
	echo "ERROR: NO_RIGHTS\n";
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$sysname?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" href="layui/css/layui.css" rel="stylesheet">
<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/common.js"></script>
<script type="text/javascript" src="js/echarts.min.js"></script>
<script type="text/javascript" src="js/world.js"></script>
<script type="text/javascript" src="js/newworld.js"></script>
<script type="text/javascript" src="js/china.js"></script>
<script type="text/javascript" src="js/dashboard_macarons.js"></script>
<script type="text/javascript" src="js/echarts-gl.js"></script>
<script type="text/javascript" src="layui/layui.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>

<style type="text/css">
.page-outer {position:absolute; top:0px; left:0px; right:0px; bottom:0px; background:#000; min-width:1200px; min-height:500px;}
.content-outer {float:left; }

.box-background {background:#1c1c1c; color:#ddd;}

.left-firstfloor-box {float:left; margin-left:3px;background:#5f0000;}
.left-secondfloor-box {float:left; margin:3px 0 0 3px;}
.left-box {float:left; margin:3px 0 0 3px;}

.middle-firstfloor-box {float:left; margin-left:3px;}
.middle-secondfloor-box {float:left; margin:3px 0 0 3px;}
.right-firstfloor-box {float:left; margin-left:3px;}
.right-secondfloor-box {float:left; margin:3px 0 0 3px;}
.right-thirdfloor-box {float:left; margin:3px 0 0 3px;}
.right-threefloor-box {float:left; margin:3px 0 0 3px;}
.right-fourthfloor-box {float:left; margin:3px 0 0 3px;}
.right-fifthfloor-box {float:left; margin:3px 0 0 3px;}
.bottom-firstfloor-box {float:left; margin:0px 0 0 3px;}

.content-bottom {float:left; height:100px;}

.box-title {position:relative;height:20px; font-size:10px; font-weight:bold; text-align:center; line-height:20px; /*background:-webkit-linear-gradient(left,#30c2c4,#000) no-repeat;*/}
.box-content {font-size:11px; overflow:hidden;}

.anchorBL{display:none;}

.page-header {position:relative; margin:0; padding:0; height:30px; /*background:#a72222;*/}
.hd-main, .hd-title, .hd-time {color:#fff; height:30px; line-height:30px;}
.hd-main, .hd-title {float:left;}
.hd-time {float: right; }
.hd-main {width:25%; padding-left:5px; text-align:left; font-size:12px;}
.hd-time {padding-right:5px; text-align:right; font-size:12px;}
.hd-npm, .hd-set {float:right; padding-right:15px; text-align:right; font-size:12px; color:#3bc1c4; height:30px; line-height:30px;}
.hd-title {width:50%; text-align:center; font-size:20px; font-weight:bold;}
.hd-title input {border:none; background:#000; color:#fff; font-size:20px; font-weight:bold;text-align:center; width:100%; outline:none;height:28px;}
.left-firstfloor-num {color:#fff; text-align:center; font-size:32px;}

.box {position:relative;}
.box-info {position:absolute; left:5px; top:30px; bottom:5px; width:100px; border:1px solid #1c1c1c; opacity:0.5; -moz-opacity:0.5; background:#1c1c1c; font-size:8px; color:#fff; z-index:100; overflow:hidden;}
.box-info ul {list-style:none; margin:0; padding:0;}
.box-info ul li {padding-top:5px;}

#filelist td {word-wrap:break-word;word-break:break-all; font-size:8px;}
#flowalert th, #flowalert td {height:15px;}
</style>

<script type="text/javascript">
var _isshowatdashboard = 0;
var colorlist = ["#3BC1C4", "#B6A2DE", "#5AB1EF", "#F38003", "#0287EE", "#90ed7d", "#f7a35c", "#8085e9", "#f15c80", "#e4d354", "#2b908f", "#C0C749"];

var tt = setInterval(function(){
	var t = new Date();
	var m = t.getMonth() + 1;
	var da = t.getDate();
	var h = t.getHours();
	var min = t.getMinutes();
	var sec = t.getSeconds();
	var s = t.getFullYear() + '/' + (m > 9 ? m : '0' + m) + '/' + 
		(da > 9 ? da : '0' + da) + ' ' + (h > 9 ? h : '0' + h) + ':' + 
		(min > 9 ? min : '0' + min) + ':' + (sec > 9 ? sec : '0' + sec);
	$(".hd-time").text(s);
}, 1000);


function assets_set()
{
	var s = '<div class="layui-form" style="margin-top:20px;">';
	s += '<div class="layui-from-item">';
	s += '<label class="layui-form-label">IP群组</label>';
	s += '<div class="layui-input-inline">';
	s += '<select id="ipgrp" lay-filter="ipgrp">';
	s += '</select>';
	s += '</div>';
	s += '</div>';
	s += '</div>';

	layui.use(['layer', 'form'], function(){
		var layer = layui.layer, form = layui.form;

		index = layer.open({
			type: 1,
			title:'资产群组',
			area:["400px", "220px"],
			content:s,
			btn:['提交', '取消'],
			yes:function(index, layero){
				$.ajax({
					url: 'ajax_assets.php',
					data:{action: 'ipgrp_set', id:$("#ipgrp").val()},
					type: 'post',
					dataType: 'json',
					success:function(json) {
						if (json.yn && json.yn == "no") {
							layer.msg(json.str);
							return false;
						}

						layer.msg("操作成功");
						layer.close(index);
					}
				});
			},
			btn2:function(index, layero){
				layer.close(index);
			},
			success:function(){
				$.ajax({
					url: 'ajax_assets.php',
					data:{action: 'ipgrp_list'},
					type: 'post',
					dataType: 'json',
					success:function(json) {
						if (json.yn && json.yn == "no") {
							layer.msg(json.str);
							return false;
						}

						var t;
						for (var i = 0; i < json.rows.length; i++) {
							if (json.rows[i].id == json.curid)
								t = '<option value="'+json.rows[i].id+'" selected>'+json.rows[i].name+'</option>';
							else
								t = '<option value="'+json.rows[i].id+'">'+json.rows[i].name+'</option>';
							$(t).appendTo('#ipgrp');
						}
						form.render();
					}
				});
			}
		});
	})
}

</script>

</head>
<body style="padding:0;margin:0;" onresize="location.reload()">
	<div class="page-outer">
		<div class="page-header">
			<div class="hd-main">
				<div style="float:left;height:30px;">
					<img src="img/homepage.png" width="16px" style="margin-top:7px;" />
				</div>
				<div style="float:left;height:30px;">&nbsp;<a href="main.php" style="color:#fff; text-decoration:none;">主页</a></div>
				<div style="clear:both;"></div>
			</div>
			<div class="hd-title" style="text-align:center;"><input type="text" value="" id="assets_title" placeholder="标题" /></div>
			<div class="hd-time">0000/00/00 00:00:00</div>
			<div class="hd-set"><a href="javascript:assets_set()" style="color:#3bc1c4; text-decoration:none;">设置</a></div>
<?php
$pages = showdashboardpage();
if (count($pages) != 0) {
?>
			<div class="hd-npm">
				<select style="background:#000;color:#fff;border:none;height:30px;font-size:12px;" id="boardswitch">
					<option value="">屏幕切换至</option>
					<option value="timingswitch">定时切换</option>
<?php
	foreach($pages as $val) {
		echo '<option value="'.$val["page"].'">'.$val["name"].'</option>';
	}
?>
				</select>
			</div>
<?php
}
?>
		</div>
		<div class="page-content">
			<div class="content-outer c-left">
				<div class="left-firstfloor-box box-background">
					<div id="ipcount_outer" class="box-content">
						<div id="dstnum" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">资产数</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="mobilecount_outer" class="box-content">
						<div id="srcnum" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">用户数</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="acccount_outer" class="box-content">
						<div id="hostnum" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">域名数</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">流量趋势</div>
					<div class="box-content" id="flowtrend">
					</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">连接趋势</div>
					<div class="box-content" id="conntrend">
					</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">热点资产</div>
					<div class="box-content" id="dstlist">
					</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">热点用户</div>
					<div class="box-content" id="srclist">
					</div>
				</div>
			</div>
			<div class="content-outer c-middle">
				<div class="middle-firstfloor-box box-background">
					<div class="box-title">全球访问</div>
					<div class="box-content" id="worldmap">
					</div>
				</div>
				<div class="middle-secondfloor-box box-background">
					<div class="box-title">国内访问</div>
					<div class="box-content" id="chinamap">
					</div>
				</div>
			</div>
			<div class="content-outer c-right">
				<div class="right-box right-fourthfloor-box box-background">
					<div class="box-title">热点应用</div>
					<div class="box-content" id="topapp">
					</div>
				</div>
				<div class="right-box right-firstfloor-box box-background">
					<div class="box-title">热点域名</div>
					<div class="box-content" id="tophost">
					</div>
				</div>
				<div class="right-box right-thirdfloor-box box-background">
					<div class="box-title">新增域名</div>
					<div class="box-content" id="newdomains">
					</div>
				</div>
				<div class="right-box right-secondfloor-box box-background">
					<div class="box-title">热点端口</div>
					<div class="box-content" id="topport">
					</div>
				</div>
				<div class="right-box right-secondfloor-box box-background">
					<div class="box-title">敏感端口</div>
					<div class="box-content" id="sensitive">
					</div>
				</div>
				<div class="right-box right-threefloor-box box-background">
					<div class="box-title">资产时延</div>
					<div class="box-content" id="assdelay">
					</div>
				</div>
			</div>
			<div style="clear:both;"></div>
		</div>
	</div>
	<!-- flowalert -->
	<div id="flowalert" style="display:none;position:absolute; margin:0 auto; top:50px; width:600px; bottom:50px; background:#000;padding:5px;filter:alpha(Opacity=60);-moz-opacity:0.6;opacity:0.6;border-radius:3px;background:rgb(147, 29, 2);color:#fff;overflow:hidden;">
		<div style="position:relative;text-align:center;height:100%;">用户非法访问<div style="position:absolute;top:0px; right:5px;">
			<a style="color:#fff" href="javascript:void(0)" onclick="hideflowalert()">关闭</a></div>
		<div style="position:absolute;top:50px;bottom:70px;width:100%;overflow:auto;">
		<table id="flowalert-user-list" style="width:500px;font-size:10px; margin-top:10px;">
			<tr>
				<th align="center" width="30px">序号</th>
				<th align="left">用户IP</th>
				<th align="left" width="150px">协议</th>
				<th align="right" width="50px">连接数</th>
				<th width="70px" align="right">上行流量</th>
				<th width="70px" align="right">下行流量</th>
			</tr>
		</table>
		</div>
		<div id="pagebar-div" style="position:absolute;bottom:0;"></div>
	</div>

<script>
var w = parseInt($(".page-outer").width()) - 1;
var h = parseInt($(".page-outer").height()) - 1;
var header_h = 30;

$("#flowalert").css("left", (w - w / 3) / 2 + 'px');
$("#flowalert").css("height", (h - 100) + 'px');

// content的高度 = 总高度 - header的高度
var content_h = h - header_h;
$(".page-content").css("width", w+'px');
$(".page-content").css("height", content_h +'px');

var per = w / 3;
var px1 = 70;
var left_w = per - px1;
var middle_w = per + px1 * 2;
var right_w = per - px1;
var up_part = content_h;
$(".content-outer").css("height", up_part +'px');
$(".c-left").css("width", left_w +'px');
$(".c-middle").css("width", middle_w +'px');
$(".c-right").css("width", right_w +'px');

// left-box
var box_title_h = 20;
var space = 3;
var left_firstfloor_h = 50;

var oriw = (left_w - 3 * space) / 3;
$(".left-firstfloor-box").css("width", oriw + 'px');
$(".left-firstfloor-box").css("height", left_firstfloor_h + 'px');
$(".left-firstfloor-box .box-content").css("height", left_firstfloor_h - box_title_h + 'px');

var left_mod_h = (up_part - left_firstfloor_h - 5 * space) / 4;
var left_mod_w = (left_w - 2 * space) / 2;

$(".left-secondfloor-box").css("width", left_w - space + 'px');
$(".left-secondfloor-box").css("height", left_mod_h + 'px');
$(".left-secondfloor-box .box-content").css("width", left_w - space + 'px');
$(".left-secondfloor-box .box-content").css("height", left_mod_h - box_title_h + 'px');

$(".middle-firstfloor-box").css("width", middle_w - space + 'px');
$(".middle-firstfloor-box").css("height", (up_part - space) / 2 + 'px');
$(".middle-firstfloor-box .box-content").css("height", (up_part - 2 * space) / 2 - box_title_h + 'px');

$(".middle-secondfloor-box").css("width", middle_w - space + 'px');
$(".middle-secondfloor-box").css("height", (up_part - 2 * space) / 2 + 'px');
$(".middle-secondfloor-box .box-content").css("height", (up_part - 2 * space) / 2 - box_title_h + 'px');

var right_mod_h = (up_part - 5 * space) / 5;
var right_mod_w  = right_w - 2 * space;
$(".right-box").css("height", right_mod_h + 'px');
$(".right-box").css("width", right_mod_w + 'px');
$(".right-box .box-content").css("height", right_mod_h - box_title_h + 'px');

$(".right-secondfloor-box").css("width", (right_w - 3 * space) / 2 + 'px');
$(".right-secondfloor-box").css("height", right_mod_h + 'px');
$(".right-secondfloor-box .box-content").css("width", (right_w - 3 * space) / 2 + 'px');
$(".right-secondfloor-box .box-content").css("height", right_mod_h - box_title_h + 'px');

/*
$(".right-threefloor-box").css("width", (right_w - 3 * space) / 2 + 'px');
$(".right-threefloor-box").css("height", right_mod_h + 'px');
$(".right-threefloor-box .box-content").css("width", (right_w - 3 * space) / 2 + 'px');
$(".right-threefloor-box .box-content").css("height", right_mod_h - box_title_h + 'px');
 */

function hideflowalert()
{
	$("#flowalert").hide();
}

function showloading(render, px)
{
	var h = '<div class="border-highlight" style="position:absolute;left:0;height:3px;bottom:0px;background:#289495"></div>';

	var t = $("#"+render).parent(".box-background").find(".box-title");
	var w = t.width();
	$(h).appendTo(t);

	var per = 0;
	var tv = setInterval(function(){
		per += px;
		
		t.find(".border-highlight").css("width", per+'px');
		if (per >= w) {
			t.find(".border-highlight").remove();
			clearInterval(tv);
		}
	}, 10);
}

$("body").keydown(function(){settitle()});

function settitle()
{
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		settitle_submit();
	else 
		return false;
}

function settitle_submit()
{
	var title = $("#assets_title").val();

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'settitle', title: title},
		dataType: 'json',
		success: function(json) {
			$("#assets_title").blur();
			layui.use(['layer'], function(){
				var layer = layui.layer;
				layer.msg("操作成功");
			});
		}
	})
}

function isshowatdashboard()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'isshowatdashboard'},
		success: function(data) {
			_isshowatdashboard = parseInt(data);
		}
	})
}

var _flowalert_limit = 50;
var _flowalert_page = 1;
function flowalert_list()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'flowalert_list', page:_flowalert_page, limit:_flowalert_limit},
		dataType: 'json',
		success: function(json) {
			if (json.length == 0) {
				$("#flowalert").hide();
			}
			else {
				$("#flowalert").show();
				var list = document.getElementById("flowalert-user-list");
				while (list.rows.length > 1)
					list.deleteRow(1);
				for (var i = 0; i < json.rows.length; i++) {
					r = json.rows[i];
					obj = list.insertRow(-1);
					var pos = 0;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "center");
					cell.innerHTML = i+1;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "left");
					cell.innerHTML = r.obj;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "left");
					cell.innerHTML = r.appcname;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = r.flow;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = r.up;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = r.down;
				}

				laypage.render({
					elem: 'pagebar-div',
					count: json.totalrecord,
					limit: _flowalert_limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#000',
					curr: _flowalert_page,
					jump: function(obj, first) {
						if (!first) {
							_flowalert_page = obj.curr;
							_flowalert_limit = obj.limit;
							flowalert_list();
						}
					}
				});
			}
		}
	})
}


function gettitle()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'gettitle'},
		success: function(data) {
			if (data != "0") 
				$("#assets_title").val(data);
		}
	})
}

function currentnum()
{
	showloading("dstnum", 5);
	showloading("srcnum", 5);
	showloading("hostnum", 5);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'getnum'},
		dataType: 'json',
		success: function(json) {
			$("#dstnum").html(json.dst);
			$("#srcnum").html(json.src);
			$("#hostnum").html(json.host);
		}
	})
}

function srclist()
{
	showloading("srclist", 10);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'srclist'},
		dataType: 'json',
		success: function(json) {
			iplist_update(json, 'srclist');
		}
	})
}

function dstlist()
{
	showloading("dstlist", 10);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'dstlist'},
		dataType: 'json',
		success: function(json) {
			iplist_update(json, 'dstlist');
		}
	})
}

function iplist_update(json, render)
{
	var maxflow = 0;
	for (var i = 0; i < json.rows.length; i++) {
		if (json.rows[i].flow > maxflow)
			maxflow = json.rows[i].flow;
	}

	var yup = [], ydown = [], yflow = [], x = [], tmpup = [];
	var len = json.rows.length;
	for (var i = 0; i < len; i++) {
		x.push(json.rows[i].obj);
		yup.push(json.rows[i].up);
		tmpup.push(json.rows[i].up - 25);
		ydown.push(json.rows[i].down);
		yflow.push(json.rows[i].flow);
	}

	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:50,
			bottom: 50,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					color: "#ddd",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					color: "#ddd",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
        	}],
		series: [{
			name: "连接数",
			type: "line",
			symbol: 'none',
			symbolSize:10,
			yAxisIndex: 1,
			smooth: true,
			itemStyle: {
				normal: {
					//color: 'rgb(155, 127, 14)',
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yflow,
		},
		{
			name: "上行流量",
			type: "bar",
			barWidth: '10',
			itemStyle: {
				normal: {
                			barBorderRadius: 10,
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0.4,
						color: "rgba(55,255,249,1)"
					}, {
						offset: 1,
						color: "rgba(0,222,215,0.2)"
					}])
				}
			},
			data: yup,
		},
		{
			name: "下行流量",
			type: "bar",
			barWidth: '10',
			itemStyle: {
				normal: {
                			barBorderRadius: 10,
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0.4,
						color: "rgba(182,162,222,1)"
					}, {
						offset: 1,
						color: "rgba(128,133,233,0.2)"
					}]),
				}
			},
			data: ydown,
		}]
	}

	chart.setOption(option);
}

function tophost()
{
	showloading("tophost", 10);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'tophost'},
		dataType: 'json',
		success: function(json) {
			tophost_update(json, "tophost");
		}
	})
}

function tophost_update(json, render)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (var i = 0; i < len; i++) {
		x.push(json.rows[i].obj);
		ycount.push({value: json.rows[i].flow});
	}

	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom: 80,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "category",
			splitLine: {
				show: false,
			},
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false,
			},
			minInterval: 1,
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
		},
		series: [{
			name: "访问量",
			type: "bar",
			barWidth: '10',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
                			barBorderRadius: 10,
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0.4,
						color: "rgba(55,255,249,1)"
					}, {
						offset: 1,
						color: "rgba(0,222,215,0.2)"
					}]),
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ycount
		}]
	}

	chart.setOption(option);
}

function applist()
{
	showloading("topapp", 10);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'applist'},
		dataType: 'json',
		success: function(json) {
			iplist_update(json, "topapp");
		}
	})
}

function topport(render)
{
	showloading(render, 10);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: render},
		dataType: 'json',
		success: function(json) {
			topport_update(json, render);
		}
	})
}

function topport_update(json, render)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (var i = 0; i < len; i++) {
		x.push(json.rows[i].port);
		ycount.push({value: json.rows[i].num});
	}

	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom:30,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "value",
			minInterval: 1,
			axisLine: {
				show: false,
				lineStyle: {
					//color: "#ddd",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "category",
			data: x,
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: true,
				lineStyle: {
					color: '#2c2c2c'
				}
			},
		},
		series: [
		{
			name: "访问量",
			type: "bar",
			barWidth: '10',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
                			barBorderRadius: 10,
					color: function(params) {
					       	return colorlist[params.dataIndex];
					}
				}
			},
			data: ycount
		}]
	}

	chart.setOption(option);
}

function newdomain()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'newdomain'},
		dataType: 'json',
		success: function(json) {
			newdomain_update(json);
		}
	})
}

function newdomain_update(json)
{
	var datalist = [{
		offset: [20, 60],
		symbolSize: 90,
		opacity: .95,
		color: '#f467ce'
	}, {
		offset: [55, 80],
		symbolSize: 45,
		opacity: .88,
		color: '#7aabe2'
	}, {
		offset: [85, 63],
		symbolSize: 40,
		opacity: .84,
		color: '#ff7123'
	}, {
		offset: [83, 30],
		symbolSize: 35,
		opacity: .8,
		color: '#ffc400'
	}, {
		offset: [36, 10],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	},{
		offset: [40, 20],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	},{
		offset: [70, 30],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	},{
		offset: [60, 35],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	},{
		offset: [50, 45],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	},{
		offset: [90, 45],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	}];

	var datas = [];
	for (var i = 0; i < json.rows.length; i++) {
		if (i >= 10) break;
		var item = json.rows[i];
		var itemToStyle = datalist[i];
		datas.push({
			name: item.num + '\n' + item.host,
			value: itemToStyle.offset,
			symbolSize: itemToStyle.symbolSize,
			label: {
				normal: {
					textStyle: {
						fontSize: 8
					}
				}
			},
			itemStyle: {
				normal: {
					color: itemToStyle.color,
					opacity: itemToStyle.opacity
				}
			},
	       	})
	}

	var option = {
    		grid: {
        		show: false,
        		top: 10,
        		bottom: 10
    		},
    		xAxis: [{
        		gridIndex: 0,
        		type: 'value',
        		show: false,
        		min: 0,
        		max: 100,
        		nameLocation: 'middle',
        		nameGap: 5
    		}],
    		yAxis: [{
        		gridIndex: 0,
        		min: 0,
        		show: false,
        		max: 100,
        		nameLocation: 'middle',
        		nameGap: 30
    		}],
    		series: [{
        		type: 'scatter',
        		symbol: 'circle',
        		symbolSize: 120,
        		label: {
            			normal: {
                			show: true,
                			formatter: '{b}',
                			color: '#fff',
                			textStyle: {
                    				fontSize: '8'
                			}
            			},
        		},
        		itemStyle: {
            			normal: {
                			color: '#00acea'
            			}
        		},
        		data: datas
    		}]
	}
	
	var dom = document.getElementById("newdomains");
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	chart.setOption(option);
}

function assdelay()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'assdelay'},
		dataType: 'json',
		success: function(json) {
			assdelay_map(json, "assdelay");
		}
	})
}

function assdelay_map(json, render)
{
	var ydelay = [], x = [];
	for (var i = 0; i < json.rows.length; i++) {
		x.push(json.rows[i].ip);
		ydelay.push(json.rows[i].delay);
	}

	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + (params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: false,
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom: 50,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					color: "#ddd",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return (value) + 'ms';
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
        	}],
		series: [{
			name: "应用时延",
			type: "bar",
			barWidth: '10',
			itemStyle: {
				normal: {
                			barBorderRadius: 10,
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0.4,
						color: "rgba(55,255,249,1)"
					}, {
						offset: 1,
						color: "rgba(0,222,215,0.2)"
					}])
				}
			},
			data: ydelay,
		}]
	}

	chart.setOption(option);
}

function createmap(maptype, render)
{
	showloading(render, 15);

	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: maptype},
		dataType: 'json',
		success: function(json) {
			updatemap(maptype, json.rows, render);
		}
	});
}

var _todst = '北京';
function updatemap(maptype, data, render)
{
	var dom = document.getElementById(render);
	var mychart = echarts.getInstanceByDom(dom);
	if (mychart == undefined)
		mychart = echarts.init(dom, "macarons");

	var mapname = maptype;
	var geoCoordMap = new Array();

	var per = "200%";
	if (maptype == "china") {
		per = "160%";
		var mapFeatures = echarts.getMap(mapname).geoJson.features;
		mapFeatures.forEach(function(v) {
			var name = v.properties.name;
			if (maptype != "world")
				geoCoordMap[name] = v.properties.cp;
		});
	}
	
	var max = 0;
	var convertData = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var item = data[i];
			if (item.value > max)
				max = item.value;

			if (maptype == "world") {
				var fromcoord = worldgeo[item.name];
				var tocoord = worldgeo["中国"];
				if (typeof worldgeo[item.name] != "undefined")
					geoCoordMap[item.name] = worldgeo[item.name];
			}
			else {
				var fromcoord = geoCoordMap[item.name];
				var tocoord = geoCoordMap[_todst];
			}
			if (fromcoord && tocoord) {
				res.push([{coord: fromcoord, value: item.value}, {coord: tocoord}]);
			}
		}
		return res;
	};
	
	var convertData1 = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var item = data[i];
			if (item.value > max)
				max = item.value;

			if (maptype == "world") {
				//var fromcoord = worldgeo[item.name];
				//var tocoord = worldgeo["中国"];
				var fromcoord = worldgeo["中国"];
				var tocoord = worldgeo[item.name];
				if (typeof worldgeo[item.name] != "undefined") {
					//geoCoordMap[item.name] = worldgeo[item.name];
					geoCoordMap[item.name] = worldgeo["中国"];
				}
			}
			else {
				//var fromcoord = geoCoordMap[item.name];
				//var tocoord = geoCoordMap[_todst];
				var fromcoord = geoCoordMap[_todst];
				var tocoord = geoCoordMap[item.name];
			}
			if (fromcoord && tocoord) {
				res.push([{coord: fromcoord, value: item.value}, {coord: tocoord}]);
			}
		}
		return res;
	};

	var newdata = convertData(data);
	var newdata1 = convertData1(data);

	var color = ['#a6c84c', '#ffa022', '#46bee9'];
    	var series = [];
    	[
    		[_todst, data]
    	].forEach(function(item, i) {
		series.push({
			type: 'lines',
    			zlevel: 2,
    			effect: {
    				show: true,
    				period: 4, //箭头指向速度，值越小速度越快
    				trailLength: 0.02, //特效尾迹长度[0,1]值越大，尾迹越长重
    				symbol: 'arrow', //箭头图标
    				symbolSize: 5, //图标大小
    			},
    			lineStyle: {
    				normal: {
    					width: 1, //尾迹线条宽度
    					opacity: 0, //尾迹线条透明度
    					curveness: .3 //尾迹线条曲直度
    				}
    			},
    			data: newdata
		}, 
		{
			type: 'lines',
    			zlevel: 2,
    			effect: {
    				show: true,
    				period: 4, //箭头指向速度，值越小速度越快
    				trailLength: 0.02, //特效尾迹长度[0,1]值越大，尾迹越长重
    				symbol: 'arrow', //箭头图标
    				symbolSize: 5, //图标大小
    			},
    			lineStyle: {
    				normal: {
    					width: 1, //尾迹线条宽度
    					opacity: 0, //尾迹线条透明度
    					curveness: .3 //尾迹线条曲直度
    				}
    			},
    			data: newdata1
		}, 
		{
    			type: 'effectScatter',
    			coordinateSystem: 'geo',
    			zlevel: 2,
    			rippleEffect: { //涟漪特效
    				period: 4, //动画时间，值越小速度越快
    				brushType: 'stroke', //波纹绘制方式 stroke, fill
    				scale: 40 //波纹圆环最大限制，值越大波纹越大
    			},
    			label: {
    				normal: {
    					show: true,
    					position: 'right', //显示位置
    					offset: [5, 0], //偏移设置
    					formatter: function(params){//圆环显示文字
    						return params.name;
    					},
    					fontSize: 8
    				},
    				emphasis: {
    					show: true
    				}
    			},
    			symbol: 'circle',
    			symbolSize: function(val) {
    				return 0.5; //圆环大小
    			},
    			itemStyle: {
    				normal: {
    					show: true,
    					color: '#f00'
    				}
    			},
    			data: item[1].map(function(dataitem) {
				var c = [], a;
                                if (maptype == "world")
                                        a = worldgeo[dataitem.name];
                                else
                                        a = geoCoordMap[dataitem.name];
				if (typeof a != "undefined") {
					return {name:dataitem.name, value:a.concat(dataitem.value)};
				}
    			}),
    		},
    		//被攻击点
    		{
    			type: 'scatter',
    			coordinateSystem: 'geo',
    			zlevel: 2,
    			rippleEffect: {
    				period: 4,
    				brushType: 'stroke',
    				scale: 4
    			},
    			label: {
    				normal: {
    					show: true,
    					position: 'right',
    					//offset:[5, 0],
    					color: '#00eaff',
    					formatter: '{b}',
    					textStyle: {
    						color: "#00eaff"
    					}
    				},
    				emphasis: {
    					show: true
    				}
    			},
    			symbol: 'pin',
    			symbolSize: 40,
    			itemStyle: {
    				normal: {
    					show: true,
    					color: '#0ff'
    				}
    			},
    			data: [{
    				name: item[0],
    				value: 500,
    			}],
    		});
    	});

	var option = {
    		tooltip: {
    			trigger: 'item',
    			//backgroundColor: '#000', //rgba(12, 204, 104, 0.92)
    			//borderColor: '#FFFFCC',
    			showDelay: 0,
    			hideDelay: 0,
    			//enterable: true,
    			//transitionDuration: 0,
    			//extraCssText: 'z-index:100',
			textStyle: {
				fontSize: 12
			},
    			formatter: function(params, ticket, callback) {
    				var res = "";
    				var value = params.value;
    				res = value;
    				return res;
    			}
    		},
    		backgroundColor:"#1c1c1c",
    		visualMap: {
			show: true,
    			min: 0,
    			max: max,
    			calculable: true,
    			color: ['#DC0808', '#f44336', '#fc9700', '#ffde00', '#ffde00', '#00eaff'],
    			textStyle: {
    				color: '#fff'
    			}
    		},
		geo: {
			map: maptype,
			label: {
				emphasis: {
					show: false
				}
			},
			roam: true, //是否允许缩放
			layoutCenter: ["50%", "55%"], //地图位置
			layoutSize: per,
			itemStyle: {
				normal: {
					areaColor: '#323c48',
					borderColor: '#8F98A6'
				},
				emphasis: {
					areaColor: '#2a333d'
				}
			}
		},
    		series: series
    	};
	mychart.setOption(option);

	mychart.off("click");
	mychart.on('click', function (params) {
		if (!confirm("确定要设置\""+params.name+"\"为中心点吗"))
			return false;

		settodst(params.name);
		_todst = params.name;

		createmap('china', 'chinamap');
	});
}

function settodst(dstname)
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'settodst', dstname: dstname},
		dataType: 'json',
		success: function(json) {
		}
	})
}

function gettodst()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'gettodst'},
		success: function(json) {
			if (json != "0" && json != "")
				_todst = json;
			
			createmap('china', 'chinamap');
		}
	})
}

function trend()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'flowtrend'},
		dataType:'json',
		success: function(json) {
			createflowtrend(json, "flowtrend");
		}
	})
}

function createflowtrend(json, render)
{
	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var fontfamily = "微软雅黑";
	var fontsize = 12;

	var option = {
		tooltip: {
			trigger: 'axis',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++)
					htm += '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				return htm;
			}
		},
		legend: {
			show: true,
			right: 0,
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		title: {
			text: null,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: false 
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: json.date
		},
		grid: {
			left: '35',
			top: '15',
			right:'5',
			bottom:'25'
		},
		yAxis: {
			type: 'value',
			minInterval: 1,
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: false 
			},
			nameTextStyle: {
				fontSize: 8,
				color: '#ddd',
				fontFamily: 'Microsoft YaHei'
			},
			axisLine: {
				show: false,
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			}
		},
		series: [{
			name: "上行速率",
			type:'line',
			stack: '总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			areaStyle: {
				normal: {
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0,
						color: 'rgba(135,121,164, 0.8)'
					}, {
					offset: 0.8,
					color: 'rgba(135,121,164, 0)'
					}], false),
					shadowColor: 'rgba(0, 0, 0, 0.4)',
					shadowBlur: 10
				}
			},
			itemStyle: {
				normal: {
					color: 'rgb(135,121,164)',
					borderColor: 'rgba(135,121,164,0.2)',
					borderWidth: 12

				}
			},
			data: json.up
		}, {
			name: "下行速率",
			type:'line',
			stack: '总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			areaStyle: {
				normal: {
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0,
						color: 'rgba(49,143,145, 0.8)'
					}, {
					offset: 0.8,
					color: 'rgba(49,143,145, 0)'
					}], false),
					shadowColor: 'rgba(0, 0, 0, 0.1)',
					shadowBlur: 10
				}
			},
			itemStyle: {
				normal: {
					color: 'rgb(49,143,145)',
					borderColor: 'rgba(49,143,145,0.2)',
					borderWidth: 12

				}
			},
			data: json.down
		}]
	};

	chart.setOption(option);
}

function conntrend()
{
	$.ajax({
		url: 'ajax_assets.php',
		type: 'post',
		data: {action: 'flowtrend'},
		dataType:'json',
		success: function(json) {
			createconntrend(json, "conntrend");
		}
	})
}

function createconntrend(json, render)
{
	var dom = document.getElementById(render);
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var fontfamily = "微软雅黑";
	var fontsize = 12;

	var option = {
		tooltip: {
			trigger: 'axis',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++)
					htm += '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				return htm;
			}
		},
		legend: {
			show: true,
			right: 0,
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		title: {
			text: null,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: false 
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: json.date
		},
		grid: {
			left: '35',
			top: '15',
			right:'5',
			bottom:'25'
		},
		yAxis: {
			type: 'value',
			minInterval: 1,
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: false 
			},
			nameTextStyle: {
				fontSize: 8,
				color: '#ddd',
				fontFamily: 'Microsoft YaHei'
			},
			axisLine: {
				show: false,
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			}
		},
		series: [{
			name: "连接数",
			type:'line',
			stack: '总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			areaStyle: {
				normal: {
					color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
						offset: 0,
						color: 'rgba(135,121,164, 0.8)'
					}, {
					offset: 0.8,
					color: 'rgba(135,121,164, 0)'
					}], false),
					shadowColor: 'rgba(0, 0, 0, 0.4)',
					shadowBlur: 10
				}
			},
			itemStyle: {
				normal: {
					color: 'rgb(135,121,164)',
					borderColor: 'rgba(135,121,164,0.2)',
					borderWidth: 12

				}
			},
			data: json.flow
		}]
	};

	chart.setOption(option);
}

gettodst();
currentnum();
gettitle();
isshowatdashboard();
trend();
conntrend();
dstlist();
srclist();
tophost();
applist();
topport('topport');
topport('sensitive');
newdomain();
createmap('world', "worldmap");
createmap('china', "chinamap");
assdelay();

setInterval(function(){
	setTimeout(currentnum, 5000);
	setTimeout(dstlist, 10000);
	setTimeout(srclist, 15000);
	setTimeout(tophost, 20000);
	setTimeout(applist, 25000);
	setTimeout(function() {topport('topport')}, 30000);
	setTimeout(function() {topport('sensitive')}, 30000);
	setTimeout(newdomain, 35000);
	setTimeout(function() {createmap('world', 'worldmap')}, 45000);
	setTimeout(function() {createmap('china', 'chinamap')}, 50000);
	setTimeout(assdelay, 55000);
	setTimeout(trend, 55000);
	setTimeout(conntrend, 55000);
	setTimeout(flowalert_list, 55000);
}, 60000);

function timingswitch()
{
	var s = '<div style="padding:20px 30px 10px 0;">';
	s += '<form class="layui-form" action="">';
	s += '<div class="layui-form-item">';
	s += '<label class="layui-form-label">切换间隔</label>';
	s += '<div class="layui-input-inline">';
	s += '<input type="text" name="switchtime" value=0 id="switchtime" required  lay-verify="required" autocomplete="off" class="layui-input">';
	s += '</div>';
	s += '<div class="layui-form-mid layui-word-aux">秒</div>';
	s += '</div>';
	s += '</div>';

	layer.open({
		type: 1,
		title:'定时设置',
		area:["400px", "200px"],
		shadeClose:true,
		content:s,
		btn:['提交', '取消'],
		btn1:function(index, layero){
			var st = $("#switchtime").val();
			if (st > 1 && st < 10) {
				st = 10;
			}
			$.ajax({
				url: 'ajax_databoard.php',
				data:{action:'switchtime_set', st:st},
				type:'post',
				dataType:'json',
				success:function(json){
					layer.msg("操作成功");
					layer.close(index);
				}
			});
		},
		btn2:function(index, layero) {
			layer.close(index);
		},
		success:function() {
			$.ajax({
				url: 'ajax_databoard.php',
				data:{action:'switchtime_get'},
				type:'post',
				success:function(data){
					$("#switchtime").val(data);
					form.render();
				}
			});
		}
	});
}

var layer, form, laypage;
layui.use(['layer', 'form', 'laypage'], function(){
	layer = layui.layer, form = layui.form, laypage = layui.laypage;
	flowalert_list();

	$("#boardswitch").change(function(){
		var v = $(this).val();
		switch(v) {
			case "":
				break;

			case "timingswitch":
				timingswitch();
				break;

			default:
				location.href=v;
		}
	});

	$.ajax({
		url: 'ajax_databoard.php',
		data:{action:'switchtime_get'},
		type:'post',
		success:function(data){
			var st = parseInt(data);
			if (st >= 10) {
				setTimeout(function(){location.href="databoard.php"}, st * 1000);
			}
		}
	});
})
</script>
</body>
</html>
