<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['name']?>区域应用时延</title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">

var _json;
function action_submit()
{
	var devid = getdevice();
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'area_app', starttime:starttime, endtime:endtime, errname:errname, appid:appid, devid: devid, eventtype: 'app'},
		success:function(json) {
			cluster_load_hide();

			$(".npm-app-stat").show();

			_json = json.rows;

			createtrend(json.date, json.yclnt, "npmtrend_clnt");
			createtrend(json.date, json.ysvr, "npmtrend_svr");
			createtrend(json.date, json.yapp, "npmtrend_app");

			data_update(_json);
		}
	});
}

function data_update(json)
{
	var list = document.getElementById("applist");
	while (list.rows.length > 2)
		list.deleteRow(2);

	for (i = 0; i < json.length; i++) {
		r = json[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i + 1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		var mk = '<a href="javascript:app_trend('+r.appid+', \''+r.app_cname+'\')">'+r.app_cname+'</a>';
		cell.innerHTML = mk;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_clnt / 1000).toFixed(2);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_svr / 1000).toFixed(2);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_app / 1000).toFixed(2);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_clnt;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_svr;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_app;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
	}
}

function app_trend(appid, appcname)
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	var url = 'apptrend_popup.php?appid='+appid+'&appcname='+encodeURIComponent(appcname)+'&starttime='+starttime+'&endtime='+endtime;

	ShowWindow(url, "", 800, 700);
}

function compare(pro)
{
	return function(a, b) {
		var v1 = a[pro];
		var v2 = b[pro];

		return v2 - v1;
	}
}

function title_sort(sort)
{
	var json = _json;

	var json2 = json.sort(compare(sort));

	data_update(json2);
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function createtree()
{
	var data;
	var devid;

	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	load_show();
	$.ajax({
		url:'../user_behavior/tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];

				if (r.name != "root")
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect("+r.id+", '"+r.name+"', '"+r.cname+"')");
				else
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect(1044, 'any', '"+r.cname+"')");
			}

			var tree = trees.toString();
			$("#treelist").html(tree);

			data.result.length = 0;

			load_hide();
		}
	})
}

function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+
			r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	if (appid == 1044)
		appid = -1;
	$("#hidappid").val(appid);
	$("#hidname").val(name);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

function createtrend(xdate, data, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "npmtrend_clnt":
		title = "客户端时延/ms";
		break;
	case "npmtrend_svr":
		title = "服务时延/ms";
		break;
	case "npmtrend_app":
		title = "应用时延/ms";
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 14;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			}
		},
		title: {
			left: '1%',
			text: title,
			top:20,
			textStyle: {
				fontFamily: fontfamily,
				fontSize: fontsize
			}
		},
		xAxis: {
			type: 'category',
			data: xdate,
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		grid: {
			left: '8%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				areaStyle: {
				},
				data: data
			}
		]
	};

	myChart.setOption(option);
}

</script>
</head>

<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="所有协议" style="width:70px" readonly />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="hidden" value="any" id="hidname" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = strtotime("now");
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
				<input type="text" id="endmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="action_submit()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="npm-app-stat" style="display:none;">
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden;">
			<div id="npmtrend_clnt" style="width:100%;height:300px;overflow:hidden">
			</div>
			<div style="position:absolute;right:10px;top:20px;">
				<a class="layui-btn layui-btn-xs" href="javascript:history_3day('clnt')">对比分析</a>
			</div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="npmtrend_svr" style="width:100%;height:300px;overflow:hidden">
			</div>
			<div style="position:absolute;right:10px;top:20px;">
				<a class="layui-btn layui-btn-xs" href="javascript:history_3day('svr')">对比分析</a>
			</div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="npmtrend_app" style="width:100%;height:300px;overflow:hidden">
			</div>
			<div style="position:absolute;right:10px;top:20px;">
				<a class="layui-btn layui-btn-xs" href="javascript:history_3day('app')">对比分析</a>
			</div>
			<div style="clear:both;"></div>
		</div>
		<div style="clear:both;"></div>
	</div>
	<div class="topapp-list-table npm-app-stat" style="display:none;">
		<table id="applist" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" rowspan="2" style="width:30px;">序号</th>
				<th class="txt-left" width="100px" rowspan="2">协议名称</th>
				<th class="txt-right" colspan="3">最大时延ms</th>
				<th class="txt-right" colspan="3">平均时延ms</th>
			       	<th class="txt-right" colspan="2">流量byte</th>
			</tr>
			<tr>
				<th class="txt-right"><a href="javascript:title_sort('max_clnt')">客户端</a></th>
				<th class="txt-right"><a href="javascript:title_sort('max_svr')">服务</a></th>
				<th class="txt-right"><a href="javascript:title_sort('max_app')">应用</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_clnt')">客户端</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_svr')">服务</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_app')">应用</a></th>
				<th class="txt-right"><a href="javascript:title_sort('up')">上行</a></th>
				<th class="txt-right"><a href="javascript:title_sort('down')">下行</a></th>
			</tr>
	       	</table>
	</div>
</div>
<script>
showdevicetree();
function history_3day(datatype)
{
	var appcname = $("#appcname").val();

	var devid = getdevice();
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	var url = 'history_3day.php?appid='+appid+'&appcname='+encodeURIComponent(appcname)+'&starttime='+starttime+'&endtime='+endtime+'&devid='+devid+'&datatype='+datatype;

	ShowWindow(url, "", 800, 700);
}
</script>
</body>
</html>

