<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = $_GET['id'];
$cname = $_GET['cname'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['name']?>区域应用时延</title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">

var _json;
function action_submit(sort)
{
	var devid = $("#devid").val();
	var appid = $("#appid").val();
	var name = $("#name").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var type = $("#type").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'area_app', eventtype: type, starttime:starttime, endtime:endtime, errname:errname, appid:appid, devid: devid, sort:sort, areaname: name},
		success:function(json) {
			cluster_load_hide();
			data_update(json.rows);
			_json = json.rows;
		}
	});
}

function appview(appid, cname)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;

	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var grpid = 0;
	var iptype = "ipcustom";
	if ($("[name='isipgrp']").attr("checked")) {
		grpid = $("#ipgroup").val();
		iptype = "ipgrp";
	}

	window.open("../content-apply/app_iplist.php?devid="+devid+"&account="+account+
		"&appid="+appid+"&cname="+cname+"&starttime="+starttime+
		"&endtime="+endtime+"&ipaddr="+ipaddr+"&iptype="+iptype+"&grpid="+grpid, 
		"_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function data_update(json)
{
	var list = document.getElementById("applist");
	while (list.rows.length > 2)
		list.deleteRow(2);

	for (i = 0; i < json.length; i++) {
		r = json[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i + 1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.app_cname;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.app_cnt;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_clnt / 1000).toFixed(2);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_svr / 1000).toFixed(2);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_app / 1000).toFixed(2);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_clnt;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_svr;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_app;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
	}
}

function compare(pro)
{
	return function(a, b) {
		var v1 = a[pro];
		var v2 = b[pro];

		return v2 - v1;
	}
}

function title_sort(sort)
{
	var json = _json;

	var json2 = json.sort(compare(sort));

	data_update(json2);
}
</script>
</head>

<body>
<div>
	<input type="hidden" value="<?=$_GET['type']?>" id="type" />
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['name']?>" id="name" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />

	<div class="topapp-list-table">
		<table id="applist" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" rowspan="2" style="width:30px;">序号</th>
				<th class="txt-left" width="100px" rowspan="2">协议名称</th>
				<th class="txt-right" rowspan="2"><a href="javascript:title_sort('count')">连接数</a></th>
				<th class="txt-right" colspan="3">最大时延ms</th>
				<th class="txt-right" colspan="3">平均时延ms</th>
			       	<th class="txt-right" colspan="2">流量byte</th>
			</tr>
			<tr>
				<th class="txt-right"><a href="javascript:title_sort('max_clnt')">客户端</a></th>
				<th class="txt-right"><a href="javascript:title_sort('max_svr')">服务</a></th>
				<th class="txt-right"><a href="javascript:title_sort('max_app')">应用</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_clnt')">客户端</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_svr')">服务</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_app')">应用</a></th>
				<th class="txt-right"><a href="javascript:title_sort('up')">上行</a></th>
				<th class="txt-right"><a href="javascript:title_sort('down')">下行</a></th>
			</tr>
	       	</table>
	</div>
</div>
<script>
action_submit("avg_svr");
</script>
</body>
</html>

