<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var _cachefile = '';
function npm_sum()
{
	var devid = $("#devid").val();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());
	var dstip = TrimAll($("#dstip").val());
	var appid = $("#appid").val();
	var domain = TrimAll($("#domain").val());
	var areaname = TrimAll($("#areaname").val());
	var clnt_mindelay = TrimAll($("#clnt_mindelay").val());
	var svr_mindelay = TrimAll($("#svr_mindelay").val());
	var app_mindelay = TrimAll($("#app_mindelay").val());

	// 上行重传率
	var up_retmix = TrimAll($("#up_retmix").val());
	// 下行重传率
	var down_retmix = TrimAll($("#down_retmix").val());

	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	// 源IP群组
	var srciptype = $("#srciptype").val();	/* 自定义 */
	var srcipgrp = $("#srcipgrp").val();
	var dstiptype = $("#dstiptype").val();	/* 自定义 */
	var dstipgrp = $("#dstipgrp").val();

	var sport = $("#srcport").val();
	var dport = $("#dstport").val();
	var ptype = $("#ptype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	_cachefile = getcachefile();

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{
			action: 'npm_sum'
			,ipaddr:ipaddr
			,starttime:starttime
			,endtime:endtime
			,errname:errname
			,appid:appid
			,devid: devid
			,account: account
			,dstip: dstip
			,clnt_mindelay:clnt_mindelay
			,svr_mindelay:svr_mindelay
			,app_mindelay:app_mindelay
			,domain:domain
			,fullmatch:1 
			,sport:sport
			,dport:dport
			,ptype:ptype
			,srciptype: srciptype
			,srcipgrp:srcipgrp
			,areaname:areaname
			,dstiptype:dstiptype
			,dstipgrp:dstipgrp
			,up_retmix:up_retmix
			,down_retmix:down_retmix
			,cachefile:_cachefile
		},
		success:function(json) {
			cluster_load_hide();

			show_srcip(_query_action.list);
			show_dstip(_query_action.list);
			show_app(_query_action.list);
		}
	});
}

// 累计连接数
var _sort = 'total';
function show_srcip(bexport)
{
	var errname = (new Date()).getTime()+'.st';

	table.render({
		elem: '#srctable',
		url: 'ajax_npm.php',
		where:{action:'npmsum_srclist', cachefile:_cachefile, errname:errname, sort:_sort, bexport:bexport},
		method:'post',
		autoSort: false,
		page:true,
		toolbar:true,
		defaultToolbar:['clearCache', 'filter', 'print',{
			title:'导出'
			,layEvent:'event-export'
			,icon:'layui-icon-export'
		}],
		cols:[[
			{field:'id', width:30,title:'序号', fixed:'center'}
			,{field:'ip', title:'源IP', fixed:'left'}
			,{field:'total', title:'连接数', fixed:'right', sort:true}
			,{field:'max', title:'最大时延', fixed:'right', sort:true}
			,{field:'delay', title:'平均时延', fixed:'right', sort:true}
		]]
	});

	table.on('sort(ft-npmsum-src)', function(obj){
		_sort = obj.field;
		table.reload('srctable', {
			initSort:obj
			,where: {
				sort:obj.field
				,order:obj.type
			}
		});
	});

	table.on('toolbar(ft-npmsum-src)', function(obj){
		switch (obj.event) {
		case 'event-export':
			var url = 'ajax_npm.php?action=npmsum_srclist&bexport='+(_query_action.excel)+'&cachefile='+_cachefile+'&sort=delay';
			window.open(url);
			break;
		}
	})
}

function show_dstip(bexport)
{
	var errname = (new Date()).getTime()+'.st';

	table.render({
		elem: '#dsttable',
		url: 'ajax_npm.php',
		where:{action:'npmsum_dstlist', cachefile:_cachefile, errname:errname, sort:_sort, bexport:bexport},
		method:'post',
		autoSort: false,
		title:'目标IP/服务时延',
		page:true,
		toolbar:true,
		defaultToolbar:['clearCache', 'filter', 'print',{
			title:'导出'
			,layEvent:'event-export'
			,icon:'layui-icon-export'
		}],
		cols:[[
			{field:'id', width:30,title:'序号', fixed:'center'}
			,{field:'ip', title:'目标IP', fixed:'left'}
			,{field:'total', title:'连接数', fixed:'right', sort:true}
			,{field:'max', title:'最大时延', fixed:'right', sort:true}
			,{field:'delay', title:'平均时延', fixed:'right', sort:true}
		]]
	});

	table.on('sort(ft-npmsum-dst)', function(obj){
		_sort = obj.field;
		table.reload('dsttable', {
			initSort:obj
			,where: {
				sort:obj.field
				,order:obj.type
			}
		});
	});

	table.on('toolbar(ft-npmsum-dst)', function(obj){
		switch (obj.event) {
		case 'event-export':
			var url = 'ajax_npm.php?action=npmsum_dstlist&bexport='+(_query_action.excel)+'&cachefile='+_cachefile+'&sort=delay';
			window.open(url);
			break;
		}
	})
}

function show_app(bexport)
{
	var errname = (new Date()).getTime()+'.st';

	table.render({
		elem: '#apptable',
		url: 'ajax_npm.php',
		where:{action:'npmsum_applist', cachefile:_cachefile, errname:errname, sort:_sort, bexport:bexport},
		method:'post',
		autoSort: false,
		page:true,
		toolbar:true,
		defaultToolbar:['clearCache', 'filter', 'print',{
			title:'导出'
			,layEvent:'event-export'
			,icon:'layui-icon-export'
		}],
		cols:[[
			{field:'id', width:30,title:'序号', fixed:'center'}
			,{field:'cname', title:'协议名称', fixed:'left'}
			,{field:'appid', hide:true}
			,{field:'total', title:'连接数', fixed:'right', sort:true}
			,{field:'max', title:'最大时延', fixed:'right', sort:true}
			,{field:'delay', title:'平均时延', fixed:'right', sort:true}
		]]
	});

	table.on('sort(ft-npmsum-app)', function(obj){
		_sort = obj.field;
		table.reload('apptable', {
			initSort:obj
			,where: {
				sort:obj.field
				,order:obj.type
			}
		});
	});

	table.on('toolbar(ft-npmsum-app)', function(obj){
		switch (obj.event) {
		case 'event-export':
			var url = 'ajax_npm.php?action=npmsum_applist&bexport='+(_query_action.excel)+'&cachefile='+_cachefile+'&sort=delay';
			window.open(url);
			break;
		}
	})
}
</script>
</head>

<body>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['srcipgrp']?>" id="srcipgrp" />
	<input type="hidden" value="<?=$_GET['srciptype']?>" id="srciptype" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['down_retmix']?>" id="down_retmix" />
	<input type="hidden" value="<?=$_GET['up_retmix']?>" id="up_retmix" />
	<input type="hidden" value="<?=$_GET['app_mindelay']?>" id="app_mindelay" />
	<input type="hidden" value="<?=$_GET['svr_mindelay']?>" id="svr_mindelay" />
	<input type="hidden" value="<?=$_GET['clnt_mindelay']?>" id="clnt_mindelay" />
	<input type="hidden" value="<?=$_GET['areaname']?>" id="areaname" />
	<input type="hidden" value="<?=$_GET['domain']?>" id="domain" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['dstip']?>" id="dstip" />
	<input type="hidden" value="<?=$_GET['account']?>" id="account" />
	<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
	<input type="hidden" value="<?=$_GET['dstiptype']?>" id="dstiptype" />
	<input type="hidden" value="<?=$_GET['dstipgrp']?>" id="dstipgrp" />
	<input type="hidden" value="<?=$_GET['sport']?>" id="sport" />
	<input type="hidden" value="<?=$_GET['dport']?>" id="dport" />
	<input type="hidden" value="<?=$_GET['ptype']?>" id="ptype" />

<div class="outer">
	<div class="npmsumouter">
		<div style="position:relative;float:left;width:33%;">
			<table id="srctable" lay-filter="ft-npmsum-src"></table>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;margin-left:6px;">
			<table id="dsttable" lay-filter="ft-npmsum-dst"></table>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;margin-left:6px;">
			<table id="apptable" lay-filter="ft-npmsum-app"></table>
			<div style="clear:both;"></div>
		</div>
		<div style="clear:both;"></div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script>
var layer, table;
layui.use(['layer', 'table'], function(){
	layer = layui.layer, table = layui.table;

	npm_sum();
});
</script>
</body>
</html>

