<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/world.js"></script>
</head>

<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="area_stat.php">国内时延</a></li>
			<li class="active"><a href="world_stat.php">全球时延</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="所有协议" style="width:70px" readonly />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="hidden" value="any" id="hidname" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = strtotime("now");
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" />时
				<input type="text" id="endmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="getdata()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div style="float:left; width:33%;display:none;" class="countryinfo">
		<div style="width:100%;height:300px;overflow:hidden;" id="mychart_clnt"></div>
		<div class="topapp-list-table">
			<table id="clnt_detail" style="width:100%">
				<tr>
					<th class="txt-center" style="width:30px;">序号</th>
					<th class="txt-center">区域名称</th>
					<th class="txt-right"><a href="javascript:title_sort('clnt_detail', 'count')">连接数</a></th>
					<th class="txt-right"><a href="javascript:title_sort('clnt_detail', 'max')">最大时延(ms)</a></th>
					<th class="txt-right"><a href="javascript:title_sort('clnt_detail', 'avg')">平均时延(ms)</a></th>
					<th class="txt-right">流量/byte<br/><a href="javascript:title_sort('clnt_detail', 'up')">上行</a>/<a href="javascript:title_sort('clnt_detail', 'down')">下行</a></th>
				</tr>
			</table>
		</div>
	</div>
	<div style="float:left; width:33%;display:none;" class="countryinfo">
		<div style="width:100%;height:300px;overflow:hidden;" id="mychart_svr"></div>
		<div class="topapp-list-table">
			<table id="svr_detail" style="width:100%">
				<tr>
					<th class="txt-center" style="width:30px;">序号</th>
					<th class="txt-center">区域名称</th>
					<th class="txt-right"><a href="javascript:title_sort('svr_detail', 'count')">连接数</a></th>
					<th class="txt-right"><a href="javascript:title_sort('svr_detail', 'max')">最大时延(ms)</a></th>
					<th class="txt-right"><a href="javascript:title_sort('svr_detail', 'avg')">平均时延(ms)</a></th>
					<th class="txt-right">流量/byte<br/><a href="javascript:title_sort('svr_detail', 'up')">上行</a>/<a href="javascript:title_sort('svr_detail', 'down')">下行</a></th>
				</tr>
			</table>
		</div>
	</div>
	<div style="float:left; width:33%;display:none;" class="countryinfo">
		<div style="width:100%;height:300px;overflow:hidden;" id="mychart_app"></div>
		<div class="topapp-list-table">
			<table id="app_detail" style="width:100%">
				<tr>
					<th class="txt-center" style="width:30px;">序号</th>
					<th class="txt-center">区域名称</th>
					<th class="txt-right"><a href="javascript:title_sort('app_detail', 'count')">连接数</a></th>
					<th class="txt-right"><a href="javascript:title_sort('app_detail', 'max')">最大时延(ms)</a></th>
					<th class="txt-right"><a href="javascript:title_sort('app_detail', 'avg')">平均时延(ms)</a></th>
					<th class="txt-right">流量/byte<br/><a href="javascript:title_sort('app_detail', 'up')">上行</a>/<a href="javascript:title_sort('app_detail', 'down')">下行</a></th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script>

showdevicetree();
var _json;
var _sort = "avg";

function getdata()
{
	var devid = getdevice();
	var appid = $("#hidappid").val();

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'npmcountry_check', starttime:starttime, endtime:endtime, errname:errname, devid:devid, appid:appid},
		success:function(json) {
			_json = json;

			$(".countryinfo").show();

			cluster_load_hide();

			createmap(json, "mychart_clnt");
			data_update(json, "clnt_detail");
			createmap(json, "mychart_svr");
			data_update(json, "svr_detail");
			createmap(json, "mychart_app");
			data_update(json, "app_detail");
		}
	});
}

function createmap(json, render)
{
	var dom = document.getElementById(render);
	var mychart = echarts.init(dom, "macarons");

	var data_clnt = [], data_svr = [], data_app = [];

	var min = 0, max = 0;
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		switch(render) {
		case 'mychart_clnt':
			avgclnt = r.clnt_cnt == 0 ? 0 : parseFloat((r.total_clnt / r.clnt_cnt / 1000).toFixed(2));
			data_clnt.push({"name": r.name, "value": [avgclnt, , r.cname]});

			if (min > avgclnt) min = avgclnt;
			if (max < avgclnt) max = avgclnt;
			break;
		case 'mychart_svr':
			avgsvr = r.svr_cnt == 0 ? 0 : parseFloat((r.total_svr / r.svr_cnt / 1000).toFixed(2));
			data_svr.push({"name": r.name, "value": [avgsvr, ,r.cname]})
			if (min > avgsvr) min = avgsvr;
			if (max < avgsvr) max = avgsvr;
			break;
		case 'mychart_app':
			avgapp = r.app_cnt == 0 ? 0 : parseFloat((r.total_app / r.app_cnt / 1000).toFixed(2));
			data_app.push({"name": r.name, "value": [avgapp, ,r.cname]})
			if (min > avgapp) min = avgapp;
			if (max < avgapp) max = avgapp;
			break;
		}
	}

	var a;
	switch(render) {
	case 'mychart_clnt':
		title = '客户端时延/ms';
		a = {"time": "客户端时延", "data": data_clnt};
		break;
	case 'mychart_svr':
		title = '服务时延/ms';
		a = {"time": "服务时延", "data": data_svr};
		break;
	case 'mychart_app':
		title = '应用时延/ms';
		a = {"time": "应用时延", "data": data_app};
		break;
	}

	var data = [a];

	var option = {
		baseOption: {
			animationDurationUpdate: 1000,
			animationEasingUpdate: 'quinticInOut',
			timeline: {
				show: false,
				axisType: 'category',
				orient: 'vertical',
				autoPlay: false,
				inverse: false,
				//playInterval: 5000,
				left: null,
				right: 5,
				top: 20,
				bottom: 20,
				width: 46,
				height: null,
				label: {
					normal: {
						textStyle: {
							color: '#ddd'
						}
					},
					emphasis: {
						textStyle: {
							color: '#fff'
						}
					}
				},
				symbol: 'none',
				lineStyle: {
					color: '#555'
				},
				checkpointStyle: {
					color: '#bbb',
					borderColor: '#777',
					borderWidth: 1
				},
				controlStyle: {
					showNextBtn: false,
					showPrevBtn: false,
					normal: {
						color: '#666',
						borderColor: '#666'
					},
					emphasis: {
						color: '#aaa',
						borderColor: '#aaa'
					}
				},
				data: data.map(function(ele) {
					return ele.time
				})
			},
			backgroundColor: '#fff',
			title: {
				text: title,
				left: '1%',
				top: '5%',
				textStyle: {
					fontSize: 14,
				}
			},
			tooltip: {
				textStyle: {
					fontSize: 12
				},
				formatter: function(params) {
					if (params.data && 'value' in params.data) {
						return params.data.value[2] + ': ' + params.data.value[0] + 'ms';
					}
				}
			},
			grid: {
				left: '20%',
				bottom: 20
			},
			series: [{
				id: 'map',
				type: 'map',
				mapType: 'world',
				top: '20%',
				left: 50,
				itemStyle: {
					normal: {
						areaColor: '#3E95DC',
						borderColor: '#5bc1c9'
					},
					emphasis: {
						label: {
							show: true
						},
						areaColor: 'rgba(255,255,255, 0.5)'
					}
				},
				data: []
			}]
		},
		options: []
	}

	option.options.push({
		visualMap: [{
			dimension: 0,
			left: 10,
			top: '15%',
			itemWidth: 12,
			//min: data[i].data[9].value[0],
			//max: data[i].data[0].value[0],
			min: min,
			max: max,
			text: ['高', '低'],
			textStyle: {
				color: '#000'
			},
			formatter: '{value}',
			inRange: {
				color: ['lightskyblue', 'yellow', 'orangered', 'red']
				//color: ["#f5f5f5", "#CC6666", '#FF8900', '#f00'],
			}
		}],
		series: [{
			id: 'map',
			data: data[0].data
		}]
	})

	mychart.setOption(option);
}

function data_update(json, render)
{
	var data = [];
	var avg, max;

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		switch(render) {
		case "clnt_detail":
			avg = r.clnt_cnt == 0 ? 0 : parseFloat((r.total_clnt / r.clnt_cnt / 1000).toFixed(2));
			max = parseFloat((r.max_clnt / 1000).toFixed(2));
			break;
		case "svr_detail":
			avg = r.svr_cnt == 0 ? 0 : parseFloat((r.total_svr / r.svr_cnt / 1000).toFixed(2));
			max = parseFloat((r.max_svr / 1000).toFixed(2));
			break;
		case "app_detail":
			avg = r.app_cnt == 0 ? 0 : parseFloat((r.total_app / r.app_cnt / 1000).toFixed(2));
			max = parseFloat((r.max_app / 1000).toFixed(2));
			break;
		default:
			break;
		}

		data.push({name:r.cname, avg:avg, max:max, count: r.count, up: r.up, down: r.down});
	}

	/* sort */
	for (i = 0; i < data.length; i++) {
		for (j = i; j < data.length; j++) {
			if (_sort == "avg") {
				if (data[i].avg < data[j].avg) {
					t = data[i];
					data[i] = data[j];
					data[j] = t;
				}
			}
			else
			if (_sort == "count") {
				if (data[i].count < data[j].count) {
					t = data[i];
					data[i] = data[j];
					data[j] = t;
				}
			}
			else
			if (_sort == "up") {
				if (data[i].up < data[j].up) {
					t = data[i];
					data[i] = data[j];
					data[j] = t;
				}
			}
			else
			if (_sort == "down") {
				if (data[i].down < data[j].down) {
					t = data[i];
					data[i] = data[j];
					data[j] = t;
				}
			}
			else {
				if (data[i].max < data[j].max) {
					t = data[i];
					data[i] = data[j];
					data[j] = t;
				}
			}
		}
	}

	var list = document.getElementById(render);
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < data.length; i++) {
		r = data[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i + 1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<a href="javascript:area_app(\''+r.name+'\')">' + r.name + '</a>';

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.count;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.max;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up) + '/' + numberformats(r.down);
	}
}

function title_sort(render, sort)
{
	var json = _json;
	_sort = sort;

	data_update(json, render)
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function createtree()
{
	var data;
	var devid;

	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	load_show();
	$.ajax({
		url:'../user_behavior/tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];

				if (r.name != "root")
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect("+r.id+", '"+r.name+"', '"+r.cname+"')");
				else
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect(1044, 'any', '"+r.cname+"')");
			}

			var tree = trees.toString();
			$("#treelist").html(tree);

			data.result.length = 0;

			load_hide();
		}
	})
}

function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+
			r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	if (appid == 1044)
		appid = -1;
	$("#hidappid").val(appid);
	$("#hidname").val(name);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

function area_app(name)
{
	var devid = getdevice();
	var appid = $("#hidappid").val();

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':0';
	
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;

	window.open("area_app.php?type=world&devid="+devid+"&appid="+appid+
		"&name="+encodeURIComponent(name)+"&starttime="+starttime+
		"&endtime="+endtime, "_blank", 
		"width="+w+"px, height="+h+"px, left="+l+"px");
}

</script>

</body>
</html>














