<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("nocookie", "");
	exit;
}

function lsdir_dir($path)
{
	$ret = array();

	if(is_dir($path) && $dh = opendir($path)){
			while (($file = readdir($dh)) !== false) {
				if($file != "." && $file != "..") {
					if (is_dir($path . '/' . $file)) {
						array_push($ret, $file);
					}
				}
			}
			closedir($dh);
	}

	return $ret;
}


$action = "";
if (isset($_POST["action"]))
	$action = postval("action");

if ($action == "mailcious_upload")
{
	$upfile = $_FILES["mail_upload"];
	if (strstr($upfile['name'], "db") === false) {
		echo "<script type='text/javascript'>alert('错误的文件名称。');</script>";
		exit;
	}

	$dst = "/usr/logd/bin/panalog.db";
	if (! move_uploaded_file($upfile['tmp_name'], $dst)) {
		echo "<script type='text/javascript'>alert('文件上传失败!');</script>";
		exit(0);
	}
	if(!is_dir("/usr/logd/bin/mailcious/"))
		exec("mkdir -p /usr/logd/bin/mailcious/");
	
	exec("rm -rf /usr/logd/bin/mailcious/*");
	exec("tar zxf $dst -C /usr/logd/bin/mailcious/");
	exec("rm /usr/logdata/file_cluster/*.update");

	echo "<script type='text/javascript'>alert('文件上传成功!');</script>";
}

if ($action == "mailcious_download_enable")
{
	setconfig("mailcious_download_auto", 1);
}

if ($action == "mailcious_download_disable")
{
	setconfig("mailcious_download_auto", 0);
}

if ($action == "mailcious_type")
{
	$type = postval("type");
	setconfig("mailcious_type", $type);
}


if ($action == "mailcious_enable")
{
	$cmd = PANALOGEYE." mailcious2 config enable=1";
	exec($cmd, $out, $ret);
}

if ($action == "mailcious_disable")
{
	$cmd = PANALOGEYE." mailcious2 config enable=0";
	exec($cmd, $out, $ret);
}

if ($action == "mailcious_list")
{
	$json = $rows = array();
	$tmpfile = "/usr/logd/bin/panalog.db";
	if(!file_exists($tmpfile))
		exit;
	$fsize = filesize($tmpfile);
	//$fsize = trim($fsize);
	
	if(!file_exists("/usr/logd/bin/mailcious/version.inf"))
		exit;
	$conf = file_get_contents("/usr/logd/bin/mailcious/version.inf");
	$tmp_arr = explode("=", $conf);
	$fctime = date("Y/m/d H:i:s",$tmp_arr[1]);
	$json["name"] = "panalog.db";
	$json["size"] = $fsize;
	$json["atime"] = $fctime;

	//$d = "/usr/logd/bin/";
	/*if (($dir = opendir($d)) != false) {
		while (($fp = readdir($dir)) != false) {
			if ($fp == "." || $fp == "..")
				continue;
			if (strstr($fp, "mailcious-") == false)
				continue;
			array_push($rows, array(
				"name"=>$fp,
				"size"=>filesize($d."/".$fp),
				"atime"=>date('Y/m/d H:i:s', filemtime($d."/".$fp))
			));
		}
		closedir($dir);
	}*/
	array_push($rows,$json);
	echo json_encode($rows);
	
	
}



if($action == "secure_event_list")
{
	$data_pdir = "/usr/logdata/events/";
	$dir = lsdir_dir($data_pdir);
	$json = $rows = array();

	foreach($dir as $api) {
		$fpath = "{$data_pdir}/{$api}";
		if ($dh = opendir($fpath)) {
			while (($file = readdir($dh)) !== false) {
				if($file == "." || $file == "..")
					continue;
				
				array_push($rows,
					array(
						"filename"=>$file,
						"filesize"=>filesize($fpath."/".$file),
						"filetype"=>$api
				));	
			}
		}	
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);

}


if($action == "secure_event_delete")
{
	$filename  = postval("filename");
	$filetype  = postval("filetype");
	
	if(!file_exists("/usr/logdata/events/".$filetype."/".$filename))
		exit;
	
	unlink("/usr/logdata/events/".$filetype."/".$filename);
	
}


if ($action == "mailcious_stop")
{
	exec("ps auxwww | grep 'trails.tar.gz' | grep -v grep | awk '{print $2}'", $out, $ret);
	if (count($out) > 0) {
		exec("kill ".$out[0]);
	}
}

if ($action == "mailcious_download")
{
	
	$arr1 = file("/usr/logd/bin/log.conf");
	
	/* 检查是否已经在下载了 */
	exec("ps auxwww | grep mailcious_download | grep -v grep", $out, $ret);
	if (count($out) > 0) {
		outputres("no", "Download already. Please try again later");
		exit;
	}
	
	foreach($arr1 as $val){
		$arr2 = explode("=",trim($val));
		if($arr2[0] == "mailcious_type"){
			$type = $arr2[1];
			exec("/usr/logd/bin/mailcious_download '$type' >/dev/null 2>&1 &");
		}
		
	}
	

	outputres("yes", "");
}

if ($action == "ntpsrc_threshold")
{
	$thre = postval("thre");

	if ($thre == "" || !is_numeric($thre)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (setconfig("ntpsrc_threshold", $thre) == false)
		ouptutres("no", "ERR_CONFIG");
	else
		outputres("yes", "");
	exit;
}

if ($action == "ntp_threshold")
{
	$thre = postval("thre");

	if ($thre == "" || !is_numeric($thre)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (setconfig("ntp_threshold", $thre) == false)
		ouptutres("no", "ERR_CONFIG");
	else
		outputres("yes", "");
	exit;
}

if ($action == "synsrc_threshold")
{
	$thre = postval("thre");

	if ($thre == "" || !is_numeric($thre)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (setconfig("synsrc_threshold", $thre) == false)
		ouptutres("no", "ERR_CONFIG");
	else
		outputres("yes", "");
	exit;
}

if ($action == "syn_threshold")
{
	$thre = postval("thre");

	if ($thre == "" || !is_numeric($thre)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (setconfig("syn_threshold", $thre) == false)
		ouptutres("no", "ERR_CONFIG");
	else
		outputres("yes", "");
	exit;
}

if ($action == "udp_threshold")
{
	$thre = postval("thre");

	if ($thre == "" || !is_numeric($thre)) {
		outputres("no", "ERR_PARAM");
		exit;
	}

	if (setconfig("udp_threshold", $thre) == false)
		ouptutres("no", "ERR_CONFIG");
	else
		outputres("yes", "");
	exit;
}

if ($action == "synflooding_src_check")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");
	$addrtype = postval("addrtype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_syn_src_flooding";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior syn_src_flooding";
	$cmd .= " 'devid=$devid' longstart=$longstart longend=$longend";
	$cmd .= " 'errfile=$errfile' 'page=$page' 'limit=$limit' appid=26 'sort=$sort'";
	if ($hascompare)
		$cmd .= " hascompare=$hascompare";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[0],
				"flowcont"=>(float)$ds[1],
				"yys"=>$ds[2],
				"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
				"position"=>iconv("gb2312", "utf-8", $ds[4]),
				"diff"=>$ds[5]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"flowcont"=>(float)$ds[1],
				"yys"=>$ds[2],
				"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
				"position"=>iconv("gb2312", "utf-8", $ds[4]),
				"diff"=>$ds[5]
			));
		}
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "ntpflooding_src_check")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hascompare = postval("hascompare");
	$sort = postval("sort");
	$addrtype = postval("addrtype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_ntp_src_flooding 'devid=$devid'";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior ntp_src_flooding 'devid=$devid'";
	$cmd .= " 'longstart=$longstart' 'longend=$longend' 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	if ($hascompare)
		$cmd .= " 'hascompare=$hascompare'";
	$cmd .= " sort=$sort";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[0],
				"flowcont"=>(float)$ds[1],
				"up"=>(float)$ds[2],
				"down"=>(float)$ds[3],
				"yys"=>$ds[4],
				"yysname"=>iconv("gb2312", "utf-8", $ds[5]),
				"position"=>iconv("gb2312", "utf-8", $ds[6]),
				"diff"=>$ds[7]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"flowcont"=>(float)$ds[1],
				"up"=>(float)$ds[2],
				"down"=>(float)$ds[3],
				"yys"=>$ds[4],
				"yysname"=>iconv("gb2312", "utf-8", $ds[5]),
				"position"=>iconv("gb2312", "utf-8", $ds[6]),
				"diff"=>$ds[7]
			));
		}
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "ntpflooding_check")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hascompare = postval("hascompare");
	$sort = postval("sort");
	$addrtype = postval("addrtype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_ntp_flooding 'devid=$devid'";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior ntp_flooding 'devid=$devid'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit' 'hascompare=$hascompare'";
	$cmd .= " 'sort=$sort'";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[0],
				"flowcont"=>(float)$ds[1],
				"up"=>(float)$ds[2],
				"down"=>(float)$ds[3],
				"yys"=>$ds[4],
				"yysname"=>iconv("gb2312", "utf-8", $ds[5]),
				"position"=>iconv("gb2312", "utf-8", $ds[6]),
				"diff"=>$ds[7]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"flowcont"=>(float)$ds[1],
				"up"=>(float)$ds[2],
				"down"=>(float)$ds[3],
				"yys"=>$ds[4],
				"yysname"=>iconv("gb2312", "utf-8", $ds[5]),
				"position"=>iconv("gb2312", "utf-8", $ds[6]),
				"diff"=>$ds[7]
			));
		}
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "udpcomp_threshold")
{
	$page = postval("page");
	$limit = postval("limit");

	$rows = $json = array();

	if (($conn = my_mysql_connect()) != false) {
		$start = ($page - 1) * $limit;
		$sql = "select ipaddr, num, diff, up, down, yysname, areaname from palog.udp_compare order by diff desc limit $start, $limit";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$yysname = iconv("gb2312", "utf-8", $row[5]);
				$areaname = iconv("gb2312", "utf-8", $row[6]);
				array_push($rows, array(
					"ipaddr"=>long2ip($row[0]),
					"num"=>$row[1],
					"diff"=>(int)$row[2],
					"up"=>(float)$row[3],
					"down"=>(float)$row[4],
					"yysname"=>$yysname,
					"areaname"=>$areaname
				));
			}
		}
		mysql_close();
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action =="udpcomp_clean")
{
	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.udp_compare";
		mysql_query($sql);
		mysql_close();
	}
}

if ($action == "ntpcomp_threshold")
{
	$page = postval("page");
	$limit = postval("limit");

	$rows = $json = array();

	if (($conn = my_mysql_connect()) != false) {
		$start = ($page - 1) * $limit;
		$sql = "select ipaddr, num, diff, yysname, areaname from palog.ntp_compare order by diff desc limit $start, $limit";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$yysname = iconv("gb2312", "utf-8", $row[3]);
				$areaname = iconv("gb2312", "utf-8", $row[4]);
				array_push($rows, array(
					"ipaddr"=>long2ip($row[0]),
					"num"=>$row[1],
					"diff"=>(int)$row[2],
					"yysname"=>$yysname,
					"areaname"=>$areaname
				));
			}
		}
		mysql_close();
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action =="ntpcomp_clean")
{
	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.ntp_compare";
		mysql_query($sql);
		mysql_close();
	}
}

if ($action == "ntpsrccomp_threshold")
{
	$page = postval("page");
	$limit = postval("limit");

	$rows = $json = array();

	if (($conn = my_mysql_connect()) != false) {
		$start = ($page - 1) * $limit;
		$sql = "select ipaddr, num, diff, yysname, areaname from palog.ntpsrc_compare order by diff desc limit $start, $limit";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$yysname = iconv("gb2312", "utf-8", $row[3]);
				$areaname = iconv("gb2312", "utf-8", $row[4]);
				array_push($rows, array(
					"ipaddr"=>long2ip($row[0]),
					"num"=>$row[1],
					"diff"=>(int)$row[2],
					"yysname"=>$yysname,
					"areaname"=>$areaname
				));
			}
		}
		mysql_close();
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action =="ntpsrccomp_clean")
{
	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.ntpsrc_compare";
		mysql_query($sql);
		mysql_close();
	}
}

if ($action == "syncomp_threshold")
{
	$page = postval("page");
	$limit = postval("limit");

	$rows = $json = array();

	if (($conn = my_mysql_connect()) != false) {
		$start = ($page - 1) * $limit;
		$sql = "select ipaddr, num, diff, yysname, areaname from palog.syn_compare order by diff desc limit $start, $limit";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$yysname = iconv("gb2312", "utf-8", $row[3]);
				$areaname = iconv("gb2312", "utf-8", $row[4]);
				array_push($rows, array(
					"ipaddr"=>long2ip($row[0]),
					"num"=>$row[1],
					"diff"=>(int)$row[2],
					"yysname"=>$yysname,
					"areaname"=>$areaname
				));
			}
		}
		mysql_close();
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action =="syncomp_clean")
{
	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.syn_compare";
		mysql_query($sql);
		mysql_close();
	}
}

if ($action == "synsrccomp_threshold")
{
	$page = postval("page");
	$limit = postval("limit");

	$rows = $json = array();

	if (($conn = my_mysql_connect()) != false) {
		$start = ($page - 1) * $limit;
		$sql = "select ipaddr, num, diff from palog.synsrc_compare order by diff desc limit $start, $limit";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$yysname = iconv("gb2312", "utf-8", $row[3]);
				$areaname = iconv("gb2312", "utf-8", $row[4]);
				array_push($rows, array(
					"ipaddr"=>long2ip($row[0]),
					"num"=>$row[1],
					"diff"=>(int)$row[2],
					"yysname"=>$yysname,
					"areaname"=>$areaname
				));
			}
		}
		mysql_close();
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action =="synsrccomp_clean")
{
	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.synsrc_compare";
		mysql_query($sql);
		mysql_close();
	}
}

if ($action == "udpflooding_check")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hascompare = postval("hascompare");
	$sort = postval("sort");
	$addrtype = postval("addrtype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_udp_flooding 'devid=$devid'";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior udp_flooding 'devid=$devid'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit' appid=6 'sort=$sort'";
	if ($hascompare)
		$cmd .= " 'hascompare=$hascompare'";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[0],
				"flowcont"=>(float)$ds[1],
				"up"=>(float)$ds[2],
				"down"=>(float)$ds[3],
				"yys"=>$ds[4],
				"yysname"=>iconv("gb2312", "utf-8", $ds[5]),
				"position"=>iconv("gb2312", "utf-8", $ds[6]),
				"diff"=>$ds[7]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"flowcont"=>(float)$ds[1],
				"up"=>(float)$ds[2],
				"down"=>(float)$ds[3],
				"yys"=>$ds[4],
				"yysname"=>iconv("gb2312", "utf-8", $ds[5]),
				"position"=>iconv("gb2312", "utf-8", $ds[6]),
				"diff"=>$ds[7]
			));
		}
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "syn_check")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	$hascompare = postval("hascompare");
	$addrtype = postval("addrtype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_syn_flooding 'devid=$devid' longstart=$longstart";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior syn_flooding 'devid=$devid' longstart=$longstart";
	$cmd .= " longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit' appid=26 'sort=$sort' 'hascompare=$hascompare'";
	exec($cmd, $out, $ret);

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[0],
				"flowcont"=>(float)$ds[1],
				"yys"=>$ds[2],
				"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
				"position"=>iconv("gb2312", "utf-8", $ds[4]),
				"diff"=>$ds[5]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"flowcont"=>(float)$ds[1],
				"yys"=>$ds[2],
				"yysname"=>iconv("gb2312", "utf-8", $ds[3]),
				"position"=>iconv("gb2312", "utf-8", $ds[4]),
				"diff"=>$ds[5]
			));
		}
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($action == "mailcious_check")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$host = urldecode(postval("host"));
	$url = urldecode(postval("url"));
	$frominfo = postval("frominfo");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$addrtype = postval("addrtype");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$bexport = postval("bexport");
	$filename = "mailcious_host".date("YmdHis");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	if ($addrtype == "ipv6")
		$addrtype = 2;
	else
		$addrtype = 1;
	$cmd = LOGDPATH."/bin/logeye user_behavior mailcious_check 'devid=$devid' longstart=$longstart addrtype=$addrtype";
	$cmd .= " longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit' 'ipaddr=$ipaddr'";
	$cmd .= " 'domain=$host' 'url=$url' 'account=$account' 'frominfo=$frominfo'";
	$cmd .= " 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	
	if ($bexport != 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}	

	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(',', trim($val, "\n"));
		array_push($rows, array(
			"uri"=>$ds[0],
			"frominfo"=>$ds[1],
			"descinfo"=>$ds[2],
			"num"=>$ds[3]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($action == "mailcious_user")
{
	$devid = postval("devid");
	$ipaddr = postval("ipaddr");
	$account = postval("account");
	$host = urldecode(postval("host"));
	$url = urldecode(postval("url"));	
	$frominfo = postval("frominfo");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$cachefile = postval("cachefile");
	$addrtype = postval("addrtype");

	$bexport = postval("bexport");
	$filename = "mailcious_user".date("YmdHis");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$total = 0;
	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_mailcious_user 'devid=$devid' longstart=$longstart";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior mailcious_user 'devid=$devid' longstart=$longstart";
	$cmd .= " longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit' 'ipaddr=$ipaddr'";
	$cmd .= " 'account=$account' 'domain=$host' 'url=$url' 'cachefile=$cachefile' 'frominfo=$frominfo'";
	$cmd .= " 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	
	
	if ($bexport != 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}	
	
	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(',', trim($val, "\n"));
		if ($ds[0] == "total") {
			$total = $ds[1];
			continue;
		}

		$account = $ds[5];
		if (json_encode($account) == false)
			$account = iconv("gb2312", "utf-8", $account);
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[1],
				"num"=>$ds[2],
				"frominfo"=>$ds[3],
				"descinfo"=>$ds[4],
				"account"=>$account
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[1]),
				"num"=>$ds[2],
				"frominfo"=>$ds[3],
				"descinfo"=>$ds[4],
				"account"=>$account
			));
		}
	}

	$json = array("rows"=>$rows, "total"=>$total);
	echo json_encode($json);
}


if ($action == "mailcious_user_dev")
{
	$devid = postval("devid");
	$host = urldecode(postval("host"));
	$url = urldecode(postval("url"));	
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$filename = "mailcious_user".date("YmdHis");
	$addrtype = postval("addrtype");

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$total = 0;
	if ($addrtype == "ipv6")
		$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_mailcious_user_dev 'devid=$devid' longstart=$longstart";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior mailcious_user_dev 'devid=$devid' longstart=$longstart";
	$cmd .= " longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	$cmd .= " 'domain=$host' 'url=$url'";
	$cmd .= " 'bexport=$bexport' 'filename=$filename'";
	exec($cmd, $out, $ret);
	
	if ($bexport != 0) {
		$json['file'] = $filename;
		echo json_encode($json);
		exit;
	}	
	
	$json = $rows = $sorts = array();
	foreach($out as $val) {
		$ds = explode(',', trim($val, "\n"));
		if ($ds[0] == "total") {
			$total = $ds[1];
			continue;
		}

		$account = $ds[5];
		if (json_encode($account) == false)
			$account = iconv("gb2312", "utf-8", $account);
		if ($addrtype == "ipv6") {
			array_push($rows, array(
				"ipaddr"=>$ds[1],
				"num"=>$ds[2],
				"frominfo"=>$ds[3],
				"descinfo"=>$ds[4],
				"account"=>$account,
				"devid"=>$ds[6]
			));
		}
		else {
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[1]),
				"num"=>$ds[2],
				"frominfo"=>$ds[3],
				"descinfo"=>$ds[4],
				"account"=>$account,
				"devid"=>$ds[6]
			));
		}
	}

	$json = array("rows"=>$rows, "total"=>$total);
	echo json_encode($json);	
}


?>
