<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
function syn_submit(sort)
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var hascompare = 0;
	if ($("[name='hascompare']").eq(0).attr("checked"))
		hascompare = 1;

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{action: 'syn_check', devid:devid, starttime:starttime, endtime:endtime, 
			errname:errname, page:page, limit:limit, sort:sort, hascompare:hascompare},
		success:function(json) {
			cluster_load_hide();
			data_update(json, hascompare);
		}
	})
}

function data_update(json, hascompare)
{
	var list = document.getElementById("ipinfo");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		var pos = 0;
		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);
		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = ((page-1)*limit)+i+1;
		col = obj.insertCell(pos++);
		col.innerHTML = r.ipaddr;
		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		if (hascompare) {
			if (r.diff > 0)
				col.innerHTML = r.diff + '<img src="../img/domain_up.png" width="16px" title="上升" >';
			else
			if (r.diff == r.flowcnt)
				col.innerHTML = r.diff + '<img src="../img/domain_add.png" width="16px" title="新增" >';
			else
				col.innerHTML = r.diff + '<img src="../img/domain_down.png" width="16px" title="下降" >';
		}else
			col.innerHTML = r.diff;

		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = r.yysname;
		col = obj.insertCell(pos++);
		col.setAttribute("align", "right");
		col.innerHTML = r.position;
		col = obj.insertCell(pos++);
	}
}

function next()
{
	page++;
	
	syn_submit();
}

function pre()
{
	page--;
	
	if (page <= 0)
		page = 1;
	
	syn_submit();
}

function button_click(sort)
{
	page = 1;
	
	syn_submit(sort);
}

function syn_threshold()
{
	var w = 900;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;
	window.open("../secure/syn_threshold.php", "_blank", "width="+w+"px, height="+height+", left="+left);
}
</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="syn.php">TOP目标</a></li>
			<li><a href="syn_src.php">TOP用户</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box als-bottom">
			<div class="als-btn-bar">
				<ul>
					<li>
						<?php
							echo getdevice();
						?>
					</li>
					<li>
<?php
$t = time() - 3600;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					</li>
					<li>
						<input type="checkbox" name="hascompare" /> 统计差量
					</li>
					<li>
						<input type="button" value="查询" onclick="button_click('flowcnt')" class="btn-extend-color" />
					</li>
					<li>
						<a href="javascript:syn_threshold()">&nbsp;&nbsp;差量阈值设置</a>
					</li>
					<li>
						<img src="../img/domain_add.png" width="12px"> 新增域名
						<img src="../img/domain_up.png" width="16px"> 上升域名
						<img src="../img/domain_down.png" width="16px"> 下降域名
				       	</li>
			       	</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="als-box">
			<div class="topapp-list-table">
				<table style="width:100%;" id="ipinfo">
					<tr>
						<th class="txt-center" width="50px">序号</th>
						<th class="txt-left" width="150px">IP地址</th>
						<th class="txt-right" width="100px"><a href="javascript:button_click('flowcnt')">访问次数</a></th>
						<th class="txt-right" width="100px"><a href="javascript:button_click('diff')">差量数</a></th>
						<th class="txt-right" width="200px">运营商</th>
					       	<th class="txt-right" style="width:200px;">地理位置</th>
					       	<th></th>
					</tr>
				</table>
			</div>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

