<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("nocookie", "");
	exit;
}

$action = postval("action");

function hosttype_cretable($conn)
{
	$sql = "create table if not exists palog.hosttype".
		"(id int not null auto_increment primary key, ".
		"name varchar(33) not null default '') ".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		return false;
	}

	return true;
}

function assets_cretable($conn)
{
	$sql = "create table if not exists palog.T_ASSETS".
		"(ID int not null auto_increment primary key, ".
		"IPADDR_PORT varchar(32) not null default '',".
		"ASSETS_NAME VARCHAR(64) not null default '') ".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		return false;
	}

	return true;
}

if ($action == "assets_import")
{
	$upfile = $_FILES["file"];

	$dstfile = "/tmp/assets.txt";
	if (! move_uploaded_file($upfile['tmp_name'], $dstfile)) {
		outputres("no", "上传文件失败");
		exit;
	}

	$rows = $inv = array();
	if (($fp = fopen($dstfile, "r")) != false) {
		$i = 0;
		while (!feof($fp)) {
			if (($buf = fgets($fp)) != false) {
				list($ipaddr_port, $name) = explode(' ', trim($buf));
				if (strlen($name) >= 64) {
					array_push($inv, array(
						"ipaddr_port"=>$ipaddr_port,
						"assets_name"=>is_utf8($name) ? $name : iconv("gb2312", "utf-8", $name)
					));
				}
				else
					array_push($rows, array(
						"id"=>(++$i),
						"ipaddr_port"=>$ipaddr_port,
						"assets_name"=>is_utf8($name) ? $name : iconv("gb2312", "utf-8", $name)
					));
			}
		}
		fclose($fp);
	}
	$json = array("code"=>0, "data"=>$rows, "count"=>count($rows), "inv"=>$inv);
	echo json_encode($json);
}

if ($action == "assets_blackimport")
{
	$upfile = $_FILES["file"];

	$dstfile = "/tmp/black_assets.txt";
	if (! move_uploaded_file($upfile['tmp_name'], $dstfile)) {
		outputres("no", "上传文件失败");
		exit;
	}

	$rows = array();
	if (($fp = fopen($dstfile, "r")) != false) {
		$i = 0;
		while (!feof($fp)) {
			if (($buf = fgets($fp)) != false) {
				list($ipaddr_port, $name) = explode(' ', trim($buf));
				array_push($rows, array(
					"id"=>(++$i),
					"ipaddr_port"=>$ipaddr_port
				));
			}
		}
		fclose($fp);
	}
	$json = array("code"=>0, "data"=>$rows, "count"=>count($rows));
	echo json_encode($json);
}

if ($action == "grphost_showip_enable")
{
	setconfig("grphost_showip", 1);
}

if ($action == "grphost_showip_disable")
{
	setconfig("grphost_showip", 0);
}

if ($action == "assets_edit_handle")
{
	$id = postval("id");
	$ipaddr_port = postval("ipaddr_port");
	$assets_name = postval("assets_name");
	if (empty($ipaddr_port)) {
		outputres("no", "NO_PARAMS");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	$sql = "update palog.T_ASSETS set IPADDR_PORT='$ipaddr_port', ASSETS_NAME='$assets_name' where ID=$id";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();

	outputres("yes", "");
	exit;
}

if ($action == "assets_blackmulremove")
{
	$data = urldecode(postval("data"));
	$json = json_decode($data);

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	foreach($json->data as $obj) {
		$sql = "delete from palog.T_ASSETS_BLACK where ipaddr_port='".$obj->ipaddr_port."'";
		mysql_query($sql);
	}
	mysql_close();
	outputres("yes", "OK");
}

if ($action == "assets_mulremove")
{
	$data = urldecode(postval("data"));
	$json = json_decode($data);

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	foreach($json->data as $obj) {
		$sql = "delete from palog.T_ASSETS where id=".$obj->key;
		mysql_query($sql);
	}
	mysql_close();
	
	outputres("yes", "OK");
}

if ($action == "assets_remove")
{
	$id = postval("id");
	if (empty($id)) {
		outputres("no", "INV_PARAM");
		exit;
	}
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	$sql = "delete from palog.T_ASSETS where id=$id";
	mysql_query($sql);
	mysql_close();

	outputres("yes", "OK");
}

if ($action == "import_assets_black_handle")
{
	$data = urldecode(postval("data"));

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	$json = json_decode($data);
	foreach($json as $obj) {
		$ipaddr_port = $obj->ipaddr_port;
		$sql = "insert into palog.T_ASSETS_BLACK(IPADDR_PORT)values('$ipaddr_port')";
		if (mysql_query($sql) == false) {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}
	mysql_close();
	outputres("yes", "");
}

if ($action == "import_assets_handle")
{
	$data = urldecode(postval("data"));

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	$json = json_decode($data);
	foreach($json as $obj) {
		$ipaddr_port = $obj->ipaddr_port;
		$assets_name = $obj->assets_name;
		$sql = "insert into palog.T_ASSETS(IPADDR_PORT, ASSETS_NAME)values('$ipaddr_port', '$assets_name')";
		if (mysql_query($sql) == false) {
			if (mysql_errno() == 1146) {
				assets_cretable($conn);
			}
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}
	mysql_close();
	
	outputres("yes", "");
}

if ($action == "assets_add_handle")
{
	$ipaddr_port = postval("ipaddr_port");
	$assets_name = postval("assets_name");
	if (empty($ipaddr_port)) {
		outputres("no", "NO_PARAMS");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	$sql = "insert into palog.T_ASSETS(IPADDR_PORT, ASSETS_NAME)values('$ipaddr_port', '$assets_name')";
	if (mysql_query($sql) == false) {
		if (mysql_errno() == 1146) {
			assets_cretable($conn);
			mysql_query($sql);
		}
		else {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}
	mysql_close();

	outputres("yes", "");
	exit;
}

if ($action == "assets_list")
{
	$page = postval("page");
	$limit = postval("limit");

	if (($conn = my_mysql_connect()) == false) {
		$json = array("code"=>1, "msg"=>"MYSQL_CONNECT_FAIL");
		echo json_encode($json);
		exit;
	}
	$count = 0;
	$sql = "select count(1) from palog.T_ASSETS";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result))
			$count = $row[0];
	}
	else if (mysql_errno() == 1146) {
		assets_cretable($conn);
		mysql_query($sql);
	}

	$i = 0;
	$rows = array();
	$start = ($page - 1) * $limit;
	$sql = "select ID, IPADDR_PORT, ASSETS_NAME from palog.T_ASSETS limit $start, $limit";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($rows, array(
				"id"=>(++$i + $start),
				"key"=>$row[0],
				"IPADDR_PORT"=>$row[1],
				"ASSETS_NAME"=>$row[2]
			));
		}
	}
	mysql_close();

	$json = array("code"=>0, "count"=>$count, "data"=>$rows);
	echo json_encode($json);
}

if ($action == "match_enable")
{
	$match_enable = postval("match_enable");

	$cmd = PANALOGEYE." session config 'session_src_match_address=$match_enable'";
	exec($cmd);
}

if ($action == "hosttype_list")
{
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}

	$sql = "select name from palog.hosttype";
	if (($result = mysql_query($sql)) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$rows = array();
	while ($row = mysql_fetch_row($result)) {
		array_push($rows, $row[0]);
	}
	mysql_close();

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($action == "hosttype_remove")
{
	$hosttype = postval("hosttype");
	if (empty($hosttype)) {
		outputres("no", "INV_PARAM");
		exit;
	}
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}
	$sql = "delete from palog.hosttype where name='$hosttype'";
	mysql_query($sql);
	mysql_close();

	outputres("yes", "OK");
}

if ($action == "hosttype_add_handle")
{
	$hosttype = postval("hosttype");
	if (empty($hosttype)) {
		outputres("no", "INV_PARAM");
		exit;
	}
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_FAIL");
		exit;
	}

	$sql = "alter table palog.hosttype modify name varchar(31) not null default ''";
	mysql_query($sql);

	$sql = "select name from palog.hosttype where name='$hosttype'";
	if (($result = mysql_query($sql)) != false) {
		if (mysql_num_rows($result) > 0) {
			mysql_close();
			outputres("no", "EXISTS");
			exit;
		}
	}
	$sql = "insert into palog.hosttype(name) values('$hosttype')";
	if (mysql_query($sql) == false) {
		if (mysql_errno() == 1146) {
			hosttype_cretable();
			mysql_query($sql);
		}
		else {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}
	mysql_close();

	outputres("yes", "OK");
}

?>
