<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var _layer, _form, _table, _upload;
layui.use(['layer', 'form', 'table', 'upload'], function() {
	_layer = layui.layer, _form = layui.form, 
	_table = layui.table, _upload = layui.upload;

	_table.render({
		elem: '#blacktable'
		,url: 'ajax_gray_assets.php'
		,where:{action:'assets_blacklist'}
		,page: true
		,toolbar:'#assetstool'
		,loading:false
		,limits:[25, 50, 100, 200]
		,smartReloadModel:true
		,method: 'post'
		,cols: [[
  			{field: 'id', title: 'ID', width:80}
  			,{type: 'checkbox'}
  			,{field: 'ipaddr_port', title: '资产IP'}
			,{field: 'content', title: '操作', width:150, align:'center', templet:function(d){
				return '<a href="javascript:void(0)" lay-event="delete">删除</a>';
			}}
		]]
	});

	_table.on('tool(blacktable)', function(obj){
		switch(obj.event) {
		case "delete":
			assets_remove(obj.data.ipaddr_port);
			break;
		}
	})

	_table.on('checkbox(blacktable)', function(obj){
		var check = _table.checkStatus('blacktable');	// id
		if (check.data.length > 0) {
			$("#mul-delete").removeClass("layui-btn-disabled");
		}
		else
			$("#mul-delete").addClass("layui-btn-disabled");
	});

	_table.on('toolbar(blacktable)', function(obj){
		switch(obj.event) {
		case "add":
			assets_add();
			break;

		case "import":
			assets_import();
			break;

		case "delete":
			assets_muldelete();
			break;
		}
	})
})

function assets_import()
{
	var s = '<div class="group-account-import" style="display:block;padding:10px;">';
	s += '<blockquote class="layui-elem-quote">';
	s += '1、导入文件的类型为文本文件。<br/>';
	s += '2、文件中内容字段分隔符为空格符号。';
	s += '</blockquote>';
	s += '<div class="sx-outer">';
	s += '&nbsp;&nbsp;<button type="button" class="layui-btn layui-btn-xs" id="xxx-upload">选择文件</button>';
	s += '</div>';
	s += '</div>';

	var dialog = _layer.open({
		type: 1,
		title: '资产导入',
		shade: [0.8, '#393D49'],
		shadeClose:0,
		area:['600px', '200px'],
		content: s,
		success:function() {
			var loading;
			var uploadInst = _upload.render({
				elem: '#xxx-upload',
			       	url: 'ajax_server.php?action=assets_blackimport',
				accept:'file',
				exts: 'txt',
				before:function(obj) {
					loading = _layer.load(0,{shade:false, time:0})
				},
				error: function(index, upload) {
					_layer.close(loading);
				},
				done:function(res, index, upload) {
					_layer.close(loading);
					if (res.yn == "no")
						_layer.msg(res.str, {icon:2, time:2000});
					else {
						//_layer.msg("导入成功", {icon:1, time:2000});
						_layer.close(dialog);
						import_assets_list(res);
					}
				}
			});
		}
	});
}

function import_assets_list(res)
{
	var s = '<div class="group-account-import" style="display:block;padding:10px;">';
	s += '<table id="import-assets-list" lay-filter="import-assets-list"></table>';
	s += '</div>';

	var dialog = _layer.open({
		type: 1,
		title: '资产列表',
		shade: [0.8, '#393D49'],
		shadeClose:1,
		area:['700px', '500px'],
		content: s,
		btn:['确定', '取消'],
		yes:function(index, layero) {
			import_assets_handle();
			_layer.close(index);
		},
		btn2:function(index, layero) {
			_layer.close(index);
		},
		success:function() {
			_table.render({
				elem:'#import-assets-list'
				,loading:false
				,smartReloadModel:true
				,data:res.data
				,page:true
				,limit:1000
				,cols:[[
					{field: 'id', title: 'ID', width:80}
					,{field: 'ipaddr_port', title: '资产IP', edit:'text'}
					,{field: 'content', title: '操作', width:150, align:'center', templet:function(d){
						return '<a href="javascript:void(0)" lay-event="delete">删除</a>';
					}}
				]]
			});

			_table.on('tool(import-assets-list)', function(obj){
				switch(obj.event) {
					case "delete":
						obj.del();
						break;
				}
		       	})
		}
	})
}

function import_assets_handle()
{
	var data = layui.table.cache["import-assets-list"];

	layer.confirm('确定要导入以上数据吗？', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			url: 'ajax_server.php',
			data:{action:'import_assets_black_handle', data:encodeURIComponent(JSON.stringify(data))},
			type:'post',
			dataType:'json',
			success:function(json){
				_table.reload('blacktable');
				_layer.closeAll();
			}
		});

		layer.close(index);
	});
}

function assets_add()
{
	var c = '<div style="padding:20px;" class="layui-form" lay-filter="assets-add">';
	c += '<div class="layui-form-item">';
	c += '<label class="layui-form-label">资产IP</label>';
	c += '<div class="layui-input-inline">';
	c += '<input type="text" name="ipaddr" required lay-verify="required" placeholder="" autocomplete="off" class="layui-input">';
	c += '</div>';
	c += '<div class="layui-form-mid layui-word-aux">可用ip:port或者直接用ip形式</div>';
	c += '</div>';
	c += '<div class="layui-form-item">';
	c += '<label class="layui-form-label">端口</label>';
	c += '<div class="layui-input-inline">';
	c += '<input type="text" name="port" value="0" required lay-verify="required" placeholder="" autocomplete="off" class="layui-input">';
	c += '</div>';
	c += '<div class="layui-form-mid layui-word-aux">端口为0时表示此IP为黑资产。</div>';
	c += '</div>';
	c += '</div>';

	var index = _layer.open({
		type: 1,
		title: '添加资产',
		shade: [0.8, '#393D49'],
		shadeClose:0,
		area:['650px', '250px'],
		content: c,
		btn:['确定', '取消'],
		yes:function(index, layero) {
			setblack();
			_layer.close(index);
		},
		btn2:function(index, layero) {
			_layer.close(index);
		},
		success:function(layero, index) {
		}
	})
}

function setblack()
{
	var data = _form.val("assets-add");
	var ipaddr= TrimAll(data.ipaddr);
	var port = data.port;
	if (ipaddr == "" || !IsIPAddr(ipaddr)) {
		layer.alert('资产IP地址不能为空', {icon: 2});
		return false;
	}
	if (port == "" || isNaN(port)) {
		layer.alert('请输入正确的端口号', {icon: 1});
		return false;
	}

	$.ajax({
		url:'ajax_gray_assets.php',
		data:{action: "assets_setblack", ipaddr:ipaddr, port:port},
		type:'post',
		dataType:'json',
		success:function(json) {
			_table.reload('blacktable');
		}
	})
}

function assets_muldelete()
{
	var check = _table.checkStatus('blacktable');	// id
	if (check.data.length == 0)
		return false;
	layer.confirm('确定要删除以上数据吗？', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			url: 'ajax_server.php',
			data: {action: 'assets_blackmulremove', data: encodeURIComponent(JSON.stringify(check))},
			dataType: 'json',
			type: 'post',
			success: function(json) {
				if (json.yn && json.yn == "no")
					alert(json.str);
				else
					_table.reload('blacktable');
			}
		})
		_layer.close(index);
	})
}

function assets_remove(ipaddr_port)
{		
	layer.confirm('确定要删除吗？', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			url:'ajax_gray_assets.php',
			data:{action: "assets_blackremove", ipaddr_port:ipaddr_port},
			type:'post',
			dataType:'json',
			success:function(json) {
				_table.reload('blacktable');
			}
		})
		_layer.close(index);
	})
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="credible_assets.php">可信资产</a></li>
			<li><a href="gray_assets.php">灰色资产</a></li>
			<li class="active"><a href="black_assets.php">黑色资产</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
		<table id="blacktable" lay-filter="blacktable"></table>
	</div>
</div>
<script type="text/html" id="assetstool">
	<div class="layui-btn-container">
		<button class="layui-btn layui-btn-normal layui-btn-xs" lay-event="add">添加资产</button>
		<button class="layui-btn layui-btn-normal layui-btn-xs" lay-event="import">导入资产</button>
		<button id="mul-delete" class="layui-btn layui-btn-normal layui-btn-xs layui-btn-disabled" lay-event="delete">批量删除</button>
	</div>
</script>
<script type="text/javascript">
</script>
</body>
</html>
