<?php
include "common.php";

$userinfo = file_get_contents('php://input');
if (empty($userinfo)) {
	outputres("no", "NO_USERINFO");
	exit;
}

$json = json_decode($userinfo);
$operation_type = $json->syncInfo->operationType;

if (($conn = my_mysql_connect()) == false) {
	outputres("no", "MYSQL_CONNECT_ERROR");
	exit;
}

$sql = $sql2 = "";

/*
 * 创建singleuser表
 */
if ($operation_type == "ADD_USER" || $operation_type == "UPDATE_USER" || 
	$operation_type == "DELETE_USER") {
	$sql = "create table if not exists palog.singleuser(".
		"id int not null auto_increment primary key, ".
		"user_id VARCHAR(32) NOT NULL DEFAULT '',".
		"account_status varchar(8) not null default '',".
		"user_name VARCHAR(200) NOT NULL DEFAULT '',".
		"user_pwd varchar(64) NOT NULL DEFAULT '',".
		"user_sex varchar(2) NOT NULL DEFAULT '',".
		"user_birthday varchar(19) NOT NULL DEFAULT '',".
		"user_post varchar(50) NOT NULL DEFAULT '',".
		"user_rank varchar(50) NOT NULL DEFAULT '',".
		"user_phone varchar(50) NOT NULL DEFAULT '',".
		"user_mobilephone varchar(50) NOT NULL DEFAULT '',".
		"user_mailaddress varchar(50) NOT NULL DEFAULT '',".
		"user_ca varchar(4000) NOT NULL DEFAULT '',".
		"user_class varchar(32) NOT NULL DEFAULT '',".
		"parent_id varchar(30) NOT NULL DEFAULT '',".
		"employee_id varchar(30) NOT NULL DEFAULT '',".
		"department_id varchar(30) NOT NULL DEFAULT '',".
		"coporation_id varchar(30) NOT NULL DEFAULT '',".
		"user_duty varchar(200) NOT NULL DEFAULT '',".
		"user_postcode varchar(50) NOT NULL DEFAULT '',".
		"user_alias varchar(100) NOT NULL DEFAULT '',".
		"user_homeaddress varchar(200) NOT NULL DEFAULT '',".
		"user_msn varchar(50) NOT NULL DEFAULT '',".
		"user_nt varchar(256) NOT NULL DEFAULT '',".
		"bxlx varchar(10) NOT NULL DEFAULT ''".
		")ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$user_id = $json->syncInfo->user->userId;
	$user_name = $json->syncInfo->user->userName;
	$employee_id= $json->syncInfo->user->employeeId;
	$department_id = $json->syncInfo->user->departmentId;
	$department_name = $json->syncInfo->user->departmentName;
	$coporation_id = $json->syncInfo->user->coporationId;
	$corporation_name = $json->syncInfo->user->corporationName;
	$user_sex = $json->syncInfo->user->userSex;
	$user_duty = $json->syncInfo->user->userDuty;
	$user_birthday = $json->syncInfo->user->userBirthday;
	$user_post = $json->syncInfo->user->userPost;
	$user_postCode = $json->syncInfo->user->userPostCode;
	$user_alias = $json->syncInfo->user->userAlias;
	$user_rank = $json->syncInfo->user->userRank;
	$user_phone = $json->syncInfo->user->userPhone;
	$user_homeaddress = $json->syncInfo->user->userHomeAddress;
	$user_mobilephone = $json->syncInfo->user->userMobilePhone;
	$user_mailaddress = $json->syncInfo->user->userMailAddress;
	$user_msn = $json->syncInfo->user->userMSN;
	$user_nt = $json->syncInfo->user->userNt;
	$user_ca = $json->syncInfo->user->userCA;
	$user_pwd = $json->syncInfo->user->userPwd;
	$user_class = $json->syncInfo->user->userClass;
	$parent_id = $json->syncInfo->user->parentId;
	$bxlx = $json->syncInfo->user->bxlx;

	switch($operation_type) {
	case "ADD_USER":
		$sql = "insert into palog.singleuser(user_id, user_name, user_pwd, account_status, user_sex, user_birthday, user_post, user_rank, user_phone, user_mobilephone, user_mailaddress, user_ca, user_class, parent_id, employee_id, department_id, coporation_id, user_duty, user_postcode, user_alias, user_homeaddress, user_msn, user_nt, bxlx) values('$user_id', '$user_name', '$user_pwd', '$account_status', '$user_sex', '$user_birthday', '$user_post', '$user_rank', '$user_phone', '$user_mobilephone', '$user_mailaddress', '$user_ca', '$user_class', '$parent_id', '$employee_id', '$department_id', '$coporation_id', '$user_duty', '$user_postcode', '$user_alias', '$user_homeaddress', '$user_msn', '$user_nt', '$bxlx')";
		$sql2 = "insert into palog.users(username, password, mod_1)values('$user_id', '$user_pwd', 'Y')";
		break;

	case "DELETE_USER":
		$sql = "delete from palog.singleuser where user_id='$user_id'";
		$sql2 = "delete from palog.users where username='$user_id'";
		break;

	case "UPDATE_USER":
		$sql = "update palog.singleuser set user_name='$user_name', user_pwd='$user_pwd', account_status='$account_status', user_sex='$user_sex', user_birthday='$user_birthday', user_post='$user_post', user_rank='$user_rank', user_phone='$user_phone', user_mobilephone='$user_mobilephone', user_mailaddress='$user_mailaddress', user_ca='$user_ca', user_class='$user_class', parent_id='$parent_id', employee_id='$employee_id', department_id='$department_id', coporation_id='$coporation_id', user_duty='$user_duty', user_postcode='$user_postcode', user_alias='$user_alias', user_homeaddress='$user_homeaddress', user_msn='$user_msn', user_nt='$user_nt', bxlx='$bxlx' where user_id='$user_id'";
		break;
	}
}
else
if ($operation_type == "ADD_ORGAN" || $operation_type == "DELETE_ORGAN" || 
	$operation_type == "UPDATE_ORGAN" || $operation_type == "MERGE_ORGAN") {
	/*
	 * 创建表
	 */
	$sql = "create table if not exists palog.single_organ(id int auto_increment primary key, organ_id varchar(30) not null default '', organ_name varchar(80) not null default '', organ_type varchar(32) not null default '', parent_id varchar(30) not null default '', stru_id varchar(50) not null default '', stru_type varchar(32) not null default '', stru_path varchar(64) not null default '', department_id varchar(30) not null default '', department_name varchar(80) not null default '', coporation_id varchar(30) not null default '', corporation_name varchar(80) not null default '', is_use char(1) not null default '1', is_leaf varchar(1) not null default '')ENGINE=MyISAM DEFAULT charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$stru_id = $json->syncInfo->stru->struId;
	$organ_id = $json->syncInfo->stru->organId;
	$stru_type = $json->syncInfo->stru->struType;
	$parent_id = $json->syncInfo->stru->parentId;
	$stru_path = $json->syncInfo->stru->struPath;
	$organ_code = $json->syncInfo->stru->organCode;
	$organ_name = $json->syncInfo->stru->organName;
	$organ_type = $json->syncInfo->stru->organType;
	$department_id = $json->syncInfo->stru->departmentId;
	$department_name = $json->syncInfo->stru->departmentName;
	$corporation_name = $json->syncInfo->stru->corporationName;
	$is_leaf = $json->syncInfo->stru->isLeaf;
	$is_use = $json->syncInfo->stru->isUse;

	switch($operation_type) {
		case "ADD_ORGAN":
			$sql = "insert into palog.single_organ(organ_id, organ_name, organ_type, parent_id, stru_id, stru_type, stru_path, department_id, department_name, coporation_id, corporation_name, is_use, is_leaf) values('$organ_id', '$organ_name', '$organ_type', '$parent_id', '$stru_id', '$stru_type', '$stru_path', '$department_id', '$department_name', '$coporation_id', '$corporation_name', '$is_use', '$is_leaf')";
			break;

		case "DELETE_ORGAN":
			$sql = "delete from palog.single_organ where organ_id='$organ_id'";
			break;

		case "UPDATE_ORGAN":
			$sql = "update palog.single_organ set organ_name='$organ_name', organ_type='$organ_type', stru_id='$stru_id', stru_type='$stru_type', stru_path='$stru_path', department_id='$department_id', department_name='$department_name', coporation_id='$coporation_id', corporation_name='$corporation_name' where organ_id='$organ_id'";
			break;

		case "MERGE_ORGAN":
			break;

		default:
			outputres("no", "NO_ACTION");
			mysql_close();
			exit;
	}
}
else {
	mysql_close();
	outputres("no", "NO_OPERATION_TYPE");
	exit;
}

if (mysql_query($sql) == false) {
	outputres("no", mysql_error());
	mysql_close();
	exit;
}

if ($sql2 != "")
	mysql_query($sql2);

mysql_close();

outputres("yes", "OK");
exit;

















?>
