<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/china.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
var sorts = "acc";

function title_click(sort)
{
	sorts = sort;
	
	dnstop_check(0);
}

function dnstop_check(bexport)
{
	var devid = getdevice();
	var dns = TrimAll($("#dns").val());
	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'mydnstop_check', dns:dns, page: page, 
			limit: limit, starttime:starttime, bexport: bexport,
			endtime:endtime, errname:errname, sort: sorts, 
			devid: devid},
		type:'post',
		dataType:'json',
		success:function(json){
			if (bexport == 0) {
				$(".topapp-list-table").show();
				
				dns_data_update(json);
				
				dnscolumn(json, "topdns_column", 0, starttime, endtime);
				dnspie("topdns_yys", json);
				dnsmap(json);
			}else
				cluster_downloadfile("dns");
			
			cluster_load_hide();
		}
	});
}

function dns_data_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var address='';
	var trbg = '';
	
	if (len < limit) $(".nextpage-topdns").hide();
	
	var start = (page - 1) * limit;

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		if (r.dnsip == "0.0.0.0")
			continue;

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(r.devid);
			tdobj.eq(2).html('&nbsp;'+r.dnsip);
			tdobj.eq(3).html(r.dnscount+'&nbsp;');
			tdobj.eq(4).html(numberformats(r.upbytes)+'&nbsp;');
			tdobj.eq(5).html(numberformats(r.downbytes)+'&nbsp;');
			tdobj.eq(6).html(numberformats(r.downbytes+r.upbytes)+'&nbsp;');
			tdobj.eq(7).html(r.yys);
			tdobj.eq(8).html(r.areastr);
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (start+i+1)+'</td>'+
				'<td class="txt-center">'+ r.devid+'</td>'+
				'<td class="td-normal" style="text-align:left;">&nbsp;'+ r.dnsip+'</td>'+
				'<td class="td-normal" style="text-align:right;">'+ r.dnscount+'&nbsp;</td>'+
				'<td class="td-normal" style="text-align:right;">'+ numberformats(r.upbytes)+'&nbsp;</td>'+
				'<td class="td-normal" style="text-align:right;">'+ numberformats(r.downbytes)+'&nbsp;</td>'+
				'<td class="td-normal" style="text-align:right;">'+ numberformats(r.downbytes+r.upbytes)+'&nbsp;</td>'+
				'<td class="txt-center">'+ r.yys+'</td>'+
				'<td class="txt-center">'+ r.areastr+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function dnscolumn(jsondata, render, devid, starttime, endtime)
{
    var distype = "column";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: distype,
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			//borderColor:'#D3DCEB',
			//borderRadius:4
        },
        title: {
            text: 'DNS服务器访问次数柱状图',
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: [{
            min: 0,
            title: {
                text: 'byte'
            }
        },{
			min: 0,
			title: {
				text: '次数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y);
            }
        },
        plotOptions: {
            column: {
				stacking: 'normal',
                cursor:'pointer',
				depth: 35,
                point:{
                    events:{
                        click:function(){
                            //iptrendwin(devid, this.category, chartype, this.color, starttime, endtime);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            },
            bar: {
                cursor:'pointer',
                point:{
                    events:{
                        click:function(){
                            //iptrendwin(devid, this.category, chartype, this.color, starttime, endtime);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}, {name:"次数", type:'spline', data:[], yAxis: 1}];
	
	for (var i = 0; i < jsondata.rows.length; i++){
        option.xAxis.categories.push(jsondata.rows[i].dnsip);
		
		series[0].data.push(jsondata.rows[i].upbytes);
		series[1].data.push(jsondata.rows[i].downbytes);
		series[2].data.push(jsondata.rows[i].dnscount);
    }
	option.series = series;

    var chart = new Highcharts.Chart(option);
}

function dnspie(render, json)
{
    var title = "DNS运营商访问次数分布图";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'pie',
        },
        title: {
            text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ numberformats(this.y);
            }
        },
        plotOptions: {
            pie: {
				size:'80%',
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
					style:{fontSize:'9px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    }
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    for (var i = 0; i < json.yys.length; i++)
        option.series[0].data.push({name:json.yys[i].x, y:json.yys[i].y});
    var chart = new Highcharts.Chart(option);
}

function dnsmap(json)
{
	var data = [];
	var geoCoordMap = {};
	var maxvalue = 0;
	for (i = 0; i < json.area.length; i++) {
		if (json.area[i].value > maxvalue)
			maxvalue = json.area[i].value;
		data.push({name:json.area[i].name, value:json.area[i].value});
	}

	var mapFeatures = echarts.getMap("china").geoJson.features;
	mapFeatures.forEach(function(v) {
		var name = v.properties.name;
		geoCoordMap[name] = v.properties.cp;
	});
	
	var myChart = echarts.init(document.getElementById('topdns_map'));
	var option = {
		title : {
			text: 'DNS区域访问次数分布图',
			x:'center',
			textStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				color: '#666'
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 12,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+numberformats(params.value);
			}
		},
		dataRange: {
			//orient: 'right',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#f00', '#CC6666', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		geo: {
			show: true,
			map: "china",
			label: {
				normal: {
					show: false
				},
				emphasis: {
					show: false,
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#031525',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3',
				}
			}
		},
		series: [{
			name: '区域流量数据分布图',
			type: 'scatter',
			coordinateSystem: 'geo',
			label: {
				normal: {
					formatter: '{b}',
					position: 'right',
					show: false,
					fontWeight:"bold"
				},
				emphasis: {
					show: true
				}
			},
			itemStyle: {
				normal: {
					show: false,
					color: '#2e8ae3',
				}
			}
		},
		{
			type: 'map',
			map: "china",
			geoIndex: 1,
			aspectScale: 0.75,
			showLegendSymbol: false,
			label: {
				normal: {
					show: false 
				},
				emphasis: {
					show: false,
					textStyle: {
						color: '#fff'
					}
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#87CEFA',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3'
				}
			},
			animation: false,
			data: data 
		}]
	}
	myChart.setOption(option);
}

/*
function dnsmap(json)
{
	var maxvalue = 0;
	for (i = 0; i < json.area.length; i++)
		if (json.area[i].value > maxvalue)
			maxvalue = json.area[i].value;
	var maxcol = "#f00";
	if (maxvalue == 0) maxcol = "#f5f5f5";
	
	var myChart = echarts.init(document.getElementById('topdns_map'));
	var option = {
		title : {
			text: 'DNS区域访问次数分布图',
			x:'center',
			textStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				color:'#666'
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 12,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+numberformats(params.value);
			}
		},
		dataRange: {
			orient: 'horizontal',
			min: 0,
			max: maxvalue,
			x: 'left',
			y: 'bottom',
			text:['高','低'],
			calculable : true,
			color: [maxcol, '#CC6666', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		
		series : [
			{
				name: '区域流量数据分布图',
				type: 'map',
				mapType: 'china',
				//selectedMode : 'multiple',
				itemStyle:{
					normal:{label:{show:true}, borderColor: '#ddd', areaStyle:{color:'#f5f5f5'}},
					emphasis:{label:{show:true}}
				},
				data: json.area
			}
		]
	}

	myChart.setOption(option);	
}
 */

function pre()
{
	page--;
	
	if (page <= 0)
		page = 1;
	
	dnstop_check(0);
}

function next()
{
	page++;
	
	dnstop_check(0);
}

function button_click()
{
	page = 1;
	
	dnstop_check(0);
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="dns-html.php">DNS查询</a></li>
			<li><a href="flow_dns.php">Top流量</a></li>
			<li><a href="dns_topdomain.php">Top域名</a></li>
			<li><a href="dns_topuser.php">Top用户</a></li>
			<li class="active"><a href="dns_topdns.php">Top服务器</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>DNS</label>
				<input type="text" id="dns" value="" style="width:100px;" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="button_click()">查询</a>
			</li>
		</ul>
		<ul class="ul-float-right">
			<li>
				<a class="btn-extend-gray" onclick="dnstop_check(1)"> 导出到cexel</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('dns')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table" style="display:none">
		<div id="topdns_column" style="float:left;width:33%;height:300px;">
		</div>
		<div id="topdns_yys" style="float:left;width:33%;height:300px;margin-left:5px;">
		</div>
		<div id="topdns_map" style="float:left;width:30%;height:300px;margin-left:5px;">
		</div>
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="td-left-first" style="width:50px;">序号</th>
		<th class="td-normal" style="width:50px;">设备</th>
                <th class="txt-left" style="width:150px;">DNS</th>
                <th class="txt-right"><a href="javascript:title_click('acc')">访问次数</a></th>
                <th class="txt-right"><a href="javascript:title_click('up')">上行流量</a></th>
                <th class="txt-right"><a href="javascript:title_click('down')">下行流量</a></th>
                <th class="txt-right"><a href="javascript:title_click('total')">总流量</a></th>
		<th class="td-left-last" style="width:100px;">运营商</th>
		<th class="td-normal" style="width:150px;">地理位置</th>
            </tr>
        </table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
    </div>
	
</div>
<script>
showdevicetree();
</script>
</body>
</html>
