<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession())
	exit;

$devid = postval('devid');
$domain = postval('domain');
$strstart = postval('starttime');
$strend = postval('endtime');
$page = postval('page');
$limit = postval('limit');
$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
$bexport = postval('bexport');
$ipaddr = postval('ipaddr');
$filename = "dns".date("YmdHis");
$longstart = strtotime($strstart);
$longend = strtotime($strend);

$json = $rows = array();
$link = $filename;

$username = $_SESSION["palog_username"];

if (($yys = getyys()) == false) {
	outputres("no", "yys error");
	exit;
}

function getyysname($yysid)
{
	global $yys;

	$yys_name = "";
	foreach($yys as $y) {
		if ($y["id"] == $yysid)
			$yys_name = $y["name"];
	}

	return $yys_name;
}

$gtp = isgtp();

$cmd = LOGDPATH."/bin/logeye user_behavior dnsquery 'devid=$devid' ";
$cmd .= "'domain=$domain' longstart=$longstart longend=$longend 'bexport=$bexport' ";
$cmd .= "'filename=$filename' 'errfile=$errfile' 'page=$page' 'limit=$limit' 'ipaddr=$ipaddr' 'username=$username'";
exec($cmd, $out, $return);
if (!$bexport){
	foreach($out as $k=>$val) {
		$tun_src = "";
		$tun_stid = 0;
		$tun_dst = "";
		$tun_dtid = 0;
		if ($gtp) {
			list($devid, $time, $host, $src, $dst, $account, 
				$posi, $yn, $mac, $sport, $dport, $yn2, 
				$tun_src, $tun_stid, $tun_dst, $tun_dtid) = explode(' ', $val);
		}
		else {
			list($devid, $time, $host, $src, $dst, $account, 
				$posi, $yn, $mac, $sport, $dport, $yn2) = explode(' ', $val);
		}
		
		if ($account == '$' || $account == 'none' || $account == 'null')
			$account = '';
		
		$position = iconv("gb2312", "utf-8", $posi);
		$yys_name = getyysname($yn);
	       	$yys_name2 = getyysname($yn2);

		array_push($rows, array(
			'devid'=>$devid, 
			'domain'=>urlencode($host), 
			'time'=>date("Y/m/d H:i:s", $time),
			'srcip'=>long2ip($src), 
			'serip'=>long2ip($dst), 
			'account'=>iconv("gb2312", "utf-8", $account), 
			'position_svr'=>$position, 
			'op_pos_svr'=>$yys_name, 
			"mac"=>$mac,
			"sport"=>$sport,
			"dport"=>$dport,
			"yys2"=>$yys_name2
		));
	}
	$json = array("rows"=>$rows, "gtp"=>$gtp);
	echo json_encode($json);
	exit;
}

$result['file'] = $link;
echo json_encode($result);
?>
