<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	outputres("no", "请重新登录页面");
	exit;
}

$devid		= postval('devid');
$ipaddr		= postval('ipaddr');
$dstip		= postval("dstip");
$domain		= postval('domain');
$dstport	= postval("dstport");
$srcport	= postval("srcport");
$url		= urldecode(postval('url'));
$acctype	= postval("acctype");
$strstart	= postval('starttime');
$strend		= postval('endtime');
$errfile	= _CHECKING_STATUS_F.'/'.postval('errname');
$bexport	= postval('bexport');
$appid		= postval("appid");
$page		= postval('page');
$limit		= postval('limit');
$fullmatch	= postval('fullmatch');

$json = $rows = array();

$filename	= "url".date("YmdHis");
$longstart	= strtotime($strstart);
$longend	= strtotime($strend);
$yys		= getyys();
$totalrecord	= 0;

$cmd = LOGDPATH."/bin/logeye user_behavior v6urlcheck 'devid=$devid' 'ipaddr=$ipaddr'";
$cmd .= " 'domain=$domain' 'longstart=$longstart' 'longend=$longend' 'url=$url'";
$cmd .= " 'bexport=$bexport' 'filename=$filename' 'errfile=$errfile' 'page=$page'";
$cmd .= " 'limit=$limit' 'acctype=$acctype' 'appid=$appid' 'dstip=$dstip'";
if (!empty($srcport))
	$cmd .= " sport=$srcport";
if (!empty($dstport))
	$cmd .= " dstport=$dstport";
if ($fullmatch == 1)
	$cmd .= " fullmatch=$fullmatch";
exec($cmd, $out, $ret);	// esc
if (!$bexport) {
	foreach($out as $val) {
		list($tag, $devid, $acctime, $appname, $sport, $dport, 
			$srcip, $dstip, $type, $host, $url, $mac) = explode(' ', trim($val));

		if ($tag == "totalrecord") {
			$json["totalrecord"] = $ds[1];
			continue;
		}

		array_push($rows, array(
			'devid'		=>$devid,
			'time'		=>date("m/d H:i:s", $acctime),
			'appname'	=>iconv("gb2312", "utf-8", $appname), 
			"sport"		=>$sport,
			"dport"		=>$dport,
			'srcip'		=>$srcip, 
			'dstip'		=>$dstip, 
			'type'		=>$type,
			'host'		=>$host,
			"url"		=>$url,
			"mac"		=>$mac
			));
	}

	$json['rows'] = $rows;
	echo json_encode($json);
}
else {
    $json['file'] = $filename;
    echo json_encode($json);
}
?>
