<?php
$doc = "/usr/logd/www";
include($doc."/common.php");

$action = postval("action");

if ($action == "check")
{
	$uuid = postval("uuid");
	if (empty($uuid)) {
		echo 'ERR_UUID_NULL';
		exit;
	}

	$srcf = "/usr/logd/bin/panalog.db";
	if (!file_exists($srcf)) {
		echo 'ERR_NO_FILE';
		exit;
	}

	$fsize = filesize($srcf);
	$ctime = filectime($srcf);

	$tarf = $uuid.".tar.gz";
	$markf = $uuid.".update";
	if (!file_exists($markf)) {
		file_put_contents($markf, "fsize=$fsize\nctime=$ctime\n");
		copy($srcf, dirname(__FILE__)."/panalog.db.".$uuid);
		exec("tar zcf '$tarf' 'panalog.db.".$uuid."'");
		unlink(dirname(__FILE__)."/panalog.db.".$uuid);
		copy($tarf, "/usr/logdata/file_cluster/$tarf");
		echo 'YES';
		exit;
	}

	$i = 0;
	$j = 0;
	$cont = file($markf);
	foreach($cont as $val) {
		list($tag, $v) = explode('=', trim($val));
		if ($tag == "fsize" && $v == $fsize)
			$i = 1;
		if ($tag == "ctime" && $v == $ctime)
			$j = 1;
	}

	if ($i && $j) {
		echo 'ERR_SAME';
		exit;
	}

	$s = dirname(__FILE__)."/panalog.db.".$uuid;
	if (file_exists($s))
		unlink($s);
	copy($srcf, $s);
	exec("tar zcf '$tarf' 'panalog.db.".$uuid."'");
	unlink($s);
	copy($tarf, "/usr/logdata/file_cluster/$tarf");
	file_put_contents($markf, "fsize=$fsize\nctime=$ctime\n");

	echo 'YES';
}

?>
